<?php

/*
	Project: wp-Typography
	Project URI: https://code.mundschenk.at/wp-typography/

	File modified to place pattern and exceptions in arrays that can be understood in php files.
	This file is released under the same copyright as the below referenced original file
	Original unmodified file is available at: http://ctan.mirrorcatalogs.com/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex
	Original file name: hyph-it.tex

//============================================================================================================
	ORIGINAL FILE INFO

		% hyph-it.tex
		%
		% Italian hyphenation patterns
		%
		% This file is part of the hyph-utf8 package.
		% For more unformation see
		%
		%    http://tug.org/tex-hyphen
		%
		%------------------------------------------------------------------------------
		%
		%% Copyright 2008-2011 Claudio Beccari
		%
		% This work may be distributed and/or modified under the
		% conditions of the LaTeX Project Public License, either
		% version 1.3 of this license or (at your option) any later
		% version. The latest version of this license is in
		%        http://www.latex-project.org/lppl.txt
		% and version 1.3 or later is part of all distributions
		% of LaTeX version 2003/12/01 or later.
		%
		% This work has the LPPL maintenance status "maintained".
		%
		% This Current Maintainer of this work is Claudio Beccari
		% e-mail:  claudio dot beccari at gmail dot com
		%
		% This work consists of the single file hyph-it.tex.
		%
		% \versionnumber{4.9}   \versiondate{2014/04/22}
		%
		% These hyphenation patterns for the Italian language are supposed to comply
		% with the Recommendation UNI 6461 on hyphenation issued by the Italian
		% Standards Institution (Ente Nazionale di Unificazione UNI).  No guarantee
		% or declaration of fitness to any particular purpose is given and any
		% liability is disclaimed.
		%
		% ChangeLog:
		% - 2014-04-22 - Add few patterns involving `h'
		% - 2011-08-16 - Change the licence from GNU LGPL into LPPL v1.3.
		% - 2010-05-24 - Fix for Italian patterns for proper hyphenation of -ich and Ljubljana.
		% - 2008-06-09 - Import of original ithyph.tex into hyph-utf8 package.
		% - 2008-03-08 - (last change in ithyph.tex)
		%


//============================================================================================================

*/

$patgenLanguage = 'Italian';

$patgenExceptions = array();

$patgenMaxSeg = 7;

$patgen = array(
	'begin' => array(
		'apn'	=>	'0320',
		'anti'	=>	'00001',
		'antimn'	=>	'0000320',
		'bio'	=>	'0001',
		'caps'	=>	'00430',
		'circum'	=>	'0000021',
		'contro'	=>	'0000001',
		'discine'	=>	'00230000',
		'exeu'	=>	'02100',
		'frank'	=>	'000023',
		'free'	=>	'00003',
		'lipsa'	=>	'003200',
		'narco'	=>	'000001',
		'opto'	=>	'00001',
		'ortop'	=>	'000032',
		'para'	=>	'00001',
		'phl'	=>	'0020',
		'phr'	=>	'0020',
		'polip'	=>	'000032',
		'pre'	=>	'0001',
		'ps'	=>	'020',
		'reiscr'	=>	'0012000',
		'share'	=>	'000203',
		'transc'	=>	'0000230',
		'transd'	=>	'0000230',
		'transl'	=>	'0000230',
		'transn'	=>	'0000230',
		'transp'	=>	'0000230',
		'transr'	=>	'0000230',
		'transt'	=>	'0000230',
		'sublu'	=>	'002300',
		'subr'	=>	'00230',
		'wagn'	=>	'00230',
		'welt'	=>	'00021',
		'c'	=>	'02',
		'd'	=>	'02',
		'h'	=>	'02',
		'j'	=>	'02',
		'k'	=>	'02',
		't'	=>	'02',
		'z'	=>	'02',
	),

	'end' => array(
		'at'	=>	'200',
		'b'	=>	'20',
		'ch'	=>	'200',
		'ch\''	=>	'2000',
		'ch\'\''	=>	'20000',
		'c'	=>	'20',
		'd'	=>	'20',
		'f'	=>	'20',
		'g'	=>	'20',
		'h'	=>	'20',
		'j'	=>	'20',
		'k'	=>	'20',
		'l'	=>	'20',
		'l\''	=>	'200',
		'm'	=>	'20',
		'n'	=>	'20',
		'p'	=>	'20',
		'q'	=>	'20',
		'r'	=>	'20',
		'sh'	=>	'200',
		's'	=>	'40',
		's\''	=>	'400',
		'th'	=>	'200',
		't'	=>	'20',
		't\''	=>	'200',
		'v'	=>	'20',
		'v\''	=>	'200',
		'w'	=>	'20',
		'x'	=>	'20',
		'z'	=>	'20',
		'z\''	=>	'200',
	),

	'all' => array(
		'\''	=>	'22',
		'aia'	=>	'0100',
		'aie'	=>	'0100',
		'aio'	=>	'0100',
		'aiu'	=>	'0100',
		'auo'	=>	'0100',
		'aya'	=>	'0100',
		'eiu'	=>	'0100',
		'ew'	=>	'020',
		'oia'	=>	'0100',
		'oie'	=>	'0100',
		'oio'	=>	'0100',
		'oiu'	=>	'0100',
		'b'	=>	'10',
		'bb'	=>	'200',
		'bc'	=>	'200',
		'bd'	=>	'200',
		'bf'	=>	'200',
		'bm'	=>	'200',
		'bn'	=>	'200',
		'bp'	=>	'200',
		'bs'	=>	'200',
		'bt'	=>	'200',
		'bv'	=>	'200',
		'bl'	=>	'020',
		'br'	=>	'020',
		'b\''	=>	'200',
		'c'	=>	'10',
		'cb'	=>	'200',
		'cc'	=>	'200',
		'cd'	=>	'200',
		'cf'	=>	'200',
		'ck'	=>	'200',
		'cm'	=>	'200',
		'cn'	=>	'200',
		'cq'	=>	'200',
		'cs'	=>	'200',
		'ct'	=>	'200',
		'cz'	=>	'200',
		'chh'	=>	'2000',
		'ch'	=>	'020',
		'chb'	=>	'2000',
		'chr'	=>	'0020',
		'chn'	=>	'2000',
		'cl'	=>	'020',
		'cr'	=>	'020',
		'c\''	=>	'200',
		'd'	=>	'10',
		'db'	=>	'200',
		'dd'	=>	'200',
		'dg'	=>	'200',
		'dl'	=>	'200',
		'dm'	=>	'200',
		'dn'	=>	'200',
		'dp'	=>	'200',
		'dr'	=>	'020',
		'ds'	=>	'200',
		'dt'	=>	'200',
		'dv'	=>	'200',
		'dw'	=>	'200',
		'd\''	=>	'200',
		'f'	=>	'10',
		'fb'	=>	'200',
		'fg'	=>	'200',
		'ff'	=>	'200',
		'fn'	=>	'200',
		'fl'	=>	'020',
		'fr'	=>	'020',
		'fs'	=>	'200',
		'ft'	=>	'200',
		'f\''	=>	'200',
		'g'	=>	'10',
		'gb'	=>	'200',
		'gd'	=>	'200',
		'gf'	=>	'200',
		'gg'	=>	'200',
		'gh'	=>	'020',
		'gl'	=>	'020',
		'gm'	=>	'200',
		'gn'	=>	'020',
		'gp'	=>	'200',
		'gr'	=>	'020',
		'gs'	=>	'200',
		'gt'	=>	'200',
		'gv'	=>	'200',
		'gw'	=>	'200',
		'gz'	=>	'200',
		'ght'	=>	'2020',
		'g\''	=>	'200',
		'h'	=>	'10',
		'hb'	=>	'200',
		'hd'	=>	'200',
		'hh'	=>	'200',
		'hipn'	=>	'00320',
		'hl'	=>	'020',
		'hm'	=>	'200',
		'hn'	=>	'200',
		'hr'	=>	'200',
		'hv'	=>	'200',
		'h\''	=>	'200',
		'j'	=>	'10',
		'j\''	=>	'200',
		'k'	=>	'10',
		'kg'	=>	'200',
		'kf'	=>	'200',
		'kh'	=>	'020',
		'kk'	=>	'200',
		'kl'	=>	'020',
		'km'	=>	'200',
		'kr'	=>	'020',
		'ks'	=>	'200',
		'kt'	=>	'200',
		'k\''	=>	'200',
		'l'	=>	'10',
		'lb'	=>	'200',
		'lc'	=>	'200',
		'ld'	=>	'200',
		'lf'	=>	'232',
		'lg'	=>	'200',
		'lh'	=>	'020',
		'lj'	=>	'020',
		'lk'	=>	'200',
		'll'	=>	'200',
		'lm'	=>	'200',
		'ln'	=>	'200',
		'lp'	=>	'200',
		'lq'	=>	'200',
		'lr'	=>	'200',
		'ls'	=>	'200',
		'lt'	=>	'200',
		'lv'	=>	'200',
		'lw'	=>	'200',
		'lz'	=>	'200',
		'l\'\''	=>	'2000',
		'm'	=>	'10',
		'mb'	=>	'200',
		'mc'	=>	'200',
		'mf'	=>	'200',
		'ml'	=>	'200',
		'mm'	=>	'200',
		'mn'	=>	'200',
		'mp'	=>	'200',
		'mq'	=>	'200',
		'mr'	=>	'200',
		'ms'	=>	'200',
		'mt'	=>	'200',
		'mv'	=>	'200',
		'mw'	=>	'200',
		'm\''	=>	'200',
		'n'	=>	'10',
		'nb'	=>	'200',
		'nc'	=>	'200',
		'nd'	=>	'200',
		'nf'	=>	'200',
		'ng'	=>	'200',
		'nk'	=>	'200',
		'nl'	=>	'200',
		'nm'	=>	'200',
		'nn'	=>	'200',
		'np'	=>	'200',
		'nq'	=>	'200',
		'nr'	=>	'200',
		'ns'	=>	'200',
		'nsfer'	=>	'023000',
		'nt'	=>	'200',
		'nv'	=>	'200',
		'nz'	=>	'200',
		'ngn'	=>	'0230',
		'nheit'	=>	'200000',
		'n\''	=>	'200',
		'p'	=>	'10',
		'pd'	=>	'200',
		'ph'	=>	'020',
		'pl'	=>	'020',
		'pn'	=>	'200',
		'pne'	=>	'3200',
		'pp'	=>	'200',
		'pr'	=>	'020',
		'ps'	=>	'200',
		'psic'	=>	'32000',
		'pt'	=>	'200',
		'pz'	=>	'200',
		'p\''	=>	'200',
		'q'	=>	'10',
		'qq'	=>	'200',
		'q\''	=>	'200',
		'r'	=>	'10',
		'rb'	=>	'200',
		'rc'	=>	'200',
		'rd'	=>	'200',
		'rf'	=>	'200',
		'rh'	=>	'020',
		'rg'	=>	'200',
		'rk'	=>	'200',
		'rl'	=>	'200',
		'rm'	=>	'200',
		'rn'	=>	'200',
		'rp'	=>	'200',
		'rq'	=>	'200',
		'rr'	=>	'200',
		'rs'	=>	'200',
		'rt'	=>	'200',
		'rts'	=>	'0223',
		'rv'	=>	'200',
		'rx'	=>	'200',
		'rw'	=>	'200',
		'rz'	=>	'200',
		'r\''	=>	'200',
		's'	=>	'12',
		'shm'	=>	'2000',
		'sh\''	=>	'2000',
		'ss'	=>	'230',
		'ssm'	=>	'0430',
		'spn'	=>	'2320',
		'stb'	=>	'2000',
		'stc'	=>	'2000',
		'std'	=>	'2000',
		'stf'	=>	'2000',
		'stg'	=>	'2000',
		'stm'	=>	'2000',
		'stn'	=>	'2000',
		'stp'	=>	'2000',
		'sts'	=>	'2000',
		'stt'	=>	'2000',
		'stv'	=>	'2000',
		'sz'	=>	'200',
		's\'\''	=>	'4000',
		't'	=>	'10',
		'tb'	=>	'200',
		'tc'	=>	'200',
		'td'	=>	'200',
		'tf'	=>	'200',
		'tg'	=>	'200',
		'th'	=>	'020',
		'tl'	=>	'020',
		'tm'	=>	'200',
		'tn'	=>	'200',
		'tp'	=>	'200',
		'tr'	=>	'020',
		'ts'	=>	'020',
		'tsch'	=>	'32000',
		'tt'	=>	'200',
		'tts'	=>	'0230',
		'tv'	=>	'200',
		'tw'	=>	'200',
		'tz'	=>	'020',
		'tzk'	=>	'2000',
		'tzs'	=>	'0020',
		't\'\''	=>	'2000',
		'v'	=>	'10',
		'vc'	=>	'200',
		'vl'	=>	'020',
		'vr'	=>	'020',
		'vv'	=>	'200',
		'v\'\''	=>	'2000',
		'w'	=>	'10',
		'wh'	=>	'020',
		'war'	=>	'0020',
		'wy'	=>	'210',
		'w\''	=>	'200',
		'x'	=>	'10',
		'xb'	=>	'200',
		'xc'	=>	'200',
		'xf'	=>	'200',
		'xh'	=>	'200',
		'xm'	=>	'200',
		'xp'	=>	'200',
		'xt'	=>	'200',
		'xw'	=>	'200',
		'x\''	=>	'200',
		'you'	=>	'0100',
		'yi'	=>	'010',
		'z'	=>	'10',
		'zb'	=>	'200',
		'zd'	=>	'200',
		'zl'	=>	'200',
		'zn'	=>	'200',
		'zp'	=>	'200',
		'zt'	=>	'200',
		'zs'	=>	'200',
		'zv'	=>	'200',
		'zz'	=>	'200',
		'z\'\''	=>	'2000',
	),
);

