<?php

/*
	Project: wp-Typography
	Project URI: https://code.mundschenk.at/wp-typography/

	File modified to place pattern and exceptions in arrays that can be understood in php files.
	This file is released under the same copyright as the below referenced original file
	Original unmodified file is available at: http://ctan.mirrorcatalogs.com/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/
	Original file name: hyph-mn-cyrl.tex

//============================================================================================================
	ORIGINAL FILE INFO

		% This file is part of hyph-utf8 package and resulted from
		% semi-manual conversions of hyphenation patterns into UTF-8 in June 2008.
		%
		% Source: mnhyphn.tex (2008-03-30)
		% Author: Dorjgotov Batmunkh <bataak at gmail.com>
		%
		% The above mentioned file should become obsolete,
		% and the author of the original file should preferably modify this file instead.
		%
		% Modifications were needed in order to support native UTF-8 engines,
		% but functionality (hopefully) didn't change in any way, at least not intentionally.
		% This file is no longer stand-alone; at least for 8-bit engines
		% you probably want to use loadhyph-foo.tex (which will load this file) instead.
		%
		% Modifications were done by Jonathan Kew, Mojca Miklavec & Arthur Reutenauer
		% with help & support from:
		% - Karl Berry, who gave us free hands and all resources
		% - Taco Hoekwater, with useful macros
		% - Hans Hagen, who did the unicodification of patterns already long before
		%               and helped with testing, suggestions and bug reports
		% - Norbert Preining, who tested & integrated patterns into TeX Live
		%
		% However, the "copyright/copyleft" owner of patterns remains the original author.
		%
		% The copyright statement of this file is thus:
		%
		%    Do with this file whatever needs to be done in future for the sake of
		%    "a better world" as long as you respect the copyright of original file.
		%    If you're the original author of patterns or taking over a new revolution,
		%    plese remove all of the TUG comments & credits that we added here -
		%    you are the Queen / the King, we are only the servants.
		%
		% If you want to change this file, rather than uploading directly to CTAN,
		% we would be grateful if you could send it to us (http://tug.org/tex-hyphen)
		% or ask for credentials for SVN repository and commit it yourself;
		% we will then upload the whole "package" to CTAN.
		%
		% Before a new "pattern-revolution" starts,
		% please try to follow some guidelines if possible:
		%
		% - \lccode is *forbidden*, and I really mean it
		% - all the patterns should be in UTF-8
		% - the only "allowed" TeX commands in this file are: \patterns, \hyphenation,
		%   and if you really cannot do without, also \input and \message
		% - in particular, please no \catcode or \lccode changes,
		%   they belong to loadhyph-foo.tex,
		%   and no \lefthyphenmin and \righthyphenmin,
		%   they have no influence here and belong elsewhere
		% - \begingroup and/or \endinput is not needed
		% - feel free to do whatever you want inside comments
		%
		% We know that TeX is extremely powerful, but give a stupid parser
		% at least a chance to read your patterns.
		%
		% For more unformation see
		%
		%    http://tug.org/tex-hyphen
		%
		%------------------------------------------------------------------------------
		%
		%% mnhyphn.tex v1.2 2008/03/23 (2010/04/03)
		%% Copyright 2007-2010 by Dorjgotov Batmunkh, National University of Mongolia
		%% email bataak@gmail.com
		%
		% This work may be distributed and/or modified under the
		% conditions of the LaTeX Project Public License, either version 1.3
		% of this license or (at your option) any later version.
		% The latest version of this license is in
		%   http://www.latex-project.org/lppl.txt
		% and version 1.3 or later is part of all distributions of LaTeX
		% version 2005/12/01 or later.
		%
		% Special thanks to: Jim Hefferon and Robin Fairbairns
		%
		% There are few basic rules in mongolian
		%
		% 1. If there is a consonant then it can use hyphen before it.
		%    And if there're two consonants then it can use hyphen before second consonant.
		%    Are there three consonants then it can put hyphen before third consonant,
		%    also are there four consonants then it can use hyphen before fourth consonant.
		% 2. In the case of hardsign or softsign, it's possible to hyphen after these signs.
		%    For instance, байгуулъ-я, үзүүль-е
		% 3. However one vowel can be belong to a syllable, it's not possible to use hyphen.
		%


//============================================================================================================

*/

$patgenLanguage = 'Mongolian (Cyrillic)';

$patgenExceptions = array();

$patgenMaxSeg = 9;

$patgen = array(
	'begin' => array(
		'автоаг'	=>	'0000340',
		'автоад'	=>	'0000340',
		'автоак'	=>	'0000340',
		'автоал'	=>	'0000340',
		'автоан'	=>	'0000340',
		'автоас'	=>	'0000340',
		'автобл'	=>	'0000340',
		'автобр'	=>	'0000340',
		'автовв'	=>	'0000340',
		'автовл'	=>	'0000340',
		'автогр'	=>	'0000340',
		'автодр'	=>	'0000340',
		'автоим'	=>	'0000340',
		'автоин'	=>	'0000340',
		'автоио'	=>	'0000340',
		'автокл'	=>	'0000340',
		'автокр'	=>	'0000340',
		'автооб'	=>	'0000340',
		'автоок'	=>	'0000340',
		'автооп'	=>	'0000340',
		'автоот'	=>	'0000340',
		'автопр'	=>	'0000340',
		'автоск'	=>	'0000340',
		'автосл'	=>	'0000340',
		'автосм'	=>	'0000340',
		'автосп'	=>	'0000340',
		'автост'	=>	'0000340',
		'автосц'	=>	'0000340',
		'автотр'	=>	'0000340',
		'автофл'	=>	'0000340',
		'автофр'	=>	'0000340',
		'автохр'	=>	'0000340',
		'автохт'	=>	'0000340',
		'автоцв'	=>	'0000340',
		'автоэк'	=>	'0000340',
		'автоэл'	=>	'0000340',
		'автоэм'	=>	'0000340',
		'автоэп'	=>	'0000340',
		'антиав'	=>	'0000340',
		'антиад'	=>	'0000340',
		'антиал'	=>	'0000340',
		'антиан'	=>	'0000340',
		'антиап'	=>	'0000340',
		'антиар'	=>	'0000340',
		'антиас'	=>	'0000340',
		'антиат'	=>	'0000340',
		'антиау'	=>	'0000340',
		'антибл'	=>	'0000340',
		'антигл'	=>	'0000340',
		'антигр'	=>	'0000340',
		'антидр'	=>	'0000340',
		'антиид'	=>	'0000340',
		'антииз'	=>	'0000340',
		'антиим'	=>	'0000340',
		'антиин'	=>	'0000340',
		'антикв'	=>	'0000340',
		'антикл'	=>	'0000340',
		'антиоб'	=>	'0000340',
		'антиоз'	=>	'0000340',
		'антиок'	=>	'0000340',
		'антипл'	=>	'0000340',
		'антипн'	=>	'0000340',
		'антипр'	=>	'0000340',
		'антипс'	=>	'0000340',
		'антисв'	=>	'0000340',
		'антиск'	=>	'0000340',
		'антист'	=>	'0000340',
		'антисц'	=>	'0000340',
		'антитр'	=>	'0000340',
		'антиуз'	=>	'0000340',
		'антиур'	=>	'0000340',
		'антиут'	=>	'0000340',
		'антифл'	=>	'0000340',
		'антифр'	=>	'0000340',
		'антихл'	=>	'0000340',
		'антихр'	=>	'0000340',
		'антиэм'	=>	'0000340',
		'антиэн'	=>	'0000340',
		'антиэр'	=>	'0000340',
		'астробл'	=>	'00000340',
		'астрогл'	=>	'00000340',
		'астрогр'	=>	'00000340',
		'астроин'	=>	'00000340',
		'астроор'	=>	'00000340',
		'астросп'	=>	'00000340',
		'астрошт'	=>	'00000340',
		'аэродр'	=>	'0000340',
		'аэрокл'	=>	'0000340',
		'аэропл'	=>	'0000340',
		'аэрост'	=>	'0000340',
		'аэрофл'	=>	'0000340',
		'биак'	=>	'00340',
		'биал'	=>	'00340',
		'биаф'	=>	'00340',
		'бикв'	=>	'00340',
		'бикр'	=>	'00340',
		'биор'	=>	'00340',
		'бипр'	=>	'00340',
		'биэк'	=>	'00340',
		'биоак'	=>	'000340',
		'биоан'	=>	'000340',
		'биоап'	=>	'000340',
		'биоас'	=>	'000340',
		'биобл'	=>	'000340',
		'биогр'	=>	'000340',
		'биоин'	=>	'000340',
		'биокл'	=>	'000340',
		'биокр'	=>	'000340',
		'биоор'	=>	'000340',
		'биопл'	=>	'000340',
		'биопр'	=>	'000340',
		'биоск'	=>	'000340',
		'биосп'	=>	'000340',
		'биост'	=>	'000340',
		'биосф'	=>	'000340',
		'биохр'	=>	'000340',
		'биоэк'	=>	'000340',
		'биоэл'	=>	'000340',
		'биоэн'	=>	'000340',
		'биоэт'	=>	'000340',
		'бь'	=>	'004',
		'въ'	=>	'004',
		'вь'	=>	'004',
		'газоаб'	=>	'0000340',
		'газоад'	=>	'0000340',
		'газоан'	=>	'0000340',
		'газоап'	=>	'0000340',
		'геоак'	=>	'000340',
		'геобл'	=>	'000340',
		'геогр'	=>	'000340',
		'геоиз'	=>	'000340',
		'геоин'	=>	'000340',
		'геокр'	=>	'000340',
		'геоск'	=>	'000340',
		'геост'	=>	'000340',
		'геосф'	=>	'000340',
		'геотр'	=>	'000340',
		'геофл'	=>	'000340',
		'геохр'	=>	'000340',
		'геоэк'	=>	'000340',
		'геоэл'	=>	'000340',
		'гидроаб'	=>	'00000340',
		'гидроав'	=>	'00000340',
		'гидроаг'	=>	'00000340',
		'гидроад'	=>	'00000340',
		'гидроак'	=>	'00000340',
		'гидроал'	=>	'00000340',
		'гидроам'	=>	'00000340',
		'гидроар'	=>	'00000340',
		'гидроаэ'	=>	'00000340',
		'гидрогр'	=>	'00000340',
		'гидроиз'	=>	'00000340',
		'гидроин'	=>	'00000340',
		'гидроио'	=>	'00000340',
		'гидрокл'	=>	'00000340',
		'гидрокр'	=>	'00000340',
		'гидроок'	=>	'00000340',
		'гидропл'	=>	'00000340',
		'гидропн'	=>	'00000340',
		'гидрост'	=>	'00000340',
		'гидросф'	=>	'00000340',
		'гидротр'	=>	'00000340',
		'гидроуд'	=>	'00000340',
		'гидроуз'	=>	'00000340',
		'гидроур'	=>	'00000340',
		'гидрохл'	=>	'00000340',
		'гидроэк'	=>	'00000340',
		'гидроэл'	=>	'00000340',
		'гидроэн'	=>	'00000340',
		'гиперад'	=>	'00002340',
		'гипераз'	=>	'00002340',
		'гиперак'	=>	'00002340',
		'гиперал'	=>	'00002340',
		'гиперам'	=>	'00002340',
		'гиперар'	=>	'00002340',
		'гиперац'	=>	'00002340',
		'гипераэ'	=>	'00002340',
		'гипереа'	=>	'00002340',
		'гиперем'	=>	'00002340',
		'гиперер'	=>	'00002340',
		'гиперес'	=>	'00002340',
		'гипериз'	=>	'00002340',
		'гиперим'	=>	'00002340',
		'гиперин'	=>	'00002340',
		'гиперов'	=>	'00002340',
		'гиперок'	=>	'00002340',
		'гиперос'	=>	'00002340',
		'гипербр'	=>	'00000340',
		'гипергл'	=>	'00000340',
		'гипергр'	=>	'00000340',
		'гиперкв'	=>	'00000340',
		'гиперкр'	=>	'00000340',
		'гипермн'	=>	'00000340',
		'гиперпл'	=>	'00000340',
		'гиперпн'	=>	'00000340',
		'гиперпр'	=>	'00000340',
		'гиперсп'	=>	'00000340',
		'гиперср'	=>	'00000340',
		'гиперсс'	=>	'00000340',
		'гиперст'	=>	'00000340',
		'гипертр'	=>	'00000340',
		'гиперур'	=>	'00000340',
		'гиперфр'	=>	'00000340',
		'гиперхл'	=>	'00000340',
		'гиперхр'	=>	'00000340',
		'гиперэк'	=>	'00000340',
		'гиперэл'	=>	'00000340',
		'гиперэн'	=>	'00000340',
		'гиперэо'	=>	'00000340',
		'гиперэс'	=>	'00000340',
		'голобл'	=>	'0000340',
		'голоэд'	=>	'0000340',
		'гомоаз'	=>	'0000340',
		'гомоак'	=>	'0000340',
		'гомоат'	=>	'0000340',
		'гомокл'	=>	'0000340',
		'гомопл'	=>	'0000340',
		'гомосп'	=>	'0000340',
		'гомотр'	=>	'0000340',
		'гомофт'	=>	'0000340',
		'гомоэн'	=>	'0000340',
		'гомоэп'	=>	'0000340',
		'гь'	=>	'004',
		'диагн'	=>	'001340',
		'дистри'	=>	'0040500',
		'дистро'	=>	'0040500',
		'диадр'	=>	'000340',
		'диакл'	=>	'000340',
		'диакр'	=>	'000340',
		'диаск'	=>	'000340',
		'диасп'	=>	'000340',
		'диаст'	=>	'000340',
		'диатр'	=>	'000340',
		'диафр'	=>	'000340',
		'диазотр'	=>	'00000340',
		'диазоэт'	=>	'00000340',
		'диазоэф'	=>	'00000340',
		'динатр'	=>	'0000340',
		'дь'	=>	'004',
		'евроаз'	=>	'0000340',
		'евроат'	=>	'0000340',
		'евроие'	=>	'0000340',
		'еврокр'	=>	'0000340',
		'еврооб'	=>	'0000340',
		'евросп'	=>	'0000340',
		'еврост'	=>	'0000340',
		'изоав'	=>	'000340',
		'изоаг'	=>	'000340',
		'изоад'	=>	'000340',
		'изоаз'	=>	'000340',
		'изоак'	=>	'000340',
		'изоал'	=>	'000340',
		'изоам'	=>	'000340',
		'изоан'	=>	'000340',
		'изобр'	=>	'000340',
		'изовр'	=>	'000340',
		'изогл'	=>	'000340',
		'изогр'	=>	'000340',
		'изодр'	=>	'000340',
		'изоио'	=>	'000340',
		'изойо'	=>	'000340',
		'изокл'	=>	'000340',
		'изокр'	=>	'000340',
		'изолг'	=>	'000340',
		'изолж'	=>	'000340',
		'изоок'	=>	'000340',
		'изопл'	=>	'000340',
		'изопр'	=>	'000340',
		'изост'	=>	'000340',
		'изотк'	=>	'000340',
		'изотр'	=>	'000340',
		'изохр'	=>	'000340',
		'изошл'	=>	'000340',
		'изоэв'	=>	'000340',
		'изоэд'	=>	'000340',
		'изоэй'	=>	'000340',
		'изоэл'	=>	'000340',
		'изоэн'	=>	'000340',
		'инакт'	=>	'003400',
		'инап'	=>	'00340',
		'инау'	=>	'00340',
		'инбр'	=>	'00340',
		'ингр'	=>	'00340',
		'инкл'	=>	'00340',
		'инкр'	=>	'00340',
		'инстр'	=>	'003400',
		'интерак'	=>	'00002340',
		'интергр'	=>	'00000340',
		'интеркв'	=>	'00000340',
		'интеркр'	=>	'00000340',
		'интерпр'	=>	'00000340',
		'интерфл'	=>	'00000340',
		'килоам'	=>	'0000340',
		'килогр'	=>	'0000340',
		'килоэл'	=>	'0000340',
		'киноак'	=>	'0000340',
		'киноан'	=>	'0000340',
		'киноап'	=>	'0000340',
		'киноаф'	=>	'0000340',
		'кинобл'	=>	'0000340',
		'кинодр'	=>	'0000340',
		'киноис'	=>	'0000340',
		'кинокл'	=>	'0000340',
		'кинокр'	=>	'0000340',
		'кинооп'	=>	'0000340',
		'кинопл'	=>	'0000340',
		'кинопр'	=>	'0000340',
		'киноск'	=>	'0000340',
		'киносъ'	=>	'0000340',
		'кинофл'	=>	'0000340',
		'кинофр'	=>	'0000340',
		'кинохр'	=>	'0000340',
		'киноэк'	=>	'0000340',
		'коаг'	=>	'00340',
		'коад'	=>	'00340',
		'коак'	=>	'00340',
		'коин'	=>	'00340',
		'кооп'	=>	'00340',
		'коор'	=>	'00340',
		'копл'	=>	'00340',
		'коэф'	=>	'00340',
		'кь'	=>	'004',
		'ль'	=>	'004',
		'макроан'	=>	'00000340',
		'макроас'	=>	'00000340',
		'макробл'	=>	'00000340',
		'макробр'	=>	'00000340',
		'макрогл'	=>	'00000340',
		'макрогн'	=>	'00000340',
		'макрогр'	=>	'00000340',
		'макроин'	=>	'00000340',
		'макроис'	=>	'00000340',
		'макрокл'	=>	'00000340',
		'макрокр'	=>	'00000340',
		'макроов'	=>	'00000340',
		'макрооп'	=>	'00000340',
		'макроор'	=>	'00000340',
		'макропл'	=>	'00000340',
		'макропр'	=>	'00000340',
		'макроск'	=>	'00000340',
		'макросп'	=>	'00000340',
		'макрост'	=>	'00000340',
		'макросх'	=>	'00000340',
		'макротр'	=>	'00000340',
		'макрофл'	=>	'00000340',
		'макрофт'	=>	'00000340',
		'макроэв'	=>	'00000340',
		'макроэк'	=>	'00000340',
		'макроэл'	=>	'00000340',
		'макроэн'	=>	'00000340',
		'макроэр'	=>	'00000340',
		'макроэс'	=>	'00000340',
		'мегаом'	=>	'0000340',
		'мегапр'	=>	'0000340',
		'мегаск'	=>	'0000340',
		'мегасп'	=>	'0000340',
		'мегаэл'	=>	'0000340',
		'микроав'	=>	'00000340',
		'микроаг'	=>	'00000340',
		'микроад'	=>	'00000340',
		'микроам'	=>	'00000340',
		'микроан'	=>	'00000340',
		'микроар'	=>	'00000340',
		'микроас'	=>	'00000340',
		'микроау'	=>	'00000340',
		'микроаэ'	=>	'00000340',
		'микробл'	=>	'00000340',
		'микробр'	=>	'00000340',
		'микрогр'	=>	'00000340',
		'микродв'	=>	'00000340',
		'микроиз'	=>	'00000340',
		'микроин'	=>	'00000340',
		'микроис'	=>	'00000340',
		'микройо'	=>	'00000340',
		'микрокл'	=>	'00000340',
		'микрокн'	=>	'00000340',
		'микрокр'	=>	'00000340',
		'микрооб'	=>	'00000340',
		'микрооп'	=>	'00000340',
		'микроор'	=>	'00000340',
		'микроос'	=>	'00000340',
		'микропл'	=>	'00000340',
		'микропр'	=>	'00000340',
		'микроск'	=>	'00000340',
		'микросп'	=>	'00000340',
		'микрост'	=>	'00000340',
		'микросф'	=>	'00000340',
		'микросх'	=>	'00000340',
		'микротр'	=>	'00000340',
		'микрофл'	=>	'00000340',
		'микрохр'	=>	'00000340',
		'микроэв'	=>	'00000340',
		'микроэл'	=>	'00000340',
		'микроэм'	=>	'00000340',
		'микроэн'	=>	'00000340',
		'микроэр'	=>	'00000340',
		'миллиам'	=>	'00000340',
		'миллигр'	=>	'00000340',
		'миллиом'	=>	'00000340',
		'миллиэк'	=>	'00000340',
		'моноав'	=>	'0000340',
		'моноаз'	=>	'0000340',
		'моноал'	=>	'0000340',
		'моноам'	=>	'0000340',
		'моноан'	=>	'0000340',
		'моноар'	=>	'0000340',
		'моноат'	=>	'0000340',
		'моноац'	=>	'0000340',
		'монобл'	=>	'0000340',
		'монобр'	=>	'0000340',
		'моногл'	=>	'0000340',
		'моногр'	=>	'0000340',
		'моноиз'	=>	'0000340',
		'моноим'	=>	'0000340',
		'моноин'	=>	'0000340',
		'монокл'	=>	'0000340',
		'монокр'	=>	'0000340',
		'моноок'	=>	'0000340',
		'моноол'	=>	'0000340',
		'монопл'	=>	'0000340',
		'монопр'	=>	'0000340',
		'монопс'	=>	'0000340',
		'моносп'	=>	'0000340',
		'моност'	=>	'0000340',
		'монотр'	=>	'0000340',
		'монофт'	=>	'0000340',
		'монохл'	=>	'0000340',
		'монохр'	=>	'0000340',
		'моноэд'	=>	'0000340',
		'моноэн'	=>	'0000340',
		'моноэп'	=>	'0000340',
		'моноэт'	=>	'0000340',
		'моноэф'	=>	'0000340',
		'мотодр'	=>	'0000340',
		'мотокр'	=>	'0000340',
		'мотопл'	=>	'0000340',
		'мотопр'	=>	'0000340',
		'мотосп'	=>	'0000340',
		'мотошл'	=>	'0000340',
		'мь'	=>	'004',
		'нау'	=>	'0030',
		'наноад'	=>	'0000340',
		'нанопр'	=>	'0000340',
		'неоад'	=>	'000340',
		'неоан'	=>	'000340',
		'неоар'	=>	'000340',
		'необл'	=>	'000340',
		'неогл'	=>	'000340',
		'неогн'	=>	'000340',
		'неогр'	=>	'000340',
		'неоиз'	=>	'000340',
		'неоим'	=>	'000340',
		'неоин'	=>	'000340',
		'неокл'	=>	'000340',
		'неокр'	=>	'000340',
		'неопл'	=>	'000340',
		'неопр'	=>	'000340',
		'неохр'	=>	'000340',
		'неоэз'	=>	'000340',
		'неоэн'	=>	'000340',
		'неоэп'	=>	'000340',
		'неоэс'	=>	'000340',
		'нь'	=>	'004',
		'ортоал'	=>	'0000340',
		'ортоам'	=>	'0000340',
		'ортоан'	=>	'0000340',
		'ортоар'	=>	'0000340',
		'ортодр'	=>	'0000340',
		'ортоиз'	=>	'0000340',
		'ортокр'	=>	'0000340',
		'ортопл'	=>	'0000340',
		'ортопр'	=>	'0000340',
		'ортопс'	=>	'0000340',
		'ортосв'	=>	'0000340',
		'ортоск'	=>	'0000340',
		'ортост'	=>	'0000340',
		'ортотр'	=>	'0000340',
		'ортохл'	=>	'0000340',
		'ортохр'	=>	'0000340',
		'ортоэт'	=>	'0000340',
		'ортоэф'	=>	'0000340',
		'параак'	=>	'0000340',
		'параал'	=>	'0000340',
		'параам'	=>	'0000340',
		'параан'	=>	'0000340',
		'параап'	=>	'0000340',
		'параац'	=>	'0000340',
		'парабл'	=>	'0000340',
		'парагн'	=>	'0000340',
		'парагр'	=>	'0000340',
		'паракл'	=>	'0000340',
		'паракр'	=>	'0000340',
		'параок'	=>	'0000340',
		'парапл'	=>	'0000340',
		'парапс'	=>	'0000340',
		'парасп'	=>	'0000340',
		'парасф'	=>	'0000340',
		'парасц'	=>	'0000340',
		'паратр'	=>	'0000340',
		'парахл'	=>	'0000340',
		'парахр'	=>	'0000340',
		'параэл'	=>	'0000340',
		'параэт'	=>	'0000340',
		'паропр'	=>	'0000340',
		'полиав'	=>	'0000340',
		'полиад'	=>	'0000340',
		'полиаз'	=>	'0000340',
		'полиак'	=>	'0000340',
		'полиал'	=>	'0000340',
		'полиам'	=>	'0000340',
		'полиан'	=>	'0000340',
		'полиар'	=>	'0000340',
		'полиац'	=>	'0000340',
		'полибр'	=>	'0000340',
		'полигл'	=>	'0000340',
		'полигр'	=>	'0000340',
		'полииз'	=>	'0000340',
		'полиим'	=>	'0000340',
		'поликл'	=>	'0000340',
		'поликр'	=>	'0000340',
		'полиок'	=>	'0000340',
		'полиол'	=>	'0000340',
		'полипл'	=>	'0000340',
		'полипн'	=>	'0000340',
		'полипр'	=>	'0000340',
		'полисп'	=>	'0000340',
		'полист'	=>	'0000340',
		'полиур'	=>	'0000340',
		'полихл'	=>	'0000340',
		'полихр'	=>	'0000340',
		'полиэд'	=>	'0000340',
		'полиэк'	=>	'0000340',
		'полиэл'	=>	'0000340',
		'полиэн'	=>	'0000340',
		'полиэт'	=>	'0000340',
		'полиэф'	=>	'0000340',
		'преэк'	=>	'000340',
		'преюд'	=>	'000340',
		'проаг'	=>	'000340',
		'проак'	=>	'000340',
		'проам'	=>	'000340',
		'проан'	=>	'000340',
		'проау'	=>	'000340',
		'прогр'	=>	'000340',
		'проиг'	=>	'000340',
		'произ'	=>	'000340',
		'проил'	=>	'000340',
		'проин'	=>	'000340',
		'прокл'	=>	'000340',
		'просп'	=>	'000340',
		'прохр'	=>	'000340',
		'проэк'	=>	'000340',
		'проэм'	=>	'000340',
		'проэн'	=>	'000340',
		'проэр'	=>	'000340',
		'проэс'	=>	'000340',
		'протохл'	=>	'00000340',
		'протохр'	=>	'00000340',
		'протоэр'	=>	'00000340',
		'профгр'	=>	'0000340',
		'пъ'	=>	'004',
		'пь'	=>	'004',
		'реаб'	=>	'00340',
		'реаг'	=>	'00340',
		'реад'	=>	'00340',
		'реак'	=>	'00340',
		'реас'	=>	'00340',
		'реаф'	=>	'00340',
		'реаэ'	=>	'00340',
		'регр'	=>	'00340',
		'реим'	=>	'00340',
		'реин'	=>	'00340',
		'реиф'	=>	'00340',
		'рекр'	=>	'00340',
		'репр'	=>	'00340',
		'ретра'	=>	'003400',
		'ретроак'	=>	'00000340',
		'ретроау'	=>	'00000340',
		'ретрогр'	=>	'00000340',
		'ретроот'	=>	'00000340',
		'ретрофл'	=>	'00000340',
		'сантигр'	=>	'00000340',
		'стереоад'	=>	'000000340',
		'стереоак'	=>	'000000340',
		'стереобл'	=>	'000000340',
		'стереогр'	=>	'000000340',
		'стереоиз'	=>	'000000340',
		'стереоск'	=>	'000000340',
		'стереосп'	=>	'000000340',
		'стереотр'	=>	'000000340',
		'стереоэл'	=>	'000000340',
		'стереоэн'	=>	'000000340',
		'стереоэф'	=>	'000000340',
		'супераг'	=>	'00000340',
		'суперад'	=>	'00000340',
		'суперак'	=>	'00000340',
		'суперан'	=>	'00000340',
		'суперар'	=>	'00000340',
		'супераэ'	=>	'00000340',
		'супергр'	=>	'00000340',
		'суперес'	=>	'00000340',
		'супериз'	=>	'00000340',
		'суперик'	=>	'00000340',
		'суперим'	=>	'00000340',
		'суперин'	=>	'00000340',
		'суперкл'	=>	'00000340',
		'суперпр'	=>	'00000340',
		'суперск'	=>	'00000340',
		'суперсп'	=>	'00000340',
		'суперст'	=>	'00000340',
		'суперхр'	=>	'00000340',
		'суперэв'	=>	'00000340',
		'суперэк'	=>	'00000340',
		'суперэф'	=>	'00000340',
		'съ'	=>	'004',
		'сь'	=>	'004',
		'ть'	=>	'004',
		'фь'	=>	'004',
		'хризоид'	=>	'00000340',
		'хризопр'	=>	'00000340',
		'хризост'	=>	'00000340',
		'хь'	=>	'004',
		'электро'	=>	'00003000',
		'электроав'	=>	'0000300340',
		'электроаг'	=>	'0000300340',
		'электроак'	=>	'0000300340',
		'электроан'	=>	'0000300340',
		'электроаэ'	=>	'0000300340',
		'электробл'	=>	'0000300340',
		'электроиз'	=>	'0000300340',
		'электроис'	=>	'0000300340',
		'электрооб'	=>	'0000300340',
		'электроов'	=>	'0000300340',
		'электроог'	=>	'0000300340',
		'электроод'	=>	'0000300340',
		'электроок'	=>	'0000300340',
		'электрооп'	=>	'0000300340',
		'электроос'	=>	'0000300340',
		'электроот'	=>	'0000300340',
		'электрооф'	=>	'0000300340',
		'электрооч'	=>	'0000300340',
		'электрост'	=>	'0000300340',
		'электротр'	=>	'0000300340',
		'электроэк'	=>	'0000300340',
		'электроэн'	=>	'0000300340',
		'электроэр'	=>	'0000300340',
	),

	'end' => array(	),

	'all' => array(
		'ба'	=>	'100',
		'бе'	=>	'100',
		'бё'	=>	'100',
		'би'	=>	'100',
		'бо'	=>	'100',
		'бө'	=>	'100',
		'бу'	=>	'100',
		'бү'	=>	'100',
		'бы'	=>	'100',
		'бью'	=>	'1020',
		'бэ'	=>	'100',
		'бю'	=>	'100',
		'бя'	=>	'100',
		'ва'	=>	'100',
		'ве'	=>	'100',
		'вё'	=>	'100',
		'ви'	=>	'100',
		'во'	=>	'100',
		'вө'	=>	'100',
		'ву'	=>	'100',
		'вү'	=>	'100',
		'вы'	=>	'100',
		'вью'	=>	'1020',
		'вэ'	=>	'100',
		'вю'	=>	'100',
		'вя'	=>	'100',
		'га'	=>	'100',
		'ге'	=>	'100',
		'гё'	=>	'100',
		'ги'	=>	'100',
		'го'	=>	'100',
		'гө'	=>	'100',
		'гу'	=>	'100',
		'гү'	=>	'100',
		'гы'	=>	'100',
		'гью'	=>	'1020',
		'гэ'	=>	'100',
		'гю'	=>	'100',
		'гя'	=>	'100',
		'да'	=>	'100',
		'де'	=>	'100',
		'дё'	=>	'100',
		'ди'	=>	'100',
		'до'	=>	'100',
		'дө'	=>	'100',
		'ду'	=>	'100',
		'дү'	=>	'100',
		'ды'	=>	'100',
		'дью'	=>	'1020',
		'дэ'	=>	'100',
		'дю'	=>	'100',
		'дя'	=>	'100',
		'жа'	=>	'100',
		'же'	=>	'100',
		'жё'	=>	'100',
		'жи'	=>	'100',
		'жо'	=>	'100',
		'жө'	=>	'100',
		'жу'	=>	'100',
		'жү'	=>	'100',
		'жэ'	=>	'100',
		'жю'	=>	'100',
		'жя'	=>	'100',
		'за'	=>	'100',
		'зе'	=>	'100',
		'зё'	=>	'100',
		'зи'	=>	'100',
		'зо'	=>	'100',
		'зө'	=>	'100',
		'зу'	=>	'100',
		'зү'	=>	'100',
		'зы'	=>	'100',
		'зью'	=>	'1020',
		'зэ'	=>	'100',
		'зю'	=>	'100',
		'зя'	=>	'100',
		'ка'	=>	'100',
		'ке'	=>	'100',
		'кё'	=>	'100',
		'ки'	=>	'100',
		'ко'	=>	'100',
		'ку'	=>	'100',
		'кү'	=>	'100',
		'кэ'	=>	'100',
		'кю'	=>	'100',
		'кя'	=>	'100',
		'ла'	=>	'100',
		'ле'	=>	'100',
		'лё'	=>	'100',
		'ли'	=>	'100',
		'ло'	=>	'100',
		'лө'	=>	'100',
		'лу'	=>	'100',
		'лү'	=>	'100',
		'лы'	=>	'100',
		'лэ'	=>	'100',
		'лю'	=>	'100',
		'ля'	=>	'100',
		'ма'	=>	'100',
		'ме'	=>	'100',
		'мё'	=>	'100',
		'ми'	=>	'100',
		'мо'	=>	'100',
		'мө'	=>	'100',
		'му'	=>	'100',
		'мү'	=>	'100',
		'мы'	=>	'100',
		'мэ'	=>	'100',
		'мю'	=>	'100',
		'мя'	=>	'100',
		'на'	=>	'100',
		'не'	=>	'100',
		'нё'	=>	'100',
		'ни'	=>	'100',
		'но'	=>	'100',
		'нө'	=>	'100',
		'ну'	=>	'100',
		'нү'	=>	'100',
		'ны'	=>	'100',
		'нью'	=>	'1020',
		'нэ'	=>	'100',
		'ню'	=>	'100',
		'ня'	=>	'100',
		'па'	=>	'100',
		'пе'	=>	'100',
		'пё'	=>	'100',
		'пи'	=>	'100',
		'по'	=>	'100',
		'пө'	=>	'100',
		'пу'	=>	'100',
		'пү'	=>	'100',
		'пы'	=>	'100',
		'пью'	=>	'1020',
		'пэ'	=>	'100',
		'пю'	=>	'100',
		'пя'	=>	'100',
		'ра'	=>	'100',
		'ре'	=>	'100',
		'рё'	=>	'100',
		'ри'	=>	'100',
		'ро'	=>	'100',
		'рө'	=>	'100',
		'ру'	=>	'100',
		'рү'	=>	'100',
		'ры'	=>	'100',
		'рэ'	=>	'100',
		'рю'	=>	'100',
		'ря'	=>	'100',
		'са'	=>	'100',
		'се'	=>	'100',
		'сё'	=>	'100',
		'си'	=>	'100',
		'со'	=>	'100',
		'сө'	=>	'100',
		'су'	=>	'100',
		'сү'	=>	'100',
		'сы'	=>	'100',
		'сэ'	=>	'100',
		'сю'	=>	'100',
		'ся'	=>	'100',
		'та'	=>	'100',
		'те'	=>	'100',
		'тё'	=>	'100',
		'ти'	=>	'100',
		'то'	=>	'100',
		'тө'	=>	'100',
		'ту'	=>	'100',
		'тү'	=>	'100',
		'ты'	=>	'100',
		'тью'	=>	'1020',
		'тэ'	=>	'100',
		'тю'	=>	'100',
		'тя'	=>	'100',
		'фа'	=>	'100',
		'фе'	=>	'100',
		'фё'	=>	'100',
		'фи'	=>	'100',
		'фо'	=>	'100',
		'фу'	=>	'100',
		'фы'	=>	'100',
		'фэ'	=>	'100',
		'фю'	=>	'100',
		'фя'	=>	'100',
		'ха'	=>	'100',
		'хе'	=>	'100',
		'хё'	=>	'100',
		'хи'	=>	'100',
		'хо'	=>	'100',
		'хө'	=>	'100',
		'ху'	=>	'100',
		'хү'	=>	'100',
		'хы'	=>	'100',
		'хэ'	=>	'100',
		'хю'	=>	'100',
		'хя'	=>	'100',
		'ца'	=>	'100',
		'це'	=>	'100',
		'цё'	=>	'100',
		'ци'	=>	'100',
		'цо'	=>	'100',
		'цө'	=>	'100',
		'цу'	=>	'100',
		'цү'	=>	'100',
		'цы'	=>	'100',
		'цэ'	=>	'100',
		'цю'	=>	'100',
		'ця'	=>	'100',
		'ча'	=>	'100',
		'че'	=>	'100',
		'чё'	=>	'100',
		'чи'	=>	'100',
		'чо'	=>	'100',
		'чө'	=>	'100',
		'чу'	=>	'100',
		'чү'	=>	'100',
		'чэ'	=>	'100',
		'чю'	=>	'100',
		'чя'	=>	'100',
		'ша'	=>	'100',
		'ше'	=>	'100',
		'шё'	=>	'100',
		'ши'	=>	'100',
		'шо'	=>	'100',
		'шө'	=>	'100',
		'шу'	=>	'100',
		'шү'	=>	'100',
		'шэ'	=>	'100',
		'шю'	=>	'100',
		'шя'	=>	'100',
		'ща'	=>	'100',
		'ще'	=>	'100',
		'щи'	=>	'100',
		'щу'	=>	'100',
		'ая'	=>	'210',
		'аа'	=>	'200',
		'бюу'	=>	'2340',
		'бюү'	=>	'2340',
		'вюу'	=>	'2340',
		'вюү'	=>	'2340',
		'гюу'	=>	'2340',
		'гюү'	=>	'2340',
		'дюу'	=>	'2340',
		'дюү'	=>	'2340',
		'жюу'	=>	'2340',
		'жюү'	=>	'2340',
		'зюу'	=>	'2340',
		'зюү'	=>	'2340',
		'ие'	=>	'210',
		'йе'	=>	'210',
		'йё'	=>	'210',
		'йю'	=>	'210',
		'йя'	=>	'210',
		'люу'	=>	'2340',
		'люү'	=>	'2340',
		'мюу'	=>	'2340',
		'мюү'	=>	'2340',
		'нюу'	=>	'2340',
		'нюү'	=>	'2340',
		'ое'	=>	'210',
		'оё'	=>	'210',
		'оя'	=>	'210',
		'оо'	=>	'200',
		'өе'	=>	'210',
		'өө'	=>	'200',
		'пюу'	=>	'2340',
		'пюү'	=>	'2340',
		'рюу'	=>	'2340',
		'рюү'	=>	'2340',
		'сюу'	=>	'2340',
		'сюү'	=>	'2340',
		'тюу'	=>	'2340',
		'тюү'	=>	'2340',
		'уя'	=>	'210',
		'ую'	=>	'230',
		'уу'	=>	'200',
		'үү'	=>	'200',
		'хюу'	=>	'2340',
		'хюү'	=>	'2340',
		'цюу'	=>	'2340',
		'цюү'	=>	'2340',
		'чюу'	=>	'2340',
		'чюү'	=>	'2340',
		'шюу'	=>	'2340',
		'шюү'	=>	'2340',
		'ъе'	=>	'230',
		'ъё'	=>	'230',
		'ъю'	=>	'230',
		'ъя'	=>	'230',
		'ье'	=>	'230',
		'ьё'	=>	'230',
		'ья'	=>	'230',
		'эе'	=>	'230',
		'ээ'	=>	'200',
		'юа'	=>	'230',
		'юи'	=>	'230',
		'юо'	=>	'230',
		'авто'	=>	'30000',
		'актив'	=>	'300000',
		'аппа'	=>	'30000',
		'град'	=>	'34000',
		'грам'	=>	'34000',
		'граф'	=>	'34000',
		'импул'	=>	'304000',
		'инстру'	=>	'3030400',
		'интер'	=>	'303040',
		'ква'	=>	'3400',
		'клас'	=>	'34000',
		'кри'	=>	'3400',
		'оптик'	=>	'303000',
		'проек'	=>	'330000',
		'про'	=>	'3400',
		'скоп'	=>	'34000',
		'сфе'	=>	'3400',
		'схе'	=>	'3400',
		'скла'	=>	'30400',
		'скле'	=>	'30400',
		'скло'	=>	'30400',
		'скля'	=>	'30400',
		'скра'	=>	'30400',
		'скре'	=>	'30400',
		'скри'	=>	'30400',
		'скро'	=>	'30400',
		'скру'	=>	'30400',
		'скры'	=>	'30400',
		'спла'	=>	'30400',
		'стра'	=>	'30400',
		'стре'	=>	'30400',
		'стри'	=>	'30400',
		'стро'	=>	'30400',
		'струк'	=>	'304000',
		'фрагм'	=>	'340000',
		'хлор'	=>	'34000',
		'хром'	=>	'34000',
		'штаб'	=>	'32000',
		'штат'	=>	'32000',
		'экви'	=>	'34500',
		'эко'	=>	'3400',
		'элект'	=>	'340040',
		'элеме'	=>	'340000',
		'энерг'	=>	'340000',
		'энтро'	=>	'340000',
		'эффе'	=>	'30000',
	),
);

