<?php

/*
	Project: wp-Typography
	Project URI: https://code.mundschenk.at/wp-typography/

	File modified to place pattern and exceptions in arrays that can be understood in php files.
	This file is released under the same copyright as the below referenced original file
	Original unmodified file is available at: http://ctan.mirrorcatalogs.com/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/
	Original file name: hyph-sa.tex

//============================================================================================================
	ORIGINAL FILE INFO

		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		%
		% File name: hyph-sa.tex
		%
		% Unicode hyphenation patterns for Sanskrit and Prakrit in transliteration,
		% and in Devanagari, Bengali, Kannada, Malayalam and Telugu scripts.
		%
		% Created:        April 1st, 2005
		% First release:  June 8th, 2006
		% Revised:        September 14th, 2011
		% Version:        0.6
		%
		% Created by Yves Codet. Special thanks to Jonathan Kew and Benjamin Varghese who provided very useful informations.
		%
		% Copyright 2006-2011 Yves Codet.
		% You may freely use, copy, modify and/or distribute this file.
		%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


//============================================================================================================

*/

$patgenLanguage = 'Sanskrit';

$patgenExceptions = array();

$patgenMaxSeg = 4;

$patgen = array(
	'begin' => array(	),

	'end' => array(
		'k'	=>	'20',
		'kh'	=>	'200',
		'g'	=>	'20',
		'gh'	=>	'200',
		'ṅ'	=>	'200',
		'c'	=>	'20',
		'ch'	=>	'200',
		'j'	=>	'20',
		'jh'	=>	'200',
		'ñ'	=>	'200',
		'ṭ'	=>	'200',
		'ṭh'	=>	'2000',
		'ḍ'	=>	'200',
		'ḍh'	=>	'2000',
		'ṇ'	=>	'200',
		't'	=>	'20',
		'th'	=>	'200',
		'd'	=>	'20',
		'dh'	=>	'200',
		'n'	=>	'20',
		'p'	=>	'20',
		'ph'	=>	'200',
		'b'	=>	'20',
		'bh'	=>	'200',
		'm'	=>	'20',
		'y'	=>	'20',
		'r'	=>	'20',
		'l'	=>	'20',
		'ḷ'	=>	'200',
		'v'	=>	'20',
		'ś'	=>	'200',
		'ṣ'	=>	'200',
		's'	=>	'20',
		'h'	=>	'20',
		'rk'	=>	'200',
		'rg'	=>	'200',
		'rṭ'	=>	'2000',
		'rḍ'	=>	'2000',
		'rt'	=>	'200',
		'rd'	=>	'200',
		'rp'	=>	'200',
		'rb'	=>	'200',
		'ṅ'	=>	'20',
		'ñ'	=>	'20',
		'ṭ'	=>	'20',
		'ṭh'	=>	'200',
		'ḍ'	=>	'20',
		'ḍh'	=>	'200',
		'ṇ'	=>	'20',
		'ḷ'	=>	'20',
		'ś'	=>	'20',
		'ṣ'	=>	'20',
		'rṭ'	=>	'200',
		'rḍ'	=>	'200',
		'क्'	=>	'200',
		'ख्'	=>	'200',
		'ग्'	=>	'200',
		'घ्'	=>	'200',
		'ङ्'	=>	'200',
		'च्'	=>	'200',
		'छ्'	=>	'200',
		'ज्'	=>	'200',
		'झ्'	=>	'200',
		'ञ्'	=>	'200',
		'ट्'	=>	'200',
		'ठ्'	=>	'200',
		'ड्'	=>	'200',
		'ढ्'	=>	'200',
		'ण्'	=>	'200',
		'त्'	=>	'200',
		'थ्'	=>	'200',
		'द्'	=>	'200',
		'ध्'	=>	'200',
		'न्'	=>	'200',
		'प्'	=>	'200',
		'फ्'	=>	'200',
		'ब्'	=>	'200',
		'भ्'	=>	'200',
		'म्'	=>	'200',
		'य्'	=>	'200',
		'र्'	=>	'200',
		'ल्'	=>	'200',
		'ळ्'	=>	'200',
		'व्'	=>	'200',
		'श्'	=>	'200',
		'ष्'	=>	'200',
		'स्'	=>	'200',
		'ह्'	=>	'200',
		'र्क्'	=>	'20000',
		'र्ट्'	=>	'20000',
		'र्त्'	=>	'20000',
		'र्प्'	=>	'20000',
		'ক্'	=>	'200',
		'খ্'	=>	'200',
		'গ্'	=>	'200',
		'ঘ্'	=>	'200',
		'ঙ্'	=>	'200',
		'চ্'	=>	'200',
		'ছ্'	=>	'200',
		'জ্'	=>	'200',
		'ঝ্'	=>	'200',
		'ঞ্'	=>	'200',
		'ট্'	=>	'200',
		'ঠ্'	=>	'200',
		'ড্'	=>	'200',
		'ড়্'	=>	'200',
		'ঢ্'	=>	'200',
		'ঢ়্'	=>	'200',
		'ণ্'	=>	'200',
		'ত্'	=>	'200',
		'থ্'	=>	'200',
		'দ্'	=>	'200',
		'ধ্'	=>	'200',
		'ন্'	=>	'200',
		'প্'	=>	'200',
		'ফ্'	=>	'200',
		'ব্'	=>	'200',
		'ভ্'	=>	'200',
		'ম্'	=>	'200',
		'য্'	=>	'200',
		'য়্'	=>	'200',
		'র্'	=>	'200',
		'ল্'	=>	'200',
		'শ্'	=>	'200',
		'ষ্'	=>	'200',
		'স্'	=>	'200',
		'হ্'	=>	'200',
		'র্ক'	=>	'2000',
		'র্ট'	=>	'2000',
		'র্ত'	=>	'2000',
		'র্প'	=>	'2000',
		'ક્'	=>	'200',
		'ખ્'	=>	'200',
		'ગ્'	=>	'200',
		'ઘ્'	=>	'200',
		'ઙ્'	=>	'200',
		'ચ્'	=>	'200',
		'છ્'	=>	'200',
		'જ્'	=>	'200',
		'ઝ્'	=>	'200',
		'ઞ્'	=>	'200',
		'ટ્'	=>	'200',
		'ઠ્'	=>	'200',
		'ડ્'	=>	'200',
		'ઢ્'	=>	'200',
		'ણ્'	=>	'200',
		'ત્'	=>	'200',
		'થ્'	=>	'200',
		'દ્'	=>	'200',
		'ધ્'	=>	'200',
		'ન્'	=>	'200',
		'પ્'	=>	'200',
		'ફ્'	=>	'200',
		'બ્'	=>	'200',
		'ભ્'	=>	'200',
		'મ્'	=>	'200',
		'ય્'	=>	'200',
		'ર્'	=>	'200',
		'લ્'	=>	'200',
		'ળ્'	=>	'200',
		'વ્'	=>	'200',
		'શ્'	=>	'200',
		'ષ્'	=>	'200',
		'સ્'	=>	'200',
		'હ્'	=>	'200',
		'ર્ક'	=>	'2000',
		'ર્ટ'	=>	'2000',
		'ર્ત'	=>	'2000',
		'ર્પ'	=>	'2000',
		'ಕ್'	=>	'200',
		'ಖ್'	=>	'200',
		'ಗ್'	=>	'200',
		'ಘ್'	=>	'200',
		'ಙ್'	=>	'200',
		'ಚ್'	=>	'200',
		'ಛ್'	=>	'200',
		'ಜ್'	=>	'200',
		'ಝ್'	=>	'200',
		'ಞ್'	=>	'200',
		'ಟ್'	=>	'200',
		'ಠ್'	=>	'200',
		'ಡ್'	=>	'200',
		'ಢ್'	=>	'200',
		'ಣ್'	=>	'200',
		'ತ್'	=>	'200',
		'ಥ್'	=>	'200',
		'ದ್'	=>	'200',
		'ಧ್'	=>	'200',
		'ನ್'	=>	'200',
		'ಪ್'	=>	'200',
		'ಫ್'	=>	'200',
		'ಬ್'	=>	'200',
		'ಭ್'	=>	'200',
		'ಮ್'	=>	'200',
		'ಯ್'	=>	'200',
		'ರ್'	=>	'200',
		'ಱ್'	=>	'200',
		'ಲ್'	=>	'200',
		'ಳ್'	=>	'200',
		'ವ್'	=>	'200',
		'ಶ್'	=>	'200',
		'ಷ್'	=>	'200',
		'ಸ್'	=>	'200',
		'ಹ್'	=>	'200',
		'ರ್ಕ'	=>	'2000',
		'ರ್ಟ'	=>	'2000',
		'ರ್ತ'	=>	'2000',
		'ರ್ಪ'	=>	'2000',
		'ക്'	=>	'200',
		'ഖ്'	=>	'200',
		'ഗ്'	=>	'200',
		'ഘ്'	=>	'200',
		'ങ്'	=>	'200',
		'ച്'	=>	'200',
		'ഛ്'	=>	'200',
		'ജ്'	=>	'200',
		'ഝ്'	=>	'200',
		'ഞ്'	=>	'200',
		'ട്'	=>	'200',
		'ഠ്'	=>	'200',
		'ഡ്'	=>	'200',
		'ഢ്'	=>	'200',
		'ണ്'	=>	'200',
		'ത്'	=>	'200',
		'ഥ്'	=>	'200',
		'ദ്'	=>	'200',
		'ധ്'	=>	'200',
		'ന്'	=>	'200',
		'പ്'	=>	'200',
		'ഫ്'	=>	'200',
		'ബ്'	=>	'200',
		'ഭ്'	=>	'200',
		'മ്'	=>	'200',
		'യ്'	=>	'200',
		'ര്'	=>	'200',
		'റ്'	=>	'200',
		'ല്'	=>	'200',
		'ള്'	=>	'200',
		'ഴ്'	=>	'200',
		'വ്'	=>	'200',
		'ശ്'	=>	'200',
		'ഷ്'	=>	'200',
		'സ്'	=>	'200',
		'ഹ്'	=>	'200',
		'ര്ക'	=>	'2000',
		'ര്ട'	=>	'2000',
		'ര്ത'	=>	'2000',
		'ര്പ'	=>	'2000',
		'క్'	=>	'200',
		'ఖ్'	=>	'200',
		'గ్'	=>	'200',
		'ఘ్'	=>	'200',
		'ఙ్'	=>	'200',
		'చ్'	=>	'200',
		'ఛ్'	=>	'200',
		'జ్'	=>	'200',
		'ఝ్'	=>	'200',
		'ఞ్'	=>	'200',
		'ట్'	=>	'200',
		'ఠ్'	=>	'200',
		'డ్'	=>	'200',
		'ఢ్'	=>	'200',
		'ణ్'	=>	'200',
		'త్'	=>	'200',
		'థ్'	=>	'200',
		'ద్'	=>	'200',
		'ధ్'	=>	'200',
		'న్'	=>	'200',
		'ప్'	=>	'200',
		'ఫ్'	=>	'200',
		'బ్'	=>	'200',
		'భ్'	=>	'200',
		'మ్'	=>	'200',
		'య్'	=>	'200',
		'ర్'	=>	'200',
		'ఱ్'	=>	'200',
		'ల్'	=>	'200',
		'ళ్'	=>	'200',
		'వ్'	=>	'200',
		'శ్'	=>	'200',
		'ష్'	=>	'200',
		'స్'	=>	'200',
		'హ్'	=>	'200',
		'ర్క్'	=>	'20000',
		'ర్ట్'	=>	'20000',
		'ర్త్'	=>	'20000',
		'ర్ప్'	=>	'20000',
	),

	'all' => array(
		'‍'	=>	'22',
		'‌'	=>	'22',
		'a'	=>	'01',
		'ā'	=>	'001',
		'i'	=>	'01',
		'ï'	=>	'001',
		'ī'	=>	'001',
		'u'	=>	'01',
		'ü'	=>	'001',
		'ū'	=>	'001',
		'r̥'	=>	'001',
		'ṛ'	=>	'001',
		'r̥̄'	=>	'0001',
		'ṝ'	=>	'0001',
		'l̥'	=>	'001',
		'ḷ'	=>	'001',
		'l̥̄'	=>	'0001',
		'ḹ'	=>	'0001',
		'e'	=>	'01',
		'o'	=>	'01',
		'ai'	=>	'021',
		'au'	=>	'021',
		'aï'	=>	'0301',
		'aü'	=>	'0301',
		'ṃ'	=>	'201',
		'ṁ'	=>	'201',
		'm̐'	=>	'201',
		'ḥ'	=>	'201',
		'ẖ'	=>	'201',
		'ḫ'	=>	'201',
		'̮'	=>	'20',
		'̐'	=>	'20',
		'̄'	=>	'20',
		'̱'	=>	'21',
		'́'	=>	'21',
		'̀'	=>	'21',
		'̈'	=>	'20',
		'á'	=>	'01',
		'à'	=>	'01',
		'ā'	=>	'01',
		'í'	=>	'01',
		'ì'	=>	'01',
		'ï'	=>	'01',
		'ī'	=>	'01',
		'ú'	=>	'01',
		'ù'	=>	'01',
		'ü'	=>	'01',
		'ū'	=>	'01',
		'é'	=>	'01',
		'è'	=>	'01',
		'ó'	=>	'01',
		'ò'	=>	'01',
		'aí'	=>	'021',
		'aì'	=>	'021',
		'aú'	=>	'021',
		'aù'	=>	'021',
		'aï'	=>	'031',
		'aü'	=>	'031',
		'ṃ'	=>	'21',
		'ṁ'	=>	'21',
		'ḥ'	=>	'21',
		'ẖ'	=>	'21',
		'ḫ'	=>	'21',
		'अ'	=>	'11',
		'आ'	=>	'11',
		'इ'	=>	'11',
		'ई'	=>	'11',
		'उ'	=>	'11',
		'ऊ'	=>	'11',
		'ऋ'	=>	'11',
		'ॠ'	=>	'11',
		'ऌ'	=>	'11',
		'ॡ'	=>	'11',
		'ए'	=>	'11',
		'ऐ'	=>	'11',
		'ओ'	=>	'11',
		'औ'	=>	'11',
		'ा'	=>	'21',
		'ि'	=>	'21',
		'ी'	=>	'21',
		'ु'	=>	'21',
		'ू'	=>	'21',
		'ृ'	=>	'21',
		'ॄ'	=>	'21',
		'ॢ'	=>	'21',
		'ॣ'	=>	'21',
		'े'	=>	'21',
		'ै'	=>	'21',
		'ो'	=>	'21',
		'ौ'	=>	'21',
		'क'	=>	'11',
		'ख'	=>	'11',
		'ग'	=>	'11',
		'घ'	=>	'11',
		'ङ'	=>	'11',
		'च'	=>	'11',
		'छ'	=>	'11',
		'ज'	=>	'11',
		'झ'	=>	'11',
		'ञ'	=>	'11',
		'ट'	=>	'11',
		'ठ'	=>	'11',
		'ड'	=>	'11',
		'ढ'	=>	'11',
		'ण'	=>	'11',
		'त'	=>	'11',
		'थ'	=>	'11',
		'द'	=>	'11',
		'ध'	=>	'11',
		'न'	=>	'11',
		'प'	=>	'11',
		'फ'	=>	'11',
		'ब'	=>	'11',
		'भ'	=>	'11',
		'म'	=>	'11',
		'य'	=>	'11',
		'र'	=>	'11',
		'ल'	=>	'11',
		'ळ'	=>	'11',
		'व'	=>	'11',
		'श'	=>	'11',
		'ष'	=>	'11',
		'स'	=>	'11',
		'ह'	=>	'11',
		'ँ'	=>	'20',
		'ं'	=>	'20',
		'ः'	=>	'20',
		'ऽ'	=>	'22',
		'॑'	=>	'20',
		'॒'	=>	'20',
		'्'	=>	'22',
		'অ'	=>	'11',
		'আ'	=>	'11',
		'ই'	=>	'11',
		'ঈ'	=>	'11',
		'উ'	=>	'11',
		'ঊ'	=>	'11',
		'ঋ'	=>	'11',
		'ৠ'	=>	'11',
		'ঌ'	=>	'11',
		'ৡ'	=>	'11',
		'এ'	=>	'11',
		'ঐ'	=>	'11',
		'ও'	=>	'11',
		'ঔ'	=>	'11',
		'া'	=>	'21',
		'ি'	=>	'21',
		'ী'	=>	'21',
		'ু'	=>	'21',
		'ূ'	=>	'21',
		'ৃ'	=>	'21',
		'ৄ'	=>	'21',
		'ৢ'	=>	'21',
		'ৣ'	=>	'21',
		'ে'	=>	'21',
		'ৈ'	=>	'21',
		'ো'	=>	'21',
		'ৌ'	=>	'21',
		'ক'	=>	'11',
		'খ'	=>	'11',
		'গ'	=>	'11',
		'ঘ'	=>	'11',
		'ঙ'	=>	'11',
		'চ'	=>	'11',
		'ছ'	=>	'11',
		'জ'	=>	'11',
		'ঝ'	=>	'11',
		'ঞ'	=>	'11',
		'ট'	=>	'11',
		'ঠ'	=>	'11',
		'ড'	=>	'11',
		'ড়'	=>	'11',
		'ঢ'	=>	'11',
		'ঢ়'	=>	'11',
		'ণ'	=>	'11',
		'ত'	=>	'11',
		'থ'	=>	'11',
		'দ'	=>	'11',
		'ধ'	=>	'11',
		'ন'	=>	'11',
		'প'	=>	'11',
		'ফ'	=>	'11',
		'ব'	=>	'11',
		'ভ'	=>	'11',
		'ম'	=>	'11',
		'য'	=>	'11',
		'য়'	=>	'11',
		'র'	=>	'11',
		'ল'	=>	'11',
		'শ'	=>	'11',
		'ষ'	=>	'11',
		'স'	=>	'11',
		'হ'	=>	'11',
		'ৎ'	=>	'12',
		'ঁ'	=>	'20',
		'ং'	=>	'20',
		'ঃ'	=>	'20',
		'ঽ'	=>	'22',
		'়'	=>	'20',
		'ৗ'	=>	'20',
		'্'	=>	'22',
		'અ'	=>	'11',
		'આ'	=>	'11',
		'ઇ'	=>	'11',
		'ઈ'	=>	'11',
		'ઉ'	=>	'11',
		'ઊ'	=>	'11',
		'ઋ'	=>	'11',
		'ૠ'	=>	'11',
		'ઌ'	=>	'11',
		'ૡ'	=>	'11',
		'એ'	=>	'11',
		'ઐ'	=>	'11',
		'ઓ'	=>	'11',
		'ઔ'	=>	'11',
		'ા'	=>	'21',
		'િ'	=>	'21',
		'ી'	=>	'21',
		'ુ'	=>	'21',
		'ૂ'	=>	'21',
		'ૃ'	=>	'21',
		'ૄ'	=>	'21',
		'ૢ'	=>	'21',
		'ૣ'	=>	'21',
		'ે'	=>	'21',
		'ૈ'	=>	'21',
		'ો'	=>	'21',
		'ૌ'	=>	'21',
		'ક'	=>	'11',
		'ખ'	=>	'11',
		'ગ'	=>	'11',
		'ઘ'	=>	'11',
		'ઙ'	=>	'11',
		'ચ'	=>	'11',
		'છ'	=>	'11',
		'જ'	=>	'11',
		'ઝ'	=>	'11',
		'ઞ'	=>	'11',
		'ટ'	=>	'11',
		'ઠ'	=>	'11',
		'ડ'	=>	'11',
		'ઢ'	=>	'11',
		'ણ'	=>	'11',
		'ત'	=>	'11',
		'થ'	=>	'11',
		'દ'	=>	'11',
		'ધ'	=>	'11',
		'ન'	=>	'11',
		'પ'	=>	'11',
		'ફ'	=>	'11',
		'બ'	=>	'11',
		'ભ'	=>	'11',
		'મ'	=>	'11',
		'ય'	=>	'11',
		'ર'	=>	'11',
		'લ'	=>	'11',
		'ળ'	=>	'11',
		'વ'	=>	'11',
		'શ'	=>	'11',
		'ષ'	=>	'11',
		'સ'	=>	'11',
		'હ'	=>	'11',
		'ઁ'	=>	'20',
		'ં'	=>	'20',
		'ઃ'	=>	'20',
		'ઽ'	=>	'22',
		'્'	=>	'22',
		'ಅ'	=>	'11',
		'ಆ'	=>	'11',
		'ಇ'	=>	'11',
		'ಈ'	=>	'11',
		'ಉ'	=>	'11',
		'ಊ'	=>	'11',
		'ಋ'	=>	'11',
		'ೠ'	=>	'11',
		'ಌ'	=>	'11',
		'ೡ'	=>	'11',
		'ಎ'	=>	'11',
		'ಏ'	=>	'11',
		'ಐ'	=>	'11',
		'ಒ'	=>	'11',
		'ಓ'	=>	'11',
		'ಔ'	=>	'11',
		'ಾ'	=>	'21',
		'ಿ'	=>	'21',
		'ೀ'	=>	'21',
		'ು'	=>	'21',
		'ೂ'	=>	'21',
		'ೃ'	=>	'21',
		'ೄ'	=>	'21',
		'ೆ'	=>	'21',
		'ೇ'	=>	'21',
		'ೈ'	=>	'21',
		'ೊ'	=>	'21',
		'ೋ'	=>	'21',
		'ೌ'	=>	'21',
		'ಕ'	=>	'11',
		'ಖ'	=>	'11',
		'ಗ'	=>	'11',
		'ಘ'	=>	'11',
		'ಙ'	=>	'11',
		'ಚ'	=>	'11',
		'ಛ'	=>	'11',
		'ಜ'	=>	'11',
		'ಝ'	=>	'11',
		'ಞ'	=>	'11',
		'ಟ'	=>	'11',
		'ಠ'	=>	'11',
		'ಡ'	=>	'11',
		'ಢ'	=>	'11',
		'ಣ'	=>	'11',
		'ತ'	=>	'11',
		'ಥ'	=>	'11',
		'ದ'	=>	'11',
		'ಧ'	=>	'11',
		'ನ'	=>	'11',
		'ಪ'	=>	'11',
		'ಫ'	=>	'11',
		'ಬ'	=>	'11',
		'ಭ'	=>	'11',
		'ಮ'	=>	'11',
		'ಯ'	=>	'11',
		'ರ'	=>	'11',
		'ಱ'	=>	'11',
		'ಲ'	=>	'11',
		'ಳ'	=>	'11',
		'ೞ'	=>	'11',
		'ವ'	=>	'11',
		'ಶ'	=>	'11',
		'ಷ'	=>	'11',
		'ಸ'	=>	'11',
		'ಹ'	=>	'11',
		'ಂ'	=>	'20',
		'ಃ'	=>	'20',
		'ೱ'	=>	'20',
		'ೲ'	=>	'20',
		'ಽ'	=>	'22',
		'ೕ'	=>	'20',
		'ೖ'	=>	'20',
		'್'	=>	'22',
		'അ'	=>	'11',
		'ആ'	=>	'11',
		'ഇ'	=>	'11',
		'ഈ'	=>	'11',
		'ഉ'	=>	'11',
		'ഊ'	=>	'11',
		'ഋ'	=>	'11',
		'ൠ'	=>	'11',
		'ഌ'	=>	'11',
		'ൡ'	=>	'11',
		'എ'	=>	'11',
		'ഏ'	=>	'11',
		'ഐ'	=>	'11',
		'ഒ'	=>	'11',
		'ഓ'	=>	'11',
		'ഔ'	=>	'11',
		'ാ'	=>	'21',
		'ി'	=>	'21',
		'ീ'	=>	'21',
		'ു'	=>	'21',
		'ൂ'	=>	'21',
		'ൃ'	=>	'21',
		'െ'	=>	'21',
		'േ'	=>	'21',
		'ൈ'	=>	'21',
		'ൊ'	=>	'21',
		'ോ'	=>	'21',
		'ൌ'	=>	'21',
		'ക'	=>	'11',
		'ഖ'	=>	'11',
		'ഗ'	=>	'11',
		'ഘ'	=>	'11',
		'ങ'	=>	'11',
		'ച'	=>	'11',
		'ഛ'	=>	'11',
		'ജ'	=>	'11',
		'ഝ'	=>	'11',
		'ഞ'	=>	'11',
		'ട'	=>	'11',
		'ഠ'	=>	'11',
		'ഡ'	=>	'11',
		'ഢ'	=>	'11',
		'ണ'	=>	'11',
		'ത'	=>	'11',
		'ഥ'	=>	'11',
		'ദ'	=>	'11',
		'ധ'	=>	'11',
		'ന'	=>	'11',
		'പ'	=>	'11',
		'ഫ'	=>	'11',
		'ബ'	=>	'11',
		'ഭ'	=>	'11',
		'മ'	=>	'11',
		'യ'	=>	'11',
		'ര'	=>	'11',
		'റ'	=>	'11',
		'ല'	=>	'11',
		'ള'	=>	'11',
		'ഴ'	=>	'11',
		'വ'	=>	'11',
		'ശ'	=>	'11',
		'ഷ'	=>	'11',
		'സ'	=>	'11',
		'ഹ'	=>	'11',
		'ൺ'	=>	'21',
		'ൻ'	=>	'21',
		'ർ'	=>	'21',
		'ൽ'	=>	'21',
		'ൾ'	=>	'21',
		'ൿ'	=>	'21',
		'ണ്‍'	=>	'2001',
		'ന്‍'	=>	'2001',
		'ര്‍'	=>	'2001',
		'ല്‍'	=>	'2001',
		'ത്‍'	=>	'2001',
		'ള്‍'	=>	'2001',
		'ക്‍'	=>	'2001',
		'ം'	=>	'20',
		'ഃ'	=>	'20',
		'ൗ'	=>	'20',
		'്'	=>	'22',
		'అ'	=>	'11',
		'ఆ'	=>	'11',
		'ఇ'	=>	'11',
		'ఈ'	=>	'11',
		'ఉ'	=>	'11',
		'ఊ'	=>	'11',
		'ఋ'	=>	'11',
		'ౠ'	=>	'11',
		'ఌ'	=>	'11',
		'ౡ'	=>	'11',
		'ఎ'	=>	'11',
		'ఏ'	=>	'11',
		'ఐ'	=>	'11',
		'ఒ'	=>	'11',
		'ఓ'	=>	'11',
		'ఔ'	=>	'11',
		'ా'	=>	'21',
		'ి'	=>	'21',
		'ీ'	=>	'21',
		'ు'	=>	'21',
		'ూ'	=>	'21',
		'ృ'	=>	'21',
		'ౄ'	=>	'21',
		'ె'	=>	'21',
		'ే'	=>	'21',
		'ై'	=>	'21',
		'ొ'	=>	'21',
		'ో'	=>	'21',
		'ౌ'	=>	'21',
		'క'	=>	'11',
		'ఖ'	=>	'11',
		'గ'	=>	'11',
		'ఘ'	=>	'11',
		'ఙ'	=>	'11',
		'చ'	=>	'11',
		'ఛ'	=>	'11',
		'జ'	=>	'11',
		'ఝ'	=>	'11',
		'ఞ'	=>	'11',
		'ట'	=>	'11',
		'ఠ'	=>	'11',
		'డ'	=>	'11',
		'ఢ'	=>	'11',
		'ణ'	=>	'11',
		'త'	=>	'11',
		'థ'	=>	'11',
		'ద'	=>	'11',
		'ధ'	=>	'11',
		'న'	=>	'11',
		'ప'	=>	'11',
		'ఫ'	=>	'11',
		'బ'	=>	'11',
		'భ'	=>	'11',
		'మ'	=>	'11',
		'య'	=>	'11',
		'ర'	=>	'11',
		'ఱ'	=>	'11',
		'ల'	=>	'11',
		'ళ'	=>	'11',
		'వ'	=>	'11',
		'శ'	=>	'11',
		'ష'	=>	'11',
		'స'	=>	'11',
		'హ'	=>	'11',
		'ఁ'	=>	'20',
		'ం'	=>	'20',
		'ః'	=>	'20',
		'ౕ'	=>	'20',
		'ౖ'	=>	'20',
		'్'	=>	'22',
	),
);

