<?php

/*
	Project: wp-Typography
	Project URI: https://code.mundschenk.at/wp-typography/

	File modified to place pattern and exceptions in arrays that can be understood in php files.
	This file is released under the same copyright as the below referenced original file
	Original unmodified file is available at: http://ctan.mirrorcatalogs.com/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex
	Original file name: hyph-hu.tex

//============================================================================================================
	ORIGINAL FILE INFO

		% from https://github.com/nagybence/huhyphn/
		% ------------------------------------------
		% Huhyphn - hungarian hyphenation patterns v20110815
		%
		% ***** BEGIN LICENSE BLOCK *****
		% Version: MPL 1.1/GPL 2.0/LGPL 2.1
		%
		% The contents of this file are subject to the Mozilla Public License Version
		% 1.1 (the "License"); you may not use this file except in compliance with
		% the License. You may obtain a copy of the License at
		% http://www.mozilla.org/MPL/
		%
		% Software distributed under the License is distributed on an "AS IS" basis,
		% WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
		% for the specific language governing rights and limitations under the
		% License.
		%
		% The Original Code is the Huhyphn - hungarian hyphenation patterns.
		%
		% The Initial Developer of the Original Code is
		% Bence Nagy.
		% Portions created by the Initial Developer are Copyright (C) 2003
		% the Initial Developer. All Rights Reserved.
		%
		% Contributor(s):
		%   Bence Nagy <bence.nagy@gmail.com>
		%
		% Alternatively, the contents of this file may be used under the terms of
		% either the GNU General Public License Version 2 or later (the "GPL"), or
		% the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
		% in which case the provisions of the GPL or the LGPL are applicable instead
		% of those above. If you wish to allow use of your version of this file only
		% under the terms of either the GPL or the LGPL, and not to allow others to
		% use your version of this file under the terms of the MPL, indicate your
		% decision by deleting the provisions above and replace them with the notice
		% and other provisions required by the GPL or the LGPL. If you do not delete
		% the provisions above, a recipient may use your version of this file under
		% the terms of any one of the MPL, the GPL or the LGPL.
		%
		% ***** END LICENSE BLOCK *****
		%
		% Encoding: UTF8
		%
		\message{Huhyphn - hungarian hyphenation patterns v20110815}


//============================================================================================================

*/

$patgenLanguage = 'Hungarian';

$patgenExceptions = array();

$patgenMaxSeg = 13;

$patgen = array(
	'begin' => array(
		'a'	=>	'02',
		'adatáta'	=>	'00000012',
		'adate'	=>	'000212',
		'adáss'	=>	'000010',
		'adász'	=>	'000230',
		'adyé'	=>	'00100',
		'adyi'	=>	'00100',
		'agos'	=>	'00100',
		'agra'	=>	'00200',
		'agyagg'	=>	'0000010',
		'agyáram'	=>	'00012000',
		'agyárt'	=>	'0001000',
		'agye'	=>	'00012',
		'agyo'	=>	'00002',
		'agyon'	=>	'000001',
		'agyó'	=>	'00012',
		'agyű'	=>	'00012',
		'akácc'	=>	'000010',
		'akács'	=>	'000200',
		'akh'	=>	'0020',
		'ako'	=>	'0002',
		'aktér'	=>	'002100',
		'aktorr'	=>	'0021000',
		'aktő'	=>	'00212',
		'akup'	=>	'00012',
		'alag'	=>	'00021',
		'alaka'	=>	'000012',
		'alakö'	=>	'000212',
		'alakő'	=>	'000212',
		'alapa'	=>	'000200',
		'alapá'	=>	'000210',
		'aleg'	=>	'00100',
		'alis'	=>	'00100',
		'aljárn'	=>	'0020000',
		'alje'	=>	'00002',
		'aljel'	=>	'002100',
		'aljelö'	=>	'0000012',
		'alom'	=>	'00021',
		'alos'	=>	'00100',
		'altak'	=>	'002120',
		'alterj'	=>	'0021000',
		'altén'	=>	'002000',
		'altérn'	=>	'0020000',
		'altért'	=>	'0020000',
		'altin'	=>	'002000',
		'amak'	=>	'00100',
		'angoló'	=>	'0000212',
		'anth'	=>	'00100',
		'antis'	=>	'000010',
		'apap'	=>	'00012',
		'apályáz'	=>	'00020120',
		'aranye'	=>	'0002012',
		'arasze'	=>	'0002000',
		'arác'	=>	'00120',
		'arcal'	=>	'002000',
		'arcc'	=>	'00030',
		'arce'	=>	'00212',
		'arcél'	=>	'002000',
		'archá'	=>	'002300',
		'archoz'	=>	'0023000',
		'arcin'	=>	'002000',
		'arcio'	=>	'002000',
		'arcol'	=>	'002000',
		'arcö'	=>	'00200',
		'arcs'	=>	'00230',
		'arkh'	=>	'00100',
		'ath'	=>	'0020',
		'aza'	=>	'0012',
		'azám'	=>	'00100',
		'aze'	=>	'0002',
		'azó'	=>	'0012',
		'á'	=>	'02',
		'ácsék'	=>	'000100',
		'ágárn'	=>	'001000',
		'ágárt'	=>	'001000',
		'ágó'	=>	'0012',
		'ágyala'	=>	'0001000',
		'ágyasz'	=>	'0001000',
		'ágyárt'	=>	'0001000',
		'ágyáz'	=>	'000120',
		'ála'	=>	'0012',
		'álé'	=>	'0010',
		'áli'	=>	'0012',
		'áligaz'	=>	'0000001',
		'állalj'	=>	'0021000',
		'állalt'	=>	'0021000',
		'állin'	=>	'002000',
		'álok'	=>	'00120',
		'álú'	=>	'0010',
		'áraj'	=>	'00100',
		'áraktá'	=>	'0010000',
		'áral'	=>	'00120',
		'árame'	=>	'000210',
		'árap'	=>	'00120',
		'árasz'	=>	'000200',
		'áraszó'	=>	'0010000',
		'árác'	=>	'00100',
		'árál'	=>	'00100',
		'áráz'	=>	'00120',
		'árd'	=>	'0012',
		'áre'	=>	'0002',
		'árem'	=>	'00100',
		'áré'	=>	'0002',
		'árir'	=>	'00100',
		'árnyel'	=>	'0020000',
		'árol'	=>	'00100',
		'árom'	=>	'00100',
		'áros'	=>	'00100',
		'árréss'	=>	'0000010',
		'árs'	=>	'0012',
		'ártr'	=>	'00120',
		'ászál'	=>	'000100',
		'ászárb'	=>	'0001000',
		'ászáré'	=>	'0001200',
		'ászári'	=>	'0001200',
		'ászáro'	=>	'0001200',
		'átad'	=>	'00120',
		'átak'	=>	'00120',
		'átalt'	=>	'001000',
		'átan'	=>	'00120',
		'átar'	=>	'00100',
		'átas'	=>	'00120',
		'átav'	=>	'00100',
		'átá'	=>	'0012',
		'áte'	=>	'0012',
		'áté'	=>	'0012',
		'áti'	=>	'0012',
		'átol'	=>	'00100',
		'átor'	=>	'00120',
		'átos'	=>	'00120',
		'átó'	=>	'0002',
		'átóh'	=>	'00100',
		'átóv'	=>	'00100',
		'átö'	=>	'0012',
		'átu'	=>	'0010',
		'átü'	=>	'0012',
		'átű'	=>	'0010',
		'b'	=>	'02',
		'babará'	=>	'0021200',
		'babál'	=>	'002000',
		'babe'	=>	'00212',
		'babol'	=>	'002000',
		'bajárat'	=>	'00212000',
		'baje'	=>	'00210',
		'bakaszt'	=>	'00010000',
		'bakál'	=>	'002000',
		'bakáro'	=>	'0021200',
		'baké'	=>	'00002',
		'bakö'	=>	'00212',
		'bakur'	=>	'002000',
		'baleg'	=>	'002120',
		'bats'	=>	'00100',
		'bau'	=>	'0020',
		'báló'	=>	'00212',
		'bára'	=>	'00010',
		'báth'	=>	'00100',
		'beat'	=>	'00200',
		'bed'	=>	'0012',
		'bei'	=>	'0002',
		'bekr'	=>	'00100',
		'bestr'	=>	'001000',
		'beszk'	=>	'001000',
		'betétel'	=>	'00002120',
		'betr'	=>	'00100',
		'bércsí'	=>	'0002300',
		'béro'	=>	'00210',
		'bike'	=>	'00200',
		'bios'	=>	'00200',
		'biot'	=>	'00200',
		'bita'	=>	'00002',
		'bitag'	=>	'002000',
		'bitá'	=>	'00212',
		'bitel'	=>	'002000',
		'biter'	=>	'002100',
		'bitorr'	=>	'0021000',
		'bitur'	=>	'002000',
		'bogó'	=>	'00212',
		'bolta'	=>	'000200',
		'bolyó'	=>	'002012',
		'bonav'	=>	'002000',
		'boraj'	=>	'002000',
		'boran'	=>	'002000',
		'boras'	=>	'002000',
		'borat'	=>	'002000',
		'borác'	=>	'002000',
		'borál'	=>	'002000',
		'borodv'	=>	'0021000',
		'borsét'	=>	'0002000',
		'bort'	=>	'00002',
		'botá'	=>	'00200',
		'brai'	=>	'00020',
		'busze'	=>	'002010',
		'c'	=>	'02',
		'centá'	=>	'000210',
		'centó'	=>	'000212',
		'cetel'	=>	'002120',
		'cetű'	=>	'00210',
		'céle'	=>	'00212',
		'ciná'	=>	'00212',
		'cito'	=>	'00001',
		'cs'	=>	'002',
		'csak'	=>	'00021',
		'csapág'	=>	'0002120',
		'csaté'	=>	'000212',
		'cselőr'	=>	'0002120',
		'd'	=>	'02',
		'dacc'	=>	'00010',
		'dacs'	=>	'00230',
		'dai'	=>	'0020',
		'dalan'	=>	'000100',
		'dalás'	=>	'002000',
		'dale'	=>	'00212',
		'dalék'	=>	'002100',
		'dalén'	=>	'002000',
		'dalí'	=>	'00212',
		'dalol'	=>	'003000',
		'daló'	=>	'00212',
		'dann'	=>	'00010',
		'dau'	=>	'0020',
		'deng'	=>	'00021',
		'déla'	=>	'00200',
		'dére'	=>	'00002',
		'déres'	=>	'002000',
		'désa'	=>	'00200',
		'diafo'	=>	'002000',
		'diaka'	=>	'002000',
		'dial'	=>	'00200',
		'dicsá'	=>	'002000',
		'diómá'	=>	'002000',
		'dómor'	=>	'002000',
		'dúra'	=>	'00200',
		'e'	=>	'02',
		'ebeg'	=>	'00100',
		'ebir'	=>	'00100',
		'ebí'	=>	'0010',
		'ebu'	=>	'0012',
		'egé'	=>	'0020',
		'egress'	=>	'0000010',
		'egya'	=>	'00012',
		'egyá'	=>	'00012',
		'egyelőr'	=>	'00012000',
		'egyev'	=>	'000100',
		'egyin'	=>	'000100',
		'egyö'	=>	'00012',
		'együl'	=>	'000120',
		'elak'	=>	'00120',
		'elan'	=>	'00100',
		'elap'	=>	'00100',
		'elas'	=>	'00020',
		'elass'	=>	'001000',
		'elaszn'	=>	'0010000',
		'elaszo'	=>	'0010000',
		'elaszv'	=>	'0010000',
		'elá'	=>	'0012',
		'elec'	=>	'00120',
		'eleger'	=>	'0010000',
		'elegyá'	=>	'0002000',
		'eleh'	=>	'00120',
		'elejt'	=>	'001000',
		'elel'	=>	'00120',
		'elema'	=>	'000200',
		'elemá'	=>	'000200',
		'elemeg'	=>	'0002000',
		'elemel'	=>	'0002000',
		'elemele'	=>	'00100000',
		'elemels'	=>	'00100000',
		'elemelt'	=>	'00100000',
		'elemés'	=>	'0012000',
		'elen'	=>	'00120',
		'elep'	=>	'00120',
		'eler'	=>	'00120',
		'elese'	=>	'001200',
		'elesés'	=>	'0012000',
		'elesh'	=>	'001000',
		'elesi'	=>	'001200',
		'elesn'	=>	'001000',
		'eleső'	=>	'001200',
		'eless'	=>	'001000',
		'eleste'	=>	'0010000',
		'elestél'	=>	'00100000',
		'elestü'	=>	'0010000',
		'elesü'	=>	'001200',
		'elesv'	=>	'001000',
		'elesz'	=>	'001200',
		'elet'	=>	'00120',
		'elevet'	=>	'0012000',
		'elevez'	=>	'0012000',
		'elevi'	=>	'001000',
		'eléd'	=>	'00020',
		'eléde'	=>	'001000',
		'elégek'	=>	'0012000',
		'eléh'	=>	'00100',
		'elékez'	=>	'0010000',
		'eléle'	=>	'001200',
		'elén'	=>	'00020',
		'eléne'	=>	'001000',
		'elép'	=>	'00120',
		'elér'	=>	'00120',
		'elétet'	=>	'0012000',
		'elév'	=>	'00120',
		'elid'	=>	'00100',
		'elig'	=>	'00100',
		'elih'	=>	'00120',
		'elik'	=>	'00100',
		'elimit'	=>	'0012000',
		'elin'	=>	'00100',
		'elir'	=>	'00100',
		'elis'	=>	'00120',
		'elito'	=>	'000210',
		'elitta'	=>	'0010000',
		'elitták'	=>	'00100000',
		'elizz'	=>	'001000',
		'elí'	=>	'0010',
		'ellege'	=>	'0000002',
		'elo'	=>	'0002',
		'elokk'	=>	'001000',
		'eloko'	=>	'001000',
		'elor'	=>	'00100',
		'eló'	=>	'0012',
		'elö'	=>	'0002',
		'elök'	=>	'00100',
		'elöle'	=>	'001000',
		'elölé'	=>	'001000',
		'elölh'	=>	'001000',
		'elöli'	=>	'001000',
		'elölj'	=>	'001000',
		'elölje'	=>	'0010000',
		'elöljé'	=>	'0010000',
		'elöljü'	=>	'0010000',
		'elölne'	=>	'0010000',
		'elölné'	=>	'0010000',
		'elölném'	=>	'00100000',
		'elölni'	=>	'0010000',
		'elölő'	=>	'001000',
		'elölt'	=>	'001000',
		'elölte'	=>	'0010000',
		'elölté'	=>	'0010000',
		'elöltn'	=>	'0010000',
		'elöltü'	=>	'0010000',
		'elölün'	=>	'0010000',
		'elölv'	=>	'001000',
		'elöv'	=>	'00100',
		'előé'	=>	'00002',
		'els'	=>	'0012',
		'elt'	=>	'0012',
		'elu'	=>	'0010',
		'elü'	=>	'0002',
		'elül'	=>	'00100',
		'elülh'	=>	'001000',
		'elüli'	=>	'001000',
		'elülj'	=>	'001000',
		'elüln'	=>	'001000',
		'elülte'	=>	'0010000',
		'elülv'	=>	'001000',
		'elvel'	=>	'002100',
		'elvég'	=>	'002100',
		'eser'	=>	'00100',
		'esetel'	=>	'0002000',
		'esta'	=>	'00210',
		'está'	=>	'00210',
		'estéke'	=>	'0021200',
		'estékek'	=>	'00212000',
		'eth'	=>	'0020',
		'etiléng'	=>	'00000012',
		'evéss'	=>	'000010',
		'exel'	=>	'00100',
		'ezá'	=>	'0010',
		'ezel'	=>	'00120',
		'é'	=>	'02',
		'édess'	=>	'000030',
		'éga'	=>	'0012',
		'égeg'	=>	'00100',
		'égerei'	=>	'0012000',
		'éges'	=>	'00020',
		'égesz'	=>	'001000',
		'égér'	=>	'00100',
		'égéré'	=>	'001200',
		'égérn'	=>	'001000',
		'égéss'	=>	'000030',
		'égész'	=>	'000200',
		'égészb'	=>	'0010000',
		'égésze'	=>	'0010000',
		'égészé'	=>	'0010000',
		'égészn'	=>	'0010000',
		'égészr'	=>	'0010000',
		'égö'	=>	'0012',
		'égu'	=>	'0012',
		'éhév'	=>	'00100',
		'éja'	=>	'0012',
		'éjá'	=>	'0012',
		'éjel'	=>	'00100',
		'éju'	=>	'0010',
		'éka'	=>	'0012',
		'éká'	=>	'0010',
		'ékess'	=>	'000010',
		'ékir'	=>	'00100',
		'éko'	=>	'0010',
		'éla'	=>	'0012',
		'élci'	=>	'00210',
		'élik'	=>	'00020',
		'élike'	=>	'001000',
		'élvá'	=>	'00212',
		'épes'	=>	'00100',
		'éppa'	=>	'00200',
		'éppel'	=>	'002100',
		'éppé'	=>	'00200',
		'éppo'	=>	'00200',
		'éran'	=>	'00120',
		'ércel'	=>	'002120',
		'ércéj'	=>	'002120',
		'ércék'	=>	'002000',
		'ércsí'	=>	'002300',
		'érel'	=>	'00120',
		'éres'	=>	'00120',
		'érész'	=>	'000200',
		'érészé'	=>	'0010000',
		'érét'	=>	'00120',
		'érü'	=>	'0002',
		'érül'	=>	'00100',
		'érvad'	=>	'002000',
		'érval'	=>	'002000',
		'érvég'	=>	'002100',
		'észal'	=>	'000120',
		'észá'	=>	'00010',
		'észe'	=>	'00002',
		'észel'	=>	'000100',
		'észem'	=>	'000100',
		'észes'	=>	'000100',
		'észék'	=>	'000120',
		'észigaz'	=>	'00000001',
		'észo'	=>	'00010',
		'észő'	=>	'00012',
		'észtörv'	=>	'00021000',
		'észü'	=>	'00002',
		'észülő'	=>	'0001000',
		'évág'	=>	'00120',
		'évessz'	=>	'0010000',
		'évég'	=>	'00120',
		'évék'	=>	'00120',
		'f'	=>	'02',
		'fait'	=>	'00200',
		'faleg'	=>	'002000',
		'fanév'	=>	'002100',
		'faront'	=>	'0021000',
		'fas'	=>	'0002',
		'fast'	=>	'00100',
		'fat'	=>	'0002',
		'fatr'	=>	'00100',
		'feleme'	=>	'0020000',
		'felessz'	=>	'00210000',
		'felev'	=>	'002000',
		'fékel'	=>	'002120',
		'féma'	=>	'00212',
		'fémá'	=>	'00212',
		'filméré'	=>	'00020000',
		'finge'	=>	'000200',
		'fogószá'	=>	'00002300',
		'folta'	=>	'000212',
		'fölő'	=>	'00200',
		'fölül'	=>	'002000',
		'fölüle'	=>	'0000012',
		'g'	=>	'02',
		'gazan'	=>	'002000',
		'gátal'	=>	'000100',
		'gáte'	=>	'00200',
		'gázó'	=>	'00212',
		'gázs'	=>	'00002',
		'gázsu'	=>	'002000',
		'gázz'	=>	'00010',
		'genea'	=>	'000020',
		'geod'	=>	'00200',
		'geos'	=>	'00200',
		'gesztí'	=>	'0000210',
		'géd'	=>	'0021',
		'géna'	=>	'00200',
		'géná'	=>	'00200',
		'génn'	=>	'00030',
		'gépelem'	=>	'00202000',
		'gépip'	=>	'002120',
		'gigas'	=>	'000010',
		'gonor'	=>	'000001',
		'gonorr'	=>	'0000002',
		'góce'	=>	'00200',
		'góla'	=>	'00200',
		'gólá'	=>	'00200',
		'gólel'	=>	'002000',
		'góles'	=>	'002120',
		'gólig'	=>	'000020',
		'góliga'	=>	'0021000',
		'gólis'	=>	'002000',
		'gőzá'	=>	'00212',
		'gőzen'	=>	'002000',
		'gőző'	=>	'00210',
		'gőzs'	=>	'00200',
		'gui'	=>	'0020',
		'h'	=>	'02',
		'habe'	=>	'00212',
		'habol'	=>	'002100',
		'habor'	=>	'002000',
		'habő'	=>	'00210',
		'habu'	=>	'00210',
		'hadal'	=>	'002000',
		'hade'	=>	'00212',
		'hadz'	=>	'00200',
		'haik'	=>	'00200',
		'haje'	=>	'00212',
		'hajom'	=>	'002000',
		'halác'	=>	'002000',
		'haláló'	=>	'0000212',
		'halárv'	=>	'0020000',
		'haleg'	=>	'002000',
		'halel'	=>	'002100',
		'halep'	=>	'002000',
		'halet'	=>	'002000',
		'halev'	=>	'002120',
		'halis'	=>	'002000',
		'hangad'	=>	'0002000',
		'hange'	=>	'000210',
		'hasor'	=>	'002000',
		'hassz'	=>	'000300',
		'hatag'	=>	'002000',
		'hatat'	=>	'002100',
		'hate'	=>	'00212',
		'hatold'	=>	'0020000',
		'háma'	=>	'00210',
		'hányin'	=>	'0020100',
		'hárome'	=>	'0000210',
		'hátalj'	=>	'0021000',
		'hátus'	=>	'002000',
		'házol'	=>	'002000',
		'házó'	=>	'00200',
		'hei'	=>	'0020',
		'hétez'	=>	'002100',
		'héto'	=>	'00210',
		'hita'	=>	'00010',
		'hitis'	=>	'002000',
		'hodás'	=>	'000001',
		'holl'	=>	'00010',
		'holte'	=>	'000210',
		'hone'	=>	'00200',
		'hősá'	=>	'00200',
		'i'	=>	'02',
		'ikeri'	=>	'000210',
		'ikerü'	=>	'000002',
		'ikerülé'	=>	'00021000',
		'ikons'	=>	'000010',
		'imas'	=>	'00010',
		'impla'	=>	'001200',
		'inaktí'	=>	'0010000',
		'ingin'	=>	'002000',
		'intera'	=>	'0000210',
		'iona'	=>	'00212',
		'ioná'	=>	'00210',
		'ione'	=>	'00200',
		'ionn'	=>	'00030',
		'ipare'	=>	'000200',
		'izomért'	=>	'00021000',
		'í'	=>	'02',
		'íját'	=>	'00020',
		'íjáto'	=>	'001000',
		'íne'	=>	'0010',
		'íráság'	=>	'0002100',
		'írász'	=>	'000230',
		'íva'	=>	'0012',
		'ívár'	=>	'00120',
		'ívell'	=>	'001000',
		'íza'	=>	'0010',
		'ízin'	=>	'00100',
		'j'	=>	'02',
		'jaké'	=>	'00002',
		'jakér'	=>	'002000',
		'jakov'	=>	'002000',
		'járműká'	=>	'00000002',
		'jászá'	=>	'002000',
		'jászó'	=>	'002000',
		'jegya'	=>	'002012',
		'jegyá'	=>	'002012',
		'jela'	=>	'00210',
		'jeleg'	=>	'002000',
		'jelev'	=>	'002000',
		'jobbol'	=>	'0002100',
		'jódal'	=>	'002000',
		'jóse'	=>	'00212',
		'jótá'	=>	'00210',
		'k'	=>	'02',
		'kalei'	=>	'000020',
		'kanar'	=>	'002000',
		'kane'	=>	'00210',
		'kapolc'	=>	'0000001',
		'karala'	=>	'0020000',
		'karas'	=>	'002000',
		'karás'	=>	'002120',
		'karcse'	=>	'0002300',
		'kare'	=>	'00002',
		'karem'	=>	'002000',
		'karék'	=>	'002000',
		'karing'	=>	'0020000',
		'karí'	=>	'00200',
		'karóra'	=>	'0020200',
		'karórák'	=>	'00212000',
		'karü'	=>	'00210',
		'kath'	=>	'00100',
		'katz'	=>	'00100',
		'kárad'	=>	'000120',
		'kás'	=>	'0002',
		'kásal'	=>	'000030',
		'kecsó'	=>	'002000',
		'kelá'	=>	'00212',
		'keleg'	=>	'002120',
		'keleve'	=>	'0021200',
		'kelö'	=>	'00010',
		'kerta'	=>	'000200',
		'kénét'	=>	'002000',
		'képés'	=>	'002100',
		'kéta'	=>	'00002',
		'kétab'	=>	'002000',
		'kétad'	=>	'002000',
		'kétag'	=>	'002100',
		'kétaka'	=>	'0020000',
		'kétal'	=>	'002000',
		'kétan'	=>	'002000',
		'kétap'	=>	'002000',
		'kétas'	=>	'002000',
		'kétat'	=>	'002000',
		'kétau'	=>	'002000',
		'kétá'	=>	'00212',
		'kétele'	=>	'0021000',
		'kétez'	=>	'002100',
		'kéto'	=>	'00212',
		'kéze'	=>	'00002',
		'kézel'	=>	'002100',
		'kézem'	=>	'002000',
		'kézs'	=>	'00200',
		'kézz'	=>	'00010',
		'kiá'	=>	'0002',
		'kig'	=>	'0012',
		'kikrá'	=>	'001000',
		'kió'	=>	'0002',
		'kiság'	=>	'002000',
		'kiű'	=>	'0002',
		'klauz'	=>	'000200',
		'klei'	=>	'00020',
		'klóre'	=>	'000200',
		'korác'	=>	'002000',
		'korí'	=>	'00200',
		'kosis'	=>	'002000',
		'kóda'	=>	'00212',
		'kóre'	=>	'00210',
		'kórés'	=>	'002120',
		'köböl'	=>	'002100',
		'ködő'	=>	'00210',
		'közis'	=>	'002000',
		'köző'	=>	'00210',
		'közz'	=>	'00010',
		'kr'	=>	'002',
		'kuna'	=>	'00010',
		'kvark'	=>	'000030',
		'l'	=>	'02',
		'lakad'	=>	'000120',
		'lakal'	=>	'002000',
		'lakan'	=>	'002100',
		'lakép'	=>	'002000',
		'lakor'	=>	'002000',
		'lakő'	=>	'00200',
		'lante'	=>	'000210',
		'lantó'	=>	'000212',
		'lapal'	=>	'002000',
		'lapác'	=>	'002100',
		'lapár'	=>	'002120',
		'lape'	=>	'00212',
		'lapor'	=>	'002100',
		'laposz'	=>	'0021000',
		'lapó'	=>	'00200',
		'lábe'	=>	'00212',
		'lábil'	=>	'002000',
		'lábor'	=>	'002000',
		'láncs'	=>	'000230',
		'lányan'	=>	'0020000',
		'lánye'	=>	'002012',
		'lápe'	=>	'00210',
		'lápil'	=>	'002100',
		'lázó'	=>	'00212',
		'lázs'	=>	'00230',
		'ledé'	=>	'00300',
		'leg'	=>	'0021',
		'legali'	=>	'0032000',
		'legelés'	=>	'00320000',
		'legesleg'	=>	'003200021',
		'legeslegesleg'	=>	'00320003200021',
		'leget'	=>	'000020',
		'legéne'	=>	'0040000',
		'legg'	=>	'00030',
		'legy'	=>	'00300',
		'leid'	=>	'00020',
		'leíro'	=>	'000200',
		'leíród'	=>	'0002000',
		'leíru'	=>	'000200',
		'lekl'	=>	'00100',
		'lekr'	=>	'00120',
		'lemezz'	=>	'0000010',
		'lepré'	=>	'001200',
		'lesm'	=>	'00120',
		'letr'	=>	'00120',
		'leü'	=>	'0002',
		'lécs'	=>	'00230',
		'léga'	=>	'00212',
		'légá'	=>	'00210',
		'lége'	=>	'00002',
		'légel'	=>	'002100',
		'légér'	=>	'002000',
		'légo'	=>	'00200',
		'légyá'	=>	'002012',
		'lépa'	=>	'00212',
		'lépü'	=>	'00002',
		'lépülé'	=>	'0001000',
		'léta'	=>	'00212',
		'létá'	=>	'00212',
		'lételek'	=>	'00010000',
		'lételé'	=>	'0021200',
		'létérd'	=>	'0021000',
		'létör'	=>	'002000',
		'liszta'	=>	'0000200',
		'lisztá'	=>	'0000212',
		'liszter'	=>	'00002000',
		'litos'	=>	'000010',
		'lobe'	=>	'00010',
		'lobi'	=>	'00002',
		'lobin'	=>	'002000',
		'lomag'	=>	'002000',
		'lomal'	=>	'002000',
		'lomá'	=>	'00210',
		'lombe'	=>	'000212',
		'lome'	=>	'00200',
		'lomét'	=>	'002120',
		'loncsi'	=>	'0002000',
		'lófogad'	=>	'00002120',
		'lőcsöv'	=>	'0020120',
		'lőréss'	=>	'0000030',
		'lyo'	=>	'0010',
		'm'	=>	'02',
		'mae'	=>	'0020',
		'magal'	=>	'002000',
		'magar'	=>	'002000',
		'magál'	=>	'002000',
		'mage'	=>	'00212',
		'magg'	=>	'00010',
		'magó'	=>	'00002',
		'magór'	=>	'002000',
		'main'	=>	'00200',
		'marác'	=>	'002100',
		'maring'	=>	'0021000',
		'maszkor'	=>	'00002100',
		'maszkö'	=>	'0000210',
		'math'	=>	'00100',
		'mauz'	=>	'00200',
		'máris'	=>	'002100',
		'mege'	=>	'00212',
		'megé'	=>	'00212',
		'megif'	=>	'000100',
		'mego'	=>	'00002',
		'megő'	=>	'00212',
		'mei'	=>	'0020',
		'mellá'	=>	'000200',
		'menyu'	=>	'002012',
		'mezá'	=>	'00200',
		'médiaf'	=>	'0000200',
		'méná'	=>	'00200',
		'méno'	=>	'00200',
		'mésza'	=>	'002000',
		'mészet'	=>	'0020000',
		'mészi'	=>	'002000',
		'mészo'	=>	'002000',
		'mézis'	=>	'002000',
		'mirá'	=>	'00300',
		'molyan'	=>	'0020000',
		'műi'	=>	'0002',
		'műkr'	=>	'00100',
		'műs'	=>	'0010',
		'n'	=>	'02',
		'nagya'	=>	'002000',
		'nagyá'	=>	'002000',
		'nagye'	=>	'002000',
		'nagyú'	=>	'002000',
		'napap'	=>	'002000',
		'napar'	=>	'002100',
		'napál'	=>	'002000',
		'nape'	=>	'00210',
		'napés'	=>	'002000',
		'napor'	=>	'002120',
		'napö'	=>	'00200',
		'nema'	=>	'00200',
		'nemeg'	=>	'002000',
		'nemel'	=>	'002100',
		'nemin'	=>	'002000',
		'neol'	=>	'00200',
		'neszá'	=>	'002000',
		'netta'	=>	'000212',
		'neum'	=>	'00200',
		'négyá'	=>	'002000',
		'népa'	=>	'00200',
		'névál'	=>	'002100',
		'nével'	=>	'002000',
		'nor'	=>	'0021',
		'nyakáro'	=>	'00021200',
		'nyake'	=>	'000212',
		'nyakö'	=>	'000212',
		'nyolcan'	=>	'00002100',
		'o'	=>	'02',
		'oda'	=>	'0001',
		'okad'	=>	'00120',
		'okal'	=>	'00120',
		'okka'	=>	'00002',
		'olaje'	=>	'000212',
		'olaszó'	=>	'0002012',
		'oldalút'	=>	'00002100',
		'orraj'	=>	'002100',
		'orralt'	=>	'0021000',
		'orran'	=>	'002000',
		'orre'	=>	'00212',
		'orré'	=>	'00002',
		'orrés'	=>	'002100',
		'orva'	=>	'00212',
		'orvá'	=>	'00200',
		'orvé'	=>	'00210',
		'orvi'	=>	'00002',
		'orvis'	=>	'002000',
		'ottr'	=>	'00100',
		'ó'	=>	'02',
		'óloma'	=>	'000210',
		'ómeg'	=>	'00032',
		'óna'	=>	'0012',
		'óná'	=>	'0012',
		'óne'	=>	'0012',
		'ónév'	=>	'00100',
		'óvásárt'	=>	'00021000',
		'ö'	=>	'02',
		'önd'	=>	'0012',
		'öne'	=>	'0012',
		'öni'	=>	'0002',
		'öní'	=>	'0010',
		'önk'	=>	'0012',
		'önn'	=>	'0030',
		'öno'	=>	'0010',
		'önő'	=>	'0010',
		'öns'	=>	'0010',
		'önü'	=>	'0010',
		'össza'	=>	'000010',
		'összá'	=>	'000010',
		'öte'	=>	'0002',
		'öteg'	=>	'00100',
		'ötel'	=>	'00100',
		'ött'	=>	'0012',
		'öveg'	=>	'00120',
		'övel'	=>	'00120',
		'övő'	=>	'0012',
		'ő'	=>	'02',
		'őal'	=>	'0030',
		'őir'	=>	'0030',
		'őrab'	=>	'00100',
		'őran'	=>	'00100',
		'őreg'	=>	'00120',
		'őrég'	=>	'00120',
		'őrés'	=>	'00120',
		'őrist'	=>	'001000',
		'őro'	=>	'0010',
		'őrság'	=>	'002100',
		'őru'	=>	'0012',
		'őrüg'	=>	'00100',
		'ősa'	=>	'0012',
		'ősá'	=>	'0012',
		'őseg'	=>	'00100',
		'ősel'	=>	'00120',
		'őser'	=>	'00120',
		'őses'	=>	'00120',
		'őség'	=>	'00120',
		'ősért'	=>	'001000',
		'ősí'	=>	'0012',
		'őso'	=>	'0010',
		'ősó'	=>	'0012',
		'ősp'	=>	'0010',
		'őstr'	=>	'00100',
		'ősu'	=>	'0012',
		'ősú'	=>	'0010',
		'ősza'	=>	'00012',
		'őszá'	=>	'00010',
		'őszeg'	=>	'000120',
		'őszel'	=>	'000100',
		'őszem'	=>	'000100',
		'őszene'	=>	'0030000',
		'őszené'	=>	'0030000',
		'őza'	=>	'0012',
		'őzeg'	=>	'00100',
		'őzel'	=>	'00120',
		'őzet'	=>	'00020',
		'őzete'	=>	'001000',
		'őzék'	=>	'00100',
		'őzére'	=>	'001000',
		'őző'	=>	'0010',
		'őzs'	=>	'0030',
		'őzu'	=>	'0010',
		'p'	=>	'02',
		'pada'	=>	'00200',
		'padá'	=>	'00212',
		'padin'	=>	'002000',
		'padó'	=>	'00212',
		'pai'	=>	'0020',
		'papar'	=>	'002000',
		'papál'	=>	'002000',
		'pape'	=>	'00200',
		'parafr'	=>	'0000120',
		'parke'	=>	'000002',
		'parker'	=>	'0002000',
		'parta'	=>	'000200',
		'partel'	=>	'0002000',
		'parter'	=>	'0002000',
		'pács'	=>	'00230',
		'pánta'	=>	'000200',
		'pártö'	=>	'000210',
		'penny'	=>	'000300',
		'pera'	=>	'00212',
		'perá'	=>	'00210',
		'perenc'	=>	'0021000',
		'perok'	=>	'002000',
		'perül'	=>	'002000',
		'pes'	=>	'0020',
		'piacs'	=>	'000230',
		'pina'	=>	'00001',
		'pintó'	=>	'000210',
		'plei'	=>	'00020',
		'ponta'	=>	'000002',
		'ponte'	=>	'000200',
		'porad'	=>	'002000',
		'poral'	=>	'002000',
		'poran'	=>	'002000',
		'porác'	=>	'002000',
		'porál'	=>	'002000',
		'pore'	=>	'00200',
		'porus'	=>	'002100',
		'pókis'	=>	'002000',
		'pókö'	=>	'00210',
		'pórás'	=>	'002000',
		'póte'	=>	'00210',
		'póté'	=>	'00210',
		'prek'	=>	'00012',
		'préss'	=>	'000030',
		'protop'	=>	'0000012',
		'q'	=>	'02',
		'r'	=>	'02',
		'rabas'	=>	'002100',
		'rabá'	=>	'00210',
		'rabe'	=>	'00200',
		'rabic'	=>	'000001',
		'rabil'	=>	'002100',
		'rabiz'	=>	'002120',
		'rabí'	=>	'00200',
		'rabor'	=>	'002000',
		'rabö'	=>	'00200',
		'rabő'	=>	'00212',
		'rabú'	=>	'00200',
		'ragal'	=>	'002000',
		'rajö'	=>	'00212',
		'rajtó'	=>	'000002',
		'rajtór'	=>	'0002100',
		'rácsáz'	=>	'0020120',
		'rádr'	=>	'00100',
		'ráfr'	=>	'00100',
		'rágr'	=>	'00100',
		'rái'	=>	'0002',
		'ránce'	=>	'000210',
		'rány'	=>	'00002',
		'ráspr'	=>	'001000',
		'rást'	=>	'00120',
		'rát'	=>	'0002',
		'rátk'	=>	'00100',
		'rátr'	=>	'00100',
		'rekre'	=>	'001200',
		'renda'	=>	'000212',
		'rendő'	=>	'000212',
		'repri'	=>	'001200',
		'repro'	=>	'000200',
		'reprod'	=>	'0010000',
		'retek'	=>	'000021',
		'rémemb'	=>	'0021000',
		'rému'	=>	'00200',
		'répa'	=>	'00320',
		'résa'	=>	'00200',
		'résszer'	=>	'00030000',
		'résza'	=>	'002000',
		'részá'	=>	'002002',
		'részele'	=>	'00201200',
		'részell'	=>	'00200000',
		'részer'	=>	'0020000',
		'részí'	=>	'002000',
		'részo'	=>	'002000',
		'résző'	=>	'002000',
		'réta'	=>	'00212',
		'rétá'	=>	'00212',
		'révá'	=>	'00210',
		'rézá'	=>	'00200',
		'rézel'	=>	'002000',
		'rézet'	=>	'002000',
		'rézis'	=>	'002000',
		'rézo'	=>	'00210',
		'rézz'	=>	'00010',
		'rizso'	=>	'002000',
		'rizsz'	=>	'000030',
		'rímá'	=>	'00200',
		'rockos'	=>	'0012000',
		'romé'	=>	'00002',
		'romét'	=>	'002100',
		'romin'	=>	'002000',
		'romis'	=>	'002000',
		'roste'	=>	'000212',
		'rugg'	=>	'00010',
		'ruma'	=>	'00210',
		'rumil'	=>	'002000',
		'rúde'	=>	'00200',
		's'	=>	'02',
		'saha'	=>	'00210',
		'sajte'	=>	'000200',
		'sasor'	=>	'002100',
		'savad'	=>	'002000',
		'savara'	=>	'0021000',
		'savál'	=>	'002100',
		'savári'	=>	'0020000',
		'save'	=>	'00212',
		'savé'	=>	'00212',
		'sáró'	=>	'00210',
		'sárú'	=>	'00200',
		'sáss'	=>	'00010',
		'sász'	=>	'00230',
		'sáva'	=>	'00210',
		'sává'	=>	'00200',
		'sávó'	=>	'00200',
		'sc'	=>	'002',
		'sebal'	=>	'002000',
		'sebá'	=>	'00210',
		'sebel'	=>	'002000',
		'sebesz'	=>	'0020000',
		'sebo'	=>	'00210',
		'séfi'	=>	'00200',
		'sgr'	=>	'0300',
		'siem'	=>	'00200',
		'siók'	=>	'00200',
		'sínn'	=>	'00030',
		'sípő'	=>	'00212',
		'síra'	=>	'00212',
		'sírát'	=>	'002000',
		'sk'	=>	'002',
		'sokél'	=>	'002000',
		'sokil'	=>	'002000',
		'sokis'	=>	'002000',
		'sokol'	=>	'002000',
		'somag'	=>	'002100',
		'somat'	=>	'002000',
		'sony'	=>	'00102',
		'soral'	=>	'002000',
		'sorál'	=>	'002000',
		'söreg'	=>	'000120',
		'sp'	=>	'002',
		'sportá'	=>	'0000212',
		'st'	=>	'002',
		'starta'	=>	'0000212',
		'sz'	=>	'002',
		'szabade'	=>	'00000210',
		'szakat'	=>	'0002100',
		'szakás'	=>	'0002100',
		'szake'	=>	'000210',
		'szakö'	=>	'000200',
		'szakü'	=>	'000210',
		'száló'	=>	'000212',
		'százz'	=>	'000010',
		'szegér'	=>	'0000100',
		'szegí'	=>	'000200',
		'szei'	=>	'00020',
		'szemá'	=>	'000210',
		'szemér'	=>	'0002100',
		'szeméri'	=>	'00021200',
		'szerág'	=>	'0002100',
		'szervad'	=>	'00002120',
		'szervev'	=>	'00002120',
		'szeszá'	=>	'0002000',
		'szeszeg'	=>	'00020000',
		'szeszó'	=>	'0002012',
		'széfa'	=>	'000200',
		'szénn'	=>	'000010',
		'szét'	=>	'00021',
		'széte'	=>	'000002',
		'színn'	=>	'000030',
		'szk'	=>	'0002',
		'szoló'	=>	'000210',
		'szókész'	=>	'00000001',
		'szószak'	=>	'00020000',
		'szószö'	=>	'0000002',
		'szószöv'	=>	'00020100',
		'szt'	=>	'0002',
		't'	=>	'02',
		'tagal'	=>	'002000',
		'tagar'	=>	'002120',
		'tagá'	=>	'00210',
		'tage'	=>	'00210',
		'tagép'	=>	'002000',
		'tagg'	=>	'00010',
		'tagin'	=>	'002120',
		'tagö'	=>	'00200',
		'tanag'	=>	'002000',
		'tanas'	=>	'002100',
		'tanál'	=>	'002000',
		'tand'	=>	'00012',
		'tane'	=>	'00212',
		'tanév'	=>	'002100',
		'tanéve'	=>	'0000200',
		'tanis'	=>	'002000',
		'tann'	=>	'00010',
		'tanó'	=>	'00212',
		'tant'	=>	'00002',
		'tanus'	=>	'002120',
		'tará'	=>	'00300',
		'tatál'	=>	'002100',
		'tatárai'	=>	'00210000',
		'tate'	=>	'00212',
		'tatí'	=>	'00210',
		'tator'	=>	'002000',
		'tatur'	=>	'002000',
		'táló'	=>	'00212',
		'táncse'	=>	'0002000',
		'tápol'	=>	'002100',
		'társor'	=>	'0002000',
		'társö'	=>	'000212',
		'tártes'	=>	'0002100',
		'tártölt'	=>	'00021000',
		'táva'	=>	'00210',
		'távi'	=>	'00002',
		'távir'	=>	'002100',
		'tbc'	=>	'0001',
		'teaka'	=>	'002000',
		'tear'	=>	'00200',
		'tejá'	=>	'00212',
		'tejeg'	=>	'002100',
		'terape'	=>	'0000002',
		'terva'	=>	'000212',
		'tervá'	=>	'000212',
		'testék'	=>	'0002000',
		'testöl'	=>	'0002100',
		'tetraé'	=>	'0000002',
		'teza'	=>	'00002',
		'ték'	=>	'0030',
		'tényem'	=>	'0020000',
		'tényí'	=>	'002000',
		'téra'	=>	'00200',
		'térá'	=>	'00200',
		'téret'	=>	'002000',
		'térint'	=>	'0001000',
		'tízó'	=>	'00212',
		'tízs'	=>	'00200',
		'tízü'	=>	'00002',
		'tokáro'	=>	'0020000',
		'tolle'	=>	'000200',
		'topau'	=>	'000032',
		'torál'	=>	'002120',
		'torodv'	=>	'0021000',
		'torzse'	=>	'0002300',
		'tóst'	=>	'00100',
		'tótér'	=>	'002100',
		'tönka'	=>	'000210',
		'tőa'	=>	'0002',
		'tőe'	=>	'0002',
		'tőgya'	=>	'002000',
		'tőréss'	=>	'0021000',
		'tőrész'	=>	'0021200',
		'trau'	=>	'00020',
		'turnuss'	=>	'00000010',
		'tuss'	=>	'00030',
		'tusz'	=>	'00200',
		'tuszá'	=>	'000300',
		'túratt'	=>	'0021000',
		'tűzért'	=>	'0021000',
		'tűzőr'	=>	'002120',
		'tűzse'	=>	'002000',
		'tyúka'	=>	'000200',
		'u'	=>	'02',
		'ugráss'	=>	'0000010',
		'unin'	=>	'00100',
		'unio'	=>	'00020',
		'utass'	=>	'000010',
		'utás'	=>	'00004',
		'uto'	=>	'0002',
		'utódö'	=>	'000210',
		'ú'	=>	'02',
		'újas'	=>	'00100',
		'úje'	=>	'0010',
		'úra'	=>	'0012',
		'úrá'	=>	'0012',
		'úre'	=>	'0010',
		'úszós'	=>	'000002',
		'úszósp'	=>	'0000100',
		'úta'	=>	'0012',
		'útá'	=>	'0012',
		'úte'	=>	'0012',
		'útol'	=>	'00100',
		'útő'	=>	'0010',
		'útü'	=>	'0012',
		'ü'	=>	'02',
		'ügyér'	=>	'000100',
		'üka'	=>	'0012',
		'üstöl'	=>	'000020',
		'üstölő'	=>	'0021000',
		'ütőkész'	=>	'00000001',
		'üvegel'	=>	'0002120',
		'ű'	=>	'02',
		'űra'	=>	'0012',
		'űrá'	=>	'0012',
		'űre'	=>	'0012',
		'űrés'	=>	'00120',
		'űréte'	=>	'001000',
		'űri'	=>	'0002',
		'űrita'	=>	'001000',
		'űröss'	=>	'001000',
		'űrs'	=>	'0010',
		'űrt'	=>	'0002',
		'v'	=>	'02',
		'vadal'	=>	'002100',
		'vadár'	=>	'002000',
		'vadét'	=>	'002000',
		'vador'	=>	'002120',
		'vadóv'	=>	'002000',
		'vadö'	=>	'00210',
		'vadz'	=>	'00230',
		'vagyi'	=>	'002010',
		'vaje'	=>	'00210',
		'vakak'	=>	'002100',
		'vakal'	=>	'002000',
		'vakan'	=>	'002100',
		'vakap'	=>	'002000',
		'vakár'	=>	'002100',
		'vake'	=>	'00212',
		'vakö'	=>	'00210',
		'varak'	=>	'002000',
		'varás'	=>	'002120',
		'vare'	=>	'00212',
		'varing'	=>	'0021000',
		'vasab'	=>	'002000',
		'vasar'	=>	'002000',
		'vasatom'	=>	'00212000',
		'vaság'	=>	'002120',
		'vasárk'	=>	'0020000',
		'vasás'	=>	'002000',
		'vase'	=>	'00210',
		'vasék'	=>	'002000',
		'vasir'	=>	'002120',
		'vasol'	=>	'002000',
		'vasor'	=>	'002100',
		'vasó'	=>	'00200',
		'vass'	=>	'00030',
		'vastr'	=>	'000100',
		'vasü'	=>	'00210',
		'vasz'	=>	'00230',
		'vács'	=>	'00001',
		'vádá'	=>	'00200',
		'váde'	=>	'00210',
		'váma'	=>	'00200',
		'váradá'	=>	'0001200',
		'váris'	=>	'002120',
		'várol'	=>	'002100',
		'veréss'	=>	'0000010',
		'verség'	=>	'0002100',
		'verso'	=>	'000210',
		'versz'	=>	'000200',
		'végék'	=>	'002120',
		'végo'	=>	'00210',
		'vényel'	=>	'0020000',
		'véra'	=>	'00212',
		'vérá'	=>	'00200',
		'véreb'	=>	'002100',
		'véreg'	=>	'002100',
		'vérik'	=>	'002000',
		'véro'	=>	'00210',
		'véró'	=>	'00200',
		'vérték'	=>	'0002100',
		'véru'	=>	'00200',
		'vésza'	=>	'002000',
		'vészá'	=>	'002000',
		'vészer'	=>	'0020000',
		'vészí'	=>	'002000',
		'vészo'	=>	'002000',
		'vészó'	=>	'002012',
		'vign'	=>	'00120',
		'vízed'	=>	'002000',
		'vízem'	=>	'002000',
		'vonatút'	=>	'00002100',
		'vonze'	=>	'000212',
		'w'	=>	'02',
		'x'	=>	'02',
		'y'	=>	'02',
		'z'	=>	'02',
		'zabe'	=>	'00200',
		'zabin'	=>	'002120',
		'zai'	=>	'0002',
		'zaje'	=>	'00212',
		'zajö'	=>	'00210',
		'zajut'	=>	'002000',
		'záradá'	=>	'0021200',
		'záre'	=>	'00210',
		'záróra'	=>	'0021200',
		'zártan'	=>	'0000020',
		'zártany'	=>	'00021000',
		'zárté'	=>	'000210',
		'zártöv'	=>	'0002120',
		'zei'	=>	'0020',
		'zét'	=>	'0021',
		'zs'	=>	'002',
		'zűrő'	=>	'00210',
	),

	'end' => array(
		'a'	=>	'20',
		'aal'	=>	'0200',
		'aál'	=>	'0200',
		'abúr'	=>	'00100',
		'ace'	=>	'0200',
		'acin'	=>	'20000',
		'acsalj'	=>	'0001000',
		'adag'	=>	'12000',
		'adatár'	=>	'0002100',
		'adina'	=>	'001200',
		'adósi'	=>	'200000',
		'afa'	=>	'2000',
		'afaj'	=>	'20000',
		'afajt'	=>	'200000',
		'agács'	=>	'021000',
		'agár'	=>	'02000',
		'age'	=>	'0200',
		'agék'	=>	'02100',
		'agér'	=>	'02100',
		'agg'	=>	'1000',
		'agne'	=>	'00200',
		'agyak'	=>	'120000',
		'agyék'	=>	'000100',
		'agyér'	=>	'000100',
		'agyú'	=>	'12000',
		'agyúr'	=>	'000100',
		'aille'	=>	'000200',
		'aima'	=>	'00200',
		'aina'	=>	'00200',
		'air'	=>	'0200',
		'aire'	=>	'00200',
		'ajdalom'	=>	'00212000',
		'ajkú'	=>	'10000',
		'akác'	=>	'10000',
		'ake'	=>	'0200',
		'akép'	=>	'20000',
		'akku'	=>	'10000',
		'aknát'	=>	'100000',
		'akőr'	=>	'00100',
		'akős'	=>	'00100',
		'akti'	=>	'10000',
		'aktíve'	=>	'0021000',
		'aktú'	=>	'10000',
		'alakna'	=>	'0210000',
		'alakul'	=>	'0200000',
		'alág'	=>	'02100',
		'alástér'	=>	'00002100',
		'ale'	=>	'0200',
		'alelem'	=>	'0002000',
		'alepe'	=>	'000200',
		'alél'	=>	'02000',
		'alku'	=>	'10000',
		'alold'	=>	'002000',
		'alúr'	=>	'00100',
		'amátadó'	=>	'00001200',
		'ambér'	=>	'002100',
		'ame'	=>	'0200',
		'amina'	=>	'000200',
		'anapa'	=>	'001000',
		'ance'	=>	'00200',
		'ancér'	=>	'002100',
		'anez'	=>	'00100',
		'angér'	=>	'002100',
		'anne'	=>	'00200',
		'anny'	=>	'00300',
		'anyagár'	=>	'00000100',
		'anyere'	=>	'0001200',
		'anyér'	=>	'020100',
		'ape'	=>	'0200',
		'apér'	=>	'02100',
		'aprés'	=>	'002000',
		'arakt'	=>	'021000',
		'arapa'	=>	'000200',
		'arasz'	=>	'100000',
		'arác'	=>	'02100',
		'arág'	=>	'02100',
		'arága'	=>	'021200',
		'arcél'	=>	'000100',
		'arég'	=>	'00100',
		'arél'	=>	'00100',
		'ari'	=>	'2000',
		'arina'	=>	'021200',
		'arkin'	=>	'002100',
		'arme'	=>	'00200',
		'art'	=>	'2000',
		'artina'	=>	'0021200',
		'asér'	=>	'02100',
		'asszíve'	=>	'00001000',
		'aszág'	=>	'020100',
		'aszer'	=>	'200000',
		'atalap'	=>	'0002000',
		'atág'	=>	'00100',
		'atéke'	=>	'021000',
		'ati'	=>	'2000',
		'ating'	=>	'021000',
		'atövi'	=>	'000200',
		'atűri'	=>	'001000',
		'aut'	=>	'0200',
		'aüzem'	=>	'002000',
		'avária'	=>	'0002000',
		'aye'	=>	'0100',
		'ayi'	=>	'0100',
		'á'	=>	'20',
		'ábér'	=>	'02100',
		'ábúr'	=>	'00100',
		'ácsó'	=>	'00300',
		'áfing'	=>	'021000',
		'ágér'	=>	'02100',
		'ágina'	=>	'021200',
		'ágyér'	=>	'000100',
		'ála'	=>	'2000',
		'álakna'	=>	'0210000',
		'álatér'	=>	'0002100',
		'álág'	=>	'00100',
		'álér'	=>	'02100',
		'álév'	=>	'02100',
		'álmok'	=>	'100000',
		'álmot'	=>	'100000',
		'áloka'	=>	'021200',
		'ánatér'	=>	'0002100',
		'ánár'	=>	'00100',
		'áncér'	=>	'002100',
		'ánék'	=>	'02100',
		'ánér'	=>	'02100',
		'ángér'	=>	'002100',
		'ángy'	=>	'10000',
		'ányérc'	=>	'0001000',
		'árakna'	=>	'0210000',
		'árakt'	=>	'021000',
		'áralj'	=>	'021000',
		'áralja'	=>	'0210000',
		'árama'	=>	'120000',
		'árár'	=>	'00100',
		'áréj'	=>	'00100',
		'árév'	=>	'02100',
		'árpa'	=>	'10000',
		'áru'	=>	'1200',
		'árun'	=>	'12000',
		'árura'	=>	'100000',
		'árut'	=>	'10000',
		'ásér'	=>	'02100',
		'ásúr'	=>	'00100',
		'átakt'	=>	'021000',
		'átág'	=>	'00100',
		'áthi'	=>	'00200',
		'átokol'	=>	'0010000',
		'átúr'	=>	'02100',
		'ázakt'	=>	'021000',
		'ázatér'	=>	'0002100',
		'ázárus'	=>	'0003000',
		'ázér'	=>	'02100',
		'ázól'	=>	'00100',
		'ázsár'	=>	'023000',
		'b'	=>	'20',
		'babina'	=>	'0021200',
		'bagy'	=>	'21000',
		'bakér'	=>	'002100',
		'barc'	=>	'21000',
		'báróné'	=>	'0021200',
		'báru'	=>	'20000',
		'bárura'	=>	'0001200',
		'bbél'	=>	'00100',
		'beke'	=>	'21200',
		'belér'	=>	'002100',
		'bepe'	=>	'00200',
		'bereke'	=>	'0021200',
		'berős'	=>	'000100',
		'betegér'	=>	'00000100',
		'bév'	=>	'2100',
		'bévi'	=>	'00200',
		'bima'	=>	'00200',
		'binat'	=>	'212000',
		'bolaj'	=>	'200000',
		'bonér'	=>	'002100',
		'borr'	=>	'21000',
		'bujj'	=>	'21000',
		'bujja'	=>	'200000',
		'búr'	=>	'2000',
		'c'	=>	'20',
		'cáru'	=>	'20000',
		'ccér'	=>	'02100',
		'ccina'	=>	'000200',
		'cegy'	=>	'01000',
		'ceke'	=>	'21200',
		'celődöt'	=>	'20000000',
		'cepe'	=>	'21200',
		'ceptér'	=>	'0002100',
		'céle'	=>	'00200',
		'cértő'	=>	'210000',
		'cév'	=>	'2100',
		'céve'	=>	'21200',
		'cévi'	=>	'00200',
		'ciakén'	=>	'0020000',
		'ciga'	=>	'21200',
		'cige'	=>	'00200',
		'cisi'	=>	'00200',
		'citár'	=>	'000100',
		'cker'	=>	'10000',
		'colina'	=>	'0021200',
		'cöv'	=>	'0100',
		'csáv'	=>	'20000',
		'cseke'	=>	'201200',
		'cselv'	=>	'200000',
		'cség'	=>	'03000',
		'csérv'	=>	'230000',
		'csév'	=>	'20000',
		'csina'	=>	'201200',
		'csokk'	=>	'200000',
		'csoldó'	=>	'2000000',
		'csör'	=>	'20000',
		'csöv'	=>	'20000',
		'cső'	=>	'3000',
		'cúr'	=>	'0100',
		'd'	=>	'20',
		'dalél'	=>	'000100',
		'dalér'	=>	'002100',
		'dapa'	=>	'21200',
		'dapó'	=>	'00200',
		'daz'	=>	'2100',
		'dária'	=>	'212000',
		'dáru'	=>	'20000',
		'dáruság'	=>	'00002100',
		'dárú'	=>	'21000',
		'deltett'	=>	'21000000',
		'delv'	=>	'21000',
		'delvű'	=>	'210000',
		'depe'	=>	'00200',
		'derő'	=>	'01000',
		'derős'	=>	'000100',
		'deszű'	=>	'002000',
		'déj'	=>	'2100',
		'dékér'	=>	'002100',
		'dév'	=>	'2100',
		'déve'	=>	'21200',
		'déves'	=>	'212000',
		'dge'	=>	'0200',
		'dhi'	=>	'0200',
		'diga'	=>	'00200',
		'dige'	=>	'00200',
		'dima'	=>	'00200',
		'diósor'	=>	'0030000',
		'dipar'	=>	'200000',
		'disi'	=>	'21200',
		'dív'	=>	'2100',
		'dósi'	=>	'30000',
		'dökér'	=>	'002100',
		'dőré'	=>	'21200',
		'dressz'	=>	'1200000',
		'dutó'	=>	'00200',
		'e'	=>	'20',
		'eak'	=>	'0200',
		'eam'	=>	'0200',
		'ear'	=>	'0200',
		'eau'	=>	'0200',
		'eányér'	=>	'0020100',
		'echi'	=>	'00300',
		'ecsér'	=>	'020100',
		'edetér'	=>	'0002100',
		'edvér'	=>	'000100',
		'eel'	=>	'0200',
		'een'	=>	'0200',
		'egát'	=>	'03000',
		'egere'	=>	'100000',
		'egér'	=>	'02000',
		'egéri'	=>	'000200',
		'egérő'	=>	'001200',
		'egi'	=>	'0300',
		'egig'	=>	'03000',
		'egó'	=>	'0300',
		'egura'	=>	'021200',
		'egyér'	=>	'000100',
		'eille'	=>	'000200',
		'eima'	=>	'00200',
		'eíró'	=>	'00200',
		'eírói'	=>	'002000',
		'eírón'	=>	'002000',
		'ejöve'	=>	'001200',
		'ekajtó'	=>	'0210000',
		'ekarc'	=>	'001000',
		'ekész'	=>	'021000',
		'ekéve'	=>	'021200',
		'ekúr'	=>	'02100',
		'elág'	=>	'00100',
		'elár'	=>	'00100',
		'eld'	=>	'2000',
		'eled'	=>	'20000',
		'eleme'	=>	'100000',
		'elemem'	=>	'1200000',
		'elemes'	=>	'1200000',
		'elesik'	=>	'0002000',
		'elél'	=>	'00100',
		'elérét'	=>	'0002000',
		'eléri'	=>	'000200',
		'elész'	=>	'200000',
		'elév'	=>	'02100',
		'elling'	=>	'0001000',
		'elődje'	=>	'1000000',
		'elődöt'	=>	'1000000',
		'előké'	=>	'200000',
		'előny'	=>	'100000',
		'előr'	=>	'00100',
		'előz'	=>	'12000',
		'elte'	=>	'20000',
		'eltet'	=>	'200000',
		'elügyér'	=>	'00000100',
		'elvér'	=>	'002100',
		'elyekén'	=>	'02012000',
		'eméhe'	=>	'021200',
		'emétel'	=>	'0210000',
		'emőr'	=>	'00100',
		'emu'	=>	'1200',
		'endér'	=>	'002100',
		'enér'	=>	'02100',
		'entéve'	=>	'0021200',
		'enyhi'	=>	'100000',
		'enyve'	=>	'100000',
		'eös'	=>	'0200',
		'epér'	=>	'02100',
		'eposz'	=>	'100000',
		'eposzt'	=>	'1000000',
		'erapa'	=>	'001200',
		'erár'	=>	'02100',
		'eresze'	=>	'0200000',
		'eretérő'	=>	'00021200',
		'eretéve'	=>	'00021200',
		'erezet'	=>	'1200000',
		'erég'	=>	'00100',
		'eréj'	=>	'02100',
		'erév'	=>	'02100',
		'eréve'	=>	'001200',
		'eríj'	=>	'00100',
		'esa'	=>	'2000',
		'esé'	=>	'2000',
		'esok'	=>	'20000',
		'esos'	=>	'20000',
		'estér'	=>	'002100',
		'estőr'	=>	'002100',
		'esúr'	=>	'00100',
		'eszme'	=>	'100000',
		'esztér'	=>	'0002100',
		'esztőr'	=>	'0002100',
		'etág'	=>	'00100',
		'eteke'	=>	'021200',
		'etelmén'	=>	'02100000',
		'eteste'	=>	'0210000',
		'etetér'	=>	'0002100',
		'etég'	=>	'00100',
		'etéré'	=>	'021200',
		'etéter'	=>	'0002000',
		'etéves'	=>	'0002000',
		'etöl'	=>	'02100',
		'etőr'	=>	'02100',
		'etőri'	=>	'000200',
		'eur'	=>	'0200',
		'euri'	=>	'00200',
		'ezetér'	=>	'0002100',
		'ezetérő'	=>	'00021200',
		'ezetéve'	=>	'00021200',
		'é'	=>	'20',
		'édeke'	=>	'021200',
		'édér'	=>	'02100',
		'égéré'	=>	'000200',
		'égérő'	=>	'001200',
		'égiga'	=>	'021000',
		'égj'	=>	'1000',
		'égne'	=>	'10000',
		'égő'	=>	'1000',
		'égsz'	=>	'10000',
		'éji'	=>	'1200',
		'ékérő'	=>	'021200',
		'ékéve'	=>	'021200',
		'ékúr'	=>	'00100',
		'ékűr'	=>	'00100',
		'élár'	=>	'00100',
		'életér'	=>	'0002100',
		'életérő'	=>	'00021200',
		'életéve'	=>	'00021200',
		'élér'	=>	'02100',
		'élév'	=>	'02100',
		'émeke'	=>	'021200',
		'éneke'	=>	'020000',
		'énér'	=>	'02100',
		'ényér'	=>	'020100',
		'épár'	=>	'00100',
		'épér'	=>	'02100',
		'érág'	=>	'00100',
		'érdeke'	=>	'1000000',
		'érekén'	=>	'0212000',
		'éreső'	=>	'021000',
		'éretér'	=>	'0002100',
		'éretéve'	=>	'00021200',
		'éréj'	=>	'02100',
		'éréve'	=>	'001200',
		'érfogón'	=>	'00002100',
		'érmi'	=>	'10000',
		'érüké'	=>	'000200',
		'érzék'	=>	'100000',
		'éseke'	=>	'021200',
		'ésér'	=>	'02100',
		'ésérő'	=>	'021200',
		'éséve'	=>	'001200',
		'ésszel'	=>	'0040000',
		'észege'	=>	'0201200',
		'észetér'	=>	'00002100',
		'éteke'	=>	'021200',
		'ételér'	=>	'0002100',
		'étég'	=>	'00100',
		'étón'	=>	'00100',
		'étőr'	=>	'00100',
		'évad'	=>	'10000',
		'évér'	=>	'00100',
		'évéri'	=>	'000200',
		'évtő'	=>	'10000',
		'évük'	=>	'02000',
		'ézen'	=>	'00200',
		'ézér'	=>	'02100',
		'ézőr'	=>	'00100',
		'f'	=>	'20',
		'fachi'	=>	'000300',
		'falsín'	=>	'0002100',
		'fanya'	=>	'212000',
		'faszív'	=>	'0020100',
		'felér'	=>	'002100',
		'fezér'	=>	'002100',
		'fékér'	=>	'002100',
		'fémekét'	=>	'00202000',
		'föle'	=>	'00300',
		'ftér'	=>	'02100',
		'g'	=>	'20',
		'gadu'	=>	'21200',
		'gaga'	=>	'00200',
		'gagy'	=>	'01000',
		'gapa'	=>	'00200',
		'gapó'	=>	'00200',
		'gág'	=>	'2100',
		'gáll'	=>	'21000',
		'gám'	=>	'0200',
		'gángy'	=>	'200000',
		'gáru'	=>	'20000',
		'gás'	=>	'0200',
		'gát'	=>	'0200',
		'gátér'	=>	'002100',
		'gázár'	=>	'002100',
		'gdér'	=>	'02100',
		'gdina'	=>	'001000',
		'geke'	=>	'21200',
		'gekés'	=>	'212000',
		'gel'	=>	'3200',
		'geld'	=>	'30000',
		'gelek'	=>	'320000',
		'gelési'	=>	'3200000',
		'gelész'	=>	'3000000',
		'geli'	=>	'32000',
		'gelj'	=>	'32000',
		'gelő'	=>	'32000',
		'gelők'	=>	'320000',
		'gelőké'	=>	'3000000',
		'gelőn'	=>	'320000',
		'gelőre'	=>	'0200000',
		'gelős'	=>	'320000',
		'gelőt'	=>	'320000',
		'gelsz'	=>	'320000',
		'gelt'	=>	'32000',
		'gelte'	=>	'300000',
		'geltett'	=>	'21000000',
		'gelv'	=>	'21000',
		'gerő'	=>	'01000',
		'ges'	=>	'0200',
		'gesen'	=>	'020000',
		'gessé'	=>	'320000',
		'gest'	=>	'02000',
		'getér'	=>	'002100',
		'getéve'	=>	'0021200',
		'géhe'	=>	'21200',
		'géj'	=>	'2100',
		'gép'	=>	'3000',
		'gérc'	=>	'21000',
		'géré'	=>	'20000',
		'gérő'	=>	'20000',
		'gértő'	=>	'010000',
		'gérv'	=>	'21000',
		'gév'	=>	'2100',
		'géve'	=>	'21200',
		'gham'	=>	'02000',
		'gige'	=>	'21200',
		'gima'	=>	'00200',
		'gime'	=>	'00200',
		'gintő'	=>	'010000',
		'gizé'	=>	'21200',
		'gnán'	=>	'02000',
		'gnát'	=>	'02000',
		'goka'	=>	'01200',
		'goltó'	=>	'210000',
		'gondér'	=>	'0002100',
		'göv'	=>	'0100',
		'gőr'	=>	'2100',
		'gúr'	=>	'2100',
		'gúti'	=>	'21200',
		'gügyér'	=>	'0000100',
		'gűr'	=>	'2100',
		'gyag'	=>	'20000',
		'gyakt'	=>	'200000',
		'gyeke'	=>	'200000',
		'gyéke'	=>	'001200',
		'gyér'	=>	'20000',
		'gyév'	=>	'20000',
		'gyéve'	=>	'200000',
		'gyötöd'	=>	'2000000',
		'gyűré'	=>	'200000',
		'h'	=>	'20',
		'hab'	=>	'3000',
		'habér'	=>	'002100',
		'habina'	=>	'0021200',
		'hadúr'	=>	'002100',
		'halér'	=>	'002100',
		'hászka'	=>	'2100000',
		'hátér'	=>	'002100',
		'henyege'	=>	'00201200',
		'héi'	=>	'3000',
		'hénév'	=>	'000100',
		'héve'	=>	'00200',
		'hia'	=>	'2000',
		'him'	=>	'2000',
		'hing'	=>	'01000',
		'hips'	=>	'01000',
		'hise'	=>	'00200',
		'hitelve'	=>	'00210000',
		'hitér'	=>	'002100',
		'hitéve'	=>	'0021200',
		'hódara'	=>	'0021200',
		'hus'	=>	'2000',
		'i'	=>	'20',
		'iacér'	=>	'002100',
		'iákér'	=>	'002100',
		'icha'	=>	'00300',
		'icséré'	=>	'0201200',
		'idegér'	=>	'0000100',
		'idő'	=>	'1200',
		'iérő'	=>	'00200',
		'iéve'	=>	'00200',
		'ife'	=>	'0200',
		'ifjú'	=>	'10000',
		'igaz'	=>	'12000',
		'igér'	=>	'00100',
		'igya'	=>	'02000',
		'igyér'	=>	'000100',
		'iku'	=>	'2000',
		'ilikon'	=>	'0212000',
		'ilima'	=>	'000200',
		'ilmér'	=>	'002100',
		'imar'	=>	'20000',
		'inakat'	=>	'1200000',
		'inam'	=>	'12000',
		'inamit'	=>	'0212000',
		'inas'	=>	'12000',
		'incsér'	=>	'0020100',
		'incsor'	=>	'0003000',
		'ine'	=>	'2000',
		'inér'	=>	'02100',
		'ingrád'	=>	'0002000',
		'inima'	=>	'021200',
		'inna'	=>	'10000',
		'intőr'	=>	'000100',
		'iográf'	=>	'0012000',
		'ióév'	=>	'02000',
		'iósi'	=>	'00200',
		'ipar'	=>	'12000',
		'ipara'	=>	'100000',
		'iratoz'	=>	'1000000',
		'iro'	=>	'2000',
		'iroda'	=>	'120000',
		'iseke'	=>	'021200',
		'isér'	=>	'02100',
		'iséve'	=>	'001200',
		'isévi'	=>	'000200',
		'isme'	=>	'10000',
		'isztér'	=>	'0002100',
		'isztőr'	=>	'0002100',
		'ital'	=>	'12000',
		'itács'	=>	'001000',
		'itág'	=>	'00100',
		'itelér'	=>	'0002100',
		'ivás'	=>	'12000',
		'ive'	=>	'0200',
		'í'	=>	'20',
		'ídér'	=>	'02100',
		'íkér'	=>	'02100',
		'ímér'	=>	'02100',
		'ímérő'	=>	'021200',
		'íneke'	=>	'021200',
		'ínér'	=>	'02100',
		'írár'	=>	'00100',
		'ítéség'	=>	'0002100',
		'ívér'	=>	'02100',
		'ízér'	=>	'02100',
		'j'	=>	'20',
		'jaga'	=>	'00200',
		'jakim'	=>	'002100',
		'jakt'	=>	'21000',
		'jana'	=>	'20000',
		'jág'	=>	'2100',
		'jága'	=>	'21200',
		'játadó'	=>	'0001200',
		'játadók'	=>	'00012000',
		'játadón'	=>	'00012000',
		'jeltett'	=>	'21000000',
		'jeneke'	=>	'0021200',
		'jégér'	=>	'002100',
		'jér'	=>	'2100',
		'jév'	=>	'2100',
		'jéve'	=>	'00200',
		'jina'	=>	'21200',
		'jlév'	=>	'02100',
		'jorr'	=>	'21000',
		'jöv'	=>	'2100',
		'jöve'	=>	'20000',
		'jsavón'	=>	'0002100',
		'jteke'	=>	'021200',
		'k'	=>	'20',
		'kablak'	=>	'2100000',
		'kacél'	=>	'002000',
		'kagy'	=>	'21000',
		'kakó'	=>	'00200',
		'kakt'	=>	'21000',
		'kalj'	=>	'21000',
		'kanya'	=>	'212000',
		'karat'	=>	'200000',
		'karing'	=>	'0021000',
		'karoma'	=>	'2120000',
		'kautó'	=>	'210000',
		'kág'	=>	'2100',
		'kága'	=>	'21000',
		'kászár'	=>	'0003000',
		'keb'	=>	'2100',
		'keke'	=>	'21200',
		'kelepe'	=>	'0021200',
		'keltérő'	=>	'00021200',
		'kelv'	=>	'21000',
		'kernel'	=>	'2000000',
		'kéke'	=>	'21200',
		'kétel'	=>	'002000',
		'kév'	=>	'2100',
		'kévi'	=>	'21200',
		'kgráf'	=>	'012000',
		'kieset'	=>	'0020000',
		'kiga'	=>	'00200',
		'kima'	=>	'21200',
		'kina'	=>	'21200',
		'kiont'	=>	'200000',
		'kión'	=>	'21200',
		'kisi'	=>	'00200',
		'kígy'	=>	'01000',
		'kív'	=>	'2100',
		'kkló'	=>	'00200',
		'klámér'	=>	'0002100',
		'kletér'	=>	'0002100',
		'kletéve'	=>	'00021200',
		'kolina'	=>	'0021200',
		'kompér'	=>	'0002100',
		'koncsor'	=>	'00023000',
		'konér'	=>	'002100',
		'korr'	=>	'21000',
		'kóné'	=>	'21200',
		'kóni'	=>	'21200',
		'körülő'	=>	'0021000',
		'körv'	=>	'20000',
		'köv'	=>	'2100',
		'kőri'	=>	'01200',
		'krokett'	=>	'10000000',
		'kujj'	=>	'21000',
		'kujja'	=>	'200000',
		'kup'	=>	'2100',
		'l'	=>	'20',
		'lagár'	=>	'000100',
		'lajár'	=>	'002100',
		'lakér'	=>	'002100',
		'lakt'	=>	'21000',
		'lalti'	=>	'210000',
		'lanár'	=>	'002100',
		'landér'	=>	'0002100',
		'lapa'	=>	'21200',
		'lapina'	=>	'0021200',
		'lapó'	=>	'00200',
		'lara'	=>	'00200',
		'laszalt'	=>	'00001000',
		'lálmok'	=>	'2000000',
		'lámút'	=>	'002100',
		'lányér'	=>	'0020100',
		'láru'	=>	'20000',
		'lásó'	=>	'21200',
		'legelem'	=>	'00320000',
		'legelve'	=>	'00320000',
		'leges'	=>	'003000',
		'legesen'	=>	'00300000',
		'lekapu'	=>	'0021200',
		'lekár'	=>	'002100',
		'leke'	=>	'21200',
		'lekés'	=>	'212000',
		'lelv'	=>	'21000',
		'lemel'	=>	'212000',
		'lemelő'	=>	'2100000',
		'lemelt'	=>	'0100000',
		'lenév'	=>	'002100',
		'lesti'	=>	'200000',
		'letété'	=>	'0001200',
		'levez'	=>	'012000',
		'légér'	=>	'000100',
		'léhe'	=>	'21200',
		'léj'	=>	'2100',
		'léle'	=>	'21200',
		'lérc'	=>	'21000',
		'lérez'	=>	'212000',
		'lérő'	=>	'21200',
		'lértő'	=>	'210000',
		'létel'	=>	'002000',
		'létér'	=>	'002100',
		'léve'	=>	'21200',
		'lévet'	=>	'212000',
		'lévi'	=>	'21200',
		'lgyér'	=>	'000100',
		'lig'	=>	'0200',
		'lige'	=>	'00200',
		'liker'	=>	'212000',
		'lima'	=>	'20000',
		'lime'	=>	'00200',
		'linas'	=>	'200000',
		'line'	=>	'00200',
		'lipa'	=>	'00200',
		'lital'	=>	'200000',
		'lix'	=>	'3000',
		'lív'	=>	'2000',
		'líz'	=>	'2100',
		'lközön'	=>	'0002100',
		'llatár'	=>	'0002100',
		'llágy'	=>	'001000',
		'llemér'	=>	'0002100',
		'llélet'	=>	'0212000',
		'llév'	=>	'02100',
		'llina'	=>	'001000',
		'llita'	=>	'021000',
		'llőr'	=>	'02100',
		'llőze'	=>	'021200',
		'llsi'	=>	'00200',
		'lográf'	=>	'0012000',
		'los'	=>	'0200',
		'lóni'	=>	'21200',
		'löv'	=>	'2100',
		'löve'	=>	'01200',
		'lőde'	=>	'20000',
		'lődje'	=>	'200000',
		'lődöt'	=>	'200000',
		'lőny'	=>	'20000',
		'lőnye'	=>	'200000',
		'lőtét'	=>	'200000',
		'ltág'	=>	'00100',
		'ltéves'	=>	'0002000',
		'lúté'	=>	'00200',
		'lülhet'	=>	'2100000',
		'lülsz'	=>	'210000',
		'lült'	=>	'21000',
		'lülte'	=>	'010000',
		'lültet'	=>	'2100000',
		'lülve'	=>	'210000',
		'lvárak'	=>	'0212000',
		'lvéri'	=>	'000200',
		'lyagy'	=>	'200000',
		'lyeke'	=>	'200000',
		'lyéhe'	=>	'200000',
		'lyér'	=>	'20100',
		'lyérő'	=>	'200000',
		'lyév'	=>	'20000',
		'lyéve'	=>	'200000',
		'lyn'	=>	'1000',
		'lys'	=>	'1000',
		'lyúr'	=>	'20100',
		'lyűr'	=>	'20100',
		'lzetér'	=>	'0002100',
		'm'	=>	'20',
		'macél'	=>	'002000',
		'magy'	=>	'21000',
		'mail'	=>	'00200',
		'makol'	=>	'212000',
		'malt'	=>	'21000',
		'manya'	=>	'212000',
		'mapa'	=>	'00200',
		'marc'	=>	'21000',
		'mág'	=>	'2100',
		'mági'	=>	'00200',
		'mákér'	=>	'002100',
		'mányér'	=>	'0020100',
		'mbina'	=>	'021200',
		'mbing'	=>	'021000',
		'mekár'	=>	'002100',
		'mekér'	=>	'002100',
		'meletér'	=>	'00002100',
		'melit'	=>	'002000',
		'mellér'	=>	'0002100',
		'meltett'	=>	'21000000',
		'melv'	=>	'21000',
		'meretér'	=>	'00002100',
		'meste'	=>	'210000',
		'mezér'	=>	'002100',
		'méj'	=>	'2100',
		'méle'	=>	'00200',
		'mérc'	=>	'21000',
		'métke'	=>	'210000',
		'mév'	=>	'2100',
		'méve'	=>	'21200',
		'mima'	=>	'00200',
		'miszár'	=>	'0003000',
		'mitár'	=>	'000100',
		'mizé'	=>	'00200',
		'mív'	=>	'0100',
		'mlékest'	=>	'00021000',
		'mlékér'	=>	'0002100',
		'mme'	=>	'0200',
		'mográf'	=>	'0012000',
		'morr'	=>	'21000',
		'mölcsér'	=>	'00020100',
		'mur'	=>	'2000',
		'múr'	=>	'2100',
		'n'	=>	'20',
		'nadu'	=>	'00200',
		'naga'	=>	'00200',
		'nakó'	=>	'21200',
		'nalég'	=>	'000100',
		'nalj'	=>	'20000',
		'nalja'	=>	'010000',
		'napa'	=>	'20000',
		'napó'	=>	'00200',
		'narany'	=>	'2100000',
		'naranya'	=>	'21200000',
		'narc'	=>	'21000',
		'nákér'	=>	'002100',
		'náll'	=>	'21000',
		'nálla'	=>	'210000',
		'nárat'	=>	'212000',
		'nárun'	=>	'200000',
		'nászka'	=>	'2100000',
		'nche'	=>	'02000',
		'ncina'	=>	'021200',
		'ncölt'	=>	'021000',
		'ncsár'	=>	'023000',
		'ncsőr'	=>	'020100',
		'ndina'	=>	'021200',
		'ndőr'	=>	'02100',
		'ndűr'	=>	'02100',
		'negér'	=>	'210000',
		'negy'	=>	'01000',
		'nelegy'	=>	'0100000',
		'nemér'	=>	'002100',
		'nereke'	=>	'0021200',
		'netér'	=>	'002100',
		'netérő'	=>	'0021200',
		'netéve'	=>	'0021200',
		'nég'	=>	'2100',
		'négető'	=>	'2120000',
		'néré'	=>	'00200',
		'néri'	=>	'00200',
		'nérő'	=>	'21200',
		'néve'	=>	'21200',
		'ngadó'	=>	'020000',
		'ngászi'	=>	'0212000',
		'ngérő'	=>	'001200',
		'ngyér'	=>	'000100',
		'nide'	=>	'00200',
		'nigaz'	=>	'200000',
		'nige'	=>	'00200',
		'nikrit'	=>	'2100000',
		'nina'	=>	'21200',
		'ninge'	=>	'210000',
		'nisi'	=>	'00200',
		'nlétéve'	=>	'00021200',
		'nog'	=>	'2000',
		'novi'	=>	'21200',
		'nóda'	=>	'00200',
		'nökér'	=>	'002100',
		'növ'	=>	'2100',
		'növe'	=>	'01200',
		'nőr'	=>	'2100',
		'nőrét'	=>	'002000',
		'nsche'	=>	'000300',
		'nséve'	=>	'001200',
		'nszába'	=>	'0201200',
		'ntaga'	=>	'001200',
		'ntara'	=>	'001200',
		'ntég'	=>	'00100',
		'ntillát'	=>	'00002000',
		'nting'	=>	'021000',
		'ntink'	=>	'000100',
		'núr'	=>	'2100',
		'nügy'	=>	'21000',
		'nügye'	=>	'212000',
		'nütő'	=>	'00200',
		'nyak'	=>	'30000',
		'nyakt'	=>	'200000',
		'nyalak'	=>	'2012000',
		'nyárt'	=>	'300000',
		'nydre'	=>	'100000',
		'nyeke'	=>	'200000',
		'nyérc'	=>	'200000',
		'nyérem'	=>	'2000000',
		'nyérő'	=>	'200000',
		'nyérv'	=>	'200000',
		'nyév'	=>	'20000',
		'nyéve'	=>	'200000',
		'nyifjú'	=>	'2000000',
		'nying'	=>	'001000',
		'nyk'	=>	'3000',
		'nyket'	=>	'100000',
		'nym'	=>	'1000',
		'nymet'	=>	'100000',
		'nyn'	=>	'1000',
		'nyom'	=>	'30000',
		'nyomat'	=>	'3000000',
		'nys'	=>	'3000',
		'nyst'	=>	'10000',
		'nyúr'	=>	'20100',
		'nyűr'	=>	'20100',
		'nyűző'	=>	'201200',
		'nzér'	=>	'02100',
		'nzitíve'	=>	'00021200',
		'o'	=>	'20',
		'obina'	=>	'001000',
		'ochi'	=>	'02300',
		'ocki'	=>	'01200',
		'ofonér'	=>	'0002100',
		'ogér'	=>	'02100',
		'ográf'	=>	'200000',
		'ogyis'	=>	'000100',
		'oke'	=>	'0200',
		'okernel'	=>	'00100000',
		'okél'	=>	'02100',
		'okér'	=>	'02100',
		'okúr'	=>	'00100',
		'ola'	=>	'0300',
		'olaj'	=>	'12000',
		'oldal'	=>	'100000',
		'olér'	=>	'00100',
		'olima'	=>	'001200',
		'olív'	=>	'00100',
		'oltér'	=>	'002100',
		'olyén'	=>	'120000',
		'omaga'	=>	'000200',
		'omáré'	=>	'000200',
		'ombón'	=>	'000100',
		'omerő'	=>	'021000',
		'omér'	=>	'02100',
		'oméri'	=>	'000200',
		'omina'	=>	'001200',
		'omkárok'	=>	'00002000',
		'omte'	=>	'00200',
		'onalj'	=>	'001000',
		'oncér'	=>	'002100',
		'oncsér'	=>	'0020100',
		'onde'	=>	'00200',
		'onév'	=>	'02100',
		'onkárok'	=>	'00002000',
		'onne'	=>	'00200',
		'onográf'	=>	'00012000',
		'ons'	=>	'2000',
		'onyér'	=>	'020100',
		'orács'	=>	'001000',
		'orár'	=>	'02100',
		'orév'	=>	'02100',
		'orima'	=>	'021200',
		'orina'	=>	'021200',
		'oring'	=>	'021000',
		'orne'	=>	'00200',
		'orontó'	=>	'0210000',
		'orri'	=>	'10000',
		'orrú'	=>	'10000',
		'ortúr'	=>	'000100',
		'orv'	=>	'1000',
		'orzavar'	=>	'00212000',
		'osúr'	=>	'00100',
		'osztár'	=>	'0002000',
		'otér'	=>	'02100',
		'otina'	=>	'001200',
		'otonin'	=>	'0002100',
		'ozófián'	=>	'20000000',
		'ozófiát'	=>	'20000000',
		'ó'	=>	'20',
		'óátadó'	=>	'0001200',
		'ódal'	=>	'20000',
		'ódúr'	=>	'00100',
		'óér'	=>	'2000',
		'ófa'	=>	'2000',
		'ófér'	=>	'02100',
		'ófúr'	=>	'00100',
		'ógyi'	=>	'03000',
		'óima'	=>	'00200',
		'óina'	=>	'20200',
		'ójakén'	=>	'2000000',
		'ójáró'	=>	'200000',
		'ókar'	=>	'20000',
		'ókép'	=>	'20000',
		'ókér'	=>	'02100',
		'ómen'	=>	'02000',
		'ónalj'	=>	'001000',
		'ónapa'	=>	'000200',
		'ónyitó'	=>	'2000000',
		'ósér'	=>	'02100',
		'ósúr'	=>	'00100',
		'ószer'	=>	'200000',
		'ótag'	=>	'20000',
		'ótó'	=>	'2000',
		'óvak'	=>	'20000',
		'ö'	=>	'20',
		'öbér'	=>	'02100',
		'ögér'	=>	'02100',
		'ökéve'	=>	'021200',
		'ökör'	=>	'10000',
		'ölél'	=>	'02100',
		'ölér'	=>	'02100',
		'ömér'	=>	'02100',
		'önátadó'	=>	'00001200',
		'önbékét'	=>	'00002000',
		'öndér'	=>	'002100',
		'önév'	=>	'02100',
		'önyvér'	=>	'0002100',
		'öréj'	=>	'02100',
		'öréve'	=>	'001200',
		'örv'	=>	'1000',
		'övé'	=>	'0200',
		'özélet'	=>	'0012000',
		'özér'	=>	'02100',
		'özőr'	=>	'00100',
		'ő'	=>	'20',
		'ődőr'	=>	'00100',
		'őeke'	=>	'00200',
		'őerői'	=>	'002000',
		'őéve'	=>	'00200',
		'őrég'	=>	'12100',
		'őréve'	=>	'001200',
		'őrizé'	=>	'001200',
		'őrs'	=>	'1000',
		'ősúr'	=>	'00100',
		'őzér'	=>	'02100',
		'p'	=>	'20',
		'padu'	=>	'00200',
		'paga'	=>	'00200',
		'pakér'	=>	'002100',
		'pakta'	=>	'210000',
		'paktor'	=>	'0002100',
		'papina'	=>	'0021200',
		'para'	=>	'20000',
		'parc'	=>	'21000',
		'paros'	=>	'200000',
		'patér'	=>	'002100',
		'patka'	=>	'210000',
		'pág'	=>	'2100',
		'págy'	=>	'21000',
		'págya'	=>	'212000',
		'pálla'	=>	'010000',
		'pártér'	=>	'0002100',
		'pátka'	=>	'210000',
		'peke'	=>	'21200',
		'pelv'	=>	'21000',
		'penny'	=>	'000300',
		'pennyi'	=>	'2100000',
		'pepe'	=>	'00200',
		'péj'	=>	'2100',
		'pél'	=>	'2100',
		'péle'	=>	'00200',
		'pérő'	=>	'21200',
		'pév'	=>	'2100',
		'péve'	=>	'21200',
		'piakén'	=>	'0020000',
		'pice'	=>	'00200',
		'pipar'	=>	'200000',
		'poda'	=>	'00200',
		'pontér'	=>	'0002100',
		'portér'	=>	'0002100',
		'póné'	=>	'21200',
		'pőr'	=>	'2100',
		'pőri'	=>	'00200',
		'ppúr'	=>	'02100',
		'pteke'	=>	'021200',
		'ptima'	=>	'001200',
		'puszár'	=>	'0023000',
		'q'	=>	'20',
		'r'	=>	'20',
		'rabina'	=>	'0021200',
		'rade'	=>	'00200',
		'radósi'	=>	'3000000',
		'radu'	=>	'21200',
		'raga'	=>	'21200',
		'ragina'	=>	'0021200',
		'ragy'	=>	'21000',
		'raljai'	=>	'2100000',
		'rand'	=>	'20000',
		'rany'	=>	'20000',
		'ranyás'	=>	'0100000',
		'rapa'	=>	'20000',
		'rarany'	=>	'2100000',
		'raranya'	=>	'21200000',
		'ratoz'	=>	'200000',
		'rányár'	=>	'0020100',
		'rárú'	=>	'00200',
		'rásó'	=>	'21200',
		'rcár'	=>	'00100',
		'rcér'	=>	'02100',
		'rcina'	=>	'001200',
		'rcké'	=>	'01200',
		'rcki'	=>	'01200',
		'rcsár'	=>	'023000',
		'rcsős'	=>	'000100',
		'rdács'	=>	'001000',
		'rdér'	=>	'02100',
		'rdina'	=>	'021200',
		'rdinát'	=>	'0212000',
		'reb'	=>	'2100',
		'regy'	=>	'21000',
		'regye'	=>	'002000',
		'rekár'	=>	'002100',
		'rekék'	=>	'210000',
		'rekér'	=>	'002100',
		'rekés'	=>	'212000',
		'releme'	=>	'2020000',
		'relemem'	=>	'20000000',
		'relemes'	=>	'20000000',
		'relemér'	=>	'00002100',
		'relméi'	=>	'2100000',
		'reltett'	=>	'21000000',
		'relv'	=>	'21000',
		'relvé'	=>	'210000',
		'rember'	=>	'2100000',
		'rembere'	=>	'21000000',
		'remér'	=>	'002100',
		'reper'	=>	'212000',
		'reposz'	=>	'2000000',
		'reposzt'	=>	'20000000',
		'reszű'	=>	'200000',
		'retetés'	=>	'21200000',
		'réh'	=>	'2100',
		'rélet'	=>	'002000',
		'rér'	=>	'2100',
		'réré'	=>	'00200',
		'rérés'	=>	'002000',
		'rérő'	=>	'21200',
		'réve'	=>	'20000',
		'rgha'	=>	'00200',
		'riakén'	=>	'0020000',
		'ride'	=>	'00200',
		'rige'	=>	'21200',
		'rinas'	=>	'200000',
		'rinat'	=>	'002000',
		'rintér'	=>	'0002100',
		'rintő'	=>	'200000',
		'ripar'	=>	'200000',
		'risor'	=>	'002100',
		'risütő'	=>	'0021200',
		'rital'	=>	'200000',
		'ríj'	=>	'2000',
		'rív'	=>	'2100',
		'rkács'	=>	'021000',
		'rkér'	=>	'02100',
		'rkiont'	=>	'0002000',
		'rkovi'	=>	'000200',
		'rkőr'	=>	'00100',
		'rletér'	=>	'0002100',
		'rmerők'	=>	'0002000',
		'rmér'	=>	'02100',
		'rnel'	=>	'02100',
		'rockos'	=>	'0002000',
		'rográf'	=>	'0012000',
		'roka'	=>	'00200',
		'rokett'	=>	'2000000',
		'rokú'	=>	'00200',
		'roltó'	=>	'210000',
		'rolyén'	=>	'2000000',
		'ronér'	=>	'002100',
		'rovi'	=>	'21200',
		'róév'	=>	'21000',
		'róráé'	=>	'212000',
		'rórán'	=>	'212000',
		'röböl'	=>	'212000',
		'röme'	=>	'20000',
		'röv'	=>	'2100',
		'rőr'	=>	'2100',
		'rőzi'	=>	'00200',
		'rrin'	=>	'00100',
		'rsara'	=>	'001200',
		'rsér'	=>	'02100',
		'rsszem'	=>	'0030000',
		'rsszer'	=>	'0030000',
		'rsszerű'	=>	'00300000',
		'rsúr'	=>	'00100',
		'rszűr'	=>	'023000',
		'rtaga'	=>	'021200',
		'rtág'	=>	'00100',
		'rtesze'	=>	'0002000',
		'rtéve'	=>	'021200',
		'rtha'	=>	'01200',
		'rtósín'	=>	'0002100',
		'rutó'	=>	'01200',
		'rúr'	=>	'2100',
		'rúté'	=>	'21200',
		'rűr'	=>	'2100',
		'rvéré'	=>	'021200',
		'rzsár'	=>	'023000',
		'rzsér'	=>	'020100',
		's'	=>	'20',
		'sagy'	=>	'01000',
		'sah'	=>	'3000',
		'sakna'	=>	'210000',
		'sakt'	=>	'21000',
		'salját'	=>	'2100000',
		'sanya'	=>	'002000',
		'satárak'	=>	'00212000',
		'sautó'	=>	'010000',
		'sav'	=>	'3000',
		'sava'	=>	'30000',
		'ságas'	=>	'210000',
		'sárak'	=>	'212000',
		'sária'	=>	'002000',
		'sárú'	=>	'21200',
		'sásó'	=>	'21000',
		'sáv'	=>	'3000',
		'sché'	=>	'00300',
		'schébe'	=>	'1000000',
		'schi'	=>	'00300',
		'sekés'	=>	'212000',
		'selv'	=>	'21000',
		'sember'	=>	'0100000',
		'senyér'	=>	'0020100',
		'senyhi'	=>	'2000000',
		'senyve'	=>	'2000000',
		'serelem'	=>	'00212000',
		'seresze'	=>	'00012000',
		'serő'	=>	'01000',
		'serős'	=>	'000100',
		'setes'	=>	'200000',
		'setér'	=>	'002100',
		'sége'	=>	'30000',
		'ségér'	=>	'002100',
		'séh'	=>	'2100',
		'séhe'	=>	'21200',
		'sév'	=>	'2100',
		'séve'	=>	'20000',
		'sévi'	=>	'20000',
		'shi'	=>	'1200',
		'sige'	=>	'01200',
		'sipar'	=>	'200000',
		'site'	=>	'00200',
		'sizé'	=>	'00200',
		'sív'	=>	'2100',
		'síze'	=>	'00200',
		'smár'	=>	'32000',
		'sokk'	=>	'30000',
		'soldó'	=>	'010000',
		'sorr'	=>	'21000',
		'sors'	=>	'30000',
		'sóné'	=>	'00200',
		'sör'	=>	'3000',
		'söv'	=>	'2100',
		'sősorra'	=>	'00010000',
		'spórák'	=>	'1000000',
		'sszegér'	=>	'00000100',
		'sszerem'	=>	'00002000',
		'sszúr'	=>	'000100',
		'start'	=>	'120000',
		'stáb'	=>	'30000',
		'stág'	=>	'00100',
		'steke'	=>	'021200',
		'stéve'	=>	'021200',
		'stina'	=>	'000200',
		'stőré'	=>	'021000',
		'stúr'	=>	'00100',
		'stűr'	=>	'02100',
		'sugár'	=>	'300000',
		'súr'	=>	'2000',
		'svágyón'	=>	'00020100',
		'szag'	=>	'30000',
		'szagy'	=>	'200000',
		'szaj'	=>	'20000',
		'szalj'	=>	'001000',
		'szalt'	=>	'200000',
		'szap'	=>	'20000',
		'száru'	=>	'200000',
		'szásó'	=>	'200000',
		'szeb'	=>	'20000',
		'szekcső'	=>	'30000000',
		'szekés'	=>	'0002000',
		'szele'	=>	'300000',
		'szelv'	=>	'200000',
		'szemű'	=>	'300000',
		'szég'	=>	'20000',
		'széhe'	=>	'200000',
		'széke'	=>	'300000',
		'szér'	=>	'20100',
		'szérem'	=>	'0002000',
		'széré'	=>	'000200',
		'szérő'	=>	'200000',
		'szév'	=>	'20000',
		'széve'	=>	'200000',
		'szleng'	=>	'1000000',
		'szoda'	=>	'200000',
		'szombor'	=>	'20000000',
		'szósz'	=>	'300000',
		'szöv'	=>	'20000',
		'szvit'	=>	'100000',
		't'	=>	'20',
		'tagy'	=>	'21000',
		'tagya'	=>	'002000',
		'takér'	=>	'002100',
		'takna'	=>	'010000',
		'takó'	=>	'00200',
		'takta'	=>	'210000',
		'takti'	=>	'200000',
		'talér'	=>	'002100',
		'talina'	=>	'0001000',
		'talút'	=>	'002100',
		'tanér'	=>	'002100',
		'tante'	=>	'000200',
		'tapa'	=>	'21200',
		'tapó'	=>	'01200',
		'tarc'	=>	'21000',
		'tartér'	=>	'0002100',
		'tatárai'	=>	'00002000',
		'tatina'	=>	'0021200',
		'táb'	=>	'2000',
		'tág'	=>	'2000',
		'tága'	=>	'00200',
		'táll'	=>	'21000',
		'tárama'	=>	'2000000',
		'táru'	=>	'20000',
		'tárut'	=>	'200000',
		'tegere'	=>	'2000000',
		'tegy'	=>	'21000',
		'teleme'	=>	'0020000',
		'teletér'	=>	'00002100',
		'telőzi'	=>	'0001000',
		'teltett'	=>	'21000000',
		'telüké'	=>	'0000200',
		'telv'	=>	'21000',
		'telvi'	=>	'210000',
		'temér'	=>	'002100',
		'temérő'	=>	'0021200',
		'tenév'	=>	'002100',
		'tereke'	=>	'0021200',
		'terő'	=>	'21000',
		'tesete'	=>	'2120000',
		'tég'	=>	'2000',
		'téh'	=>	'2100',
		'tékér'	=>	'002100',
		'téneke'	=>	'2100000',
		'tértő'	=>	'200000',
		'térv'	=>	'21000',
		'tév'	=>	'2100',
		'téves'	=>	'200000',
		'thar'	=>	'02000',
		'the'	=>	'1200',
		'tige'	=>	'21200',
		'tinakat'	=>	'20000000',
		'tine'	=>	'00200',
		'tisi'	=>	'21200',
		'tizé'	=>	'00200',
		'tletér'	=>	'0002100',
		'tográf'	=>	'0012000',
		'topp'	=>	'20000',
		'torr'	=>	'21000',
		'toszlop'	=>	'21000000',
		'tot'	=>	'3200',
		'tökér'	=>	'002100',
		'töv'	=>	'2100',
		'tősű'	=>	'00200',
		'trió'	=>	'12000',
		'ttadó'	=>	'000200',
		'ttég'	=>	'00100',
		'tzen'	=>	'12000',
		'u'	=>	'20',
		'uador'	=>	'020000',
		'ubár'	=>	'00100',
		'ubina'	=>	'021000',
		'ues'	=>	'0200',
		'uhár'	=>	'02100',
		'uhu'	=>	'0200',
		'ujja'	=>	'10000',
		'ulcsér'	=>	'0020100',
		'umér'	=>	'02100',
		'umina'	=>	'000200',
		'urak'	=>	'12000',
		'uram'	=>	'12000',
		'urú'	=>	'0200',
		'uss'	=>	'2000',
		'usse'	=>	'00200',
		'uzál'	=>	'20000',
		'ú'	=>	'20',
		'úcsér'	=>	'020100',
		'údér'	=>	'02100',
		'úér'	=>	'2000',
		'úgyér'	=>	'000100',
		'úlé'	=>	'0300',
		'ü'	=>	'20',
		'ühér'	=>	'02100',
		'ületér'	=>	'0002100',
		'ületérő'	=>	'00021200',
		'ületéve'	=>	'00021200',
		'ülette'	=>	'0010000',
		'ülér'	=>	'02100',
		'üstér'	=>	'002100',
		'ütem'	=>	'12000',
		'üzlet'	=>	'100000',
		'ű'	=>	'20',
		'űgölő'	=>	'021200',
		'űnér'	=>	'02100',
		'űsín'	=>	'02100',
		'űzőr'	=>	'02100',
		'v'	=>	'20',
		'valap'	=>	'002000',
		'varék'	=>	'000100',
		'vartett'	=>	'20000000',
		'vasék'	=>	'002100',
		'vasina'	=>	'0021200',
		'vámér'	=>	'002100',
		'ványér'	=>	'0020100',
		'vártér'	=>	'0002100',
		'váru'	=>	'20000',
		'veke'	=>	'21200',
		'velv'	=>	'21000',
		'vereke'	=>	'0021200',
		'vesze'	=>	'212000',
		'végér'	=>	'002100',
		'véh'	=>	'2100',
		'véhe'	=>	'21200',
		'vértón'	=>	'0002100',
		'vérzet'	=>	'2100000',
		'vév'	=>	'2100',
		'vévi'	=>	'00200',
		'vicsér'	=>	'0020100',
		'virat'	=>	'212000',
		'viratoz'	=>	'20000000',
		'vítélet'	=>	'20000000',
		'voldó'	=>	'210000',
		'w'	=>	'20',
		'x'	=>	'20',
		'xeke'	=>	'21200',
		'xér'	=>	'2100',
		'y'	=>	'20',
		'yacél'	=>	'002000',
		'yagárra'	=>	'00010000',
		'yagy'	=>	'01000',
		'yakér'	=>	'002100',
		'yakna'	=>	'010000',
		'yakol'	=>	'012000',
		'yakt'	=>	'01000',
		'yane'	=>	'00230',
		'yanő'	=>	'00200',
		'yapa'	=>	'01200',
		'yapát'	=>	'012000',
		'yapi'	=>	'01200',
		'yapó'	=>	'01200',
		'yapót'	=>	'002000',
		'yarc'	=>	'01000',
		'yard'	=>	'10000',
		'yatka'	=>	'010000',
		'yárt'	=>	'02000',
		'yárú'	=>	'01000',
		'yeke'	=>	'01200',
		'yekés'	=>	'012000',
		'yelér'	=>	'002100',
		'yesők'	=>	'002000',
		'yetegér'	=>	'00000100',
		'yébér'	=>	'002100',
		'yéhe'	=>	'01200',
		'yéj'	=>	'0100',
		'yékér'	=>	'002100',
		'yéle'	=>	'00200',
		'yéneke'	=>	'0001200',
		'yérem'	=>	'010000',
		'yérő'	=>	'01200',
		'yérv'	=>	'01000',
		'yév'	=>	'0100',
		'yéve'	=>	'01200',
		'yföl'	=>	'02000',
		'yima'	=>	'01200',
		'yirat'	=>	'012000',
		'ymat'	=>	'02000',
		'yötöd'	=>	'012000',
		'yőszár'	=>	'0023000',
		'yúré'	=>	'01200',
		'yúté'	=>	'00200',
		'yúti'	=>	'00200',
		'yűré'	=>	'01200',
		'yűsorra'	=>	'00210000',
		'yvevő'	=>	'001200',
		'yvéve'	=>	'021200',
		'yzetér'	=>	'0002100',
		'yzetérő'	=>	'00021200',
		'z'	=>	'20',
		'zaba'	=>	'30000',
		'zagy'	=>	'01000',
		'zaj'	=>	'3000',
		'zaja'	=>	'30000',
		'zajtó'	=>	'200000',
		'zakadat'	=>	'00212000',
		'zanya'	=>	'002000',
		'zapa'	=>	'01200',
		'zapó'	=>	'01200',
		'zarc'	=>	'01000',
		'zatka'	=>	'210000',
		'zaz'	=>	'0100',
		'zágak'	=>	'002000',
		'zágút'	=>	'002100',
		'zágy'	=>	'01000',
		'zárás'	=>	'300000',
		'záró'	=>	'30000',
		'zásó'	=>	'01200',
		'zátadó'	=>	'0001200',
		'zeb'	=>	'2100',
		'zebe'	=>	'00200',
		'zedál'	=>	'002100',
		'zeleme'	=>	'0020000',
		'zelemér'	=>	'00002100',
		'zelv'	=>	'01000',
		'zember'	=>	'0100000',
		'zeme'	=>	'20000',
		'zerege'	=>	'0001200',
		'zereke'	=>	'0021200',
		'zeresze'	=>	'00012000',
		'zerő'	=>	'01000',
		'zesete'	=>	'0120000',
		'zesés'	=>	'212000',
		'zesése'	=>	'2120000',
		'zesti'	=>	'010000',
		'zég'	=>	'0100',
		'zéhe'	=>	'01200',
		'zéj'	=>	'0100',
		'zélet'	=>	'200000',
		'zélete'	=>	'2120000',
		'zérés'	=>	'002000',
		'zérő'	=>	'21200',
		'zév'	=>	'2100',
		'zéve'	=>	'21200',
		'zévi'	=>	'01200',
		'zgráf'	=>	'012000',
		'zig'	=>	'0200',
		'ziga'	=>	'00200',
		'zima'	=>	'01200',
		'zkér'	=>	'02100',
		'zkurát'	=>	'0212000',
		'zláv'	=>	'02000',
		'zleng'	=>	'020000',
		'zletér'	=>	'0002100',
		'zletéve'	=>	'00021200',
		'zoka'	=>	'01200',
		'zoltó'	=>	'010000',
		'zombor'	=>	'3000000',
		'zorr'	=>	'01000',
		'zól'	=>	'2000',
		'zósík'	=>	'000100',
		'zósín'	=>	'002100',
		'zószülő'	=>	'00001200',
		'zöv'	=>	'0100',
		'zrí'	=>	'3200',
		'zsah'	=>	'20000',
		'zsapa'	=>	'000200',
		'zsautó'	=>	'2000000',
		'zséve'	=>	'201200',
		'zsugár'	=>	'2000000',
		'ztara'	=>	'021200',
		'ztág'	=>	'00100',
		'zteke'	=>	'021200',
		'ztég'	=>	'00100',
		'ztéves'	=>	'0012000',
		'zting'	=>	'021000',
		'ztúr'	=>	'02100',
		'ztűr'	=>	'02100',
		'zug'	=>	'3000',
		'zutó'	=>	'00200',
		'zúté'	=>	'00200',
		'zúti'	=>	'00200',
		'zútiak'	=>	'0020000',
		'zvit'	=>	'02000',
	),

	'all' => array(
		'aa'	=>	'010',
		'aabe'	=>	'00200',
		'aacé'	=>	'00200',
		'aach'	=>	'00200',
		'aada'	=>	'00200',
		'aadáss'	=>	'0000010',
		'aadássz'	=>	'00200000',
		'aadó'	=>	'00200',
		'aadu'	=>	'00200',
		'aafo'	=>	'00200',
		'aaga'	=>	'00200',
		'aagi'	=>	'00200',
		'aagó'	=>	'00200',
		'aagy'	=>	'00200',
		'aajá'	=>	'00200',
		'aaka'	=>	'00200',
		'aaká'	=>	'00200',
		'aako'	=>	'00200',
		'aaku'	=>	'00200',
		'aala'	=>	'00200',
		'aalag'	=>	'000021',
		'aalá'	=>	'00200',
		'aaleg'	=>	'000100',
		'aalé'	=>	'00200',
		'aalmana'	=>	'00000002',
		'aalmanac'	=>	'000000003',
		'aalo'	=>	'00200',
		'aalos'	=>	'000100',
		'aalu'	=>	'00200',
		'aama'	=>	'00200',
		'aana'	=>	'00200',
		'aane'	=>	'00200',
		'aani'	=>	'00200',
		'aano'	=>	'00200',
		'aans'	=>	'02000',
		'aany'	=>	'00200',
		'aapa'	=>	'00200',
		'aapá'	=>	'00200',
		'aapo'	=>	'00200',
		'aapu'	=>	'00200',
		'aara'	=>	'00200',
		'aará'	=>	'00200',
		'aaré'	=>	'00200',
		'aari'	=>	'00200',
		'aarl'	=>	'02000',
		'aaro'	=>	'00200',
		'aasz'	=>	'00200',
		'aato'	=>	'00200',
		'aaty'	=>	'00200',
		'aaur'	=>	'00200',
		'aaut'	=>	'00200',
		'aava'	=>	'00200',
		'aavo'	=>	'02000',
		'aazo'	=>	'00200',
		'aá'	=>	'010',
		'aábé'	=>	'00200',
		'aács'	=>	'00200',
		'aáfá'	=>	'00200',
		'aága'	=>	'00200',
		'aágá'	=>	'00200',
		'aágé'	=>	'00200',
		'aági'	=>	'00200',
		'aágo'	=>	'00200',
		'aágu'	=>	'00200',
		'aágy'	=>	'00200',
		'aáhí'	=>	'00200',
		'aáju'	=>	'00200',
		'aála'	=>	'00200',
		'aálo'	=>	'00200',
		'aápo'	=>	'00200',
		'aára'	=>	'00200',
		'aárá'	=>	'00200',
		'aáre'	=>	'00212',
		'aáré'	=>	'00200',
		'aári'	=>	'00200',
		'aáro'	=>	'00200',
		'aáru'	=>	'00200',
		'aárú'	=>	'00200',
		'aása'	=>	'00200',
		'aásá'	=>	'00200',
		'aáso'	=>	'00200',
		'aásó'	=>	'00200',
		'aáta'	=>	'00200',
		'aátá'	=>	'00212',
		'aáte'	=>	'00212',
		'aáté'	=>	'00200',
		'aáti'	=>	'00212',
		'aátí'	=>	'00200',
		'aáto'	=>	'00200',
		'aátö'	=>	'00210',
		'aátu'	=>	'00200',
		'aátú'	=>	'00200',
		'aátü'	=>	'00200',
		'aázá'	=>	'00200',
		'aázó'	=>	'00200',
		'abab'	=>	'20000',
		'abadó'	=>	'001000',
		'abadz'	=>	'000200',
		'abajg'	=>	'120000',
		'abakk'	=>	'001000',
		'abal'	=>	'20000',
		'aban'	=>	'20000',
		'abanal'	=>	'0002000',
		'abapr'	=>	'000100',
		'abar'	=>	'20000',
		'abarat'	=>	'0002000',
		'abaráb'	=>	'0212000',
		'abau'	=>	'02100',
		'abáb'	=>	'20000',
		'abábur'	=>	'0002120',
		'abád'	=>	'20000',
		'abán'	=>	'20000',
		'abáp'	=>	'02100',
		'abárak'	=>	'0002000',
		'abáron'	=>	'0012000',
		'abárú'	=>	'001200',
		'abáz'	=>	'20000',
		'abba'	=>	'00020',
		'abbah'	=>	'100000',
		'abea'	=>	'20000',
		'abeá'	=>	'00002',
		'abeb'	=>	'02120',
		'abec'	=>	'20000',
		'abedé'	=>	'001000',
		'abeé'	=>	'20000',
		'abef'	=>	'20000',
		'abeh'	=>	'20000',
		'abei'	=>	'20000',
		'abej'	=>	'20000',
		'abejt'	=>	'001000',
		'abela'	=>	'001000',
		'abelá'	=>	'001200',
		'abele'	=>	'200000',
		'abelem'	=>	'0002000',
		'abels'	=>	'200000',
		'abelsz'	=>	'0010000',
		'abelt'	=>	'021000',
		'abelv'	=>	'001000',
		'abem'	=>	'20000',
		'abemb'	=>	'001000',
		'aberd'	=>	'021000',
		'abetá'	=>	'200000',
		'abete'	=>	'200000',
		'abeté'	=>	'200000',
		'abeto'	=>	'200000',
		'abetö'	=>	'200000',
		'abev'	=>	'20000',
		'abex'	=>	'02100',
		'abék'	=>	'20000',
		'abél'	=>	'20000',
		'abén'	=>	'20000',
		'abéne'	=>	'021200',
		'abép'	=>	'02100',
		'abér'	=>	'20000',
		'abérz'	=>	'021000',
		'abétá'	=>	'200000',
		'abéve'	=>	'021000',
		'abfl'	=>	'00100',
		'abfr'	=>	'00100',
		'abic'	=>	'20000',
		'abido'	=>	'001200',
		'abie'	=>	'20000',
		'abike'	=>	'001200',
		'abiks'	=>	'001000',
		'abinai'	=>	'0212000',
		'abináb'	=>	'0002000',
		'abing'	=>	'021000',
		'abir'	=>	'20000',
		'abirkái'	=>	'00100000',
		'abism'	=>	'001000',
		'abit'	=>	'20000',
		'abita'	=>	'021200',
		'abiz'	=>	'20000',
		'abíj'	=>	'02100',
		'abírn'	=>	'001000',
		'abkr'	=>	'00100',
		'ablaká'	=>	'1000000',
		'ablakh'	=>	'1000000',
		'ablakk'	=>	'1000000',
		'ablakos'	=>	'10000000',
		'ablakr'	=>	'1000000',
		'ablo'	=>	'20000',
		'ablú'	=>	'01200',
		'abog'	=>	'20000',
		'aboh'	=>	'20000',
		'abok'	=>	'20000',
		'abolt'	=>	'200000',
		'aboltó'	=>	'0010000',
		'abom'	=>	'20000',
		'aborak'	=>	'0002000',
		'aboras'	=>	'0002100',
		'aborin'	=>	'0002000',
		'abot'	=>	'20000',
		'aböb'	=>	'02100',
		'aböl'	=>	'00020',
		'abölő'	=>	'001000',
		'abölt'	=>	'001000',
		'abös'	=>	'02100',
		'aböt'	=>	'02100',
		'aböz'	=>	'02120',
		'abőrl'	=>	'001000',
		'abpr'	=>	'00100',
		'abrek'	=>	'002000',
		'abri'	=>	'20000',
		'abrike'	=>	'0120000',
		'abrin'	=>	'002000',
		'abrit'	=>	'012000',
		'abró'	=>	'20000',
		'abrók'	=>	'002000',
		'abst'	=>	'00100',
		'aburd'	=>	'021000',
		'abúrt'	=>	'001000',
		'abúsá'	=>	'000210',
		'abúsz'	=>	'001000',
		'abül'	=>	'00120',
		'abüs'	=>	'00100',
		'abüv'	=>	'00100',
		'abüz'	=>	'02100',
		'acala'	=>	'000200',
		'acalá'	=>	'000200',
		'acale'	=>	'000212',
		'acalét'	=>	'0002000',
		'acan'	=>	'02120',
		'acatá'	=>	'000200',
		'acág'	=>	'02100',
		'acál'	=>	'02100',
		'acció'	=>	'000020',
		'accö'	=>	'00200',
		'accse'	=>	'003000',
		'accsí'	=>	'003000',
		'accsü'	=>	'003000',
		'accsz'	=>	'000300',
		'acebé'	=>	'001000',
		'aceg'	=>	'02100',
		'acel'	=>	'00020',
		'acele'	=>	'021000',
		'acelé'	=>	'021000',
		'acelh'	=>	'021000',
		'acelle'	=>	'0010000',
		'acelm'	=>	'021000',
		'acelo'	=>	'021000',
		'acelv'	=>	'021000',
		'acemb'	=>	'001000',
		'acen'	=>	'20000',
		'aceta'	=>	'000200',
		'acev'	=>	'02120',
		'acex'	=>	'02100',
		'acélá'	=>	'020000',
		'acéle'	=>	'000012',
		'acélé'	=>	'020000',
		'acép'	=>	'02100',
		'acére'	=>	'021200',
		'acérte'	=>	'0210000',
		'acfr'	=>	'00100',
		'achá'	=>	'02000',
		'achéj'	=>	'003000',
		'achí'	=>	'00300',
		'achoz'	=>	'023000',
		'achó'	=>	'00300',
		'achö'	=>	'02300',
		'achú'	=>	'02300',
		'acide'	=>	'001000',
		'acigá'	=>	'021200',
		'acigé'	=>	'021200',
		'acike'	=>	'021000',
		'acind'	=>	'021000',
		'acinf'	=>	'001000',
		'acist'	=>	'021000',
		'acír'	=>	'02100',
		'acív'	=>	'00100',
		'ackaro'	=>	'0001000',
		'ackál'	=>	'002000',
		'ackev'	=>	'002120',
		'ackér'	=>	'000020',
		'ackére'	=>	'0021000',
		'ackéte'	=>	'0001000',
		'ackil'	=>	'002000',
		'ackosz'	=>	'0021000',
		'ackös'	=>	'002000',
		'ackű'	=>	'00200',
		'aclu'	=>	'00200',
		'acop'	=>	'02100',
		'acös'	=>	'00100',
		'acőr'	=>	'00100',
		'acpl'	=>	'00100',
		'acpr'	=>	'00100',
		'acsal'	=>	'200000',
		'acsapág'	=>	'00002120',
		'acsatk'	=>	'0201000',
		'acsáll'	=>	'0001000',
		'acsáru'	=>	'0200000',
		'acsec'	=>	'000020',
		'acsegy'	=>	'0001000',
		'acseml'	=>	'0030000',
		'acséb'	=>	'120000',
		'acsék'	=>	'020100',
		'acsi'	=>	'20000',
		'acsí'	=>	'20000',
		'acson'	=>	'200000',
		'acsorm'	=>	'0001000',
		'acsöc'	=>	'020100',
		'acss'	=>	'00010',
		'acstr'	=>	'003000',
		'acsúl'	=>	'020000',
		'acsúr'	=>	'020100',
		'acsül'	=>	'000020',
		'acsüt'	=>	'020000',
		'acszá'	=>	'003000',
		'acsze'	=>	'003000',
		'acszö'	=>	'003000',
		'actr'	=>	'00100',
		'acud'	=>	'02100',
		'acula'	=>	'200000',
		'acut'	=>	'02100',
		'acúj'	=>	'00100',
		'acüg'	=>	'00100',
		'acür'	=>	'00100',
		'acüz'	=>	'00100',
		'acza'	=>	'00300',
		'aczá'	=>	'00300',
		'acze'	=>	'00300',
		'aczs'	=>	'00300',
		'aczu'	=>	'00300',
		'adada'	=>	'021200',
		'adadá'	=>	'021200',
		'adagá'	=>	'000200',
		'adagb'	=>	'120000',
		'adagg'	=>	'020000',
		'adagh'	=>	'120000',
		'adagi'	=>	'100000',
		'adagj'	=>	'120000',
		'adagn'	=>	'120000',
		'adago'	=>	'120000',
		'adagr'	=>	'120000',
		'adagt'	=>	'120000',
		'adagu'	=>	'100000',
		'adagú'	=>	'120000',
		'adaktá'	=>	'0210000',
		'adalap'	=>	'0002000',
		'adales'	=>	'0002100',
		'adalé'	=>	'100000',
		'adalén'	=>	'0002000',
		'adalosz'	=>	'00021000',
		'adaló'	=>	'000212',
		'adalút'	=>	'0002100',
		'adana'	=>	'021000',
		'adann'	=>	'021000',
		'adapt'	=>	'100000',
		'adar'	=>	'20000',
		'adaral'	=>	'0002000',
		'adare'	=>	'000200',
		'adarés'	=>	'0002100',
		'adarin'	=>	'0002100',
		'adarut'	=>	'0002000',
		'adatab'	=>	'0002000',
		'adatal'	=>	'0002000',
		'adatan'	=>	'0002120',
		'adatárak'	=>	'000212000',
		'adatáram'	=>	'000212000',
		'adatárat'	=>	'000212000',
		'adatárá'	=>	'00021200',
		'adatárb'	=>	'00021000',
		'adatárr'	=>	'00021000',
		'adatáru'	=>	'00021200',
		'adatáu'	=>	'1200000',
		'adateg'	=>	'0002120',
		'adatel'	=>	'0002000',
		'adates'	=>	'0002100',
		'adatér'	=>	'0000020',
		'adatérd'	=>	'00021000',
		'adatérő'	=>	'00021000',
		'adatin'	=>	'1200000',
		'adatint'	=>	'00020000',
		'adatis'	=>	'0002000',
		'adatív'	=>	'0002000',
		'adatm'	=>	'020000',
		'adatold'	=>	'00021000',
		'adatöl'	=>	'0002100',
		'adatő'	=>	'000210',
		'adatv'	=>	'020000',
		'adazo'	=>	'001000',
		'adág'	=>	'02100',
		'adára'	=>	'000002',
		'adárak'	=>	'0002000',
		'adáris'	=>	'0002000',
		'addel'	=>	'002000',
		'adeg'	=>	'00020',
		'adege'	=>	'001000',
		'adegé'	=>	'001000',
		'adegy'	=>	'001000',
		'adei'	=>	'00020',
		'adej'	=>	'02100',
		'adelej'	=>	'0000100',
		'adelh'	=>	'001000',
		'adelm'	=>	'001000',
		'adeln'	=>	'001000',
		'adelő'	=>	'021200',
		'adelr'	=>	'001000',
		'adelt'	=>	'001000',
		'ademb'	=>	'021000',
		'ademé'	=>	'001200',
		'ademl'	=>	'021000',
		'ademu'	=>	'021000',
		'adeng'	=>	'001000',
		'adepe'	=>	'001200',
		'adepr'	=>	'001000',
		'aderd'	=>	'020000',
		'aderő'	=>	'001000',
		'adeti'	=>	'000200',
		'adeu'	=>	'02000',
		'adev'	=>	'02120',
		'adex'	=>	'02100',
		'adékat'	=>	'0002000',
		'adéke'	=>	'000212',
		'adékés'	=>	'0002000',
		'adékis'	=>	'0002000',
		'adékü'	=>	'000200',
		'adékű'	=>	'000200',
		'adéle'	=>	'001000',
		'adémont'	=>	'20000000',
		'adép'	=>	'02100',
		'adérz'	=>	'021000',
		'adés'	=>	'00020',
		'adéte'	=>	'000200',
		'adéve'	=>	'021200',
		'adfl'	=>	'00100',
		'adfokút'	=>	'00002100',
		'adgr'	=>	'00100',
		'adhé'	=>	'10000',
		'adia'	=>	'20000',
		'adian'	=>	'000020',
		'adibo'	=>	'001200',
		'adid'	=>	'20000',
		'adikut'	=>	'0002000',
		'adin'	=>	'20000',
		'adinai'	=>	'0012000',
		'adind'	=>	'001000',
		'ading'	=>	'021000',
		'adiogra'	=>	'00021200',
		'adip'	=>	'20000',
		'adis'	=>	'20000',
		'adiv'	=>	'20000',
		'adíz'	=>	'02120',
		'adji'	=>	'00200',
		'adkana'	=>	'0000200',
		'adkr'	=>	'00100',
		'adob'	=>	'20000',
		'adoc'	=>	'20000',
		'adokke'	=>	'0210000',
		'adol'	=>	'20000',
		'adola'	=>	'001000',
		'adomá'	=>	'120000',
		'adomb'	=>	'200000',
		'adomi'	=>	'200000',
		'adop'	=>	'12000',
		'adorc'	=>	'021000',
		'adorg'	=>	'021000',
		'adorh'	=>	'200000',
		'adorian'	=>	'20000000',
		'adorig'	=>	'2000000',
		'adorv'	=>	'001000',
		'adorz'	=>	'021000',
		'adosz'	=>	'021000',
		'adógu'	=>	'020000',
		'adóku'	=>	'120000',
		'adómé'	=>	'020000',
		'adórá'	=>	'020000',
		'adósat'	=>	'1200000',
		'adóvás'	=>	'0012000',
		'adózó'	=>	'120000',
		'adök'	=>	'02120',
		'adöl'	=>	'02120',
		'adörd'	=>	'001000',
		'adös'	=>	'02100',
		'adőra'	=>	'000010',
		'adőrel'	=>	'0002000',
		'adős'	=>	'00120',
		'adpl'	=>	'00100',
		'adpr'	=>	'00100',
		'adrac'	=>	'012000',
		'adram'	=>	'002000',
		'adraz'	=>	'002000',
		'adrá'	=>	'20000',
		'adrám'	=>	'002000',
		'adro'	=>	'20000',
		'adrog'	=>	'002000',
		'adrót'	=>	'012000',
		'adruk'	=>	'002000',
		'adsp'	=>	'00100',
		'adst'	=>	'00100',
		'adug'	=>	'20000',
		'adum'	=>	'20000',
		'adup'	=>	'20000',
		'adurá'	=>	'001200',
		'adúsz'	=>	'001000',
		'adút'	=>	'00020',
		'adúto'	=>	'021000',
		'adüg'	=>	'02100',
		'adülé'	=>	'001200',
		'adüt'	=>	'02100',
		'adüz'	=>	'00100',
		'adűr'	=>	'02100',
		'adűz'	=>	'00100',
		'adyéh'	=>	'001000',
		'adyér'	=>	'001000',
		'adzab'	=>	'003000',
		'adzav'	=>	'003000',
		'adzár'	=>	'003000',
		'adzel'	=>	'003000',
		'adzón'	=>	'003000',
		'adzö'	=>	'02300',
		'adzsí'	=>	'003000',
		'ae'	=>	'010',
		'aebé'	=>	'00200',
		'aece'	=>	'00200',
		'aecs'	=>	'00200',
		'aedé'	=>	'00200',
		'aedz'	=>	'00200',
		'aege'	=>	'00200',
		'aegé'	=>	'00200',
		'aegy'	=>	'00200',
		'aehe'	=>	'00200',
		'aeke'	=>	'00200',
		'aeké'	=>	'00200',
		'aela'	=>	'00200',
		'aelá'	=>	'00212',
		'aele'	=>	'00200',
		'aelej'	=>	'000100',
		'aelen'	=>	'003000',
		'aelérh'	=>	'0001000',
		'aelí'	=>	'00212',
		'aelo'	=>	'00200',
		'aelö'	=>	'00212',
		'aelő'	=>	'00200',
		'aelu'	=>	'00200',
		'aeme'	=>	'00200',
		'aemé'	=>	'00200',
		'aemi'	=>	'00200',
		'aemu'	=>	'00200',
		'aene'	=>	'00200',
		'aepe'	=>	'00200',
		'aepé'	=>	'00200',
		'aepi'	=>	'00200',
		'aepo'	=>	'00200',
		'aered'	=>	'002000',
		'aeré'	=>	'00200',
		'aeros'	=>	'000010',
		'aeró'	=>	'00200',
		'aerő'	=>	'00200',
		'aese'	=>	'00200',
		'aeser'	=>	'000100',
		'aesé'	=>	'00200',
		'aesi'	=>	'00200',
		'aeső'	=>	'00200',
		'aesü'	=>	'00200',
		'aesz'	=>	'00200',
		'aeta'	=>	'00200',
		'aetá'	=>	'00200',
		'aete'	=>	'00200',
		'aeti'	=>	'00200',
		'aetű'	=>	'00200',
		'aeva'	=>	'00200',
		'aeve'	=>	'00200',
		'aevé'	=>	'00200',
		'aevi'	=>	'00200',
		'aevo'	=>	'00200',
		'aevő'	=>	'00200',
		'aexe'	=>	'00200',
		'aezü'	=>	'00200',
		'aé'	=>	'010',
		'aéderv'	=>	'0020000',
		'aége'	=>	'00200',
		'aégé'	=>	'00200',
		'aégő'	=>	'00200',
		'aéhe'	=>	'00200',
		'aéje'	=>	'00200',
		'aéke'	=>	'00200',
		'aékí'	=>	'00200',
		'aéle'	=>	'00200',
		'aélé'	=>	'00200',
		'aéli'	=>	'00200',
		'aélő'	=>	'00200',
		'aélü'	=>	'00200',
		'aélű'	=>	'00200',
		'aéne'	=>	'00200',
		'aépí'	=>	'00200',
		'aépü'	=>	'00200',
		'aérdem'	=>	'0000021',
		'aéri'	=>	'00200',
		'aéte'	=>	'00200',
		'aéva'	=>	'00200',
		'aéve'	=>	'00200',
		'aévé'	=>	'00200',
		'aévi'	=>	'00200',
		'aévü'	=>	'00200',
		'afaja'	=>	'200000',
		'afajá'	=>	'200000',
		'afajb'	=>	'200000',
		'afaje'	=>	'200212',
		'afajj'	=>	'200000',
		'afajn'	=>	'200000',
		'afajo'	=>	'200000',
		'afaju'	=>	'200000',
		'afajz'	=>	'200000',
		'afak'	=>	'20000',
		'afal'	=>	'20000',
		'afam'	=>	'20000',
		'afao'	=>	'20000',
		'afar'	=>	'20000',
		'afas'	=>	'20000',
		'afelem'	=>	'0002120',
		'afék'	=>	'20000',
		'aféli'	=>	'200000',
		'afélő'	=>	'200000',
		'afélt'	=>	'200000',
		'afén'	=>	'20000',
		'afér'	=>	'20000',
		'afés'	=>	'20000',
		'affé'	=>	'10000',
		'afiap'	=>	'000200',
		'afiasz'	=>	'0002000',
		'afike'	=>	'000200',
		'afita'	=>	'000212',
		'afite'	=>	'000212',
		'afle'	=>	'00200',
		'aflo'	=>	'01200',
		'afló'	=>	'01200',
		'aflö'	=>	'01200',
		'aflu'	=>	'01200',
		'afoc'	=>	'20000',
		'afog'	=>	'20000',
		'afok'	=>	'20000',
		'afol'	=>	'20000',
		'afon'	=>	'20000',
		'aford'	=>	'200000',
		'aforg'	=>	'200000',
		'aformác'	=>	'20000000',
		'aformál'	=>	'20000000',
		'aformátu'	=>	'200000000',
		'aformáz'	=>	'20000000',
		'aformu'	=>	'2000000',
		'aforr'	=>	'200000',
		'afos'	=>	'20000',
		'afot'	=>	'20000',
		'afrak'	=>	'002000',
		'afre'	=>	'21200',
		'afriz'	=>	'002000',
		'afrí'	=>	'00200',
		'afro'	=>	'20000',
		'afron'	=>	'002000',
		'afrö'	=>	'21200',
		'aftá'	=>	'00300',
		'afuss'	=>	'000030',
		'agabl'	=>	'021000',
		'agabr'	=>	'001000',
		'agacé'	=>	'001200',
		'agaga'	=>	'001000',
		'agaka'	=>	'021200',
		'agakk'	=>	'021000',
		'agakt'	=>	'021000',
		'agal'	=>	'20000',
		'agalak'	=>	'0212000',
		'agalap'	=>	'0212000',
		'agalá'	=>	'021200',
		'agalj'	=>	'021000',
		'agalm'	=>	'021000',
		'agalom'	=>	'0002000',
		'agalt'	=>	'021000',
		'agang'	=>	'001000',
		'agano'	=>	'001200',
		'agant'	=>	'001000',
		'agany'	=>	'020000',
		'agap'	=>	'02000',
		'agapa'	=>	'001000',
		'agapá'	=>	'001000',
		'agarc'	=>	'021000',
		'agaré'	=>	'021000',
		'agaro'	=>	'021200',
		'agart'	=>	'021000',
		'agatom'	=>	'0002000',
		'agató'	=>	'001200',
		'agaur'	=>	'021200',
		'agaut'	=>	'001000',
		'agava'	=>	'021000',
		'agaz'	=>	'20000',
		'agazon'	=>	'0012000',
		'agác'	=>	'00020',
		'agácsi'	=>	'0210000',
		'agága'	=>	'001200',
		'agák'	=>	'12000',
		'agála'	=>	'030000',
		'agálm'	=>	'021000',
		'agályan'	=>	'00020000',
		'agáp'	=>	'02100',
		'agárad'	=>	'0210000',
		'agárai'	=>	'0212000',
		'agárak'	=>	'0212000',
		'agáras'	=>	'0210000',
		'agárat'	=>	'0210000',
		'agárá'	=>	'020200',
		'agárb'	=>	'020000',
		'agárc'	=>	'021000',
		'agáre'	=>	'020000',
		'agáré'	=>	'020000',
		'agárév'	=>	'0002000',
		'agárf'	=>	'020000',
		'agárh'	=>	'020000',
		'agári'	=>	'020200',
		'agárj'	=>	'020000',
		'agárk'	=>	'020000',
		'agárm'	=>	'020000',
		'agárn'	=>	'020000',
		'agárná'	=>	'0010000',
		'agáro'	=>	'020000',
		'agárr'	=>	'020000',
		'agárs'	=>	'020000',
		'agárt'	=>	'020000',
		'agáru'	=>	'021200',
		'agárú'	=>	'021200',
		'agásv'	=>	'001000',
		'agátá'	=>	'021000',
		'agáte'	=>	'021212',
		'agátfe'	=>	'0010000',
		'agáth'	=>	'021000',
		'agátk'	=>	'021000',
		'agátm'	=>	'021000',
		'agátol'	=>	'0002000',
		'agáts'	=>	'021000',
		'agátü'	=>	'001000',
		'agátv'	=>	'021000',
		'agbl'	=>	'00100',
		'agdel'	=>	'002000',
		'agdíjada'	=>	'000021200',
		'agecs'	=>	'001200',
		'aged'	=>	'02120',
		'ageg'	=>	'02120',
		'agel'	=>	'00020',
		'agela'	=>	'021000',
		'agelb'	=>	'001000',
		'ageld'	=>	'001000',
		'agele'	=>	'001000',
		'agelé'	=>	'001000',
		'agelf'	=>	'001000',
		'agelh'	=>	'001000',
		'ageli'	=>	'001000',
		'agelm'	=>	'001000',
		'ageln'	=>	'001000',
		'agelo'	=>	'021000',
		'agelő'	=>	'021000',
		'agelr'	=>	'001000',
		'agels'	=>	'001000',
		'agelt'	=>	'001000',
		'agelű'	=>	'001000',
		'agelv'	=>	'001000',
		'agelz'	=>	'001000',
		'agem'	=>	'02120',
		'ageng'	=>	'001000',
		'ageny'	=>	'021000',
		'agep'	=>	'02120',
		'agerd'	=>	'021000',
		'agered'	=>	'0002000',
		'agerk'	=>	'021000',
		'agerő'	=>	'021000',
		'ages'	=>	'00020',
		'agev'	=>	'02120',
		'agex'	=>	'02100',
		'agez'	=>	'02100',
		'agéj'	=>	'02120',
		'agékn'	=>	'021000',
		'agél'	=>	'02120',
		'agéné'	=>	'000200',
		'agépip'	=>	'0002120',
		'agépül'	=>	'0212000',
		'agére'	=>	'021200',
		'agéré'	=>	'021200',
		'agérh'	=>	'021000',
		'agéri'	=>	'021200',
		'agérk'	=>	'021000',
		'agérl'	=>	'001000',
		'agérm'	=>	'001000',
		'agérte'	=>	'0010000',
		'agérté'	=>	'0010000',
		'agérth'	=>	'0010000',
		'agértő'	=>	'0210000',
		'agész'	=>	'001000',
		'agéte'	=>	'021000',
		'agéve'	=>	'021000',
		'agfl'	=>	'00100',
		'agfr'	=>	'00100',
		'aggaty'	=>	'0021200',
		'aggem'	=>	'002100',
		'aggit'	=>	'002000',
		'aggl'	=>	'10000',
		'aggod'	=>	'100000',
		'aggok'	=>	'100000',
		'aggyar'	=>	'0030000',
		'aggye'	=>	'003000',
		'aggyi'	=>	'003000',
		'aggyo'	=>	'003000',
		'aggyü'	=>	'003000',
		'agia'	=>	'00030',
		'agide'	=>	'001000',
		'agiga'	=>	'021200',
		'agige'	=>	'021000',
		'agigé'	=>	'021000',
		'agike'	=>	'001000',
		'agill'	=>	'020000',
		'aginf'	=>	'001000',
		'aging'	=>	'021000',
		'agint'	=>	'021000',
		'agioni'	=>	'0212000',
		'agió'	=>	'00020',
		'agip'	=>	'02100',
		'agiro'	=>	'001000',
		'agist'	=>	'021000',
		'agisz'	=>	'000200',
		'agita'	=>	'020000',
		'agizé'	=>	'001000',
		'agizm'	=>	'001000',
		'agíj'	=>	'02100',
		'agín'	=>	'00100',
		'agír'	=>	'02100',
		'agív'	=>	'00100',
		'agíz'	=>	'02100',
		'agkárok'	=>	'00002000',
		'agkl'	=>	'00100',
		'agkr'	=>	'00100',
		'agnon'	=>	'012000',
		'agob'	=>	'02100',
		'agoltó'	=>	'0010000',
		'agolya'	=>	'0002012',
		'agom'	=>	'20000',
		'agona'	=>	'200000',
		'agonn'	=>	'000030',
		'agonosz'	=>	'00021000',
		'agop'	=>	'02100',
		'agorg'	=>	'021000',
		'agorj'	=>	'001000',
		'agorn'	=>	'021000',
		'agorr'	=>	'021000',
		'agors'	=>	'021000',
		'agorv'	=>	'021000',
		'agotth'	=>	'0210000',
		'agórái'	=>	'0002000',
		'agöl'	=>	'02120',
		'agönk'	=>	'001000',
		'agönt'	=>	'001000',
		'agörö'	=>	'021000',
		'agörv'	=>	'001000',
		'agös'	=>	'02100',
		'agöt'	=>	'02100',
		'agöv'	=>	'02120',
		'agöz'	=>	'02120',
		'agőr'	=>	'02100',
		'agős'	=>	'02120',
		'agpl'	=>	'00100',
		'agpr'	=>	'00100',
		'agrammj'	=>	'20000000',
		'agrav'	=>	'012000',
		'agrá'	=>	'20000',
		'agróf'	=>	'012000',
		'agsk'	=>	'00100',
		'agsp'	=>	'00100',
		'agsr'	=>	'00100',
		'agst'	=>	'00100',
		'agsz'	=>	'00002',
		'agszt'	=>	'001000',
		'agtr'	=>	'00100',
		'agund'	=>	'021000',
		'aguram'	=>	'0200000',
		'agurat'	=>	'0002000',
		'agurá'	=>	'001200',
		'agurn'	=>	'001000',
		'agutá'	=>	'001200',
		'agúj'	=>	'02100',
		'agúta'	=>	'001000',
		'agúti'	=>	'021000',
		'agútt'	=>	'001000',
		'agül'	=>	'02120',
		'agür'	=>	'02100',
		'agüs'	=>	'02100',
		'agüt'	=>	'02100',
		'agüv'	=>	'02100',
		'agüz'	=>	'02100',
		'agűr'	=>	'00100',
		'agűz'	=>	'00100',
		'agyac'	=>	'020120',
		'agyad'	=>	'020000',
		'agyadó'	=>	'0001200',
		'agyagya'	=>	'00012000',
		'agyaj'	=>	'020000',
		'agyakb'	=>	'0200000',
		'agyala'	=>	'0000200',
		'agyalap'	=>	'00010000',
		'agyalg'	=>	'0001000',
		'agyalj'	=>	'0200000',
		'agyalko'	=>	'00010000',
		'agyalm'	=>	'0001000',
		'agyam'	=>	'120000',
		'agyana'	=>	'0001000',
		'agyany'	=>	'0201000',
		'agyapa'	=>	'0201000',
		'agyapja'	=>	'00010000',
		'agyapjá'	=>	'00010000',
		'agyapó'	=>	'0201200',
		'agyapr'	=>	'0201000',
		'agyasz'	=>	'0000200',
		'agyaszó'	=>	'02010000',
		'agyál'	=>	'020000',
		'agyárv'	=>	'0001000',
		'agyec'	=>	'020120',
		'agyeg'	=>	'000120',
		'agyel'	=>	'020100',
		'agyem'	=>	'000100',
		'agyest'	=>	'0001000',
		'agyesz'	=>	'0001000',
		'agyev'	=>	'020000',
		'agyez'	=>	'020100',
		'agyéke'	=>	'0001000',
		'agyékk'	=>	'0001000',
		'agyére'	=>	'0201200',
		'agyérn'	=>	'0001000',
		'agyérr'	=>	'0001000',
		'agyérs'	=>	'0001000',
		'agyima'	=>	'0200000',
		'agynyá'	=>	'0002000',
		'agyor'	=>	'000020',
		'agyoro'	=>	'0201000',
		'agyorr'	=>	'0200000',
		'agyöl'	=>	'020120',
		'agyőr'	=>	'020120',
		'agyur'	=>	'000020',
		'agyurá'	=>	'0001000',
		'agyúa'	=>	'120000',
		'agyún'	=>	'020000',
		'agyúsz'	=>	'0001200',
		'agyút'	=>	'020000',
		'agyű'	=>	'20000',
		'ahale'	=>	'000210',
		'ahasábr'	=>	'00020000',
		'ahelyükü'	=>	'000000200',
		'ahert'	=>	'000002',
		'ahertze'	=>	'00001000',
		'ahéjút'	=>	'0002100',
		'ahips'	=>	'001000',
		'ahitköz'	=>	'00000001',
		'ahovi'	=>	'001200',
		'ahúsár'	=>	'0002000',
		'ahúss'	=>	'000030',
		'ai'	=>	'010',
		'aibo'	=>	'00200',
		'aide'	=>	'20200',
		'aidom'	=>	'002000',
		'aidő'	=>	'20200',
		'aiék'	=>	'02000',
		'aiga'	=>	'00200',
		'aigá'	=>	'00200',
		'aige'	=>	'00200',
		'aigé'	=>	'00200',
		'aigy'	=>	'00200',
		'aiia'	=>	'00200',
		'aiib'	=>	'00200',
		'aiih'	=>	'00200',
		'aiij'	=>	'00200',
		'aiin'	=>	'00200',
		'aiir'	=>	'00200',
		'aiit'	=>	'00200',
		'aije'	=>	'00200',
		'aika'	=>	'00002',
		'aikab'	=>	'002000',
		'aikad'	=>	'002100',
		'aikal'	=>	'002100',
		'aikar'	=>	'002100',
		'aikas'	=>	'002100',
		'aiká'	=>	'00210',
		'aike'	=>	'00202',
		'aikel'	=>	'000100',
		'aiki'	=>	'00002',
		'aikik'	=>	'002000',
		'aikis'	=>	'002000',
		'aikol'	=>	'002100',
		'aikosz'	=>	'0021000',
		'aikő'	=>	'00200',
		'aikü'	=>	'00200',
		'ailb'	=>	'02000',
		'aile'	=>	'02000',
		'aill'	=>	'20000',
		'aillo'	=>	'000200',
		'aimá'	=>	'20200',
		'aimi'	=>	'20000',
		'aimit'	=>	'002000',
		'aimp'	=>	'20000',
		'ainal'	=>	'002020',
		'ainala'	=>	'0001000',
		'ainas'	=>	'202000',
		'ainá'	=>	'00002',
		'ainálo'	=>	'0021000',
		'ainár'	=>	'002000',
		'aind'	=>	'20000',
		'aine'	=>	'00200',
		'ainél'	=>	'002000',
		'ainf'	=>	'20000',
		'aing'	=>	'20000',
		'ainin'	=>	'002100',
		'ainol'	=>	'002000',
		'ainp'	=>	'20000',
		'ains'	=>	'20000',
		'aint'	=>	'20000',
		'ainü'	=>	'00200',
		'aionb'	=>	'002000',
		'aionn'	=>	'002000',
		'aiono'	=>	'002000',
		'aionr'	=>	'002000',
		'aiont'	=>	'002000',
		'aipa'	=>	'00200',
		'airam'	=>	'002000',
		'airat'	=>	'202000',
		'airá'	=>	'20200',
		'airé'	=>	'00200',
		'airi'	=>	'00200',
		'airo'	=>	'20000',
		'airod'	=>	'002000',
		'aise'	=>	'02200',
		'aisi'	=>	'00200',
		'aisk'	=>	'20000',
		'aism'	=>	'20000',
		'aist'	=>	'20000',
		'aisz'	=>	'20000',
		'aisza'	=>	'002000',
		'aiszo'	=>	'002000',
		'aita'	=>	'20200',
		'aivad'	=>	'002000',
		'aivar'	=>	'002000',
		'aivás'	=>	'002000',
		'aivó'	=>	'20200',
		'aizé'	=>	'00200',
		'aizom'	=>	'002000',
		'aí'	=>	'010',
		'aígé'	=>	'00200',
		'aíja'	=>	'00200',
		'aíjá'	=>	'00200',
		'aíju'	=>	'00200',
		'aíra'	=>	'00200',
		'aírá'	=>	'00200',
		'aíro'	=>	'00200',
		'aíró'	=>	'00200',
		'aíru'	=>	'00200',
		'aíté'	=>	'00200',
		'aívá'	=>	'00200',
		'aíve'	=>	'00200',
		'aívé'	=>	'00200',
		'aívi'	=>	'00200',
		'aívó'	=>	'00200',
		'aívü'	=>	'00200',
		'aívű'	=>	'00200',
		'aíze'	=>	'00200',
		'aízé'	=>	'00200',
		'aízü'	=>	'00200',
		'aízű'	=>	'00200',
		'ajadó'	=>	'021200',
		'ajadu'	=>	'021000',
		'ajaga'	=>	'001000',
		'ajagr'	=>	'001000',
		'ajakol'	=>	'0002000',
		'ajakó'	=>	'021000',
		'ajakú'	=>	'000200',
		'ajana'	=>	'021000',
		'ajant'	=>	'021000',
		'ajany'	=>	'021000',
		'ajapr'	=>	'001000',
		'ajáa'	=>	'02100',
		'ajác'	=>	'00020',
		'ajágo'	=>	'001200',
		'ajánd'	=>	'120000',
		'ajánl'	=>	'100000',
		'ajáp'	=>	'02100',
		'ajár'	=>	'20000',
		'ajárb'	=>	'021000',
		'ajárc'	=>	'021000',
		'ajáre'	=>	'021000',
		'ajáré'	=>	'021000',
		'ajárr'	=>	'021000',
		'ajásá'	=>	'001000',
		'ajásv'	=>	'001000',
		'ajáte'	=>	'021212',
		'ajáz'	=>	'00020',
		'ajázá'	=>	'001000',
		'ajbl'	=>	'00100',
		'ajbr'	=>	'00100',
		'ajdalm'	=>	'0021000',
		'ajdalomm'	=>	'002120000',
		'ajdalomn'	=>	'002120000',
		'ajdalomr'	=>	'002120000',
		'ajdalomt'	=>	'002120000',
		'ajec'	=>	'02120',
		'ajef'	=>	'02100',
		'ajegé'	=>	'021000',
		'ajela'	=>	'021000',
		'ajeleme'	=>	'00020000',
		'ajelf'	=>	'021000',
		'ajellá'	=>	'0010000',
		'ajelo'	=>	'021000',
		'ajelő'	=>	'001000',
		'ajelvá'	=>	'0010000',
		'ajelvo'	=>	'0010000',
		'ajem'	=>	'02120',
		'ajene'	=>	'001000',
		'ajenz'	=>	'001000',
		'ajer'	=>	'02120',
		'ajese'	=>	'001200',
		'ajex'	=>	'02100',
		'ajez'	=>	'02100',
		'ajége'	=>	'021000',
		'ajégé'	=>	'021000',
		'ajégő'	=>	'001000',
		'ajék'	=>	'02120',
		'ajél'	=>	'02100',
		'ajép'	=>	'02100',
		'ajér'	=>	'00020',
		'ajére'	=>	'021000',
		'ajéte'	=>	'021000',
		'ajfl'	=>	'00100',
		'ajfr'	=>	'00100',
		'ajgr'	=>	'00120',
		'ajid'	=>	'02120',
		'ajij'	=>	'02100',
		'ajik'	=>	'02100',
		'ajim'	=>	'02100',
		'ajint'	=>	'021000',
		'ajio'	=>	'02100',
		'ajip'	=>	'02100',
		'ajiz'	=>	'02100',
		'ajír'	=>	'00100',
		'ajíz'	=>	'00100',
		'ajkl'	=>	'00100',
		'ajobbo'	=>	'0000010',
		'ajogásza'	=>	'000212000',
		'ajola'	=>	'021000',
		'ajold'	=>	'001000',
		'ajov'	=>	'02120',
		'ajócskás'	=>	'021000000',
		'ajósár'	=>	'0002000',
		'ajöb'	=>	'00100',
		'ajök'	=>	'02100',
		'ajör'	=>	'02100',
		'ajöz'	=>	'02100',
		'ajőr'	=>	'00100',
		'ajős'	=>	'00120',
		'ajpl'	=>	'00100',
		'ajpr'	=>	'00100',
		'ajsh'	=>	'00100',
		'ajsk'	=>	'00100',
		'ajsp'	=>	'00100',
		'ajtág'	=>	'002000',
		'ajteg'	=>	'002000',
		'ajtét'	=>	'002120',
		'ajtorg'	=>	'0001000',
		'ajuhi'	=>	'000200',
		'ajúj'	=>	'02100',
		'ajúsz'	=>	'001000',
		'ajúto'	=>	'021000',
		'ajútr'	=>	'021000',
		'ajüg'	=>	'00100',
		'ajül'	=>	'00100',
		'ajüs'	=>	'00100',
		'ajüz'	=>	'00100',
		'ajűz'	=>	'00100',
		'ajzaka'	=>	'0001000',
		'ajzatl'	=>	'0001000',
		'ajzer'	=>	'002000',
		'ajzí'	=>	'00200',
		'ajzü'	=>	'00200',
		'akab'	=>	'20000',
		'akacse'	=>	'0002000',
		'akadag'	=>	'0200000',
		'akadata'	=>	'02120000',
		'akadatb'	=>	'02120000',
		'akadatn'	=>	'02120000',
		'akadato'	=>	'02120000',
		'akadatr'	=>	'02120000',
		'akadatt'	=>	'02120000',
		'akadál'	=>	'1000000',
		'akadém'	=>	'1200000',
		'akadm'	=>	'021000',
		'akaga'	=>	'021000',
		'akal'	=>	'20000',
		'akalag'	=>	'0012000',
		'akalak'	=>	'0212000',
		'akalapú'	=>	'00020000',
		'akaleg'	=>	'0210000',
		'akalko'	=>	'0010000',
		'akam'	=>	'20000',
		'akan'	=>	'20000',
		'akao'	=>	'20000',
		'akap'	=>	'20000',
		'akapád'	=>	'0002000',
		'akapp'	=>	'001000',
		'akarai'	=>	'0012000',
		'akarasz'	=>	'00100000',
		'akaráb'	=>	'0212000',
		'akarák'	=>	'0212000',
		'akarc'	=>	'200000',
		'akarch'	=>	'0200000',
		'akard'	=>	'200000',
		'akarén'	=>	'0012000',
		'akari'	=>	'200000',
		'akarr'	=>	'200000',
		'akasí'	=>	'200000',
		'akast'	=>	'200000',
		'akaszaj'	=>	'00020000',
		'akaszat'	=>	'00120000',
		'akaszel'	=>	'00020000',
		'akaszö'	=>	'0002000',
		'akasztr'	=>	'02100000',
		'akata'	=>	'200000',
		'akatab'	=>	'0002000',
		'akate'	=>	'200000',
		'akatel'	=>	'0002000',
		'akater'	=>	'0002000',
		'akati'	=>	'000002',
		'akatik'	=>	'0002000',
		'akatim'	=>	'0002000',
		'akatin'	=>	'0002000',
		'akau'	=>	'20000',
		'akautó'	=>	'0210000',
		'akav'	=>	'20000',
		'akaz'	=>	'20000',
		'akáf'	=>	'02100',
		'akág'	=>	'02100',
		'akála'	=>	'000210',
		'akális'	=>	'0002000',
		'akálló'	=>	'0210000',
		'akárad'	=>	'0010000',
		'akárb'	=>	'021000',
		'akárj'	=>	'021000',
		'akárk'	=>	'020000',
		'akárokn'	=>	'00020000',
		'akártó'	=>	'0210000',
		'akáru'	=>	'021200',
		'akásad'	=>	'0002000',
		'akásaj'	=>	'0002000',
		'akásal'	=>	'0002000',
		'akásar'	=>	'0002000',
		'akásav'	=>	'0002000',
		'akásást'	=>	'00020000',
		'akáss'	=>	'000030',
		'akászán'	=>	'00120000',
		'akászu'	=>	'0002000',
		'akászun'	=>	'02100000',
		'akáta'	=>	'000010',
		'akátla'	=>	'0210000',
		'akbl'	=>	'00100',
		'akciósű'	=>	'00000212',
		'akecs'	=>	'000200',
		'akedz'	=>	'021200',
		'akege'	=>	'001200',
		'akegé'	=>	'001200',
		'akela'	=>	'021000',
		'akelá'	=>	'021000',
		'akelem'	=>	'0002000',
		'akelh'	=>	'001000',
		'akelj'	=>	'021000',
		'akelo'	=>	'021000',
		'akelők'	=>	'0002000',
		'akelr'	=>	'021000',
		'akelv'	=>	'021000',
		'akemb'	=>	'021000',
		'akemel'	=>	'0012000',
		'akerd'	=>	'020000',
		'akerei'	=>	'0012000',
		'akeró'	=>	'021200',
		'akerő'	=>	'021200',
		'akesp'	=>	'020000',
		'akest'	=>	'021000',
		'akeszk'	=>	'0010000',
		'akeszm'	=>	'0010000',
		'akete'	=>	'021200',
		'aketi'	=>	'001200',
		'akevez'	=>	'0212000',
		'akékem'	=>	'0012000',
		'akékes'	=>	'0012000',
		'akéké'	=>	'021200',
		'akékh'	=>	'021000',
		'akékrő'	=>	'0010000',
		'akém'	=>	'20000',
		'akény'	=>	'200000',
		'aképb'	=>	'200000',
		'aképe'	=>	'200000',
		'aképé'	=>	'200000',
		'aképh'	=>	'200000',
		'aképk'	=>	'200000',
		'aképl'	=>	'200000',
		'aképn'	=>	'200000',
		'aképpel'	=>	'20000000',
		'aképpé'	=>	'2000000',
		'aképr'	=>	'200000',
		'aképt'	=>	'200000',
		'aképü'	=>	'200000',
		'aképz'	=>	'200000',
		'akérc'	=>	'021000',
		'akérd'	=>	'200000',
		'akérdek'	=>	'02000000',
		'akére'	=>	'200000',
		'akéré'	=>	'200000',
		'akérm'	=>	'021000',
		'akérő'	=>	'200000',
		'akérői'	=>	'0212000',
		'akérőj'	=>	'0212000',
		'akérr'	=>	'021000',
		'akérteke'	=>	'020000000',
		'akértel'	=>	'02100000',
		'akértet'	=>	'02100000',
		'akértő'	=>	'0210000',
		'akérv'	=>	'200000',
		'akérz'	=>	'021000',
		'akés'	=>	'20000',
		'akésza'	=>	'0210000',
		'akéte'	=>	'021200',
		'akéts'	=>	'200000',
		'akétt'	=>	'021000',
		'akéz'	=>	'20000',
		'akfl'	=>	'00100',
		'akfr'	=>	'00100',
		'akgerinc'	=>	'000000001',
		'akgr'	=>	'00100',
		'akia'	=>	'20000',
		'akib'	=>	'20000',
		'akic'	=>	'20000',
		'akid'	=>	'20000',
		'akidé'	=>	'021200',
		'akidi'	=>	'001000',
		'akie'	=>	'20002',
		'akié'	=>	'20000',
		'akif'	=>	'20000',
		'akiga'	=>	'001000',
		'akigé'	=>	'021000',
		'akigy'	=>	'200000',
		'akih'	=>	'20000',
		'akií'	=>	'20000',
		'akij'	=>	'20000',
		'akil'	=>	'20000',
		'akill'	=>	'021000',
		'akily'	=>	'001000',
		'akim'	=>	'20000',
		'akimá'	=>	'021200',
		'akimi'	=>	'021000',
		'akin'	=>	'20000',
		'akind'	=>	'001000',
		'aking'	=>	'021000',
		'akins'	=>	'021000',
		'akion'	=>	'021000',
		'akir'	=>	'20000',
		'akirom'	=>	'0002000',
		'akis'	=>	'20000',
		'akisi'	=>	'021000',
		'akisk'	=>	'021000',
		'akism'	=>	'001000',
		'akist'	=>	'021000',
		'akit'	=>	'20000',
		'akiv'	=>	'20000',
		'akiz'	=>	'20000',
		'akizm'	=>	'021000',
		'akíté'	=>	'020000',
		'akíz'	=>	'02120',
		'akkad'	=>	'002120',
		'akkaj'	=>	'002000',
		'akkala'	=>	'0021200',
		'akkalk'	=>	'0001000',
		'akkarc'	=>	'0021000',
		'akkál'	=>	'002000',
		'akkáp'	=>	'002120',
		'akked'	=>	'002100',
		'akkell'	=>	'0001000',
		'akkelm'	=>	'0020000',
		'akkelt'	=>	'0001000',
		'akkem'	=>	'002000',
		'akkeró'	=>	'0021000',
		'akkes'	=>	'000020',
		'akkese'	=>	'0001000',
		'akket'	=>	'002000',
		'akkola'	=>	'0020000',
		'akkord'	=>	'1000000',
		'akkölt'	=>	'0001000',
		'akkös'	=>	'002100',
		'akkőr'	=>	'002000',
		'akkum'	=>	'100000',
		'aklau'	=>	'002000',
		'aklav'	=>	'002000',
		'aklor'	=>	'002000',
		'aklón'	=>	'002000',
		'aklór'	=>	'002000',
		'aknai'	=>	'100000',
		'aknáb'	=>	'100000',
		'aknáh'	=>	'100000',
		'aknái'	=>	'100000',
		'aknáka'	=>	'1000000',
		'aknáko'	=>	'1000000',
		'aknás'	=>	'100000',
		'aknáv'	=>	'100000',
		'aknáz'	=>	'100000',
		'akoa'	=>	'20000',
		'akobj'	=>	'001000',
		'akoc'	=>	'20000',
		'akof'	=>	'20000',
		'akokt'	=>	'200000',
		'akoláss'	=>	'00000030',
		'akolda'	=>	'0210000',
		'akoly'	=>	'021200',
		'akom'	=>	'20000',
		'akonc'	=>	'200000',
		'akond'	=>	'200000',
		'akonf'	=>	'200000',
		'akong'	=>	'200000',
		'akonk'	=>	'200000',
		'akons'	=>	'200000',
		'akont'	=>	'200000',
		'akonv'	=>	'200000',
		'akony'	=>	'200000',
		'akonz'	=>	'200000',
		'akoo'	=>	'20000',
		'akop'	=>	'20000',
		'akope'	=>	'021200',
		'akorat'	=>	'0012000',
		'akorb'	=>	'200000',
		'akord'	=>	'200000',
		'akorg'	=>	'021000',
		'akori'	=>	'200000',
		'akorj'	=>	'021000',
		'akorl'	=>	'200000',
		'akorm'	=>	'200000',
		'akoro'	=>	'200000',
		'akorp'	=>	'200000',
		'akorr'	=>	'200000',
		'akors'	=>	'200000',
		'akort'	=>	'200000',
		'akoru'	=>	'200000',
		'akorú'	=>	'200000',
		'akorv'	=>	'021000',
		'akos'	=>	'20000',
		'akóni'	=>	'200000',
		'akóp'	=>	'20012',
		'akórá'	=>	'021200',
		'akóród'	=>	'0012000',
		'akózá'	=>	'120000',
		'akössz'	=>	'0010000',
		'aközél'	=>	'0002120',
		'aközrea'	=>	'00000003',
		'akpl'	=>	'00100',
		'akpr'	=>	'00100',
		'akps'	=>	'00100',
		'akrádi'	=>	'0000002',
		'akrát'	=>	'002000',
		'akre'	=>	'20000',
		'akrea'	=>	'002000',
		'akré'	=>	'20000',
		'akréme'	=>	'0120000',
		'akréta'	=>	'0020000',
		'akrétá'	=>	'0020000',
		'akri'	=>	'20000',
		'akrit'	=>	'012000',
		'akrí'	=>	'20000',
		'akríz'	=>	'002000',
		'akrob'	=>	'100000',
		'akrónik'	=>	'20000000',
		'aksp'	=>	'00100',
		'akszt'	=>	'001020',
		'aktau'	=>	'002100',
		'aktársad'	=>	'000002120',
		'aktemb'	=>	'0001000',
		'aktim'	=>	'002000',
		'aktívb'	=>	'1000000',
		'aktíve'	=>	'0000200',
		'aktívk'	=>	'1000000',
		'aktívo'	=>	'1000000',
		'aktívs'	=>	'1000000',
		'aktívt'	=>	'1000000',
		'aktorál'	=>	'00002100',
		'aktosz'	=>	'0001000',
		'aktrá'	=>	'001000',
		'aktua'	=>	'100000',
		'akudv'	=>	'021000',
		'akujj'	=>	'021000',
		'akun'	=>	'20000',
		'akupu'	=>	'100000',
		'akúg'	=>	'02100',
		'akúj'	=>	'02100',
		'akúrr'	=>	'021000',
		'aküg'	=>	'02100',
		'aküle'	=>	'021200',
		'akülé'	=>	'021200',
		'aküln'	=>	'021000',
		'aküt'	=>	'02120',
		'aküv'	=>	'02120',
		'akya'	=>	'00100',
		'alabl'	=>	'021000',
		'alacc'	=>	'000010',
		'alace'	=>	'000002',
		'alaci'	=>	'000002',
		'alacit'	=>	'0002000',
		'alacor'	=>	'0002000',
		'alacsé'	=>	'0200000',
		'alacsö'	=>	'0002300',
		'alacsü'	=>	'0002000',
		'aladag'	=>	'0200000',
		'aladatá'	=>	'02120000',
		'alagál'	=>	'0002000',
		'alage'	=>	'000210',
		'alagép'	=>	'0002000',
		'alagol'	=>	'0002000',
		'alagya'	=>	'0002000',
		'alajad'	=>	'0002120',
		'alajas'	=>	'0002000',
		'alaje'	=>	'000212',
		'alakad'	=>	'0200000',
		'alakan'	=>	'0002100',
		'alakas'	=>	'0212000',
		'alakál'	=>	'0002000',
		'alakáp'	=>	'0002100',
		'alakes'	=>	'0002000',
		'alakí'	=>	'120000',
		'alaknák'	=>	'02000000',
		'alaknát'	=>	'02000000',
		'alakol'	=>	'0002000',
		'alakód'	=>	'0212000',
		'alaköl'	=>	'0002100',
		'alaktu'	=>	'0210000',
		'alaku'	=>	'100000',
		'alakult'	=>	'02000000',
		'alalg'	=>	'001000',
		'alalj'	=>	'021000',
		'alalk'	=>	'021000',
		'alall'	=>	'001000',
		'alalm'	=>	'001000',
		'alalo'	=>	'001200',
		'alalt'	=>	'001000',
		'alane'	=>	'000210',
		'alanny'	=>	'1200000',
		'alany'	=>	'020000',
		'alanyal'	=>	'00020000',
		'alanye'	=>	'0002012',
		'alapad'	=>	'0002120',
		'alapak'	=>	'0002000',
		'alapal'	=>	'0002000',
		'alapan'	=>	'0200000',
		'alapár'	=>	'0002120',
		'alape'	=>	'000212',
		'alapill'	=>	'00020000',
		'alapin'	=>	'0002000',
		'alapir'	=>	'0002000',
		'alapítv'	=>	'12000000',
		'alapol'	=>	'0002100',
		'alapor'	=>	'0002000',
		'alaposz'	=>	'00021000',
		'alapó'	=>	'000012',
		'alapp'	=>	'000010',
		'alara'	=>	'001200',
		'alará'	=>	'001200',
		'alarg'	=>	'001000',
		'alasp'	=>	'000120',
		'alaszp'	=>	'0210000',
		'alasztal'	=>	'000000020',
		'alatany'	=>	'00001000',
		'alatáta'	=>	'00000012',
		'alatev'	=>	'0002120',
		'alatinf'	=>	'00021000',
		'alatív'	=>	'0002000',
		'alatol'	=>	'0002100',
		'alató'	=>	'000002',
		'alatór'	=>	'0002000',
		'alattak'	=>	'02100000',
		'alatti'	=>	'1200000',
		'alatü'	=>	'000212',
		'alava'	=>	'001000',
		'alazúr'	=>	'0002000',
		'aláa'	=>	'12000',
		'aláá'	=>	'12000',
		'alábad'	=>	'0000020',
		'alábada'	=>	'00021000',
		'alábrá'	=>	'0010000',
		'alábúj'	=>	'1200000',
		'aládal'	=>	'0002000',
		'aládap'	=>	'0002100',
		'aláf'	=>	'12000',
		'alága'	=>	'020000',
		'alágá'	=>	'001200',
		'alágb'	=>	'001000',
		'alágg'	=>	'021000',
		'alágh'	=>	'001000',
		'alági'	=>	'001200',
		'alágk'	=>	'001000',
		'alágn'	=>	'001000',
		'alágo'	=>	'001200',
		'alágr'	=>	'021000',
		'alágt'	=>	'001000',
		'alágú'	=>	'001200',
		'alágya'	=>	'0010000',
		'aláí'	=>	'12000',
		'alámo'	=>	'120000',
		'alárad'	=>	'0210000',
		'alárak'	=>	'0200000',
		'alárá'	=>	'020000',
		'alárár'	=>	'0002000',
		'alárk'	=>	'021000',
		'aláste'	=>	'0000002',
		'alástel'	=>	'00002000',
		'alátd'	=>	'021000',
		'aláte'	=>	'020000',
		'aláté'	=>	'020000',
		'alátép'	=>	'0010000',
		'alátf'	=>	'021000',
		'aláti'	=>	'000200',
		'alátl'	=>	'021000',
		'alátm'	=>	'021000',
		'alátö'	=>	'020000',
		'alátr'	=>	'020000',
		'alátú'	=>	'020000',
		'albl'	=>	'00100',
		'albr'	=>	'00100',
		'album'	=>	'100000',
		'aldr'	=>	'00120',
		'alea'	=>	'20000',
		'aleb'	=>	'20000',
		'alebé'	=>	'001000',
		'alec'	=>	'20000',
		'alece'	=>	'001000',
		'alegelé'	=>	'00021200',
		'alegés'	=>	'0010000',
		'alegész'	=>	'00000001',
		'alegys'	=>	'0010000',
		'alegyü'	=>	'0200000',
		'aleh'	=>	'20000',
		'aleí'	=>	'20002',
		'alej'	=>	'20000',
		'aleka'	=>	'000210',
		'alela'	=>	'021000',
		'alelág'	=>	'0210000',
		'aleld'	=>	'021000',
		'aleled'	=>	'0012000',
		'alelemb'	=>	'00020000',
		'aleleme'	=>	'00020000',
		'alelemk'	=>	'00020000',
		'alelemm'	=>	'00020000',
		'alelemt'	=>	'00020000',
		'alelg'	=>	'021000',
		'alelh'	=>	'021000',
		'alelm'	=>	'001000',
		'aleln'	=>	'021000',
		'alelők'	=>	'0002000',
		'alelőt'	=>	'0002000',
		'alelr'	=>	'021000',
		'alels'	=>	'021000',
		'alelté'	=>	'0010000',
		'alelv'	=>	'021000',
		'alem'	=>	'20000',
		'alemb'	=>	'021000',
		'alemel'	=>	'0212000',
		'alemé'	=>	'001200',
		'aleml'	=>	'021000',
		'alen'	=>	'20000',
		'alene'	=>	'021000',
		'alep'	=>	'20000',
		'alerd'	=>	'020000',
		'alere'	=>	'021200',
		'alerk'	=>	'021000',
		'alern'	=>	'021000',
		'ales'	=>	'20000',
		'alesem'	=>	'0010000',
		'alesi'	=>	'020000',
		'alesik'	=>	'0002000',
		'aletet'	=>	'0002000',
		'alettest'	=>	'000021000',
		'aleü'	=>	'00002',
		'alev'	=>	'20000',
		'alevol'	=>	'0002000',
		'alevői'	=>	'0002000',
		'alex'	=>	'20000',
		'alexp'	=>	'021000',
		'aléc'	=>	'20000',
		'alég'	=>	'20000',
		'alégő'	=>	'001000',
		'alékal'	=>	'0002000',
		'alékan'	=>	'0002100',
		'alékat'	=>	'0002000',
		'alékem'	=>	'0002100',
		'aléker'	=>	'0002000',
		'alékes'	=>	'0002000',
		'alékor'	=>	'0002000',
		'alélen'	=>	'0012000',
		'alélet'	=>	'0212000',
		'alélé'	=>	'021000',
		'aléll'	=>	'021000',
		'alélő'	=>	'001200',
		'alélü'	=>	'021000',
		'alén'	=>	'20000',
		'aléneke'	=>	'02000000',
		'alérd'	=>	'021000',
		'alérs'	=>	'001000',
		'alérte'	=>	'0210000',
		'alérté'	=>	'0210000',
		'alértő'	=>	'0210000',
		'alérz'	=>	'021000',
		'alét'	=>	'20000',
		'alétek'	=>	'0002000',
		'alétel'	=>	'0212000',
		'alétl'	=>	'001000',
		'alévi'	=>	'021000',
		'alfás'	=>	'100000',
		'algásat'	=>	'10000000',
		'algor'	=>	'100000',
		'algr'	=>	'00100',
		'alic'	=>	'20000',
		'alide'	=>	'001000',
		'alidé'	=>	'020000',
		'alido'	=>	'001200',
		'alifj'	=>	'001000',
		'aligé'	=>	'021000',
		'alik'	=>	'20000',
		'alill'	=>	'001000',
		'alim'	=>	'20000',
		'alimá'	=>	'021200',
		'alinas'	=>	'0200000',
		'alinin'	=>	'0002000',
		'alióra'	=>	'0000200',
		'alipa'	=>	'001200',
		'alirá'	=>	'021000',
		'aliro'	=>	'021000',
		'alisi'	=>	'021200',
		'alism'	=>	'020000',
		'alispo'	=>	'0001200',
		'aliste'	=>	'0010000',
		'alite'	=>	'200000',
		'alizma'	=>	'0010000',
		'alíj'	=>	'00100',
		'alív'	=>	'02120',
		'aljaiké'	=>	'00002000',
		'aljaka'	=>	'1000000',
		'aljakb'	=>	'1000000',
		'aljaké'	=>	'1000000',
		'aljakk'	=>	'1000000',
		'aljako'	=>	'1000000',
		'aljas'	=>	'100000',
		'aljái'	=>	'100000',
		'aljárna'	=>	'00010000',
		'aljáro'	=>	'0021200',
		'aljb'	=>	'10000',
		'aljc'	=>	'10000',
		'aljd'	=>	'10000',
		'aljer'	=>	'100000',
		'aljf'	=>	'10000',
		'aljg'	=>	'10000',
		'aljh'	=>	'10000',
		'aljia'	=>	'100000',
		'aljí'	=>	'00200',
		'aljj'	=>	'10000',
		'aljk'	=>	'10000',
		'aljl'	=>	'10000',
		'aljm'	=>	'10000',
		'aljn'	=>	'10000',
		'aljr'	=>	'10000',
		'aljs'	=>	'10000',
		'aljt'	=>	'10000',
		'aljú'	=>	'10000',
		'aljü'	=>	'10200',
		'aljv'	=>	'10000',
		'aljz'	=>	'10000',
		'alkapó'	=>	'0021200',
		'alkele'	=>	'0000002',
		'alkím'	=>	'100000',
		'alkoh'	=>	'100000',
		'alkotá'	=>	'1000000',
		'alkotm'	=>	'1000000',
		'alkotó'	=>	'1000000',
		'alkre'	=>	'001000',
		'alkro'	=>	'001000',
		'alkud'	=>	'100000',
		'alkun'	=>	'100000',
		'allaj'	=>	'002100',
		'allakt'	=>	'0021000',
		'allakv'	=>	'0021000',
		'allal'	=>	'000020',
		'allala'	=>	'0021000',
		'allalk'	=>	'0020000',
		'allau'	=>	'002000',
		'alláll'	=>	'0001000',
		'allázs'	=>	'0001000',
		'alled'	=>	'002000',
		'allegy'	=>	'0001000',
		'allemb'	=>	'0001000',
		'allerg'	=>	'1000000',
		'allese'	=>	'0001000',
		'allest'	=>	'0001000',
		'allevő'	=>	'0001200',
		'alléjé'	=>	'0001200',
		'allid'	=>	'002100',
		'allim'	=>	'002000',
		'allint'	=>	'0001000',
		'allip'	=>	'002000',
		'allisk'	=>	'0021000',
		'allí'	=>	'00200',
		'allóri'	=>	'0001000',
		'allös'	=>	'002000',
		'allő'	=>	'00212',
		'allü'	=>	'00200',
		'allű'	=>	'10000',
		'almád'	=>	'100000',
		'alob'	=>	'20000',
		'alobe'	=>	'001000',
		'alogoss'	=>	'00000010',
		'alogó'	=>	'000212',
		'alokta'	=>	'0210000',
		'aloma'	=>	'000002',
		'alomad'	=>	'0002000',
		'alomak'	=>	'0002000',
		'alomal'	=>	'0002100',
		'aloman'	=>	'0002100',
		'alomap'	=>	'0002000',
		'alomar'	=>	'0002000',
		'alomas'	=>	'0002000',
		'alomác'	=>	'0002000',
		'alomár'	=>	'0002000',
		'alomát'	=>	'0002100',
		'alomer'	=>	'0002000',
		'alomin'	=>	'0002000',
		'alomis'	=>	'0002000',
		'alomit'	=>	'0002000',
		'alomp'	=>	'000012',
		'alomú'	=>	'000210',
		'aloná'	=>	'000210',
		'alond'	=>	'000012',
		'alonn'	=>	'000030',
		'alop'	=>	'20000',
		'alopc'	=>	'001000',
		'alope'	=>	'021000',
		'alora'	=>	'001200',
		'alorc'	=>	'001000',
		'alorn'	=>	'001000',
		'aloro'	=>	'001200',
		'alorr'	=>	'021000',
		'aloss'	=>	'000030',
		'alostá'	=>	'0210000',
		'aloszl'	=>	'0210000',
		'alov'	=>	'20000',
		'alócse'	=>	'0002300',
		'alóguses'	=>	'300000000',
		'alóigaz'	=>	'00000001',
		'alóiko'	=>	'0000200',
		'alólo'	=>	'001200',
		'alónn'	=>	'001000',
		'alóó'	=>	'00002',
		'alóráj'	=>	'0002000',
		'alórák'	=>	'0002000',
		'alózan'	=>	'0002000',
		'alózis'	=>	'0002000',
		'alöb'	=>	'02100',
		'alöl'	=>	'02120',
		'alön'	=>	'02100',
		'alör'	=>	'02100',
		'alös'	=>	'02100',
		'alöz'	=>	'02120',
		'alpel'	=>	'000020',
		'alpele'	=>	'0001000',
		'alpiz'	=>	'002000',
		'alsh'	=>	'00100',
		'alsk'	=>	'00100',
		'alsl'	=>	'00100',
		'alsm'	=>	'00100',
		'alsp'	=>	'00100',
		'alsz'	=>	'00002',
		'alszt'	=>	'001000',
		'altada'	=>	'0020000',
		'altalap'	=>	'00210000',
		'altanya'	=>	'00010000',
		'altelv'	=>	'0001000',
		'altemb'	=>	'0001000',
		'altep'	=>	'002120',
		'altev'	=>	'002120',
		'alték'	=>	'002120',
		'altén'	=>	'000020',
		'alténe'	=>	'0001000',
		'altérne'	=>	'00010000',
		'altérő'	=>	'0021200',
		'altérr'	=>	'0021000',
		'altértő'	=>	'00010000',
		'altim'	=>	'002120',
		'altin'	=>	'000020',
		'altina'	=>	'0001000',
		'altip'	=>	'000020',
		'altipa'	=>	'0001000',
		'altir'	=>	'002100',
		'altold'	=>	'0021000',
		'altonk'	=>	'1000000',
		'altosz'	=>	'0021000',
		'altóc'	=>	'002000',
		'altön'	=>	'002000',
		'altrak'	=>	'0010000',
		'altran'	=>	'0010000',
		'altrav'	=>	'0010000',
		'altur'	=>	'002000',
		'altút'	=>	'002100',
		'altür'	=>	'002000',
		'altvé'	=>	'100000',
		'alty'	=>	'00100',
		'alup'	=>	'00010',
		'aluss'	=>	'120000',
		'alustr'	=>	'0001000',
		'alúj'	=>	'02100',
		'alúrb'	=>	'001000',
		'alúrh'	=>	'001000',
		'alúri'	=>	'001000',
		'alúrk'	=>	'001000',
		'alúrn'	=>	'001000',
		'alúrr'	=>	'001000',
		'alúté'	=>	'021000',
		'alúth'	=>	'021000',
		'alútj'	=>	'021000',
		'alútn'	=>	'021000',
		'alútt'	=>	'021000',
		'alüg'	=>	'00100',
		'alül'	=>	'00100',
		'alün'	=>	'00100',
		'alür'	=>	'00100',
		'alüs'	=>	'00100',
		'alüt'	=>	'00100',
		'alüv'	=>	'00100',
		'alüz'	=>	'02100',
		'alűr'	=>	'00100',
		'alűz'	=>	'00100',
		'alveo'	=>	'100000',
		'alvó'	=>	'10000',
		'alyap'	=>	'020100',
		'alyar'	=>	'020000',
		'alyál'	=>	'020000',
		'alye'	=>	'02012',
		'alyév'	=>	'020000',
		'alyid'	=>	'020100',
		'alyim'	=>	'020000',
		'alyis'	=>	'020000',
		'alyö'	=>	'02000',
		'alyug'	=>	'020000',
		'alyü'	=>	'02012',
		'amabb'	=>	'001000',
		'amabl'	=>	'001000',
		'amad'	=>	'20000',
		'amadat'	=>	'0212000',
		'amadás'	=>	'0012000',
		'amadm'	=>	'021000',
		'amadó'	=>	'021200',
		'amadu'	=>	'021200',
		'amag'	=>	'20000',
		'amagát'	=>	'0002000',
		'amaj'	=>	'20000',
		'amajt'	=>	'001000',
		'amakar'	=>	'0002000',
		'amakt'	=>	'021000',
		'amakv'	=>	'021000',
		'amalak'	=>	'0212000',
		'amalap'	=>	'0012000',
		'amale'	=>	'021210',
		'amanya'	=>	'0002000',
		'amaó'	=>	'00002',
		'amap'	=>	'20000',
		'amas'	=>	'20000',
		'amaszak'	=>	'00020120',
		'amaszeg'	=>	'00020000',
		'amaszem'	=>	'00020100',
		'amaszél'	=>	'00020000',
		'amaszö'	=>	'0002000',
		'amatad'	=>	'0002000',
		'amatan'	=>	'0000020',
		'amatárá'	=>	'00020000',
		'amatel'	=>	'0002000',
		'amatold'	=>	'00020000',
		'amatosz'	=>	'00021000',
		'amató'	=>	'000212',
		'amau'	=>	'02120',
		'amazo'	=>	'020000',
		'amálm'	=>	'021000',
		'amárai'	=>	'0212000',
		'amárak'	=>	'0212000',
		'amárá'	=>	'000200',
		'amátk'	=>	'021000',
		'amátl'	=>	'021000',
		'amátt'	=>	'021000',
		'ambag'	=>	'002100',
		'ambal'	=>	'002000',
		'ambat'	=>	'002100',
		'ambászá'	=>	'00210000',
		'ambeg'	=>	'002120',
		'ambele'	=>	'0021200',
		'ambep'	=>	'002000',
		'ambete'	=>	'0021200',
		'ambula'	=>	'1000000',
		'amdr'	=>	'00100',
		'amece'	=>	'001200',
		'ameg'	=>	'20000',
		'amelá'	=>	'001000',
		'amelem'	=>	'0012000',
		'ameli'	=>	'021210',
		'amelj'	=>	'001000',
		'amelk'	=>	'001000',
		'ameln'	=>	'021000',
		'amelo'	=>	'021000',
		'amelő'	=>	'021200',
		'amels'	=>	'021000',
		'amelt'	=>	'021000',
		'amelv'	=>	'021000',
		'ameme'	=>	'021200',
		'ameng'	=>	'021000',
		'amenn'	=>	'200000',
		'amenss'	=>	'0000010',
		'amentáro'	=>	'000021200',
		'amerd'	=>	'021000',
		'amerő'	=>	'021200',
		'amesk'	=>	'020000',
		'amest'	=>	'200000',
		'amev'	=>	'02120',
		'amex'	=>	'02100',
		'amezr'	=>	'001000',
		'améhes'	=>	'0002000',
		'amék'	=>	'00020',
		'améké'	=>	'001000',
		'amélet'	=>	'0002000',
		'amép'	=>	'02100',
		'amérd'	=>	'021000',
		'amértek'	=>	'02100000',
		'amértel'	=>	'02000000',
		'amétk'	=>	'021000',
		'amévé'	=>	'021000',
		'amforá'	=>	'1000000',
		'amfr'	=>	'00100',
		'amgr'	=>	'00100',
		'amidi'	=>	'000012',
		'amig'	=>	'00020',
		'amiga'	=>	'021000',
		'amigá'	=>	'021000',
		'amigé'	=>	'021000',
		'amimá'	=>	'020000',
		'amimi'	=>	'001000',
		'amimp'	=>	'001000',
		'aminan'	=>	'0002000',
		'aminin'	=>	'0002000',
		'aminté'	=>	'0210000',
		'amió'	=>	'00002',
		'amirá'	=>	'021000',
		'amiro'	=>	'021000',
		'amise'	=>	'000002',
		'amisel'	=>	'0002000',
		'amisep'	=>	'0002000',
		'amisz'	=>	'000200',
		'amitbo'	=>	'1000000',
		'amitha'	=>	'1200000',
		'amitm'	=>	'120000',
		'amitö'	=>	'120000',
		'amitro'	=>	'1000000',
		'amitrú'	=>	'1000000',
		'amits'	=>	'120000',
		'amittá'	=>	'1200000',
		'amittö'	=>	'1200000',
		'amíg'	=>	'02000',
		'amkl'	=>	'00100',
		'amkr'	=>	'00100',
		'ammeg'	=>	'000020',
		'ammegy'	=>	'0021000',
		'ammeta'	=>	'0020000',
		'ammét'	=>	'002120',
		'amod'	=>	'20000',
		'amoke'	=>	'021000',
		'amokm'	=>	'021000',
		'amokoz'	=>	'0212000',
		'amola'	=>	'001000',
		'amold'	=>	'021000',
		'amoltá'	=>	'0210000',
		'amop'	=>	'02100',
		'amors'	=>	'021000',
		'amort'	=>	'120000',
		'amorv'	=>	'021000',
		'amos'	=>	'20000',
		'amoss'	=>	'000030',
		'amot'	=>	'20000',
		'amoz'	=>	'20000',
		'amóri'	=>	'001200',
		'amör'	=>	'00120',
		'amös'	=>	'00100',
		'amöt'	=>	'00100',
		'amöz'	=>	'00120',
		'amőr'	=>	'00120',
		'amős'	=>	'00100',
		'ampla'	=>	'001000',
		'ampr'	=>	'00120',
		'amput'	=>	'100000',
		'amsk'	=>	'00100',
		'amsp'	=>	'00100',
		'amsr'	=>	'00100',
		'amst'	=>	'00100',
		'amtr'	=>	'00120',
		'amun'	=>	'20000',
		'amuni'	=>	'020000',
		'amuriz'	=>	'0002000',
		'amusl'	=>	'000100',
		'amutas'	=>	'0212000',
		'amúj'	=>	'02100',
		'amüg'	=>	'00100',
		'amül'	=>	'00120',
		'amüt'	=>	'00100',
		'amüz'	=>	'00100',
		'anad'	=>	'20000',
		'anadat'	=>	'0212000',
		'anadu'	=>	'021000',
		'anaga'	=>	'021000',
		'anagá'	=>	'021000',
		'anagya'	=>	'0012000',
		'anah'	=>	'02100',
		'anai'	=>	'20000',
		'anakr'	=>	'120000',
		'analap'	=>	'0002000',
		'analí'	=>	'100000',
		'analk'	=>	'001000',
		'analm'	=>	'001000',
		'analó'	=>	'120000',
		'anamo'	=>	'001200',
		'anana'	=>	'021000',
		'ananá'	=>	'120000',
		'anann'	=>	'001000',
		'anany'	=>	'001200',
		'anap'	=>	'20000',
		'anapa'	=>	'000202',
		'anapá'	=>	'021000',
		'anapó'	=>	'021200',
		'anappo'	=>	'0010000',
		'anarab'	=>	'0012000',
		'anará'	=>	'001200',
		'anarc'	=>	'020000',
		'anasze'	=>	'0002012',
		'anaszén'	=>	'00020000',
		'anaszin'	=>	'00020000',
		'anaszí'	=>	'0002012',
		'anaszó'	=>	'0002000',
		'anaszü'	=>	'0002000',
		'anate'	=>	'000210',
		'anatö'	=>	'000200',
		'anav'	=>	'20000',
		'anava'	=>	'021200',
		'anaz'	=>	'02100',
		'anág'	=>	'02100',
		'análmi'	=>	'0210000',
		'análom'	=>	'0212000',
		'anáp'	=>	'02120',
		'anásat'	=>	'0200000',
		'anát'	=>	'20000',
		'anáta'	=>	'021000',
		'anátk'	=>	'021000',
		'anátr'	=>	'021000',
		'anbr'	=>	'00100',
		'ancau'	=>	'000030',
		'ancál'	=>	'002100',
		'ance'	=>	'00002',
		'anchit'	=>	'0023000',
		'ancho'	=>	'002000',
		'ancial'	=>	'0000200',
		'ancó'	=>	'00212',
		'ancsaj'	=>	'0020000',
		'ancsar'	=>	'0020000',
		'ancsell'	=>	'00001000',
		'ancsemb'	=>	'00001000',
		'ancsen'	=>	'0020100',
		'ancsep'	=>	'0000120',
		'ancset'	=>	'0000100',
		'ancséré'	=>	'00200000',
		'ancsill'	=>	'00201000',
		'ancsiz'	=>	'0020000',
		'ancsíz'	=>	'0020120',
		'ancsor'	=>	'0020100',
		'ancsö'	=>	'002000',
		'ancső'	=>	'000002',
		'ancst'	=>	'000010',
		'ancsut'	=>	'0020000',
		'ancsü'	=>	'002010',
		'andalk'	=>	'0021000',
		'andas'	=>	'000010',
		'andatl'	=>	'0001000',
		'andele'	=>	'0001200',
		'andelk'	=>	'0001000',
		'andelő'	=>	'0021000',
		'andels'	=>	'0001000',
		'anderd'	=>	'0020000',
		'andes'	=>	'002100',
		'andez'	=>	'100000',
		'andél'	=>	'002000',
		'andil'	=>	'002000',
		'andö'	=>	'00210',
		'andő'	=>	'00212',
		'andús'	=>	'002000',
		'andün'	=>	'002000',
		'andű'	=>	'00200',
		'andy'	=>	'00100',
		'andzá'	=>	'002000',
		'aneb'	=>	'02100',
		'anedd'	=>	'001000',
		'anegé'	=>	'001200',
		'anekd'	=>	'120000',
		'anela'	=>	'000200',
		'anelá'	=>	'000210',
		'anelel'	=>	'0002120',
		'anelemb'	=>	'00021000',
		'anelél'	=>	'0002000',
		'anelő'	=>	'000200',
		'anem'	=>	'20000',
		'anemu'	=>	'001000',
		'anere'	=>	'001200',
		'anern'	=>	'001000',
		'anerr'	=>	'001000',
		'aneu'	=>	'20000',
		'anev'	=>	'20000',
		'anex'	=>	'02100',
		'anez'	=>	'00020',
		'aneze'	=>	'021000',
		'anezé'	=>	'001000',
		'anezt'	=>	'001000',
		'anezz'	=>	'001000',
		'anéké'	=>	'021200',
		'anéle'	=>	'021000',
		'anépí'	=>	'001000',
		'anéri'	=>	'021000',
		'anérv'	=>	'021000',
		'anétk'	=>	'021000',
		'anétt'	=>	'021000',
		'anévc'	=>	'021000',
		'anévem'	=>	'0010000',
		'anéves'	=>	'0010000',
		'anévet'	=>	'0010000',
		'anévéb'	=>	'0002000',
		'anévén'	=>	'0002000',
		'anévét'	=>	'0002000',
		'anévév'	=>	'0002000',
		'anévha'	=>	'0010000',
		'anévig'	=>	'0002000',
		'anévke'	=>	'0010000',
		'anévkö'	=>	'0010000',
		'anévü'	=>	'021000',
		'anévz'	=>	'020000',
		'anfélév'	=>	'00002120',
		'anfl'	=>	'00100',
		'anfr'	=>	'00120',
		'angad'	=>	'000020',
		'angada'	=>	'0021000',
		'angado'	=>	'0021000',
		'angala'	=>	'0021000',
		'angara'	=>	'0021200',
		'angass'	=>	'0021000',
		'angazo'	=>	'0001000',
		'angác'	=>	'002100',
		'angáll'	=>	'0021000',
		'angárad'	=>	'00000120',
		'angáta'	=>	'0001000',
		'angátj'	=>	'0021000',
		'angátt'	=>	'0021000',
		'anged'	=>	'002100',
		'angeg'	=>	'002100',
		'angelf'	=>	'0021000',
		'angelh'	=>	'0021000',
		'angelj'	=>	'0021000',
		'angell'	=>	'0021000',
		'angeln'	=>	'0021000',
		'angelő'	=>	'0021000',
		'angelt'	=>	'0021000',
		'angelv'	=>	'0021000',
		'angem'	=>	'002000',
		'angemb'	=>	'0001000',
		'angeng'	=>	'0001000',
		'anger'	=>	'002120',
		'angese'	=>	'0001000',
		'angéle'	=>	'0001000',
		'angélv'	=>	'0001000',
		'angéne'	=>	'0021200',
		'angérő'	=>	'0001000',
		'angés'	=>	'002100',
		'angim'	=>	'002000',
		'angiz'	=>	'002000',
		'angí'	=>	'00200',
		'angosz'	=>	'0021000',
		'angóri'	=>	'0021000',
		'angöl'	=>	'002100',
		'angös'	=>	'002100',
		'angő'	=>	'00212',
		'angsz'	=>	'000100',
		'angü'	=>	'00200',
		'angű'	=>	'00200',
		'angye'	=>	'000002',
		'angyel'	=>	'0000100',
		'angyék'	=>	'0020000',
		'anide'	=>	'001000',
		'anig'	=>	'00020',
		'aniga'	=>	'021000',
		'anigé'	=>	'021000',
		'aniko'	=>	'021200',
		'anind'	=>	'001000',
		'aninf'	=>	'021000',
		'anion'	=>	'001200',
		'anip'	=>	'20000',
		'anipa'	=>	'021200',
		'anirá'	=>	'001200',
		'aniro'	=>	'021000',
		'anisi'	=>	'021000',
		'anisk'	=>	'021000',
		'anism'	=>	'021000',
		'anita'	=>	'020000',
		'anitt'	=>	'001000',
		'aníg'	=>	'02100',
		'aníj'	=>	'02100',
		'anív'	=>	'20000',
		'aníz'	=>	'02100',
		'ankabl'	=>	'0001000',
		'ankaj'	=>	'002000',
		'ankak'	=>	'002120',
		'ankale'	=>	'0001000',
		'ankan'	=>	'002120',
		'ankarc'	=>	'0001000',
		'ankari'	=>	'0001000',
		'ankatl'	=>	'0021000',
		'ankau'	=>	'002100',
		'ankaz'	=>	'002000',
		'ankál'	=>	'002100',
		'ankeg'	=>	'002120',
		'ankek'	=>	'002100',
		'ankel'	=>	'002120',
		'ankem'	=>	'002120',
		'ankereit'	=>	'002120000',
		'ankerj'	=>	'0021000',
		'ankes'	=>	'002100',
		'ankérde'	=>	'00010000',
		'ankérem'	=>	'00010000',
		'ankérte'	=>	'00200000',
		'ankérté'	=>	'00210000',
		'ankid'	=>	'002120',
		'ankip'	=>	'002120',
		'anklu'	=>	'001000',
		'ankold'	=>	'0021000',
		'ankoszt'	=>	'00010000',
		'ankörömb'	=>	'002120000',
		'ankös'	=>	'002000',
		'anköv'	=>	'002120',
		'ankőr'	=>	'002000',
		'ankt'	=>	'00012',
		'ankü'	=>	'00210',
		'annye'	=>	'003000',
		'annyo'	=>	'003000',
		'anoj'	=>	'02100',
		'anokta'	=>	'0210000',
		'anold'	=>	'021000',
		'anomá'	=>	'120000',
		'anor'	=>	'20000',
		'anoro'	=>	'021200',
		'anorr'	=>	'021000',
		'anors'	=>	'021000',
		'anos'	=>	'20000',
		'anott'	=>	'021000',
		'anódd'	=>	'020000',
		'anódo'	=>	'020000',
		'anóg'	=>	'00012',
		'anóni'	=>	'021000',
		'anóno'	=>	'021000',
		'anórá'	=>	'021200',
		'anóri'	=>	'001000',
		'anöl'	=>	'02100',
		'anön'	=>	'02100',
		'anör'	=>	'02100',
		'anös'	=>	'02100',
		'anöt'	=>	'02120',
		'anpl'	=>	'00100',
		'anpr'	=>	'00100',
		'ansel'	=>	'002120',
		'anska'	=>	'001000',
		'ansö'	=>	'00200',
		'ansp'	=>	'00120',
		'anssze'	=>	'0003000',
		'ansta'	=>	'001000',
		'anszal'	=>	'0020000',
		'anszábó'	=>	'00201200',
		'anszáh'	=>	'0020120',
		'anszár'	=>	'0020000',
		'anszes'	=>	'0000100',
		'anszél'	=>	'0020000',
		'anszén'	=>	'0020100',
		'anszép'	=>	'0020120',
		'anszil'	=>	'0020000',
		'anszin'	=>	'0020000',
		'anszó'	=>	'002000',
		'anszt'	=>	'000012',
		'anszül'	=>	'0000120',
		'antabl'	=>	'0021000',
		'antaga'	=>	'0001000',
		'anteg'	=>	'002100',
		'anten'	=>	'100000',
		'antese'	=>	'0021200',
		'antesz'	=>	'0001000',
		'antillát'	=>	'000010000',
		'anting'	=>	'0021000',
		'antre'	=>	'001200',
		'anud'	=>	'02100',
		'anug'	=>	'02100',
		'anuj'	=>	'02100',
		'anuk'	=>	'20000',
		'anur'	=>	'02120',
		'anuszi'	=>	'0002000',
		'anut'	=>	'02120',
		'anúg'	=>	'02100',
		'anüg'	=>	'00120',
		'anül'	=>	'00020',
		'anülő'	=>	'021000',
		'anüz'	=>	'00120',
		'anűr'	=>	'00100',
		'anűz'	=>	'00100',
		'anyadó'	=>	'0001200',
		'anyagárr'	=>	'000001000',
		'anyagb'	=>	'1000000',
		'anyagé'	=>	'1200000',
		'anyagg'	=>	'0000010',
		'anyagh'	=>	'1000000',
		'anyagk'	=>	'1000000',
		'anyagm'	=>	'1000000',
		'anyagr'	=>	'1000000',
		'anyagt'	=>	'1000000',
		'anyagú'	=>	'1000000',
		'anyakad'	=>	'02000000',
		'anyakas'	=>	'02012000',
		'anyalk'	=>	'0201000',
		'anyall'	=>	'0201000',
		'anyass'	=>	'0201000',
		'anyaszt'	=>	'00010000',
		'anyatom'	=>	'02012000',
		'anyaz'	=>	'020000',
		'anyádt'	=>	'1000000',
		'anyáék'	=>	'1000000',
		'anyálo'	=>	'0001000',
		'anyárá'	=>	'0201000',
		'anyárb'	=>	'0201000',
		'anyárf'	=>	'0201000',
		'anyárk'	=>	'0001000',
		'anyárn'	=>	'0201000',
		'anyáro'	=>	'0201200',
		'anyárr'	=>	'0201000',
		'anyász'	=>	'0001200',
		'anyd'	=>	'00010',
		'anye'	=>	'20000',
		'anyec'	=>	'020120',
		'anyed'	=>	'020100',
		'anyeg'	=>	'020000',
		'anyegé'	=>	'0001000',
		'anyegy'	=>	'0001000',
		'anyek'	=>	'020120',
		'anyela'	=>	'0200000',
		'anyeleme'	=>	'000020000',
		'anyelev'	=>	'00010000',
		'anyell'	=>	'0201000',
		'anyelo'	=>	'0201000',
		'anyem'	=>	'020100',
		'anyen'	=>	'020100',
		'anyerei'	=>	'00012000',
		'anyeret'	=>	'00012000',
		'anyerén'	=>	'00012000',
		'anyerér'	=>	'00012000',
		'anyerét'	=>	'00012000',
		'anyerév'	=>	'00012000',
		'anyerőm'	=>	'00012000',
		'anyerőr'	=>	'00012000',
		'anyerőt'	=>	'00012000',
		'anyég'	=>	'020100',
		'anyéhe'	=>	'0200000',
		'anyéj'	=>	'020120',
		'anyék'	=>	'020100',
		'anyélv'	=>	'0001000',
		'anyérb'	=>	'0201000',
		'anyérc'	=>	'0201000',
		'anyérd'	=>	'0201000',
		'anyére'	=>	'0201000',
		'anyérg'	=>	'0201000',
		'anyérh'	=>	'0201000',
		'anyéri'	=>	'0201200',
		'anyérk'	=>	'0201000',
		'anyérm'	=>	'0201000',
		'anyérn'	=>	'0201000',
		'anyérő'	=>	'0200000',
		'anyérp'	=>	'0201000',
		'anyérr'	=>	'0201000',
		'anyérs'	=>	'0201000',
		'anyérte'	=>	'02010000',
		'anyérté'	=>	'02000000',
		'anyértő'	=>	'02010000',
		'anyérv'	=>	'0201000',
		'anyéve'	=>	'0200000',
		'anyévé'	=>	'0200000',
		'anyhajón'	=>	'000002100',
		'anyhajór'	=>	'000002120',
		'anyi'	=>	'20000',
		'anyigaz'	=>	'00000001',
		'anying'	=>	'0001000',
		'anyio'	=>	'020100',
		'anyí'	=>	'20000',
		'anyo'	=>	'20000',
		'anyold'	=>	'0001000',
		'anyor'	=>	'020120',
		'anyórá'	=>	'0001000',
		'anyök'	=>	'000100',
		'anyör'	=>	'000120',
		'anyöz'	=>	'000100',
		'anyő'	=>	'02012',
		'anys'	=>	'00010',
		'anyt'	=>	'00002',
		'anytr'	=>	'000100',
		'anyur'	=>	'020000',
		'anyú'	=>	'20000',
		'anyü'	=>	'20000',
		'anyül'	=>	'000100',
		'ao'	=>	'010',
		'aoáz'	=>	'00200',
		'aobe'	=>	'00200',
		'aocs'	=>	'00200',
		'aoda'	=>	'00200',
		'aodú'	=>	'00200',
		'aoka'	=>	'00200',
		'aoká'	=>	'00200',
		'aola'	=>	'00200',
		'aolajad'	=>	'00000020',
		'aolajada'	=>	'000021000',
		'aomo'	=>	'00200',
		'aopá'	=>	'00200',
		'aope'	=>	'00200',
		'aora'	=>	'00200',
		'aoro'	=>	'00200',
		'aoso'	=>	'00200',
		'aout'	=>	'00200',
		'aove'	=>	'00200',
		'aovi'	=>	'00200',
		'aoxi'	=>	'00200',
		'aó'	=>	'010',
		'aóár'	=>	'00020',
		'aóbar'	=>	'020000',
		'aóbá'	=>	'02000',
		'aóbi'	=>	'02000',
		'aóbo'	=>	'02000',
		'aóce'	=>	'00200',
		'aódá'	=>	'00200',
		'aódi'	=>	'02000',
		'aófá'	=>	'02000',
		'aófe'	=>	'02000',
		'aófo'	=>	'02000',
		'aófő'	=>	'02000',
		'aófü'	=>	'02000',
		'aóhé'	=>	'02000',
		'aóhi'	=>	'02000',
		'aóhü'	=>	'02000',
		'aóil'	=>	'02000',
		'aóis'	=>	'02000',
		'aóiv'	=>	'02020',
		'aóká'	=>	'02000',
		'aóke'	=>	'02000',
		'aókré'	=>	'001000',
		'aóku'	=>	'02000',
		'aóla'	=>	'00200',
		'aóle'	=>	'02000',
		'aólé'	=>	'02000',
		'aóli'	=>	'02000',
		'aólo'	=>	'00200',
		'aólu'	=>	'00200',
		'aómag'	=>	'020000',
		'aómar'	=>	'020000',
		'aómas'	=>	'020000',
		'aóme'	=>	'02000',
		'aómi'	=>	'02000',
		'aómo'	=>	'02000',
		'aóné'	=>	'02000',
		'aónö'	=>	'02000',
		'aónő'	=>	'02000',
		'aórá'	=>	'00200',
		'aóré'	=>	'02000',
		'aóri'	=>	'00200',
		'aósí'	=>	'02000',
		'aósű'	=>	'02000',
		'aóta'	=>	'02000',
		'aóte'	=>	'02000',
		'aóté'	=>	'02000',
		'aóvo'	=>	'00200',
		'aóvó'	=>	'00200',
		'aö'	=>	'010',
		'aöbö'	=>	'00200',
		'aöcs'	=>	'00200',
		'aödé'	=>	'00200',
		'aöko'	=>	'00200',
		'aökö'	=>	'00200',
		'aöle'	=>	'00200',
		'aölé'	=>	'00200',
		'aölő'	=>	'00200',
		'aöná'	=>	'00200',
		'aörö'	=>	'00200',
		'aöve'	=>	'00200',
		'aövi'	=>	'00200',
		'aövö'	=>	'00200',
		'aözö'	=>	'00200',
		'aő'	=>	'010',
		'aőre'	=>	'00200',
		'aőré'	=>	'00200',
		'aőri'	=>	'00200',
		'aőrö'	=>	'00200',
		'aőrü'	=>	'00200',
		'aőse'	=>	'00200',
		'aősö'	=>	'00200',
		'aősz'	=>	'00200',
		'apacsav'	=>	'00020120',
		'apacsi'	=>	'0002010',
		'apada'	=>	'021200',
		'apaga'	=>	'021000',
		'apajá'	=>	'021000',
		'apakc'	=>	'021000',
		'apal'	=>	'20000',
		'apalag'	=>	'0002000',
		'apalak'	=>	'0002000',
		'apalb'	=>	'021000',
		'apalj'	=>	'021000',
		'apalt'	=>	'021000',
		'apamas'	=>	'0002000',
		'apant'	=>	'021000',
		'apap'	=>	'20000',
		'apapán'	=>	'0002000',
		'aparán'	=>	'0012000',
		'apasá'	=>	'100000',
		'apasp'	=>	'021000',
		'apatad'	=>	'0002000',
		'apatala'	=>	'00021000',
		'apatan'	=>	'0000020',
		'apatas'	=>	'0002100',
		'apatál'	=>	'0002000',
		'apatö'	=>	'000210',
		'apaut'	=>	'001000',
		'apav'	=>	'20000',
		'apava'	=>	'020000',
		'apazo'	=>	'001200',
		'apájú'	=>	'020000',
		'apállap'	=>	'00100000',
		'apállá'	=>	'0210000',
		'apállo'	=>	'0210000',
		'apánn'	=>	'000010',
		'apárad'	=>	'0212000',
		'apárai'	=>	'0012000',
		'apárak'	=>	'0212000',
		'apáram'	=>	'0012000',
		'apáras'	=>	'0012000',
		'apárat'	=>	'0012000',
		'apáráé'	=>	'0002000',
		'apáráh'	=>	'0002000',
		'apárán'	=>	'0002000',
		'apárár'	=>	'0002000',
		'apáráv'	=>	'0002000',
		'apárba'	=>	'0000002',
		'apáre'	=>	'021000',
		'apáré'	=>	'021200',
		'apárf'	=>	'021000',
		'apárka'	=>	'0010000',
		'apárko'	=>	'0010000',
		'apárny'	=>	'0210000',
		'apártó'	=>	'0010000',
		'apáru'	=>	'021000',
		'apárú'	=>	'021200',
		'apáská'	=>	'0000002',
		'apátúr'	=>	'0002000',
		'apáu'	=>	'12000',
		'apbl'	=>	'00100',
		'apdr'	=>	'00100',
		'apedé'	=>	'001200',
		'apeg'	=>	'02120',
		'apela'	=>	'001210',
		'apelb'	=>	'001000',
		'apelé'	=>	'001200',
		'apelf'	=>	'021000',
		'apelg'	=>	'001000',
		'apelh'	=>	'021000',
		'apelj'	=>	'001000',
		'apelk'	=>	'001000',
		'apell'	=>	'020000',
		'apelm'	=>	'001000',
		'apeln'	=>	'001000',
		'apelo'	=>	'001000',
		'apelő'	=>	'001200',
		'apelr'	=>	'001000',
		'apelt'	=>	'021000',
		'apelv'	=>	'021000',
		'apem'	=>	'00020',
		'apemb'	=>	'001000',
		'apeme'	=>	'001000',
		'apene'	=>	'001000',
		'apeni'	=>	'001000',
		'apeny'	=>	'001200',
		'aperő'	=>	'001200',
		'apes'	=>	'00020',
		'apese'	=>	'001000',
		'apesé'	=>	'001000',
		'apeső'	=>	'001000',
		'apev'	=>	'02120',
		'apex'	=>	'02100',
		'apéhe'	=>	'021200',
		'apéje'	=>	'021000',
		'apéle'	=>	'021200',
		'apéll'	=>	'021000',
		'apélm'	=>	'001000',
		'apéne'	=>	'021200',
		'apépü'	=>	'001000',
		'apészl'	=>	'0010000',
		'apéte'	=>	'021000',
		'apéve'	=>	'021000',
		'apfl'	=>	'00100',
		'apfr'	=>	'00120',
		'apgr'	=>	'00100',
		'apide'	=>	'021000',
		'apidé'	=>	'020000',
		'apigaz'	=>	'0000001',
		'apiko'	=>	'001200',
		'apikr'	=>	'001000',
		'apinár'	=>	'0212000',
		'apind'	=>	'001000',
		'apinj'	=>	'001000',
		'apins'	=>	'021000',
		'apirat'	=>	'0012000',
		'apirá'	=>	'021200',
		'apirk'	=>	'021000',
		'apism'	=>	'021000',
		'apíg'	=>	'02100',
		'apín'	=>	'02100',
		'apíté'	=>	'020000',
		'apív'	=>	'00100',
		'apíz'	=>	'02100',
		'apkl'	=>	'00100',
		'apkr'	=>	'00100',
		'apkv'	=>	'00100',
		'aplaz'	=>	'002000',
		'apléd'	=>	'002000',
		'apmeg'	=>	'000001',
		'apmű'	=>	'00001',
		'apműt'	=>	'000002',
		'apob'	=>	'02100',
		'apolaj'	=>	'0012000',
		'apoltár'	=>	'00100000',
		'apopc'	=>	'001000',
		'apope'	=>	'001000',
		'apopt'	=>	'001000',
		'aporad'	=>	'0002000',
		'aporcá'	=>	'0010000',
		'aporsó'	=>	'0010000',
		'aportő'	=>	'0000212',
		'apotál'	=>	'0002100',
		'apov'	=>	'02100',
		'apóká'	=>	'120000',
		'apólo'	=>	'001000',
		'apóri'	=>	'001000',
		'apöb'	=>	'02100',
		'apöl'	=>	'00100',
		'apön'	=>	'00100',
		'apörv'	=>	'001000',
		'apös'	=>	'02100',
		'apöv'	=>	'00100',
		'apöz'	=>	'02120',
		'apőr'	=>	'00120',
		'appará'	=>	'1000000',
		'appárn'	=>	'0021000',
		'apph'	=>	'00100',
		'apping'	=>	'0001000',
		'appla'	=>	'001000',
		'appri'	=>	'001000',
		'appró'	=>	'001000',
		'apps'	=>	'00120',
		'appy'	=>	'00100',
		'apres'	=>	'002000',
		'apréd'	=>	'002000',
		'aprém'	=>	'012000',
		'aprím'	=>	'012000',
		'apro'	=>	'20000',
		'aproc'	=>	'002000',
		'aprod'	=>	'012000',
		'apród'	=>	'100000',
		'aprózó'	=>	'1000000',
		'apsikon'	=>	'00212000',
		'apsíz'	=>	'002000',
		'apsork'	=>	'0001000',
		'apszert'	=>	'00001000',
		'apszf'	=>	'001000',
		'apszt'	=>	'000020',
		'aptárad'	=>	'00000020',
		'aptárada'	=>	'000021000',
		'aptr'	=>	'00120',
		'apuá'	=>	'00002',
		'apudv'	=>	'021000',
		'apup'	=>	'00012',
		'apuss'	=>	'000030',
		'aputas'	=>	'0212000',
		'apután'	=>	'0210000',
		'aputc'	=>	'020000',
		'apúj'	=>	'02100',
		'apüd'	=>	'02100',
		'apüg'	=>	'02100',
		'apül'	=>	'02120',
		'apün'	=>	'02100',
		'apüt'	=>	'02100',
		'apüv'	=>	'02100',
		'apüz'	=>	'02100',
		'apűr'	=>	'00100',
		'apwh'	=>	'00100',
		'arabár'	=>	'0002100',
		'arabí'	=>	'000212',
		'arabla'	=>	'0010000',
		'arad'	=>	'20000',
		'aradata'	=>	'00120000',
		'aradato'	=>	'00120000',
		'aradatr'	=>	'00120000',
		'arag'	=>	'20000',
		'arage'	=>	'000210',
		'araj'	=>	'20000',
		'arajkáró'	=>	'001000000',
		'arak'	=>	'20000',
		'arakol'	=>	'0212000',
		'arakóh'	=>	'0002000',
		'arakói'	=>	'0002000',
		'arakós'	=>	'0002000',
		'arakót'	=>	'0002000',
		'aralk'	=>	'001000',
		'aralm'	=>	'021000',
		'arana'	=>	'021000',
		'arann'	=>	'120000',
		'aranyagá'	=>	'000001200',
		'aranyal'	=>	'00020000',
		'aranyb'	=>	'1000000',
		'aranyh'	=>	'1000000',
		'aranyí'	=>	'0002000',
		'aranyk'	=>	'1000000',
		'aranyn'	=>	'1000000',
		'aranyr'	=>	'1000000',
		'aranys'	=>	'1000000',
		'ararc'	=>	'001000',
		'araszte'	=>	'00000210',
		'araszú'	=>	'0010000',
		'aratal'	=>	'0002000',
		'aratel'	=>	'0002000',
		'aratin'	=>	'0002000',
		'aratő'	=>	'000212',
		'aratű'	=>	'000002',
		'aratűr'	=>	'0002000',
		'araul'	=>	'001000',
		'aravasz'	=>	'00000001',
		'araw'	=>	'12000',
		'arazon'	=>	'0002000',
		'arác'	=>	'20000',
		'arácsi'	=>	'0212000',
		'arácsom'	=>	'02000000',
		'arágai'	=>	'0212000',
		'arágak'	=>	'0212000',
		'arágan'	=>	'0200000',
		'arágat'	=>	'0212000',
		'arágáb'	=>	'0002000',
		'arágáh'	=>	'0002000',
		'arágán'	=>	'0002000',
		'arágár'	=>	'0002000',
		'arágát'	=>	'0002000',
		'arágáv'	=>	'0002000',
		'arágb'	=>	'021000',
		'aráge'	=>	'021000',
		'arágé'	=>	'021200',
		'arágf'	=>	'021000',
		'arágg'	=>	'021000',
		'arágh'	=>	'021000',
		'arági'	=>	'021200',
		'arágk'	=>	'021000',
		'arágl'	=>	'021000',
		'arágon'	=>	'0002000',
		'arágr'	=>	'021000',
		'arágs'	=>	'021000',
		'arágt'	=>	'021000',
		'aráguk'	=>	'0212000',
		'arágun'	=>	'0212000',
		'arágú'	=>	'021200',
		'arágy'	=>	'021200',
		'arálc'	=>	'001000',
		'arállá'	=>	'0210000',
		'arállo'	=>	'0210000',
		'arám'	=>	'20000',
		'aráme'	=>	'000212',
		'aránye'	=>	'0002000',
		'arárak'	=>	'0212000',
		'arárá'	=>	'021200',
		'arárk'	=>	'021000',
		'arárr'	=>	'021000',
		'aráru'	=>	'001200',
		'arárú'	=>	'001000',
		'arárv'	=>	'001000',
		'arásze'	=>	'0002000',
		'arászoki'	=>	'021200000',
		'arátal'	=>	'0002000',
		'arátö'	=>	'000210',
		'arázs'	=>	'000040',
		'arázsál'	=>	'00020000',
		'arázsi'	=>	'0000002',
		'arázsz'	=>	'0000030',
		'arcad'	=>	'002120',
		'arcagy'	=>	'0001000',
		'arcala'	=>	'0001000',
		'arcan'	=>	'000020',
		'arcany'	=>	'0001000',
		'arcar'	=>	'002000',
		'arcat'	=>	'002000',
		'arceg'	=>	'002000',
		'arces'	=>	'002100',
		'arcev'	=>	'002000',
		'arcéh'	=>	'002120',
		'arcélb'	=>	'0001000',
		'arcéll'	=>	'0001000',
		'arcélt'	=>	'0001000',
		'arcén'	=>	'002120',
		'arcés'	=>	'002000',
		'archí'	=>	'100000',
		'arcing'	=>	'0001000',
		'arcint'	=>	'0021000',
		'arciz'	=>	'002000',
		'arcoláss'	=>	'000000010',
		'arcó'	=>	'00200',
		'arcő'	=>	'00200',
		'arcsala'	=>	'00001000',
		'arcsál'	=>	'0020000',
		'arcsere'	=>	'00030000',
		'arcsip'	=>	'0020000',
		'arcsor'	=>	'0023000',
		'arcü'	=>	'00200',
		'arcű'	=>	'00200',
		'ardacé'	=>	'0001000',
		'ardalj'	=>	'0021000',
		'ardáll'	=>	'0021000',
		'ardel'	=>	'000020',
		'ardele'	=>	'0001000',
		'ardelő'	=>	'0001000',
		'ardelt'	=>	'0001000',
		'ardem'	=>	'002120',
		'ardél'	=>	'002120',
		'ardina'	=>	'0021000',
		'arding'	=>	'0021000',
		'ardor'	=>	'002000',
		'ardö'	=>	'00200',
		'ardur'	=>	'002100',
		'ardü'	=>	'00200',
		'aredz'	=>	'021200',
		'aregés'	=>	'0010000',
		'aregy'	=>	'021200',
		'arei'	=>	'00020',
		'areil'	=>	'000002',
		'arele'	=>	'021200',
		'arelh'	=>	'001000',
		'arelm'	=>	'001000',
		'areln'	=>	'001000',
		'arelr'	=>	'001000',
		'arelt'	=>	'001000',
		'arelü'	=>	'001000',
		'arelű'	=>	'001000',
		'arelv'	=>	'001000',
		'aremb'	=>	'021000',
		'aremel'	=>	'0010000',
		'aremés'	=>	'0012000',
		'aremu'	=>	'020000',
		'arer'	=>	'02120',
		'arese'	=>	'001200',
		'areső'	=>	'001200',
		'areszek'	=>	'02100000',
		'areszé'	=>	'0210000',
		'areszü'	=>	'0210000',
		'aretű'	=>	'001000',
		'areve'	=>	'001200',
		'arevé'	=>	'001200',
		'arew'	=>	'02000',
		'aréé'	=>	'00002',
		'arége'	=>	'001200',
		'arékal'	=>	'0002120',
		'arékek'	=>	'0002000',
		'arélt'	=>	'001000',
		'arém'	=>	'20000',
		'arének'	=>	'0002000',
		'arép'	=>	'00010',
		'arépü'	=>	'021000',
		'aréri'	=>	'021200',
		'arérő'	=>	'021000',
		'arészj'	=>	'0010000',
		'arésztá'	=>	'00010200',
		'arétra'	=>	'0001000',
		'arfr'	=>	'00120',
		'argha'	=>	'001000',
		'aria'	=>	'20000',
		'aride'	=>	'001200',
		'aridé'	=>	'020000',
		'ariga'	=>	'021200',
		'arimád'	=>	'0200000',
		'arimi'	=>	'001200',
		'arinaké'	=>	'02120000',
		'arinas'	=>	'0212000',
		'arinat'	=>	'0212000',
		'arináb'	=>	'0212000',
		'arináh'	=>	'0212000',
		'arinán'	=>	'0212000',
		'arinár'	=>	'0212000',
		'arinát'	=>	'0212000',
		'arináv'	=>	'0212000',
		'aringé'	=>	'0210000',
		'arinit'	=>	'0002000',
		'arink'	=>	'000002',
		'arinté'	=>	'0210000',
		'arinü'	=>	'000200',
		'ariono'	=>	'0012000',
		'arión'	=>	'021200',
		'arip'	=>	'20000',
		'arisp'	=>	'021000',
		'ariste'	=>	'0210000',
		'ariszf'	=>	'0001000',
		'ariz'	=>	'20000',
		'arizom'	=>	'0002000',
		'aríté'	=>	'001200',
		'arjáz'	=>	'002100',
		'arjer'	=>	'002100',
		'arkass'	=>	'0000030',
		'arkáp'	=>	'000020',
		'arkás'	=>	'000020',
		'arkeg'	=>	'002100',
		'arkelá'	=>	'0001000',
		'arkéj'	=>	'002000',
		'arképü'	=>	'0020000',
		'arkérd'	=>	'0021000',
		'arkiont'	=>	'00212000',
		'arkiz'	=>	'002000',
		'arkorm'	=>	'0021000',
		'arkovi'	=>	'0021000',
		'arkud'	=>	'002000',
		'arkus'	=>	'002120',
		'arles'	=>	'002000',
		'armagy'	=>	'0021200',
		'armate'	=>	'0000200',
		'armáll'	=>	'0001000',
		'armeo'	=>	'002000',
		'armes'	=>	'000020',
		'arming'	=>	'0001000',
		'armis'	=>	'002100',
		'armosz'	=>	'0021000',
		'armö'	=>	'00210',
		'armü'	=>	'00200',
		'arniss'	=>	'0000030',
		'aroka'	=>	'000002',
		'arokan'	=>	'0002000',
		'aroká'	=>	'000212',
		'aroke'	=>	'000210',
		'arokin'	=>	'0002000',
		'arolda'	=>	'0210000',
		'aromát'	=>	'1200000',
		'aromis'	=>	'0002000',
		'aropt'	=>	'021000',
		'arorg'	=>	'001000',
		'aroro'	=>	'001200',
		'arors'	=>	'001000',
		'arovi'	=>	'021000',
		'aróp'	=>	'00010',
		'arórak'	=>	'0212000',
		'aróráj'	=>	'0212000',
		'arórám'	=>	'0212000',
		'arószár'	=>	'00023000',
		'aróvár'	=>	'0002000',
		'arózd'	=>	'001000',
		'aröb'	=>	'02120',
		'arök'	=>	'02100',
		'aröl'	=>	'02120',
		'aröng'	=>	'001000',
		'arör'	=>	'02100',
		'arös'	=>	'02100',
		'aröz'	=>	'02120',
		'arőr'	=>	'00100',
		'arős'	=>	'00100',
		'arpl'	=>	'00100',
		'arpr'	=>	'00100',
		'arry'	=>	'00100',
		'arska'	=>	'001000',
		'arsrá'	=>	'001000',
		'arsta'	=>	'001000',
		'arsto'	=>	'001000',
		'arstr'	=>	'001000',
		'artabl'	=>	'0001000',
		'artalap'	=>	'00212000',
		'artanás'	=>	'00002120',
		'artaszt'	=>	'00010000',
		'artau'	=>	'002120',
		'artálla'	=>	'00210000',
		'arteg'	=>	'002120',
		'artelő'	=>	'0001200',
		'artemb'	=>	'0001000',
		'arterei'	=>	'00012000',
		'artég'	=>	'002000',
		'artél'	=>	'002120',
		'artérp'	=>	'0021000',
		'artinát'	=>	'00212000',
		'artináv'	=>	'00212000',
		'artorz'	=>	'0001000',
		'artöv'	=>	'002120',
		'artut'	=>	'002100',
		'artviss'	=>	'00000010',
		'arty'	=>	'00102',
		'aruml'	=>	'021000',
		'aruni'	=>	'020000',
		'arutas'	=>	'0002000',
		'arúj'	=>	'02100',
		'arúsz'	=>	'021000',
		'arútj'	=>	'001000',
		'arútr'	=>	'001000',
		'arüt'	=>	'02100',
		'arüz'	=>	'00100',
		'arűz'	=>	'00120',
		'arvala'	=>	'0020000',
		'arvass'	=>	'0000010',
		'arvágy'	=>	'0001000',
		'arvárh'	=>	'0021000',
		'arvári'	=>	'0021200',
		'asabl'	=>	'200000',
		'asabr'	=>	'001000',
		'asadag'	=>	'0200000',
		'asag'	=>	'00002',
		'asaga'	=>	'001000',
		'asagg'	=>	'001000',
		'asagy'	=>	'001200',
		'asaj'	=>	'20000',
		'asakar'	=>	'0212000',
		'asal'	=>	'20000',
		'asalab'	=>	'0010000',
		'asalap'	=>	'0212000',
		'asalf'	=>	'001000',
		'asalján'	=>	'02100000',
		'asalji'	=>	'0210000',
		'asalk'	=>	'021000',
		'asalm'	=>	'001000',
		'asanó'	=>	'021000',
		'asant'	=>	'021000',
		'asany'	=>	'021200',
		'asap'	=>	'20000',
		'asapr'	=>	'001000',
		'asar'	=>	'20000',
		'asaran'	=>	'0010000',
		'asará'	=>	'021200',
		'asató'	=>	'000212',
		'asaty'	=>	'001200',
		'asav'	=>	'20000',
		'asavo'	=>	'000200',
		'asác'	=>	'02120',
		'aságikr'	=>	'00021000',
		'asáll'	=>	'001000',
		'asám'	=>	'20000',
		'asárnak'	=>	'02100000',
		'asáro'	=>	'021200',
		'asárr'	=>	'021000',
		'asárt'	=>	'021000',
		'asáru'	=>	'021200',
		'asáss'	=>	'000010',
		'asásvá'	=>	'0010000',
		'asáth'	=>	'001000',
		'asáto'	=>	'200000',
		'asáv'	=>	'20000',
		'asbl'	=>	'00100',
		'asdr'	=>	'00120',
		'ased'	=>	'02120',
		'asege'	=>	'001000',
		'asegy'	=>	'021200',
		'asek'	=>	'00020',
		'aseke'	=>	'001000',
		'aseké'	=>	'001000',
		'asell'	=>	'001000',
		'asemb'	=>	'021000',
		'asen'	=>	'02120',
		'aserd'	=>	'020000',
		'aseré'	=>	'001200',
		'aserő'	=>	'001000',
		'ases'	=>	'02100',
		'aset'	=>	'00020',
		'aseti'	=>	'001000',
		'asez'	=>	'02100',
		'aséhe'	=>	'021000',
		'aséke'	=>	'021000',
		'asél'	=>	'02120',
		'asém'	=>	'20000',
		'asép'	=>	'02100',
		'asér'	=>	'20000',
		'asérb'	=>	'001000',
		'asérc'	=>	'001000',
		'asérd'	=>	'021000',
		'asés'	=>	'00012',
		'asétv'	=>	'001000',
		'aséve'	=>	'001200',
		'asfr'	=>	'00100',
		'asgl'	=>	'00100',
		'asgr'	=>	'00100',
		'aside'	=>	'001000',
		'asido'	=>	'001000',
		'asiga'	=>	'001200',
		'asigá'	=>	'001200',
		'asinj'	=>	'001000',
		'asio'	=>	'02120',
		'asiv'	=>	'20000',
		'asizé'	=>	'001000',
		'asizo'	=>	'001200',
		'asíj'	=>	'02100',
		'asík'	=>	'20000',
		'asín'	=>	'20000',
		'asír'	=>	'20000',
		'asírta'	=>	'0000002',
		'asírtal'	=>	'00002000',
		'asív'	=>	'02120',
		'asízü'	=>	'001000',
		'aská'	=>	'20000',
		'askl'	=>	'00100',
		'askosará'	=>	'000021200',
		'askosá'	=>	'0000210',
		'askoz'	=>	'002000',
		'askr'	=>	'00120',
		'asluk'	=>	'002000',
		'asmár'	=>	'002000',
		'asodr'	=>	'200000',
		'asof'	=>	'02100',
		'asokke'	=>	'0010000',
		'asokl'	=>	'001000',
		'asokos'	=>	'0010000',
		'asoks'	=>	'200000',
		'asokta'	=>	'0010000',
		'asomor'	=>	'0000100',
		'asoné'	=>	'000200',
		'asor'	=>	'20000',
		'asord'	=>	'021000',
		'asorm'	=>	'021000',
		'asosz'	=>	'001000',
		'asox'	=>	'02100',
		'asóp'	=>	'00012',
		'asórá'	=>	'001200',
		'asök'	=>	'02120',
		'asöl'	=>	'02120',
		'asörd'	=>	'001000',
		'asörv'	=>	'001000',
		'asös'	=>	'02100',
		'asöve'	=>	'001200',
		'asőr'	=>	'00100',
		'aspl'	=>	'00120',
		'aspot'	=>	'002000',
		'aspr'	=>	'00020',
		'aspu'	=>	'01200',
		'assp'	=>	'00120',
		'asszabá'	=>	'00300000',
		'asszin'	=>	'0030000',
		'asszíve'	=>	'00000200',
		'asszívek'	=>	'000010000',
		'asszívne'	=>	'000010000',
		'asszoc'	=>	'1000000',
		'asszony'	=>	'10000000',
		'asszü'	=>	'003000',
		'asszű'	=>	'003000',
		'asta'	=>	'20000',
		'astand'	=>	'0100000',
		'astá'	=>	'20000',
		'astád'	=>	'012000',
		'asti'	=>	'20000',
		'astil'	=>	'000002',
		'astim'	=>	'002000',
		'astí'	=>	'20000',
		'asto'	=>	'20000',
		'astop'	=>	'002000',
		'astr'	=>	'20000',
		'astrag'	=>	'0010000',
		'astrav'	=>	'0010000',
		'astru'	=>	'010200',
		'astú'	=>	'20000',
		'asud'	=>	'02100',
		'asug'	=>	'20000',
		'asuj'	=>	'02100',
		'asuly'	=>	'200000',
		'asur'	=>	'00020',
		'asura'	=>	'001000',
		'asurn'	=>	'001000',
		'asusz'	=>	'021200',
		'asutak'	=>	'0012000',
		'asutas'	=>	'0212000',
		'asutá'	=>	'021200',
		'asutu'	=>	'001200',
		'asús'	=>	'02120',
		'asút'	=>	'02120',
		'asúta'	=>	'000012',
		'asüd'	=>	'02100',
		'asülő'	=>	'021200',
		'asüst'	=>	'001000',
		'asüz'	=>	'02100',
		'asűz'	=>	'00100',
		'aszab'	=>	'200000',
		'aszad'	=>	'020120',
		'aszak'	=>	'200000',
		'aszakc'	=>	'0201000',
		'aszake'	=>	'0000210',
		'aszakt'	=>	'0201000',
		'aszakü'	=>	'0000210',
		'aszalk'	=>	'0201000',
		'aszaló'	=>	'1000000',
		'aszasp'	=>	'0001000',
		'aszass'	=>	'0001000',
		'aszata'	=>	'0000212',
		'aszate'	=>	'0000210',
		'aszath'	=>	'0200000',
		'aszati'	=>	'0200000',
		'aszav'	=>	'200000',
		'aszága'	=>	'0001200',
		'aszágá'	=>	'0001200',
		'aszágb'	=>	'0001000',
		'aszágg'	=>	'0001000',
		'aszági'	=>	'0001200',
		'aszágk'	=>	'0001000',
		'aszágo'	=>	'0001200',
		'aszágr'	=>	'0001000',
		'aszágt'	=>	'0001000',
		'aszálc'	=>	'0200000',
		'aszálm'	=>	'0200000',
		'aszám'	=>	'200000',
		'aszárada'	=>	'000020000',
		'aszáram'	=>	'02000000',
		'aszárnyé'	=>	'000100000',
		'aszárp'	=>	'0200000',
		'aszáta'	=>	'0200000',
		'aszáth'	=>	'0200000',
		'aszátl'	=>	'0001000',
		'aszáto'	=>	'0201200',
		'aszáts'	=>	'0001000',
		'aszed'	=>	'200000',
		'aszeg'	=>	'200000',
		'aszegész'	=>	'000000001',
		'aszeh'	=>	'000100',
		'aszek'	=>	'200000',
		'aszel'	=>	'200000',
		'aszelem'	=>	'00012000',
		'aszelj'	=>	'0001000',
		'aszemc'	=>	'2000000',
		'aszeme'	=>	'2000000',
		'aszemé'	=>	'2000000',
		'aszemp'	=>	'2000000',
		'aszemu'	=>	'0200000',
		'aszemü'	=>	'2000000',
		'aszemű'	=>	'2000000',
		'aszen'	=>	'200000',
		'aszeng'	=>	'0201000',
		'aszepi'	=>	'0001200',
		'aszere'	=>	'2000000',
		'aszerej'	=>	'02010000',
		'aszeré'	=>	'2000000',
		'aszerk'	=>	'2000000',
		'aszern'	=>	'2000000',
		'aszero'	=>	'0201000',
		'aszerő'	=>	'0200000',
		'aszerr'	=>	'2000000',
		'aszers'	=>	'2000000',
		'aszert'	=>	'2000000',
		'aszerv'	=>	'2000000',
		'aszerz'	=>	'2000000',
		'aszes'	=>	'000020',
		'aszese'	=>	'0201000',
		'aszest'	=>	'0001000',
		'aszez'	=>	'200000',
		'aszék'	=>	'200000',
		'aszékel'	=>	'00002100',
		'aszélet'	=>	'00012000',
		'aszélés'	=>	'00010000',
		'aszénég'	=>	'00002100',
		'aszénn'	=>	'0000010',
		'aszére'	=>	'0201200',
		'aszéré'	=>	'0001000',
		'aszét'	=>	'200000',
		'aszfér'	=>	'0002000',
		'aszill'	=>	'0201000',
		'aszin'	=>	'200000',
		'aszinf'	=>	'0201000',
		'aszing'	=>	'0001000',
		'aszir'	=>	'200000',
		'aszism'	=>	'0201000',
		'aszist'	=>	'0001000',
		'asziv'	=>	'200000',
		'asziz'	=>	'020100',
		'aszí'	=>	'20000',
		'aszír'	=>	'020100',
		'aszívi'	=>	'0001200',
		'aszkarc'	=>	'00020000',
		'aszkáp'	=>	'0002100',
		'aszkell'	=>	'00020000',
		'aszkes'	=>	'0002000',
		'aszob'	=>	'200000',
		'aszoc'	=>	'200000',
		'aszof'	=>	'200000',
		'aszonn'	=>	'0000010',
		'aszono'	=>	'0000210',
		'aszorr'	=>	'0201000',
		'aszors'	=>	'0001000',
		'aszosz'	=>	'0201000',
		'aszóa'	=>	'100000',
		'aszódá'	=>	'0001200',
		'aszót'	=>	'200000',
		'aszök'	=>	'200000',
		'aszölt'	=>	'0001000',
		'aszön'	=>	'020100',
		'aször'	=>	'200000',
		'aszöss'	=>	'0001000',
		'aszöt'	=>	'020000',
		'aszöv'	=>	'200000',
		'asző'	=>	'20000',
		'aszőlőé'	=>	'00000002',
		'aszsu'	=>	'000300',
		'asztab'	=>	'0002000',
		'asztapo'	=>	'00021000',
		'asztác'	=>	'0002000',
		'asztáll'	=>	'00020000',
		'asztemb'	=>	'00021000',
		'aszténe'	=>	'00020000',
		'asztés'	=>	'0002100',
		'aszting'	=>	'00021000',
		'asztolt'	=>	'00021000',
		'asztoro'	=>	'00021000',
		'asztorr'	=>	'00021000',
		'asztors'	=>	'00020000',
		'asztosz'	=>	'00021000',
		'asztöv'	=>	'0002000',
		'asztős'	=>	'0002000',
		'asztül'	=>	'0002100',
		'asztvíz'	=>	'00000001',
		'aszur'	=>	'200000',
		'aszús'	=>	'100000',
		'aszútr'	=>	'0001000',
		'aszü'	=>	'20000',
		'aszüg'	=>	'000020',
		'aszügg'	=>	'0001000',
		'aszüz'	=>	'020120',
		'aszű'	=>	'20000',
		'aszvit'	=>	'0002000',
		'aszz'	=>	'00010',
		'atab'	=>	'20000',
		'atabla'	=>	'0010000',
		'atacé'	=>	'021200',
		'atadat'	=>	'0002000',
		'atadó'	=>	'001200',
		'atag'	=>	'20000',
		'atagya'	=>	'0210000',
		'ataján'	=>	'0200000',
		'atak'	=>	'20000',
		'atakara'	=>	'02100000',
		'atakár'	=>	'0002000',
		'atakel'	=>	'0002000',
		'ataképes'	=>	'000212000',
		'ataköv'	=>	'0002120',
		'ataktu'	=>	'0210000',
		'atalag'	=>	'0012000',
		'atalapb'	=>	'00020000',
		'atalapj'	=>	'00020000',
		'atalapo'	=>	'00020000',
		'atalapp'	=>	'00020000',
		'atalapr'	=>	'00020000',
		'atalapú'	=>	'00020000',
		'atalat'	=>	'0002000',
		'ataleg'	=>	'0210000',
		'atalik'	=>	'0002000',
		'atalle'	=>	'0210000',
		'atalmás'	=>	'02100000',
		'atan'	=>	'20000',
		'atanal'	=>	'0210000',
		'atanó'	=>	'000200',
		'atanyag'	=>	'00120000',
		'atanyás'	=>	'00120000',
		'atap'	=>	'20000',
		'atapp'	=>	'001000',
		'atapuk'	=>	'0002000',
		'atapun'	=>	'0002000',
		'atar'	=>	'20000',
		'atarab'	=>	'0212000',
		'ataran'	=>	'0002000',
		'atarén'	=>	'0212000',
		'atast'	=>	'000100',
		'ataur'	=>	'000020',
		'ataut'	=>	'021200',
		'atazo'	=>	'021000',
		'atáb'	=>	'20000',
		'atábr'	=>	'001000',
		'atág'	=>	'20000',
		'atága'	=>	'021200',
		'atágr'	=>	'001000',
		'atáj'	=>	'20000',
		'atál'	=>	'20000',
		'atállá'	=>	'0210000',
		'atálló'	=>	'0210000',
		'atálm'	=>	'021000',
		'atám'	=>	'20000',
		'atánal'	=>	'0002000',
		'atápol'	=>	'0212000',
		'atár'	=>	'20000',
		'atárada'	=>	'00020000',
		'atárado'	=>	'00020000',
		'atáramh'	=>	'00020000',
		'atáramk'	=>	'02000000',
		'atáramn'	=>	'00020000',
		'atáraz'	=>	'0002100',
		'atárét'	=>	'0002000',
		'atáris'	=>	'0002000',
		'atárkár'	=>	'00100000',
		'atárság'	=>	'00000020',
		'atárságá'	=>	'000021000',
		'atártás'	=>	'00100000',
		'atás'	=>	'20000',
		'atáság'	=>	'0002120',
		'atász'	=>	'000200',
		'atátal'	=>	'0002000',
		'atátá'	=>	'000002',
		'atátár'	=>	'0002000',
		'atátb'	=>	'021000',
		'atátf'	=>	'021000',
		'atáth'	=>	'021000',
		'atáti'	=>	'021000',
		'atátj'	=>	'021000',
		'atátk'	=>	'021000',
		'atátl'	=>	'021000',
		'atátr'	=>	'021000',
		'atáts'	=>	'021000',
		'atátt'	=>	'021000',
		'atátu'	=>	'021000',
		'atátv'	=>	'021000',
		'atáv'	=>	'20000',
		'atbl'	=>	'00100',
		'atbr'	=>	'00100',
		'atcl'	=>	'00100',
		'atdr'	=>	'00100',
		'ategé'	=>	'001200',
		'atejel'	=>	'0002000',
		'atekér'	=>	'0000020',
		'atekére'	=>	'00020000',
		'atekó'	=>	'000200',
		'atela'	=>	'021210',
		'atelb'	=>	'021000',
		'atelc'	=>	'001000',
		'ateld'	=>	'021000',
		'ateled'	=>	'0012000',
		'ateleg'	=>	'0010000',
		'atelem'	=>	'0012000',
		'atelen'	=>	'0012100',
		'atelf'	=>	'021000',
		'atelh'	=>	'021000',
		'ateljá'	=>	'0010000',
		'atelkö'	=>	'0010000',
		'atelkü'	=>	'0010000',
		'atelm'	=>	'021000',
		'ateln'	=>	'001000',
		'atelo'	=>	'021200',
		'atelőn'	=>	'0012000',
		'atelőt'	=>	'0002000',
		'atelr'	=>	'021000',
		'atels'	=>	'021000',
		'atelta'	=>	'0010000',
		'ateltá'	=>	'0010000',
		'atelté'	=>	'0010000',
		'ateltü'	=>	'0010000',
		'atelu'	=>	'021000',
		'atelű'	=>	'021000',
		'atelv'	=>	'021000',
		'atelz'	=>	'021000',
		'atemb'	=>	'021000',
		'atemel'	=>	'0012000',
		'atemé'	=>	'021000',
		'ateml'	=>	'021000',
		'atemó'	=>	'021000',
		'atenc'	=>	'021000',
		'atene'	=>	'021000',
		'atepi'	=>	'001000',
		'atepo'	=>	'001000',
		'aterd'	=>	'021000',
		'aterec'	=>	'0012000',
		'aterék'	=>	'0002100',
		'aterő'	=>	'021000',
		'atese'	=>	'021200',
		'atesé'	=>	'021000',
		'atesk'	=>	'020000',
		'atestá'	=>	'0000210',
		'atestő'	=>	'0000200',
		'ateszm'	=>	'0010000',
		'ateszű'	=>	'0010000',
		'atetol'	=>	'0002000',
		'atez'	=>	'02120',
		'atég'	=>	'20000',
		'atéget'	=>	'0002000',
		'atéhe'	=>	'021000',
		'atékal'	=>	'0002120',
		'atéke'	=>	'000202',
		'atékel'	=>	'0000100',
		'atél'	=>	'20000',
		'atéle'	=>	'021200',
		'atélé'	=>	'021200',
		'atélm'	=>	'021000',
		'atélv'	=>	'021000',
		'atém'	=>	'20000',
		'aténe'	=>	'000200',
		'atéps'	=>	'021000',
		'atér'	=>	'20000',
		'atérá'	=>	'000200',
		'atérdek'	=>	'02100000',
		'atérin'	=>	'0210000',
		'atérl'	=>	'021000',
		'atérm'	=>	'021000',
		'atértel'	=>	'02100000',
		'atérvek'	=>	'00100000',
		'atérz'	=>	'021000',
		'atésza'	=>	'0010000',
		'atészl'	=>	'0010000',
		'atét'	=>	'20000',
		'atétét'	=>	'0002000',
		'atétv'	=>	'021000',
		'atfj'	=>	'00100',
		'atfl'	=>	'00100',
		'atfr'	=>	'00100',
		'atgl'	=>	'00100',
		'atgr'	=>	'00100',
		'athus'	=>	'012000',
		'atiat'	=>	'021000',
		'atide'	=>	'021200',
		'atido'	=>	'021000',
		'atig'	=>	'00020',
		'atige'	=>	'021000',
		'atigé'	=>	'021000',
		'atigy'	=>	'021000',
		'atill'	=>	'020000',
		'atille'	=>	'0010000',
		'atimá'	=>	'001200',
		'atimádá'	=>	'00230000',
		'atimi'	=>	'001200',
		'atimp'	=>	'021000',
		'atin'	=>	'20000',
		'atinga'	=>	'0210000',
		'atingb'	=>	'0210000',
		'atinge'	=>	'0210000',
		'atinó'	=>	'000002',
		'atinór'	=>	'0002100',
		'atinté'	=>	'0010000',
		'atinto'	=>	'0010000',
		'atip'	=>	'20000',
		'atipa'	=>	'021200',
		'atir'	=>	'20000',
		'atirá'	=>	'021000',
		'atiro'	=>	'021000',
		'atis'	=>	'20000',
		'atisk'	=>	'021000',
		'atism'	=>	'021000',
		'atisz'	=>	'000200',
		'atiszo'	=>	'0210000',
		'atit'	=>	'20000',
		'atita'	=>	'021200',
		'atizé'	=>	'021000',
		'atizg'	=>	'021000',
		'atizmo'	=>	'0200000',
		'atizo'	=>	'021200',
		'atíg'	=>	'02100',
		'atíj'	=>	'02100',
		'atíp'	=>	'20000',
		'atír'	=>	'20000',
		'atít'	=>	'02120',
		'atívek'	=>	'0012000',
		'atível'	=>	'0000120',
		'atívet'	=>	'0012000',
		'atívét'	=>	'0002000',
		'atíz'	=>	'02100',
		'atki'	=>	'20000',
		'atkl'	=>	'20100',
		'atko'	=>	'20000',
		'atkö'	=>	'20000',
		'atku'	=>	'20000',
		'atkv'	=>	'00100',
		'atojt'	=>	'001000',
		'atoka'	=>	'000002',
		'atokal'	=>	'0212100',
		'atokoss'	=>	'00020000',
		'atokoz'	=>	'0212000',
		'atokta'	=>	'0210000',
		'atoku'	=>	'021200',
		'atoldá'	=>	'0010000',
		'atoldó'	=>	'0210000',
		'atomá'	=>	'000210',
		'atombe'	=>	'1000000',
		'atomer'	=>	'0002000',
		'atomj'	=>	'120000',
		'atoml'	=>	'020000',
		'atomok'	=>	'1200000',
		'atomos'	=>	'1200000',
		'atoms'	=>	'120000',
		'atomú'	=>	'100000',
		'atopc'	=>	'001000',
		'atope'	=>	'001000',
		'atopt'	=>	'021000',
		'ator'	=>	'20000',
		'atorál'	=>	'0002000',
		'atord'	=>	'021000',
		'atorg'	=>	'021000',
		'atorú'	=>	'000200',
		'atorv'	=>	'021000',
		'atorzá'	=>	'0210000',
		'atoss'	=>	'000030',
		'atoszf'	=>	'0001020',
		'atoszl'	=>	'0210000',
		'atóp'	=>	'00012',
		'atórák'	=>	'0212000',
		'atórán'	=>	'0002000',
		'atóriá'	=>	'0002000',
		'atóstá'	=>	'0001000',
		'atósz'	=>	'000100',
		'atószár'	=>	'00023000',
		'atószené'	=>	'000230000',
		'atótr'	=>	'000100',
		'atöko'	=>	'001000',
		'atöl'	=>	'00020',
		'atöle'	=>	'021000',
		'atölé'	=>	'021000',
		'atölő'	=>	'021000',
		'atöná'	=>	'001000',
		'atönka'	=>	'0000210',
		'atöröm'	=>	'0012000',
		'atös'	=>	'02100',
		'atöt'	=>	'02100',
		'atöz'	=>	'02120',
		'atőra'	=>	'000200',
		'atőrl'	=>	'001000',
		'atős'	=>	'02120',
		'atpen'	=>	'000001',
		'atpl'	=>	'00100',
		'atpr'	=>	'00100',
		'atps'	=>	'00100',
		'atracc'	=>	'0000010',
		'atrad'	=>	'012000',
		'atraj'	=>	'200000',
		'atrak'	=>	'200000',
		'atramb'	=>	'0020000',
		'atrap'	=>	'010000',
		'atrau'	=>	'010000',
		'atrav'	=>	'012000',
		'atré'	=>	'20000',
		'atréf'	=>	'012000',
		'atrén'	=>	'002000',
		'atrészel'	=>	'000020000',
		'atril'	=>	'012000',
		'atroj'	=>	'002000',
		'atróg'	=>	'012000',
		'atrón'	=>	'200000',
		'atrü'	=>	'01200',
		'atsán'	=>	'002000',
		'atsh'	=>	'00100',
		'atsk'	=>	'00100',
		'atsl'	=>	'00100',
		'atsp'	=>	'00100',
		'atst'	=>	'00100',
		'atsv'	=>	'00120',
		'atszámé'	=>	'00000210',
		'atszáraz'	=>	'000000001',
		'attadó'	=>	'0001000',
		'attakok'	=>	'10000000',
		'attasé'	=>	'1000000',
		'atteg'	=>	'002120',
		'attez'	=>	'002000',
		'atting'	=>	'0001000',
		'attó'	=>	'00002',
		'attór'	=>	'002100',
		'attre'	=>	'001200',
		'atud'	=>	'20000',
		'atudv'	=>	'021000',
		'atug'	=>	'02100',
		'atul'	=>	'20000',
		'atund'	=>	'021000',
		'atuni'	=>	'020000',
		'atur'	=>	'20000',
		'atutá'	=>	'001000',
		'atutó'	=>	'001000',
		'atúj'	=>	'02100',
		'atúl'	=>	'20000',
		'atúsz'	=>	'001200',
		'atüg'	=>	'02100',
		'atük'	=>	'20000',
		'atülé'	=>	'001200',
		'atült'	=>	'001000',
		'atün'	=>	'20000',
		'atüst'	=>	'001000',
		'atüv'	=>	'02120',
		'atüz'	=>	'20000',
		'atüzem'	=>	'0010000',
		'atűrl'	=>	'001000',
		'atűz'	=>	'20000',
		'au'	=>	'010',
		'aubin'	=>	'002100',
		'aubor'	=>	'002000',
		'audá'	=>	'02000',
		'aude'	=>	'00200',
		'auga'	=>	'00200',
		'augh'	=>	'02020',
		'augo'	=>	'00200',
		'aukc'	=>	'12000',
		'aull'	=>	'00020',
		'aulta'	=>	'000210',
		'aulti'	=>	'000200',
		'aumae'	=>	'020000',
		'aumaf'	=>	'020000',
		'aumak'	=>	'020000',
		'aumam'	=>	'020000',
		'aumar'	=>	'020000',
		'aumav'	=>	'020000',
		'aumáb'	=>	'020000',
		'aumád'	=>	'020000',
		'aumáé'	=>	'020000',
		'aumáh'	=>	'020000',
		'aumái'	=>	'020000',
		'aumám'	=>	'020000',
		'aumán'	=>	'020000',
		'aumár'	=>	'020000',
		'aumáv'	=>	'020000',
		'auph'	=>	'00100',
		'aurad'	=>	'002000',
		'aurikr'	=>	'0021000',
		'aurö'	=>	'00200',
		'ausze'	=>	'002010',
		'autad'	=>	'002000',
		'autal'	=>	'002000',
		'autam'	=>	'002000',
		'autas'	=>	'002000',
		'autat'	=>	'002000',
		'autá'	=>	'20000',
		'autál'	=>	'002000',
		'auti'	=>	'02000',
		'auton'	=>	'120000',
		'autó'	=>	'02000',
		'autób'	=>	'100000',
		'autóé'	=>	'100000',
		'autóh'	=>	'100000',
		'autói'	=>	'100000',
		'autóm'	=>	'100000',
		'autón'	=>	'100000',
		'autór'	=>	'100000',
		'autós'	=>	'100000',
		'autót'	=>	'100000',
		'autóv'	=>	'100000',
		'autr'	=>	'02000',
		'autt'	=>	'02000',
		'autu'	=>	'00200',
		'auzí'	=>	'00200',
		'auzs'	=>	'00200',
		'auzú'	=>	'02000',
		'auzü'	=>	'00210',
		'aú'	=>	'010',
		'aújí'	=>	'00200',
		'aújo'	=>	'00200',
		'aúré'	=>	'00200',
		'aúri'	=>	'00210',
		'aúsz'	=>	'00200',
		'aúti'	=>	'00200',
		'aúto'	=>	'00200',
		'aü'	=>	'010',
		'aüdí'	=>	'00200',
		'aüdü'	=>	'00200',
		'aüge'	=>	'00200',
		'aügy'	=>	'00200',
		'aüle'	=>	'00200',
		'aülé'	=>	'00200',
		'aüli'	=>	'00200',
		'aülö'	=>	'00200',
		'aülő'	=>	'00200',
		'aülü'	=>	'00200',
		'aünő'	=>	'00200',
		'aüre'	=>	'00200',
		'aürí'	=>	'00200',
		'aürö'	=>	'00200',
		'aürü'	=>	'00200',
		'aüsz'	=>	'00200',
		'aüte'	=>	'00200',
		'aüté'	=>	'00200',
		'aüti'	=>	'00200',
		'aüve'	=>	'00200',
		'aüvö'	=>	'00200',
		'aüzemb'	=>	'0020000',
		'aüzemen'	=>	'00200000',
		'aüzemet'	=>	'00200000',
		'aüzemé'	=>	'0020000',
		'aüzemh'	=>	'0020000',
		'aüzemm'	=>	'0020000',
		'aüzemn'	=>	'0020000',
		'aüzemr'	=>	'0020000',
		'aüzen'	=>	'002000',
		'aüzé'	=>	'00200',
		'aű'	=>	'010',
		'aűri'	=>	'00200',
		'aűrö'	=>	'00200',
		'aűze'	=>	'00200',
		'aűzé'	=>	'00200',
		'aűzi'	=>	'00200',
		'aűzö'	=>	'00200',
		'aűző'	=>	'00200',
		'avad'	=>	'20000',
		'avak'	=>	'20000',
		'avakti'	=>	'0010000',
		'avanh'	=>	'021000',
		'avant'	=>	'120000',
		'avanya'	=>	'0212000',
		'avanz'	=>	'020000',
		'avarac'	=>	'0002000',
		'avarag'	=>	'0002100',
		'avare'	=>	'000212',
		'avarék'	=>	'0002000',
		'avasze'	=>	'0002000',
		'avaszü'	=>	'0002000',
		'avatá'	=>	'120000',
		'avató'	=>	'120000',
		'avád'	=>	'20000',
		'avánan'	=>	'0002000',
		'avár'	=>	'20000',
		'aváral'	=>	'0002100',
		'aváriai'	=>	'00020000',
		'aváriá'	=>	'0212000',
		'aváta'	=>	'021000',
		'avátt'	=>	'021000',
		'avázal'	=>	'0002000',
		'avbl'	=>	'00100',
		'avele'	=>	'001200',
		'avelv'	=>	'001000',
		'aves'	=>	'20000',
		'avest'	=>	'001000',
		'avet'	=>	'20000',
		'avez'	=>	'20000',
		'avicse'	=>	'0002000',
		'aving'	=>	'001000',
		'avkr'	=>	'00100',
		'avold'	=>	'021000',
		'avoltó'	=>	'0010000',
		'avos'	=>	'00010',
		'avox'	=>	'02100',
		'avöm'	=>	'02100',
		'avös'	=>	'02100',
		'avős'	=>	'00100',
		'avőz'	=>	'00100',
		'avpr'	=>	'00100',
		'avsp'	=>	'00100',
		'avst'	=>	'00100',
		'avut'	=>	'02100',
		'avül'	=>	'00120',
		'avür'	=>	'00100',
		'avüz'	=>	'00120',
		'awag'	=>	'02000',
		'awhi'	=>	'00200',
		'awhisky'	=>	'00000002',
		'awhiskyk'	=>	'000000002',
		'axab'	=>	'02100',
		'axad'	=>	'02100',
		'axak'	=>	'02100',
		'axal'	=>	'02100',
		'axan'	=>	'02100',
		'axav'	=>	'02100',
		'axbl'	=>	'00100',
		'axeg'	=>	'00100',
		'axel'	=>	'00100',
		'axinf'	=>	'001000',
		'axing'	=>	'001000',
		'axint'	=>	'001000',
		'axiór'	=>	'000020',
		'axise'	=>	'000200',
		'axír'	=>	'00100',
		'axös'	=>	'00100',
		'axöz'	=>	'00100',
		'axpr'	=>	'00100',
		'axut'	=>	'02100',
		'axúj'	=>	'00100',
		'axüz'	=>	'00100',
		'axűr'	=>	'00100',
		'ayed'	=>	'01000',
		'ayei'	=>	'01000',
		'ayek'	=>	'01000',
		'ayel'	=>	'00120',
		'ayen'	=>	'01000',
		'ayes'	=>	'01000',
		'ayet'	=>	'00002',
		'ayfl'	=>	'00100',
		'ayil'	=>	'00100',
		'aying'	=>	'001000',
		'ayit'	=>	'01000',
		'ayma'	=>	'00002',
		'ayst'	=>	'00120',
		'azach'	=>	'000200',
		'azacik'	=>	'0002000',
		'azaiko'	=>	'0000200',
		'azalta'	=>	'0000210',
		'azap'	=>	'00012',
		'azas'	=>	'00012',
		'azáll'	=>	'001000',
		'azált'	=>	'001000',
		'azánö'	=>	'000200',
		'azáróra'	=>	'00021200',
		'azáse'	=>	'000210',
		'azásik'	=>	'0000020',
		'azásiko'	=>	'00020000',
		'azáss'	=>	'000030',
		'azdu'	=>	'00200',
		'azeg'	=>	'02120',
		'azele'	=>	'001200',
		'azelj'	=>	'001000',
		'azelm'	=>	'001000',
		'azelő'	=>	'001000',
		'azem'	=>	'02100',
		'azex'	=>	'02100',
		'azég'	=>	'02100',
		'azéke'	=>	'000212',
		'azékol'	=>	'0002000',
		'azérté'	=>	'0210000',
		'azing'	=>	'021000',
		'azio'	=>	'02120',
		'azirá'	=>	'001000',
		'azirt'	=>	'001000',
		'azmag'	=>	'000010',
		'azob'	=>	'02100',
		'azol'	=>	'20000',
		'azonal'	=>	'0002000',
		'azoná'	=>	'000210',
		'azont'	=>	'000002',
		'azop'	=>	'02100',
		'azor'	=>	'02100',
		'azosz'	=>	'021000',
		'azót'	=>	'00002',
		'azótr'	=>	'000100',
		'azrí'	=>	'01200',
		'azsé'	=>	'00400',
		'azsike'	=>	'0230000',
		'azsor'	=>	'003000',
		'azsp'	=>	'00300',
		'azsü'	=>	'02300',
		'azsz'	=>	'00300',
		'azut'	=>	'00100',
		'azúj'	=>	'02100',
		'azúré'	=>	'000210',
		'azüz'	=>	'00100',
		'áa'	=>	'010',
		'áada'	=>	'00200',
		'áadá'	=>	'00200',
		'áadáss'	=>	'0000010',
		'áado'	=>	'00200',
		'áadó'	=>	'00200',
		'áadu'	=>	'00200',
		'áajá'	=>	'00200',
		'áaka'	=>	'00200',
		'áala'	=>	'00200',
		'áalu'	=>	'00200',
		'áara'	=>	'00200',
		'áasz'	=>	'00200',
		'áaut'	=>	'00200',
		'áava'	=>	'00200',
		'áá'	=>	'010',
		'áács'	=>	'00200',
		'áága'	=>	'00200',
		'áágy'	=>	'00200',
		'ááju'	=>	'00200',
		'áámu'	=>	'00200',
		'áára'	=>	'00200',
		'ááru'	=>	'00200',
		'áásá'	=>	'00200',
		'áásí'	=>	'00200',
		'ááso'	=>	'00200',
		'áásó'	=>	'00200',
		'áásu'	=>	'00200',
		'áázo'	=>	'00200',
		'áázu'	=>	'00200',
		'ábadu'	=>	'021000',
		'ábakc'	=>	'001000',
		'ábala'	=>	'021200',
		'ábalk'	=>	'021000',
		'ábambu'	=>	'0210000',
		'ábany'	=>	'021200',
		'ábap'	=>	'00010',
		'ábart'	=>	'001000',
		'ábase'	=>	'000300',
		'ábág'	=>	'02120',
		'ábáll'	=>	'001000',
		'ábálm'	=>	'001000',
		'ábáp'	=>	'02100',
		'ábárá'	=>	'021000',
		'ábárn'	=>	'021000',
		'ábáru'	=>	'021200',
		'ábátj'	=>	'021000',
		'ábátl'	=>	'021000',
		'ábátm'	=>	'021000',
		'ábátv'	=>	'021000',
		'ábáz'	=>	'02100',
		'ábbad'	=>	'002120',
		'ábbal'	=>	'000020',
		'ábbala'	=>	'0021000',
		'ábband'	=>	'0021000',
		'ábbár'	=>	'002100',
		'ábben'	=>	'002000',
		'ábber'	=>	'002120',
		'ábbél'	=>	'002120',
		'ábbid'	=>	'002000',
		'ábbim'	=>	'002000',
		'ábbis'	=>	'002120',
		'ábbita'	=>	'0021000',
		'ábboso'	=>	'0001200',
		'ábboss'	=>	'0001000',
		'ábbör'	=>	'002000',
		'ábbül'	=>	'002100',
		'ábbű'	=>	'00200',
		'ábdr'	=>	'00100',
		'ábed'	=>	'02100',
		'ábeg'	=>	'02120',
		'ábela'	=>	'000210',
		'ábelá'	=>	'000210',
		'ábeleg'	=>	'0002100',
		'ábelel'	=>	'0002100',
		'ábeler'	=>	'0002120',
		'ábelég'	=>	'0002000',
		'ábelin'	=>	'0002100',
		'ábelnö'	=>	'0200000',
		'ábem'	=>	'02120',
		'áben'	=>	'02120',
		'ábero'	=>	'001200',
		'áberő'	=>	'001000',
		'ábéc'	=>	'12000',
		'ábég'	=>	'02120',
		'ábéke'	=>	'001200',
		'ábéks'	=>	'021000',
		'ábéles'	=>	'0212000',
		'ábélt'	=>	'021000',
		'ábép'	=>	'02100',
		'ábéri'	=>	'021200',
		'ábérs'	=>	'021000',
		'ábérte'	=>	'0210000',
		'ábérté'	=>	'0210000',
		'ábfr'	=>	'00100',
		'ábid'	=>	'02120',
		'ábig'	=>	'00020',
		'ábiga'	=>	'001000',
		'ábigé'	=>	'001000',
		'ábikr'	=>	'021000',
		'ábilla'	=>	'0010000',
		'ábim'	=>	'02100',
		'ábinai'	=>	'0002000',
		'ábinas'	=>	'0200000',
		'ábind'	=>	'021000',
		'ábing'	=>	'021000',
		'ábint'	=>	'021000',
		'ábis'	=>	'02100',
		'ábizm'	=>	'001000',
		'ábizz'	=>	'001000',
		'ábív'	=>	'02100',
		'ábkl'	=>	'00100',
		'ábkr'	=>	'00100',
		'áblakr'	=>	'0000100',
		'áblap'	=>	'000010',
		'ábolda'	=>	'0210000',
		'ábop'	=>	'02100',
		'áboraj'	=>	'0002000',
		'áboran'	=>	'0002000',
		'áborál'	=>	'0002000',
		'áboris'	=>	'0002000',
		'ábosz'	=>	'021000',
		'ábov'	=>	'02120',
		'áböb'	=>	'00100',
		'áböd'	=>	'00120',
		'áböl'	=>	'00100',
		'ábön'	=>	'00100',
		'ábör'	=>	'00120',
		'ábös'	=>	'00100',
		'áböv'	=>	'00100',
		'ábőr'	=>	'00100',
		'ábpr'	=>	'00100',
		'ábrái'	=>	'100000',
		'ábrek'	=>	'002000',
		'ábsp'	=>	'00100',
		'ábst'	=>	'00100',
		'ábsz'	=>	'00102',
		'ábtr'	=>	'00100',
		'ábujjal'	=>	'02100000',
		'ábusz'	=>	'000102',
		'ábüg'	=>	'00100',
		'ábül'	=>	'00120',
		'ábüs'	=>	'00100',
		'ábüt'	=>	'00100',
		'ábüv'	=>	'00100',
		'ácag'	=>	'02120',
		'ácajt'	=>	'001000',
		'ácakl'	=>	'000120',
		'ácakn'	=>	'001000',
		'ácala'	=>	'021200',
		'ácalm'	=>	'001000',
		'ácany'	=>	'021200',
		'ácág'	=>	'02100',
		'ácál'	=>	'02100',
		'áccse'	=>	'003000',
		'áccso'	=>	'003000',
		'ácel'	=>	'00121',
		'ácele'	=>	'000002',
		'ácen'	=>	'00100',
		'ácer'	=>	'00100',
		'ácép'	=>	'02100',
		'ácére'	=>	'021000',
		'ácha'	=>	'02300',
		'áchá'	=>	'02300',
		'áche'	=>	'00300',
		'áché'	=>	'02300',
		'áchon'	=>	'003000',
		'áchu'	=>	'02300',
		'ácias'	=>	'000200',
		'ácil'	=>	'02100',
		'ácinc'	=>	'001000',
		'ácing'	=>	'001000',
		'ácintil'	=>	'00002000',
		'ációsű'	=>	'0002000',
		'ácis'	=>	'02120',
		'ácív'	=>	'00100',
		'ácor'	=>	'02100',
		'ácosz'	=>	'021000',
		'ácór'	=>	'00100',
		'ácöl'	=>	'00120',
		'ácsabl'	=>	'0001000',
		'ácsag'	=>	'020120',
		'ácsajt'	=>	'0201000',
		'ácsaka'	=>	'0200000',
		'ácsakn'	=>	'0201000',
		'ácsalap'	=>	'00010000',
		'ácsalj'	=>	'0001000',
		'ácsalom'	=>	'00010000',
		'ácsapp'	=>	'0001000',
		'ácsatk'	=>	'0001000',
		'ácsatom'	=>	'02000000',
		'ácsác'	=>	'020120',
		'ácsál'	=>	'020100',
		'ácsárg'	=>	'0030000',
		'ácsárk'	=>	'0201000',
		'ácsárn'	=>	'0201000',
		'ácsáru'	=>	'0200000',
		'ácsáta'	=>	'0201200',
		'ácsboz'	=>	'0000001',
		'ácsef'	=>	'020000',
		'ácseg'	=>	'020120',
		'ácsel'	=>	'020120',
		'ácsene'	=>	'0200000',
		'ácsent'	=>	'0200000',
		'ácser'	=>	'020000',
		'ácset'	=>	'000020',
		'ácsev'	=>	'020100',
		'ácség'	=>	'000120',
		'ácsék'	=>	'000020',
		'ácséki'	=>	'0001000',
		'ácsékk'	=>	'0001000',
		'ácsékn'	=>	'0001000',
		'ácsél'	=>	'020000',
		'ácsép'	=>	'020000',
		'ácséte'	=>	'0001200',
		'ácsig'	=>	'000020',
		'ácsiga'	=>	'0201000',
		'ácsille'	=>	'02010000',
		'ácsimi'	=>	'0200000',
		'ácsint'	=>	'0001000',
		'ácsip'	=>	'000020',
		'ácsipa'	=>	'0201000',
		'ácsisk'	=>	'0001000',
		'ácsí'	=>	'00002',
		'ácsír'	=>	'000100',
		'ácsokta'	=>	'02000000',
		'ácsolat'	=>	'12000000',
		'ácsomk'	=>	'1200000',
		'ácsorr'	=>	'0001000',
		'ácsosz'	=>	'0200000',
		'ácsov'	=>	'020100',
		'ácsór'	=>	'000120',
		'ácsót'	=>	'003000',
		'ácsóv'	=>	'003000',
		'ácsök'	=>	'000120',
		'ácsöl'	=>	'020120',
		'ácsös'	=>	'020100',
		'ácsöt'	=>	'020000',
		'ácsős'	=>	'000120',
		'ácss'	=>	'00010',
		'ácsuj'	=>	'020000',
		'ácsut'	=>	'020000',
		'ácsúr'	=>	'020100',
		'ácsül'	=>	'000120',
		'ácsüt'	=>	'020120',
		'ácsy'	=>	'01000',
		'ácszen'	=>	'0003000',
		'ácut'	=>	'02100',
		'ácúr'	=>	'00100',
		'ácül'	=>	'00100',
		'ácür'	=>	'00100',
		'ádabl'	=>	'001000',
		'ádado'	=>	'021200',
		'ádakc'	=>	'021000',
		'ádalap'	=>	'0012000',
		'ádalb'	=>	'021000',
		'ádalj'	=>	'021000',
		'ádalk'	=>	'021000',
		'ádanya'	=>	'0012000',
		'ádanyá'	=>	'0012000',
		'ádap'	=>	'00010',
		'ádapá'	=>	'021200',
		'ádarc'	=>	'001000',
		'ádaty'	=>	'021000',
		'ádág'	=>	'02100',
		'ádál'	=>	'02100',
		'ádász'	=>	'001200',
		'ádátl'	=>	'001000',
		'áddr'	=>	'00100',
		'áddz'	=>	'00300',
		'ádec'	=>	'00120',
		'ádeg'	=>	'02120',
		'ádej'	=>	'02100',
		'ádel'	=>	'02120',
		'ádele'	=>	'000002',
		'ádelej'	=>	'0000100',
		'ádeleme'	=>	'00001000',
		'ádem'	=>	'02120',
		'ádep'	=>	'02100',
		'áderá'	=>	'000210',
		'áderő'	=>	'001000',
		'ádeti'	=>	'001200',
		'ádéd'	=>	'00002',
		'ádédr'	=>	'000100',
		'ádég'	=>	'00012',
		'ádége'	=>	'021200',
		'ádékré'	=>	'0001000',
		'ádéne'	=>	'001000',
		'ádérte'	=>	'0210000',
		'ádérz'	=>	'021000',
		'ádést'	=>	'000100',
		'ádicse'	=>	'0002000',
		'ádid'	=>	'02120',
		'ádiga'	=>	'021200',
		'ádiko'	=>	'001200',
		'ádill'	=>	'001000',
		'ádimi'	=>	'001000',
		'ádind'	=>	'001000',
		'ádint'	=>	'021000',
		'ádiódar'	=>	'00020000',
		'ádióér'	=>	'0000020',
		'ádióéra'	=>	'00020000',
		'ádióiv'	=>	'0002020',
		'ádióko'	=>	'0002000',
		'ádiókra'	=>	'00021200',
		'ádip'	=>	'02120',
		'ádist'	=>	'001000',
		'ádív'	=>	'00100',
		'ádkl'	=>	'00100',
		'ádkr'	=>	'00100',
		'ádoga'	=>	'000200',
		'ádogá'	=>	'000200',
		'ádoge'	=>	'000200',
		'ádorak'	=>	'0002000',
		'ádosz'	=>	'021000',
		'ádós'	=>	'00002',
		'ádöb'	=>	'00020',
		'ádös'	=>	'02100',
		'ádöv'	=>	'00100',
		'ádöz'	=>	'00120',
		'ádőr'	=>	'00120',
		'ádpr'	=>	'00100',
		'ádps'	=>	'00100',
		'ádrót'	=>	'012000',
		'ádst'	=>	'00100',
		'ádtr'	=>	'00100',
		'ádudv'	=>	'001000',
		'ádús'	=>	'02120',
		'ádüg'	=>	'02100',
		'ádülé'	=>	'001200',
		'ádüz'	=>	'02100',
		'ádza'	=>	'00300',
		'ádzá'	=>	'02300',
		'ádze'	=>	'02300',
		'ádzú'	=>	'00300',
		'áe'	=>	'010',
		'áecs'	=>	'00200',
		'áedz'	=>	'00200',
		'áege'	=>	'00200',
		'áegé'	=>	'00200',
		'áegy'	=>	'00200',
		'áele'	=>	'00200',
		'áelő'	=>	'00200',
		'áeme'	=>	'00200',
		'áere'	=>	'00200',
		'áerő'	=>	'00200',
		'áese'	=>	'00200',
		'áesé'	=>	'00200',
		'áesi'	=>	'00200',
		'áeső'	=>	'00200',
		'áesü'	=>	'00200',
		'áete'	=>	'00200',
		'áeve'	=>	'00200',
		'áevé'	=>	'00200',
		'áevő'	=>	'00200',
		'áé'	=>	'010',
		'áéde'	=>	'00200',
		'áége'	=>	'00200',
		'áégé'	=>	'00200',
		'áégő'	=>	'00200',
		'áéhe'	=>	'00200',
		'áéke'	=>	'00200',
		'áéle'	=>	'00200',
		'áéne'	=>	'00200',
		'áépí'	=>	'00200',
		'áépü'	=>	'00200',
		'áére'	=>	'00200',
		'áéré'	=>	'00200',
		'áéri'	=>	'00200',
		'áérő'	=>	'00200',
		'áérü'	=>	'00200',
		'áéte'	=>	'00200',
		'áfagya'	=>	'0212000',
		'áfalg'	=>	'021000',
		'áfáb'	=>	'02000',
		'áfág'	=>	'02100',
		'áfák'	=>	'12000',
		'áfáp'	=>	'02100',
		'áfás'	=>	'12000',
		'áfát'	=>	'02000',
		'áfdr'	=>	'00100',
		'áfelm'	=>	'001000',
		'áfem'	=>	'02120',
		'áfet'	=>	'02120',
		'áféne'	=>	'001200',
		'áfiad'	=>	'000200',
		'áfiam'	=>	'000200',
		'áfid'	=>	'02120',
		'áfim'	=>	'02100',
		'áfordá'	=>	'0210000',
		'áfosz'	=>	'021000',
		'áfrec'	=>	'002000',
		'áfrö'	=>	'01200',
		'áfuss'	=>	'000030',
		'áfün'	=>	'02100',
		'ágabl'	=>	'021000',
		'ágabr'	=>	'001000',
		'ágac'	=>	'00020',
		'ágacé'	=>	'001000',
		'ágacska'	=>	'10000000',
		'ágad'	=>	'02000',
		'ágadá'	=>	'001200',
		'ágadd'	=>	'100000',
		'ágadó'	=>	'001200',
		'ágaj'	=>	'02120',
		'ágaka'	=>	'020000',
		'ágakar'	=>	'0012000',
		'ágakas'	=>	'0012000',
		'ágakb'	=>	'120000',
		'ágakh'	=>	'120000',
		'ágaki'	=>	'120000',
		'ágakk'	=>	'120000',
		'ágakn'	=>	'120000',
		'ágakr'	=>	'120000',
		'ágakt'	=>	'020000',
		'ágala'	=>	'021200',
		'ágalj'	=>	'021000',
		'ágall'	=>	'021000',
		'ágalt'	=>	'001000',
		'ágam'	=>	'12000',
		'ágan'	=>	'00020',
		'ágana'	=>	'001000',
		'ágang'	=>	'021000',
		'ágank'	=>	'120000',
		'ágant'	=>	'001000',
		'ágany'	=>	'021000',
		'ágap'	=>	'02120',
		'ágar'	=>	'02120',
		'ágasp'	=>	'001000',
		'ágasz'	=>	'021000',
		'ágatol'	=>	'0002000',
		'ágau'	=>	'02100',
		'ágaza'	=>	'120000',
		'ágazon'	=>	'0002000',
		'ágág'	=>	'02120',
		'ágáld'	=>	'021000',
		'ágálm'	=>	'001000',
		'ágámu'	=>	'001200',
		'ágányal'	=>	'00020000',
		'ágáp'	=>	'02100',
		'ágárad'	=>	'0210000',
		'ágárb'	=>	'021000',
		'ágáré'	=>	'021200',
		'ágárh'	=>	'021000',
		'ágária'	=>	'0212000',
		'ágárokb'	=>	'00020000',
		'ágárv'	=>	'021000',
		'ágásó'	=>	'021000',
		'ágáss'	=>	'000030',
		'ágász'	=>	'000200',
		'ágáta'	=>	'021012',
		'ágátá'	=>	'021000',
		'ágáté'	=>	'021000',
		'ágátf'	=>	'021000',
		'ágáth'	=>	'021000',
		'ágáti'	=>	'021000',
		'ágátl'	=>	'021000',
		'ágátm'	=>	'021000',
		'ágátn'	=>	'021000',
		'ágátokk'	=>	'00020000',
		'ágátr'	=>	'021000',
		'ágáts'	=>	'021000',
		'ágátt'	=>	'021000',
		'ágátü'	=>	'001000',
		'ágátv'	=>	'021000',
		'ágbl'	=>	'00100',
		'ágbr'	=>	'00100',
		'ágdr'	=>	'00120',
		'ágec'	=>	'02120',
		'áged'	=>	'02120',
		'ágef'	=>	'00100',
		'ágeg'	=>	'02120',
		'ágel'	=>	'02120',
		'ágem'	=>	'02120',
		'ágen'	=>	'02020',
		'ágenc'	=>	'001000',
		'ágene'	=>	'001000',
		'ágep'	=>	'02120',
		'ágera'	=>	'000200',
		'ágerá'	=>	'000200',
		'ágerel'	=>	'0002100',
		'áges'	=>	'02120',
		'áget'	=>	'02120',
		'ágev'	=>	'02120',
		'ágex'	=>	'02100',
		'ágég'	=>	'02120',
		'ágéhe'	=>	'021200',
		'ágéj'	=>	'02100',
		'ágék'	=>	'02120',
		'ágél'	=>	'02120',
		'ágéne'	=>	'021200',
		'ágépí'	=>	'021000',
		'ágépü'	=>	'001200',
		'ágérá'	=>	'021000',
		'ágéré'	=>	'021200',
		'ágéri'	=>	'021000',
		'ágérm'	=>	'001000',
		'ágérő'	=>	'021200',
		'ágérte'	=>	'0010000',
		'ágérté'	=>	'0010000',
		'ágérv'	=>	'021000',
		'ágés'	=>	'02100',
		'ágéte'	=>	'021000',
		'ágéve'	=>	'021000',
		'ágévé'	=>	'021000',
		'ágfl'	=>	'00100',
		'ágfr'	=>	'00100',
		'ággl'	=>	'00120',
		'ággr'	=>	'00100',
		'ággyar'	=>	'0030000',
		'ággye'	=>	'003000',
		'ággyú'	=>	'003000',
		'ághányi'	=>	'00002000',
		'ágial'	=>	'000200',
		'ágiasz'	=>	'0002000',
		'ágid'	=>	'00020',
		'ágide'	=>	'021000',
		'ágif'	=>	'02100',
		'ágig'	=>	'00020',
		'ágiga'	=>	'021000',
		'ágigén'	=>	'0210000',
		'ágill'	=>	'020000',
		'ágima'	=>	'001000',
		'ágimi'	=>	'021200',
		'áginf'	=>	'001000',
		'áging'	=>	'021000',
		'ágins'	=>	'001000',
		'ágint'	=>	'021000',
		'ágiri'	=>	'021000',
		'ágiro'	=>	'001000',
		'ágist'	=>	'021000',
		'ágisz'	=>	'021000',
		'ágita'	=>	'021200',
		'ágiz'	=>	'02100',
		'ágíg'	=>	'02100',
		'ágín'	=>	'02100',
		'ágír'	=>	'02100',
		'ágíté'	=>	'020000',
		'ágíz'	=>	'02100',
		'ágkárok'	=>	'00002000',
		'ágkl'	=>	'00100',
		'ágkr'	=>	'00100',
		'ágkv'	=>	'00100',
		'ágoá'	=>	'02100',
		'ágokl'	=>	'021000',
		'ágoli'	=>	'021200',
		'ágoltó'	=>	'0010000',
		'ágop'	=>	'02100',
		'ágor'	=>	'02100',
		'ágosko'	=>	'0210000',
		'ágoss'	=>	'000030',
		'ágoszl'	=>	'0210000',
		'ágódr'	=>	'000100',
		'ágórá'	=>	'021200',
		'ágök'	=>	'02120',
		'ágöl'	=>	'02120',
		'ágönt'	=>	'001000',
		'ágör'	=>	'00020',
		'ágörö'	=>	'001000',
		'ágörv'	=>	'001000',
		'ágös'	=>	'02100',
		'ágöt'	=>	'02100',
		'ágöv'	=>	'02100',
		'ágöz'	=>	'02120',
		'ágőr'	=>	'00120',
		'ágős'	=>	'00120',
		'ágpl'	=>	'00100',
		'ágport'	=>	'0000002',
		'ágportr'	=>	'00000100',
		'ágpr'	=>	'00100',
		'ágps'	=>	'00100',
		'ágsh'	=>	'00100',
		'ágsk'	=>	'00100',
		'ágsl'	=>	'00100',
		'ágsp'	=>	'00100',
		'ágst'	=>	'00100',
		'ágsz'	=>	'00002',
		'ágtr'	=>	'00100',
		'águd'	=>	'02100',
		'águj'	=>	'02100',
		'águn'	=>	'00020',
		'águna'	=>	'021000',
		'ágund'	=>	'021000',
		'águra'	=>	'021200',
		'águrá'	=>	'021200',
		'águt'	=>	'02120',
		'ágúj'	=>	'02100',
		'ágús'	=>	'02100',
		'ágútt'	=>	'001000',
		'ágüd'	=>	'00100',
		'ágüg'	=>	'00120',
		'ágül'	=>	'00120',
		'ágün'	=>	'00100',
		'ágüv'	=>	'00100',
		'ágüz'	=>	'00100',
		'ágűr'	=>	'00120',
		'ágűz'	=>	'00100',
		'ágyag'	=>	'000010',
		'ágyalj'	=>	'0001000',
		'ágyalk'	=>	'0001000',
		'ágyalm'	=>	'0001000',
		'ágyasn'	=>	'1200000',
		'ágyassa'	=>	'02000000',
		'ágyál'	=>	'020120',
		'ágyáram'	=>	'02012000',
		'ágyáss'	=>	'0000010',
		'ágye'	=>	'02012',
		'ágyél'	=>	'020000',
		'ágygyű'	=>	'1000000',
		'ágyid'	=>	'020000',
		'ágyil'	=>	'020000',
		'ágyivad'	=>	'02000000',
		'ágyob'	=>	'020000',
		'ágyosz'	=>	'0200000',
		'ágyotth'	=>	'00010000',
		'ágyós'	=>	'020120',
		'ágyöl'	=>	'000120',
		'ágyös'	=>	'000100',
		'ágyur'	=>	'020000',
		'ágyúh'	=>	'020000',
		'ágyút'	=>	'020000',
		'ágyü'	=>	'02012',
		'áhajk'	=>	'001000',
		'áhass'	=>	'001000',
		'áhít'	=>	'12000',
		'áhors'	=>	'021000',
		'ái'	=>	'010',
		'áidom'	=>	'002000',
		'áidő'	=>	'00200',
		'áiga'	=>	'00200',
		'áigé'	=>	'00200',
		'áigy'	=>	'00200',
		'áiha'	=>	'00200',
		'áije'	=>	'00200',
		'áimá'	=>	'00200',
		'áiram'	=>	'002000',
		'áirá'	=>	'00200',
		'áisz'	=>	'00200',
		'áita'	=>	'00200',
		'áivá'	=>	'00200',
		'áivo'	=>	'00200',
		'áizé'	=>	'00200',
		'áí'	=>	'010',
		'áígé'	=>	'00200',
		'áírá'	=>	'00200',
		'áíve'	=>	'00200',
		'áívo'	=>	'00200',
		'ájadó'	=>	'021000',
		'ájakc'	=>	'021000',
		'ájakv'	=>	'021000',
		'ájala'	=>	'021200',
		'ájambu'	=>	'0010000',
		'ájana'	=>	'021000',
		'ájant'	=>	'001000',
		'ájany'	=>	'021000',
		'ájar'	=>	'02100',
		'ájatl'	=>	'021000',
		'ájax'	=>	'02100',
		'ájazo'	=>	'001000',
		'ájág'	=>	'02100',
		'ájál'	=>	'02100',
		'ájáp'	=>	'02100',
		'ájáss'	=>	'000030',
		'ájáta'	=>	'021010',
		'ájátá'	=>	'021000',
		'ájátt'	=>	'021000',
		'ájbl'	=>	'00100',
		'ájbr'	=>	'00100',
		'ájch'	=>	'00200',
		'ájec'	=>	'02120',
		'ájegé'	=>	'001000',
		'ájelm'	=>	'001000',
		'ájeln'	=>	'001000',
		'ájelő'	=>	'001000',
		'ájelv'	=>	'001000',
		'ájem'	=>	'02100',
		'ájen'	=>	'02120',
		'ájes'	=>	'02100',
		'ájet'	=>	'00120',
		'ájev'	=>	'02120',
		'ájex'	=>	'00100',
		'ájég'	=>	'02120',
		'ájél'	=>	'02100',
		'ájép'	=>	'02100',
		'ájér'	=>	'00020',
		'ájére'	=>	'021000',
		'ájéte'	=>	'021000',
		'ájfl'	=>	'00100',
		'ájfr'	=>	'00100',
		'ájid'	=>	'02120',
		'ájil'	=>	'02100',
		'ájim'	=>	'02100',
		'ájiz'	=>	'02100',
		'ájíj'	=>	'00100',
		'ájír'	=>	'00100',
		'ájív'	=>	'00100',
		'ájíz'	=>	'00100',
		'ájkell'	=>	'0001000',
		'ájkő'	=>	'00212',
		'ájkü'	=>	'00200',
		'ájlad'	=>	'002000',
		'ájlakt'	=>	'0001000',
		'ájlan'	=>	'002100',
		'ájlas'	=>	'002100',
		'ájlat'	=>	'002100',
		'ájlik'	=>	'002000',
		'ájlob'	=>	'002000',
		'ájnár'	=>	'002000',
		'ájnin'	=>	'002000',
		'ájnü'	=>	'00200',
		'ájob'	=>	'02100',
		'ájop'	=>	'02100',
		'ájor'	=>	'02100',
		'ájöb'	=>	'02100',
		'ájök'	=>	'00100',
		'ájöl'	=>	'00100',
		'ájör'	=>	'02100',
		'ájőr'	=>	'00100',
		'ájős'	=>	'00100',
		'ájpl'	=>	'00100',
		'ájpr'	=>	'00100',
		'ájsn'	=>	'00100',
		'ájsp'	=>	'00100',
		'ájst'	=>	'00102',
		'ájtr'	=>	'00120',
		'ájud'	=>	'02100',
		'ájúsz'	=>	'001000',
		'ájüg'	=>	'00100',
		'ájül'	=>	'00100',
		'ájür'	=>	'00100',
		'ájüt'	=>	'00120',
		'ájüv'	=>	'00100',
		'ájüz'	=>	'00100',
		'ájűr'	=>	'00100',
		'ájzab'	=>	'002000',
		'ájzaj'	=>	'002000',
		'ájzsa'	=>	'002300',
		'ákabr'	=>	'001000',
		'ákad'	=>	'02120',
		'ákaj'	=>	'02100',
		'ákaka'	=>	'001000',
		'ákalapí'	=>	'02120000',
		'ákale'	=>	'001000',
		'ákalj'	=>	'001000',
		'ákant'	=>	'001000',
		'ákara'	=>	'001000',
		'ákará'	=>	'021200',
		'ákarm'	=>	'001000',
		'ákarz'	=>	'001000',
		'ákass'	=>	'021000',
		'ákatl'	=>	'021000',
		'ákau'	=>	'02120',
		'ákác'	=>	'02120',
		'ákál'	=>	'02120',
		'ákáta'	=>	'001000',
		'ákátk'	=>	'001000',
		'ákbl'	=>	'00100',
		'ákebé'	=>	'001000',
		'ákeg'	=>	'02120',
		'ákele'	=>	'001200',
		'ákelk'	=>	'021000',
		'ákellene'	=>	'020000000',
		'ákelm'	=>	'021000',
		'ákelő'	=>	'021200',
		'ákemb'	=>	'001000',
		'ákerő'	=>	'001200',
		'ákevé'	=>	'021200',
		'ákevo'	=>	'021200',
		'ákél'	=>	'02120',
		'ákéne'	=>	'021200',
		'ákérm'	=>	'021000',
		'ákérte'	=>	'0210000',
		'ákértő'	=>	'0210000',
		'ákérv'	=>	'021000',
		'ákérz'	=>	'021000',
		'ákéss'	=>	'001000',
		'ákéte'	=>	'021200',
		'ákétk'	=>	'021000',
		'ákétt'	=>	'021000',
		'ákéve'	=>	'021200',
		'ákfl'	=>	'00100',
		'ákfr'	=>	'00100',
		'ákid'	=>	'02120',
		'ákif'	=>	'02100',
		'ákig'	=>	'00020',
		'ákiga'	=>	'001000',
		'ákigé'	=>	'021000',
		'ákill'	=>	'001000',
		'ákim'	=>	'02120',
		'áking'	=>	'001000',
		'ákint'	=>	'021000',
		'ákiro'	=>	'001000',
		'ákis'	=>	'02120',
		'ákit'	=>	'00020',
		'ákita'	=>	'001000',
		'ákiv'	=>	'02120',
		'ákír'	=>	'00100',
		'ákkl'	=>	'00120',
		'ákkr'	=>	'00120',
		'áklar'	=>	'002000',
		'ákoks'	=>	'021000',
		'ákola'	=>	'021200',
		'ákold'	=>	'021000',
		'ákoli'	=>	'021200',
		'ákoll'	=>	'021000',
		'ákope'	=>	'021200',
		'ákorv'	=>	'021000',
		'ákoss'	=>	'000030',
		'ákott'	=>	'021000',
		'ákóni'	=>	'001000',
		'áköl'	=>	'00020',
		'ákölő'	=>	'021000',
		'ákör'	=>	'00120',
		'ákőr'	=>	'00120',
		'ákpr'	=>	'00100',
		'ákrák'	=>	'002000',
		'ákreá'	=>	'012000',
		'ákris'	=>	'012000',
		'áksp'	=>	'00100',
		'áksr'	=>	'00100',
		'ákst'	=>	'00100',
		'áksz'	=>	'00102',
		'áktr'	=>	'00120',
		'ákuj'	=>	'02100',
		'ákuni'	=>	'020000',
		'ákur'	=>	'00020',
		'ákura'	=>	'001000',
		'ákutó'	=>	'001000',
		'ákúj'	=>	'00100',
		'ákút'	=>	'00020',
		'ákúto'	=>	'021000',
		'áküd'	=>	'00100',
		'áküg'	=>	'02100',
		'ákül'	=>	'00020',
		'ákün'	=>	'00100',
		'ákür'	=>	'00100',
		'áküt'	=>	'00120',
		'ákűr'	=>	'00100',
		'ákvat'	=>	'012000',
		'álabl'	=>	'001000',
		'álacé'	=>	'001000',
		'áladag'	=>	'0210000',
		'áladó'	=>	'021200',
		'álajá'	=>	'001200',
		'álajt'	=>	'001000',
		'álakar'	=>	'0002000',
		'álal'	=>	'20000',
		'álalak'	=>	'0010000',
		'álalát'	=>	'0210000',
		'álalg'	=>	'001000',
		'álalk'	=>	'021000',
		'álalm'	=>	'021000',
		'álane'	=>	'021000',
		'álang'	=>	'021000',
		'álant'	=>	'021000',
		'álanya'	=>	'0212000',
		'álanyái'	=>	'00120000',
		'álanyán'	=>	'00120000',
		'álanyát'	=>	'02120000',
		'álanyáv'	=>	'00120000',
		'álapos'	=>	'0212000',
		'álapó'	=>	'001000',
		'álara'	=>	'001200',
		'álaszek'	=>	'00020000',
		'álaszel'	=>	'00020000',
		'álaszék'	=>	'00020100',
		'álaszö'	=>	'0002000',
		'álaszű'	=>	'0002000',
		'álatat'	=>	'0002000',
		'álatet'	=>	'0002000',
		'álatikr'	=>	'00020000',
		'álatint'	=>	'00020000',
		'álatlé'	=>	'0010000',
		'álatold'	=>	'00020000',
		'álató'	=>	'000212',
		'álatti'	=>	'0210000',
		'álaty'	=>	'021200',
		'álaut'	=>	'001000',
		'álábr'	=>	'021000',
		'álági'	=>	'001200',
		'álágú'	=>	'021200',
		'áláll'	=>	'001000',
		'álárak'	=>	'0212000',
		'álárf'	=>	'001000',
		'álárk'	=>	'001000',
		'álárn'	=>	'021000',
		'áláro'	=>	'021200',
		'álász'	=>	'000230',
		'álátc'	=>	'021000',
		'álátk'	=>	'021000',
		'álátm'	=>	'021000',
		'álátú'	=>	'021000',
		'álátvá'	=>	'0210000',
		'álbl'	=>	'00100',
		'álbr'	=>	'00100',
		'álcai'	=>	'000002',
		'áldás'	=>	'100000',
		'áldoz'	=>	'100000',
		'áldr'	=>	'00120',
		'áldy'	=>	'00100',
		'álec'	=>	'02120',
		'áled'	=>	'02120',
		'álef'	=>	'02100',
		'álelk'	=>	'001000',
		'álelm'	=>	'001000',
		'álelo'	=>	'001000',
		'álelő'	=>	'001200',
		'álelr'	=>	'001000',
		'álemu'	=>	'001000',
		'áler'	=>	'02120',
		'álesem'	=>	'0010000',
		'áleső'	=>	'021200',
		'álesz'	=>	'021000',
		'álet'	=>	'02120',
		'ález'	=>	'00100',
		'álég'	=>	'02100',
		'áléhe'	=>	'021200',
		'álékal'	=>	'0002000',
		'álékan'	=>	'0002100',
		'álékel'	=>	'0002120',
		'álékü'	=>	'000200',
		'áléle'	=>	'001200',
		'álélő'	=>	'001200',
		'áléne'	=>	'021200',
		'álérb'	=>	'021000',
		'álérd'	=>	'021000',
		'álérf'	=>	'021000',
		'álérg'	=>	'021000',
		'álérh'	=>	'021000',
		'áléri'	=>	'021200',
		'álérm'	=>	'021000',
		'álérr'	=>	'021000',
		'álérs'	=>	'021000',
		'álértá'	=>	'0210000',
		'álérte'	=>	'0210000',
		'álérté'	=>	'0210000',
		'álérz'	=>	'021000',
		'álévé'	=>	'021200',
		'álfl'	=>	'00100',
		'álfr'	=>	'00100',
		'álgr'	=>	'00100',
		'álhaja'	=>	'1000000',
		'álias'	=>	'000200',
		'álibo'	=>	'001200',
		'álid'	=>	'00020',
		'álide'	=>	'001000',
		'álidé'	=>	'001000',
		'álig'	=>	'00020',
		'áliga'	=>	'021000',
		'álige'	=>	'021000',
		'áligé'	=>	'021000',
		'álill'	=>	'001000',
		'álimp'	=>	'001000',
		'álind'	=>	'021000',
		'álinf'	=>	'001000',
		'álionb'	=>	'0212000',
		'áliont'	=>	'0212000',
		'álip'	=>	'02120',
		'álirá'	=>	'001000',
		'áliro'	=>	'021000',
		'álise'	=>	'000210',
		'álisék'	=>	'0002100',
		'álisis'	=>	'0002000',
		'áliss'	=>	'000030',
		'áliste'	=>	'0010000',
		'áliz'	=>	'02100',
		'álín'	=>	'00100',
		'álír'	=>	'00120',
		'álít'	=>	'00100',
		'álív'	=>	'00120',
		'álkárok'	=>	'00002000',
		'álkl'	=>	'00120',
		'álkr'	=>	'00120',
		'álladó'	=>	'0021200',
		'állag'	=>	'100000',
		'állaj'	=>	'002000',
		'állalak'	=>	'00212000',
		'államá'	=>	'1000000',
		'állame'	=>	'0000210',
		'államot'	=>	'10000000',
		'államti'	=>	'10000000',
		'állapá'	=>	'0021200',
		'állar'	=>	'002120',
		'állata'	=>	'1000000',
		'állatas'	=>	'00002000',
		'állate'	=>	'0000212',
		'állator'	=>	'00002100',
		'állatö'	=>	'0000212',
		'állatu'	=>	'1000000',
		'állág'	=>	'002120',
		'állál'	=>	'002120',
		'állárr'	=>	'0021000',
		'álláss'	=>	'0000010',
		'álláth'	=>	'0021000',
		'állátm'	=>	'0021000',
		'álled'	=>	'002000',
		'álleh'	=>	'002120',
		'állej'	=>	'002100',
		'álléké'	=>	'0001000',
		'álliz'	=>	'002100',
		'állomá'	=>	'1000000',
		'állü'	=>	'00200',
		'álmaim'	=>	'1000000',
		'álmom'	=>	'100000',
		'álmuk'	=>	'100000',
		'álmunkb'	=>	'10000000',
		'álobj'	=>	'001000',
		'álokai'	=>	'0212000',
		'álokaih'	=>	'10000000',
		'álokain'	=>	'10000000',
		'álokair'	=>	'10000000',
		'áloká'	=>	'021200',
		'álokán'	=>	'1000000',
		'álokát'	=>	'1000000',
		'álokáu'	=>	'1000000',
		'álokok'	=>	'0002000',
		'álokonk'	=>	'10000000',
		'álokos'	=>	'0002000',
		'álokta'	=>	'0210000',
		'áloku'	=>	'121200',
		'álol'	=>	'02100',
		'áloma'	=>	'000002',
		'álomad'	=>	'0002000',
		'álomal'	=>	'0002100',
		'áloman'	=>	'0002100',
		'álomar'	=>	'0002000',
		'álomas'	=>	'0002000',
		'álomá'	=>	'000210',
		'álome'	=>	'000210',
		'álomit'	=>	'0002100',
		'álomot'	=>	'0002000',
		'áloms'	=>	'020000',
		'álomú'	=>	'000210',
		'álont'	=>	'021000',
		'álopc'	=>	'001000',
		'álope'	=>	'021000',
		'álor'	=>	'02100',
		'álosz'	=>	'021000',
		'álox'	=>	'02100',
		'álóa'	=>	'00002',
		'álóá'	=>	'00002',
		'álóó'	=>	'00002',
		'álóráj'	=>	'0002000',
		'álósű'	=>	'000212',
		'álót'	=>	'00002',
		'álöb'	=>	'00100',
		'álöd'	=>	'02100',
		'álöl'	=>	'02120',
		'álös'	=>	'02100',
		'álöz'	=>	'00100',
		'álőr'	=>	'02100',
		'álpl'	=>	'00120',
		'álpr'	=>	'00120',
		'álps'	=>	'00120',
		'álsk'	=>	'00100',
		'álsl'	=>	'00100',
		'álst'	=>	'00100',
		'áltrad'	=>	'0010000',
		'áltrak'	=>	'0012000',
		'áltran'	=>	'0012000',
		'áltre'	=>	'001200',
		'áltré'	=>	'001000',
		'álug'	=>	'02100',
		'álun'	=>	'00020',
		'áluna'	=>	'021000',
		'álur'	=>	'02120',
		'álut'	=>	'02120',
		'áluz'	=>	'02100',
		'álúj'	=>	'02100',
		'álúr'	=>	'02100',
		'álút'	=>	'00020',
		'álútj'	=>	'001000',
		'álútk'	=>	'001000',
		'álútn'	=>	'001000',
		'álúto'	=>	'021000',
		'álútr'	=>	'021000',
		'álútt'	=>	'021000',
		'álüg'	=>	'00100',
		'álün'	=>	'00100',
		'álür'	=>	'00100',
		'álüt'	=>	'00100',
		'álüv'	=>	'00100',
		'álüz'	=>	'00100',
		'álűr'	=>	'00100',
		'álűz'	=>	'00100',
		'ályada'	=>	'0001000',
		'ályag'	=>	'000012',
		'ályant'	=>	'0001000',
		'ályanya'	=>	'00010000',
		'ályap'	=>	'000010',
		'ályass'	=>	'0001000',
		'ályál'	=>	'020000',
		'álye'	=>	'02012',
		'ályéj'	=>	'020000',
		'ályél'	=>	'020000',
		'ályéne'	=>	'0201200',
		'ályére'	=>	'0200000',
		'ályéve'	=>	'0200000',
		'ályide'	=>	'0200000',
		'ályí'	=>	'02000',
		'ályk'	=>	'00012',
		'ályodv'	=>	'0001000',
		'ályol'	=>	'020000',
		'ályó'	=>	'02012',
		'ályö'	=>	'02010',
		'ályő'	=>	'02000',
		'álys'	=>	'00010',
		'ályug'	=>	'020000',
		'ályü'	=>	'02012',
		'ályű'	=>	'02012',
		'ámabl'	=>	'021000',
		'ámabr'	=>	'021000',
		'ámacé'	=>	'001200',
		'ámadm'	=>	'001000',
		'ámagg'	=>	'001000',
		'ámajt'	=>	'021000',
		'ámakt'	=>	'021000',
		'ámalap'	=>	'0012000',
		'ámall'	=>	'001000',
		'ámalt'	=>	'001000',
		'ámaó'	=>	'00002',
		'ámapp'	=>	'021000',
		'ámarc'	=>	'021000',
		'ámaszál'	=>	'00020100',
		'ámaszel'	=>	'00020000',
		'ámaszív'	=>	'00020000',
		'ámaszodv'	=>	'000201000',
		'ámaszü'	=>	'0002012',
		'ámatl'	=>	'001000',
		'ámatt'	=>	'021000',
		'ámaty'	=>	'021000',
		'ámaud'	=>	'001000',
		'ámazo'	=>	'001200',
		'ámác'	=>	'00020',
		'ámáf'	=>	'00100',
		'ámág'	=>	'02100',
		'ámálla'	=>	'0010000',
		'ámállo'	=>	'0010000',
		'ámánn'	=>	'000010',
		'ámántr'	=>	'0000100',
		'ámárak'	=>	'0212000',
		'ámáram'	=>	'0012000',
		'ámáras'	=>	'0210000',
		'ámárá'	=>	'021200',
		'ámárb'	=>	'021000',
		'ámári'	=>	'021200',
		'ámárn'	=>	'021000',
		'ámáro'	=>	'021200',
		'ámárr'	=>	'021000',
		'ámáru'	=>	'021200',
		'ámásv'	=>	'001000',
		'ámátb'	=>	'021000',
		'ámáte'	=>	'001210',
		'ámáti'	=>	'021000',
		'ámátm'	=>	'021000',
		'ámázó'	=>	'001200',
		'ámbl'	=>	'00100',
		'ámdr'	=>	'00100',
		'ámeb'	=>	'02120',
		'ámej'	=>	'02100',
		'ámela'	=>	'021000',
		'ámelá'	=>	'001000',
		'ámelem'	=>	'0012000',
		'ámelé'	=>	'001000',
		'ámelh'	=>	'021000',
		'ámelí'	=>	'001000',
		'ámelj'	=>	'021000',
		'ámelk'	=>	'001000',
		'ámelm'	=>	'021000',
		'ámelo'	=>	'001000',
		'ámelő'	=>	'021200',
		'ámels'	=>	'001000',
		'ámelt'	=>	'001000',
		'ámelü'	=>	'001000',
		'ámelv'	=>	'001000',
		'ámem'	=>	'02120',
		'ámerd'	=>	'021000',
		'ámerek'	=>	'0012000',
		'ámerk'	=>	'021000',
		'ámero'	=>	'021200',
		'ámerők'	=>	'0002000',
		'ámerőt'	=>	'0002000',
		'ámerőv'	=>	'0002000',
		'ámese'	=>	'001200',
		'ámess'	=>	'001000',
		'ámesz'	=>	'001000',
		'ámet'	=>	'00020',
		'ámeti'	=>	'021000',
		'ámetű'	=>	'021000',
		'ámev'	=>	'02100',
		'ámex'	=>	'02100',
		'ámez'	=>	'02100',
		'áméke'	=>	'001000',
		'áméle'	=>	'021200',
		'ámép'	=>	'02100',
		'ámérc'	=>	'021000',
		'ámérd'	=>	'021000',
		'ámértel'	=>	'02100000',
		'ámétk'	=>	'021000',
		'ámfr'	=>	'00100',
		'ámgr'	=>	'00100',
		'ámiab'	=>	'000200',
		'ámial'	=>	'000200',
		'ámiam'	=>	'000200',
		'ámide'	=>	'020000',
		'ámidé'	=>	'021000',
		'ámidő'	=>	'001200',
		'ámiga'	=>	'021000',
		'ámigá'	=>	'021000',
		'ámigé'	=>	'021000',
		'ámill'	=>	'021000',
		'ámimá'	=>	'020000',
		'ámimm'	=>	'020000',
		'ámimp'	=>	'021000',
		'ámind'	=>	'021000',
		'áminf'	=>	'021000',
		'áming'	=>	'021000',
		'áminte'	=>	'0210000',
		'áminté'	=>	'0210000',
		'áminv'	=>	'021000',
		'ámipa'	=>	'021200',
		'ámirá'	=>	'021000',
		'ámiro'	=>	'021000',
		'ámirt'	=>	'021000',
		'ámisk'	=>	'021000',
		'ámism'	=>	'021000',
		'ámiszá'	=>	'0012000',
		'ámiz'	=>	'02120',
		'ámíg'	=>	'00100',
		'ámíj'	=>	'02100',
		'ámír'	=>	'02100',
		'ámív'	=>	'02120',
		'ámíz'	=>	'00100',
		'ámkl'	=>	'00100',
		'ámkr'	=>	'00100',
		'ámkv'	=>	'00100',
		'ámlat'	=>	'000032',
		'ámob'	=>	'02100',
		'ámof'	=>	'02100',
		'ámoká'	=>	'021000',
		'ámokl'	=>	'021000',
		'ámokm'	=>	'021000',
		'ámokta'	=>	'0210000',
		'ámolyas'	=>	'00020000',
		'ámop'	=>	'02100',
		'ámorál'	=>	'0002120',
		'ámoris'	=>	'0002000',
		'ámorodv'	=>	'00021000',
		'ámosas'	=>	'0002000',
		'ámoss'	=>	'000030',
		'ámosto'	=>	'0010000',
		'ámosz'	=>	'021000',
		'ámov'	=>	'02100',
		'ámox'	=>	'02100',
		'ámór'	=>	'00120',
		'ámök'	=>	'00120',
		'ámöl'	=>	'00100',
		'ámön'	=>	'00100',
		'ámör'	=>	'00100',
		'ámös'	=>	'00100',
		'ámöt'	=>	'00100',
		'ámöv'	=>	'00100',
		'ámöz'	=>	'00120',
		'ámőr'	=>	'00120',
		'ámős'	=>	'00120',
		'ámőz'	=>	'00100',
		'ámpap'	=>	'000012',
		'ámpl'	=>	'00120',
		'ámpr'	=>	'00120',
		'ámps'	=>	'00120',
		'ámsk'	=>	'00100',
		'ámsm'	=>	'00100',
		'ámsn'	=>	'00100',
		'ámsp'	=>	'00100',
		'ámst'	=>	'00100',
		'ámsz'	=>	'00102',
		'ámtr'	=>	'00120',
		'ámud'	=>	'02100',
		'ámug'	=>	'02100',
		'ámuj'	=>	'02100',
		'ámund'	=>	'021000',
		'ámuni'	=>	'020000',
		'ámur'	=>	'02120',
		'ámutá'	=>	'021000',
		'ámúj'	=>	'02100',
		'ámüd'	=>	'00100',
		'ámüg'	=>	'00100',
		'ámül'	=>	'00120',
		'ámür'	=>	'00100',
		'ámüt'	=>	'00100',
		'ámüv'	=>	'00100',
		'ámüz'	=>	'00100',
		'áműt'	=>	'03000',
		'áműz'	=>	'00120',
		'ámvasu'	=>	'0000212',
		'ánabl'	=>	'021000',
		'ánacé'	=>	'021200',
		'ánach'	=>	'001000',
		'ánada'	=>	'001000',
		'ánae'	=>	'00002',
		'ánafr'	=>	'001000',
		'ánagya'	=>	'0010000',
		'ánajt'	=>	'001000',
		'ánaká'	=>	'021000',
		'ánakc'	=>	'021000',
		'ánakr'	=>	'021000',
		'ánala'	=>	'021200',
		'ánalk'	=>	'001000',
		'ánall'	=>	'021000',
		'ánanó'	=>	'021000',
		'ánanya'	=>	'0010000',
		'ánao'	=>	'02120',
		'ánap'	=>	'00020',
		'ánapa'	=>	'001000',
		'ánapi'	=>	'000010',
		'ánara'	=>	'001000',
		'ánarc'	=>	'021000',
		'ánassz'	=>	'0010000',
		'ánatol'	=>	'0002000',
		'ánator'	=>	'0002000',
		'ánatű'	=>	'000210',
		'ánau'	=>	'02120',
		'ánava'	=>	'001000',
		'ánábr'	=>	'001000',
		'ánág'	=>	'02100',
		'ánáll'	=>	'021000',
		'ánárad'	=>	'0010000',
		'ánári'	=>	'001200',
		'ánárm'	=>	'001000',
		'ánárn'	=>	'001000',
		'ánáro'	=>	'001000',
		'ánáru'	=>	'001000',
		'ánásv'	=>	'001000',
		'ánáta'	=>	'000210',
		'ánátá'	=>	'000210',
		'ánáz'	=>	'02120',
		'ánbl'	=>	'00100',
		'ánbr'	=>	'00100',
		'áncac'	=>	'002000',
		'áncad'	=>	'002100',
		'áncaj'	=>	'002000',
		'áncal'	=>	'002000',
		'áncan'	=>	'002120',
		'áncar'	=>	'002000',
		'áncas'	=>	'002100',
		'áncat'	=>	'002000',
		'áncau'	=>	'002100',
		'áncál'	=>	'002100',
		'áncáro'	=>	'0021200',
		'áncás'	=>	'002000',
		'ánced'	=>	'002100',
		'ánceg'	=>	'002120',
		'áncel'	=>	'000020',
		'áncele'	=>	'0001000',
		'áncelt'	=>	'0021000',
		'áncer'	=>	'002100',
		'ánces'	=>	'002120',
		'áncet'	=>	'002100',
		'áncez'	=>	'002000',
		'áncéhe'	=>	'0001000',
		'áncéne'	=>	'0001200',
		'ánch'	=>	'00230',
		'áncill'	=>	'0021000',
		'áncim'	=>	'002000',
		'áncip'	=>	'000020',
		'áncipa'	=>	'0001000',
		'áncir'	=>	'002100',
		'áncis'	=>	'002120',
		'áncó'	=>	'00212',
		'áncö'	=>	'00212',
		'áncő'	=>	'00200',
		'áncsan'	=>	'0000100',
		'áncsás'	=>	'0003000',
		'áncseb'	=>	'0023000',
		'áncses'	=>	'0000100',
		'áncspo'	=>	'0003000',
		'áncsza'	=>	'0003000',
		'áncü'	=>	'00200',
		'áncz'	=>	'00200',
		'áned'	=>	'00020',
		'ánedé'	=>	'001000',
		'ánef'	=>	'02100',
		'áneg'	=>	'02120',
		'ánel'	=>	'02120',
		'ánemb'	=>	'001000',
		'ánemi'	=>	'001200',
		'áneml'	=>	'001000',
		'ánemu'	=>	'001200',
		'ánen'	=>	'02100',
		'ánep'	=>	'02120',
		'ánes'	=>	'00100',
		'ánet'	=>	'02120',
		'áneu'	=>	'00120',
		'ánex'	=>	'02100',
		'ánez'	=>	'00100',
		'ánéd'	=>	'02120',
		'ánég'	=>	'02120',
		'ánékn'	=>	'021000',
		'ánéks'	=>	'001000',
		'ánél'	=>	'02120',
		'ánéne'	=>	'021200',
		'ánépí'	=>	'001000',
		'ánépü'	=>	'001000',
		'ánérc'	=>	'021000',
		'ánérd'	=>	'020000',
		'ánéré'	=>	'021000',
		'ánérl'	=>	'021000',
		'ánéte'	=>	'001000',
		'ánévad'	=>	'0200000',
		'ánéve'	=>	'021000',
		'ánévé'	=>	'021200',
		'ánfr'	=>	'00120',
		'ángab'	=>	'002000',
		'ángar'	=>	'002120',
		'ángára'	=>	'0021000',
		'ángáss'	=>	'0000010',
		'ángát'	=>	'002100',
		'ánged'	=>	'002000',
		'ángel'	=>	'002100',
		'ánges'	=>	'000020',
		'ángés'	=>	'002120',
		'ángg'	=>	'00030',
		'ángit'	=>	'002100',
		'ángiv'	=>	'002100',
		'ángí'	=>	'00200',
		'ángosz'	=>	'0021000',
		'ángőr'	=>	'002000',
		'ángus'	=>	'002100',
		'ángü'	=>	'00200',
		'ángyas'	=>	'0020000',
		'ánid'	=>	'02120',
		'ánif'	=>	'02100',
		'ániga'	=>	'021200',
		'ánigé'	=>	'001000',
		'ánika'	=>	'000210',
		'ániká'	=>	'000210',
		'ánike'	=>	'000200',
		'ánill'	=>	'001000',
		'ánim'	=>	'02100',
		'ánind'	=>	'001000',
		'áninn'	=>	'001000',
		'ánip'	=>	'02120',
		'ánirr'	=>	'020000',
		'ánirt'	=>	'001000',
		'ánisk'	=>	'001000',
		'ánism'	=>	'001000',
		'ánisz'	=>	'021200',
		'ánitá'	=>	'000200',
		'ánite'	=>	'000212',
		'ánití'	=>	'000210',
		'ánitol'	=>	'0002000',
		'ánitor'	=>	'0002100',
		'ánizo'	=>	'001000',
		'áníg'	=>	'00100',
		'ánív'	=>	'00100',
		'áníz'	=>	'00100',
		'ánkaj'	=>	'002000',
		'ánkaro'	=>	'0001000',
		'ánkern'	=>	'0020000',
		'ánkli'	=>	'001200',
		'ánklo'	=>	'001200',
		'ánklu'	=>	'001000',
		'ánkrá'	=>	'001200',
		'ánnye'	=>	'003000',
		'ánnyí'	=>	'003000',
		'ánnyo'	=>	'003000',
		'ánnyu'	=>	'003000',
		'ánob'	=>	'02120',
		'ánokir'	=>	'0210000',
		'ánokta'	=>	'0210000',
		'ánoku'	=>	'021200',
		'ánold'	=>	'001000',
		'ánoli'	=>	'001000',
		'ánom'	=>	'03000',
		'ánonim'	=>	'0002120',
		'ánor'	=>	'02120',
		'ánoszl'	=>	'0010000',
		'ánott'	=>	'001000',
		'ánox'	=>	'02100',
		'ánóri'	=>	'001000',
		'ánök'	=>	'00100',
		'ánöl'	=>	'02100',
		'ánöm'	=>	'00100',
		'ánön'	=>	'02100',
		'ánör'	=>	'02100',
		'ánös'	=>	'02100',
		'ánöt'	=>	'02100',
		'ánövö'	=>	'001000',
		'ánőr'	=>	'02100',
		'ánős'	=>	'00120',
		'ánőz'	=>	'02120',
		'ánpl'	=>	'00100',
		'ánpr'	=>	'00100',
		'ánses'	=>	'002000',
		'ánsér'	=>	'002100',
		'ánsis'	=>	'002000',
		'ánsiz'	=>	'002000',
		'ánspe'	=>	'001200',
		'ánspi'	=>	'001200',
		'ánst'	=>	'00002',
		'ánstr'	=>	'001000',
		'ánsüld'	=>	'0001000',
		'ánszl'	=>	'001000',
		'ántacé'	=>	'0001000',
		'ántany'	=>	'0001200',
		'ántaz'	=>	'002000',
		'ántág'	=>	'002120',
		'ántáp'	=>	'000020',
		'ántárb'	=>	'0021000',
		'ántári'	=>	'0021000',
		'ánted'	=>	'002100',
		'ánteké'	=>	'0001000',
		'ántelh'	=>	'0001000',
		'ántez'	=>	'002000',
		'ántéke'	=>	'0001000',
		'ántérte'	=>	'00200000',
		'ántid'	=>	'002000',
		'ántipa'	=>	'0021000',
		'ántist'	=>	'0001000',
		'ántiz'	=>	'002100',
		'ántív'	=>	'002100',
		'ántök'	=>	'002000',
		'ántös'	=>	'002100',
		'ántrak'	=>	'0012000',
		'ántran'	=>	'0010000',
		'ántül'	=>	'002120',
		'ánud'	=>	'02100',
		'ánug'	=>	'02100',
		'ánuj'	=>	'02100',
		'ánur'	=>	'02120',
		'ánut'	=>	'02120',
		'ánúr'	=>	'00100',
		'ánút'	=>	'00020',
		'ánútj'	=>	'001000',
		'ánúto'	=>	'021000',
		'ánútt'	=>	'001000',
		'ánüg'	=>	'00120',
		'ánül'	=>	'00120',
		'ánüt'	=>	'00120',
		'ánüv'	=>	'00120',
		'ánüz'	=>	'00120',
		'ánűz'	=>	'00100',
		'ányadás'	=>	'00010000',
		'ányadó'	=>	'0001200',
		'ányagg'	=>	'0001000',
		'ányakc'	=>	'0001000',
		'ányalap'	=>	'00010000',
		'ányalk'	=>	'0001000',
		'ányall'	=>	'0001000',
		'ányanya'	=>	'00010000',
		'ányanyá'	=>	'00010000',
		'ányapá'	=>	'0001000',
		'ányara'	=>	'0001000',
		'ányará'	=>	'0001000',
		'ányart'	=>	'0001000',
		'ányassz'	=>	'00010000',
		'ányaszt'	=>	'00010000',
		'ányál'	=>	'020120',
		'ányáras'	=>	'00012000',
		'ányárá'	=>	'0201200',
		'ányárb'	=>	'0201000',
		'ányárc'	=>	'0001000',
		'ányárf'	=>	'0201000',
		'ányárh'	=>	'0001000',
		'ányárk'	=>	'0001000',
		'ányárn'	=>	'0201000',
		'ányáro'	=>	'0201200',
		'ányárr'	=>	'0201000',
		'ányárs'	=>	'0201000',
		'ányárt'	=>	'0201000',
		'ányáru'	=>	'0001000',
		'ányárú'	=>	'0001000',
		'ányátl'	=>	'0201000',
		'ányáz'	=>	'020120',
		'ányed'	=>	'000100',
		'ányeg'	=>	'020120',
		'ányegyez'	=>	'000000001',
		'ányel'	=>	'000100',
		'ányele'	=>	'0000200',
		'ányem'	=>	'020120',
		'ányen'	=>	'000100',
		'ányep'	=>	'020100',
		'ányeső'	=>	'0001000',
		'ányet'	=>	'000100',
		'ányev'	=>	'000120',
		'ányéd'	=>	'020100',
		'ányég'	=>	'020100',
		'ányéhe'	=>	'0200000',
		'ányéj'	=>	'020120',
		'ányék'	=>	'020120',
		'ányél'	=>	'020100',
		'ányéne'	=>	'0201200',
		'ányérre'	=>	'00010000',
		'ányérte'	=>	'02010000',
		'ányérté'	=>	'02010000',
		'ányérü'	=>	'0000210',
		'ányérvé'	=>	'00010000',
		'ányés'	=>	'020100',
		'ányéte'	=>	'0200000',
		'ányétk'	=>	'0200000',
		'ányétt'	=>	'0201000',
		'ányéve'	=>	'0200000',
		'ányfélév'	=>	'000002120',
		'ányid'	=>	'020100',
		'ányigé'	=>	'0200000',
		'ányike'	=>	'0200000',
		'ányikr'	=>	'0201000',
		'ányirat'	=>	'02000000',
		'ányiro'	=>	'0200000',
		'ányisk'	=>	'0200000',
		'ányisz'	=>	'0201000',
		'ányita'	=>	'0200000',
		'ányíró'	=>	'0001200',
		'ányoml'	=>	'0201000',
		'ányont'	=>	'0201000',
		'ányor'	=>	'020120',
		'ányosz'	=>	'0200000',
		'ányök'	=>	'000100',
		'ányör'	=>	'000120',
		'ányös'	=>	'020100',
		'ányöz'	=>	'000100',
		'ányő'	=>	'02012',
		'ánytr'	=>	'000100',
		'ányug'	=>	'020000',
		'ányur'	=>	'020100',
		'ányut'	=>	'000100',
		'ányúto'	=>	'0200000',
		'ányü'	=>	'02012',
		'ányű'	=>	'02012',
		'ánzál'	=>	'002000',
		'áo'	=>	'010',
		'áocs'	=>	'00200',
		'áoká'	=>	'00200',
		'áoko'	=>	'00200',
		'áomo'	=>	'00200',
		'áope'	=>	'00200',
		'áoso'	=>	'00200',
		'áoszan'	=>	'0020000',
		'áosze'	=>	'002010',
		'áoszis'	=>	'0020000',
		'áosziv'	=>	'0020000',
		'áoszú'	=>	'002000',
		'áó'	=>	'010',
		'áóha'	=>	'00200',
		'áóva'	=>	'00200',
		'áö'	=>	'010',
		'áöle'	=>	'00200',
		'áömö'	=>	'00200',
		'áöre'	=>	'00200',
		'áörö'	=>	'00200',
		'áő'	=>	'010',
		'áősz'	=>	'00200',
		'ápadot'	=>	'0212000',
		'ápatr'	=>	'000100',
		'ápau'	=>	'00032',
		'ápág'	=>	'02100',
		'ápáll'	=>	'001000',
		'ápáta'	=>	'001000',
		'ápdr'	=>	'00100',
		'ápeg'	=>	'00100',
		'ápel'	=>	'00120',
		'ápem'	=>	'00120',
		'ápen'	=>	'00020',
		'ápes'	=>	'02120',
		'ápet'	=>	'00120',
		'ápég'	=>	'02100',
		'ápéte'	=>	'001200',
		'ápiac'	=>	'000200',
		'ápiav'	=>	'000200',
		'ápim'	=>	'02100',
		'ápinj'	=>	'001000',
		'ápint'	=>	'001000',
		'ápit'	=>	'00020',
		'ápita'	=>	'021000',
		'ápín'	=>	'02100',
		'ápoll'	=>	'020000',
		'ápore'	=>	'000210',
		'ápőr'	=>	'00100',
		'ápro'	=>	'00200',
		'áptr'	=>	'00120',
		'ápug'	=>	'02100',
		'áput'	=>	'02120',
		'ápúr'	=>	'02100',
		'ápüg'	=>	'00100',
		'ápüz'	=>	'00100',
		'árabl'	=>	'021000',
		'árabr'	=>	'021000',
		'árabs'	=>	'021000',
		'áradag'	=>	'0010000',
		'áradata'	=>	'02000000',
		'áradatá'	=>	'02000000',
		'áradatb'	=>	'02000000',
		'áradaté'	=>	'10000000',
		'áradatn'	=>	'02000000',
		'áradato'	=>	'02000000',
		'áradatr'	=>	'12000000',
		'áradatt'	=>	'02000000',
		'áragá'	=>	'001200',
		'árajk'	=>	'021000',
		'árakad'	=>	'0212000',
		'árakas'	=>	'0212000',
		'árakc'	=>	'021000',
		'áraknát'	=>	'02000000',
		'árakti'	=>	'0010000',
		'áraktí'	=>	'0010000',
		'áralá'	=>	'001000',
		'áraljak'	=>	'02000000',
		'áraljá'	=>	'0210000',
		'áralk'	=>	'001000',
		'árall'	=>	'001000',
		'áralm'	=>	'021000',
		'áralt'	=>	'001000',
		'áralv'	=>	'021000',
		'áramai'	=>	'1000000',
		'áramá'	=>	'120000',
		'áramál'	=>	'0002000',
		'áramel'	=>	'0002100',
		'áramérté'	=>	'000210000',
		'árami'	=>	'120000',
		'áramin'	=>	'0002100',
		'áramkö'	=>	'1200000',
		'áramok'	=>	'1200000',
		'áramol'	=>	'1200000',
		'áramot'	=>	'1200000',
		'árams'	=>	'120000',
		'áramu'	=>	'120000',
		'áramú'	=>	'120000',
		'árana'	=>	'001000',
		'árang'	=>	'001000',
		'árano'	=>	'001200',
		'árant'	=>	'021000',
		'árapá'	=>	'001200',
		'árapó'	=>	'001200',
		'áraps'	=>	'001000',
		'árará'	=>	'021200',
		'árarc'	=>	'021000',
		'árari'	=>	'001200',
		'árasp'	=>	'021000',
		'árataj'	=>	'0002000',
		'áratal'	=>	'0002000',
		'áratav'	=>	'0002000',
		'áratál'	=>	'0002000',
		'áratinf'	=>	'00021000',
		'áratlé'	=>	'0010000',
		'áratü'	=>	'000212',
		'áraty'	=>	'001000',
		'árábr'	=>	'021000',
		'árác'	=>	'00020',
		'árág'	=>	'00020',
		'árága'	=>	'001000',
		'árágr'	=>	'001000',
		'árágy'	=>	'001000',
		'árálo'	=>	'001200',
		'áráp'	=>	'02120',
		'árárak'	=>	'0212000',
		'árárá'	=>	'021200',
		'árárb'	=>	'021000',
		'árárf'	=>	'021000',
		'árári'	=>	'021200',
		'árárk'	=>	'021000',
		'áráro'	=>	'021200',
		'árárr'	=>	'021000',
		'árárt'	=>	'021000',
		'áráru'	=>	'001200',
		'árárú'	=>	'001000',
		'árárv'	=>	'001000',
		'árásás'	=>	'0210000',
		'árászó'	=>	'0002000',
		'áráta'	=>	'021200',
		'árátad'	=>	'0000120',
		'árátá'	=>	'021000',
		'árátb'	=>	'001000',
		'árátc'	=>	'021000',
		'árátd'	=>	'021000',
		'áráte'	=>	'001212',
		'áráté'	=>	'021000',
		'árátf'	=>	'021000',
		'áráth'	=>	'021000',
		'áráti'	=>	'021200',
		'árátj'	=>	'021000',
		'árátk'	=>	'021000',
		'árátm'	=>	'021000',
		'árátö'	=>	'021200',
		'árátr'	=>	'021000',
		'áráts'	=>	'021000',
		'árátt'	=>	'021000',
		'árátú'	=>	'021000',
		'árátv'	=>	'021000',
		'árbl'	=>	'00100',
		'árboc'	=>	'100000',
		'árbr'	=>	'00100',
		'árdál'	=>	'002100',
		'árdell'	=>	'0001000',
		'árdeme'	=>	'0001000',
		'árdén'	=>	'002120',
		'árdőr'	=>	'002100',
		'árdrá'	=>	'001000',
		'árdud'	=>	'002000',
		'áreá'	=>	'00020',
		'áred'	=>	'00120',
		'áreg'	=>	'02120',
		'árej'	=>	'00100',
		'árel'	=>	'02120',
		'árelőir'	=>	'00000030',
		'árema'	=>	'000200',
		'áremél'	=>	'0002000',
		'áren'	=>	'00020',
		'árene'	=>	'001000',
		'áreng'	=>	'001000',
		'árer'	=>	'02120',
		'áresé'	=>	'001200',
		'áreső'	=>	'001200',
		'árevé'	=>	'001000',
		'árex'	=>	'02100',
		'árébr'	=>	'001000',
		'áréde'	=>	'001000',
		'árég'	=>	'02120',
		'áréje'	=>	'001200',
		'áréjs'	=>	'001000',
		'áréke'	=>	'021200',
		'áréké'	=>	'021200',
		'áréks'	=>	'021000',
		'árél'	=>	'02120',
		'áréne'	=>	'021200',
		'árép'	=>	'02100',
		'áréré'	=>	'021000',
		'áréri'	=>	'021200',
		'áréss'	=>	'001000',
		'árész'	=>	'001000',
		'árétk'	=>	'020000',
		'árétr'	=>	'021000',
		'árétt'	=>	'021000',
		'árétv'	=>	'021000',
		'árévek'	=>	'0002000',
		'árévk'	=>	'021000',
		'árévr'	=>	'021000',
		'árfl'	=>	'00100',
		'árfr'	=>	'00120',
		'árgáss'	=>	'0000010',
		'árgl'	=>	'00100',
		'árgr'	=>	'00120',
		'árgyárv'	=>	'00200000',
		'árgyir'	=>	'0020000',
		'árgyol'	=>	'0020000',
		'árgyó'	=>	'002000',
		'áride'	=>	'021200',
		'áridé'	=>	'021200',
		'áridőtl'	=>	'03230000',
		'árifj'	=>	'001000',
		'árig'	=>	'00020',
		'áriga'	=>	'021000',
		'árigá'	=>	'021000',
		'árige'	=>	'021000',
		'árill'	=>	'021000',
		'árimá'	=>	'021200',
		'árimb'	=>	'001000',
		'árimi'	=>	'021200',
		'árinas'	=>	'0200000',
		'árinc'	=>	'021000',
		'árind'	=>	'021000',
		'árinf'	=>	'021000',
		'áring'	=>	'021000',
		'árinn'	=>	'001000',
		'árint'	=>	'021000',
		'árinv'	=>	'021000',
		'ário'	=>	'02000',
		'áriparo'	=>	'02120000',
		'árise'	=>	'000210',
		'árisko'	=>	'0010000',
		'áriste'	=>	'0010000',
		'árisza'	=>	'0012000',
		'árita'	=>	'021200',
		'árizo'	=>	'001200',
		'árír'	=>	'02100',
		'árív'	=>	'00100',
		'áríz'	=>	'02120',
		'árkak'	=>	'000012',
		'árkádo'	=>	'1000000',
		'árkl'	=>	'00120',
		'árkok'	=>	'100000',
		'árkré'	=>	'001000',
		'árkv'	=>	'00120',
		'árnáss'	=>	'0000030',
		'árnyan'	=>	'0000020',
		'árnyany'	=>	'00201000',
		'árnyel'	=>	'0000020',
		'árnyele'	=>	'00201000',
		'árnyelő'	=>	'00200000',
		'árnyem'	=>	'0020000',
		'árnyes'	=>	'0020000',
		'árnyok'	=>	'0020000',
		'árnyol'	=>	'0020100',
		'árnyos'	=>	'0020000',
		'árnyö'	=>	'002000',
		'árnyü'	=>	'002000',
		'árodv'	=>	'001000',
		'ároká'	=>	'020200',
		'ároke'	=>	'000210',
		'árokha'	=>	'0200000',
		'árokm'	=>	'020000',
		'árokol'	=>	'0002000',
		'árokoz'	=>	'0212000',
		'árokre'	=>	'0200000',
		'ároks'	=>	'120000',
		'árokta'	=>	'0200000',
		'árolda'	=>	'0210000',
		'ároma'	=>	'000002',
		'áromaj'	=>	'0002000',
		'áromak'	=>	'0002000',
		'áromal'	=>	'0002100',
		'áromas'	=>	'0002100',
		'áromár'	=>	'0002000',
		'áromok'	=>	'0002100',
		'áromos'	=>	'0002100',
		'áropt'	=>	'001000',
		'áror'	=>	'02120',
		'árosas'	=>	'0002000',
		'árosál'	=>	'0002000',
		'áross'	=>	'000030',
		'árostr'	=>	'0210000',
		'árosty'	=>	'0210000',
		'árotth'	=>	'0010000',
		'árov'	=>	'02120',
		'áróér'	=>	'000020',
		'árónét'	=>	'0012000',
		'árónév'	=>	'0012000',
		'áróp'	=>	'00012',
		'árórak'	=>	'0212000',
		'árórák'	=>	'0002000',
		'áróri'	=>	'021000',
		'áróská'	=>	'0001000',
		'árósp'	=>	'000120',
		'áröb'	=>	'00120',
		'áröc'	=>	'00100',
		'árök'	=>	'00100',
		'áröl'	=>	'02120',
		'árön'	=>	'02100',
		'árör'	=>	'00100',
		'árös'	=>	'02100',
		'áröv'	=>	'00100',
		'áröz'	=>	'02120',
		'árőr'	=>	'00120',
		'árős'	=>	'00120',
		'árpl'	=>	'00100',
		'árpr'	=>	'00120',
		'árps'	=>	'00120',
		'ársala'	=>	'0021000',
		'ársasz'	=>	'0001000',
		'ársál'	=>	'002100',
		'ársed'	=>	'002000',
		'ársel'	=>	'002120',
		'ársem'	=>	'002000',
		'ársen'	=>	'002100',
		'árses'	=>	'002000',
		'árség'	=>	'002120',
		'ársip'	=>	'002000',
		'ársirá'	=>	'0020000',
		'ársokt'	=>	'0001000',
		'ársol'	=>	'002100',
		'ársóv'	=>	'002000',
		'ársön'	=>	'002100',
		'árss'	=>	'00030',
		'árstab'	=>	'0012000',
		'ársut'	=>	'002000',
		'árszaké'	=>	'00000200',
		'árszene'	=>	'00230000',
		'ártado'	=>	'0020000',
		'ártaj'	=>	'002100',
		'ártalo'	=>	'1000000',
		'ártanás'	=>	'00002120',
		'ártará'	=>	'0001000',
		'ártaris'	=>	'00012000',
		'ártau'	=>	'000032',
		'ártáll'	=>	'0001000',
		'ártárn'	=>	'0021000',
		'ártáru'	=>	'0021200',
		'árteg'	=>	'002120',
		'ártelh'	=>	'0001000',
		'árteli'	=>	'0001000',
		'ártell'	=>	'0001000',
		'árteln'	=>	'0001000',
		'ártelő'	=>	'0021000',
		'ártemb'	=>	'0001000',
		'árterk'	=>	'0021000',
		'ártes'	=>	'000020',
		'ártese'	=>	'0001000',
		'ártesth'	=>	'00010000',
		'árteti'	=>	'0001000',
		'ártéle'	=>	'0001000',
		'ártérd'	=>	'0021000',
		'ártérte'	=>	'00210000',
		'ártid'	=>	'002000',
		'ártif'	=>	'002000',
		'ártins'	=>	'0021000',
		'ártint'	=>	'0021000',
		'ártizg'	=>	'0001000',
		'ártít'	=>	'002000',
		'ártokta'	=>	'00210000',
		'ártop'	=>	'002000',
		'ártotth'	=>	'00010000',
		'ártön'	=>	'002100',
		'ártös'	=>	'002100',
		'ártura'	=>	'0021000',
		'ártusz'	=>	'0001200',
		'ártut'	=>	'002100',
		'árua'	=>	'12000',
		'áruá'	=>	'00002',
		'árub'	=>	'12012',
		'áruc'	=>	'12000',
		'árud'	=>	'02000',
		'áruda'	=>	'100000',
		'árudá'	=>	'100000',
		'árue'	=>	'12000',
		'árué'	=>	'12000',
		'áruf'	=>	'12000',
		'árugy'	=>	'100000',
		'árui'	=>	'12000',
		'áruj'	=>	'02000',
		'árujá'	=>	'100000',
		'árum'	=>	'12000',
		'áruna'	=>	'120000',
		'áruná'	=>	'120000',
		'árund'	=>	'021000',
		'áruni'	=>	'020000',
		'áruo'	=>	'12000',
		'árup'	=>	'12012',
		'árur'	=>	'02000',
		'árurá'	=>	'001000',
		'árus'	=>	'12000',
		'áruss'	=>	'000030',
		'árut'	=>	'02000',
		'árutal'	=>	'0002000',
		'árutas'	=>	'0002000',
		'árute'	=>	'100000',
		'árutr'	=>	'000100',
		'árutun'	=>	'0002000',
		'áruü'	=>	'12000',
		'áruv'	=>	'12000',
		'áruz'	=>	'00120',
		'árúé'	=>	'12000',
		'árúk'	=>	'12000',
		'árúré'	=>	'001000',
		'árúrf'	=>	'001000',
		'árúsz'	=>	'001000',
		'árúta'	=>	'021000',
		'árútb'	=>	'021000',
		'árúté'	=>	'021000',
		'árúth'	=>	'021000',
		'árúti'	=>	'021200',
		'árútj'	=>	'021000',
		'árútl'	=>	'001000',
		'árútn'	=>	'021000',
		'árúto'	=>	'021200',
		'árútr'	=>	'021000',
		'árúts'	=>	'001000',
		'árútt'	=>	'021000',
		'árüg'	=>	'00120',
		'árül'	=>	'00120',
		'árün'	=>	'00100',
		'árür'	=>	'00100',
		'árüs'	=>	'00120',
		'árüt'	=>	'00100',
		'árüv'	=>	'00120',
		'árüz'	=>	'00100',
		'árűr'	=>	'00100',
		'árűz'	=>	'00120',
		'árvác'	=>	'100000',
		'ásab'	=>	'00020',
		'ásabl'	=>	'021000',
		'ásabo'	=>	'001000',
		'ásadat'	=>	'0012000',
		'ásadá'	=>	'021200',
		'ásado'	=>	'001200',
		'ásadó'	=>	'021200',
		'ásajá'	=>	'021200',
		'ásajtó'	=>	'0010000',
		'ásakar'	=>	'0212000',
		'ásakc'	=>	'021000',
		'ásakv'	=>	'021000',
		'ásala'	=>	'001200',
		'ásalg'	=>	'001000',
		'ásali'	=>	'001200',
		'ásalj'	=>	'001000',
		'ásalk'	=>	'001000',
		'ásall'	=>	'001000',
		'ásalm'	=>	'001000',
		'ásalt'	=>	'021000',
		'ásamb'	=>	'021000',
		'ásan'	=>	'00020',
		'ásana'	=>	'021000',
		'ásanó'	=>	'021000',
		'ásant'	=>	'021000',
		'ásany'	=>	'021000',
		'ásapá'	=>	'001200',
		'ásapp'	=>	'001000',
		'ásapu'	=>	'001000',
		'ásara'	=>	'001200',
		'ásarán'	=>	'0012000',
		'ásarc'	=>	'021000',
		'ásaré'	=>	'021000',
		'ásari'	=>	'021200',
		'ásart'	=>	'001000',
		'ásarz'	=>	'001000',
		'ásasp'	=>	'001000',
		'ásass'	=>	'020000',
		'ásatá'	=>	'120000',
		'ásatl'	=>	'021000',
		'ásato'	=>	'020000',
		'ásaty'	=>	'001000',
		'ásau'	=>	'02120',
		'ásazo'	=>	'021000',
		'ásábé'	=>	'020000',
		'ásábr'	=>	'021000',
		'áságai'	=>	'0002000',
		'áságb'	=>	'021000',
		'áságig'	=>	'0212000',
		'áságk'	=>	'021000',
		'áságn'	=>	'001000',
		'áságú'	=>	'021200',
		'ásál'	=>	'02100',
		'ásáp'	=>	'02120',
		'ásáras'	=>	'0010000',
		'ásárét'	=>	'0002000',
		'ásáró'	=>	'000002',
		'ásárón'	=>	'0002000',
		'ásásb'	=>	'120000',
		'ásási'	=>	'120000',
		'ásásk'	=>	'100000',
		'ásásv'	=>	'001000',
		'ásáta'	=>	'001200',
		'ásátá'	=>	'021000',
		'ásáté'	=>	'001000',
		'ásáth'	=>	'001000',
		'ásáti'	=>	'001000',
		'ásátj'	=>	'001000',
		'ásátk'	=>	'001000',
		'ásátl'	=>	'021000',
		'ásátr'	=>	'021000',
		'ásáts'	=>	'001000',
		'ásátt'	=>	'001000',
		'ásátv'	=>	'001000',
		'ásáz'	=>	'02120',
		'ásbl'	=>	'00100',
		'ásbr'	=>	'00100',
		'áscsapá'	=>	'00000212',
		'ásdr'	=>	'00120',
		'áseb'	=>	'00120',
		'ásed'	=>	'02120',
		'ásef'	=>	'02100',
		'ásegy'	=>	'001200',
		'ásel'	=>	'02120',
		'ásem'	=>	'02120',
		'ásen'	=>	'02120',
		'ásepi'	=>	'001000',
		'áserk'	=>	'001000',
		'áserő'	=>	'001000',
		'áses'	=>	'02120',
		'áset'	=>	'02120',
		'ásev'	=>	'00120',
		'ásex'	=>	'00100',
		'ásez'	=>	'00100',
		'áség'	=>	'02120',
		'áséhe'	=>	'021000',
		'áséj'	=>	'02100',
		'ásék'	=>	'02120',
		'ásél'	=>	'02120',
		'áséne'	=>	'021200',
		'ásép'	=>	'02100',
		'ásérd'	=>	'021000',
		'ásére'	=>	'021200',
		'áséré'	=>	'021200',
		'áséri'	=>	'021200',
		'ásérl'	=>	'021000',
		'ásérs'	=>	'021000',
		'ásérte'	=>	'0210000',
		'ásérté'	=>	'0210000',
		'ásértő'	=>	'0210000',
		'ásérv'	=>	'021000',
		'ásés'	=>	'02120',
		'áséte'	=>	'021200',
		'ásétk'	=>	'001000',
		'ásétt'	=>	'001000',
		'áséve'	=>	'021200',
		'ásfl'	=>	'00100',
		'ásfr'	=>	'00100',
		'ásgl'	=>	'00100',
		'ásgr'	=>	'00100',
		'ásid'	=>	'02120',
		'ásif'	=>	'02100',
		'ásig'	=>	'00020',
		'ásiga'	=>	'001000',
		'ásige'	=>	'001000',
		'ásike'	=>	'000210',
		'ásill'	=>	'021000',
		'ásimá'	=>	'021000',
		'ásimp'	=>	'001000',
		'ásind'	=>	'001000',
		'ásinf'	=>	'001000',
		'ásing'	=>	'021000',
		'ásini'	=>	'021000',
		'ásint'	=>	'021000',
		'ásinv'	=>	'001000',
		'ásip'	=>	'02120',
		'ásirat'	=>	'0212000',
		'ásirá'	=>	'021200',
		'ásiro'	=>	'001000',
		'ásirt'	=>	'001000',
		'ásisk'	=>	'021000',
		'ásism'	=>	'021000',
		'ásist'	=>	'001000',
		'ásisz'	=>	'001200',
		'ásita'	=>	'001000',
		'ásiz'	=>	'02100',
		'ásíg'	=>	'00100',
		'ásíj'	=>	'02100',
		'ásíns'	=>	'001000',
		'ásír'	=>	'00020',
		'ásírá'	=>	'001000',
		'ásíró'	=>	'001000',
		'ásív'	=>	'02120',
		'ásíz'	=>	'02120',
		'áskl'	=>	'00100',
		'áskr'	=>	'00120',
		'áskv'	=>	'00100',
		'ásnu'	=>	'10000',
		'ásob'	=>	'02100',
		'ásoda'	=>	'000002',
		'ásodal'	=>	'0002100',
		'ásodan'	=>	'0002100',
		'ásodas'	=>	'0002100',
		'ásodau'	=>	'0002000',
		'ásodál'	=>	'0002100',
		'ásokl'	=>	'001000',
		'ásokm'	=>	'001000',
		'ásokta'	=>	'0010000',
		'ásoldó'	=>	'0010000',
		'ásoli'	=>	'001000',
		'ásont'	=>	'021000',
		'ásop'	=>	'02100',
		'ásorá'	=>	'001200',
		'ásorg'	=>	'021000',
		'ásori'	=>	'020000',
		'ásork'	=>	'021000',
		'ásorr'	=>	'001000',
		'ásors'	=>	'021000',
		'ásorv'	=>	'021000',
		'ásosz'	=>	'001000',
		'ásov'	=>	'02120',
		'ásób'	=>	'12000',
		'ásóé'	=>	'12000',
		'ásóg'	=>	'12000',
		'ásói'	=>	'12000',
		'ásój'	=>	'12000',
		'ásók'	=>	'12000',
		'ásón'	=>	'12000',
		'ásóp'	=>	'00012',
		'ásór'	=>	'02000',
		'ásórá'	=>	'001200',
		'ásóri'	=>	'001000',
		'ásóró'	=>	'100000',
		'ásós'	=>	'02000',
		'ásósá'	=>	'001200',
		'ásót'	=>	'12000',
		'ásóv'	=>	'02000',
		'ásök'	=>	'02120',
		'ásöl'	=>	'00120',
		'ásön'	=>	'00100',
		'ásör'	=>	'02120',
		'ásös'	=>	'02100',
		'ásöv'	=>	'00120',
		'ásöz'	=>	'02120',
		'ásőr'	=>	'00120',
		'ásős'	=>	'00120',
		'áspic'	=>	'010000',
		'áspl'	=>	'00120',
		'áspór'	=>	'012000',
		'áspr'	=>	'00020',
		'ásps'	=>	'00100',
		'ássk'	=>	'00120',
		'ássp'	=>	'00120',
		'ássr'	=>	'00100',
		'ásst'	=>	'00120',
		'ássz'	=>	'00002',
		'ásszab'	=>	'0030000',
		'ásszag'	=>	'0030000',
		'ásszaka'	=>	'00300000',
		'ásszaké'	=>	'00300000',
		'ásszáj'	=>	'0030000',
		'ásszám'	=>	'0030000',
		'ásszáz'	=>	'0030000',
		'ássze'	=>	'003000',
		'ásszél'	=>	'0030000',
		'ásszf'	=>	'003000',
		'ásszi'	=>	'003000',
		'ásszí'	=>	'003000',
		'ásszk'	=>	'003000',
		'ásszoc'	=>	'0030000',
		'ásszok'	=>	'0030000',
		'ásszol'	=>	'0030000',
		'ásszor'	=>	'0030000',
		'ásszó'	=>	'003000',
		'ásszö'	=>	'003000',
		'ásszt'	=>	'003000',
		'ásszú'	=>	'003000',
		'ásszű'	=>	'003000',
		'ásteg'	=>	'002000',
		'ástelem'	=>	'00010000',
		'ástir'	=>	'002000',
		'ástös'	=>	'002100',
		'ástre'	=>	'001200',
		'ástri'	=>	'001000',
		'ástróf'	=>	'0010000',
		'ásud'	=>	'02100',
		'ásuj'	=>	'02100',
		'ásur'	=>	'02120',
		'ásus'	=>	'02120',
		'ásut'	=>	'00020',
		'ásuta'	=>	'001000',
		'ásutá'	=>	'021000',
		'ásutó'	=>	'001000',
		'ásuz'	=>	'02120',
		'ásúrn'	=>	'001000',
		'ásúsz'	=>	'001200',
		'ásúti'	=>	'001000',
		'ásúto'	=>	'001000',
		'ásüd'	=>	'00100',
		'ásüg'	=>	'02100',
		'ásüld'	=>	'001000',
		'ásüle'	=>	'001000',
		'ásün'	=>	'02100',
		'ásür'	=>	'02100',
		'ásüve'	=>	'001200',
		'ásüz'	=>	'02100',
		'ásűr'	=>	'00100',
		'ásűz'	=>	'00120',
		'ászac'	=>	'023000',
		'ászad'	=>	'020120',
		'ászaga'	=>	'0001000',
		'ászagá'	=>	'0001000',
		'ászagy'	=>	'0201000',
		'ászaj'	=>	'020000',
		'ászakc'	=>	'0201000',
		'ászakol'	=>	'00012000',
		'ászakt'	=>	'0201000',
		'ászale'	=>	'0001000',
		'ászalk'	=>	'0201000',
		'ászan'	=>	'000020',
		'ászana'	=>	'0200000',
		'ászant'	=>	'0201000',
		'ászany'	=>	'0201000',
		'ászap'	=>	'020100',
		'ászas'	=>	'000020',
		'ászasz'	=>	'0001000',
		'ászate'	=>	'0000210',
		'ászau'	=>	'020100',
		'ászavar'	=>	'00300000',
		'ászágg'	=>	'0001000',
		'ászágy'	=>	'0001000',
		'ászálo'	=>	'0001200',
		'ászáp'	=>	'003000',
		'ászáras'	=>	'00002100',
		'ászárih'	=>	'00012000',
		'ászárú'	=>	'0201200',
		'ászáss'	=>	'0000010',
		'ászáta'	=>	'0200000',
		'ászáz'	=>	'020100',
		'ászeb'	=>	'000120',
		'ászebé'	=>	'0000002',
		'ászebéde'	=>	'000001000',
		'ászegé'	=>	'0001200',
		'ászegy'	=>	'0001200',
		'ászeln'	=>	'0001000',
		'ászelv'	=>	'0001000',
		'ászemb'	=>	'0001000',
		'ászene'	=>	'0030000',
		'ászené'	=>	'0030000',
		'ászeng'	=>	'0001000',
		'ászep'	=>	'000120',
		'ászerd'	=>	'0201000',
		'ászeré'	=>	'0201200',
		'ászes'	=>	'020120',
		'ászet'	=>	'000120',
		'ászev'	=>	'000120',
		'ászex'	=>	'000100',
		'ászéj'	=>	'020100',
		'ászékb'	=>	'0201000',
		'ászél'	=>	'020120',
		'ászéne'	=>	'0201200',
		'ászép'	=>	'020100',
		'ászéré'	=>	'0001000',
		'ászéte'	=>	'0201000',
		'ászétt'	=>	'0201000',
		'ászéve'	=>	'0201000',
		'ászid'	=>	'020000',
		'ászif'	=>	'020000',
		'ászill'	=>	'0201000',
		'ászind'	=>	'0200000',
		'ászing'	=>	'0001000',
		'ászip'	=>	'000020',
		'ászipa'	=>	'0201000',
		'ásziro'	=>	'0200000',
		'ászisk'	=>	'0201000',
		'ászism'	=>	'0201000',
		'ászist'	=>	'0001000',
		'ászita'	=>	'0001000',
		'ásziz'	=>	'020000',
		'ászír'	=>	'020000',
		'ászk'	=>	'00012',
		'ászkái'	=>	'1000000',
		'ászokl'	=>	'0200000',
		'ászokm'	=>	'0201000',
		'ászors'	=>	'0001000',
		'ászosz'	=>	'0201000',
		'ászósp'	=>	'0000120',
		'ászöb'	=>	'020120',
		'ászöl'	=>	'000020',
		'ászölt'	=>	'0001000',
		'áször'	=>	'020120',
		'ászös'	=>	'020100',
		'ászövé'	=>	'0001000',
		'ászőr'	=>	'000100',
		'ászős'	=>	'000120',
		'ászsa'	=>	'000300',
		'ászsu'	=>	'003000',
		'ászt'	=>	'00002',
		'ásztr'	=>	'000100',
		'ászuni'	=>	'0200000',
		'ászur'	=>	'020000',
		'ászut'	=>	'020000',
		'ászús'	=>	'000120',
		'ászüg'	=>	'020120',
		'ászün'	=>	'020100',
		'ászüz'	=>	'020120',
		'ászz'	=>	'00010',
		'átabr'	=>	'001000',
		'átajá'	=>	'001200',
		'átajk'	=>	'001000',
		'átajt'	=>	'001000',
		'átakré'	=>	'0001000',
		'átakto'	=>	'0210000',
		'átalh'	=>	'001000',
		'átalja'	=>	'0210000',
		'átalm'	=>	'021000',
		'átals'	=>	'001000',
		'átalu'	=>	'001200',
		'átalvá'	=>	'0010000',
		'átara'	=>	'021200',
		'átará'	=>	'021000',
		'átarc'	=>	'021000',
		'átarz'	=>	'001000',
		'átasá'	=>	'000200',
		'átaut'	=>	'001000',
		'átazo'	=>	'001000',
		'átác'	=>	'00020',
		'átál'	=>	'00100',
		'átáp'	=>	'00020',
		'átápo'	=>	'001000',
		'átárad'	=>	'0212000',
		'átárai'	=>	'0212000',
		'átáram'	=>	'0010000',
		'átárá'	=>	'021200',
		'átárb'	=>	'021000',
		'átárn'	=>	'021000',
		'átáro'	=>	'021200',
		'átárt'	=>	'021000',
		'átáru'	=>	'021200',
		'átásás'	=>	'1210000',
		'átász'	=>	'000230',
		'átátf'	=>	'021000',
		'átátu'	=>	'021000',
		'átátv'	=>	'001000',
		'átbl'	=>	'00100',
		'átbr'	=>	'00100',
		'átbu'	=>	'10000',
		'átdr'	=>	'00100',
		'átec'	=>	'00120',
		'átej'	=>	'00100',
		'átell'	=>	'001000',
		'áteln'	=>	'001000',
		'átelv'	=>	'001000',
		'átemb'	=>	'021000',
		'áteml'	=>	'001000',
		'áteng'	=>	'001000',
		'áterá'	=>	'000200',
		'áteri'	=>	'000002',
		'áterik'	=>	'0002000',
		'áterő'	=>	'001000',
		'átex'	=>	'00100',
		'átéd'	=>	'00120',
		'átée'	=>	'00002',
		'átég'	=>	'00020',
		'átége'	=>	'001000',
		'átégé'	=>	'001000',
		'átékaj'	=>	'0002000',
		'átékal'	=>	'0002120',
		'átékas'	=>	'0002000',
		'átéke'	=>	'000200',
		'átékem'	=>	'0000100',
		'átékes'	=>	'0000100',
		'átékol'	=>	'0002000',
		'átékü'	=>	'000210',
		'átél'	=>	'00120',
		'átép'	=>	'00020',
		'átérb'	=>	'021000',
		'átéri'	=>	'021200',
		'átérr'	=>	'021000',
		'átérz'	=>	'021000',
		'átétá'	=>	'000212',
		'átfés'	=>	'100000',
		'átfr'	=>	'00100',
		'átgr'	=>	'00100',
		'áthia'	=>	'002000',
		'áthid'	=>	'100000',
		'átiag'	=>	'000200',
		'átial'	=>	'000200',
		'átid'	=>	'00020',
		'átig'	=>	'00020',
		'átigé'	=>	'021000',
		'átill'	=>	'001000',
		'áting'	=>	'021000',
		'átipa'	=>	'001200',
		'átirá'	=>	'021000',
		'átisk'	=>	'001000',
		'átist'	=>	'001000',
		'átita'	=>	'021200',
		'átizé'	=>	'021000',
		'átizm'	=>	'021000',
		'átizo'	=>	'021200',
		'átíg'	=>	'00100',
		'átír'	=>	'02120',
		'átív'	=>	'00120',
		'átkel'	=>	'100000',
		'átkl'	=>	'00100',
		'átkr'	=>	'00120',
		'átleg'	=>	'000021',
		'átlege'	=>	'0000002',
		'átműtr'	=>	'0000020',
		'átoj'	=>	'00100',
		'átokol'	=>	'0002000',
		'átokoz'	=>	'0012000',
		'átokta'	=>	'0010000',
		'átolj'	=>	'200000',
		'átolt'	=>	'200000',
		'átoml'	=>	'001000',
		'átont'	=>	'001000',
		'átop'	=>	'00100',
		'átoran'	=>	'0002000',
		'átoras'	=>	'0002000',
		'átorác'	=>	'0002000',
		'átorál'	=>	'0002000',
		'átore'	=>	'000200',
		'átoris'	=>	'0002000',
		'átorol'	=>	'0002100',
		'átorzá'	=>	'0010000',
		'átox'	=>	'02120',
		'átóiko'	=>	'0000200',
		'átóp'	=>	'00012',
		'átóri'	=>	'001000',
		'átöb'	=>	'00100',
		'átöl'	=>	'00020',
		'átölé'	=>	'001000',
		'átöml'	=>	'001000',
		'átön'	=>	'00100',
		'átöt'	=>	'00100',
		'átöv'	=>	'02120',
		'átöz'	=>	'00120',
		'átőr'	=>	'00120',
		'átpl'	=>	'00100',
		'átpr'	=>	'00100',
		'átps'	=>	'00100',
		'átril'	=>	'002000',
		'átsk'	=>	'00100',
		'átsl'	=>	'00100',
		'átsm'	=>	'00100',
		'átsp'	=>	'00100',
		'átsr'	=>	'00100',
		'átst'	=>	'00100',
		'átszű'	=>	'100000',
		'átteki'	=>	'1000000',
		'átté'	=>	'00320',
		'áttr'	=>	'00120',
		'átudv'	=>	'021000',
		'átug'	=>	'02100',
		'átuh'	=>	'02100',
		'átuj'	=>	'02100',
		'átumin'	=>	'0002000',
		'átun'	=>	'00020',
		'átur'	=>	'02120',
		'átusze'	=>	'0002000',
		'átut'	=>	'02120',
		'átúj'	=>	'00100',
		'átúrb'	=>	'021000',
		'átúrh'	=>	'021000',
		'átúri'	=>	'001000',
		'átúrn'	=>	'021000',
		'átúro'	=>	'021200',
		'átúrr'	=>	'021000',
		'átús'	=>	'02120',
		'átüg'	=>	'02100',
		'átül'	=>	'00100',
		'átüt'	=>	'02100',
		'átüv'	=>	'02120',
		'átűr'	=>	'00100',
		'átvár'	=>	'100000',
		'átvev'	=>	'100000',
		'áu'	=>	'010',
		'áuga'	=>	'00200',
		'áugo'	=>	'00200',
		'áuná'	=>	'00200',
		'áuno'	=>	'00200',
		'áunó'	=>	'00200',
		'áunu'	=>	'00200',
		'áusz'	=>	'00200',
		'áuta'	=>	'00200',
		'áutá'	=>	'00200',
		'áú'	=>	'010',
		'áúsz'	=>	'00200',
		'áü'	=>	'010',
		'áüge'	=>	'00200',
		'áügy'	=>	'00200',
		'áüle'	=>	'00200',
		'áülé'	=>	'00200',
		'áülö'	=>	'00200',
		'áülő'	=>	'00200',
		'áülü'	=>	'00200',
		'áürí'	=>	'00200',
		'áüté'	=>	'00200',
		'áüti'	=>	'00200',
		'áütö'	=>	'00200',
		'áütő'	=>	'00200',
		'áütü'	=>	'00200',
		'áüvö'	=>	'00200',
		'áű'	=>	'010',
		'ávadm'	=>	'001000',
		'ávajk'	=>	'021000',
		'ávakt'	=>	'001000',
		'ávalk'	=>	'001000',
		'ávalt'	=>	'001000',
		'ávasp'	=>	'001000',
		'ávast'	=>	'000100',
		'ávasz'	=>	'000102',
		'ávat'	=>	'00012',
		'ávau'	=>	'02100',
		'ávazo'	=>	'001000',
		'áváls'	=>	'001000',
		'áváte'	=>	'001000',
		'ávátf'	=>	'001000',
		'áváth'	=>	'021000',
		'ávátj'	=>	'021000',
		'ávátk'	=>	'021000',
		'ávátu'	=>	'021000',
		'ávegész'	=>	'00000001',
		'ável'	=>	'02120',
		'ávelé'	=>	'000010',
		'ávéde'	=>	'001200',
		'ávédr'	=>	'000100',
		'ávéri'	=>	'021200',
		'ávérte'	=>	'0210000',
		'ávérté'	=>	'0210000',
		'ávfr'	=>	'00100',
		'áviga'	=>	'021000',
		'ávigé'	=>	'021000',
		'ávind'	=>	'001000',
		'ávinf'	=>	'021000',
		'áving'	=>	'021000',
		'ávint'	=>	'021000',
		'ávirá'	=>	'021200',
		'áviro'	=>	'021000',
		'ávisi'	=>	'021200',
		'ávisk'	=>	'001000',
		'ávism'	=>	'001000',
		'ávizm'	=>	'001000',
		'ávizo'	=>	'001000',
		'ávír'	=>	'00100',
		'ávob'	=>	'02100',
		'ávolv'	=>	'021000',
		'ávop'	=>	'02100',
		'ávosz'	=>	'021000',
		'ávórá'	=>	'001000',
		'ávör'	=>	'00100',
		'ávös'	=>	'00100',
		'ávöv'	=>	'00100',
		'ávőr'	=>	'00100',
		'ávpr'	=>	'00100',
		'ávsk'	=>	'00100',
		'ávsp'	=>	'00100',
		'ávst'	=>	'00100',
		'ávtr'	=>	'00100',
		'ávug'	=>	'02100',
		'ávur'	=>	'02100',
		'ávúsz'	=>	'021200',
		'ávút'	=>	'00020',
		'ávúti'	=>	'021000',
		'ávúto'	=>	'021000',
		'ávüg'	=>	'00100',
		'ávüz'	=>	'00120',
		'ázabl'	=>	'021000',
		'ázabs'	=>	'001000',
		'ázadal'	=>	'0002000',
		'ázade'	=>	'000212',
		'ázadott'	=>	'00020000',
		'ázadü'	=>	'000200',
		'ázajt'	=>	'001000',
		'ázakc'	=>	'001000',
		'ázakó'	=>	'021200',
		'ázakta'	=>	'0210000',
		'ázaktá'	=>	'0010000',
		'ázaktu'	=>	'0210000',
		'ázalap'	=>	'0012000',
		'ázale'	=>	'021200',
		'ázalk'	=>	'021000',
		'ázan'	=>	'00020',
		'ázana'	=>	'021000',
		'ázano'	=>	'021000',
		'ázany'	=>	'021000',
		'ázap'	=>	'02120',
		'ázará'	=>	'001200',
		'ázarc'	=>	'001000',
		'ázarm'	=>	'001000',
		'ázassz'	=>	'0210000',
		'ázaszt'	=>	'0210000',
		'ázatal'	=>	'0002120',
		'ázatan'	=>	'0002000',
		'ázate'	=>	'000002',
		'ázatel'	=>	'0002100',
		'ázatérv'	=>	'00021000',
		'ázatés'	=>	'0002000',
		'ázatik'	=>	'0002000',
		'ázatí'	=>	'000200',
		'ázaty'	=>	'001000',
		'ázau'	=>	'02120',
		'ázág'	=>	'02120',
		'ázál'	=>	'02120',
		'ázárai'	=>	'0212000',
		'ázárak'	=>	'0212000',
		'ázáram'	=>	'0212000',
		'ázáras'	=>	'0212000',
		'ázárat'	=>	'0212000',
		'ázárár'	=>	'0002000',
		'ázárát'	=>	'0002000',
		'ázárb'	=>	'021000',
		'ázárc'	=>	'021000',
		'ázárd'	=>	'021000',
		'ázáré'	=>	'021200',
		'ázárf'	=>	'001000',
		'ázári'	=>	'021200',
		'ázárjáb'	=>	'02100000',
		'ázárjáv'	=>	'02100000',
		'ázárka'	=>	'0210000',
		'ázárokk'	=>	'02120000',
		'ázárokr'	=>	'02120000',
		'ázárp'	=>	'021000',
		'ázárrá'	=>	'0210000',
		'ázárunkn'	=>	'001200000',
		'ázárunkr'	=>	'001200000',
		'ázáss'	=>	'000030',
		'ázáta'	=>	'021200',
		'ázátá'	=>	'021210',
		'ázátb'	=>	'001000',
		'ázáte'	=>	'021212',
		'ázáté'	=>	'021000',
		'ázáth'	=>	'001000',
		'ázátr'	=>	'021000',
		'ázáts'	=>	'001000',
		'ázátü'	=>	'021000',
		'ázáz'	=>	'02100',
		'ázbl'	=>	'00100',
		'ázdr'	=>	'00120',
		'ázef'	=>	'00100',
		'ázeg'	=>	'00120',
		'ázem'	=>	'00120',
		'ázep'	=>	'00100',
		'ázer'	=>	'00120',
		'ázes'	=>	'00120',
		'ázet'	=>	'00120',
		'ázex'	=>	'00100',
		'ázez'	=>	'00120',
		'ázég'	=>	'02100',
		'ázél'	=>	'02120',
		'ázép'	=>	'02120',
		'ázérő'	=>	'021000',
		'ázérte'	=>	'0210000',
		'ázérté'	=>	'0210000',
		'ázértő'	=>	'0210000',
		'ázérz'	=>	'021000',
		'ázéte'	=>	'021200',
		'ázéve'	=>	'021000',
		'ázévi'	=>	'001000',
		'ázfl'	=>	'00100',
		'ázfr'	=>	'00100',
		'ázgr'	=>	'00120',
		'ázid'	=>	'02120',
		'ázigé'	=>	'021000',
		'ázikon'	=>	'0212000',
		'ázill'	=>	'021000',
		'ázimá'	=>	'021000',
		'ázimi'	=>	'021000',
		'ázimp'	=>	'001000',
		'ázinf'	=>	'021000',
		'ázing'	=>	'021000',
		'ázinj'	=>	'021000',
		'ázint'	=>	'021000',
		'ázipar'	=>	'0212000',
		'ázirá'	=>	'001000',
		'áziro'	=>	'001000',
		'ázise'	=>	'000210',
		'ázisir'	=>	'0002000',
		'ázisí'	=>	'000212',
		'áziss'	=>	'000030',
		'ázisü'	=>	'000210',
		'áziszó'	=>	'0002000',
		'áziz'	=>	'00020',
		'ázizm'	=>	'001000',
		'ázizo'	=>	'001000',
		'ázíj'	=>	'00100',
		'ázív'	=>	'00120',
		'ázkl'	=>	'00120',
		'ázkr'	=>	'00120',
		'ázolda'	=>	'0210000',
		'ázoltal'	=>	'02000000',
		'ázoltó'	=>	'0210000',
		'ázoml'	=>	'001000',
		'ázont'	=>	'021000',
		'ázor'	=>	'02120',
		'ázosz'	=>	'021000',
		'ázóiko'	=>	'0000200',
		'ázórá'	=>	'001200',
		'ázóri'	=>	'021000',
		'ázósp'	=>	'000120',
		'ázósz'	=>	'000100',
		'ázöb'	=>	'00100',
		'ázöd'	=>	'00100',
		'ázöl'	=>	'00120',
		'ázöm'	=>	'00100',
		'ázön'	=>	'00100',
		'ázös'	=>	'00100',
		'ázöt'	=>	'00120',
		'ázöv'	=>	'00120',
		'ázöz'	=>	'00100',
		'ázőr'	=>	'00120',
		'ázpl'	=>	'00100',
		'ázpr'	=>	'00120',
		'ázsab'	=>	'020000',
		'ázsad'	=>	'020120',
		'ázsag'	=>	'020120',
		'ázsajt'	=>	'0001000',
		'ázsakn'	=>	'0201000',
		'ázsala'	=>	'0001000',
		'ázsalk'	=>	'0001000',
		'ázsall'	=>	'0001000',
		'ázsamu'	=>	'0201000',
		'ázsany'	=>	'0001000',
		'ázsar'	=>	'020000',
		'ázsará'	=>	'0001000',
		'ázsat'	=>	'020000',
		'ázsau'	=>	'020100',
		'ázsáll'	=>	'0201000',
		'ázse'	=>	'02000',
		'ázseb'	=>	'003000',
		'ázsec'	=>	'000120',
		'ázsef'	=>	'000100',
		'ázseg'	=>	'000100',
		'ázsel'	=>	'000120',
		'ázsem'	=>	'000120',
		'ázses'	=>	'000100',
		'ázséj'	=>	'020000',
		'ázsék'	=>	'020120',
		'ázséne'	=>	'0001000',
		'ázsére'	=>	'0201000',
		'ázséri'	=>	'0201000',
		'ázsét'	=>	'000020',
		'ázséte'	=>	'0001000',
		'ázsia'	=>	'020000',
		'ázsiá'	=>	'020000',
		'ázside'	=>	'0200000',
		'ázsig'	=>	'000020',
		'ázsiga'	=>	'0201000',
		'ázsigá'	=>	'0001000',
		'ázsige'	=>	'0200000',
		'ázsimm'	=>	'0200000',
		'ázsing'	=>	'0201000',
		'ázsint'	=>	'0201000',
		'ázsinv'	=>	'0200000',
		'ázsió'	=>	'020000',
		'ázsip'	=>	'020000',
		'ázsisk'	=>	'0001000',
		'ázsita'	=>	'0201000',
		'ázsiz'	=>	'020000',
		'ázsí'	=>	'02012',
		'ázsor'	=>	'003000',
		'ázsóh'	=>	'003000',
		'ázsór'	=>	'000120',
		'ázsö'	=>	'02000',
		'ázső'	=>	'02012',
		'ázss'	=>	'00010',
		'ázsuj'	=>	'020100',
		'ázsut'	=>	'020100',
		'ázsúto'	=>	'0200000',
		'ázsü'	=>	'02000',
		'ázsüv'	=>	'000120',
		'ázsű'	=>	'02300',
		'ázszá'	=>	'003000',
		'ázszon'	=>	'0003000',
		'áztr'	=>	'00120',
		'ázud'	=>	'02100',
		'ázug'	=>	'02100',
		'ázuj'	=>	'02100',
		'ázur'	=>	'02120',
		'ázut'	=>	'02100',
		'ázúj'	=>	'02100',
		'ázúr'	=>	'02100',
		'ázüg'	=>	'02120',
		'ázül'	=>	'00020',
		'ázür'	=>	'00100',
		'ázüz'	=>	'00120',
		'ázyi'	=>	'00010',
		'ázzse'	=>	'003000',
		'ba'	=>	'100',
		'baad'	=>	'00020',
		'babadat'	=>	'00212000',
		'babajk'	=>	'0021000',
		'babak'	=>	'000012',
		'babara'	=>	'0021000',
		'babarc'	=>	'0021000',
		'babaszt'	=>	'00210000',
		'babábr'	=>	'0021000',
		'babác'	=>	'000020',
		'babácsi'	=>	'00210000',
		'babág'	=>	'002100',
		'babáll'	=>	'0001000',
		'babáro'	=>	'0021200',
		'babátv'	=>	'0020000',
		'babérc'	=>	'0021000',
		'babét'	=>	'000020',
		'babéte'	=>	'0001000',
		'babév'	=>	'002000',
		'babik'	=>	'002000',
		'babola'	=>	'0020000',
		'babold'	=>	'0001000',
		'babór'	=>	'002120',
		'babult'	=>	'0021000',
		'babü'	=>	'00200',
		'bachu'	=>	'002300',
		'bacsor'	=>	'0020000',
		'badag'	=>	'212000',
		'badas'	=>	'002000',
		'badato'	=>	'2120000',
		'badár'	=>	'002100',
		'badeg'	=>	'002000',
		'bades'	=>	'002120',
		'badog'	=>	'002000',
		'badomá'	=>	'2000000',
		'badód'	=>	'002000',
		'badói'	=>	'002000',
		'badój'	=>	'002000',
		'badók'	=>	'002000',
		'badót'	=>	'002000',
		'baduj'	=>	'002000',
		'badús'	=>	'002000',
		'baegész'	=>	'00000001',
		'baer'	=>	'00020',
		'baér'	=>	'00020',
		'bafl'	=>	'00100',
		'bafr'	=>	'00120',
		'bagai'	=>	'002000',
		'bagn'	=>	'00120',
		'bagr'	=>	'00120',
		'baiz'	=>	'00020',
		'bajag'	=>	'002000',
		'bajáru'	=>	'0021200',
		'bajáto'	=>	'0021200',
		'bajkú'	=>	'200000',
		'bajór'	=>	'002120',
		'bajü'	=>	'00200',
		'bajű'	=>	'00200',
		'bakapó'	=>	'0021200',
		'bakas'	=>	'200000',
		'bakaszt'	=>	'00200000',
		'bakác'	=>	'202000',
		'bakács'	=>	'0001200',
		'bakáll'	=>	'0001000',
		'bakc'	=>	'20000',
		'bakeg'	=>	'002000',
		'bakéri'	=>	'0021000',
		'bakk'	=>	'00010',
		'bakli'	=>	'001200',
		'baklu'	=>	'001000',
		'bakov'	=>	'002120',
		'bakri'	=>	'001200',
		'bakt'	=>	'00012',
		'baktu'	=>	'210000',
		'bakur'	=>	'000020',
		'bakura'	=>	'0001000',
		'bakurá'	=>	'0001000',
		'baky'	=>	'00200',
		'balany'	=>	'2100000',
		'balál'	=>	'212000',
		'bales'	=>	'002120',
		'balí'	=>	'00210',
		'ballak'	=>	'0002000',
		'ballan'	=>	'0002000',
		'ballál'	=>	'0002000',
		'ballás'	=>	'0002100',
		'balláz'	=>	'0002000',
		'balle'	=>	'000002',
		'balleg'	=>	'0002000',
		'ballel'	=>	'0002100',
		'ballem'	=>	'0002000',
		'balles'	=>	'0002000',
		'ballél'	=>	'0002120',
		'ballin'	=>	'0002000',
		'ballór'	=>	'0002000',
		'balté'	=>	'000200',
		'baltiz'	=>	'0002000',
		'balud'	=>	'002000',
		'bamp'	=>	'21000',
		'banal'	=>	'200000',
		'banat'	=>	'212000',
		'banáss'	=>	'0000030',
		'bance'	=>	'000210',
		'bancs'	=>	'000030',
		'bangy'	=>	'210000',
		'bankab'	=>	'0002000',
		'bankad'	=>	'0002120',
		'bankal'	=>	'0002120',
		'bankar'	=>	'0002000',
		'banke'	=>	'000002',
		'banker'	=>	'0002000',
		'bankép'	=>	'0002000',
		'bankérd'	=>	'00020000',
		'bankir'	=>	'0002000',
		'bankol'	=>	'0002000',
		'banku'	=>	'000002',
		'bankut'	=>	'0002000',
		'banyó'	=>	'002000',
		'baok'	=>	'00020',
		'baol'	=>	'00020',
		'baór'	=>	'00020',
		'bapl'	=>	'00120',
		'bapro'	=>	'001000',
		'barcé'	=>	'210000',
		'barcn'	=>	'210000',
		'barco'	=>	'210000',
		'barcr'	=>	'210000',
		'barcsad'	=>	'00020000',
		'barcsal'	=>	'00020000',
		'barcsan'	=>	'00020000',
		'barcsö'	=>	'0002000',
		'barcú'	=>	'210000',
		'bargu'	=>	'210000',
		'baroma'	=>	'0000200',
		'barté'	=>	'210000',
		'baságg'	=>	'0000010',
		'baseb'	=>	'002000',
		'baslá'	=>	'001000',
		'basm'	=>	'00120',
		'basni'	=>	'001000',
		'baspe'	=>	'210000',
		'baspó'	=>	'001200',
		'bassze'	=>	'0003000',
		'basta'	=>	'001200',
		'bastá'	=>	'001200',
		'batesti'	=>	'00210000',
		'batrá'	=>	'001200',
		'batre'	=>	'001000',
		'batré'	=>	'001000',
		'baud'	=>	'00200',
		'baul'	=>	'21200',
		'baur'	=>	'00020',
		'bavat'	=>	'212000',
		'bayi'	=>	'00100',
		'bá'	=>	'100',
		'bábal'	=>	'002000',
		'bábass'	=>	'0021000',
		'bábál'	=>	'002000',
		'bábes'	=>	'002100',
		'bábik'	=>	'002000',
		'bábö'	=>	'00200',
		'bábü'	=>	'00210',
		'bácsor'	=>	'0020000',
		'bácsü'	=>	'002000',
		'bága'	=>	'21200',
		'bágú'	=>	'01200',
		'bágyal'	=>	'0020000',
		'bágyar'	=>	'0020000',
		'bágyott'	=>	'00200000',
		'bágyö'	=>	'002000',
		'bágyú'	=>	'002000',
		'báje'	=>	'00212',
		'bájná'	=>	'000210',
		'bájó'	=>	'00212',
		'bájö'	=>	'00212',
		'bájtak'	=>	'0002120',
		'bájü'	=>	'00200',
		'bákos'	=>	'000001',
		'bálaj'	=>	'002000',
		'bálap'	=>	'002100',
		'bále'	=>	'00212',
		'bálé'	=>	'00002',
		'báléj'	=>	'002100',
		'bálid'	=>	'002000',
		'báling'	=>	'0021000',
		'bálio'	=>	'002120',
		'bális'	=>	'000200',
		'bállí'	=>	'210000',
		'bállo'	=>	'210000',
		'bállv'	=>	'210000',
		'bálm'	=>	'20000',
		'bálö'	=>	'00200',
		'bálü'	=>	'00200',
		'bályad'	=>	'0020000',
		'bályal'	=>	'0020100',
		'bályan'	=>	'0020120',
		'bályáz'	=>	'0020120',
		'bánias'	=>	'0000200',
		'bánré'	=>	'000200',
		'bányaié'	=>	'00000200',
		'bápo'	=>	'00200',
		'bárad'	=>	'212000',
		'bárai'	=>	'212000',
		'báraj'	=>	'002100',
		'báram'	=>	'212000',
		'bárap'	=>	'002000',
		'báras'	=>	'002000',
		'bárat'	=>	'202020',
		'báráb'	=>	'212000',
		'bárág'	=>	'002000',
		'bárár'	=>	'002000',
		'bárás'	=>	'002100',
		'bárát'	=>	'212000',
		'bárdas'	=>	'0002000',
		'bárdá'	=>	'000210',
		'bárde'	=>	'000200',
		'báre'	=>	'00210',
		'bárén'	=>	'002000',
		'báriá'	=>	'212000',
		'bário'	=>	'000120',
		'bárip'	=>	'002120',
		'bárí'	=>	'00200',
		'bárny'	=>	'210000',
		'báruf'	=>	'200000',
		'bárug'	=>	'212000',
		'báruh'	=>	'212000',
		'báruj'	=>	'210000',
		'báruk'	=>	'212000',
		'bárur'	=>	'210000',
		'bárus'	=>	'200000',
		'bárut'	=>	'210000',
		'báruv'	=>	'200000',
		'bárú'	=>	'20000',
		'bárúr'	=>	'002000',
		'bárü'	=>	'00200',
		'básáré'	=>	'0021200',
		'báse'	=>	'00200',
		'básis'	=>	'002000',
		'bászak'	=>	'0020100',
		'bászan'	=>	'0020000',
		'bászas'	=>	'0020000',
		'bászál'	=>	'0020100',
		'bászáru'	=>	'00201200',
		'básze'	=>	'002000',
		'bászil'	=>	'0020000',
		'bászip'	=>	'0020000',
		'bászí'	=>	'002000',
		'bászö'	=>	'002000',
		'bászü'	=>	'002000',
		'bátak'	=>	'002120',
		'bátal'	=>	'002100',
		'bátá'	=>	'00212',
		'báte'	=>	'21212',
		'bátö'	=>	'00200',
		'bátü'	=>	'00200',
		'bbada'	=>	'001200',
		'bbadd'	=>	'001000',
		'bbakas'	=>	'0012000',
		'bbalk'	=>	'021000',
		'bbals'	=>	'021000',
		'bbalu'	=>	'021000',
		'bbalv'	=>	'021000',
		'bbany'	=>	'021200',
		'bbap'	=>	'02100',
		'bbara'	=>	'021200',
		'bbat'	=>	'00020',
		'bbau'	=>	'02100',
		'bbágyas'	=>	'00020000',
		'bbáll'	=>	'021000',
		'bbálm'	=>	'001000',
		'bbáp'	=>	'02100',
		'bbárn'	=>	'001000',
		'bbáru'	=>	'001200',
		'bbás'	=>	'02120',
		'bbát'	=>	'02100',
		'bbdr'	=>	'00100',
		'bbeg'	=>	'00020',
		'bbekén'	=>	'0212000',
		'bbelv'	=>	'021000',
		'bbemb'	=>	'021000',
		'bbeng'	=>	'001000',
		'bberj'	=>	'001000',
		'bbern'	=>	'001000',
		'bberő'	=>	'001000',
		'bberű'	=>	'001200',
		'bbesté'	=>	'0010000',
		'bbetn'	=>	'021000',
		'bbex'	=>	'02100',
		'bbég'	=>	'02100',
		'bbéle'	=>	'001000',
		'bbélh'	=>	'001000',
		'bbélj'	=>	'001000',
		'bbéln'	=>	'001000',
		'bbélt'	=>	'001000',
		'bbélű'	=>	'001200',
		'bbélv'	=>	'001000',
		'bbép'	=>	'02100',
		'bbérl'	=>	'001000',
		'bbérm'	=>	'021000',
		'bbérte'	=>	'0210000',
		'bbérté'	=>	'0210000',
		'bbérv'	=>	'001000',
		'bbévi'	=>	'021000',
		'bbfr'	=>	'00100',
		'bbide'	=>	'001200',
		'bbiga'	=>	'021000',
		'bbigaz'	=>	'0000001',
		'bbilla'	=>	'0010000',
		'bbind'	=>	'021000',
		'bbint'	=>	'021000',
		'bbinv'	=>	'021000',
		'bbitat'	=>	'0002000',
		'bbitt'	=>	'021000',
		'bbír'	=>	'02120',
		'bbív'	=>	'02100',
		'bbkl'	=>	'00100',
		'bbkr'	=>	'00100',
		'bbokt'	=>	'021000',
		'bboltá'	=>	'0010000',
		'bbolv'	=>	'021000',
		'bbop'	=>	'02100',
		'bbott'	=>	'001000',
		'bbób'	=>	'02100',
		'bbór'	=>	'00120',
		'bböm'	=>	'02120',
		'bbör'	=>	'00020',
		'bbörö'	=>	'001000',
		'bbös'	=>	'02100',
		'bbőri'	=>	'001000',
		'bbőrz'	=>	'001000',
		'bbős'	=>	'02120',
		'bbpl'	=>	'00100',
		'bbpr'	=>	'00100',
		'bbsk'	=>	'00100',
		'bbsp'	=>	'00100',
		'bbst'	=>	'00102',
		'bbtr'	=>	'00120',
		'bbud'	=>	'02100',
		'bbug'	=>	'02120',
		'bbuj'	=>	'02100',
		'bbur'	=>	'00020',
		'bbura'	=>	'001000',
		'bbut'	=>	'02120',
		'bbúgás'	=>	'0000001',
		'bbúj'	=>	'02100',
		'bbús'	=>	'02120',
		'bbüg'	=>	'02100',
		'bbür'	=>	'02100',
		'bbüz'	=>	'02100',
		'bbűz'	=>	'00120',
		'bbví'	=>	'00200',
		'bcsz'	=>	'00300',
		'bdacsapá'	=>	'000201200',
		'bdad'	=>	'00012',
		'bdap'	=>	'00012',
		'bdas'	=>	'00012',
		'bdasz'	=>	'000002',
		'bdat'	=>	'00012',
		'bdén'	=>	'00020',
		'bdrá'	=>	'00200',
		'bdro'	=>	'00200',
		'bdró'	=>	'00200',
		'be'	=>	'100',
		'beac'	=>	'00200',
		'bead'	=>	'00020',
		'beaj'	=>	'00020',
		'beak'	=>	'00020',
		'beal'	=>	'00020',
		'bean'	=>	'00020',
		'bear'	=>	'00020',
		'beas'	=>	'00020',
		'beate'	=>	'000210',
		'beati'	=>	'002000',
		'beatin'	=>	'0002000',
		'beatk'	=>	'002000',
		'beatl'	=>	'002000',
		'beav'	=>	'00020',
		'beáj'	=>	'00020',
		'beás'	=>	'00020',
		'beáz'	=>	'00020',
		'bebl'	=>	'00100',
		'bebr'	=>	'00120',
		'becsar'	=>	'0020000',
		'becsár'	=>	'0020000',
		'becsért'	=>	'00200000',
		'becséte'	=>	'00201200',
		'bedén'	=>	'002000',
		'bedz'	=>	'00200',
		'beel'	=>	'00020',
		'bees'	=>	'00020',
		'beér'	=>	'00020',
		'befl'	=>	'00100',
		'befr'	=>	'00100',
		'begéss'	=>	'0000030',
		'begész'	=>	'0000001',
		'begr'	=>	'00120',
		'begyel'	=>	'0020000',
		'begyl'	=>	'010000',
		'beig'	=>	'00020',
		'beis'	=>	'00020',
		'beír'	=>	'00020',
		'bejelt'	=>	'0021000',
		'bejt'	=>	'20000',
		'bekecsa'	=>	'00002000',
		'bekétő'	=>	'2120000',
		'bekré'	=>	'001200',
		'bekri'	=>	'001000',
		'bekró'	=>	'001000',
		'bekv'	=>	'00120',
		'belál'	=>	'002000',
		'beleí'	=>	'000002',
		'belels'	=>	'0001000',
		'belemz'	=>	'0020000',
		'belepr'	=>	'0000120',
		'belet'	=>	'000002',
		'beletr'	=>	'0000100',
		'belék'	=>	'002120',
		'beléren'	=>	'00212000',
		'belérr'	=>	'0021000',
		'belí'	=>	'00200',
		'belof'	=>	'002000',
		'belöl'	=>	'002000',
		'belőa'	=>	'212000',
		'belőr'	=>	'002000',
		'belp'	=>	'00012',
		'bemel'	=>	'200000',
		'beml'	=>	'21000',
		'bemus'	=>	'012000',
		'benál'	=>	'002100',
		'benék'	=>	'002100',
		'benna'	=>	'000212',
		'benná'	=>	'000200',
		'benner'	=>	'0002120',
		'bennég'	=>	'0002000',
		'benyeg'	=>	'0020120',
		'beok'	=>	'00020',
		'beol'	=>	'00020',
		'beom'	=>	'00020',
		'beóv'	=>	'00020',
		'beör'	=>	'00020',
		'beped'	=>	'002000',
		'bepé'	=>	'21200',
		'bepl'	=>	'00120',
		'bepr'	=>	'00120',
		'berad'	=>	'002100',
		'beralá'	=>	'0001000',
		'berall'	=>	'0001000',
		'beran'	=>	'000020',
		'berany'	=>	'0001000',
		'berap'	=>	'002120',
		'berar'	=>	'002120',
		'berass'	=>	'0001000',
		'berat'	=>	'002120',
		'berav'	=>	'002100',
		'beraz'	=>	'002000',
		'berág'	=>	'003000',
		'beráll'	=>	'0001000',
		'berdei'	=>	'0100000',
		'berdő'	=>	'200000',
		'beregé'	=>	'0001000',
		'beregy'	=>	'0001000',
		'berekeg'	=>	'00002100',
		'berekék'	=>	'00210000',
		'berell'	=>	'0021000',
		'berelm'	=>	'0021000',
		'berelődö'	=>	'002000000',
		'berelőn'	=>	'00210000',
		'beremé'	=>	'0021200',
		'bereml'	=>	'0021000',
		'berepé'	=>	'0021200',
		'berer'	=>	'002120',
		'bereszü'	=>	'00012000',
		'beretet'	=>	'00212000',
		'berég'	=>	'002000',
		'berékk'	=>	'0021000',
		'beréss'	=>	'0001000',
		'beringü'	=>	'00010000',
		'berism'	=>	'0020000',
		'berist'	=>	'0021000',
		'beriszo'	=>	'00010000',
		'berold'	=>	'0001000',
		'beror'	=>	'002000',
		'berosz'	=>	'0001000',
		'beról'	=>	'002000',
		'berór'	=>	'002120',
		'berő'	=>	'00200',
		'berőd'	=>	'210000',
		'berőse'	=>	'0001200',
		'berősi'	=>	'0001200',
		'berősü'	=>	'0001200',
		'bers'	=>	'00032',
		'bertanás'	=>	'000002120',
		'berub'	=>	'002100',
		'berun'	=>	'002100',
		'berur'	=>	'002000',
		'berut'	=>	'002100',
		'berüg'	=>	'002120',
		'berül'	=>	'000020',
		'berüld'	=>	'0021000',
		'berülé'	=>	'0021000',
		'berült'	=>	'0021000',
		'besem'	=>	'002000',
		'besél'	=>	'210000',
		'besés'	=>	'212000',
		'beska'	=>	'001000',
		'beská'	=>	'001000',
		'besl'	=>	'00120',
		'besm'	=>	'00120',
		'beső'	=>	'21200',
		'besp'	=>	'00122',
		'bessza'	=>	'0000010',
		'besszá'	=>	'0000010',
		'besta'	=>	'001200',
		'beste'	=>	'200000',
		'besté'	=>	'200000',
		'bestil'	=>	'0012000',
		'besto'	=>	'001000',
		'beszet'	=>	'2120000',
		'beszét'	=>	'2120000',
		'beszm'	=>	'010000',
		'beszta'	=>	'0000212',
		'besztá'	=>	'0000210',
		'betételb'	=>	'000021000',
		'betételk'	=>	'000020000',
		'bethi'	=>	'001200',
		'betra'	=>	'001200',
		'betrá'	=>	'001000',
		'betré'	=>	'001200',
		'betro'	=>	'001200',
		'beug'	=>	'00020',
		'beut'	=>	'00020',
		'beüt'	=>	'00020',
		'bevező'	=>	'0020000',
		'bevol'	=>	'212000',
		'bevő'	=>	'21200',
		'bezr'	=>	'21000',
		'bé'	=>	'100',
		'bébr'	=>	'21000',
		'bécsú'	=>	'002000',
		'bédas'	=>	'002100',
		'bédá'	=>	'00210',
		'bédé'	=>	'20000',
		'bédh'	=>	'20000',
		'bédj'	=>	'20000',
		'bédl'	=>	'20000',
		'bédo'	=>	'00210',
		'bédö'	=>	'00200',
		'bédr'	=>	'20000',
		'bédü'	=>	'20000',
		'bédv'	=>	'20000',
		'bégő'	=>	'00200',
		'békalk'	=>	'0001000',
		'béksz'	=>	'210000',
		'bélakt'	=>	'0021000',
		'bélan'	=>	'002120',
		'bélap'	=>	'002120',
		'bélar'	=>	'002120',
		'bélál'	=>	'002000',
		'béláto'	=>	'0021000',
		'béláz'	=>	'002120',
		'béled'	=>	'002100',
		'béleg'	=>	'002120',
		'bélek'	=>	'002000',
		'béler'	=>	'002120',
		'bélet'	=>	'212000',
		'béléj'	=>	'002120',
		'béliz'	=>	'002000',
		'bélí'	=>	'00200',
		'bélj'	=>	'20000',
		'bélo'	=>	'00210',
		'béló'	=>	'00200',
		'bélö'	=>	'00200',
		'bélő'	=>	'21200',
		'bélt'	=>	'00002',
		'béltr'	=>	'000100',
		'bélul'	=>	'002000',
		'bélú'	=>	'00200',
		'bélyec'	=>	'0020100',
		'bélyen'	=>	'0023000',
		'bélyin'	=>	'0020000',
		'bélyö'	=>	'002000',
		'bépí'	=>	'00200',
		'bépü'	=>	'00200',
		'bérai'	=>	'212000',
		'béraj'	=>	'002100',
		'béral'	=>	'002000',
		'béran'	=>	'002120',
		'bérap'	=>	'002000',
		'bérar'	=>	'002000',
		'bérá'	=>	'00200',
		'béráb'	=>	'210000',
		'béráh'	=>	'210000',
		'béráv'	=>	'210000',
		'bérde'	=>	'210000',
		'béreb'	=>	'002000',
		'béreleme'	=>	'002100000',
		'bérelemé'	=>	'002120000',
		'bérelemh'	=>	'002120000',
		'bérelemk'	=>	'002120000',
		'bérelemn'	=>	'002120000',
		'bérelemr'	=>	'002120000',
		'bérell'	=>	'0021000',
		'bérelm'	=>	'0020000',
		'bérelői'	=>	'00210000',
		'béreng'	=>	'0021000',
		'béressz'	=>	'00010000',
		'béresz'	=>	'0021000',
		'bérid'	=>	'002100',
		'bérir'	=>	'002000',
		'bérí'	=>	'00200',
		'bérni'	=>	'010000',
		'bérö'	=>	'00200',
		'bérs'	=>	'00010',
		'bért'	=>	'00002',
		'bértel'	=>	'2000000',
		'bértés'	=>	'2100000',
		'bértr'	=>	'000100',
		'bérut'	=>	'002000',
		'bérú'	=>	'00200',
		'bésza'	=>	'002012',
		'bészá'	=>	'002000',
		'bészo'	=>	'002010',
		'bétas'	=>	'000010',
		'bétel'	=>	'200000',
		'béth'	=>	'00120',
		'bétk'	=>	'21000',
		'bétt'	=>	'21000',
		'bévek'	=>	'002000',
		'béven'	=>	'212000',
		'béves'	=>	'212000',
		'bévet'	=>	'002000',
		'bévn'	=>	'21000',
		'bézsú'	=>	'002000',
		'bfejels'	=>	'00001000',
		'bfelen'	=>	'0002000',
		'bfén'	=>	'00020',
		'bfla'	=>	'00200',
		'bfrá'	=>	'00200',
		'bfre'	=>	'00200',
		'bfri'	=>	'00200',
		'bfro'	=>	'00200',
		'bgra'	=>	'00200',
		'bgrá'	=>	'00200',
		'bgyökö'	=>	'0000002',
		'bgyököl'	=>	'00002100',
		'bi'	=>	'100',
		'biad'	=>	'00020',
		'biae'	=>	'00200',
		'biag'	=>	'00200',
		'biala'	=>	'000200',
		'biav'	=>	'00020',
		'bibr'	=>	'00100',
		'biby'	=>	'00100',
		'bicsz'	=>	'000300',
		'bida'	=>	'00002',
		'bidad'	=>	'002100',
		'bidal'	=>	'002100',
		'bideg'	=>	'002000',
		'bidel'	=>	'002000',
		'bidő'	=>	'21200',
		'bied'	=>	'00200',
		'biel'	=>	'00020',
		'bifr'	=>	'00100',
		'bigaz'	=>	'002000',
		'bigáj'	=>	'212000',
		'bigén'	=>	'200000',
		'bihat'	=>	'212000',
		'bikala'	=>	'0001000',
		'bikál'	=>	'002100',
		'bikem'	=>	'002100',
		'bikik'	=>	'002000',
		'biklu'	=>	'001000',
		'bikő'	=>	'00212',
		'bikro'	=>	'001200',
		'biks'	=>	'00010',
		'bilima'	=>	'0001000',
		'bilint'	=>	'0001000',
		'biliss'	=>	'0000030',
		'billé'	=>	'200000',
		'billő'	=>	'210000',
		'billu'	=>	'200000',
		'bilü'	=>	'00200',
		'bimi'	=>	'21200',
		'bimp'	=>	'21000',
		'binab'	=>	'002000',
		'binad'	=>	'212000',
		'binaj'	=>	'002000',
		'binárb'	=>	'0021000',
		'bindá'	=>	'210000',
		'binéte'	=>	'0021000',
		'binká'	=>	'210000',
		'binn'	=>	'00030',
		'binü'	=>	'00200',
		'biny'	=>	'00100',
		'bioa'	=>	'00200',
		'bioá'	=>	'00200',
		'biob'	=>	'00200',
		'bioc'	=>	'00200',
		'biod'	=>	'00200',
		'bioe'	=>	'00200',
		'bioé'	=>	'00200',
		'biof'	=>	'00200',
		'bioge'	=>	'002000',
		'biok'	=>	'00200',
		'biol'	=>	'00200',
		'biom'	=>	'00200',
		'bion'	=>	'21200',
		'bior'	=>	'00200',
		'biór'	=>	'00020',
		'bipar'	=>	'002000',
		'bipl'	=>	'00120',
		'bipr'	=>	'00100',
		'biram'	=>	'212000',
		'birat'	=>	'212000',
		'birán'	=>	'212000',
		'birkái'	=>	'2000000',
		'birodá'	=>	'2000000',
		'birr'	=>	'21000',
		'birtá'	=>	'210000',
		'birtó'	=>	'210000',
		'bishi'	=>	'000200',
		'bisi'	=>	'21200',
		'bism'	=>	'20000',
		'bisö'	=>	'00200',
		'bisp'	=>	'00120',
		'biss'	=>	'00030',
		'bisto'	=>	'001200',
		'bitará'	=>	'0001000',
		'biteg'	=>	'002120',
		'bitelh'	=>	'0001000',
		'bitelr'	=>	'0001000',
		'bitelt'	=>	'0001000',
		'bitera'	=>	'0000210',
		'biting'	=>	'0021000',
		'bitint'	=>	'0021000',
		'bitio'	=>	'002120',
		'biton'	=>	'002100',
		'bitt'	=>	'00012',
		'bitura'	=>	'0001000',
		'bitut'	=>	'002100',
		'biús'	=>	'00020',
		'bivar'	=>	'002000',
		'bivás'	=>	'212000',
		'bí'	=>	'100',
		'bíja'	=>	'00200',
		'bíróér'	=>	'0000020',
		'bíve'	=>	'00200',
		'bívé'	=>	'00200',
		'bívű'	=>	'00200',
		'bízü'	=>	'21200',
		'bkéss'	=>	'000030',
		'bkli'	=>	'00200',
		'bklu'	=>	'00200',
		'bkra'	=>	'00200',
		'bkrá'	=>	'00200',
		'bkre'	=>	'00200',
		'bkré'	=>	'00200',
		'bkri'	=>	'00200',
		'bkrí'	=>	'00200',
		'bkro'	=>	'00200',
		'bkró'	=>	'00200',
		'blabl'	=>	'120000',
		'blaik'	=>	'000020',
		'blakad'	=>	'0000120',
		'blakal'	=>	'0002000',
		'blakan'	=>	'0002100',
		'blakátm'	=>	'00021000',
		'blakátt'	=>	'00021000',
		'blakem'	=>	'0002000',
		'blakik'	=>	'0002000',
		'blakol'	=>	'0002100',
		'blakü'	=>	'000200',
		'blape'	=>	'000010',
		'blapl'	=>	'000120',
		'blast'	=>	'000120',
		'bláss'	=>	'000010',
		'blbe'	=>	'00200',
		'bleri'	=>	'000210',
		'bles'	=>	'00002',
		'bletak'	=>	'0002100',
		'bletan'	=>	'0002120',
		'bletá'	=>	'000212',
		'bletel'	=>	'0002120',
		'bleter'	=>	'0002000',
		'bletesz'	=>	'00020000',
		'bletél'	=>	'0002000',
		'bletérd'	=>	'00021000',
		'bletétk'	=>	'00021000',
		'bletigaz'	=>	'000000001',
		'bleto'	=>	'000210',
		'bletó'	=>	'000200',
		'bletö'	=>	'000212',
		'bletu'	=>	'000200',
		'bletüz'	=>	'0002000',
		'bleü'	=>	'00002',
		'blevess'	=>	'00000010',
		'blhe'	=>	'00200',
		'bliaf'	=>	'000200',
		'blias'	=>	'000200',
		'bliof'	=>	'000200',
		'bljana'	=>	'0100000',
		'blne'	=>	'00200',
		'blok'	=>	'12000',
		'blokkö'	=>	'0000212',
		'bloná'	=>	'000210',
		'blonn'	=>	'000030',
		'blőzé'	=>	'021000',
		'blre'	=>	'00200',
		'blrő'	=>	'00200',
		'bltő'	=>	'00200',
		'bluesz'	=>	'0002000',
		'bo'	=>	'100',
		'boaá'	=>	'00200',
		'boab'	=>	'00200',
		'boad'	=>	'00200',
		'boae'	=>	'00200',
		'boaf'	=>	'00200',
		'boah'	=>	'00200',
		'boaj'	=>	'00200',
		'boam'	=>	'00200',
		'boar'	=>	'00200',
		'boat'	=>	'00200',
		'boav'	=>	'00200',
		'bocak'	=>	'002100',
		'boce'	=>	'00200',
		'bocé'	=>	'00200',
		'boch'	=>	'00230',
		'bocsé'	=>	'002000',
		'body'	=>	'00100',
		'boei'	=>	'00200',
		'bofl'	=>	'00100',
		'bogak'	=>	'002120',
		'bogat'	=>	'002120',
		'bogác'	=>	'002120',
		'bogáss'	=>	'0000010',
		'boge'	=>	'00210',
		'bogosz'	=>	'0021000',
		'bogószá'	=>	'00002000',
		'bogyo'	=>	'002000',
		'bokap'	=>	'000010',
		'bokí'	=>	'21200',
		'bokoz'	=>	'012000',
		'bokszak'	=>	'00020000',
		'bokszal'	=>	'00020000',
		'bokszál'	=>	'00020100',
		'bokszel'	=>	'00020000',
		'bokszé'	=>	'0000002',
		'bokszél'	=>	'00020000',
		'bokszin'	=>	'00020100',
		'bokszó'	=>	'0002000',
		'boksző'	=>	'0002010',
		'bokta'	=>	'210000',
		'boláss'	=>	'0000010',
		'boldó'	=>	'210000',
		'bolim'	=>	'212000',
		'bolog'	=>	'000012',
		'bolte'	=>	'000210',
		'boltö'	=>	'000212',
		'boltü'	=>	'000212',
		'bolvas'	=>	'2000000',
		'bona'	=>	'00001',
		'bonava'	=>	'0001000',
		'boncan'	=>	'0002000',
		'bonce'	=>	'000210',
		'bonch'	=>	'000200',
		'bond'	=>	'20000',
		'bone'	=>	'00212',
		'bonor'	=>	'002100',
		'bonti'	=>	'000210',
		'bonü'	=>	'00200',
		'boog'	=>	'00200',
		'book'	=>	'00200',
		'boom'	=>	'00200',
		'boot'	=>	'00200',
		'bope'	=>	'00200',
		'borad'	=>	'002120',
		'boraka'	=>	'0021000',
		'borakk'	=>	'0001000',
		'borakv'	=>	'0021000',
		'boral'	=>	'002120',
		'boran'	=>	'000020',
		'borany'	=>	'0001000',
		'borar'	=>	'002000',
		'borasz'	=>	'0001000',
		'boratr'	=>	'0001000',
		'borau'	=>	'002100',
		'borav'	=>	'002100',
		'boraz'	=>	'002000',
		'borács'	=>	'0001000',
		'boráll'	=>	'0021000',
		'boráz'	=>	'002100',
		'bord'	=>	'00012',
		'bore'	=>	'00200',
		'borec'	=>	'000120',
		'borel'	=>	'000100',
		'borer'	=>	'000120',
		'bores'	=>	'000100',
		'borf'	=>	'00012',
		'borfiúké'	=>	'000002000',
		'boriko'	=>	'0021200',
		'boril'	=>	'002100',
		'boring'	=>	'0021000',
		'borint'	=>	'0021000',
		'borisk'	=>	'0021000',
		'boriss'	=>	'0021000',
		'borist'	=>	'0021000',
		'boritt'	=>	'0021000',
		'boriz'	=>	'002100',
		'bork'	=>	'00012',
		'bornam'	=>	'2100000',
		'borond'	=>	'0021000',
		'borór'	=>	'002120',
		'borö'	=>	'00200',
		'borő'	=>	'00200',
		'borrú'	=>	'210000',
		'borseprű'	=>	'000210000',
		'borsors'	=>	'00020000',
		'borstr'	=>	'0001000',
		'borsül'	=>	'0002000',
		'borsüt'	=>	'0002000',
		'bortre'	=>	'0001000',
		'bortré'	=>	'0001000',
		'borü'	=>	'00200',
		'borvíz'	=>	'0000001',
		'borzárak'	=>	'000212000',
		'borzsa'	=>	'0002000',
		'borzse'	=>	'0002300',
		'boszt'	=>	'210000',
		'botag'	=>	'002120',
		'botal'	=>	'002100',
		'botar'	=>	'002000',
		'botas'	=>	'002000',
		'botau'	=>	'002120',
		'botác'	=>	'002100',
		'botár'	=>	'002000',
		'bote'	=>	'00212',
		'botil'	=>	'002100',
		'botinf'	=>	'0001000',
		'botint'	=>	'0001000',
		'botip'	=>	'002120',
		'botí'	=>	'00200',
		'botó'	=>	'00212',
		'botö'	=>	'00200',
		'botur'	=>	'002000',
		'botú'	=>	'00002',
		'botúr'	=>	'002000',
		'botü'	=>	'00200',
		'botű'	=>	'00200',
		'boui'	=>	'00200',
		'boul'	=>	'00200',
		'bour'	=>	'00200',
		'boya'	=>	'00100',
		'boyá'	=>	'00100',
		'boyé'	=>	'00100',
		'boyi'	=>	'00100',
		'boyo'	=>	'00100',
		'boyu'	=>	'00100',
		'bozar'	=>	'002000',
		'bozál'	=>	'002000',
		'boze'	=>	'00212',
		'bozid'	=>	'002000',
		'bozip'	=>	'002120',
		'bozir'	=>	'002100',
		'bozí'	=>	'00200',
		'bozold'	=>	'0021000',
		'bozs'	=>	'00230',
		'bozü'	=>	'00200',
		'bozű'	=>	'00200',
		'bó'	=>	'100',
		'bóad'	=>	'00020',
		'bóág'	=>	'00020',
		'bóár'	=>	'00020',
		'bóbé'	=>	'00200',
		'bócal'	=>	'002000',
		'bóch'	=>	'00200',
		'bócü'	=>	'00200',
		'bófl'	=>	'00100',
		'bókré'	=>	'001000',
		'bólia'	=>	'000020',
		'bólm'	=>	'01000',
		'bópl'	=>	'00120',
		'bópr'	=>	'00120',
		'bórad'	=>	'002100',
		'bóran'	=>	'002100',
		'bórat'	=>	'002000',
		'bórá'	=>	'20000',
		'bórás'	=>	'002000',
		'bórásv'	=>	'0001000',
		'bóreg'	=>	'002000',
		'bórel'	=>	'002000',
		'bórin'	=>	'002100',
		'bóriz'	=>	'002000',
		'bórol'	=>	'002100',
		'bóró'	=>	'00002',
		'bórós'	=>	'002000',
		'bórö'	=>	'00200',
		'bórt'	=>	'00002',
		'bórü'	=>	'00200',
		'bósp'	=>	'00120',
		'bósz'	=>	'00100',
		'bö'	=>	'100',
		'böch'	=>	'00200',
		'bölá'	=>	'00200',
		'bölb'	=>	'20000',
		'bölcsü'	=>	'0002000',
		'bölér'	=>	'212000',
		'bölhö'	=>	'200000',
		'bölig'	=>	'200000',
		'bölk'	=>	'20000',
		'bölkú'	=>	'010000',
		'bölr'	=>	'20000',
		'böltö'	=>	'210000',
		'böltő'	=>	'200000',
		'bölú'	=>	'00200',
		'bölyökö'	=>	'00200000',
		'böml'	=>	'01000',
		'böná'	=>	'00200',
		'bönt'	=>	'21000',
		'böra'	=>	'00200',
		'böre'	=>	'00210',
		'böro'	=>	'00200',
		'bössz'	=>	'210000',
		'bötl'	=>	'21000',
		'böts'	=>	'21000',
		'böve'	=>	'00200',
		'bő'	=>	'100',
		'bőra'	=>	'00212',
		'bőrá'	=>	'00212',
		'bőreg'	=>	'002120',
		'bőrel'	=>	'002120',
		'bőrem'	=>	'002100',
		'bőren'	=>	'002100',
		'bőrer'	=>	'002120',
		'bőrég'	=>	'002120',
		'bőrék'	=>	'002000',
		'bőrés'	=>	'002100',
		'bőril'	=>	'002000',
		'bőring'	=>	'0021000',
		'bőrip'	=>	'002000',
		'bőris'	=>	'002120',
		'bőriz'	=>	'002000',
		'bőrizg'	=>	'0001000',
		'bőrl'	=>	'20000',
		'bőro'	=>	'00212',
		'bőröl'	=>	'000100',
		'bőrő'	=>	'00200',
		'bőrren'	=>	'0000002',
		'bőrs'	=>	'00012',
		'bőru'	=>	'00210',
		'bőrú'	=>	'00200',
		'bőrüg'	=>	'002120',
		'bőrül'	=>	'002120',
		'bősi'	=>	'20000',
		'bpla'	=>	'00200',
		'bplá'	=>	'00200',
		'bple'	=>	'00200',
		'bpre'	=>	'00200',
		'bpré'	=>	'00200',
		'bprí'	=>	'00200',
		'bpro'	=>	'00200',
		'bproj'	=>	'010000',
		'bpró'	=>	'00200',
		'braká'	=>	'000212',
		'brakös'	=>	'0002000',
		'brap'	=>	'00012',
		'braty'	=>	'100000',
		'bránag'	=>	'0002000',
		'bránas'	=>	'0002000',
		'bránát'	=>	'0002100',
		'bránt'	=>	'000002',
		'brászál'	=>	'00020100',
		'brásze'	=>	'0002000',
		'bric'	=>	'02000',
		'brida'	=>	'000200',
		'bridá'	=>	'000200',
		'brider'	=>	'0002000',
		'brig'	=>	'12000',
		'brino'	=>	'000200',
		'briód'	=>	'000200',
		'brióf'	=>	'000200',
		'brióm'	=>	'000200',
		'britel'	=>	'0002000',
		'brosú'	=>	'020000',
		'bróma'	=>	'000210',
		'bróme'	=>	'000200',
		'brum'	=>	'12000',
		'bségel'	=>	'0002100',
		'bská'	=>	'01200',
		'bslá'	=>	'00200',
		'bspe'	=>	'00200',
		'bspi'	=>	'00200',
		'bspo'	=>	'00200',
		'bsta'	=>	'00200',
		'bstá'	=>	'00200',
		'bsti'	=>	'00200',
		'bstí'	=>	'00200',
		'bstú'	=>	'00200',
		'bszárada'	=>	'000021200',
		'bszf'	=>	'00020',
		'bszk'	=>	'01020',
		'bsztá'	=>	'000200',
		'btermo'	=>	'0000001',
		'btermosz'	=>	'000000002',
		'btrá'	=>	'00200',
		'btre'	=>	'01200',
		'btré'	=>	'00200',
		'btri'	=>	'01200',
		'btro'	=>	'01200',
		'btró'	=>	'01200',
		'bu'	=>	'100',
		'buch'	=>	'00200',
		'budv'	=>	'21000',
		'buér'	=>	'00020',
		'bugi'	=>	'00212',
		'buil'	=>	'00200',
		'bujjad'	=>	'2000000',
		'bujjada'	=>	'00021200',
		'bujjai'	=>	'2000000',
		'bujjak'	=>	'2000000',
		'bujjam'	=>	'2000000',
		'bujjas'	=>	'2000000',
		'bujjat'	=>	'2000000',
		'bujjá'	=>	'210000',
		'bujjb'	=>	'200000',
		'bujjc'	=>	'200000',
		'bujjd'	=>	'200000',
		'bujje'	=>	'200000',
		'bujjé'	=>	'200000',
		'bujjf'	=>	'200000',
		'bujjg'	=>	'200000',
		'bujjh'	=>	'200000',
		'bujji'	=>	'200000',
		'bujjk'	=>	'200000',
		'bujjl'	=>	'200000',
		'bujjm'	=>	'200000',
		'bujjn'	=>	'200000',
		'bujjo'	=>	'210000',
		'bujjp'	=>	'200000',
		'bujjr'	=>	'200000',
		'bujjs'	=>	'200000',
		'bujjt'	=>	'200000',
		'bujju'	=>	'200000',
		'bujjú'	=>	'200000',
		'bujjv'	=>	'200000',
		'bukje'	=>	'000210',
		'bumaj'	=>	'002000',
		'bumel'	=>	'002000',
		'bumik'	=>	'002120',
		'bumina'	=>	'0021000',
		'bumis'	=>	'002000',
		'bumol'	=>	'002000',
		'bural'	=>	'210000',
		'burb'	=>	'01000',
		'burn'	=>	'20000',
		'burú'	=>	'21200',
		'buse'	=>	'00200',
		'busin'	=>	'002000',
		'busol'	=>	'002000',
		'busp'	=>	'00120',
		'bussze'	=>	'0003000',
		'buszab'	=>	'0020000',
		'buszaj'	=>	'0000100',
		'buszal'	=>	'0020000',
		'buszas'	=>	'0020000',
		'buszál'	=>	'0020100',
		'buszárak'	=>	'002012000',
		'buszárn'	=>	'00201000',
		'buszen'	=>	'0000100',
		'buszél'	=>	'0020100',
		'buszép'	=>	'0020120',
		'buszid'	=>	'0020000',
		'buszil'	=>	'0020100',
		'buszim'	=>	'0020000',
		'buszin'	=>	'0020000',
		'buszip'	=>	'0020000',
		'busziz'	=>	'0020000',
		'buszí'	=>	'000002',
		'buszíj'	=>	'0000100',
		'buszs'	=>	'000030',
		'buszü'	=>	'002000',
		'bú'	=>	'100',
		'bújí'	=>	'00200',
		'búri'	=>	'21200',
		'búrt'	=>	'20000',
		'búsz'	=>	'20000',
		'búszá'	=>	'002000',
		'búti'	=>	'01200',
		'bútm'	=>	'01000',
		'bü'	=>	'100',
		'büdü'	=>	'00200',
		'büge'	=>	'00200',
		'bügy'	=>	'00200',
		'büku'	=>	'00200',
		'büld'	=>	'21000',
		'bülén'	=>	'002120',
		'büne'	=>	'00200',
		'bürü'	=>	'20000',
		'büte'	=>	'21200',
		'büté'	=>	'21200',
		'bütő'	=>	'01200',
		'büve'	=>	'21200',
		'büze'	=>	'00200',
		'bű'	=>	'100',
		'bűna'	=>	'00200',
		'bűná'	=>	'00200',
		'bűnel'	=>	'002000',
		'bűnem'	=>	'002000',
		'bűnes'	=>	'002000',
		'bűnet'	=>	'002120',
		'bűnn'	=>	'00010',
		'bűno'	=>	'00200',
		'bűnó'	=>	'00200',
		'bűnő'	=>	'00212',
		'bűnu'	=>	'00200',
		'bűnű'	=>	'00200',
		'bűri'	=>	'00200',
		'bűve'	=>	'00212',
		'bűza'	=>	'00212',
		'bűzá'	=>	'00210',
		'bűzo'	=>	'00200',
		'bűző'	=>	'00210',
		'bűzs'	=>	'00230',
		'bványad'	=>	'00020000',
		'bványí'	=>	'0002000',
		'byte'	=>	'00200',
		'ca'	=>	'100',
		'cabl'	=>	'21000',
		'cabr'	=>	'00120',
		'cacél'	=>	'002000',
		'cach'	=>	'00200',
		'cadás'	=>	'002000',
		'cadó'	=>	'21200',
		'caes'	=>	'00200',
		'caéne'	=>	'000002',
		'cafro'	=>	'001000',
		'cagg'	=>	'21000',
		'cagya'	=>	'002000',
		'cagyad'	=>	'0000120',
		'cagyu'	=>	'002000',
		'cajk'	=>	'21000',
		'cakad'	=>	'212000',
		'cakác'	=>	'002000',
		'cakáz'	=>	'002100',
		'cakc'	=>	'21000',
		'cakkol'	=>	'0002000',
		'cakkö'	=>	'000210',
		'cakri'	=>	'001000',
		'calag'	=>	'000021',
		'calan'	=>	'002000',
		'calas'	=>	'002120',
		'calbu'	=>	'210000',
		'caleste'	=>	'00210000',
		'calél'	=>	'002120',
		'calét'	=>	'000020',
		'caléte'	=>	'0001000',
		'calim'	=>	'002000',
		'calip'	=>	'002100',
		'calosz'	=>	'0001000',
		'calp'	=>	'00010',
		'cals'	=>	'00010',
		'calü'	=>	'00200',
		'caly'	=>	'00100',
		'canal'	=>	'002000',
		'canar'	=>	'002000',
		'cani'	=>	'21200',
		'canne'	=>	'000200',
		'caór'	=>	'00020',
		'capó'	=>	'00200',
		'capró'	=>	'001200',
		'caps'	=>	'00120',
		'caran'	=>	'002000',
		'carán'	=>	'002000',
		'carc'	=>	'21000',
		'caris'	=>	'002000',
		'casp'	=>	'00120',
		'cassz'	=>	'210000',
		'cast'	=>	'00002',
		'casto'	=>	'001000',
		'castr'	=>	'001000',
		'caszt'	=>	'210000',
		'catau'	=>	'002000',
		'catem'	=>	'002000',
		'catl'	=>	'21000',
		'cauk'	=>	'01200',
		'caun'	=>	'00020',
		'cavat'	=>	'002000',
		'cazo'	=>	'21200',
		'cá'	=>	'100',
		'cábr'	=>	'21000',
		'cága'	=>	'00200',
		'cágú'	=>	'00200',
		'cágy'	=>	'00200',
		'cála'	=>	'00200',
		'cállá'	=>	'010000',
		'cálm'	=>	'21000',
		'cáne'	=>	'00200',
		'cánét'	=>	'002000',
		'cánir'	=>	'002000',
		'cápa'	=>	'00323',
		'cápo'	=>	'21200',
		'cárad'	=>	'212000',
		'cárak'	=>	'212000',
		'cáras'	=>	'002100',
		'cária'	=>	'002000',
		'cáriá'	=>	'002000',
		'cárin'	=>	'002120',
		'cárk'	=>	'20000',
		'cárp'	=>	'21000',
		'cáruh'	=>	'212000',
		'cárus'	=>	'200000',
		'cásás'	=>	'002000',
		'cásó'	=>	'21200',
		'cásv'	=>	'21000',
		'cászai'	=>	'2120000',
		'cászo'	=>	'212000',
		'cáta'	=>	'21212',
		'cáth'	=>	'01000',
		'cáti'	=>	'21212',
		'cátm'	=>	'21000',
		'cátr'	=>	'21000',
		'cátt'	=>	'21000',
		'cátü'	=>	'21200',
		'cátv'	=>	'21000',
		'cblo'	=>	'00200',
		'cbra'	=>	'00200',
		'ccaj'	=>	'02120',
		'ccak'	=>	'02100',
		'ccalb'	=>	'001000',
		'ccany'	=>	'001200',
		'ccar'	=>	'02120',
		'ccau'	=>	'02100',
		'ccág'	=>	'02100',
		'ccál'	=>	'02100',
		'ccbl'	=>	'00100',
		'ccef'	=>	'00100',
		'ccelm'	=>	'021000',
		'ccember'	=>	'02100000',
		'ccép'	=>	'02100',
		'ccérte'	=>	'0210000',
		'cche'	=>	'00300',
		'cchí'	=>	'00300',
		'ccho'	=>	'02300',
		'cchő'	=>	'00300',
		'cchú'	=>	'00300',
		'ccim'	=>	'02120',
		'ccing'	=>	'001000',
		'ccióv'	=>	'000200',
		'ccipa'	=>	'001200',
		'cciro'	=>	'001000',
		'cciz'	=>	'02120',
		'ccír'	=>	'00100',
		'cckl'	=>	'00100',
		'cckr'	=>	'00120',
		'ccoá'	=>	'00100',
		'ccov'	=>	'02100',
		'ccön'	=>	'00100',
		'ccös'	=>	'00100',
		'ccöz'	=>	'00100',
		'ccpl'	=>	'00100',
		'ccpr'	=>	'00100',
		'ccs'	=>	'0200',
		'ccsap'	=>	'030000',
		'ccsar'	=>	'030000',
		'ccsas'	=>	'000100',
		'ccsat'	=>	'030000',
		'ccsál'	=>	'000100',
		'ccsáp'	=>	'030000',
		'ccsás'	=>	'000100',
		'ccsátl'	=>	'0001000',
		'ccseg'	=>	'000100',
		'ccselem'	=>	'00010000',
		'ccsell'	=>	'0001000',
		'ccselv'	=>	'0001000',
		'ccsembe'	=>	'00010000',
		'ccseml'	=>	'0001000',
		'ccsep'	=>	'030000',
		'ccsél'	=>	'000100',
		'ccsérté'	=>	'00010000',
		'ccsiv'	=>	'000100',
		'ccsop'	=>	'030000',
		'ccsork'	=>	'0001000',
		'ccsoro'	=>	'0030000',
		'ccsöl'	=>	'000120',
		'ccsönt'	=>	'0001000',
		'ccss'	=>	'00010',
		'ccsut'	=>	'000100',
		'ccsú'	=>	'03000',
		'ccsű'	=>	'03000',
		'ccsza'	=>	'003000',
		'ccszá'	=>	'003000',
		'ccszen'	=>	'0003000',
		'ccszó'	=>	'003000',
		'ccúj'	=>	'00100',
		'ccüg'	=>	'02100',
		'ccür'	=>	'00100',
		'cczá'	=>	'00300',
		'ccze'	=>	'00300',
		'cczs'	=>	'00300',
		'cdalé'	=>	'000212',
		'cdali'	=>	'000210',
		'cdemeké'	=>	'00021200',
		'cdemel'	=>	'0002100',
		'cdra'	=>	'00200',
		'cdrá'	=>	'00200',
		'ce'	=>	'100',
		'ceal'	=>	'00020',
		'ceat'	=>	'00200',
		'ceau'	=>	'00200',
		'ceár'	=>	'00020',
		'cebéd'	=>	'002000',
		'cebl'	=>	'00100',
		'cech'	=>	'00200',
		'ceche'	=>	'000300',
		'cedz'	=>	'21200',
		'cegas'	=>	'002000',
		'cegék'	=>	'002120',
		'cegéss'	=>	'0000030',
		'cegina'	=>	'0020000',
		'cegor'	=>	'002000',
		'cegrá'	=>	'001200',
		'cegu'	=>	'00200',
		'cegú'	=>	'00200',
		'cegyb'	=>	'010000',
		'cegyen'	=>	'0020000',
		'cegyi'	=>	'012000',
		'cegym'	=>	'010000',
		'cegyr'	=>	'010000',
		'cegys'	=>	'210000',
		'cekl'	=>	'00100',
		'celad'	=>	'210000',
		'celág'	=>	'212000',
		'celér'	=>	'000100',
		'celf'	=>	'21000',
		'celha'	=>	'210000',
		'celjá'	=>	'210000',
		'celos'	=>	'212000',
		'celőa'	=>	'012000',
		'celőf'	=>	'212000',
		'celőí'	=>	'212000',
		'celőő'	=>	'012000',
		'celső'	=>	'210000',
		'celtá'	=>	'210000',
		'celto'	=>	'010000',
		'celvá'	=>	'210000',
		'cemelő'	=>	'2120000',
		'ceml'	=>	'21000',
		'cencc'	=>	'000010',
		'cenceg'	=>	'0002100',
		'cencs'	=>	'000230',
		'ceng'	=>	'21000',
		'censég'	=>	'0002100',
		'centau'	=>	'0002000',
		'ceol'	=>	'00020',
		'ceor'	=>	'00020',
		'cepi'	=>	'21200',
		'cepr'	=>	'00120',
		'cepsza'	=>	'0002012',
		'cepszép'	=>	'00020120',
		'cepszi'	=>	'0002000',
		'cepta'	=>	'000212',
		'ceptim'	=>	'0002000',
		'ceptol'	=>	'0002100',
		'cerej'	=>	'212000',
		'ceróz'	=>	'002000',
		'cerő'	=>	'21200',
		'certa'	=>	'000212',
		'certá'	=>	'000002',
		'certár'	=>	'0002000',
		'certeg'	=>	'0002000',
		'certel'	=>	'0002120',
		'certemb'	=>	'00021000',
		'certest'	=>	'00021000',
		'certél'	=>	'0002000',
		'certén'	=>	'0002100',
		'certol'	=>	'0002100',
		'certö'	=>	'000210',
		'certu'	=>	'000200',
		'certü'	=>	'000002',
		'certüz'	=>	'0002100',
		'cesem'	=>	'002000',
		'cesés'	=>	'212000',
		'ceső'	=>	'21200',
		'cestéj'	=>	'0002120',
		'cesték'	=>	'0002100',
		'cestra'	=>	'0010000',
		'ceteg'	=>	'002120',
		'cetessz'	=>	'00210000',
		'cetesz'	=>	'0021000',
		'cetét'	=>	'002120',
		'ceth'	=>	'20000',
		'cetill'	=>	'0001000',
		'cetin'	=>	'002120',
		'cetiz'	=>	'002000',
		'cetn'	=>	'20000',
		'ceton'	=>	'200000',
		'cetra'	=>	'001200',
		'cetus'	=>	'002100',
		'cetűd'	=>	'002000',
		'cetűz'	=>	'000020',
		'ceüt'	=>	'00020',
		'cevés'	=>	'002000',
		'cevő'	=>	'00200',
		'cezer'	=>	'212000',
		'cezrede'	=>	'20000000',
		'cé'	=>	'100',
		'cébr'	=>	'21000',
		'cédél'	=>	'002000',
		'céga'	=>	'00212',
		'cégá'	=>	'00212',
		'cégeg'	=>	'002100',
		'cégel'	=>	'002120',
		'céger'	=>	'002020',
		'cégere'	=>	'0001000',
		'cégeré'	=>	'0001000',
		'cégesem'	=>	'00210000',
		'cégeté'	=>	'0020000',
		'cégető'	=>	'0020000',
		'cégék'	=>	'002100',
		'cégép'	=>	'002000',
		'cégés'	=>	'212000',
		'cégg'	=>	'00010',
		'cégid'	=>	'002120',
		'cégiga'	=>	'0001000',
		'cégigé'	=>	'0020000',
		'cégim'	=>	'002000',
		'cégir'	=>	'002000',
		'cégiz'	=>	'002100',
		'cégo'	=>	'00002',
		'cégok'	=>	'002100',
		'cégol'	=>	'002000',
		'cégó'	=>	'00200',
		'cégö'	=>	'00200',
		'cégu'	=>	'00212',
		'cégú'	=>	'00200',
		'céha'	=>	'00002',
		'céhal'	=>	'002000',
		'céhan'	=>	'002000',
		'céhar'	=>	'002000',
		'céhed'	=>	'002000',
		'céheg'	=>	'002120',
		'céhir'	=>	'002000',
		'céhu'	=>	'00200',
		'céhú'	=>	'00200',
		'céks'	=>	'21000',
		'céla'	=>	'00200',
		'célan'	=>	'000120',
		'célap'	=>	'003000',
		'célar'	=>	'000120',
		'céláb'	=>	'002000',
		'célál'	=>	'002000',
		'célár'	=>	'002120',
		'célát'	=>	'002120',
		'céled'	=>	'002000',
		'céleg'	=>	'002000',
		'célei'	=>	'002000',
		'célek'	=>	'002000',
		'célel'	=>	'002120',
		'célem'	=>	'002000',
		'célemb'	=>	'0001000',
		'célen'	=>	'002000',
		'céler'	=>	'002100',
		'céles'	=>	'002120',
		'célet'	=>	'212000',
		'célez'	=>	'212000',
		'céléb'	=>	'002000',
		'célék'	=>	'002120',
		'célénk'	=>	'0020000',
		'célép'	=>	'002000',
		'célére'	=>	'0020000',
		'célés'	=>	'002000',
		'célim'	=>	'002000',
		'célin'	=>	'002000',
		'célir'	=>	'002000',
		'célis'	=>	'002100',
		'céliz'	=>	'002000',
		'célí'	=>	'00200',
		'céló'	=>	'00200',
		'célö'	=>	'00212',
		'célő'	=>	'00212',
		'célt'	=>	'00002',
		'céltr'	=>	'000100',
		'célu'	=>	'00002',
		'célut'	=>	'002100',
		'célü'	=>	'00200',
		'célű'	=>	'21200',
		'cépí'	=>	'00200',
		'cépü'	=>	'00200',
		'cérag'	=>	'002000',
		'cérd'	=>	'21000',
		'cérés'	=>	'212000',
		'cérin'	=>	'002000',
		'cérint'	=>	'2100000',
		'céris'	=>	'002000',
		'cérs'	=>	'00010',
		'cérté'	=>	'210000',
		'cérú'	=>	'00200',
		'cérz'	=>	'21000',
		'céss'	=>	'00030',
		'cészh'	=>	'210000',
		'cétk'	=>	'21000',
		'cétt'	=>	'21000',
		'cévad'	=>	'210000',
		'cévei'	=>	'200000',
		'cévek'	=>	'212000',
		'céven'	=>	'212000',
		'céves'	=>	'212000',
		'cévet'	=>	'212000',
		'cévét'	=>	'212000',
		'cévn'	=>	'21000',
		'cévü'	=>	'21200',
		'cfló'	=>	'00200',
		'cfra'	=>	'00200',
		'cfri'	=>	'00200',
		'cfro'	=>	'00200',
		'cgra'	=>	'00200',
		'cgri'	=>	'00200',
		'ch'	=>	'020',
		'cha'	=>	'1000',
		'chad'	=>	'03000',
		'chaj'	=>	'23000',
		'cham'	=>	'20000',
		'chang'	=>	'200000',
		'charc'	=>	'230000',
		'charm'	=>	'200000',
		'chatá'	=>	'200000',
		'chav'	=>	'23000',
		'chá'	=>	'1000',
		'chám'	=>	'23000',
		'chány'	=>	'030000',
		'cház'	=>	'03000',
		'chbl'	=>	'00100',
		'che'	=>	'1000',
		'cheg'	=>	'23000',
		'chev'	=>	'20000',
		'chez'	=>	'23000',
		'ché'	=>	'1000',
		'chi'	=>	'1000',
		'chib'	=>	'23000',
		'chió'	=>	'23000',
		'chitel'	=>	'2000000',
		'chitet'	=>	'2000000',
		'chiú'	=>	'03000',
		'chí'	=>	'1000',
		'cho'	=>	'1000',
		'chod'	=>	'00012',
		'chor'	=>	'23000',
		'choss'	=>	'230000',
		'chó'	=>	'1000',
		'chö'	=>	'1000',
		'chő'	=>	'1000',
		'chpr'	=>	'00100',
		'chsc'	=>	'00100',
		'chsp'	=>	'00100',
		'chu'	=>	'1000',
		'chur'	=>	'00020',
		'chuz'	=>	'23000',
		'chú'	=>	'1000',
		'chü'	=>	'1000',
		'chű'	=>	'1000',
		'ci'	=>	'100',
		'ciaa'	=>	'00200',
		'ciaá'	=>	'00200',
		'ciab'	=>	'00012',
		'ciaba'	=>	'002000',
		'ciabo'	=>	'002000',
		'ciabr'	=>	'002000',
		'ciac'	=>	'00200',
		'ciad'	=>	'00212',
		'ciae'	=>	'00200',
		'ciaé'	=>	'00200',
		'ciaf'	=>	'00010',
		'ciafag'	=>	'0002000',
		'ciafr'	=>	'002000',
		'ciag'	=>	'00212',
		'ciah'	=>	'00200',
		'ciaik'	=>	'002000',
		'ciaí'	=>	'00200',
		'ciaj'	=>	'00200',
		'ciakar'	=>	'0020000',
		'ciakas'	=>	'0020000',
		'ciakó'	=>	'002000',
		'ciala'	=>	'002000',
		'cialá'	=>	'002000',
		'ciale'	=>	'002000',
		'cialé'	=>	'002000',
		'cialo'	=>	'002000',
		'ciam'	=>	'00200',
		'ciany'	=>	'002000',
		'ciao'	=>	'00200',
		'ciaó'	=>	'00200',
		'ciaö'	=>	'00200',
		'ciaő'	=>	'00200',
		'ciap'	=>	'00212',
		'ciar'	=>	'00200',
		'ciasza'	=>	'0020000',
		'ciaszá'	=>	'0020000',
		'ciaszé'	=>	'0020000',
		'ciaszo'	=>	'0020000',
		'ciaszó'	=>	'0020000',
		'ciat'	=>	'00012',
		'ciata'	=>	'002000',
		'ciatá'	=>	'002000',
		'ciaté'	=>	'002000',
		'ciato'	=>	'002000',
		'ciatű'	=>	'002000',
		'ciau'	=>	'00202',
		'ciaú'	=>	'00200',
		'ciaü'	=>	'00200',
		'ciaű'	=>	'00200',
		'ciav'	=>	'00200',
		'ciaz'	=>	'00200',
		'ciálan'	=>	'0002000',
		'ciánár'	=>	'0002000',
		'ciáó'	=>	'00200',
		'cideg'	=>	'212000',
		'cideo'	=>	'002000',
		'cidé'	=>	'21200',
		'cidom'	=>	'212000',
		'cidő'	=>	'21200',
		'cier'	=>	'00020',
		'cifj'	=>	'21000',
		'cigaz'	=>	'212000',
		'cigr'	=>	'00120',
		'ciker'	=>	'002000',
		'cikka'	=>	'000002',
		'cikkaj'	=>	'0002000',
		'cikkan'	=>	'0002000',
		'cikko'	=>	'000210',
		'cikla'	=>	'001200',
		'cikrá'	=>	'210000',
		'cilát'	=>	'002120',
		'cillu'	=>	'200000',
		'cimit'	=>	'002000',
		'cimpu'	=>	'200000',
		'cinal'	=>	'002100',
		'cinárt'	=>	'0021000',
		'cind'	=>	'00012',
		'cinere'	=>	'0021200',
		'cinf'	=>	'20000',
		'cinge'	=>	'210000',
		'cingr'	=>	'210000',
		'cinim'	=>	'002000',
		'cinkac'	=>	'0002000',
		'cinkal'	=>	'0002120',
		'cinkért'	=>	'00020000',
		'cinkol'	=>	'0002000',
		'cinkors'	=>	'00020000',
		'cinkö'	=>	'000200',
		'cinö'	=>	'00200',
		'cintar'	=>	'0002000',
		'cintes'	=>	'0002100',
		'cinuss'	=>	'0000010',
		'cinü'	=>	'00200',
		'cinv'	=>	'21000',
		'ciod'	=>	'00200',
		'ciof'	=>	'00200',
		'ciog'	=>	'00200',
		'ciogra'	=>	'0001000',
		'cioi'	=>	'00200',
		'ciol'	=>	'00200',
		'ciolo'	=>	'003000',
		'cionn'	=>	'212000',
		'ciop'	=>	'00200',
		'ciov'	=>	'00020',
		'cióa'	=>	'00200',
		'cióá'	=>	'00200',
		'cióc'	=>	'00200',
		'ciódar'	=>	'0020000',
		'cióe'	=>	'00200',
		'cióg'	=>	'00200',
		'cióí'	=>	'00200',
		'ciókal'	=>	'0020000',
		'ciókam'	=>	'0020000',
		'cióká'	=>	'002000',
		'cióke'	=>	'002000',
		'ciókl'	=>	'002100',
		'ciókom'	=>	'0020000',
		'ciókos'	=>	'0020000',
		'cióku'	=>	'002000',
		'ciól'	=>	'00200',
		'ciómag'	=>	'0020000',
		'ciómá'	=>	'002000',
		'cióné'	=>	'002000',
		'cióo'	=>	'00200',
		'cióó'	=>	'00200',
		'cióö'	=>	'00200',
		'cióő'	=>	'00200',
		'cióp'	=>	'00210',
		'ciósá'	=>	'002000',
		'cióse'	=>	'002000',
		'ciósér'	=>	'0002100',
		'cióská'	=>	'0021200',
		'ciószo'	=>	'0020000',
		'ciótá'	=>	'002000',
		'cióú'	=>	'00200',
		'cióü'	=>	'00200',
		'ciózón'	=>	'0020000',
		'ciőr'	=>	'00020',
		'cirat'	=>	'002000',
		'cirán'	=>	'212000',
		'cirod'	=>	'212000',
		'cirt'	=>	'21000',
		'cisko'	=>	'210000',
		'cism'	=>	'21000',
		'cisp'	=>	'21000',
		'cistad'	=>	'0010000',
		'ciszi'	=>	'002010',
		'citaj'	=>	'002100',
		'citár'	=>	'000020',
		'citára'	=>	'0001000',
		'citáré'	=>	'0001000',
		'citáro'	=>	'0001000',
		'citérr'	=>	'0001000',
		'citik'	=>	'002000',
		'citol'	=>	'002100',
		'city'	=>	'00100',
		'ciumi'	=>	'000002',
		'ciumin'	=>	'0002000',
		'ciumio'	=>	'0002100',
		'ciumköz'	=>	'00000001',
		'ciut'	=>	'00020',
		'civad'	=>	'212000',
		'civás'	=>	'212000',
		'cí'	=>	'100',
		'cíja'	=>	'00200',
		'cíjé'	=>	'00200',
		'címa'	=>	'00212',
		'címá'	=>	'00210',
		'címel'	=>	'002120',
		'címél'	=>	'002120',
		'címí'	=>	'00200',
		'címo'	=>	'00200',
		'címö'	=>	'00200',
		'címő'	=>	'00200',
		'címu'	=>	'00200',
		'círá'	=>	'00200',
		'círó'	=>	'00200',
		'cívá'	=>	'00200',
		'cíve'	=>	'00200',
		'cívé'	=>	'00200',
		'cízs'	=>	'00200',
		'cízü'	=>	'00200',
		'ckaka'	=>	'000002',
		'ckalj'	=>	'021000',
		'ckarc'	=>	'021000',
		'ckarom'	=>	'0002000',
		'ckág'	=>	'02100',
		'ckáll'	=>	'001000',
		'ckárn'	=>	'021000',
		'ckeg'	=>	'02120',
		'ckep'	=>	'00010',
		'ckerk'	=>	'100000',
		'ckern'	=>	'100000',
		'cképel'	=>	'0002120',
		'ckéré'	=>	'021200',
		'ckérl'	=>	'021000',
		'ckérté'	=>	'0210000',
		'ckfl'	=>	'00100',
		'ckfr'	=>	'00100',
		'ckill'	=>	'001000',
		'ckíz'	=>	'02100',
		'ckkl'	=>	'00100',
		'ckkr'	=>	'00120',
		'cklu'	=>	'00200',
		'ckola'	=>	'021200',
		'ckope'	=>	'001200',
		'ckorro'	=>	'0210000',
		'ckorru'	=>	'0200000',
		'ckorrú'	=>	'0200000',
		'ckosak'	=>	'1200000',
		'ckou'	=>	'02100',
		'cköb'	=>	'02100',
		'cköss'	=>	'001000',
		'ckreá'	=>	'002000',
		'ckri'	=>	'01200',
		'ckrí'	=>	'01200',
		'cksp'	=>	'00100',
		'cküg'	=>	'02100',
		'ckült'	=>	'001000',
		'cküt'	=>	'02100',
		'cküv'	=>	'02120',
		'ckűr'	=>	'00100',
		'ckva'	=>	'00200',
		'clis'	=>	'00020',
		'cluba'	=>	'000210',
		'cmelo'	=>	'000001',
		'cnyak'	=>	'000020',
		'cnyolcan'	=>	'000002100',
		'co'	=>	'100',
		'coat'	=>	'00200',
		'coáz'	=>	'00200',
		'cobe'	=>	'00200',
		'coeu'	=>	'00200',
		'cokar'	=>	'002000',
		'coká'	=>	'00200',
		'coke'	=>	'00200',
		'cokél'	=>	'002000',
		'cokép'	=>	'002000',
		'cokí'	=>	'21200',
		'colaj'	=>	'212000',
		'coláro'	=>	'0021000',
		'colda'	=>	'210000',
		'coldá'	=>	'210000',
		'coldó'	=>	'210000',
		'cole'	=>	'00200',
		'colibr'	=>	'0021000',
		'colim'	=>	'002020',
		'colima'	=>	'0001000',
		'colind'	=>	'0021000',
		'coling'	=>	'0021000',
		'colinu'	=>	'0021000',
		'color'	=>	'002120',
		'colvad'	=>	'2000000',
		'colvas'	=>	'2000000',
		'comba'	=>	'000002',
		'combal'	=>	'0002000',
		'combe'	=>	'000212',
		'combiz'	=>	'0002000',
		'combol'	=>	'0002000',
		'combór'	=>	'0002000',
		'combö'	=>	'000200',
		'coml'	=>	'21000',
		'cool'	=>	'00200',
		'cope'	=>	'21200',
		'copfő'	=>	'000210',
		'copy'	=>	'00100',
		'corc'	=>	'21000',
		'cori'	=>	'21200',
		'corm'	=>	'21000',
		'corom'	=>	'012000',
		'corro'	=>	'210000',
		'corrú'	=>	'210000',
		'corv'	=>	'20000',
		'coskol'	=>	'2100000',
		'cosoku'	=>	'0021200',
		'coss'	=>	'00030',
		'coszs'	=>	'000300',
		'coszt'	=>	'210000',
		'coul'	=>	'00200',
		'coun'	=>	'00200',
		'couv'	=>	'00200',
		'covi'	=>	'00200',
		'có'	=>	'100',
		'cóni'	=>	'01200',
		'córá'	=>	'21200',
		'córi'	=>	'01200',
		'cóvó'	=>	'00200',
		'cö'	=>	'100',
		'cöltö'	=>	'010000',
		'cösv'	=>	'01000',
		'cösz'	=>	'01000',
		'cötb'	=>	'01000',
		'cöte'	=>	'01210',
		'cöté'	=>	'01200',
		'cötf'	=>	'01000',
		'cöth'	=>	'01000',
		'cöti'	=>	'01200',
		'cötk'	=>	'01000',
		'cötm'	=>	'01000',
		'cötn'	=>	'01000',
		'cötr'	=>	'01000',
		'cöts'	=>	'01000',
		'cött'	=>	'01000',
		'cötü'	=>	'01200',
		'cözö'	=>	'00200',
		'cő'	=>	'100',
		'cőrü'	=>	'00200',
		'cpla'	=>	'00200',
		'cpra'	=>	'00200',
		'cpre'	=>	'00200',
		'cpré'	=>	'00200',
		'cpri'	=>	'00200',
		'cpro'	=>	'00200',
		'cpró'	=>	'00200',
		'cs'	=>	'020',
		'csa'	=>	'1000',
		'csabl'	=>	'200000',
		'csadat'	=>	'2012000',
		'csadá'	=>	'201200',
		'csadó'	=>	'201200',
		'csakc'	=>	'201000',
		'csalakj'	=>	'00020000',
		'csalapú'	=>	'00020000',
		'csaláí'	=>	'2000000',
		'csalát'	=>	'2000000',
		'csalb'	=>	'200000',
		'csalg'	=>	'201000',
		'csalk'	=>	'201000',
		'csalle'	=>	'0010000',
		'csalm'	=>	'201000',
		'csalomb'	=>	'00020000',
		'csamb'	=>	'001000',
		'csant'	=>	'200000',
		'csapál'	=>	'0002000',
		'csapka'	=>	'2000000',
		'csapká'	=>	'2000000',
		'csapor'	=>	'0002000',
		'csapóká'	=>	'20000000',
		'csapókr'	=>	'20000000',
		'csapósab'	=>	'200000000',
		'csarc'	=>	'201000',
		'csarg'	=>	'200000',
		'csark'	=>	'200000',
		'csarz'	=>	'201000',
		'csass'	=>	'201000',
		'csatór'	=>	'0002120',
		'csavara'	=>	'00000012',
		'csazo'	=>	'001000',
		'csá'	=>	'1000',
		'csábe'	=>	'000200',
		'csáf'	=>	'20000',
		'cság'	=>	'20000',
		'cságak'	=>	'0012000',
		'cságu'	=>	'001200',
		'csárad'	=>	'2010000',
		'csárak'	=>	'2012000',
		'csáram'	=>	'2000000',
		'csárat'	=>	'2000000',
		'csárát'	=>	'0002000',
		'csárny'	=>	'2010000',
		'csáruk'	=>	'0012000',
		'csásá'	=>	'201000',
		'csási'	=>	'230000',
		'csásó'	=>	'201000',
		'csátásás'	=>	'200000000',
		'csátf'	=>	'200000',
		'csátm'	=>	'200000',
		'csátr'	=>	'200000',
		'csávo'	=>	'230000',
		'csbl'	=>	'00100',
		'csbr'	=>	'00100',
		'csdr'	=>	'00120',
		'cse'	=>	'1000',
		'csebé'	=>	'200000',
		'csece'	=>	'001200',
		'csecsa'	=>	'0002000',
		'csedé'	=>	'201200',
		'csedz'	=>	'201000',
		'cseff'	=>	'001000',
		'cseges'	=>	'0012000',
		'csegí'	=>	'200000',
		'cself'	=>	'200000',
		'csellá'	=>	'2000000',
		'cselőí'	=>	'2000000',
		'cselta'	=>	'2000000',
		'cseltá'	=>	'2000000',
		'csely'	=>	'230000',
		'csember'	=>	'20100000',
		'csemel'	=>	'2012000',
		'cseml'	=>	'200000',
		'csemu'	=>	'200000',
		'csendő'	=>	'0000212',
		'csenis'	=>	'0002000',
		'csenyen'	=>	'00023000',
		'csenz'	=>	'200000',
		'csepré'	=>	'0001200',
		'cserál'	=>	'0002000',
		'csereped'	=>	'000212000',
		'cseró'	=>	'200000',
		'cserő'	=>	'200000',
		'cseső'	=>	'200000',
		'cseszm'	=>	'2000000',
		'csetüz'	=>	'0002000',
		'csevő'	=>	'200000',
		'csex'	=>	'20100',
		'csé'	=>	'1000',
		'cség'	=>	'20000',
		'cségb'	=>	'030000',
		'cségg'	=>	'030000',
		'cségh'	=>	'030000',
		'cségi'	=>	'030000',
		'cségn'	=>	'030000',
		'cségr'	=>	'030000',
		'cséhes'	=>	'2000000',
		'cséhs'	=>	'200000',
		'cséka'	=>	'201200',
		'cséks'	=>	'200000',
		'cséle'	=>	'201000',
		'cséma'	=>	'000210',
		'csénekb'	=>	'20000000',
		'cséneke'	=>	'20000000',
		'cséneké'	=>	'20000000',
		'csénekk'	=>	'20000000',
		'csénekr'	=>	'20000000',
		'cséneks'	=>	'20000000',
		'csénekt'	=>	'20000000',
		'csénekü'	=>	'20000000',
		'csépí'	=>	'200000',
		'csépü'	=>	'200000',
		'csérde'	=>	'2000000',
		'csérésk'	=>	'00020000',
		'csérvb'	=>	'2000000',
		'csérvh'	=>	'2000000',
		'csérvr'	=>	'2000000',
		'csérvv'	=>	'2000000',
		'csérz'	=>	'200000',
		'csésza'	=>	'0002000',
		'csétab'	=>	'0002000',
		'csévek'	=>	'2000000',
		'csévn'	=>	'200000',
		'csévr'	=>	'200000',
		'csévv'	=>	'200000',
		'csfr'	=>	'00100',
		'csgl'	=>	'00100',
		'csgr'	=>	'00100',
		'csi'	=>	'1000',
		'csiá'	=>	'00002',
		'csidő'	=>	'200000',
		'csigé'	=>	'200000',
		'csimí'	=>	'200000',
		'csimog'	=>	'2000000',
		'csimpo'	=>	'2000000',
		'csinas'	=>	'2000000',
		'csind'	=>	'201000',
		'csinp'	=>	'201000',
		'csinv'	=>	'201000',
		'csiono'	=>	'2000000',
		'csipí'	=>	'200000',
		'csiví'	=>	'200000',
		'csivó'	=>	'200000',
		'csí'	=>	'1000',
		'csíki'	=>	'200000',
		'csírb'	=>	'230000',
		'csírj'	=>	'230000',
		'csíró'	=>	'001200',
		'csív'	=>	'20120',
		'csíze'	=>	'200000',
		'csízl'	=>	'200000',
		'csízn'	=>	'001000',
		'csízt'	=>	'200000',
		'csízü'	=>	'001000',
		'cskas'	=>	'000010',
		'cskasz'	=>	'0000002',
		'cskl'	=>	'00100',
		'cskv'	=>	'00100',
		'cslág'	=>	'030000',
		'cso'	=>	'1000',
		'csoá'	=>	'20120',
		'csobj'	=>	'200000',
		'csoká'	=>	'000210',
		'csokoz'	=>	'2000000',
		'csolaj'	=>	'2000000',
		'csolda'	=>	'2000000',
		'csoldá'	=>	'2000000',
		'csoldók'	=>	'20000000',
		'csoldóm'	=>	'20000000',
		'csoldón'	=>	'20000000',
		'csoldór'	=>	'20000000',
		'csoldót'	=>	'20000000',
		'csoldóv'	=>	'20000000',
		'csoli'	=>	'201000',
		'csolló'	=>	'2000000',
		'csolvas'	=>	'20000000',
		'csomor'	=>	'0002000',
		'csonta'	=>	'0000212',
		'csopc'	=>	'200000',
		'csorc'	=>	'201000',
		'csori'	=>	'200000',
		'csork'	=>	'200000',
		'csorv'	=>	'230000',
		'csoszl'	=>	'2000000',
		'csoszt'	=>	'2000000',
		'csó'	=>	'1000',
		'csódá'	=>	'001000',
		'csókes'	=>	'0002000',
		'csókö'	=>	'000212',
		'csóné'	=>	'201000',
		'csö'	=>	'1000',
		'csökrü'	=>	'2000000',
		'csöml'	=>	'001000',
		'csönn'	=>	'000030',
		'csöre'	=>	'030000',
		'csössz'	=>	'2000000',
		'csözön'	=>	'2000000',
		'cső'	=>	'1000',
		'csőb'	=>	'30000',
		'csőéh'	=>	'000020',
		'csőrz'	=>	'200000',
		'csőszára'	=>	'000201200',
		'csőszék'	=>	'00020000',
		'csősző'	=>	'0002000',
		'csőv'	=>	'30000',
		'cspek'	=>	'032000',
		'cspl'	=>	'00120',
		'cspr'	=>	'00020',
		'csps'	=>	'00100',
		'cssl'	=>	'00100',
		'cssp'	=>	'00120',
		'csst'	=>	'00120',
		'cssz'	=>	'00302',
		'csszakü'	=>	'00000200',
		'cstab'	=>	'032000',
		'cstop'	=>	'002000',
		'cstr'	=>	'00020',
		'cstru'	=>	'030000',
		'csu'	=>	'1000',
		'csudv'	=>	'200000',
		'csug'	=>	'20000',
		'csuho'	=>	'230000',
		'csujj'	=>	'001000',
		'csuna'	=>	'201000',
		'csuni'	=>	'200000',
		'csura'	=>	'201000',
		'csurá'	=>	'201200',
		'csutas'	=>	'0012000',
		'csutá'	=>	'201000',
		'csutó'	=>	'001000',
		'csú'	=>	'1000',
		'csúp'	=>	'00012',
		'csútn'	=>	'200000',
		'csü'	=>	'1000',
		'csüd'	=>	'20000',
		'csügé'	=>	'200000',
		'csügy'	=>	'200000',
		'csünn'	=>	'201000',
		'csüte'	=>	'001200',
		'csüv'	=>	'23000',
		'csüz'	=>	'20100',
		'csű'	=>	'1000',
		'cszac'	=>	'043000',
		'cszaj'	=>	'003000',
		'cszaké'	=>	'0000200',
		'cszam'	=>	'003000',
		'cszál'	=>	'030000',
		'cszám'	=>	'030000',
		'cszáp'	=>	'003000',
		'cszát'	=>	'003000',
		'cszáz'	=>	'030000',
		'cszc'	=>	'03020',
		'cszer'	=>	'030000',
		'cszé'	=>	'03000',
		'cszf'	=>	'03020',
		'cszi'	=>	'03000',
		'cszí'	=>	'03000',
		'cszl'	=>	'03020',
		'cszob'	=>	'030000',
		'cszokn'	=>	'0030000',
		'cszol'	=>	'030000',
		'cszon'	=>	'003000',
		'cszor'	=>	'030000',
		'cszón'	=>	'003000',
		'csző'	=>	'03000',
		'cszs'	=>	'00300',
		'cszt'	=>	'00020',
		'cszug'	=>	'003000',
		'cszú'	=>	'00300',
		'cszü'	=>	'03000',
		'cszű'	=>	'03000',
		'cszv'	=>	'03020',
		'ctra'	=>	'00200',
		'ctre'	=>	'00200',
		'ctré'	=>	'00200',
		'ctri'	=>	'00200',
		'ctro'	=>	'00200',
		'ctrü'	=>	'00200',
		'cu'	=>	'100',
		'cucci'	=>	'000002',
		'cuccin'	=>	'0002000',
		'cukora'	=>	'0000210',
		'culate'	=>	'0000200',
		'culü'	=>	'00200',
		'cund'	=>	'21000',
		'cuno'	=>	'21200',
		'cura'	=>	'21200',
		'cutá'	=>	'21200',
		'cú'	=>	'100',
		'cújí'	=>	'00200',
		'cúrr'	=>	'01000',
		'cúti'	=>	'01200',
		'cúto'	=>	'00200',
		'cü'	=>	'100',
		'cüge'	=>	'00200',
		'cügy'	=>	'00200',
		'cülé'	=>	'21200',
		'cülő'	=>	'00200',
		'cünn'	=>	'01000',
		'cüre'	=>	'00200',
		'cürí'	=>	'00200',
		'cürü'	=>	'00200',
		'cüte'	=>	'00200',
		'cüté'	=>	'00200',
		'cütő'	=>	'00200',
		'cüve'	=>	'00200',
		'cüze'	=>	'00200',
		'cű'	=>	'100',
		'cűző'	=>	'00200',
		'cvanem'	=>	'0002000',
		'cvanév'	=>	'0002000',
		'cvenév'	=>	'0002000',
		'cvenn'	=>	'000030',
		'cz'	=>	'020',
		'cza'	=>	'1000',
		'czaib'	=>	'000200',
		'czaié'	=>	'000200',
		'czaih'	=>	'000200',
		'czaik'	=>	'000200',
		'czain'	=>	'000200',
		'czair'	=>	'000200',
		'czait'	=>	'000200',
		'czaiv'	=>	'000200',
		'czá'	=>	'1000',
		'cze'	=>	'1000',
		'czen'	=>	'23000',
		'czé'	=>	'1000',
		'czéh'	=>	'03000',
		'czi'	=>	'1000',
		'czí'	=>	'1000',
		'czo'	=>	'1000',
		'czó'	=>	'1000',
		'czö'	=>	'1000',
		'cző'	=>	'1000',
		'czu'	=>	'1000',
		'czú'	=>	'1000',
		'czü'	=>	'1000',
		'czű'	=>	'1000',
		'czy'	=>	'1000',
		'da'	=>	'100',
		'daad'	=>	'00020',
		'daát'	=>	'00001',
		'dabla'	=>	'210000',
		'dacir'	=>	'002100',
		'dacz'	=>	'00200',
		'dadag'	=>	'002000',
		'dadala'	=>	'0001000',
		'dadato'	=>	'2000000',
		'dadó'	=>	'21200',
		'dadrá'	=>	'001000',
		'dadro'	=>	'001000',
		'daer'	=>	'00020',
		'daéd'	=>	'00020',
		'daér'	=>	'00020',
		'dafl'	=>	'00120',
		'dafr'	=>	'00120',
		'dagel'	=>	'002100',
		'dagg'	=>	'00030',
		'dahh'	=>	'21000',
		'daire'	=>	'002000',
		'daján'	=>	'212000',
		'dajt'	=>	'21000',
		'dakad'	=>	'212000',
		'dakár'	=>	'000020',
		'dakkora'	=>	'21000000',
		'dakku'	=>	'010000',
		'dakl'	=>	'00100',
		'dakré'	=>	'001200',
		'dakri'	=>	'001200',
		'daktu'	=>	'210000',
		'dalaga'	=>	'0001200',
		'dalajt'	=>	'0001000',
		'dalakj'	=>	'0020000',
		'dalakta'	=>	'00210000',
		'dalaktá'	=>	'00210000',
		'dalaku'	=>	'0020000',
		'dalakú'	=>	'0020000',
		'dalakz'	=>	'2100000',
		'dalal'	=>	'002120',
		'dalapc'	=>	'0020000',
		'dalapk'	=>	'0020000',
		'dalapn'	=>	'0020000',
		'dalapr'	=>	'0020000',
		'dalaps'	=>	'0021000',
		'dalapt'	=>	'0020000',
		'dalapú'	=>	'2120000',
		'dalar'	=>	'002000',
		'dalasz'	=>	'0021000',
		'dalatt'	=>	'0020000',
		'dalág'	=>	'002120',
		'dalál'	=>	'002100',
		'dalárak'	=>	'00012000',
		'dalárá'	=>	'0001000',
		'dalárb'	=>	'0021000',
		'dalárn'	=>	'0021000',
		'dalárr'	=>	'0021000',
		'dalász'	=>	'0001200',
		'daláti'	=>	'0021000',
		'dalel'	=>	'000020',
		'dalelá'	=>	'0001000',
		'dalele'	=>	'0001000',
		'dalell'	=>	'0001000',
		'dalesé'	=>	'0001200',
		'daléke'	=>	'0000202',
		'daléne'	=>	'0021200',
		'dalf'	=>	'00012',
		'dalid'	=>	'002000',
		'daliko'	=>	'0021200',
		'dalikr'	=>	'0021000',
		'dalim'	=>	'002120',
		'dalinát'	=>	'00212000',
		'dalind'	=>	'0020000',
		'dalinf'	=>	'0021000',
		'daling'	=>	'0021000',
		'dalinj'	=>	'0021000',
		'dalint'	=>	'0021000',
		'dalinu'	=>	'0021200',
		'dalitt'	=>	'0021000',
		'daliz'	=>	'000020',
		'dalizo'	=>	'0001000',
		'dalji'	=>	'210000',
		'dall'	=>	'00030',
		'dallo'	=>	'210000',
		'dalome'	=>	'0000210',
		'dalomo'	=>	'0000002',
		'dalor'	=>	'002100',
		'dalőr'	=>	'002000',
		'dalp'	=>	'00012',
		'dalud'	=>	'000100',
		'dalur'	=>	'002100',
		'dalus'	=>	'002120',
		'dalut'	=>	'002120',
		'dalút'	=>	'000020',
		'dalúto'	=>	'0021000',
		'dalútr'	=>	'0001000',
		'dalü'	=>	'00200',
		'damc'	=>	'21000',
		'damf'	=>	'21000',
		'danal'	=>	'212000',
		'dang'	=>	'21000',
		'danyag'	=>	'0120000',
		'danyó'	=>	'212000',
		'daok'	=>	'00020',
		'daór'	=>	'00020',
		'daóv'	=>	'00020',
		'dapai'	=>	'212000',
		'dapaké'	=>	'0020000',
		'dapáb'	=>	'002000',
		'dapád'	=>	'002000',
		'dapáé'	=>	'002000',
		'dapáh'	=>	'002000',
		'dapái'	=>	'002000',
		'dapák'	=>	'002000',
		'dapám'	=>	'002000',
		'dapát'	=>	'002000',
		'dapáv'	=>	'002000',
		'dapj'	=>	'21000',
		'dapl'	=>	'00120',
		'dapp'	=>	'21000',
		'dapro'	=>	'001000',
		'daps'	=>	'00120',
		'dapt'	=>	'20000',
		'darabe'	=>	'0000200',
		'daradó'	=>	'0021200',
		'darala'	=>	'0001000',
		'darant'	=>	'0020000',
		'darazo'	=>	'0021000',
		'daráta'	=>	'0021000',
		'darátf'	=>	'0021000',
		'darce'	=>	'000212',
		'darch'	=>	'000230',
		'darcso'	=>	'0002000',
		'darcú'	=>	'210000',
		'dardal'	=>	'0002120',
		'dardá'	=>	'000210',
		'dardel'	=>	'0002000',
		'dardes'	=>	'0002100',
		'dardó'	=>	'000212',
		'darel'	=>	'002100',
		'daril'	=>	'002100',
		'daruss'	=>	'0000030',
		'daruta'	=>	'0001000',
		'darü'	=>	'00210',
		'dasál'	=>	'002000',
		'dasl'	=>	'00120',
		'daspe'	=>	'001000',
		'dassz'	=>	'210000',
		'dasta'	=>	'001200',
		'daszl'	=>	'001000',
		'daszt'	=>	'000002',
		'dasztá'	=>	'0000200',
		'daszú'	=>	'200000',
		'datakt'	=>	'0021000',
		'datakv'	=>	'0021000',
		'datala'	=>	'0021200',
		'datalk'	=>	'0021000',
		'datapu'	=>	'0001000',
		'datará'	=>	'0001000',
		'datass'	=>	'0001000',
		'datatt'	=>	'0021000',
		'dataz'	=>	'002000',
		'datáll'	=>	'0021000',
		'datárad'	=>	'00210000',
		'datáramm'	=>	'000020000',
		'datáramr'	=>	'000020000',
		'datáta'	=>	'0021000',
		'datátá'	=>	'0021000',
		'datelem'	=>	'00200000',
		'datelé'	=>	'0001210',
		'datelí'	=>	'0001000',
		'datelk'	=>	'0021000',
		'datell'	=>	'0001000',
		'datelő'	=>	'0021000',
		'datelt'	=>	'0001000',
		'datég'	=>	'002120',
		'datérte'	=>	'00200000',
		'datérté'	=>	'00210000',
		'datérth'	=>	'00210000',
		'datérv'	=>	'0021000',
		'datid'	=>	'002000',
		'datik'	=>	'000020',
		'datiko'	=>	'0021000',
		'datim'	=>	'002000',
		'datinf'	=>	'0021000',
		'datinte'	=>	'00010000',
		'datist'	=>	'0001000',
		'datiz'	=>	'002000',
		'datír'	=>	'002100',
		'datíve'	=>	'0001000',
		'datk'	=>	'00012',
		'datlas'	=>	'2100000',
		'datosz'	=>	'0021000',
		'datóc'	=>	'002000',
		'datóm'	=>	'200000',
		'datór'	=>	'002120',
		'datós'	=>	'000020',
		'datósá'	=>	'0001000',
		'datt'	=>	'00012',
		'datut'	=>	'002120',
		'datút'	=>	'002000',
		'datűr'	=>	'002000',
		'datya'	=>	'002000',
		'datyá'	=>	'002000',
		'dauk'	=>	'21200',
		'daup'	=>	'00200',
		'daur'	=>	'21200',
		'daus'	=>	'00020',
		'dauta'	=>	'000200',
		'dautóp'	=>	'0032000',
		'daüt'	=>	'00020',
		'daüz'	=>	'00020',
		'davat'	=>	'212000',
		'davv'	=>	'21000',
		'daye'	=>	'00100',
		'dayé'	=>	'00100',
		'dazál'	=>	'002000',
		'dazé'	=>	'21200',
		'dazok'	=>	'002000',
		'dazon'	=>	'002000',
		'dá'	=>	'100',
		'dábé'	=>	'21200',
		'dábr'	=>	'21000',
		'dácho'	=>	'002300',
		'dáfá'	=>	'00200',
		'dága'	=>	'00200',
		'dágá'	=>	'00200',
		'dágú'	=>	'00200',
		'dágy'	=>	'21200',
		'dálál'	=>	'002000',
		'dálár'	=>	'002000',
		'dále'	=>	'00210',
		'dállí'	=>	'210000',
		'dálü'	=>	'00200',
		'dályan'	=>	'0020120',
		'dályú'	=>	'000002',
		'dályús'	=>	'0020100',
		'dámu'	=>	'00002',
		'dámut'	=>	'002100',
		'dámú'	=>	'00210',
		'dányad'	=>	'0020120',
		'dányal'	=>	'0020100',
		'dányan'	=>	'0020120',
		'dányaz'	=>	'0020000',
		'dányó'	=>	'002000',
		'dápo'	=>	'00200',
		'dárad'	=>	'212000',
		'dárag'	=>	'002100',
		'dárai'	=>	'212000',
		'dáraj'	=>	'002120',
		'dáral'	=>	'002000',
		'dáram'	=>	'212000',
		'dáran'	=>	'002120',
		'dárap'	=>	'002120',
		'dárar'	=>	'002000',
		'dáras'	=>	'002000',
		'dárass'	=>	'0001000',
		'dárat'	=>	'002000',
		'dáratk'	=>	'0001000',
		'dárá'	=>	'00200',
		'dárál'	=>	'000100',
		'dáre'	=>	'00212',
		'dáréb'	=>	'002000',
		'dárij'	=>	'002000',
		'dáril'	=>	'002000',
		'dárip'	=>	'002120',
		'dárisk'	=>	'0001000',
		'dárism'	=>	'0001000',
		'dárí'	=>	'00200',
		'dárod'	=>	'002000',
		'dárond'	=>	'0021000',
		'dárot'	=>	'002100',
		'dárö'	=>	'00200',
		'dárő'	=>	'00200',
		'dárs'	=>	'00012',
		'dárt'	=>	'00002',
		'dártr'	=>	'000100',
		'dáruk'	=>	'002000',
		'dárusága'	=>	'000021200',
		'dárú'	=>	'00202',
		'dárü'	=>	'00200',
		'dárű'	=>	'00200',
		'dásad'	=>	'002120',
		'dásal'	=>	'002000',
		'dásar'	=>	'002000',
		'dáság'	=>	'002120',
		'dásárad'	=>	'00210000',
		'dásárh'	=>	'0021000',
		'dásáru'	=>	'0021200',
		'dásás'	=>	'012000',
		'dásáta'	=>	'0000012',
		'dáse'	=>	'00212',
		'dásfélév'	=>	'000002120',
		'dásim'	=>	'002000',
		'dásis'	=>	'002000',
		'dásol'	=>	'002000',
		'dásor'	=>	'002000',
		'dásó'	=>	'00202',
		'dásór'	=>	'000100',
		'dásö'	=>	'00200',
		'dáső'	=>	'00200',
		'dást'	=>	'00002',
		'dástr'	=>	'000100',
		'dásut'	=>	'002000',
		'dásü'	=>	'00212',
		'dászag'	=>	'0020000',
		'dászaka'	=>	'00200000',
		'dászal'	=>	'0020000',
		'dászar'	=>	'0020000',
		'dászav'	=>	'0020000',
		'dászál'	=>	'0020100',
		'dászárk'	=>	'00200000',
		'dászáro'	=>	'00201200',
		'dásze'	=>	'002000',
		'dászel'	=>	'0000100',
		'dászem'	=>	'0000100',
		'dászer'	=>	'0000100',
		'dászéb'	=>	'0020000',
		'dászip'	=>	'0020000',
		'dászir'	=>	'0020000',
		'dászis'	=>	'0020000',
		'dászí'	=>	'002012',
		'dászkái'	=>	'20000000',
		'dászö'	=>	'002010',
		'dásző'	=>	'002000',
		'dászs'	=>	'000030',
		'dászus'	=>	'0020100',
		'dászú'	=>	'002010',
		'dászü'	=>	'002012',
		'dászű'	=>	'002010',
		'dáta'	=>	'21200',
		'dátal'	=>	'000100',
		'dátá'	=>	'21200',
		'dátd'	=>	'21000',
		'dáte'	=>	'00212',
		'dáté'	=>	'21200',
		'dátf'	=>	'21000',
		'dátí'	=>	'21200',
		'dátj'	=>	'21000',
		'dátk'	=>	'21000',
		'dátm'	=>	'21000',
		'dátr'	=>	'21000',
		'dátu'	=>	'30000',
		'dátú'	=>	'21200',
		'dátv'	=>	'21000',
		'dbal'	=>	'00021',
		'dblo'	=>	'00200',
		'dblú'	=>	'00200',
		'dbro'	=>	'00200',
		'dbró'	=>	'00200',
		'dclu'	=>	'00200',
		'dcsapág'	=>	'00002120',
		'ddelh'	=>	'001000',
		'ddid'	=>	'02120',
		'ddís'	=>	'00020',
		'ddod'	=>	'02120',
		'ddrá'	=>	'00200',
		'ddró'	=>	'00200',
		'ddz'	=>	'0200',
		'ddzs'	=>	'03000',
		'de'	=>	'100',
		'deaa'	=>	'00200',
		'deaá'	=>	'00200',
		'deac'	=>	'00200',
		'dead'	=>	'00020',
		'deae'	=>	'00200',
		'deaé'	=>	'00200',
		'deagy'	=>	'002000',
		'deah'	=>	'00200',
		'deaí'	=>	'00200',
		'deala'	=>	'002000',
		'dealá'	=>	'002000',
		'dealo'	=>	'002000',
		'deam'	=>	'00200',
		'dean'	=>	'00020',
		'deao'	=>	'00200',
		'deap'	=>	'00200',
		'deasz'	=>	'000102',
		'deaszf'	=>	'0020000',
		'deat'	=>	'00200',
		'debé'	=>	'21200',
		'dedell'	=>	'0001000',
		'dedén'	=>	'212000',
		'dedóv'	=>	'002120',
		'dedra'	=>	'001000',
		'dedú'	=>	'00212',
		'dedz'	=>	'21200',
		'deep'	=>	'00200',
		'dees'	=>	'00020',
		'deér'	=>	'00020',
		'deff'	=>	'21000',
		'defr'	=>	'00100',
		'degal'	=>	'002120',
		'degan'	=>	'002120',
		'degál'	=>	'002100',
		'degel'	=>	'002120',
		'degenn'	=>	'0000030',
		'deger'	=>	'002000',
		'degék'	=>	'002100',
		'degéri'	=>	'0001000',
		'degés'	=>	'002000',
		'degéss'	=>	'0001000',
		'degész'	=>	'0000001',
		'degg'	=>	'00030',
		'degiz'	=>	'002000',
		'dego'	=>	'20000',
		'degor'	=>	'002000',
		'degö'	=>	'00002',
		'degöl'	=>	'002100',
		'degör'	=>	'002000',
		'degös'	=>	'002100',
		'degő'	=>	'20200',
		'degye'	=>	'212000',
		'degyez'	=>	'0000001',
		'degz'	=>	'20000',
		'dehh'	=>	'21000',
		'dehog'	=>	'000020',
		'deif'	=>	'00200',
		'deig'	=>	'00020',
		'deír'	=>	'00020',
		'dekak'	=>	'002120',
		'dekaz'	=>	'002000',
		'dekeg'	=>	'002120',
		'dekellen'	=>	'002000000',
		'dekep'	=>	'002000',
		'dekerő'	=>	'0001200',
		'dekesz'	=>	'0021000',
		'dekékb'	=>	'0001000',
		'dekéke'	=>	'0001200',
		'dekél'	=>	'002100',
		'dekéri'	=>	'0021000',
		'dekérte'	=>	'00200000',
		'dekérté'	=>	'00210000',
		'dekérv'	=>	'0021000',
		'dekérz'	=>	'0021000',
		'deklu'	=>	'001000',
		'dekold'	=>	'0001000',
		'deks'	=>	'00010',
		'deksz'	=>	'000002',
		'delad'	=>	'210000',
		'delef'	=>	'002000',
		'delegy'	=>	'2120000',
		'delema'	=>	'0000210',
		'delemá'	=>	'0000200',
		'delemeg'	=>	'00002000',
		'delemek'	=>	'00200000',
		'delemel'	=>	'00002000',
		'delemele'	=>	'000001000',
		'delemu'	=>	'0000200',
		'delemű'	=>	'2120000',
		'delemz'	=>	'2120000',
		'deleta'	=>	'0000212',
		'deleteté'	=>	'210000000',
		'delék'	=>	'212120',
		'delél'	=>	'212000',
		'deléss'	=>	'0000030',
		'delha'	=>	'210000',
		'delho'	=>	'210000',
		'delkezdé'	=>	'200000000',
		'delkezdő'	=>	'200000000',
		'dellal'	=>	'0002000',
		'dellan'	=>	'0002100',
		'delleg'	=>	'0002120',
		'dellel'	=>	'0000020',
		'dellele'	=>	'00021000',
		'dellelk'	=>	'00020000',
		'dellená'	=>	'20000000',
		'dellene'	=>	'21000000',
		'dellent'	=>	'00021000',
		'deller'	=>	'0002000',
		'delléj'	=>	'0002120',
		'dellék'	=>	'0002120',
		'dellin'	=>	'0002100',
		'dellis'	=>	'0002100',
		'dellos'	=>	'0002000',
		'dellór'	=>	'0002000',
		'dellőr'	=>	'0002000',
		'delma'	=>	'210000',
		'delnö'	=>	'210000',
		'delos'	=>	'002000',
		'delö'	=>	'20000',
		'delöl'	=>	'002000',
		'delőad'	=>	'0020000',
		'delőka'	=>	'2120000',
		'delőrej'	=>	'20000000',
		'delsa'	=>	'210000',
		'deltér'	=>	'2100000',
		'delvá'	=>	'210000',
		'delves'	=>	'2100000',
		'delvo'	=>	'210000',
		'delvűe'	=>	'2100000',
		'delvűk'	=>	'2100000',
		'delvűn'	=>	'2100000',
		'delvűr'	=>	'2100000',
		'delvűs'	=>	'2100000',
		'delvűt'	=>	'2100000',
		'delvűv'	=>	'2100000',
		'demad'	=>	'002000',
		'demal'	=>	'002120',
		'demaz'	=>	'002000',
		'demál'	=>	'002100',
		'demez'	=>	'002000',
		'demérem'	=>	'00212000',
		'demérm'	=>	'0021000',
		'demim'	=>	'002000',
		'deming'	=>	'0001000',
		'demoi'	=>	'200000',
		'demp'	=>	'00010',
		'demus'	=>	'002000',
		'demül'	=>	'000020',
		'denal'	=>	'002000',
		'dener'	=>	'212000',
		'denkiéne'	=>	'000000200',
		'denol'	=>	'002000',
		'denó'	=>	'00212',
		'denss'	=>	'000010',
		'deod'	=>	'00200',
		'deof'	=>	'00200',
		'deog'	=>	'00212',
		'deoj'	=>	'00200',
		'deolo'	=>	'002000',
		'deom'	=>	'00200',
		'deot'	=>	'00200',
		'depé'	=>	'21200',
		'depre'	=>	'001200',
		'depro'	=>	'001000',
		'deps'	=>	'00120',
		'derad'	=>	'002000',
		'deraka'	=>	'0001000',
		'derala'	=>	'0020000',
		'deran'	=>	'002120',
		'derar'	=>	'002100',
		'derág'	=>	'002120',
		'derár'	=>	'002120',
		'derás'	=>	'002000',
		'derázt'	=>	'0001000',
		'derdő'	=>	'200000',
		'derec'	=>	'000020',
		'deredm'	=>	'2000000',
		'dereje'	=>	'2120000',
		'derején'	=>	'20000000',
		'derejér'	=>	'20000000',
		'derejét'	=>	'21200000',
		'derekei'	=>	'00212000',
		'derele'	=>	'0001200',
		'derell'	=>	'0001000',
		'derelő'	=>	'0001200',
		'derelt'	=>	'0001000',
		'derer'	=>	'002000',
		'dereső'	=>	'0021200',
		'derél'	=>	'002100',
		'derid'	=>	'002000',
		'deril'	=>	'002100',
		'derim'	=>	'002120',
		'derin'	=>	'002100',
		'derip'	=>	'002120',
		'deris'	=>	'002120',
		'dernék'	=>	'0002000',
		'derosz'	=>	'0021000',
		'derór'	=>	'002120',
		'derő'	=>	'00200',
		'derőt'	=>	'010000',
		'derőv'	=>	'010000',
		'dersp'	=>	'000100',
		'deru'	=>	'00002',
		'derut'	=>	'002000',
		'derüg'	=>	'002120',
		'derüld'	=>	'0021000',
		'derüle'	=>	'0001000',
		'derültet'	=>	'000100000',
		'derviss'	=>	'00000010',
		'desa'	=>	'20212',
		'desg'	=>	'20000',
		'desip'	=>	'002000',
		'deskü'	=>	'200000',
		'destes'	=>	'2000000',
		'desto'	=>	'001000',
		'desur'	=>	'002000',
		'desú'	=>	'00002',
		'desúr'	=>	'002100',
		'deszm'	=>	'210000',
		'deszta'	=>	'0010200',
		'deték'	=>	'002100',
		'detika'	=>	'0020000',
		'detiká'	=>	'0020000',
		'devő'	=>	'21200',
		'devv'	=>	'21000',
		'dexa'	=>	'00200',
		'dexi'	=>	'00002',
		'dexin'	=>	'002000',
		'dexiz'	=>	'002000',
		'dexí'	=>	'00200',
		'dexo'	=>	'00210',
		'dexö'	=>	'00200',
		'deza'	=>	'20000',
		'dezak'	=>	'002000',
		'dezér'	=>	'002000',
		'dezil'	=>	'002000',
		'dezin'	=>	'002000',
		'dezor'	=>	'002100',
		'dezőe'	=>	'000002',
		'dezőkész'	=>	'000000001',
		'dezr'	=>	'21000',
		'dé'	=>	'100',
		'débr'	=>	'21000',
		'dédap'	=>	'002000',
		'dédő'	=>	'00210',
		'dédu'	=>	'00200',
		'défl'	=>	'00100',
		'déga'	=>	'00212',
		'dégá'	=>	'00212',
		'dégeb'	=>	'002120',
		'dégeg'	=>	'002100',
		'dégép'	=>	'002000',
		'dégérk'	=>	'0021000',
		'dégés'	=>	'002000',
		'dégész'	=>	'0001000',
		'dégg'	=>	'00030',
		'dégiga'	=>	'0001000',
		'dégigé'	=>	'0020000',
		'dégin'	=>	'002000',
		'dégí'	=>	'00200',
		'dégok'	=>	'002100',
		'dégot'	=>	'002000',
		'dégó'	=>	'00200',
		'dégs'	=>	'00010',
		'dégu'	=>	'00212',
		'dégú'	=>	'00200',
		'dégű'	=>	'00200',
		'déhes'	=>	'212000',
		'déhs'	=>	'21000',
		'déjb'	=>	'21000',
		'dékab'	=>	'002100',
		'dékac'	=>	'002000',
		'dékad'	=>	'002120',
		'dékal'	=>	'002120',
		'dékan'	=>	'002120',
		'dékap'	=>	'002100',
		'dékas'	=>	'002100',
		'dékau'	=>	'002100',
		'dékaz'	=>	'002000',
		'dékág'	=>	'002100',
		'dékárt'	=>	'0021000',
		'dékás'	=>	'002000',
		'dékáta'	=>	'0000012',
		'dékeg'	=>	'002120',
		'dékel'	=>	'000020',
		'dékele'	=>	'0021000',
		'dékell'	=>	'0001000',
		'dékelő'	=>	'0001000',
		'dékelt'	=>	'0021000',
		'déker'	=>	'002100',
		'dékesz'	=>	'0021000',
		'déketi'	=>	'0021000',
		'dékez'	=>	'002000',
		'dékéj'	=>	'002120',
		'dékék'	=>	'002120',
		'dékél'	=>	'002120',
		'dékéte'	=>	'0021000',
		'dékisz'	=>	'0001000',
		'dékivá'	=>	'0020000',
		'dékí'	=>	'00200',
		'dékkulcs'	=>	'000000001',
		'dékold'	=>	'0021000',
		'dékop'	=>	'002000',
		'dékor'	=>	'002100',
		'dékosz'	=>	'0021000',
		'dékó'	=>	'00002',
		'dékór'	=>	'002000',
		'déköv'	=>	'002120',
		'déköz'	=>	'002000',
		'dékő'	=>	'00200',
		'dékrém'	=>	'0002000',
		'dékut'	=>	'002100',
		'délad'	=>	'002000',
		'délam'	=>	'002000',
		'délá'	=>	'00212',
		'déleg'	=>	'002000',
		'délel'	=>	'002020',
		'délelő'	=>	'0001000',
		'déles'	=>	'002000',
		'délest'	=>	'0001000',
		'délet'	=>	'212000',
		'délim'	=>	'002000',
		'délio'	=>	'002000',
		'délközön'	=>	'000002100',
		'délo'	=>	'00200',
		'délö'	=>	'00212',
		'délő'	=>	'21200',
		'délu'	=>	'00212',
		'délük'	=>	'002000',
		'délyö'	=>	'002000',
		'démel'	=>	'002120',
		'démem'	=>	'002120',
		'déna'	=>	'00002',
		'dénac'	=>	'000100',
		'dénára'	=>	'0000012',
		'déneke'	=>	'2120000',
		'dényel'	=>	'0020100',
		'dényid'	=>	'0020000',
		'dényo'	=>	'002000',
		'dényö'	=>	'002000',
		'dépi'	=>	'00020',
		'dépí'	=>	'21200',
		'dépü'	=>	'21200',
		'dérag'	=>	'002000',
		'déral'	=>	'002000',
		'déran'	=>	'002100',
		'dérar'	=>	'002000',
		'déras'	=>	'002000',
		'dérá'	=>	'00200',
		'dérd'	=>	'00012',
		'déreg'	=>	'002000',
		'déreml'	=>	'0001000',
		'déresé'	=>	'0001000',
		'dérest'	=>	'0021000',
		'dérez'	=>	'002000',
		'dérés'	=>	'002000',
		'dérif'	=>	'002000',
		'dérik'	=>	'002100',
		'dérí'	=>	'00200',
		'dérot'	=>	'002000',
		'déró'	=>	'00002',
		'dérór'	=>	'002000',
		'dérö'	=>	'00200',
		'dérté'	=>	'210000',
		'dérth'	=>	'210000',
		'dérút'	=>	'002100',
		'déry'	=>	'00100',
		'dérzé'	=>	'210000',
		'désa'	=>	'00002',
		'désaj'	=>	'002100',
		'désal'	=>	'002000',
		'désap'	=>	'002000',
		'désar'	=>	'002000',
		'désaz'	=>	'002100',
		'désá'	=>	'00002',
		'désár'	=>	'002100',
		'déseg'	=>	'002000',
		'désel'	=>	'002120',
		'déseti'	=>	'0021000',
		'déség'	=>	'002100',
		'désí'	=>	'00200',
		'désú'	=>	'00200',
		'désüt'	=>	'002120',
		'dészak'	=>	'0000100',
		'dészá'	=>	'002300',
		'dészék'	=>	'0020100',
		'dészév'	=>	'0020000',
		'dészo'	=>	'002010',
		'dészú'	=>	'002000',
		'détas'	=>	'002100',
		'déteg'	=>	'002120',
		'détis'	=>	'002100',
		'détke'	=>	'210000',
		'détőr'	=>	'002000',
		'dévb'	=>	'21000',
		'dévei'	=>	'200000',
		'dévek'	=>	'212000',
		'dévem'	=>	'212000',
		'déven'	=>	'212000',
		'dévesb'	=>	'2000000',
		'dévesek'	=>	'21200000',
		'dévesen'	=>	'21200000',
		'dévesh'	=>	'2120000',
		'dévesi'	=>	'2000000',
		'dévesk'	=>	'2000000',
		'dévesn'	=>	'2120000',
		'dévesr'	=>	'2000000',
		'dévess'	=>	'2120000',
		'dévet'	=>	'212000',
		'dévez'	=>	'210000',
		'dévéb'	=>	'212000',
		'dévéi'	=>	'212000',
		'dévén'	=>	'200000',
		'dévér'	=>	'200000',
		'dévét'	=>	'212000',
		'dévév'	=>	'212000',
		'dévf'	=>	'21000',
		'dévh'	=>	'21000',
		'dévi'	=>	'21200',
		'dévk'	=>	'21000',
		'dévn'	=>	'21000',
		'dévr'	=>	'21000',
		'dévs'	=>	'21000',
		'dévt'	=>	'21000',
		'dévu'	=>	'21200',
		'dévü'	=>	'21200',
		'dévv'	=>	'21000',
		'dévz'	=>	'21000',
		'dfényem'	=>	'00020000',
		'dflo'	=>	'00200',
		'dfló'	=>	'00200',
		'dfrá'	=>	'00200',
		'dfre'	=>	'00200',
		'dfri'	=>	'00200',
		'dfro'	=>	'00200',
		'dfrö'	=>	'00200',
		'dgázár'	=>	'0002000',
		'dgázát'	=>	'0000001',
		'dgázi'	=>	'000200',
		'dgázó'	=>	'000200',
		'dgle'	=>	'00200',
		'dgli'	=>	'00200',
		'dgló'	=>	'00200',
		'dgra'	=>	'00200',
		'dgrá'	=>	'00200',
		'dgró'	=>	'00200',
		'dgyu'	=>	'02000',
		'dhali'	=>	'020000',
		'dhange'	=>	'0000210',
		'dhét'	=>	'00021',
		'dhié'	=>	'02000',
		'dhih'	=>	'02000',
		'dhii'	=>	'02000',
		'dhij'	=>	'02000',
		'dhik'	=>	'02000',
		'dhir'	=>	'02000',
		'dhúsá'	=>	'000212',
		'di'	=>	'100',
		'diaa'	=>	'00200',
		'diaá'	=>	'00200',
		'diab'	=>	'00010',
		'diabá'	=>	'002000',
		'diabi'	=>	'002000',
		'diabr'	=>	'002000',
		'diac'	=>	'00200',
		'diad'	=>	'00012',
		'diada'	=>	'000300',
		'diadi'	=>	'002000',
		'diado'	=>	'002000',
		'diae'	=>	'00200',
		'diaé'	=>	'00200',
		'diafa'	=>	'002000',
		'diagy'	=>	'002000',
		'diah'	=>	'00200',
		'diaik'	=>	'002020',
		'diaí'	=>	'00200',
		'diaj'	=>	'00200',
		'diakép'	=>	'0020000',
		'diakol'	=>	'0020000',
		'diala'	=>	'002000',
		'dialá'	=>	'002000',
		'diali'	=>	'002000',
		'diam'	=>	'00200',
		'diana'	=>	'002000',
		'dianá'	=>	'002000',
		'diani'	=>	'002000',
		'dianó'	=>	'002000',
		'diao'	=>	'00200',
		'diaó'	=>	'00200',
		'diaö'	=>	'00200',
		'diaő'	=>	'00200',
		'diap'	=>	'00212',
		'diara'	=>	'002000',
		'diasza'	=>	'0020000',
		'diaszk'	=>	'0020000',
		'diaszó'	=>	'0020000',
		'diat'	=>	'00212',
		'diau'	=>	'00202',
		'diaú'	=>	'00200',
		'diaü'	=>	'00200',
		'diaű'	=>	'00200',
		'diav'	=>	'00200',
		'diaz'	=>	'00200',
		'diáke'	=>	'000210',
		'diákol'	=>	'0002000',
		'diánn'	=>	'000030',
		'dick'	=>	'00120',
		'dicsaj'	=>	'0020100',
		'dicser'	=>	'0020120',
		'dideg'	=>	'212000',
		'didej'	=>	'200000',
		'dideo'	=>	'002000',
		'didén'	=>	'212000',
		'didio'	=>	'002120',
		'didő'	=>	'21200',
		'dieu'	=>	'00200',
		'difl'	=>	'00100',
		'digáná'	=>	'2120000',
		'digel'	=>	'002120',
		'digén'	=>	'212000',
		'digét'	=>	'002000',
		'dijes'	=>	'200000',
		'dikép'	=>	'002000',
		'dikl'	=>	'00120',
		'dikonh'	=>	'2120000',
		'dikro'	=>	'001200',
		'dikuta'	=>	'0001200',
		'dikv'	=>	'00120',
		'dilan'	=>	'002000',
		'dilem'	=>	'000020',
		'dilig'	=>	'000002',
		'dilö'	=>	'00200',
		'dilő'	=>	'00210',
		'dilü'	=>	'00200',
		'dily'	=>	'00100',
		'dimá'	=>	'21200',
		'dimit'	=>	'002000',
		'dimp'	=>	'21000',
		'dinaka'	=>	'2120000',
		'dind'	=>	'20000',
		'dinf'	=>	'21000',
		'dinga'	=>	'000002',
		'dingal'	=>	'0002000',
		'dingá'	=>	'210000',
		'dinger'	=>	'2100000',
		'dinic'	=>	'212000',
		'dining'	=>	'0021000',
		'dinj'	=>	'21000',
		'dinód'	=>	'002000',
		'dinóm'	=>	'002100',
		'dinón'	=>	'002120',
		'dinór'	=>	'002120',
		'dinp'	=>	'21000',
		'dinté'	=>	'210000',
		'dinv'	=>	'21000',
		'dioa'	=>	'00200',
		'dioi'	=>	'00200',
		'diok'	=>	'00200',
		'diol'	=>	'00200',
		'diome'	=>	'002000',
		'diov'	=>	'00200',
		'dióa'	=>	'00200',
		'dióá'	=>	'00200',
		'dióe'	=>	'00200',
		'dióg'	=>	'00200',
		'dióí'	=>	'00200',
		'diókam'	=>	'0020000',
		'dióká'	=>	'002000',
		'diókl'	=>	'002100',
		'diókok'	=>	'0020000',
		'dióku'	=>	'002000',
		'diómé'	=>	'002000',
		'dióo'	=>	'00200',
		'dióó'	=>	'00200',
		'dióö'	=>	'00200',
		'dióő'	=>	'00200',
		'dióp'	=>	'00212',
		'diórá'	=>	'002000',
		'dióri'	=>	'002000',
		'diósi'	=>	'000202',
		'diósik'	=>	'0000100',
		'dióspe'	=>	'0020000',
		'diószű'	=>	'0020000',
		'dióu'	=>	'00200',
		'dióú'	=>	'00200',
		'dióü'	=>	'00200',
		'dipará'	=>	'2120000',
		'diparb'	=>	'2000000',
		'dipari'	=>	'2120000',
		'diparo'	=>	'2120000',
		'dirat'	=>	'212000',
		'dirá'	=>	'21200',
		'dirod'	=>	'212000',
		'dirt'	=>	'21000',
		'disaj'	=>	'002000',
		'disko'	=>	'210000',
		'dism'	=>	'21000',
		'diste'	=>	'210000',
		'dital'	=>	'002000',
		'ditala'	=>	'0001200',
		'ditará'	=>	'0001000',
		'diteg'	=>	'002120',
		'ditt'	=>	'00012',
		'ditü'	=>	'00200',
		'diumé'	=>	'000002',
		'diumén'	=>	'0002100',
		'diumil'	=>	'0002000',
		'diút'	=>	'00020',
		'divad'	=>	'002000',
		'divar'	=>	'212000',
		'divata'	=>	'0000210',
		'dizé'	=>	'21200',
		'dí'	=>	'100',
		'dígé'	=>	'00200',
		'díjáto'	=>	'0021000',
		'díje'	=>	'00200',
		'díjí'	=>	'00200',
		'díjö'	=>	'00200',
		'díjü'	=>	'00200',
		'dírá'	=>	'21200',
		'díri'	=>	'00002',
		'dírik'	=>	'002000',
		'díró'	=>	'21200',
		'dísza'	=>	'002010',
		'díszer'	=>	'0020000',
		'díszö'	=>	'002000',
		'dítéss'	=>	'0000030',
		'díve'	=>	'21200',
		'dívn'	=>	'20000',
		'dívü'	=>	'21200',
		'dívű'	=>	'21200',
		'dízi'	=>	'00200',
		'dízs'	=>	'00200',
		'dízü'	=>	'00200',
		'dízű'	=>	'00200',
		'djeg'	=>	'00200',
		'djegya'	=>	'0002000',
		'djis'	=>	'00100',
		'djon'	=>	'00021',
		'dkaná'	=>	'000212',
		'dkia'	=>	'00002',
		'dkie'	=>	'00002',
		'dkla'	=>	'00200',
		'dkli'	=>	'00200',
		'dklo'	=>	'00200',
		'dklu'	=>	'00200',
		'dkrá'	=>	'00200',
		'dkré'	=>	'00200',
		'dkri'	=>	'00200',
		'dkro'	=>	'00200',
		'dkró'	=>	'00200',
		'dkva'	=>	'00200',
		'dkvi'	=>	'00200',
		'dláss'	=>	'000030',
		'dlász'	=>	'000230',
		'dleí'	=>	'00002',
		'dlóg'	=>	'00012',
		'dlót'	=>	'00002',
		'dlőkr'	=>	'000100',
		'dmegér'	=>	'0002100',
		'dnape'	=>	'000200',
		'dnévá'	=>	'000210',
		'dnököl'	=>	'0002120',
		'do'	=>	'100',
		'doáz'	=>	'00200',
		'dobag'	=>	'002100',
		'dobal'	=>	'002120',
		'doban'	=>	'000020',
		'dobany'	=>	'0021000',
		'dobár'	=>	'002100',
		'dobát'	=>	'002000',
		'dobe'	=>	'00002',
		'dobel'	=>	'002100',
		'dobill'	=>	'0021000',
		'dobí'	=>	'00200',
		'dobje'	=>	'200000',
		'doboá'	=>	'002000',
		'dobold'	=>	'0021000',
		'dobor'	=>	'002100',
		'dobö'	=>	'00200',
		'dobü'	=>	'00200',
		'dobű'	=>	'00200',
		'dodú'	=>	'21200',
		'dogar'	=>	'002000',
		'dogasz'	=>	'0000001',
		'dogár'	=>	'002000',
		'dogáss'	=>	'0000010',
		'dogol'	=>	'002100',
		'dogor'	=>	'002000',
		'dogoss'	=>	'0000030',
		'dográ'	=>	'001200',
		'dogü'	=>	'00200',
		'dokal'	=>	'002000',
		'dokas'	=>	'002000',
		'dokáj'	=>	'002000',
		'dokál'	=>	'002100',
		'doke'	=>	'00210',
		'dokél'	=>	'002120',
		'dokép'	=>	'002000',
		'dokkö'	=>	'000002',
		'dokköb'	=>	'0002100',
		'dokkő'	=>	'000200',
		'dokott'	=>	'0021000',
		'dokoz'	=>	'212000',
		'dokö'	=>	'00200',
		'dokút'	=>	'000020',
		'dokúto'	=>	'0001000',
		'dokü'	=>	'00200',
		'dolaj'	=>	'212000',
		'dolatar'	=>	'00002000',
		'dolate'	=>	'0000210',
		'dolatör'	=>	'00002100',
		'dolda'	=>	'210000',
		'doldá'	=>	'210000',
		'doldo'	=>	'210000',
		'doldó'	=>	'210000',
		'doltár'	=>	'2100000',
		'doltás'	=>	'2100000',
		'dolvas'	=>	'2000000',
		'domacé'	=>	'0001200',
		'domárb'	=>	'0021000',
		'domáré'	=>	'0021000',
		'domárh'	=>	'0021000',
		'domárj'	=>	'0021000',
		'domárk'	=>	'0021000',
		'domárl'	=>	'0021000',
		'domárn'	=>	'0021000',
		'domáron'	=>	'00212000',
		'domárr'	=>	'0021000',
		'domártó'	=>	'00210000',
		'dombal'	=>	'0002020',
		'dombel'	=>	'0002000',
		'dombol'	=>	'0002000',
		'dombón'	=>	'0002000',
		'domel'	=>	'002000',
		'domí'	=>	'20000',
		'doml'	=>	'20000',
		'domond'	=>	'0021000',
		'domő'	=>	'00200',
		'domú'	=>	'20000',
		'domü'	=>	'00200',
		'donad'	=>	'002100',
		'donal'	=>	'000020',
		'donala'	=>	'0001000',
		'donar'	=>	'002120',
		'donas'	=>	'002100',
		'donál'	=>	'002100',
		'donáta'	=>	'0021000',
		'donátj'	=>	'0021000',
		'donáts'	=>	'0021000',
		'donátv'	=>	'0021000',
		'dond'	=>	'00012',
		'done'	=>	'00210',
		'donoss'	=>	'0000010',
		'donosz'	=>	'0021000',
		'donö'	=>	'00200',
		'dons'	=>	'00010',
		'dont'	=>	'00002',
		'dontr'	=>	'000100',
		'donü'	=>	'00200',
		'donyal'	=>	'0020000',
		'donyar'	=>	'0020000',
		'donye'	=>	'002000',
		'donyó'	=>	'002000',
		'dope'	=>	'21200',
		'dopl'	=>	'00120',
		'dorakn'	=>	'0001000',
		'doral'	=>	'002121',
		'dorap'	=>	'002120',
		'doras'	=>	'002100',
		'dorat'	=>	'002000',
		'doráll'	=>	'0001000',
		'dorálo'	=>	'0021200',
		'dord'	=>	'00002',
		'dordr'	=>	'000100',
		'dore'	=>	'00212',
		'dorid'	=>	'002000',
		'doril'	=>	'002100',
		'doris'	=>	'002100',
		'dorita'	=>	'0021000',
		'dork'	=>	'00012',
		'dorokl'	=>	'0021000',
		'doroszt'	=>	'00010000',
		'dorö'	=>	'00200',
		'dorő'	=>	'00200',
		'dorrú'	=>	'210000',
		'dors'	=>	'00002',
		'dorsp'	=>	'000100',
		'dortró'	=>	'0001000',
		'dorút'	=>	'000020',
		'dorü'	=>	'00200',
		'dorvos'	=>	'2000000',
		'doug'	=>	'00200',
		'dout'	=>	'00200',
		'dovi'	=>	'00200',
		'doye'	=>	'00100',
		'dó'	=>	'100',
		'dóad'	=>	'00020',
		'dóág'	=>	'00020',
		'dóár'	=>	'00020',
		'dóbl'	=>	'00100',
		'dóez'	=>	'20000',
		'dófl'	=>	'00100',
		'dófr'	=>	'00120',
		'dógá'	=>	'20000',
		'dógr'	=>	'00120',
		'dóig'	=>	'00020',
		'dóív'	=>	'00020',
		'dókl'	=>	'00120',
		'dókré'	=>	'001000',
		'dókv'	=>	'00120',
		'dómab'	=>	'002000',
		'dómak'	=>	'002000',
		'dómorg'	=>	'0001000',
		'dómő'	=>	'00200',
		'dóór'	=>	'00020',
		'dópl'	=>	'00120',
		'dópr'	=>	'00120',
		'dórád'	=>	'002000',
		'dórák'	=>	'012000',
		'dóriá'	=>	'002000',
		'dósam'	=>	'002000',
		'dósas'	=>	'002000',
		'dósel'	=>	'002000',
		'dósip'	=>	'002000',
		'dósis'	=>	'002000',
		'dósír'	=>	'002000',
		'dóská'	=>	'001200',
		'dóspe'	=>	'001000',
		'dóspi'	=>	'001000',
		'dósrá'	=>	'001200',
		'dóss'	=>	'00030',
		'dóstáb'	=>	'0010000',
		'dóstr'	=>	'001000',
		'dósű'	=>	'00212',
		'dósz'	=>	'00002',
		'dószf'	=>	'001000',
		'dószp'	=>	'001000',
		'dótr'	=>	'00120',
		'dóvó'	=>	'21200',
		'dö'	=>	'100',
		'döbl'	=>	'01000',
		'döga'	=>	'00200',
		'dögá'	=>	'00200',
		'dögel'	=>	'002100',
		'dögev'	=>	'002000',
		'dögg'	=>	'00030',
		'dögna'	=>	'000002',
		'dögo'	=>	'00200',
		'dögó'	=>	'00200',
		'dögölő'	=>	'0001200',
		'dögő'	=>	'00210',
		'dögu'	=>	'00200',
		'döka'	=>	'00200',
		'döká'	=>	'00200',
		'dökel'	=>	'002100',
		'döker'	=>	'002120',
		'dökék'	=>	'002000',
		'dökí'	=>	'00200',
		'döntöz'	=>	'2000000',
		'döra'	=>	'00200',
		'dörá'	=>	'00200',
		'döro'	=>	'00200',
		'döröks'	=>	'2120000',
		'dösz'	=>	'21000',
		'dötl'	=>	'01000',
		'döttért'	=>	'00020000',
		'döve'	=>	'00200',
		'dövi'	=>	'00200',
		'dő'	=>	'100',
		'dőan'	=>	'00020',
		'dőág'	=>	'00020',
		'dőbl'	=>	'00100',
		'dőcl'	=>	'00100',
		'dődra'	=>	'001000',
		'dőel'	=>	'00020',
		'dőer'	=>	'00020',
		'dőél'	=>	'00020',
		'dőéte'	=>	'000200',
		'dőfl'	=>	'00100',
		'dőfr'	=>	'00120',
		'dőgépeké'	=>	'000021200',
		'dőgr'	=>	'00100',
		'dőirá'	=>	'000002',
		'dőita'	=>	'000200',
		'dőkl'	=>	'00100',
		'dőkv'	=>	'00100',
		'dőnya'	=>	'002010',
		'dőnyele'	=>	'00200000',
		'dőpl'	=>	'00100',
		'dőpr'	=>	'00100',
		'dőráb'	=>	'200000',
		'dőrál'	=>	'210000',
		'dőreb'	=>	'212000',
		'dőregy'	=>	'0001000',
		'dőrele'	=>	'0001000',
		'dőrelő'	=>	'0001000',
		'dőrem'	=>	'212000',
		'dőréh'	=>	'212000',
		'dőrék'	=>	'200000',
		'dőrél'	=>	'210000',
		'dőrén'	=>	'200000',
		'dőrh'	=>	'21000',
		'dőrif'	=>	'210000',
		'dőril'	=>	'212000',
		'dőrin'	=>	'212100',
		'dőrip'	=>	'212000',
		'dőris'	=>	'002100',
		'dőrok'	=>	'200000',
		'dőror'	=>	'210000',
		'dőros'	=>	'200000',
		'dőröd'	=>	'002000',
		'dőröz'	=>	'002100',
		'dőrőr'	=>	'200000',
		'dőrun'	=>	'200000',
		'dőrur'	=>	'200000',
		'dőrut'	=>	'212000',
		'dőrü'	=>	'21202',
		'dőrüg'	=>	'000100',
		'dőrül'	=>	'000100',
		'dőrz'	=>	'21000',
		'dősérv'	=>	'0021000',
		'dőská'	=>	'001000',
		'dősm'	=>	'00120',
		'dősni'	=>	'001000',
		'dősod'	=>	'000020',
		'dősodo'	=>	'0001000',
		'dőspe'	=>	'001000',
		'dőspi'	=>	'001200',
		'dőspó'	=>	'001000',
		'dősta'	=>	'001200',
		'dősté'	=>	'001000',
		'dőstr'	=>	'001000',
		'dősv'	=>	'00100',
		'dősz'	=>	'00102',
		'dőtáll'	=>	'0001000',
		'dőtr'	=>	'00120',
		'dpla'	=>	'00200',
		'dple'	=>	'00200',
		'dplé'	=>	'00200',
		'dpra'	=>	'00200',
		'dpre'	=>	'00200',
		'dpré'	=>	'00200',
		'dpri'	=>	'00200',
		'dprí'	=>	'00200',
		'dpro'	=>	'00200',
		'dpró'	=>	'00200',
		'dpsz'	=>	'00200',
		'draps'	=>	'000100',
		'dravasz'	=>	'00000001',
		'drágg'	=>	'000010',
		'drászál'	=>	'00020100',
		'drásze'	=>	'0002000',
		'dráta'	=>	'000002',
		'drátal'	=>	'0002000',
		'dráte'	=>	'000212',
		'drátér'	=>	'0002100',
		'drendő'	=>	'0000212',
		'dresszb'	=>	'12000000',
		'dressze'	=>	'12000000',
		'dresszh'	=>	'12000000',
		'dresszk'	=>	'12000000',
		'dresszr'	=>	'12000000',
		'dresszü'	=>	'12000000',
		'drészá'	=>	'0002000',
		'droga'	=>	'000210',
		'drogá'	=>	'000200',
		'drogen'	=>	'0002000',
		'drogéni'	=>	'00000212',
		'drogg'	=>	'000030',
		'drogó'	=>	'000212',
		'drona'	=>	'000212',
		'dronyi'	=>	'0002000',
		'drosz'	=>	'000002',
		'droszf'	=>	'0001000',
		'drotr'	=>	'000120',
		'dróbaj'	=>	'0002000',
		'dróta'	=>	'000212',
		'drótá'	=>	'000212',
		'drótis'	=>	'0002000',
		'drótü'	=>	'000212',
		'drui'	=>	'02000',
		'druse'	=>	'000200',
		'drusi'	=>	'000200',
		'dságg'	=>	'000010',
		'dségel'	=>	'0002100',
		'dségül'	=>	'0002000',
		'dská'	=>	'00200',
		'dsli'	=>	'00200',
		'dspe'	=>	'00200',
		'dspi'	=>	'00200',
		'dspo'	=>	'00200',
		'dsrá'	=>	'00200',
		'dsta'	=>	'00200',
		'dstá'	=>	'00200',
		'dstí'	=>	'00200',
		'dstr'	=>	'00020',
		'dszaké'	=>	'0000200',
		'dszálas'	=>	'00002000',
		'dszáraz'	=>	'00000001',
		'dsze'	=>	'00020',
		'dszera'	=>	'0000200',
		'dszerá'	=>	'0000210',
		'dszerelv'	=>	'000021000',
		'dszero'	=>	'0000210',
		'dszert'	=>	'0000002',
		'dszl'	=>	'01020',
		'dszn'	=>	'01000',
		'dszp'	=>	'01020',
		'dszt'	=>	'01022',
		'dszv'	=>	'01020',
		'dtaga'	=>	'000212',
		'dtalpad'	=>	'00000020',
		'dtalpada'	=>	'000021000',
		'dtalpal'	=>	'00002100',
		'dtanás'	=>	'0002120',
		'dtékn'	=>	'021000',
		'dtrá'	=>	'01200',
		'dtré'	=>	'01200',
		'dtri'	=>	'01200',
		'dtro'	=>	'01200',
		'dtróf'	=>	'012000',
		'dtül'	=>	'02100',
		'du'	=>	'100',
		'ducem'	=>	'002000',
		'duch'	=>	'00230',
		'ducö'	=>	'00200',
		'ducü'	=>	'00200',
		'duel'	=>	'00020',
		'dugal'	=>	'002000',
		'dugár'	=>	'002100',
		'dugr'	=>	'21000',
		'duit'	=>	'20000',
		'dujj'	=>	'21000',
		'dulak'	=>	'000012',
		'dulatí'	=>	'0000210',
		'dule'	=>	'00210',
		'dulép'	=>	'002000',
		'duli'	=>	'00002',
		'dulim'	=>	'002100',
		'dulin'	=>	'002100',
		'dulis'	=>	'002000',
		'dulí'	=>	'00200',
		'dulö'	=>	'00200',
		'dulű'	=>	'00200',
		'duni'	=>	'21200',
		'duno'	=>	'21200',
		'dunt'	=>	'21000',
		'duóa'	=>	'00200',
		'duóá'	=>	'00200',
		'duód'	=>	'00200',
		'duóf'	=>	'00200',
		'duól'	=>	'00200',
		'duóp'	=>	'00200',
		'durai'	=>	'002000',
		'durak'	=>	'002000',
		'dural'	=>	'002000',
		'durat'	=>	'212000',
		'duráb'	=>	'002000',
		'duráh'	=>	'002000',
		'durát'	=>	'002000',
		'duruk'	=>	'002000',
		'dusal'	=>	'002000',
		'dusan'	=>	'002000',
		'dusar'	=>	'002000',
		'dusas'	=>	'002100',
		'dusál'	=>	'002000',
		'duseg'	=>	'002000',
		'dusérté'	=>	'00210000',
		'dusin'	=>	'002000',
		'dusiv'	=>	'002100',
		'dusol'	=>	'002000',
		'duső'	=>	'00200',
		'dusű'	=>	'00210',
		'duszod'	=>	'2120000',
		'duszoka'	=>	'21200000',
		'duszokb'	=>	'21200000',
		'duszoké'	=>	'21200000',
		'duszokh'	=>	'21200000',
		'duszokk'	=>	'21200000',
		'duszokn'	=>	'21200000',
		'duszoko'	=>	'21200000',
		'duszokr'	=>	'21200000',
		'duszokt'	=>	'21200000',
		'duszom'	=>	'2120000',
		'duszs'	=>	'000300',
		'duti'	=>	'00210',
		'duto'	=>	'21200',
		'dutór'	=>	'002000',
		'dutu'	=>	'00200',
		'dú'	=>	'100',
		'dúce'	=>	'00200',
		'dúch'	=>	'00200',
		'dúcse'	=>	'002000',
		'dúcso'	=>	'002300',
		'dúcsz'	=>	'000300',
		'dúdr'	=>	'00100',
		'dújé'	=>	'00212',
		'dújí'	=>	'00200',
		'dúrac'	=>	'002120',
		'dúral'	=>	'002000',
		'dúre'	=>	'00212',
		'dúrén'	=>	'002000',
		'dúron'	=>	'212000',
		'dúrö'	=>	'00200',
		'dúszá'	=>	'002000',
		'dúszó'	=>	'002000',
		'dúta'	=>	'00212',
		'dúté'	=>	'00200',
		'dútj'	=>	'21000',
		'dútl'	=>	'01000',
		'dútn'	=>	'21000',
		'dúton'	=>	'002000',
		'dútr'	=>	'21000',
		'dü'	=>	'100',
		'düdü'	=>	'00200',
		'dügy'	=>	'00200',
		'dügyérn'	=>	'00001000',
		'düha'	=>	'00200',
		'dühá'	=>	'00200',
		'dühel'	=>	'002000',
		'düho'	=>	'00200',
		'dühő'	=>	'00200',
		'dükét'	=>	'002000',
		'dülá'	=>	'00200',
		'düld'	=>	'21000',
		'dülep'	=>	'002000',
		'dülős'	=>	'000002',
		'dünne'	=>	'210000',
		'dürí'	=>	'00200',
		'düte'	=>	'00200',
		'düté'	=>	'00200',
		'dütő'	=>	'00200',
		'düve'	=>	'00200',
		'düze'	=>	'00200',
		'düzé'	=>	'00200',
		'dű'	=>	'100',
		'dűpr'	=>	'00100',
		'dűrl'	=>	'01000',
		'dűsz'	=>	'00100',
		'dűtr'	=>	'00100',
		'dűzé'	=>	'00200',
		'dűző'	=>	'00200',
		'dvaraj'	=>	'0002000',
		'dvare'	=>	'000210',
		'dvaró'	=>	'000212',
		'dványan'	=>	'00020000',
		'dványí'	=>	'0002000',
		'dváta'	=>	'001000',
		'dváte'	=>	'001000',
		'dvece'	=>	'001000',
		'dveleg'	=>	'0012000',
		'dvelk'	=>	'001000',
		'dventí'	=>	'0000210',
		'dveral'	=>	'0002000',
		'dverár'	=>	'0002000',
		'dverip'	=>	'0002000',
		'dvers'	=>	'000010',
		'dvesés'	=>	'0212000',
		'dvesp'	=>	'000120',
		'dveteté'	=>	'02120000',
		'dvélm'	=>	'001000',
		'dvép'	=>	'02100',
		'dvérd'	=>	'021000',
		'dvéri'	=>	'021200',
		'dvérté'	=>	'0210000',
		'dvérz'	=>	'021000',
		'dvfr'	=>	'00100',
		'dvicsa'	=>	'0002000',
		'dvicsá'	=>	'0002000',
		'dviga'	=>	'021000',
		'dvigaz'	=>	'0000001',
		'dvitéz'	=>	'0000001',
		'dvor'	=>	'00100',
		'dvöl'	=>	'00020',
		'dvölő'	=>	'001000',
		'dvős'	=>	'00100',
		'dvőz'	=>	'00100',
		'dvpr'	=>	'00100',
		'dvun'	=>	'00100',
		'dvút'	=>	'00120',
		'dvüg'	=>	'02100',
		'dvüz'	=>	'02120',
		'dvűz'	=>	'02100',
		'dwayi'	=>	'000100',
		'dyas'	=>	'00100',
		'dyéb'	=>	'01000',
		'dyén'	=>	'01000',
		'dyétő'	=>	'001000',
		'dyév'	=>	'01000',
		'dyjé'	=>	'00200',
		'dyke'	=>	'00200',
		'dykk'	=>	'00020',
		'dykn'	=>	'00020',
		'dykt'	=>	'00020',
		'dyvé'	=>	'00200',
		'dz'	=>	'020',
		'dza'	=>	'1000',
		'dzaé'	=>	'00002',
		'dzaj'	=>	'23000',
		'dzak'	=>	'00002',
		'dzakr'	=>	'000100',
		'dzá'	=>	'1000',
		'dzáróra'	=>	'00021200',
		'dzáss'	=>	'000010',
		'dzász'	=>	'030000',
		'dze'	=>	'1000',
		'dzé'	=>	'1000',
		'dzésa'	=>	'000200',
		'dzi'	=>	'1000',
		'dzil'	=>	'23000',
		'dzí'	=>	'1000',
		'dzo'	=>	'1000',
		'dzó'	=>	'1000',
		'dzö'	=>	'1000',
		'dző'	=>	'1000',
		'dzőa'	=>	'00002',
		'dzőbő'	=>	'200000',
		'dződ'	=>	'20000',
		'dzőj'	=>	'20000',
		'dzőné'	=>	'200000',
		'dzőr'	=>	'20000',
		'dzsa'	=>	'10000',
		'dzsá'	=>	'10000',
		'dzse'	=>	'10000',
		'dzseg'	=>	'200120',
		'dzsesz'	=>	'2001000',
		'dzsé'	=>	'10000',
		'dzsi'	=>	'10000',
		'dzsir'	=>	'200000',
		'dzsis'	=>	'200100',
		'dzsiv'	=>	'030000',
		'dzsí'	=>	'10000',
		'dzso'	=>	'20002',
		'dzsok'	=>	'000100',
		'dzsó'	=>	'10000',
		'dzsö'	=>	'10000',
		'dzső'	=>	'10000',
		'dzss'	=>	'00010',
		'dzsu'	=>	'10000',
		'dzsú'	=>	'10000',
		'dzsúj'	=>	'200000',
		'dzsü'	=>	'10000',
		'dzsű'	=>	'10000',
		'dzu'	=>	'1000',
		'dzú'	=>	'1000',
		'dzü'	=>	'1000',
		'dzű'	=>	'1000',
		'ea'	=>	'010',
		'eabál'	=>	'002000',
		'eabo'	=>	'02000',
		'eabő'	=>	'02000',
		'eada'	=>	'00200',
		'eadá'	=>	'00200',
		'eadáss'	=>	'0000010',
		'eadó'	=>	'00200',
		'eadr'	=>	'00120',
		'eadu'	=>	'00200',
		'eaéd'	=>	'00020',
		'eafá'	=>	'02000',
		'eafe'	=>	'02000',
		'eafi'	=>	'02000',
		'eafo'	=>	'02000',
		'eafö'	=>	'02000',
		'eafő'	=>	'02000',
		'eafü'	=>	'02000',
		'eafű'	=>	'02000',
		'eagi'	=>	'00200',
		'eagó'	=>	'02000',
		'eaid'	=>	'02000',
		'eail'	=>	'02000',
		'eaim'	=>	'02000',
		'eaip'	=>	'02000',
		'eais'	=>	'02000',
		'eaja'	=>	'00200',
		'eakas'	=>	'002000',
		'eakat'	=>	'020000',
		'eaká'	=>	'02000',
		'eakb'	=>	'02000',
		'eake'	=>	'02000',
		'eakép'	=>	'020000',
		'eakh'	=>	'02000',
		'eaki'	=>	'02000',
		'eakí'	=>	'02000',
		'eakl'	=>	'02100',
		'eako'	=>	'02000',
		'eakó'	=>	'02000',
		'eakö'	=>	'02000',
		'eakr'	=>	'02120',
		'eakú'	=>	'02000',
		'eakü'	=>	'02000',
		'ealán'	=>	'020000',
		'ealeg'	=>	'000100',
		'ealu'	=>	'00200',
		'eama'	=>	'02000',
		'eamá'	=>	'02000',
		'eamel'	=>	'020000',
		'eamer'	=>	'020000',
		'eamé'	=>	'02000',
		'eamin'	=>	'020000',
		'eamo'	=>	'00200',
		'eamu'	=>	'02000',
		'eamú'	=>	'02000',
		'eamű'	=>	'02000',
		'eane'	=>	'02000',
		'eané'	=>	'02000',
		'eanö'	=>	'02000',
		'eans'	=>	'02000',
		'eanya'	=>	'002000',
		'eapi'	=>	'02000',
		'eapo'	=>	'02000',
		'eapó'	=>	'02000',
		'eapro'	=>	'001200',
		'earan'	=>	'002000',
		'earas'	=>	'002000',
		'earat'	=>	'002000',
		'eará'	=>	'00200',
		'earb'	=>	'02000',
		'eare'	=>	'02000',
		'earh'	=>	'02000',
		'earj'	=>	'02000',
		'earn'	=>	'02000',
		'earó'	=>	'02000',
		'earr'	=>	'02000',
		'earu'	=>	'02000',
		'earü'	=>	'02000',
		'easo'	=>	'02000',
		'east'	=>	'02102',
		'easü'	=>	'02000',
		'easű'	=>	'02000',
		'easzem'	=>	'0200000',
		'easzé'	=>	'020000',
		'eata'	=>	'02000',
		'eatá'	=>	'02000',
		'eatc'	=>	'02000',
		'eate'	=>	'02000',
		'eateg'	=>	'002100',
		'eaté'	=>	'02002',
		'eatél'	=>	'002000',
		'eaténe'	=>	'0021000',
		'eatf'	=>	'02000',
		'eatg'	=>	'02000',
		'eath'	=>	'02000',
		'eatid'	=>	'002000',
		'eating'	=>	'0001000',
		'eatip'	=>	'002000',
		'eatir'	=>	'002000',
		'eatm'	=>	'02000',
		'eatmos'	=>	'0000010',
		'eatmosz'	=>	'00000002',
		'eatn'	=>	'02000',
		'eato'	=>	'02000',
		'eator'	=>	'002100',
		'eató'	=>	'02000',
		'eatö'	=>	'02000',
		'eatrak'	=>	'0012000',
		'eatrón'	=>	'0002000',
		'eats'	=>	'02000',
		'eatu'	=>	'02000',
		'eatü'	=>	'02200',
		'eatű'	=>	'02000',
		'eatz'	=>	'02000',
		'eaut'	=>	'00200',
		'eaux'	=>	'02200',
		'eavi'	=>	'02000',
		'eavy'	=>	'00100',
		'eazo'	=>	'00200',
		'eá'	=>	'010',
		'eábé'	=>	'00200',
		'eács'	=>	'00200',
		'eága'	=>	'00200',
		'eágá'	=>	'00200',
		'eági'	=>	'00200',
		'eágo'	=>	'00200',
		'eágu'	=>	'00200',
		'eágy'	=>	'00200',
		'eáhí'	=>	'00200',
		'eáke'	=>	'00210',
		'eákosk'	=>	'0021000',
		'eála'	=>	'00002',
		'eálad'	=>	'002000',
		'eálak'	=>	'002100',
		'eálál'	=>	'002000',
		'eálár'	=>	'002120',
		'eále'	=>	'00212',
		'eálé'	=>	'00002',
		'eálél'	=>	'002000',
		'eálfe'	=>	'000002',
		'eálid'	=>	'002000',
		'eálin'	=>	'002100',
		'eálir'	=>	'002000',
		'eálism'	=>	'0020000',
		'eálop'	=>	'002000',
		'eálór'	=>	'002100',
		'eálö'	=>	'00200',
		'eámu'	=>	'00200',
		'eánac'	=>	'002000',
		'eánal'	=>	'002000',
		'eánat'	=>	'002100',
		'eáná'	=>	'00002',
		'eánár'	=>	'002000',
		'eánát'	=>	'002100',
		'eáne'	=>	'00212',
		'eányal'	=>	'0020120',
		'eányan'	=>	'0020120',
		'eányap'	=>	'0020000',
		'eányar'	=>	'0020000',
		'eányas'	=>	'0020100',
		'eányav'	=>	'0020000',
		'eánye'	=>	'002012',
		'eányén'	=>	'0020000',
		'eányif'	=>	'0020000',
		'eánying'	=>	'00201000',
		'eányis'	=>	'0020000',
		'eányoku'	=>	'00201200',
		'eányö'	=>	'002000',
		'eápo'	=>	'00200',
		'eárad'	=>	'002000',
		'eáram'	=>	'002000',
		'eáras'	=>	'002000',
		'eáraz'	=>	'002000',
		'eáru'	=>	'00200',
		'eárú'	=>	'00200',
		'eása'	=>	'00200',
		'eásá'	=>	'00200',
		'eásí'	=>	'00200',
		'eásó'	=>	'00200',
		'eásu'	=>	'00200',
		'eász'	=>	'00200',
		'eáta'	=>	'00002',
		'eáte'	=>	'00212',
		'eáté'	=>	'00200',
		'eátí'	=>	'00200',
		'eátu'	=>	'00200',
		'eátü'	=>	'00200',
		'ebad'	=>	'02020',
		'ebadó'	=>	'001000',
		'ebadta'	=>	'0010000',
		'ebaga'	=>	'001000',
		'ebajk'	=>	'021000',
		'ebala'	=>	'021200',
		'ebalk'	=>	'021000',
		'ebant'	=>	'001000',
		'ebany'	=>	'001200',
		'ebatl'	=>	'001000',
		'ebau'	=>	'02100',
		'ebazo'	=>	'001200',
		'ebágg'	=>	'001000',
		'ebáp'	=>	'02100',
		'ebára'	=>	'001000',
		'ebeá'	=>	'00002',
		'ebehe'	=>	'021200',
		'ebejt'	=>	'001000',
		'ebelá'	=>	'000210',
		'ebelef'	=>	'0212000',
		'ebeleme'	=>	'00021000',
		'ebelhel'	=>	'02100000',
		'ebenc'	=>	'021000',
		'ebeste'	=>	'0010000',
		'ebesté'	=>	'0010000',
		'ebeszek'	=>	'00020000',
		'ebex'	=>	'02100',
		'ebég'	=>	'02100',
		'ebép'	=>	'00100',
		'ebérd'	=>	'021000',
		'ebérté'	=>	'0210000',
		'ebérz'	=>	'021000',
		'ebgr'	=>	'00100',
		'ebid'	=>	'02100',
		'ebina'	=>	'021200',
		'ebinf'	=>	'021000',
		'ebing'	=>	'021000',
		'ebirá'	=>	'021000',
		'ebis'	=>	'02120',
		'ebizz'	=>	'021000',
		'ebkl'	=>	'00100',
		'ebkr'	=>	'00100',
		'eblat'	=>	'002000',
		'eblú'	=>	'01200',
		'ebokt'	=>	'001000',
		'ebola'	=>	'001200',
		'eborv'	=>	'001000',
		'eböb'	=>	'00100',
		'ebös'	=>	'00100',
		'ebrus'	=>	'002000',
		'ebst'	=>	'00102',
		'ebtr'	=>	'00100',
		'ebüg'	=>	'02100',
		'ebül'	=>	'00020',
		'ebülé'	=>	'001000',
		'ebür'	=>	'02100',
		'ebüz'	=>	'00100',
		'ecajt'	=>	'001000',
		'ecalk'	=>	'001000',
		'ecan'	=>	'02120',
		'ecaz'	=>	'02100',
		'ecág'	=>	'00100',
		'ecál'	=>	'02100',
		'ecár'	=>	'00100',
		'ecbl'	=>	'00100',
		'ecca'	=>	'00212',
		'eccér'	=>	'002100',
		'ecch'	=>	'00230',
		'ecci'	=>	'00210',
		'eccsát'	=>	'0000100',
		'eccso'	=>	'003000',
		'eccú'	=>	'00200',
		'eceg'	=>	'02100',
		'ecelo'	=>	'021000',
		'ecelv'	=>	'021000',
		'ecento'	=>	'2000000',
		'ecetb'	=>	'020000',
		'eceto'	=>	'000210',
		'ecets'	=>	'120000',
		'ecett'	=>	'120000',
		'ecetü'	=>	'020000',
		'ecetüz'	=>	'0002000',
		'ecevé'	=>	'021000',
		'echar'	=>	'003000',
		'echen'	=>	'003000',
		'echin'	=>	'000100',
		'echó'	=>	'12000',
		'echu'	=>	'00010',
		'ecle'	=>	'00200',
		'eclu'	=>	'00200',
		'ecsad'	=>	'020000',
		'ecsala'	=>	'0201200',
		'ecsan'	=>	'020120',
		'ecsapág'	=>	'00002120',
		'ecsapák'	=>	'02012000',
		'ecsará'	=>	'0001000',
		'ecsár'	=>	'000020',
		'ecsárá'	=>	'0001000',
		'ecsárb'	=>	'0001000',
		'ecsáro'	=>	'0001000',
		'ecsát'	=>	'020120',
		'ecsél'	=>	'020120',
		'ecsérté'	=>	'00010000',
		'ecsol'	=>	'020100',
		'ecsöl'	=>	'020100',
		'ecss'	=>	'00010',
		'ecsúszós'	=>	'000000001',
		'ecsükb'	=>	'0230000',
		'ecsüt'	=>	'023000',
		'ecsze'	=>	'003000',
		'ecud'	=>	'02100',
		'eczá'	=>	'00300',
		'ecze'	=>	'00300',
		'edab'	=>	'02100',
		'edadá'	=>	'021200',
		'edany'	=>	'001200',
		'edaz'	=>	'02120',
		'edác'	=>	'02120',
		'edág'	=>	'02100',
		'edáp'	=>	'02100',
		'edegy'	=>	'001000',
		'edeleme'	=>	'00000002',
		'edelo'	=>	'021000',
		'edeml'	=>	'021000',
		'ederak'	=>	'0002000',
		'ederál'	=>	'0002100',
		'ederel'	=>	'0002000',
		'ederék'	=>	'0002100',
		'edero'	=>	'000210',
		'ederül'	=>	'0002120',
		'edeso'	=>	'000210',
		'edetá'	=>	'000200',
		'edetel'	=>	'0002000',
		'edéj'	=>	'02120',
		'edéká'	=>	'000200',
		'edékis'	=>	'0002000',
		'edéko'	=>	'000210',
		'edélyá'	=>	'0002000',
		'edélyo'	=>	'0002000',
		'edénn'	=>	'120000',
		'edény'	=>	'120000',
		'edép'	=>	'02100',
		'edérd'	=>	'021000',
		'edésa'	=>	'000200',
		'edéso'	=>	'000200',
		'edéss'	=>	'000030',
		'edész'	=>	'000230',
		'edévén'	=>	'0012000',
		'edévér'	=>	'0012000',
		'edgr'	=>	'00100',
		'edic'	=>	'20000',
		'edide'	=>	'020000',
		'ediga'	=>	'021200',
		'edigaz'	=>	'0000001',
		'edill'	=>	'001000',
		'edint'	=>	'021000',
		'edira'	=>	'021000',
		'ediro'	=>	'001000',
		'edír'	=>	'02100',
		'edívn'	=>	'001000',
		'edíz'	=>	'02100',
		'edold'	=>	'001000',
		'edorv'	=>	'001000',
		'edos'	=>	'02100',
		'edös'	=>	'02100',
		'edőrs'	=>	'021000',
		'edősü'	=>	'000210',
		'edpl'	=>	'00100',
		'edpr'	=>	'00100',
		'edram'	=>	'002000',
		'edrog'	=>	'012000',
		'edró'	=>	'01200',
		'edüg'	=>	'02100',
		'edüt'	=>	'02100',
		'edűz'	=>	'02100',
		'edva'	=>	'00212',
		'edvá'	=>	'00002',
		'edvár'	=>	'002100',
		'edvát'	=>	'002000',
		'edvöz'	=>	'002100',
		'edyi'	=>	'00010',
		'edzá'	=>	'02300',
		'edzői'	=>	'120000',
		'edzőj'	=>	'100000',
		'edzőr'	=>	'100000',
		'edzőv'	=>	'120000',
		'edzv'	=>	'10000',
		'ee'	=>	'010',
		'eebé'	=>	'00200',
		'eecs'	=>	'00200',
		'eedz'	=>	'00200',
		'eege'	=>	'00200',
		'eegé'	=>	'00200',
		'eegész'	=>	'0000001',
		'eegy'	=>	'00200',
		'eehe'	=>	'00200',
		'eeke'	=>	'00200',
		'eela'	=>	'00200',
		'eele'	=>	'00200',
		'eeléb'	=>	'020000',
		'eeléd'	=>	'002000',
		'eelg'	=>	'02000',
		'eelo'	=>	'00200',
		'eelő'	=>	'00200',
		'eeme'	=>	'00200',
		'eemen'	=>	'003000',
		'eemé'	=>	'00200',
		'eemu'	=>	'00200',
		'eenb'	=>	'02000',
		'eenj'	=>	'02000',
		'eent'	=>	'02000',
		'eenw'	=>	'02000',
		'eeny'	=>	'00200',
		'eepe'	=>	'00200',
		'eepé'	=>	'00200',
		'eepo'	=>	'00200',
		'eere'	=>	'00200',
		'eero'	=>	'00200',
		'eeró'	=>	'00200',
		'eerő'	=>	'00200',
		'eesé'	=>	'00200',
		'eesü'	=>	'00200',
		'eesz'	=>	'00200',
		'eete'	=>	'00200',
		'eeth'	=>	'02120',
		'eeto'	=>	'00200',
		'eeve'	=>	'00200',
		'eevé'	=>	'00200',
		'eevi'	=>	'00200',
		'eevo'	=>	'00200',
		'eevő'	=>	'00200',
		'eezü'	=>	'00200',
		'eé'	=>	'010',
		'eéde'	=>	'00200',
		'eége'	=>	'00200',
		'eégé'	=>	'00200',
		'eégő'	=>	'00200',
		'eégü'	=>	'00200',
		'eéhe'	=>	'00200',
		'eéje'	=>	'00200',
		'eéjé'	=>	'00200',
		'eéke'	=>	'00200',
		'eékí'	=>	'00200',
		'eéle'	=>	'00200',
		'eélé'	=>	'00200',
		'eéli'	=>	'00200',
		'eélő'	=>	'00200',
		'eélőkész'	=>	'000000001',
		'eélü'	=>	'00200',
		'eélű'	=>	'00200',
		'eéme'	=>	'00200',
		'eéne'	=>	'00200',
		'eépí'	=>	'00200',
		'eépítéss'	=>	'000000010',
		'eépü'	=>	'00200',
		'eéré'	=>	'00200',
		'eéri'	=>	'00200',
		'eérő'	=>	'00200',
		'eérü'	=>	'00200',
		'eész'	=>	'00200',
		'eéte'	=>	'00200',
		'eéve'	=>	'00200',
		'eévé'	=>	'00200',
		'eévi'	=>	'00200',
		'eévü'	=>	'00200',
		'efaxi'	=>	'000210',
		'efektá'	=>	'0000200',
		'efektí'	=>	'0000212',
		'efenyőé'	=>	'00000002',
		'effin'	=>	'002100',
		'effo'	=>	'00210',
		'efla'	=>	'01200',
		'eflexik'	=>	'00002120',
		'eflu'	=>	'00200',
		'efonalk'	=>	'00021000',
		'efonik'	=>	'0002000',
		'eforma'	=>	'0000002',
		'eformal'	=>	'00002100',
		'efpl'	=>	'00100',
		'efrá'	=>	'01200',
		'efrö'	=>	'00200',
		'egabá'	=>	'021200',
		'egabe'	=>	'000200',
		'egabl'	=>	'001000',
		'egabr'	=>	'001000',
		'egacé'	=>	'021200',
		'egacs'	=>	'000200',
		'egad'	=>	'02120',
		'egag'	=>	'02120',
		'egai'	=>	'00020',
		'egaj'	=>	'02120',
		'egak'	=>	'02120',
		'egaké'	=>	'030000',
		'egalac'	=>	'0002000',
		'egalak'	=>	'0002000',
		'egalan'	=>	'0002000',
		'egalap'	=>	'0012000',
		'egalá'	=>	'021200',
		'egalh'	=>	'021000',
		'egalj'	=>	'021000',
		'egalm'	=>	'021000',
		'egals'	=>	'021000',
		'egalt'	=>	'021000',
		'egam'	=>	'02120',
		'egang'	=>	'001000',
		'egann'	=>	'001000',
		'egant'	=>	'001000',
		'egany'	=>	'001200',
		'egapa'	=>	'021200',
		'egapá'	=>	'001000',
		'egapo'	=>	'000200',
		'egapó'	=>	'001200',
		'egapr'	=>	'021000',
		'egarc'	=>	'001000',
		'egari'	=>	'000200',
		'egaro'	=>	'001200',
		'egart'	=>	'001000',
		'egass'	=>	'021000',
		'egasza'	=>	'0212000',
		'egaszo'	=>	'0212000',
		'egaszú'	=>	'0200000',
		'egatk'	=>	'001000',
		'egatr'	=>	'000120',
		'egaty'	=>	'032000',
		'egau'	=>	'02120',
		'egava'	=>	'001200',
		'egazol'	=>	'0300000',
		'egazon'	=>	'0002000',
		'egába'	=>	'030000',
		'egábó'	=>	'030000',
		'egács'	=>	'001200',
		'egáf'	=>	'02100',
		'egág'	=>	'02120',
		'egáh'	=>	'00100',
		'egái'	=>	'03200',
		'egája'	=>	'030000',
		'egájá'	=>	'030000',
		'egáju'	=>	'000200',
		'egám'	=>	'00020',
		'egán'	=>	'03200',
		'egáp'	=>	'02100',
		'egárá'	=>	'021200',
		'egárb'	=>	'021000',
		'egárg'	=>	'032000',
		'egárn'	=>	'021000',
		'egáro'	=>	'000200',
		'egárt'	=>	'001000',
		'egáru'	=>	'000200',
		'egárú'	=>	'000200',
		'egása'	=>	'000200',
		'egátu'	=>	'032000',
		'egáva'	=>	'030000',
		'egázá'	=>	'000200',
		'egázi'	=>	'000200',
		'egázu'	=>	'000200',
		'egbl'	=>	'00100',
		'egbr'	=>	'00100',
		'egdr'	=>	'00120',
		'egebé'	=>	'021200',
		'egecsö'	=>	'0002012',
		'egedz'	=>	'001000',
		'egege'	=>	'001200',
		'egehe'	=>	'001000',
		'egekés'	=>	'0212000',
		'egela'	=>	'020000',
		'egeled'	=>	'0300000',
		'egeleg'	=>	'0002000',
		'egelej'	=>	'0002000',
		'egelekt'	=>	'02000000',
		'egelemb'	=>	'00120000',
		'egeleme'	=>	'02120000',
		'egelemn'	=>	'02120000',
		'egelemr'	=>	'02120000',
		'egelemt'	=>	'02120000',
		'egeles'	=>	'0002120',
		'egelég'	=>	'0010000',
		'egelér'	=>	'0012000',
		'egelf'	=>	'021000',
		'egelg'	=>	'032000',
		'egelha'	=>	'0210000',
		'egelit'	=>	'0320000',
		'egeljá'	=>	'0210000',
		'egelm'	=>	'021000',
		'egelne'	=>	'0320000',
		'egelo'	=>	'021000',
		'egelőá'	=>	'0320000',
		'egelőbbe'	=>	'000200000',
		'egelőd'	=>	'0320000',
		'egelőf'	=>	'0320000',
		'egelői'	=>	'0320000',
		'egelőm'	=>	'0320000',
		'egelőnye'	=>	'030000000',
		'egeltá'	=>	'0210000',
		'egeltet'	=>	'03200000',
		'egeltü'	=>	'0320000',
		'egelvá'	=>	'0210000',
		'egelz'	=>	'021000',
		'egemel'	=>	'0200000',
		'egend'	=>	'030000',
		'egenye'	=>	'0300000',
		'egepe'	=>	'001000',
		'egepr'	=>	'001000',
		'egerá'	=>	'030000',
		'egerd'	=>	'020000',
		'egered'	=>	'0200000',
		'egerek'	=>	'1200000',
		'egeré'	=>	'020000',
		'egerény'	=>	'00020000',
		'egerk'	=>	'001000',
		'egerl'	=>	'030000',
		'egeró'	=>	'021000',
		'egerő'	=>	'021000',
		'egesek'	=>	'0020000',
		'egesete'	=>	'02100000',
		'egeszk'	=>	'0210000',
		'egetal'	=>	'0200000',
		'egeve'	=>	'001200',
		'egex'	=>	'02100',
		'egég'	=>	'02120',
		'egémb'	=>	'030000',
		'egéneke'	=>	'02120000',
		'egénekk'	=>	'02120000',
		'egényel'	=>	'00020120',
		'egépí'	=>	'021000',
		'egéps'	=>	'001000',
		'egérb'	=>	'020000',
		'egéres'	=>	'0002100',
		'egéret'	=>	'0002020',
		'egérete'	=>	'00001000',
		'egérez'	=>	'0002000',
		'egéré'	=>	'020000',
		'egérés'	=>	'0002000',
		'egérg'	=>	'020000',
		'egéri'	=>	'020000',
		'egérk'	=>	'020000',
		'egérn'	=>	'020000',
		'egérr'	=>	'020000',
		'egérs'	=>	'020000',
		'egérté'	=>	'0010000',
		'egérth'	=>	'0010000',
		'egértő'	=>	'0200000',
		'egérv'	=>	'020000',
		'egész'	=>	'020000',
		'egészl'	=>	'0010000',
		'egészs'	=>	'1000000',
		'egéte'	=>	'001000',
		'egfl'	=>	'00100',
		'eggim'	=>	'002000',
		'eggyal'	=>	'0030000',
		'eggyan'	=>	'0030000',
		'eggyás'	=>	'0030000',
		'eggyú'	=>	'003000',
		'egibr'	=>	'001000',
		'egidd'	=>	'001000',
		'egide'	=>	'001200',
		'egie'	=>	'03000',
		'egig'	=>	'00020',
		'egiga'	=>	'021000',
		'egigé'	=>	'021000',
		'egij'	=>	'00100',
		'egiko'	=>	'021200',
		'egikr'	=>	'001000',
		'egill'	=>	'020000',
		'egimb'	=>	'001000',
		'egimm'	=>	'020000',
		'eginf'	=>	'001000',
		'eging'	=>	'021000',
		'egino'	=>	'001000',
		'egins'	=>	'001000',
		'egio'	=>	'03200',
		'egira'	=>	'001000',
		'egiro'	=>	'001200',
		'egiss'	=>	'001000',
		'egist'	=>	'001000',
		'egisz'	=>	'000200',
		'egita'	=>	'021200',
		'egitá'	=>	'030000',
		'egiva'	=>	'021000',
		'egivá'	=>	'021000',
		'egive'	=>	'030000',
		'egizé'	=>	'001000',
		'egizg'	=>	'001000',
		'egizm'	=>	'001000',
		'egizz'	=>	'001000',
		'egíg'	=>	'02100',
		'egín'	=>	'02100',
		'egír'	=>	'02120',
		'egív'	=>	'02100',
		'egíz'	=>	'02100',
		'egkl'	=>	'00100',
		'egkr'	=>	'00100',
		'egkv'	=>	'00100',
		'egob'	=>	'02100',
		'egoc'	=>	'02000',
		'egod'	=>	'02120',
		'egoi'	=>	'02000',
		'egok'	=>	'02120',
		'egola'	=>	'001200',
		'egold'	=>	'021000',
		'egolv'	=>	'001000',
		'egoly'	=>	'030000',
		'egom'	=>	'20000',
		'egomi'	=>	'000200',
		'egont'	=>	'020000',
		'egop'	=>	'02100',
		'egorg'	=>	'001000',
		'egorom'	=>	'0320000',
		'egoros'	=>	'0002000',
		'egorr'	=>	'021000',
		'egorv'	=>	'021000',
		'egos'	=>	'02120',
		'egot'	=>	'02100',
		'egób'	=>	'03200',
		'egódo'	=>	'000200',
		'egój'	=>	'03200',
		'egóra'	=>	'001200',
		'egórá'	=>	'001000',
		'egóv'	=>	'00100',
		'egöb'	=>	'02100',
		'egök'	=>	'00100',
		'egönt'	=>	'001000',
		'egörö'	=>	'001000',
		'egörög'	=>	'0300000',
		'egöröm'	=>	'0002000',
		'egöt'	=>	'00100',
		'egöv'	=>	'00100',
		'egöz'	=>	'02120',
		'egőkész'	=>	'00000001',
		'egőre'	=>	'030000',
		'egőri'	=>	'001000',
		'egőrö'	=>	'001000',
		'egőszi'	=>	'0002000',
		'egőz'	=>	'03200',
		'egpl'	=>	'00100',
		'egpr'	=>	'00100',
		'egps'	=>	'00100',
		'egrat'	=>	'012000',
		'egróf'	=>	'012000',
		'egsk'	=>	'00100',
		'egsl'	=>	'00100',
		'egsm'	=>	'00100',
		'egsp'	=>	'00100',
		'egst'	=>	'00120',
		'egsz'	=>	'00002',
		'egszt'	=>	'001000',
		'egtr'	=>	'00100',
		'egub'	=>	'03200',
		'egud'	=>	'00100',
		'egum'	=>	'03200',
		'egun'	=>	'00120',
		'egurai'	=>	'0212000',
		'egurak'	=>	'0212000',
		'eguras'	=>	'0212000',
		'egurat'	=>	'0212000',
		'egurá'	=>	'021200',
		'eguru'	=>	'030000',
		'egus'	=>	'02120',
		'egut'	=>	'02120',
		'eguz'	=>	'00120',
		'egúj'	=>	'00100',
		'egún'	=>	'03200',
		'egúr'	=>	'00100',
		'egús'	=>	'00100',
		'egút'	=>	'00100',
		'egüd'	=>	'02100',
		'egügye'	=>	'0002000',
		'egüle'	=>	'021200',
		'egüli'	=>	'001200',
		'egüs'	=>	'02100',
		'egüt'	=>	'02100',
		'egüv'	=>	'02100',
		'egüz'	=>	'02100',
		'egűz'	=>	'02100',
		'egvárosi'	=>	'000000002',
		'egyad'	=>	'020120',
		'egyag'	=>	'000120',
		'egyaj'	=>	'020100',
		'egyakt'	=>	'0001000',
		'egyala'	=>	'0001200',
		'egyará'	=>	'0201000',
		'egyas'	=>	'020100',
		'egyat'	=>	'000120',
		'egyau'	=>	'020100',
		'egyaz'	=>	'000100',
		'egyál'	=>	'020100',
		'egyárá'	=>	'0001200',
		'egyárf'	=>	'0001000',
		'egyát'	=>	'020000',
		'egyeleg'	=>	'00010000',
		'egyelf'	=>	'0001000',
		'egyell'	=>	'0001000',
		'egyelo'	=>	'0001000',
		'egyelőj'	=>	'00012000',
		'egyelőv'	=>	'00012000',
		'egyelz'	=>	'0001000',
		'egyeni'	=>	'0200000',
		'egyenl'	=>	'1200000',
		'egyens'	=>	'1200000',
		'egyeszt'	=>	'00010000',
		'egyezm'	=>	'1000000',
		'egyéks'	=>	'0001000',
		'egyéni'	=>	'1000000',
		'egyip'	=>	'020000',
		'egyis'	=>	'020000',
		'egyiz'	=>	'020100',
		'egyok'	=>	'000100',
		'egyol'	=>	'020100',
		'egyor'	=>	'000020',
		'egyos'	=>	'020100',
		'egyot'	=>	'000100',
		'egyór'	=>	'020120',
		'egyöl'	=>	'000120',
		'egyös'	=>	'020100',
		'egyöz'	=>	'020100',
		'egyőr'	=>	'000120',
		'egyu'	=>	'00002',
		'egyur'	=>	'000100',
		'egyut'	=>	'000100',
		'együt'	=>	'100000',
		'egzis'	=>	'100000',
		'ehade'	=>	'000200',
		'eházal'	=>	'0002000',
		'ehellá'	=>	'0010000',
		'ehelyes'	=>	'00020000',
		'eherál'	=>	'0002000',
		'eherát'	=>	'0002000',
		'ehere'	=>	'000002',
		'eherel'	=>	'0002100',
		'eherem'	=>	'0002100',
		'eheren'	=>	'0002000',
		'eheres'	=>	'0002000',
		'eherin'	=>	'0002000',
		'eherol'	=>	'0002000',
		'ehéje'	=>	'021200',
		'ehéná'	=>	'000200',
		'ehénév'	=>	'0002000',
		'ehézá'	=>	'000200',
		'ehézo'	=>	'000200',
		'ehors'	=>	'021000',
		'ehsz'	=>	'00100',
		'ei'	=>	'010',
		'eiáb'	=>	'00200',
		'eiáh'	=>	'00200',
		'eiáj'	=>	'00200',
		'eián'	=>	'00200',
		'eiár'	=>	'00200',
		'eiát'	=>	'00200',
		'eiáv'	=>	'00200',
		'eibn'	=>	'02000',
		'eideá'	=>	'002000',
		'eidei'	=>	'002000',
		'eideo'	=>	'002000',
		'eidén'	=>	'002000',
		'eidom'	=>	'002000',
		'eidő'	=>	'00200',
		'eidp'	=>	'02000',
		'eier'	=>	'02000',
		'eigá'	=>	'00200',
		'eigé'	=>	'00200',
		'eign'	=>	'02120',
		'eigy'	=>	'00200',
		'eiha'	=>	'00200',
		'eiman'	=>	'002000',
		'eimá'	=>	'00200',
		'eimit'	=>	'002000',
		'eimk'	=>	'02000',
		'eims'	=>	'02000',
		'eimz'	=>	'02000',
		'eina'	=>	'00202',
		'einad'	=>	'000100',
		'einá'	=>	'00212',
		'eineg'	=>	'002000',
		'einér'	=>	'020000',
		'einét'	=>	'020000',
		'einita'	=>	'0021000',
		'einol'	=>	'002000',
		'einő'	=>	'00200',
		'eintr'	=>	'000120',
		'einü'	=>	'00200',
		'eion'	=>	'00200',
		'eipa'	=>	'00200',
		'eiram'	=>	'002000',
		'eirat'	=>	'002000',
		'eiri'	=>	'00200',
		'eirod'	=>	'002000',
		'eiró'	=>	'02000',
		'eita'	=>	'00200',
		'eitb'	=>	'02000',
		'eitj'	=>	'02000',
		'eitn'	=>	'02000',
		'eitr'	=>	'02000',
		'eiva'	=>	'00200',
		'eivá'	=>	'00200',
		'eivo'	=>	'00200',
		'eivó'	=>	'00200',
		'eizé'	=>	'00200',
		'eizmi'	=>	'020000',
		'eizo'	=>	'00200',
		'eí'	=>	'010',
		'eígé'	=>	'00200',
		'eíjá'	=>	'00200',
		'eíjú'	=>	'00200',
		'eíra'	=>	'00200',
		'eírá'	=>	'00200',
		'eírásbe'	=>	'00300000',
		'eírásil'	=>	'00300000',
		'eírásoc'	=>	'00300000',
		'eírásonk'	=>	'003000000',
		'eíróa'	=>	'002000',
		'eíróá'	=>	'002000',
		'eírób'	=>	'002000',
		'eíródn'	=>	'0020000',
		'eíróf'	=>	'002000',
		'eíróg'	=>	'002000',
		'eíróh'	=>	'002000',
		'eíróik'	=>	'0020000',
		'eíróin'	=>	'0020000',
		'eíróit'	=>	'0020000',
		'eíróí'	=>	'000002',
		'eírója'	=>	'0020000',
		'eírójá'	=>	'0020000',
		'eíróje'	=>	'0020000',
		'eíróju'	=>	'0020000',
		'eírók'	=>	'002000',
		'eíróm'	=>	'002000',
		'eíróna'	=>	'0020000',
		'eíróná'	=>	'0020000',
		'eíróny'	=>	'0020000',
		'eírór'	=>	'002000',
		'eírót'	=>	'002000',
		'eíróv'	=>	'002000',
		'eíté'	=>	'00200',
		'eívá'	=>	'00200',
		'eíve'	=>	'00200',
		'eívé'	=>	'00200',
		'eívi'	=>	'00200',
		'eívo'	=>	'00200',
		'eívó'	=>	'00200',
		'eíze'	=>	'00200',
		'eízü'	=>	'00200',
		'eízű'	=>	'00200',
		'ejab'	=>	'00100',
		'ejad'	=>	'02120',
		'ejag'	=>	'00120',
		'ejak'	=>	'02000',
		'ejakk'	=>	'001000',
		'ejal'	=>	'00120',
		'ejan'	=>	'00120',
		'ejar'	=>	'00100',
		'ejau'	=>	'00100',
		'ejaz'	=>	'00120',
		'ejáb'	=>	'00100',
		'ejág'	=>	'02120',
		'ejál'	=>	'00100',
		'ejártó'	=>	'0210000',
		'ejáte'	=>	'001212',
		'ejátv'	=>	'001000',
		'ejbl'	=>	'00100',
		'ejbr'	=>	'00100',
		'ejcsap'	=>	'0000021',
		'ejdr'	=>	'00100',
		'ejec'	=>	'00020',
		'ejecse'	=>	'0210000',
		'ejef'	=>	'02100',
		'ejeged'	=>	'0012000',
		'ejegé'	=>	'021200',
		'ejekc'	=>	'020000',
		'ejela'	=>	'021000',
		'ejelc'	=>	'021000',
		'ejelede'	=>	'02000000',
		'ejelemb'	=>	'02120000',
		'ejeleme'	=>	'02120000',
		'ejelemé'	=>	'00120000',
		'ejelemn'	=>	'02120000',
		'ejelf'	=>	'021000',
		'ejelha'	=>	'0210000',
		'ejelhel'	=>	'02100000',
		'ejelo'	=>	'021000',
		'ejelszá'	=>	'00100000',
		'ejeltér'	=>	'00100000',
		'ejelu'	=>	'021000',
		'ejeng'	=>	'021000',
		'ejenz'	=>	'021000',
		'ejessz'	=>	'0210000',
		'ejesz'	=>	'000200',
		'ejex'	=>	'02100',
		'ejéj'	=>	'02120',
		'ejék'	=>	'02120',
		'ejél'	=>	'02100',
		'ejép'	=>	'02100',
		'ejéte'	=>	'021000',
		'ejfr'	=>	'00100',
		'ejgr'	=>	'00120',
		'ejid'	=>	'02120',
		'ejim'	=>	'02100',
		'ejina'	=>	'001000',
		'ejint'	=>	'021000',
		'ejip'	=>	'02100',
		'ejiz'	=>	'02100',
		'ejíg'	=>	'00100',
		'ejív'	=>	'00100',
		'ejkl'	=>	'00100',
		'ejkv'	=>	'00100',
		'ejmok'	=>	'002000',
		'ejol'	=>	'00100',
		'ejop'	=>	'00100',
		'ejóc'	=>	'00100',
		'ejón'	=>	'00100',
		'ejósá'	=>	'000200',
		'ejót'	=>	'00100',
		'ejóv'	=>	'00100',
		'ejöb'	=>	'02100',
		'ejöl'	=>	'02100',
		'ejőz'	=>	'02100',
		'ejpl'	=>	'00100',
		'ejpr'	=>	'00100',
		'ejsp'	=>	'00100',
		'ejst'	=>	'00102',
		'ejtad'	=>	'002000',
		'ejtau'	=>	'002000',
		'ejtál'	=>	'002000',
		'ejtát'	=>	'002000',
		'ejtelk'	=>	'0021000',
		'ejteste'	=>	'00210000',
		'ejtev'	=>	'002000',
		'ejtér'	=>	'000020',
		'ejtéré'	=>	'0001000',
		'ejtin'	=>	'002000',
		'ejtiz'	=>	'002000',
		'ejtos'	=>	'002000',
		'ejtór'	=>	'002120',
		'ejtöd'	=>	'002000',
		'ejtöl'	=>	'002120',
		'ejtön'	=>	'002000',
		'ejtös'	=>	'002000',
		'ejtra'	=>	'001000',
		'ejtró'	=>	'001000',
		'ejtür'	=>	'002000',
		'ejúj'	=>	'00100',
		'ejúr'	=>	'00100',
		'ejút'	=>	'00120',
		'ejüg'	=>	'02100',
		'ejür'	=>	'02100',
		'ejüt'	=>	'02120',
		'ejüv'	=>	'02100',
		'ejüz'	=>	'02100',
		'ekabl'	=>	'021000',
		'ekacé'	=>	'001200',
		'ekadá'	=>	'001200',
		'ekadó'	=>	'021200',
		'ekagy'	=>	'000200',
		'ekaja'	=>	'001200',
		'ekajtói'	=>	'02100000',
		'ekajtók'	=>	'02100000',
		'ekajtón'	=>	'02100000',
		'ekajtór'	=>	'02100000',
		'ekajtót'	=>	'02100000',
		'ekakar'	=>	'0012000',
		'ekalj'	=>	'021000',
		'ekalo'	=>	'021200',
		'ekalt'	=>	'001000',
		'ekang'	=>	'001000',
		'ekani'	=>	'021000',
		'ekanyá'	=>	'0012000',
		'ekarca'	=>	'0010000',
		'ekarcr'	=>	'0010000',
		'ekarcú'	=>	'0010000',
		'ekasip'	=>	'0002000',
		'ekau'	=>	'02100',
		'ekazo'	=>	'001000',
		'ekág'	=>	'02100',
		'ekállo'	=>	'0010000',
		'ekálm'	=>	'001000',
		'ekárad'	=>	'0010000',
		'ekárai'	=>	'0002000',
		'ekárak'	=>	'0012000',
		'ekáras'	=>	'0010000',
		'ekárá'	=>	'021200',
		'ekárd'	=>	'021000',
		'ekárf'	=>	'021000',
		'ekárh'	=>	'021000',
		'ekárk'	=>	'021000',
		'ekárm'	=>	'021000',
		'ekárn'	=>	'021000',
		'ekáron'	=>	'0212000',
		'ekárr'	=>	'021000',
		'ekáru'	=>	'021200',
		'ekárú'	=>	'021200',
		'ekárv'	=>	'021000',
		'ekásó'	=>	'001000',
		'ekáta'	=>	'001000',
		'ekátd'	=>	'001000',
		'ekáth'	=>	'021000',
		'ekátj'	=>	'001000',
		'ekátm'	=>	'021000',
		'ekáto'	=>	'001200',
		'ekátt'	=>	'021000',
		'ekbl'	=>	'00100',
		'ekbr'	=>	'00100',
		'ekcém'	=>	'100000',
		'ekcióf'	=>	'0000200',
		'ekcl'	=>	'00100',
		'ekdr'	=>	'00100',
		'ekebé'	=>	'021000',
		'ekedz'	=>	'021200',
		'ekegg'	=>	'021000',
		'ekegye'	=>	'0212000',
		'ekekébő'	=>	'02120000',
		'ekekés'	=>	'0212000',
		'ekela'	=>	'020000',
		'ekeleg'	=>	'0212000',
		'ekeleme'	=>	'00020000',
		'ekelha'	=>	'0010000',
		'ekelk'	=>	'021000',
		'ekellá'	=>	'0200000',
		'ekelm'	=>	'021000',
		'ekelo'	=>	'021000',
		'ekelőn'	=>	'0210000',
		'ekelr'	=>	'021000',
		'ekelta'	=>	'0010000',
		'ekeltér'	=>	'00002120',
		'ekema'	=>	'021200',
		'ekemel'	=>	'0212000',
		'ekemés'	=>	'0012000',
		'ekepi'	=>	'001200',
		'ekestr'	=>	'0210000',
		'ekeszele'	=>	'000200000',
		'ekeszo'	=>	'0002000',
		'ekevé'	=>	'021200',
		'ekevi'	=>	'021000',
		'ekééh'	=>	'120000',
		'ekég'	=>	'02100',
		'ekéik'	=>	'120000',
		'ekékek'	=>	'0010000',
		'ekékt'	=>	'021000',
		'ekéle'	=>	'001200',
		'ekéln'	=>	'001000',
		'ekélő'	=>	'001000',
		'eképí'	=>	'021000',
		'ekérin'	=>	'0210000',
		'ekértékb'	=>	'001000000',
		'ekérül'	=>	'0002000',
		'ekészh'	=>	'0210000',
		'ekészn'	=>	'0210000',
		'ekétel'	=>	'0002000',
		'ekétk'	=>	'021000',
		'ekétl'	=>	'021000',
		'ekétt'	=>	'021000',
		'ekévek'	=>	'0212000',
		'ekévet'	=>	'0012000',
		'ekévi'	=>	'021000',
		'ekfr'	=>	'00100',
		'ekgn'	=>	'00100',
		'ekgr'	=>	'00100',
		'ekiá'	=>	'00002',
		'ekiga'	=>	'001200',
		'ekigaz'	=>	'0000001',
		'ekige'	=>	'001200',
		'ekigé'	=>	'021000',
		'ekii'	=>	'00002',
		'ekill'	=>	'001000',
		'ekima'	=>	'021000',
		'ekimár'	=>	'0002000',
		'ekiná'	=>	'021000',
		'ekind'	=>	'001000',
		'ekisk'	=>	'021000',
		'ekism'	=>	'001000',
		'ekisp'	=>	'021000',
		'ekizo'	=>	'001200',
		'ekíj'	=>	'02100',
		'ekírá'	=>	'001000',
		'ekíz'	=>	'00100',
		'ekkaró'	=>	'0000202',
		'ekkele'	=>	'0021000',
		'ekkelf'	=>	'0021000',
		'ekkosz'	=>	'0001000',
		'ekkri'	=>	'001000',
		'ekkű'	=>	'00200',
		'ekléss'	=>	'0000030',
		'eklim'	=>	'002000',
		'eknő'	=>	'00300',
		'ekoá'	=>	'02100',
		'ekobj'	=>	'001000',
		'ekodv'	=>	'021000',
		'ekola'	=>	'021200',
		'ekolló'	=>	'0010000',
		'ekolv'	=>	'021000',
		'ekope'	=>	'021200',
		'ekorda'	=>	'0000200',
		'ekordá'	=>	'0000212',
		'ekorom'	=>	'0012000',
		'ekorra'	=>	'0010000',
		'ekorv'	=>	'021000',
		'ekotth'	=>	'0010000',
		'ekóh'	=>	'02120',
		'ekóra'	=>	'001200',
		'ekórá'	=>	'001200',
		'ekök'	=>	'00020',
		'ekökö'	=>	'021000',
		'ekölé'	=>	'021200',
		'ekölő'	=>	'001200',
		'eköm'	=>	'02100',
		'ekönk'	=>	'021000',
		'ekönt'	=>	'021000',
		'eköri'	=>	'000200',
		'ekörv'	=>	'021000',
		'ekpl'	=>	'00100',
		'ekpr'	=>	'00100',
		'ekps'	=>	'00100',
		'ekram'	=>	'012000',
		'ekrétá'	=>	'0100000',
		'ekris'	=>	'002000',
		'ekrí'	=>	'01200',
		'ekróm'	=>	'002000',
		'eksl'	=>	'00100',
		'eksm'	=>	'00100',
		'eksp'	=>	'00100',
		'ekst'	=>	'00100',
		'ekszal'	=>	'0000100',
		'ekszes'	=>	'0000001',
		'ekszip'	=>	'0020000',
		'ektau'	=>	'002000',
		'ektaz'	=>	'002000',
		'ektelk'	=>	'0001000',
		'ektesz'	=>	'0021000',
		'ektérd'	=>	'0021000',
		'ektil'	=>	'002000',
		'ektim'	=>	'002000',
		'ektio'	=>	'002120',
		'ektok'	=>	'002100',
		'ektuss'	=>	'0000010',
		'ekud'	=>	'02100',
		'ekura'	=>	'021200',
		'ekuro'	=>	'001000',
		'ekutá'	=>	'021000',
		'ekutó'	=>	'021000',
		'ekuz'	=>	'02100',
		'ekúj'	=>	'02100',
		'ekút'	=>	'00020',
		'ekúto'	=>	'001000',
		'ekútv'	=>	'001000',
		'ekünn'	=>	'021000',
		'eküt'	=>	'00020',
		'ekütő'	=>	'001000',
		'eküzl'	=>	'001000',
		'ekvó'	=>	'01200',
		'elaba'	=>	'001200',
		'elabl'	=>	'001000',
		'elabort'	=>	'00120000',
		'elac'	=>	'02120',
		'elad'	=>	'02120',
		'elagg'	=>	'001000',
		'elagy'	=>	'001200',
		'elaj'	=>	'00120',
		'elakad'	=>	'0210000',
		'elakas'	=>	'0212000',
		'elakc'	=>	'001000',
		'elal'	=>	'02120',
		'elam'	=>	'00120',
		'elana'	=>	'001000',
		'elandi'	=>	'0000200',
		'elane'	=>	'001200',
		'elani'	=>	'001200',
		'elann'	=>	'001000',
		'elany'	=>	'000200',
		'elapa'	=>	'001200',
		'elar'	=>	'00020',
		'elara'	=>	'001000',
		'elará'	=>	'001000',
		'elaré'	=>	'001000',
		'elasza'	=>	'0010000',
		'elaszi'	=>	'0010000',
		'elaszó'	=>	'0010000',
		'elaszu'	=>	'0010000',
		'elau'	=>	'02120',
		'elava'	=>	'001200',
		'elave'	=>	'001200',
		'elazo'	=>	'001000',
		'elábé'	=>	'000200',
		'elága'	=>	'021200',
		'elágg'	=>	'001000',
		'elági'	=>	'001200',
		'elágn'	=>	'001000',
		'elágo'	=>	'001200',
		'eláj'	=>	'00120',
		'eláld'	=>	'001000',
		'eláll'	=>	'001000',
		'elálo'	=>	'001200',
		'elám'	=>	'00020',
		'elámí'	=>	'001000',
		'elán'	=>	'00200',
		'eláná'	=>	'000200',
		'eláne'	=>	'000200',
		'elánó'	=>	'000200',
		'eláp'	=>	'00120',
		'elárá'	=>	'001200',
		'elárb'	=>	'001000',
		'elárc'	=>	'001000',
		'eláre'	=>	'001200',
		'eláré'	=>	'001200',
		'elárf'	=>	'001000',
		'elárh'	=>	'001000',
		'elárk'	=>	'001000',
		'elárn'	=>	'001000',
		'eláro'	=>	'001200',
		'elárö'	=>	'001000',
		'elárr'	=>	'001000',
		'elárt'	=>	'001000',
		'eláru'	=>	'001200',
		'elárú'	=>	'001200',
		'elás'	=>	'00020',
		'eláta'	=>	'000002',
		'eláte'	=>	'001012',
		'elátf'	=>	'001000',
		'elátk'	=>	'001000',
		'elátl'	=>	'001000',
		'elátm'	=>	'001000',
		'elátr'	=>	'001000',
		'elázi'	=>	'001000',
		'elázo'	=>	'001000',
		'elázt'	=>	'001000',
		'elbl'	=>	'00100',
		'elbr'	=>	'00100',
		'eldr'	=>	'00120',
		'elebre'	=>	'0001000',
		'eledel'	=>	'1200000',
		'eleff'	=>	'001000',
		'elegelé'	=>	'00021200',
		'elegyene'	=>	'001200000',
		'elegyü'	=>	'0200000',
		'elegz'	=>	'001000',
		'eleíran'	=>	'00003000',
		'elekl'	=>	'000120',
		'elekos'	=>	'0002100',
		'elekrá'	=>	'0001000',
		'elektr'	=>	'1000000',
		'elelb'	=>	'021000',
		'elelemb'	=>	'02120000',
		'elelm'	=>	'021000',
		'elelőz'	=>	'0200000',
		'elelr'	=>	'001000',
		'elemad'	=>	'0002000',
		'elember'	=>	'02100000',
		'elemei'	=>	'1200000',
		'elemek'	=>	'1000000',
		'elemell'	=>	'00020000',
		'elememm'	=>	'12000000',
		'elemesn'	=>	'12000000',
		'elemesz'	=>	'00020000',
		'elemélt'	=>	'00020000',
		'elemérd'	=>	'00020000',
		'elemük'	=>	'1200000',
		'elemünk'	=>	'12000000',
		'elemzé'	=>	'1200000',
		'elemző'	=>	'1200000',
		'elend'	=>	'200000',
		'elener'	=>	'0200000',
		'elenél'	=>	'0002000',
		'eleó'	=>	'00002',
		'elepal'	=>	'0002000',
		'elepap'	=>	'0002000',
		'elepele'	=>	'00020000',
		'elepell'	=>	'00020000',
		'elepőr'	=>	'0002120',
		'elerd'	=>	'020000',
		'elered'	=>	'0012000',
		'elerei'	=>	'0012000',
		'elerj'	=>	'001000',
		'elern'	=>	'021000',
		'eleróz'	=>	'0002000',
		'elesege'	=>	'00020000',
		'elesésb'	=>	'00020000',
		'elesése'	=>	'00020000',
		'elesésé'	=>	'00020000',
		'elesésh'	=>	'00020000',
		'elesési'	=>	'00020000',
		'elesésk'	=>	'00020000',
		'elesésn'	=>	'00020000',
		'elesésr'	=>	'00020000',
		'eleséss'	=>	'00020000',
		'elesést'	=>	'00020000',
		'elesésü'	=>	'00020000',
		'elesnén'	=>	'02100000',
		'elesőb'	=>	'0002000',
		'elesős'	=>	'0002000',
		'elessél'	=>	'02100000',
		'elesta'	=>	'0001000',
		'eleszek'	=>	'00020000',
		'eletekét'	=>	'000212000',
		'eleteti'	=>	'00020000',
		'eletetn'	=>	'00020000',
		'eletető'	=>	'00020000',
		'eleték'	=>	'0002100',
		'eletél'	=>	'0002000',
		'elették'	=>	'02100000',
		'eleü'	=>	'00002',
		'elevők'	=>	'1212000',
		'elexi'	=>	'001200',
		'elébb'	=>	'020000',
		'elédu'	=>	'000200',
		'eléges'	=>	'0012000',
		'eléget'	=>	'0012000',
		'elégj'	=>	'001000',
		'elégtek'	=>	'00100000',
		'elégv'	=>	'001000',
		'eléhet'	=>	'0012000',
		'eléka'	=>	'000002',
		'elékak'	=>	'0002000',
		'elékan'	=>	'0002100',
		'eléká'	=>	'000210',
		'elékele'	=>	'00021200',
		'elékev'	=>	'0002000',
		'elékeze'	=>	'00020000',
		'elékezi'	=>	'00020000',
		'elékezt'	=>	'00020000',
		'elékí'	=>	'001000',
		'elékö'	=>	'000200',
		'eléku'	=>	'000200',
		'eléld'	=>	'001000',
		'eléled'	=>	'0002000',
		'elélet'	=>	'0012000',
		'elélé'	=>	'001200',
		'elélh'	=>	'001000',
		'eléli'	=>	'001200',
		'elélj'	=>	'001000',
		'eléln'	=>	'001000',
		'eléls'	=>	'001000',
		'elélt'	=>	'021000',
		'elélü'	=>	'001200',
		'elélv'	=>	'021000',
		'eléneke'	=>	'02120000',
		'elénekh'	=>	'02120000',
		'eléred'	=>	'0212000',
		'elérem'	=>	'0212000',
		'elérend'	=>	'00020000',
		'elérez'	=>	'0212000',
		'elérp'	=>	'021000',
		'elérrő'	=>	'0210000',
		'elértel'	=>	'02000000',
		'elérté'	=>	'0210000',
		'elérth'	=>	'0010000',
		'elértő'	=>	'0210000',
		'elérü'	=>	'021200',
		'elérz'	=>	'021000',
		'elésétő'	=>	'20000000',
		'eléso'	=>	'000200',
		'elészel'	=>	'20000000',
		'elészem'	=>	'20000000',
		'elészne'	=>	'20000000',
		'elészné'	=>	'20000000',
		'elésző'	=>	'2000000',
		'elészü'	=>	'2000000',
		'elészv'	=>	'2000000',
		'elétel'	=>	'0002000',
		'elétes'	=>	'0212000',
		'elétete'	=>	'00020000',
		'elétk'	=>	'021000',
		'elétt'	=>	'021000',
		'elfl'	=>	'00100',
		'elfr'	=>	'00120',
		'elgl'	=>	'00100',
		'elhap'	=>	'100000',
		'elib'	=>	'00200',
		'elideg'	=>	'0010000',
		'elidé'	=>	'001000',
		'elido'	=>	'001200',
		'eliga'	=>	'001000',
		'eligé'	=>	'021000',
		'elill'	=>	'001000',
		'elima'	=>	'021200',
		'elimá'	=>	'020000',
		'elimp'	=>	'021000',
		'elinto'	=>	'0210000',
		'elion'	=>	'001200',
		'eliő'	=>	'00002',
		'elip'	=>	'02120',
		'elira'	=>	'021000',
		'eliro'	=>	'021200',
		'elisi'	=>	'021200',
		'elism'	=>	'020000',
		'eliss'	=>	'001000',
		'eliste'	=>	'0010000',
		'elitin'	=>	'0002000',
		'elitol'	=>	'0002000',
		'elitu'	=>	'000002',
		'elivá'	=>	'001200',
		'elix'	=>	'02200',
		'elizo'	=>	'001200',
		'elíg'	=>	'02100',
		'elírá'	=>	'001200',
		'elív'	=>	'00120',
		'elkará'	=>	'0000210',
		'elkezdé'	=>	'10000000',
		'elkezdő'	=>	'10000000',
		'elki'	=>	'00300',
		'elkl'	=>	'00120',
		'elkr'	=>	'00120',
		'elkv'	=>	'00100',
		'elladá'	=>	'0021200',
		'elladó'	=>	'0021200',
		'ellalk'	=>	'0001000',
		'ellamb'	=>	'0021000',
		'ellamp'	=>	'0020000',
		'ellat'	=>	'000010',
		'ellau'	=>	'002000',
		'ellábr'	=>	'0021000',
		'elláll'	=>	'0021000',
		'ellátáso'	=>	'100000000',
		'ellátásü'	=>	'100000000',
		'ellátm'	=>	'1000000',
		'ellef'	=>	'002000',
		'ellegó'	=>	'0000212',
		'ellelké'	=>	'00010000',
		'ellelm'	=>	'0020000',
		'ellená'	=>	'1000000',
		'ellenes'	=>	'10000000',
		'ellenf'	=>	'1000000',
		'ellenő'	=>	'1000000',
		'ellens'	=>	'1000000',
		'ellenz'	=>	'1000000',
		'ellid'	=>	'002000',
		'ellinf'	=>	'0001000',
		'ellint'	=>	'0001000',
		'ellor'	=>	'002100',
		'ellosz'	=>	'0001000',
		'ellórá'	=>	'0001000',
		'ellön'	=>	'002000',
		'ellös'	=>	'002000',
		'ellűr'	=>	'002100',
		'elmééh'	=>	'1000000',
		'elmél'	=>	'100000',
		'elméte'	=>	'1000000',
		'elnép'	=>	'100000',
		'elnök'	=>	'100000',
		'elobj'	=>	'001000',
		'eloff'	=>	'001000',
		'eloj'	=>	'00100',
		'eloká'	=>	'021200',
		'elokm'	=>	'001000',
		'elol'	=>	'02120',
		'eloml'	=>	'001000',
		'elomo'	=>	'001000',
		'elont'	=>	'001000',
		'elopc'	=>	'001000',
		'elope'	=>	'021000',
		'eloro'	=>	'001000',
		'elorr'	=>	'001000',
		'elos'	=>	'00100',
		'elosz'	=>	'020000',
		'elox'	=>	'02100',
		'elóig'	=>	'000200',
		'elóin'	=>	'000200',
		'elóri'	=>	'021200',
		'elöb'	=>	'00100',
		'elöm'	=>	'00120',
		'elön'	=>	'02100',
		'elör'	=>	'02100',
		'elös'	=>	'02100',
		'elöz'	=>	'02120',
		'előáp'	=>	'200000',
		'előár'	=>	'200000',
		'előbé'	=>	'200000',
		'előbi'	=>	'200000',
		'előbo'	=>	'200000',
		'elődei'	=>	'1000000',
		'elődí'	=>	'000212',
		'elődo'	=>	'200000',
		'előer'	=>	'000020',
		'előfú'	=>	'120000',
		'előfü'	=>	'200000',
		'előfű'	=>	'200000',
		'előhív'	=>	'1200000',
		'előhű'	=>	'100000',
		'előib'	=>	'200000',
		'előik'	=>	'200000',
		'előim'	=>	'200000',
		'előiv'	=>	'200000',
		'előja'	=>	'200000',
		'előkért'	=>	'20000000',
		'előkése'	=>	'10000000',
		'előkést'	=>	'12000000',
		'előkl'	=>	'200000',
		'előkő'	=>	'200000',
		'előkt'	=>	'200000',
		'előku'	=>	'200000',
		'előkü'	=>	'200000',
		'előmö'	=>	'200000',
		'előmű'	=>	'200000',
		'előna'	=>	'200000',
		'előnn'	=>	'100000',
		'előnö'	=>	'200000',
		'előnyb'	=>	'1000000',
		'előnyer'	=>	'20000000',
		'előnyh'	=>	'1000000',
		'előnyi'	=>	'2000000',
		'előnyk'	=>	'1000000',
		'előnyn'	=>	'1000000',
		'előnyö'	=>	'1000000',
		'előnyr'	=>	'1000000',
		'előnyt'	=>	'1000000',
		'előnyü'	=>	'1000000',
		'előö'	=>	'20000',
		'előreg'	=>	'1200000',
		'előreh'	=>	'1000000',
		'előrej'	=>	'1000000',
		'előriz'	=>	'0010000',
		'előrl'	=>	'001000',
		'előro'	=>	'200000',
		'előrü'	=>	'021000',
		'elősá'	=>	'200000',
		'előso'	=>	'200000',
		'elősö'	=>	'200000',
		'elősp'	=>	'000120',
		'elősze'	=>	'2000000',
		'előszé'	=>	'2000000',
		'előszi'	=>	'2000000',
		'előszó'	=>	'2000000',
		'előtü'	=>	'200000',
		'előü'	=>	'20000',
		'elővis'	=>	'2000000',
		'előviz'	=>	'2000000',
		'előze'	=>	'020000',
		'előzene'	=>	'23000000',
		'előzm'	=>	'100000',
		'elpl'	=>	'00120',
		'elpró'	=>	'001000',
		'elsk'	=>	'00100',
		'elsl'	=>	'00100',
		'elsm'	=>	'00100',
		'elszt'	=>	'001020',
		'eltaj'	=>	'002100',
		'eltárad'	=>	'00000020',
		'eltárada'	=>	'000001000',
		'elterei'	=>	'00212000',
		'eltes'	=>	'200000',
		'eltete'	=>	'2000000',
		'elteté'	=>	'2000000',
		'elteth'	=>	'2000000',
		'elteti'	=>	'2000000',
		'eltetj'	=>	'2000000',
		'eltetn'	=>	'2000000',
		'eltets'	=>	'2000000',
		'eltettk'	=>	'10000000',
		'eltetü'	=>	'2000000',
		'eltetv'	=>	'2000000',
		'eltéb'	=>	'200000',
		'eltél'	=>	'200000',
		'eltét'	=>	'200000',
		'eltra'	=>	'001200',
		'eltrá'	=>	'001000',
		'eltré'	=>	'001000',
		'eltük'	=>	'200000',
		'elud'	=>	'02100',
		'elug'	=>	'00120',
		'elun'	=>	'00020',
		'elund'	=>	'001000',
		'elur'	=>	'00120',
		'elut'	=>	'02120',
		'eluz'	=>	'02100',
		'elúj'	=>	'00100',
		'elús'	=>	'00100',
		'elút'	=>	'00120',
		'elüc'	=>	'00100',
		'elüd'	=>	'02100',
		'elüg'	=>	'02100',
		'elügyérn'	=>	'000001000',
		'elükén'	=>	'0002000',
		'elültet'	=>	'02100000',
		'elür'	=>	'02100',
		'elüs'	=>	'02100',
		'elüt'	=>	'02100',
		'elüv'	=>	'02100',
		'elüz'	=>	'02100',
		'elűrt'	=>	'001000',
		'elűz'	=>	'02100',
		'elvada'	=>	'0001000',
		'elvadó'	=>	'0001200',
		'elvat'	=>	'002100',
		'elvárai'	=>	'00210000',
		'elváras'	=>	'00210000',
		'elvárár'	=>	'00210000',
		'elvász'	=>	'0001000',
		'elvát'	=>	'002000',
		'elvenc'	=>	'0021000',
		'elvégü'	=>	'0021000',
		'elvéle'	=>	'0001000',
		'elvéri'	=>	'0021000',
		'elvik'	=>	'002000',
		'elvolt'	=>	'0001000',
		'elvó'	=>	'00212',
		'elvöd'	=>	'002000',
		'elvő'	=>	'00200',
		'elvú'	=>	'00200',
		'elya'	=>	'02012',
		'elyá'	=>	'02012',
		'elyel'	=>	'020100',
		'elyer'	=>	'020000',
		'elyeszt'	=>	'00010000',
		'elyéjé'	=>	'0001200',
		'elyéké'	=>	'0001200',
		'elyél'	=>	'020100',
		'elyés'	=>	'020000',
		'elyiko'	=>	'0201200',
		'elyira'	=>	'0201000',
		'elykéj'	=>	'0002000',
		'elyo'	=>	'02010',
		'elyó'	=>	'02010',
		'elyöm'	=>	'020000',
		'elyön'	=>	'020000',
		'elyös'	=>	'020000',
		'elyő'	=>	'02000',
		'elyul'	=>	'000100',
		'elyül'	=>	'000020',
		'elyülé'	=>	'0201000',
		'emab'	=>	'02100',
		'emadat'	=>	'0012000',
		'emadás'	=>	'0012000',
		'emado'	=>	'021200',
		'emadó'	=>	'021200',
		'emadt'	=>	'021000',
		'emagi'	=>	'021200',
		'emaja'	=>	'001200',
		'emajá'	=>	'021000',
		'emajk'	=>	'001000',
		'emajt'	=>	'021000',
		'emaka'	=>	'001200',
		'emaká'	=>	'001000',
		'emaku'	=>	'021000',
		'emalap'	=>	'0012000',
		'emall'	=>	'021000',
		'emalmá'	=>	'0010000',
		'emalv'	=>	'001000',
		'emana'	=>	'021000',
		'emaná'	=>	'100000',
		'emany'	=>	'021200',
		'emap'	=>	'00020',
		'emapá'	=>	'001000',
		'emapr'	=>	'001000',
		'emarán'	=>	'0012000',
		'emasszo'	=>	'00100000',
		'ematl'	=>	'021000',
		'emau'	=>	'02120',
		'emav'	=>	'02120',
		'emazo'	=>	'021200',
		'emáb'	=>	'02100',
		'emál'	=>	'00020',
		'emála'	=>	'001000',
		'emáld'	=>	'001000',
		'emáli'	=>	'001000',
		'emáp'	=>	'02100',
		'emár'	=>	'00020',
		'emára'	=>	'021000',
		'emárn'	=>	'021000',
		'emáro'	=>	'021000',
		'emáru'	=>	'021000',
		'emárv'	=>	'001000',
		'emásá'	=>	'021000',
		'emáta'	=>	'000012',
		'emáte'	=>	'021000',
		'emátl'	=>	'021000',
		'emátm'	=>	'001000',
		'emátt'	=>	'021000',
		'emátu'	=>	'021000',
		'embarg'	=>	'1000000',
		'embered'	=>	'10000000',
		'emberf'	=>	'1000000',
		'emberő'	=>	'0000012',
		'embers'	=>	'1000000',
		'emblen'	=>	'0002000',
		'emblé'	=>	'100000',
		'embre'	=>	'001000',
		'embri'	=>	'100000',
		'embro'	=>	'001000',
		'emdr'	=>	'00100',
		'emef'	=>	'02100',
		'emeger'	=>	'0003000',
		'emegi'	=>	'000300',
		'emegyet'	=>	'00100000',
		'emegyé'	=>	'0010000',
		'emegz'	=>	'021000',
		'emekés'	=>	'0212000',
		'emela'	=>	'021000',
		'emelb'	=>	'001000',
		'emelet'	=>	'1000000',
		'emelke'	=>	'1000000',
		'emellá'	=>	'0210000',
		'emelm'	=>	'021000',
		'emelo'	=>	'221000',
		'emelőb'	=>	'1000000',
		'emelőe'	=>	'1000000',
		'emelőny'	=>	'00100000',
		'emelős'	=>	'1000000',
		'emelőv'	=>	'1000000',
		'emelty'	=>	'1000000',
		'emember'	=>	'02100000',
		'ememel'	=>	'0212000',
		'ememu'	=>	'021000',
		'emener'	=>	'0200000',
		'emeness'	=>	'00000010',
		'emep'	=>	'02120',
		'emerény'	=>	'02120000',
		'emerő'	=>	'021200',
		'emesa'	=>	'000200',
		'emeseté'	=>	'00120000',
		'emesés'	=>	'0212000',
		'emeszem'	=>	'00120000',
		'emeszet'	=>	'02120000',
		'emeszk'	=>	'0210000',
		'emeszm'	=>	'0210000',
		'emeu'	=>	'02100',
		'emev'	=>	'02120',
		'emeza'	=>	'000210',
		'emezá'	=>	'000212',
		'emezo'	=>	'000210',
		'emezs'	=>	'000230',
		'emég'	=>	'02100',
		'eméhen'	=>	'0212000',
		'eméhes'	=>	'0212000',
		'eméhs'	=>	'020000',
		'eméj'	=>	'02120',
		'emék'	=>	'00020',
		'eméke'	=>	'021000',
		'emékr'	=>	'001000',
		'emélet'	=>	'0012000',
		'eméneke'	=>	'02000000',
		'emép'	=>	'02100',
		'emértel'	=>	'02000000',
		'emértéke'	=>	'021000000',
		'emértéké'	=>	'021000000',
		'emértékn'	=>	'021000000',
		'emészl'	=>	'0010000',
		'eméta'	=>	'000212',
		'emétár'	=>	'0002000',
		'emétek'	=>	'0212000',
		'emétel'	=>	'0002000',
		'emételh'	=>	'00001000',
		'emétels'	=>	'00001000',
		'emfl'	=>	'00100',
		'emfogad'	=>	'00000020',
		'emfogada'	=>	'000020000',
		'emfr'	=>	'00120',
		'emgr'	=>	'00100',
		'emidé'	=>	'020000',
		'emidő'	=>	'001200',
		'emig'	=>	'00020',
		'emiga'	=>	'021000',
		'emige'	=>	'021000',
		'emigé'	=>	'021000',
		'emiks'	=>	'001000',
		'emim'	=>	'00020',
		'emima'	=>	'001000',
		'emimá'	=>	'020000',
		'eminf'	=>	'021000',
		'emins'	=>	'021000',
		'eminte'	=>	'0210000',
		'emip'	=>	'02120',
		'emira'	=>	'021000',
		'emirá'	=>	'020000',
		'emiro'	=>	'021000',
		'emirt'	=>	'021000',
		'emisk'	=>	'021000',
		'emism'	=>	'021000',
		'emiste'	=>	'0210000',
		'emisza'	=>	'0002000',
		'emiszá'	=>	'0002000',
		'emiszo'	=>	'0002000',
		'emizé'	=>	'001000',
		'emizg'	=>	'001000',
		'emizo'	=>	'021200',
		'emíg'	=>	'02000',
		'emíj'	=>	'02100',
		'emír'	=>	'02000',
		'emív'	=>	'02120',
		'emkl'	=>	'00100',
		'emkr'	=>	'00100',
		'emlékm'	=>	'1000000',
		'emlékv'	=>	'1000000',
		'emok'	=>	'00020',
		'emokl'	=>	'021000',
		'emoko'	=>	'001000',
		'emokt'	=>	'021000',
		'emola'	=>	'001000',
		'emold'	=>	'021000',
		'emoll'	=>	'001000',
		'emolt'	=>	'021000',
		'emop'	=>	'02120',
		'emork'	=>	'021000',
		'emors'	=>	'021000',
		'emorv'	=>	'021000',
		'emot'	=>	'00012',
		'emóra'	=>	'000200',
		'emórá'	=>	'001200',
		'emöb'	=>	'02100',
		'emök'	=>	'00020',
		'emökö'	=>	'021000',
		'emöl'	=>	'00020',
		'emöld'	=>	'021000',
		'emölé'	=>	'001000',
		'emön'	=>	'02100',
		'emör'	=>	'02120',
		'emös'	=>	'02100',
		'emöv'	=>	'00100',
		'emöz'	=>	'02120',
		'emőrk'	=>	'001000',
		'emőrn'	=>	'001000',
		'emőrö'	=>	'001200',
		'emőrr'	=>	'001000',
		'emőrt'	=>	'001000',
		'empát'	=>	'100000',
		'empc'	=>	'00100',
		'empre'	=>	'001200',
		'empré'	=>	'001000',
		'empro'	=>	'001000',
		'empró'	=>	'001000',
		'emps'	=>	'00120',
		'emsk'	=>	'00100',
		'emsm'	=>	'00100',
		'emsp'	=>	'00100',
		'emst'	=>	'00120',
		'emtr'	=>	'00120',
		'emud'	=>	'02000',
		'emug'	=>	'02000',
		'emuj'	=>	'02000',
		'emuk'	=>	'12000',
		'emulz'	=>	'100000',
		'emum'	=>	'12000',
		'emuno'	=>	'001000',
		'emur'	=>	'02000',
		'emusz'	=>	'020000',
		'emutal'	=>	'0010000',
		'emutá'	=>	'021200',
		'emutc'	=>	'020000',
		'emutó'	=>	'021000',
		'emúj'	=>	'02100',
		'emúr'	=>	'00100',
		'emút'	=>	'02100',
		'emüd'	=>	'02100',
		'emüg'	=>	'02100',
		'emülő'	=>	'021200',
		'emünn'	=>	'021000',
		'emür'	=>	'02100',
		'emüt'	=>	'02100',
		'emüv'	=>	'02100',
		'emüz'	=>	'02100',
		'eműz'	=>	'02100',
		'emzr'	=>	'00100',
		'enab'	=>	'02100',
		'enado'	=>	'001200',
		'enagi'	=>	'001000',
		'enaj'	=>	'02120',
		'enak'	=>	'02120',
		'enala'	=>	'001200',
		'enalk'	=>	'001000',
		'enall'	=>	'001000',
		'enalm'	=>	'001000',
		'enan'	=>	'02120',
		'enapá'	=>	'001200',
		'enape'	=>	'000210',
		'enará'	=>	'001200',
		'enarc'	=>	'001000',
		'enasz'	=>	'001000',
		'enatk'	=>	'001000',
		'enaut'	=>	'001000',
		'enábr'	=>	'001000',
		'enág'	=>	'00100',
		'enáld'	=>	'001000',
		'enálm'	=>	'001000',
		'enára'	=>	'021000',
		'enárn'	=>	'001000',
		'enáro'	=>	'001200',
		'enáru'	=>	'021000',
		'enátk'	=>	'001000',
		'enátm'	=>	'001000',
		'enátv'	=>	'001000',
		'enáz'	=>	'02100',
		'enbl'	=>	'00100',
		'enca'	=>	'00212',
		'encár'	=>	'002100',
		'ench'	=>	'00230',
		'encip'	=>	'002100',
		'encí'	=>	'00200',
		'encol'	=>	'002100',
		'encos'	=>	'002100',
		'encö'	=>	'00212',
		'encség'	=>	'0003000',
		'encsor'	=>	'0023000',
		'encsp'	=>	'000320',
		'encsz'	=>	'000300',
		'encu'	=>	'00200',
		'endadá'	=>	'0021000',
		'endalk'	=>	'0021000',
		'endano'	=>	'0020000',
		'endáll'	=>	'0021000',
		'endárn'	=>	'0021000',
		'endátl'	=>	'0021000',
		'endéjé'	=>	'0001200',
		'endérr'	=>	'0021000',
		'endértő'	=>	'00210000',
		'endérz'	=>	'0021000',
		'endor'	=>	'002100',
		'endón'	=>	'002100',
		'endór'	=>	'002120',
		'endös'	=>	'002000',
		'endrá'	=>	'001200',
		'endú'	=>	'00200',
		'endza'	=>	'002000',
		'eneá'	=>	'00002',
		'enegér'	=>	'0210000',
		'enegg'	=>	'021000',
		'enelek'	=>	'0012000',
		'eneljá'	=>	'0010000',
		'enelk'	=>	'001000',
		'enell'	=>	'021000',
		'enelm'	=>	'001000',
		'enelny'	=>	'0010000',
		'enelü'	=>	'001000',
		'enelvá'	=>	'0010000',
		'eneml'	=>	'021000',
		'eneó'	=>	'00002',
		'enep'	=>	'00012',
		'enerá'	=>	'200000',
		'energ'	=>	'120000',
		'enern'	=>	'021000',
		'enerv'	=>	'020000',
		'enes'	=>	'20000',
		'enesztá'	=>	'00010000',
		'enetal'	=>	'0002000',
		'enetos'	=>	'0002000',
		'enex'	=>	'02100',
		'enéka'	=>	'000210',
		'enékel'	=>	'0002000',
		'enéki'	=>	'000002',
		'enékis'	=>	'0002000',
		'enépí'	=>	'001000',
		'enépü'	=>	'001000',
		'enérd'	=>	'020000',
		'enéré'	=>	'021000',
		'enéri'	=>	'021000',
		'enérte'	=>	'0210000',
		'enérv'	=>	'021000',
		'enésza'	=>	'0002000',
		'enészer'	=>	'00020000',
		'enészin'	=>	'00020100',
		'enétk'	=>	'021000',
		'enéves'	=>	'0210000',
		'enévig'	=>	'0002000',
		'enfl'	=>	'00120',
		'enfluo'	=>	'0000002',
		'enga'	=>	'00002',
		'engan'	=>	'002000',
		'engedé'	=>	'1000000',
		'engerő'	=>	'0000012',
		'engéss'	=>	'0000030',
		'engg'	=>	'00010',
		'enidé'	=>	'020000',
		'enidio'	=>	'0000020',
		'eniga'	=>	'021200',
		'enige'	=>	'021000',
		'enigé'	=>	'021000',
		'enill'	=>	'001000',
		'enimá'	=>	'020000',
		'enina'	=>	'021000',
		'enind'	=>	'001000',
		'eninf'	=>	'021000',
		'eninte'	=>	'0210000',
		'eninv'	=>	'021000',
		'enira'	=>	'021000',
		'enirá'	=>	'001200',
		'enisk'	=>	'001000',
		'enism'	=>	'021000',
		'enisza'	=>	'0002000',
		'eniszer'	=>	'00020000',
		'eniszo'	=>	'0002000',
		'eniszó'	=>	'0002012',
		'enív'	=>	'02100',
		'enkj'	=>	'00120',
		'enneme'	=>	'0021000',
		'ennes'	=>	'002000',
		'ennége'	=>	'0001000',
		'ennék'	=>	'000020',
		'ennéke'	=>	'0021000',
		'ennér'	=>	'002000',
		'ennir'	=>	'002000',
		'ennol'	=>	'002100',
		'ennú'	=>	'00200',
		'ennül'	=>	'002100',
		'ennyad'	=>	'0000120',
		'ennyas'	=>	'0000100',
		'ennyá'	=>	'000010',
		'ennyer'	=>	'0030000',
		'ennyí'	=>	'000012',
		'ennyu'	=>	'003000',
		'enob'	=>	'02100',
		'enof'	=>	'02100',
		'enoi'	=>	'02100',
		'enold'	=>	'001000',
		'enolv'	=>	'021000',
		'enoni'	=>	'000200',
		'enopt'	=>	'001000',
		'enorá'	=>	'000212',
		'enost'	=>	'021000',
		'enoszt'	=>	'0010000',
		'enox'	=>	'02100',
		'enóta'	=>	'000002',
		'enótal'	=>	'0002000',
		'enóte'	=>	'000212',
		'enöb'	=>	'02100',
		'enöl'	=>	'02100',
		'enön'	=>	'00100',
		'enös'	=>	'02100',
		'enöt'	=>	'02120',
		'enöv'	=>	'03000',
		'enőrü'	=>	'000200',
		'enpr'	=>	'00100',
		'enry'	=>	'00100',
		'ensab'	=>	'002100',
		'ensal'	=>	'002120',
		'ensan'	=>	'002120',
		'ensas'	=>	'002000',
		'ensel'	=>	'002100',
		'ensérté'	=>	'00210000',
		'ensszá'	=>	'0003000',
		'enszon'	=>	'0023000',
		'entac'	=>	'002120',
		'entada'	=>	'0020000',
		'entagy'	=>	'0001000',
		'entak'	=>	'000012',
		'entala'	=>	'0021200',
		'entalj'	=>	'0001000',
		'entalk'	=>	'0021000',
		'entalo'	=>	'0001200',
		'entand'	=>	'0001000',
		'entany'	=>	'0021200',
		'entass'	=>	'0001000',
		'entárak'	=>	'00212000',
		'entárat'	=>	'00212000',
		'entárá'	=>	'0021000',
		'entárú'	=>	'0021200',
		'entelmé'	=>	'00210000',
		'entera'	=>	'0000210',
		'enteste'	=>	'00210000',
		'entesté'	=>	'00210000',
		'entesti'	=>	'00210000',
		'entetr'	=>	'0000120',
		'entég'	=>	'002120',
		'entép'	=>	'002000',
		'entérm'	=>	'0020000',
		'entigé'	=>	'0020000',
		'entio'	=>	'002120',
		'entip'	=>	'000020',
		'entipa'	=>	'0001000',
		'entisz'	=>	'0000200',
		'entokt'	=>	'0021000',
		'entön'	=>	'002000',
		'entrad'	=>	'0010000',
		'entran'	=>	'0002000',
		'entun'	=>	'002000',
		'entur'	=>	'002120',
		'entüz'	=>	'002120',
		'enuta'	=>	'001000',
		'enúr'	=>	'00100',
		'enút'	=>	'00100',
		'enűz'	=>	'02100',
		'enyab'	=>	'020000',
		'enyad'	=>	'020120',
		'enyae'	=>	'020100',
		'enyag'	=>	'000020',
		'enyaga'	=>	'0001000',
		'enyagá'	=>	'0001000',
		'enyaj'	=>	'020100',
		'enyalk'	=>	'0001000',
		'enyan'	=>	'020120',
		'enyaré'	=>	'0001000',
		'enyas'	=>	'020100',
		'enyat'	=>	'020100',
		'enyau'	=>	'020100',
		'enyd'	=>	'00012',
		'enyedzé'	=>	'00012000',
		'enyelm'	=>	'0200000',
		'enyelőn'	=>	'00010000',
		'enyelvo'	=>	'00010000',
		'enyelvű'	=>	'00010000',
		'enyerő'	=>	'0201200',
		'enyeve'	=>	'0001000',
		'enyéva'	=>	'0200000',
		'enyhős'	=>	'0002100',
		'enyid'	=>	'020100',
		'enying'	=>	'0200000',
		'enyira'	=>	'0201000',
		'enyiz'	=>	'020000',
		'enyíró'	=>	'0001200',
		'enyok'	=>	'020000',
		'enyol'	=>	'020120',
		'enyor'	=>	'020100',
		'enyos'	=>	'020100',
		'enyó'	=>	'02012',
		'enyök'	=>	'000020',
		'enyökö'	=>	'0201000',
		'enyöt'	=>	'020000',
		'enys'	=>	'00010',
		'enyt'	=>	'00002',
		'enytr'	=>	'000100',
		'enyút'	=>	'000100',
		'enyva'	=>	'000002',
		'enyvan'	=>	'0002000',
		'enyvel'	=>	'0002120',
		'enyvess'	=>	'00000010',
		'enzal'	=>	'002000',
		'enzim'	=>	'100000',
		'eo'	=>	'010',
		'eoáz'	=>	'00200',
		'eobo'	=>	'02000',
		'eode'	=>	'02000',
		'eodú'	=>	'00200',
		'eografi'	=>	'00020000',
		'eoka'	=>	'02000',
		'eokád'	=>	'002000',
		'eokár'	=>	'020000',
		'eoké'	=>	'02000',
		'eokl'	=>	'02120',
		'eokon'	=>	'020000',
		'eokos'	=>	'002000',
		'eokö'	=>	'00200',
		'eolaj'	=>	'002000',
		'eoló'	=>	'02000',
		'eoly'	=>	'00200',
		'eome'	=>	'02000',
		'eomé'	=>	'02000',
		'eomi'	=>	'02000',
		'eonal'	=>	'002100',
		'eonan'	=>	'002000',
		'eonany'	=>	'0001000',
		'eonatom'	=>	'00200000',
		'eonau'	=>	'002100',
		'eonál'	=>	'002100',
		'eonár'	=>	'002000',
		'eond'	=>	'00012',
		'eoner'	=>	'002000',
		'eonf'	=>	'00012',
		'eoniz'	=>	'002000',
		'eonö'	=>	'00200',
		'eontr'	=>	'000120',
		'eonú'	=>	'00210',
		'eonü'	=>	'00200',
		'eopa'	=>	'02000',
		'eope'	=>	'00200',
		'eopl'	=>	'02120',
		'eopro'	=>	'001000',
		'eora'	=>	'00212',
		'eorá'	=>	'00212',
		'eores'	=>	'002000',
		'eorés'	=>	'002100',
		'eorgia'	=>	'0000020',
		'eorgiáb'	=>	'02000200',
		'eoritá'	=>	'0000200',
		'eork'	=>	'00012',
		'eorö'	=>	'00200',
		'eors'	=>	'00012',
		'eoso'	=>	'00200',
		'eost'	=>	'02000',
		'eosza'	=>	'020000',
		'eoszf'	=>	'001020',
		'eotí'	=>	'02000',
		'eoto'	=>	'02000',
		'eotr'	=>	'00120',
		'eovi'	=>	'00200',
		'eó'	=>	'010',
		'eóad'	=>	'00020',
		'eóbö'	=>	'02000',
		'eóce'	=>	'00200',
		'eódá'	=>	'00200',
		'eófa'	=>	'02000',
		'eóhe'	=>	'02000',
		'eóje'	=>	'02000',
		'eókap'	=>	'020000',
		'eókép'	=>	'020000',
		'eókor'	=>	'020000',
		'eómi'	=>	'02000',
		'eómű'	=>	'02000',
		'eóné'	=>	'02000',
		'eóno'	=>	'00200',
		'eópr'	=>	'00100',
		'eórá'	=>	'00200',
		'eóre'	=>	'02000',
		'eósu'	=>	'02000',
		'eószo'	=>	'020000',
		'eóta'	=>	'02000',
		'eótá'	=>	'02000',
		'eóte'	=>	'02000',
		'eóté'	=>	'02000',
		'eóti'	=>	'02000',
		'eótí'	=>	'02000',
		'eótré'	=>	'001000',
		'eóvak'	=>	'002000',
		'eóve'	=>	'02000',
		'eóvé'	=>	'02000',
		'eóví'	=>	'02000',
		'eóvo'	=>	'00200',
		'eóvó'	=>	'00200',
		'eö'	=>	'010',
		'eöbö'	=>	'00200',
		'eödé'	=>	'00200',
		'eökö'	=>	'00200',
		'eöle'	=>	'00200',
		'eölé'	=>	'00200',
		'eöli'	=>	'00200',
		'eölö'	=>	'00200',
		'eölő'	=>	'00200',
		'eölü'	=>	'00200',
		'eömö'	=>	'00200',
		'eönö'	=>	'00200',
		'eörö'	=>	'00200',
		'eörü'	=>	'00200',
		'eöve'	=>	'00200',
		'eövi'	=>	'00200',
		'eövü'	=>	'00200',
		'eözö'	=>	'00200',
		'eő'	=>	'010',
		'eőre'	=>	'00200',
		'eőrö'	=>	'00200',
		'eőrü'	=>	'00200',
		'eősz'	=>	'00200',
		'epab'	=>	'02100',
		'epada'	=>	'021200',
		'epadá'	=>	'021200',
		'epadó'	=>	'021200',
		'epagy'	=>	'001200',
		'epaka'	=>	'021000',
		'epakk'	=>	'021000',
		'epakn'	=>	'021000',
		'epalak'	=>	'0012000',
		'epalap'	=>	'0012000',
		'epalj'	=>	'021000',
		'epalk'	=>	'021000',
		'epalom'	=>	'0002000',
		'epany'	=>	'021200',
		'eparán'	=>	'0002000',
		'epatró'	=>	'0010000',
		'epaut'	=>	'001000',
		'epazo'	=>	'001200',
		'epáb'	=>	'02100',
		'epág'	=>	'02120',
		'epállá'	=>	'0010000',
		'epára'	=>	'021200',
		'epás'	=>	'00020',
		'epása'	=>	'021000',
		'epáta'	=>	'001000',
		'epátc'	=>	'001000',
		'epáté'	=>	'021210',
		'epátf'	=>	'001000',
		'epátm'	=>	'021000',
		'epáto'	=>	'001210',
		'epátt'	=>	'001000',
		'epátü'	=>	'001000',
		'epátv'	=>	'021000',
		'epbl'	=>	'00100',
		'epbr'	=>	'00100',
		'epdr'	=>	'00100',
		'epedz'	=>	'021200',
		'epelemr'	=>	'00120000',
		'epelet'	=>	'0212000',
		'epellá'	=>	'0210000',
		'epelo'	=>	'021000',
		'epene'	=>	'021000',
		'eperal'	=>	'0002000',
		'eperec'	=>	'0002120',
		'eperev'	=>	'0002000',
		'eperin'	=>	'0002000',
		'eperül'	=>	'0002000',
		'epesti'	=>	'0210000',
		'epeszá'	=>	'0002000',
		'epeszmé'	=>	'02000000',
		'epex'	=>	'02100',
		'epéd'	=>	'12000',
		'epééb'	=>	'100000',
		'epééi'	=>	'100000',
		'epéén'	=>	'100000',
		'epég'	=>	'02100',
		'epéit'	=>	'120000',
		'epéj'	=>	'02000',
		'epékh'	=>	'001000',
		'epéle'	=>	'001000',
		'epélm'	=>	'001000',
		'epénk'	=>	'120000',
		'epfl'	=>	'00100',
		'epido'	=>	'001000',
		'epiko'	=>	'021200',
		'epind'	=>	'001000',
		'epinga'	=>	'0210000',
		'epirá'	=>	'021200',
		'epirt'	=>	'021000',
		'epism'	=>	'021000',
		'epiz'	=>	'02000',
		'epíg'	=>	'02100',
		'epíj'	=>	'02100',
		'epín'	=>	'02100',
		'epív'	=>	'02100',
		'epkl'	=>	'00100',
		'epkr'	=>	'00100',
		'eplag'	=>	'002000',
		'eplaká'	=>	'0120000',
		'eplan'	=>	'012000',
		'eplán'	=>	'012000',
		'epob'	=>	'02100',
		'epoch'	=>	'020000',
		'epokt'	=>	'001000',
		'epolv'	=>	'021000',
		'epope'	=>	'001000',
		'eporn'	=>	'021000',
		'eporsó'	=>	'0010000',
		'eposza'	=>	'1000000',
		'eposzá'	=>	'1000000',
		'eposztá'	=>	'00100000',
		'epöl'	=>	'02120',
		'epönt'	=>	'001000',
		'epös'	=>	'02100',
		'epöv'	=>	'02100',
		'epőri'	=>	'021000',
		'eppan'	=>	'002000',
		'eppát'	=>	'002000',
		'eppele'	=>	'0021200',
		'eppelh'	=>	'0021000',
		'epperó'	=>	'0001000',
		'eppó'	=>	'00002',
		'eppór'	=>	'002000',
		'eppö'	=>	'00200',
		'eppro'	=>	'001000',
		'eppró'	=>	'001000',
		'epret'	=>	'003000',
		'epréd'	=>	'012000',
		'eprin'	=>	'012000',
		'eproj'	=>	'010000',
		'eprot'	=>	'012000',
		'epsk'	=>	'00120',
		'epsp'	=>	'00100',
		'epst'	=>	'00100',
		'eptad'	=>	'002000',
		'eptaj'	=>	'002100',
		'eptív'	=>	'002120',
		'eptop'	=>	'002100',
		'epug'	=>	'02100',
		'eputa'	=>	'021200',
		'eputó'	=>	'021000',
		'epúj'	=>	'00100',
		'epút'	=>	'00100',
		'epüg'	=>	'02100',
		'epüt'	=>	'02100',
		'epüz'	=>	'02100',
		'epűz'	=>	'02100',
		'erabla'	=>	'0010000',
		'erabor'	=>	'0012000',
		'erabr'	=>	'021000',
		'erabs'	=>	'001000',
		'eradat'	=>	'0002000',
		'eradá'	=>	'021200',
		'eradm'	=>	'001000',
		'erado'	=>	'001200',
		'eradó'	=>	'021200',
		'eradr'	=>	'000100',
		'erage'	=>	'001200',
		'eragr'	=>	'001000',
		'eraja'	=>	'021200',
		'erajk'	=>	'021000',
		'erajtó'	=>	'0010000',
		'erakad'	=>	'0212000',
		'erakas'	=>	'0212000',
		'erakc'	=>	'021000',
		'erakti'	=>	'0210000',
		'erala'	=>	'001200',
		'eralg'	=>	'021000',
		'eralj'	=>	'021000',
		'eralk'	=>	'001000',
		'eralo'	=>	'021200',
		'erals'	=>	'001000',
		'eralt'	=>	'021000',
		'eralv'	=>	'001000',
		'eramb'	=>	'001000',
		'eramp'	=>	'001000',
		'erangy'	=>	'0010000',
		'erann'	=>	'001000',
		'eranya'	=>	'0012000',
		'erapp'	=>	'001000',
		'eraps'	=>	'001000',
		'eraro'	=>	'021200',
		'erasp'	=>	'021000',
		'eraszal'	=>	'00020120',
		'eraszav'	=>	'00020000',
		'eraszárn'	=>	'000200000',
		'eraszel'	=>	'00020000',
		'eraszép'	=>	'00020120',
		'eratk'	=>	'021000',
		'eratl'	=>	'021000',
		'eratr'	=>	'000120',
		'eratt'	=>	'001000',
		'eraut'	=>	'001000',
		'erazo'	=>	'021200',
		'erábr'	=>	'021000',
		'eráfé'	=>	'000200',
		'eráge'	=>	'001000',
		'erágú'	=>	'001200',
		'erágy'	=>	'021200',
		'erállá'	=>	'0010000',
		'erállé'	=>	'0010000',
		'erállo'	=>	'0010000',
		'erálló'	=>	'0010000',
		'erállv'	=>	'0010000',
		'erápo'	=>	'001000',
		'erárak'	=>	'0012000',
		'erárá'	=>	'001200',
		'erárb'	=>	'021000',
		'eráre'	=>	'001000',
		'eráré'	=>	'001000',
		'erárf'	=>	'001000',
		'erárk'	=>	'001000',
		'eráro'	=>	'021200',
		'erárr'	=>	'021000',
		'erárs'	=>	'001000',
		'eráru'	=>	'001200',
		'erárú'	=>	'001000',
		'erárv'	=>	'001000',
		'erásá'	=>	'001000',
		'erász'	=>	'021200',
		'eráte'	=>	'001212',
		'eráth'	=>	'021000',
		'eráti'	=>	'001200',
		'erátí'	=>	'021000',
		'erátj'	=>	'021000',
		'erátk'	=>	'021000',
		'erátl'	=>	'001000',
		'erátm'	=>	'021000',
		'erátn'	=>	'021000',
		'erátr'	=>	'021000',
		'erátt'	=>	'021000',
		'erátv'	=>	'021000',
		'erbina'	=>	'0001200',
		'ercal'	=>	'002120',
		'ercar'	=>	'002000',
		'ercár'	=>	'002100',
		'ercát'	=>	'002100',
		'ercell'	=>	'0001000',
		'ercho'	=>	'002300',
		'ercid'	=>	'002000',
		'ercina'	=>	'0021000',
		'erciná'	=>	'0021000',
		'ercipá'	=>	'0021200',
		'ercis'	=>	'002000',
		'erck'	=>	'00012',
		'erco'	=>	'00002',
		'ercö'	=>	'00200',
		'ercsad'	=>	'0020000',
		'ercsan'	=>	'0020100',
		'ercsál'	=>	'0000100',
		'ercú'	=>	'00200',
		'ercz'	=>	'00200',
		'erdej'	=>	'100000',
		'erdő'	=>	'10000',
		'ereá'	=>	'00002',
		'eredetű'	=>	'10000000',
		'eredén'	=>	'0200000',
		'eredm'	=>	'120000',
		'eree'	=>	'00002',
		'ereff'	=>	'001000',
		'eregál'	=>	'0002000',
		'eregel'	=>	'0002000',
		'ereger'	=>	'0212000',
		'ereig'	=>	'000020',
		'erején'	=>	'1200000',
		'erejér'	=>	'1200000',
		'erekel'	=>	'0002100',
		'erekeszű'	=>	'000012000',
		'erekéj'	=>	'0000120',
		'erekot'	=>	'0002000',
		'erekt'	=>	'000010',
		'erekús'	=>	'0002120',
		'ereleg'	=>	'0212000',
		'erelér'	=>	'0010000',
		'erellen'	=>	'02100000',
		'erelli'	=>	'0010000',
		'erelö'	=>	'021000',
		'erelr'	=>	'021000',
		'eremegy'	=>	'00001000',
		'erememb'	=>	'00021000',
		'eremérté'	=>	'000010000',
		'eremut'	=>	'0002100',
		'erenz'	=>	'021000',
		'ereogra'	=>	'00001000',
		'erepan'	=>	'0002000',
		'erepas'	=>	'0002000',
		'erepá'	=>	'000002',
		'erepál'	=>	'0002100',
		'erepesé'	=>	'00021200',
		'erepin'	=>	'0002000',
		'erepos'	=>	'0002000',
		'ererk'	=>	'001000',
		'erern'	=>	'001000',
		'ereró'	=>	'001000',
		'eresti'	=>	'0210000',
		'erestj'	=>	'0210000',
		'erestr'	=>	'0210000',
		'ereszí'	=>	'0002000',
		'ereszü'	=>	'0200000',
		'eretál'	=>	'0002000',
		'eretát'	=>	'0002000',
		'ereteg'	=>	'0002100',
		'ereterj'	=>	'00021000',
		'eretö'	=>	'000002',
		'erevés'	=>	'0012000',
		'erex'	=>	'02100',
		'erezete'	=>	'12000000',
		'erezőkh'	=>	'10000000',
		'erébe'	=>	'000002',
		'erébes'	=>	'0002000',
		'erége'	=>	'001200',
		'erégé'	=>	'001000',
		'eréjb'	=>	'021000',
		'eréjf'	=>	'001000',
		'eréjn'	=>	'021000',
		'eréjs'	=>	'021000',
		'eréka'	=>	'000212',
		'eréká'	=>	'000200',
		'erékol'	=>	'0002000',
		'erékö'	=>	'000210',
		'eréneke'	=>	'02000000',
		'eréneké'	=>	'02120000',
		'erépa'	=>	'000210',
		'erépá'	=>	'000200',
		'eréren'	=>	'0212000',
		'eréré'	=>	'021200',
		'eréri'	=>	'021200',
		'erésa'	=>	'000200',
		'eréselv'	=>	'00021000',
		'erésza'	=>	'0002000',
		'erészá'	=>	'0002000',
		'erészo'	=>	'0002000',
		'erészö'	=>	'0002000',
		'eréter'	=>	'0012000',
		'erétk'	=>	'021000',
		'erévek'	=>	'0212000',
		'eréven'	=>	'0200000',
		'eréves'	=>	'0212000',
		'erévet'	=>	'0212000',
		'erévén'	=>	'0212000',
		'erévét'	=>	'0012000',
		'erévf'	=>	'001000',
		'erévh'	=>	'001000',
		'erévi'	=>	'021200',
		'erévn'	=>	'021000',
		'erévr'	=>	'021000',
		'erévt'	=>	'001000',
		'erévv'	=>	'001000',
		'erfélév'	=>	'00002120',
		'erfl'	=>	'00100',
		'erfr'	=>	'00120',
		'ergl'	=>	'00100',
		'erideg'	=>	'0212000',
		'eridé'	=>	'020000',
		'erido'	=>	'021000',
		'eridu'	=>	'001000',
		'eriga'	=>	'000200',
		'erigá'	=>	'021200',
		'erikon'	=>	'0212000',
		'erimi'	=>	'021200',
		'erino'	=>	'000200',
		'erint'	=>	'000002',
		'erinteg'	=>	'02000000',
		'erintr'	=>	'0000100',
		'erion'	=>	'021200',
		'erios'	=>	'000200',
		'eripar'	=>	'0212000',
		'erira'	=>	'021000',
		'eriró'	=>	'001000',
		'erisk'	=>	'021000',
		'erism'	=>	'001000',
		'eriszo'	=>	'0002000',
		'erita'	=>	'021000',
		'erizé'	=>	'021200',
		'erizg'	=>	'021000',
		'eríg'	=>	'00100',
		'eríjá'	=>	'001000',
		'erír'	=>	'02100',
		'eríz'	=>	'02120',
		'erkr'	=>	'00120',
		'erkv'	=>	'00120',
		'ermeka'	=>	'0000212',
		'ermeká'	=>	'0000200',
		'ermekesz'	=>	'000020000',
		'ermeko'	=>	'0000200',
		'ermeköl'	=>	'00002000',
		'ermeszá'	=>	'00002010',
		'ermind'	=>	'0020000',
		'ermisi'	=>	'0001000',
		'ernala'	=>	'0001000',
		'ernékn'	=>	'0001000',
		'ernn'	=>	'00030',
		'ernód'	=>	'002120',
		'ernyő'	=>	'100000',
		'erokl'	=>	'001000',
		'erokm'	=>	'021000',
		'erolda'	=>	'0010000',
		'eroli'	=>	'021200',
		'eronal'	=>	'0002000',
		'erope'	=>	'001000',
		'eropt'	=>	'021000',
		'erorc'	=>	'001000',
		'erord'	=>	'001000',
		'erorm'	=>	'001000',
		'erorn'	=>	'001000',
		'eroro'	=>	'001200',
		'erors'	=>	'001000',
		'erorv'	=>	'021000',
		'eroszf'	=>	'0000020',
		'erove'	=>	'021200',
		'erovi'	=>	'021000',
		'eróc'	=>	'02100',
		'eródá'	=>	'001200',
		'erólo'	=>	'001000',
		'erórá'	=>	'001200',
		'eróri'	=>	'001000',
		'eröc'	=>	'02120',
		'erök'	=>	'00020',
		'erökl'	=>	'001000',
		'eröko'	=>	'001000',
		'erökö'	=>	'021000',
		'eröl'	=>	'02120',
		'erör'	=>	'02100',
		'erös'	=>	'02100',
		'eröt'	=>	'02100',
		'eröz'	=>	'02120',
		'erődd'	=>	'020000',
		'erőén'	=>	'000020',
		'erőlt'	=>	'100000',
		'erőmé'	=>	'120000',
		'erőmh'	=>	'100000',
		'erőnö'	=>	'120000',
		'erőö'	=>	'12000',
		'erőri'	=>	'021000',
		'erőrö'	=>	'001000',
		'erpl'	=>	'00120',
		'erps'	=>	'00120',
		'errév'	=>	'002000',
		'erry'	=>	'00100',
		'ersad'	=>	'002120',
		'ersalk'	=>	'0001000',
		'ersan'	=>	'002100',
		'ersat'	=>	'002000',
		'ersági'	=>	'0021200',
		'ersára'	=>	'0001000',
		'erseml'	=>	'0001000',
		'ersérte'	=>	'00200000',
		'ersérté'	=>	'00210000',
		'ersértő'	=>	'00210000',
		'ersid'	=>	'002000',
		'ersim'	=>	'002100',
		'ersin'	=>	'002120',
		'erská'	=>	'001000',
		'ersod'	=>	'002100',
		'ersol'	=>	'002100',
		'ersón'	=>	'002100',
		'erspor'	=>	'0010000',
		'ersrá'	=>	'001000',
		'erstra'	=>	'0010000',
		'ersut'	=>	'002000',
		'erszto'	=>	'0000200',
		'ertai'	=>	'002100',
		'ertáp'	=>	'000020',
		'ertápo'	=>	'0001000',
		'ertárad'	=>	'00000020',
		'ertárada'	=>	'000001000',
		'ertelké'	=>	'00210000',
		'ertestj'	=>	'00010000',
		'ertesze'	=>	'00010000',
		'ertéj'	=>	'002120',
		'ertékn'	=>	'0021000',
		'ertévén'	=>	'00210000',
		'ertévév'	=>	'00212000',
		'ertid'	=>	'002000',
		'ertim'	=>	'002120',
		'ertíz'	=>	'002100',
		'ertos'	=>	'002000',
		'ertórá'	=>	'0001000',
		'ertös'	=>	'002100',
		'ertöz'	=>	'002100',
		'ertran'	=>	'0012000',
		'ertrén'	=>	'0010000',
		'erts'	=>	'00010',
		'ertút'	=>	'002100',
		'erubi'	=>	'000002',
		'erup'	=>	'12000',
		'erura'	=>	'021200',
		'erurá'	=>	'001000',
		'eruru'	=>	'001000',
		'erusz'	=>	'001200',
		'erutá'	=>	'001200',
		'erúj'	=>	'02100',
		'erúr'	=>	'02100',
		'erús'	=>	'02120',
		'erútj'	=>	'001000',
		'erútl'	=>	'001000',
		'erúto'	=>	'001200',
		'erútr'	=>	'001000',
		'erüd'	=>	'02100',
		'erügg'	=>	'021000',
		'erügyb'	=>	'0010000',
		'erügyn'	=>	'0010000',
		'erügyr'	=>	'0010000',
		'erüled'	=>	'0210000',
		'erür'	=>	'02100',
		'erüs'	=>	'02100',
		'erüt'	=>	'02100',
		'erüv'	=>	'02120',
		'erüz'	=>	'02100',
		'erűz'	=>	'02120',
		'ervala'	=>	'0021000',
		'ervalt'	=>	'0021000',
		'ervan'	=>	'000020',
		'ervany'	=>	'0001000',
		'erváru'	=>	'0021200',
		'ervása'	=>	'0020000',
		'ervátk'	=>	'0021000',
		'ervelőké'	=>	'000120000',
		'ervereze'	=>	'002000000',
		'ervesze'	=>	'00212000',
		'ervék'	=>	'002000',
		'ervérte'	=>	'00200000',
		'ervérz'	=>	'0021000',
		'ervos'	=>	'002000',
		'ervös'	=>	'002000',
		'ervú'	=>	'00200',
		'erya'	=>	'00100',
		'esab'	=>	'02120',
		'esad'	=>	'02120',
		'esait'	=>	'200000',
		'esalja'	=>	'0210000',
		'esalm'	=>	'001000',
		'esan'	=>	'00020',
		'esany'	=>	'001000',
		'esap'	=>	'00020',
		'esapá'	=>	'001000',
		'esarc'	=>	'001000',
		'esass'	=>	'001000',
		'esasz'	=>	'001000',
		'esaty'	=>	'001200',
		'esau'	=>	'02100',
		'esábó'	=>	'200000',
		'eság'	=>	'02120',
		'esán'	=>	'20000',
		'esára'	=>	'001000',
		'esáru'	=>	'001200',
		'esát'	=>	'20000',
		'esbl'	=>	'00100',
		'esbr'	=>	'00100',
		'esch'	=>	'00200',
		'esdő'	=>	'10000',
		'esdró'	=>	'001000',
		'esedez'	=>	'1000000',
		'esefr'	=>	'000100',
		'esegye'	=>	'0002000',
		'eselm'	=>	'021000',
		'eseng'	=>	'020000',
		'esepri'	=>	'0010000',
		'eserd'	=>	'021000',
		'eseren'	=>	'0000002',
		'esettü'	=>	'1200000',
		'eségel'	=>	'0002100',
		'eséll'	=>	'100000',
		'esély'	=>	'100000',
		'esép'	=>	'02100',
		'esérc'	=>	'001000',
		'eséss'	=>	'000030',
		'esid'	=>	'02120',
		'esiket'	=>	'0000021',
		'esina'	=>	'021000',
		'esipa'	=>	'001200',
		'esisk'	=>	'021000',
		'esítőst'	=>	'10000000',
		'esízű'	=>	'001200',
		'eskat'	=>	'012000',
		'eskál'	=>	'012000',
		'eskic'	=>	'002000',
		'eskü'	=>	'10000',
		'eslat'	=>	'002000',
		'eslegel'	=>	'00000020',
		'esleto'	=>	'0000210',
		'eslin'	=>	'002000',
		'eslu'	=>	'01200',
		'esmac'	=>	'012000',
		'esná'	=>	'00002',
		'esoka'	=>	'200000',
		'esokbó'	=>	'2000000',
		'esokk'	=>	'200000',
		'esokr'	=>	'200000',
		'eson'	=>	'20000',
		'esop'	=>	'02100',
		'esosa'	=>	'200000',
		'esosz'	=>	'001000',
		'esott'	=>	'001000',
		'esór'	=>	'02120',
		'esőká'	=>	'000002',
		'esőz'	=>	'02000',
		'espan'	=>	'002000',
		'espec'	=>	'002000',
		'espl'	=>	'00120',
		'espó'	=>	'01200',
		'esrá'	=>	'01200',
		'esstá'	=>	'001000',
		'esszab'	=>	'0030000',
		'esszaga'	=>	'00001000',
		'esszar'	=>	'0000120',
		'esszenc'	=>	'10000000',
		'esszerű'	=>	'00300000',
		'esszélet'	=>	'000010000',
		'esszélt'	=>	'00001000',
		'esszint'	=>	'00001000',
		'esszok'	=>	'0000100',
		'esszö'	=>	'003000',
		'estab'	=>	'012000',
		'estaf'	=>	'002000',
		'estal'	=>	'002120',
		'estana'	=>	'0020000',
		'estany'	=>	'0021200',
		'estapolc'	=>	'000000001',
		'estara'	=>	'0021200',
		'estará'	=>	'0001000',
		'estat'	=>	'012000',
		'estaz'	=>	'002000',
		'estáp'	=>	'002120',
		'estáram'	=>	'00010000',
		'estári'	=>	'0021000',
		'estárn'	=>	'0021000',
		'estát'	=>	'002100',
		'esteko'	=>	'1000000',
		'estenz'	=>	'0020000',
		'estera'	=>	'0000210',
		'esteste'	=>	'00210000',
		'estesti'	=>	'00210000',
		'estéih'	=>	'1000000',
		'estéj'	=>	'100000',
		'estém'	=>	'100000',
		'esténk'	=>	'1000000',
		'estéri'	=>	'0021000',
		'estérr'	=>	'0021000',
		'estérte'	=>	'00200000',
		'estérü'	=>	'0021200',
		'estill'	=>	'0021000',
		'estina'	=>	'0021000',
		'estint'	=>	'0021000',
		'estip'	=>	'002000',
		'estisz'	=>	'0021000',
		'estiz'	=>	'002000',
		'estol'	=>	'002100',
		'estop'	=>	'012000',
		'estor'	=>	'000020',
		'estos'	=>	'002100',
		'estór'	=>	'002120',
		'estö'	=>	'00002',
		'estös'	=>	'002100',
		'estőrk'	=>	'0021000',
		'estőrö'	=>	'0021000',
		'estőrr'	=>	'0021000',
		'estőrt'	=>	'0021000',
		'estun'	=>	'002000',
		'estú'	=>	'00200',
		'estür'	=>	'002000',
		'estüz'	=>	'002120',
		'esud'	=>	'02100',
		'esur'	=>	'00020',
		'esura'	=>	'001000',
		'esurá'	=>	'001000',
		'esutá'	=>	'021000',
		'esúrb'	=>	'001000',
		'esúré'	=>	'001000',
		'esúrh'	=>	'001000',
		'esúri'	=>	'001000',
		'esúrk'	=>	'001000',
		'esúrn'	=>	'001000',
		'esúrp'	=>	'001000',
		'esúrr'	=>	'001000',
		'esúrt'	=>	'001000',
		'esút'	=>	'02120',
		'esüz'	=>	'02100',
		'eszac'	=>	'020020',
		'eszacé'	=>	'0001000',
		'eszad'	=>	'020000',
		'eszae'	=>	'020120',
		'eszajt'	=>	'0001000',
		'eszaké'	=>	'0000210',
		'eszakn'	=>	'0001000',
		'eszalj'	=>	'0001000',
		'eszany'	=>	'0001000',
		'eszara'	=>	'0201000',
		'eszau'	=>	'020100',
		'eszáru'	=>	'0200000',
		'eszás'	=>	'020100',
		'eszát'	=>	'000020',
		'eszáts'	=>	'0001000',
		'eszece'	=>	'0200000',
		'eszegér'	=>	'00000100',
		'eszegy'	=>	'0201000',
		'eszekés'	=>	'00010000',
		'eszela'	=>	'0201000',
		'eszemel'	=>	'02012000',
		'eszenc'	=>	'1000000',
		'eszerd'	=>	'0201000',
		'eszev'	=>	'020000',
		'eszex'	=>	'020100',
		'eszédo'	=>	'0000200',
		'eszépí'	=>	'0001200',
		'eszéri'	=>	'0201200',
		'eszg'	=>	'00012',
		'eszipa'	=>	'0001200',
		'eszisk'	=>	'0001000',
		'eszist'	=>	'0001000',
		'eszita'	=>	'0201000',
		'esziz'	=>	'020100',
		'eszkel'	=>	'0000020',
		'eszméb'	=>	'1000000',
		'eszméi'	=>	'1000000',
		'eszméj'	=>	'1000000',
		'eszmék'	=>	'1000000',
		'eszmén'	=>	'1000000',
		'eszmét'	=>	'1000000',
		'eszmév'	=>	'1000000',
		'eszold'	=>	'0201000',
		'eszöl'	=>	'000020',
		'eszölő'	=>	'0001000',
		'eszön'	=>	'020100',
		'eszsá'	=>	'003000',
		'eszse'	=>	'000300',
		'esztab'	=>	'0002000',
		'esztad'	=>	'0002000',
		'esztagá'	=>	'00021200',
		'esztaj'	=>	'0002000',
		'esztala'	=>	'00021000',
		'esztalj'	=>	'00021000',
		'esztap'	=>	'0002100',
		'esztárf'	=>	'00001000',
		'esztárn'	=>	'00021000',
		'esztev'	=>	'0002120',
		'esztéss'	=>	'00000030',
		'esztéti'	=>	'10000000',
		'esztid'	=>	'0002000',
		'esztol'	=>	'0002100',
		'esztór'	=>	'0002120',
		'esztö'	=>	'000002',
		'esztöl'	=>	'0002100',
		'esztut'	=>	'0002000',
		'esztút'	=>	'0002100',
		'esztüz'	=>	'0002000',
		'eszüg'	=>	'020120',
		'eszüz'	=>	'020120',
		'eszűs'	=>	'120000',
		'eszűt'	=>	'120000',
		'eszz'	=>	'00010',
		'etabr'	=>	'001000',
		'etac'	=>	'00020',
		'etacé'	=>	'001000',
		'etad'	=>	'02120',
		'etagá'	=>	'021200',
		'etagy'	=>	'021200',
		'etaj'	=>	'02120',
		'etakas'	=>	'0012000',
		'etakc'	=>	'021000',
		'etakó'	=>	'001000',
		'etaku'	=>	'021000',
		'etalag'	=>	'0002000',
		'etalak'	=>	'0002000',
		'etalás'	=>	'0012000',
		'etalb'	=>	'021000',
		'etald'	=>	'001000',
		'etalf'	=>	'001000',
		'etalg'	=>	'021000',
		'etalj'	=>	'001000',
		'etalk'	=>	'021000',
		'etalo'	=>	'120000',
		'etané'	=>	'000210',
		'etanyag'	=>	'00020000',
		'etapr'	=>	'020000',
		'etara'	=>	'001200',
		'etará'	=>	'021000',
		'etarc'	=>	'021000',
		'etarz'	=>	'021000',
		'etasp'	=>	'001000',
		'etass'	=>	'021000',
		'etaszá'	=>	'0012000',
		'etatk'	=>	'021000',
		'etato'	=>	'021200',
		'etaty'	=>	'021000',
		'etau'	=>	'02120',
		'etaz'	=>	'02120',
		'etábr'	=>	'001000',
		'etács'	=>	'021200',
		'etáf'	=>	'02100',
		'etága'	=>	'021200',
		'etágb'	=>	'001000',
		'etágg'	=>	'001000',
		'etágn'	=>	'001000',
		'etágr'	=>	'001000',
		'etáh'	=>	'02100',
		'etáju'	=>	'001000',
		'etáll'	=>	'001000',
		'etálm'	=>	'021000',
		'etárad'	=>	'0212000',
		'etáre'	=>	'001000',
		'etárny'	=>	'0010000',
		'etáron'	=>	'0002000',
		'etárú'	=>	'001200',
		'etáta'	=>	'021200',
		'etátad'	=>	'0000120',
		'etáth'	=>	'021000',
		'etátl'	=>	'001000',
		'etáts'	=>	'001000',
		'etátu'	=>	'001000',
		'etátv'	=>	'021000',
		'etbl'	=>	'00100',
		'etbr'	=>	'00100',
		'etch'	=>	'00200',
		'etdr'	=>	'00100',
		'etea'	=>	'00002',
		'etegá'	=>	'000010',
		'etegel'	=>	'0002120',
		'etegó'	=>	'000200',
		'etekei'	=>	'0212000',
		'etekek'	=>	'0212000',
		'etekék'	=>	'0002100',
		'etekénk'	=>	'02120000',
		'etekés'	=>	'0212000',
		'etelc'	=>	'021000',
		'eteldo'	=>	'0010000',
		'etelege'	=>	'00020000',
		'etelegy'	=>	'00020000',
		'etelej'	=>	'0012000',
		'etelemz'	=>	'02000000',
		'etelesé'	=>	'02120000',
		'eteléré'	=>	'02100000',
		'eteléss'	=>	'00000010',
		'etelha'	=>	'0210000',
		'etelhá'	=>	'0210000',
		'etelhel'	=>	'00100000',
		'eteliga'	=>	'02100000',
		'eteljá'	=>	'0210000',
		'etellá'	=>	'0210000',
		'etellen'	=>	'02000000',
		'etelme'	=>	'0210000',
		'etelméne'	=>	'021000000',
		'etelmét'	=>	'02100000',
		'etelnev'	=>	'02100000',
		'etelnö'	=>	'0200000',
		'etelny'	=>	'0210000',
		'etelo'	=>	'021200',
		'etelőad'	=>	'00020000',
		'etelszá'	=>	'00100000',
		'eteltá'	=>	'0210000',
		'etelter'	=>	'02100000',
		'eteltérí'	=>	'001000000',
		'etelvá'	=>	'0210000',
		'etelvez'	=>	'02100000',
		'etelvo'	=>	'0210000',
		'etelz'	=>	'021000',
		'etemal'	=>	'0002000',
		'etember'	=>	'02100000',
		'etemel'	=>	'0002000',
		'etenz'	=>	'021000',
		'etep'	=>	'00012',
		'eterd'	=>	'021000',
		'eterén'	=>	'0002000',
		'etero'	=>	'000001',
		'eterő'	=>	'021000',
		'etesa'	=>	'000210',
		'eteszté'	=>	'02100000',
		'eteteté'	=>	'00020000',
		'etetésen'	=>	'120000000',
		'etetésn'	=>	'12000000',
		'etetos'	=>	'0002000',
		'etetö'	=>	'000210',
		'etetra'	=>	'0001000',
		'etezr'	=>	'021000',
		'etéé'	=>	'00002',
		'etégb'	=>	'001000',
		'etégé'	=>	'001200',
		'etégg'	=>	'001000',
		'etégi'	=>	'021200',
		'etégn'	=>	'001000',
		'etéka'	=>	'000212',
		'etéká'	=>	'000212',
		'etékel'	=>	'0002120',
		'etékí'	=>	'001000',
		'etékos'	=>	'0002000',
		'etélm'	=>	'021000',
		'etérc'	=>	'021000',
		'etérén'	=>	'0212000',
		'etérér'	=>	'0212000',
		'etérét'	=>	'0212000',
		'etérie'	=>	'0002000',
		'etérke'	=>	'0210000',
		'etérm'	=>	'021000',
		'etérős'	=>	'0212000',
		'etértel'	=>	'02100000',
		'etérz'	=>	'021000',
		'etésa'	=>	'000200',
		'etéség'	=>	'0002100',
		'etéso'	=>	'000200',
		'etéss'	=>	'000030',
		'etésza'	=>	'0002000',
		'etészl'	=>	'0010000',
		'etészr'	=>	'0010000',
		'etéta'	=>	'000212',
		'etétere'	=>	'00020000',
		'etétra'	=>	'0001000',
		'etéven'	=>	'0212000',
		'etévet'	=>	'0212000',
		'etévéh'	=>	'0212000',
		'etévéig'	=>	'00020000',
		'etévéne'	=>	'02120000',
		'etévétő'	=>	'00020000',
		'etévh'	=>	'001000',
		'etévt'	=>	'001000',
		'etfr'	=>	'00100',
		'etgl'	=>	'00100',
		'etgr'	=>	'00100',
		'ethei'	=>	'002000',
		'etid'	=>	'00020',
		'etide'	=>	'001000',
		'etido'	=>	'001000',
		'etig'	=>	'00020',
		'etige'	=>	'021000',
		'etigé'	=>	'021000',
		'etigy'	=>	'021000',
		'etill'	=>	'020000',
		'etima'	=>	'001200',
		'etimá'	=>	'021000',
		'etimi'	=>	'021200',
		'etimo'	=>	'120000',
		'etimp'	=>	'021000',
		'etina'	=>	'000001',
		'etind'	=>	'021000',
		'etinf'	=>	'021000',
		'etins'	=>	'021000',
		'etinte'	=>	'0210000',
		'etinv'	=>	'021000',
		'etinz'	=>	'020000',
		'etipa'	=>	'021200',
		'etira'	=>	'021200',
		'etiri'	=>	'021000',
		'etiro'	=>	'021000',
		'etiró'	=>	'021000',
		'etism'	=>	'021000',
		'etiste'	=>	'0210000',
		'etisza'	=>	'0212000',
		'etiszon'	=>	'02120000',
		'etita'	=>	'021200',
		'etizé'	=>	'001000',
		'etizg'	=>	'021000',
		'etizo'	=>	'021000',
		'etizz'	=>	'021000',
		'etíg'	=>	'02100',
		'etíj'	=>	'02100',
		'etín'	=>	'02100',
		'etír'	=>	'02120',
		'etív'	=>	'02120',
		'etíz'	=>	'02100',
		'etkl'	=>	'00100',
		'etkr'	=>	'00120',
		'etkv'	=>	'00100',
		'etnol'	=>	'100000',
		'etoda'	=>	'001000',
		'etokm'	=>	'021000',
		'etokt'	=>	'021000',
		'etoml'	=>	'021000',
		'etona'	=>	'000212',
		'etonál'	=>	'0002000',
		'etonis'	=>	'0002100',
		'etonn'	=>	'000010',
		'etopc'	=>	'001000',
		'etope'	=>	'001000',
		'etopt'	=>	'021000',
		'etor'	=>	'20000',
		'etord'	=>	'001000',
		'etorg'	=>	'021000',
		'etorm'	=>	'021000',
		'etorom'	=>	'0010000',
		'etors'	=>	'021000',
		'etorv'	=>	'021000',
		'etost'	=>	'001000',
		'etoszf'	=>	'0000020',
		'etoszl'	=>	'0010000',
		'etoszt'	=>	'0010000',
		'etou'	=>	'02100',
		'etóc'	=>	'02120',
		'etóra'	=>	'001200',
		'etórá'	=>	'001200',
		'etóv'	=>	'02120',
		'etöko'	=>	'001000',
		'etöl'	=>	'00020',
		'etölé'	=>	'001000',
		'etölő'	=>	'021000',
		'etön'	=>	'02100',
		'etös'	=>	'02100',
		'etöt'	=>	'02100',
		'etövü'	=>	'001200',
		'etöz'	=>	'02120',
		'etőa'	=>	'00002',
		'etőel'	=>	'000020',
		'etőéb'	=>	'000020',
		'etőfélév'	=>	'000002120',
		'etőrb'	=>	'021000',
		'etőrc'	=>	'001000',
		'etőréh'	=>	'0012000',
		'etőrk'	=>	'001000',
		'etőrl'	=>	'001000',
		'etőrn'	=>	'021000',
		'etőrök'	=>	'0002000',
		'etőrp'	=>	'001000',
		'etőrr'	=>	'021000',
		'etőrs'	=>	'021000',
		'etőrü'	=>	'001200',
		'etősp'	=>	'000120',
		'etpl'	=>	'00100',
		'etpr'	=>	'00100',
		'etps'	=>	'00100',
		'etrap'	=>	'010000',
		'etrau'	=>	'010000',
		'etrág'	=>	'012000',
		'etréf'	=>	'010000',
		'etril'	=>	'012000',
		'etsk'	=>	'00100',
		'etsn'	=>	'00100',
		'etsp'	=>	'00100',
		'etst'	=>	'00100',
		'ettad'	=>	'003000',
		'ettai'	=>	'000002',
		'ettanó'	=>	'0000212',
		'ettelem'	=>	'00200000',
		'etting'	=>	'0021000',
		'ettír'	=>	'002000',
		'ettrá'	=>	'001200',
		'ettri'	=>	'001000',
		'ettyá'	=>	'000012',
		'etug'	=>	'02100',
		'etuna'	=>	'001000',
		'etund'	=>	'001000',
		'etura'	=>	'001200',
		'etusz'	=>	'000200',
		'etutá'	=>	'001000',
		'etutó'	=>	'001000',
		'etutu'	=>	'001000',
		'etúj'	=>	'02100',
		'etúri'	=>	'021200',
		'etút'	=>	'02100',
		'etüd'	=>	'02100',
		'etüg'	=>	'02100',
		'etüld'	=>	'021000',
		'etüt'	=>	'02100',
		'etüv'	=>	'02120',
		'etüzem'	=>	'0012000',
		'etya'	=>	'00300',
		'eu'	=>	'010',
		'eubo'	=>	'00200',
		'euga'	=>	'00200',
		'eukh'	=>	'00120',
		'eumal'	=>	'002000',
		'eume'	=>	'00210',
		'eumim'	=>	'002000',
		'eumip'	=>	'002120',
		'eumis'	=>	'002000',
		'eumiz'	=>	'002100',
		'eumí'	=>	'00200',
		'eumór'	=>	'002000',
		'eumő'	=>	'00200',
		'eump'	=>	'00012',
		'eumü'	=>	'00200',
		'euna'	=>	'00200',
		'euná'	=>	'00200',
		'euni'	=>	'00200',
		'euno'	=>	'00200',
		'eunó'	=>	'00200',
		'eurá'	=>	'00200',
		'euráz'	=>	'000100',
		'eurig'	=>	'002000',
		'eurt'	=>	'02000',
		'euszí'	=>	'002000',
		'eutai'	=>	'020000',
		'eutal'	=>	'002000',
		'eutan'	=>	'020000',
		'eutaz'	=>	'002000',
		'eutái'	=>	'020000',
		'eutájá'	=>	'0200000',
		'eutáka'	=>	'0200000',
		'eutákk'	=>	'0200000',
		'eutákná'	=>	'02000000',
		'eutákr'	=>	'0200000',
		'eutánk'	=>	'0200000',
		'eutár'	=>	'020000',
		'eutó'	=>	'00200',
		'euts'	=>	'02000',
		'euzs'	=>	'00200',
		'eú'	=>	'010',
		'eújí'	=>	'00200',
		'eúsz'	=>	'00200',
		'eúti'	=>	'00200',
		'eúto'	=>	'00200',
		'eü'	=>	'010',
		'eüdü'	=>	'00200',
		'eüge'	=>	'00200',
		'eügy'	=>	'00200',
		'eüle'	=>	'00200',
		'eülé'	=>	'00200',
		'eüli'	=>	'00200',
		'eülö'	=>	'00200',
		'eülő'	=>	'00200',
		'eülü'	=>	'00200',
		'eüre'	=>	'00200',
		'eürí'	=>	'00200',
		'eürü'	=>	'00200',
		'eüsz'	=>	'00200',
		'eüte'	=>	'00200',
		'eütő'	=>	'00200',
		'eütü'	=>	'00200',
		'eüve'	=>	'00200',
		'eüvö'	=>	'00200',
		'eüze'	=>	'00200',
		'eű'	=>	'010',
		'eűri'	=>	'00200',
		'eűze'	=>	'00200',
		'eűzé'	=>	'00200',
		'eűzi'	=>	'00200',
		'eűzö'	=>	'00200',
		'eűző'	=>	'00200',
		'eváral'	=>	'0002100',
		'eveszö'	=>	'0002000',
		'evélá'	=>	'000200',
		'evélel'	=>	'0002120',
		'evényel'	=>	'00020000',
		'evéremb'	=>	'00021000',
		'evérö'	=>	'000200',
		'evéso'	=>	'000200',
		'evésza'	=>	'0002000',
		'evészö'	=>	'0002000',
		'evízióét'	=>	'000002000',
		'exab'	=>	'00100',
		'exal'	=>	'00100',
		'exap'	=>	'00100',
		'exáb'	=>	'00100',
		'exár'	=>	'00120',
		'exát'	=>	'02100',
		'exbl'	=>	'00100',
		'exbr'	=>	'00100',
		'exdr'	=>	'00100',
		'exeg'	=>	'02000',
		'exelm'	=>	'021000',
		'exelvá'	=>	'0210000',
		'exer'	=>	'02100',
		'exék'	=>	'02100',
		'exél'	=>	'02100',
		'exép'	=>	'02100',
		'exidő'	=>	'001000',
		'exigé'	=>	'021000',
		'exinf'	=>	'001000',
		'exing'	=>	'021000',
		'exint'	=>	'021000',
		'exizz'	=>	'001000',
		'exíj'	=>	'02100',
		'exír'	=>	'02100',
		'exob'	=>	'02100',
		'exop'	=>	'00100',
		'exön'	=>	'00100',
		'exör'	=>	'00100',
		'exös'	=>	'00100',
		'expan'	=>	'100000',
		'exsk'	=>	'00100',
		'exsp'	=>	'00100',
		'exst'	=>	'00100',
		'exúj'	=>	'00100',
		'exüg'	=>	'02100',
		'exüv'	=>	'02100',
		'exüz'	=>	'02100',
		'ezac'	=>	'00020',
		'ezacé'	=>	'001000',
		'ezad'	=>	'02120',
		'ezaf'	=>	'02100',
		'ezajt'	=>	'001000',
		'ezal'	=>	'02120',
		'ezan'	=>	'02120',
		'ezarz'	=>	'001000',
		'ezas'	=>	'02100',
		'ezaut'	=>	'001000',
		'ezáll'	=>	'001000',
		'ezáma'	=>	'000200',
		'ezárb'	=>	'001000',
		'ezárr'	=>	'001000',
		'ezárú'	=>	'001200',
		'ezát'	=>	'02100',
		'ezbl'	=>	'00100',
		'ezdál'	=>	'002000',
		'ezegy'	=>	'001200',
		'ezekék'	=>	'0012000',
		'ezela'	=>	'021000',
		'ezeleme'	=>	'02120000',
		'ezelér'	=>	'0210000',
		'ezelm'	=>	'021000',
		'ezelö'	=>	'021010',
		'ezemel'	=>	'0212000',
		'ezente'	=>	'0000212',
		'ezera'	=>	'000210',
		'ezerá'	=>	'000200',
		'ezered'	=>	'0002000',
		'ezerel'	=>	'0002100',
		'ezerem'	=>	'0002100',
		'ezeres'	=>	'0002100',
		'ezero'	=>	'000210',
		'ezerő'	=>	'001000',
		'ezeste'	=>	'0010000',
		'ezesz'	=>	'021200',
		'ezeta'	=>	'000212',
		'ezetá'	=>	'000210',
		'ezeteg'	=>	'0002100',
		'ezetel'	=>	'0002120',
		'ezetesz'	=>	'00021000',
		'ezeto'	=>	'000210',
		'ezetu'	=>	'000200',
		'ezég'	=>	'02100',
		'ezéj'	=>	'02120',
		'ezéká'	=>	'000200',
		'ezéko'	=>	'000210',
		'ezél'	=>	'02100',
		'ezéremb'	=>	'00001000',
		'ezérett'	=>	'00020000',
		'ezéru'	=>	'000200',
		'ezésa'	=>	'000200',
		'ezéskész'	=>	'000000001',
		'ezéte'	=>	'021200',
		'ezfr'	=>	'00100',
		'ezgr'	=>	'00100',
		'ezido'	=>	'001200',
		'ezig'	=>	'00020',
		'ezigé'	=>	'021000',
		'eziko'	=>	'021200',
		'ezill'	=>	'021000',
		'ezimp'	=>	'001000',
		'eziná'	=>	'001000',
		'ezind'	=>	'001000',
		'ezinf'	=>	'001000',
		'ezint'	=>	'001000',
		'ezio'	=>	'00020',
		'ezion'	=>	'001000',
		'ezip'	=>	'02120',
		'ezir'	=>	'00120',
		'eziség'	=>	'0000020',
		'eziségé'	=>	'00021000',
		'ezism'	=>	'021000',
		'ezita'	=>	'000200',
		'ezív'	=>	'02120',
		'ezkr'	=>	'00120',
		'ezkupac'	=>	'00000001',
		'ezkv'	=>	'00100',
		'ezob'	=>	'02100',
		'ezold'	=>	'001000',
		'ezonár'	=>	'0002000',
		'ezonn'	=>	'000030',
		'ezopt'	=>	'001000',
		'ezox'	=>	'02100',
		'ezól'	=>	'02120',
		'ezór'	=>	'02120',
		'ezót'	=>	'00120',
		'ezöb'	=>	'00120',
		'ezös'	=>	'00100',
		'ezöv'	=>	'00120',
		'ezőel'	=>	'000020',
		'ezőri'	=>	'021200',
		'ezőrl'	=>	'001000',
		'ezőrs'	=>	'021000',
		'ezőrü'	=>	'001200',
		'ezőrz'	=>	'001000',
		'ezősorra'	=>	'000010000',
		'ezpl'	=>	'00100',
		'ezpr'	=>	'00120',
		'ezrede'	=>	'1000000',
		'ezreds'	=>	'1000000',
		'ezrel'	=>	'100000',
		'ezrem'	=>	'100000',
		'ezresn'	=>	'1000000',
		'ezrű'	=>	'10000',
		'ezsaj'	=>	'003000',
		'ezsap'	=>	'003000',
		'ezsát'	=>	'003000',
		'ezsáv'	=>	'003000',
		'ezsé'	=>	'02300',
		'ezsió'	=>	'000002',
		'ezsl'	=>	'00300',
		'ezsor'	=>	'003000',
		'ezsp'	=>	'00320',
		'ezsta'	=>	'003200',
		'ezstr'	=>	'003000',
		'ezsü'	=>	'02300',
		'ezsz'	=>	'00300',
		'eztr'	=>	'00120',
		'ezur'	=>	'00120',
		'ezut'	=>	'00100',
		'ezúj'	=>	'00100',
		'ezút'	=>	'00120',
		'ezüg'	=>	'02100',
		'ezüs'	=>	'12000',
		'ezüt'	=>	'02100',
		'ezüz'	=>	'02120',
		'éa'	=>	'010',
		'éada'	=>	'00200',
		'éadá'	=>	'00200',
		'éado'	=>	'00200',
		'éadó'	=>	'00200',
		'éaga'	=>	'00200',
		'éagi'	=>	'00200',
		'éajá'	=>	'00200',
		'éaka'	=>	'00200',
		'éala'	=>	'00200',
		'éale'	=>	'00210',
		'éana'	=>	'00200',
		'éany'	=>	'00200',
		'éaré'	=>	'00200',
		'éari'	=>	'00200',
		'éaro'	=>	'00200',
		'éauk'	=>	'00200',
		'éá'	=>	'010',
		'éáfá'	=>	'00200',
		'éágy'	=>	'00200',
		'éáju'	=>	'00200',
		'éára'	=>	'00200',
		'éáro'	=>	'00200',
		'éáru'	=>	'00200',
		'éárú'	=>	'00200',
		'ébag'	=>	'02100',
		'ébaj'	=>	'02120',
		'ébak'	=>	'02120',
		'ébal'	=>	'02120',
		'éban'	=>	'00020',
		'ébany'	=>	'021000',
		'ébav'	=>	'02120',
		'ébál'	=>	'00100',
		'ébár'	=>	'00020',
		'ébbá'	=>	'00210',
		'ébeszű'	=>	'0010000',
		'ébék'	=>	'02120',
		'ébél'	=>	'02100',
		'ébép'	=>	'02100',
		'ébié'	=>	'00002',
		'ébisk'	=>	'001000',
		'ébiva'	=>	'001200',
		'ébíz'	=>	'00100',
		'ébkr'	=>	'00100',
		'ébpl'	=>	'00100',
		'ébpr'	=>	'00100',
		'ébres'	=>	'100000',
		'ébug'	=>	'02100',
		'ébüg'	=>	'00100',
		'écad'	=>	'00120',
		'écaj'	=>	'00100',
		'écak'	=>	'00120',
		'écal'	=>	'00120',
		'écan'	=>	'00120',
		'écál'	=>	'00100',
		'écár'	=>	'00100',
		'écelem'	=>	'0212000',
		'écelv'	=>	'021000',
		'écember'	=>	'02100000',
		'écemel'	=>	'0212000',
		'écgr'	=>	'00100',
		'écha'	=>	'00300',
		'échá'	=>	'00300',
		'échí'	=>	'00300',
		'écho'	=>	'00300',
		'écid'	=>	'02120',
		'écil'	=>	'02100',
		'écima'	=>	'001000',
		'écob'	=>	'00100',
		'écos'	=>	'00100',
		'écőr'	=>	'00100',
		'écpr'	=>	'00100',
		'écsab'	=>	'003000',
		'écsol'	=>	'000100',
		'écsz'	=>	'00300',
		'écut'	=>	'02120',
		'écül'	=>	'02100',
		'éczs'	=>	'00300',
		'édab'	=>	'02100',
		'édac'	=>	'02120',
		'édad'	=>	'02120',
		'édag'	=>	'02120',
		'édaj'	=>	'02120',
		'édakc'	=>	'001000',
		'édakt'	=>	'001000',
		'édaku'	=>	'001200',
		'édalk'	=>	'001000',
		'édan'	=>	'02120',
		'édapa'	=>	'001000',
		'édapá'	=>	'001200',
		'édarc'	=>	'021000',
		'édasp'	=>	'001000',
		'édass'	=>	'001000',
		'édati'	=>	'001200',
		'édatt'	=>	'001000',
		'édág'	=>	'02100',
		'édáp'	=>	'00100',
		'éddr'	=>	'00100',
		'édeg'	=>	'02120',
		'édej'	=>	'02100',
		'édekétő'	=>	'00020000',
		'édela'	=>	'021210',
		'édelk'	=>	'021000',
		'édell'	=>	'021000',
		'édelo'	=>	'021000',
		'édember'	=>	'00100000',
		'édeml'	=>	'021000',
		'édenz'	=>	'021000',
		'édep'	=>	'02100',
		'éderd'	=>	'001000',
		'éderei'	=>	'0200000',
		'éderem'	=>	'0200000',
		'éderg'	=>	'020000',
		'éderl'	=>	'020000',
		'éderné'	=>	'0200000',
		'éderő'	=>	'021000',
		'éderrá'	=>	'0200000',
		'éderrő'	=>	'0200000',
		'éders'	=>	'020000',
		'édertő'	=>	'0200000',
		'édesa'	=>	'100000',
		'édesem'	=>	'0200000',
		'édesg'	=>	'100000',
		'édesí'	=>	'120000',
		'édég'	=>	'02100',
		'édéj'	=>	'02120',
		'édékb'	=>	'021000',
		'édéké'	=>	'021200',
		'édékk'	=>	'021000',
		'édél'	=>	'00020',
		'édéle'	=>	'021000',
		'édélm'	=>	'021000',
		'édép'	=>	'02100',
		'édéri'	=>	'021200',
		'édérs'	=>	'021000',
		'édérte'	=>	'0210000',
		'édértő'	=>	'0210000',
		'édérv'	=>	'021000',
		'édérz'	=>	'021000',
		'édfr'	=>	'00100',
		'édiad'	=>	'000200',
		'édiaka'	=>	'0002000',
		'édial'	=>	'000200',
		'édiar'	=>	'000200',
		'édias'	=>	'000210',
		'édiasz'	=>	'0000002',
		'édid'	=>	'02120',
		'édig'	=>	'00020',
		'édiga'	=>	'021000',
		'édige'	=>	'021000',
		'édigé'	=>	'021000',
		'édiko'	=>	'001200',
		'édill'	=>	'001000',
		'édim'	=>	'02120',
		'édina'	=>	'001200',
		'édind'	=>	'001000',
		'édini'	=>	'021000',
		'édins'	=>	'001000',
		'édint'	=>	'021000',
		'édip'	=>	'02120',
		'édiro'	=>	'021000',
		'édiz'	=>	'02120',
		'édín'	=>	'02100',
		'édír'	=>	'02100',
		'édív'	=>	'00100',
		'édkl'	=>	'00100',
		'édokta'	=>	'0010000',
		'édop'	=>	'02100',
		'édor'	=>	'02100',
		'édosz'	=>	'021000',
		'édott'	=>	'001000',
		'édór'	=>	'00120',
		'édöl'	=>	'00100',
		'édön'	=>	'00100',
		'édör'	=>	'02120',
		'édöt'	=>	'00100',
		'édöv'	=>	'00100',
		'édöz'	=>	'00100',
		'édőrm'	=>	'021000',
		'édőrn'	=>	'021000',
		'édős'	=>	'00002',
		'édősp'	=>	'000100',
		'édpl'	=>	'00100',
		'édpr'	=>	'00100',
		'édram'	=>	'012000',
		'édraz'	=>	'002000',
		'édrám'	=>	'012000',
		'édsk'	=>	'00100',
		'édsp'	=>	'00100',
		'édsr'	=>	'00100',
		'édst'	=>	'00100',
		'édtr'	=>	'00120',
		'édud'	=>	'02100',
		'éduj'	=>	'00100',
		'édura'	=>	'001000',
		'édut'	=>	'02120',
		'édúj'	=>	'02100',
		'édúr'	=>	'00100',
		'édút'	=>	'00120',
		'édüd'	=>	'02100',
		'édüg'	=>	'02100',
		'édüt'	=>	'02100',
		'édüz'	=>	'02100',
		'édza'	=>	'00300',
		'édzá'	=>	'00300',
		'édze'	=>	'00300',
		'édzó'	=>	'00300',
		'édzü'	=>	'00300',
		'ée'	=>	'010',
		'éebé'	=>	'00200',
		'éela'	=>	'00200',
		'éele'	=>	'00200',
		'éelő'	=>	'00200',
		'éeme'	=>	'00200',
		'éepi'	=>	'00200',
		'éerő'	=>	'00200',
		'éese'	=>	'00200',
		'éesé'	=>	'00200',
		'éesi'	=>	'00200',
		'éeső'	=>	'00200',
		'éesza'	=>	'002012',
		'éeszá'	=>	'002010',
		'éeszel'	=>	'0020000',
		'éeszép'	=>	'0020000',
		'éeszir'	=>	'0020000',
		'éeszis'	=>	'0020000',
		'éeszt'	=>	'000002',
		'éesztr'	=>	'0000100',
		'éeuf'	=>	'00200',
		'éevé'	=>	'00200',
		'éevő'	=>	'00200',
		'éé'	=>	'010',
		'éége'	=>	'00200',
		'ééle'	=>	'00200',
		'éépí'	=>	'00200',
		'ééra'	=>	'00200',
		'ééte'	=>	'00200',
		'éfai'	=>	'00100',
		'éfajtó'	=>	'0010000',
		'éfing'	=>	'001000',
		'éfis'	=>	'02100',
		'éfkl'	=>	'00100',
		'éfos'	=>	'02100',
		'égabl'	=>	'001000',
		'égabr'	=>	'001000',
		'égad'	=>	'00120',
		'égaka'	=>	'001000',
		'égakk'	=>	'001000',
		'égakn'	=>	'001000',
		'égalj'	=>	'001000',
		'égam'	=>	'00100',
		'égany'	=>	'001200',
		'égap'	=>	'00120',
		'égar'	=>	'02120',
		'égaut'	=>	'001000',
		'égav'	=>	'00120',
		'égaz'	=>	'00020',
		'égág'	=>	'02120',
		'égál'	=>	'02100',
		'égáp'	=>	'00100',
		'égárt'	=>	'001000',
		'égátad'	=>	'0000120',
		'égátá'	=>	'001000',
		'égáte'	=>	'001212',
		'égátf'	=>	'001000',
		'égátj'	=>	'001000',
		'égátm'	=>	'001000',
		'égáts'	=>	'001000',
		'égátt'	=>	'001000',
		'égátv'	=>	'001000',
		'égbl'	=>	'00100',
		'égbr'	=>	'00100',
		'égdr'	=>	'00120',
		'égece'	=>	'001000',
		'égedén'	=>	'0200000',
		'égedz'	=>	'021000',
		'égege'	=>	'001200',
		'égej'	=>	'02100',
		'égekés'	=>	'0212000',
		'égela'	=>	'021000',
		'égelb'	=>	'021000',
		'égeleg'	=>	'0002000',
		'égelek'	=>	'0020000',
		'égelemb'	=>	'00020000',
		'égeleme'	=>	'02020000',
		'égelemn'	=>	'00020000',
		'égelemt'	=>	'00020000',
		'égelér'	=>	'0210000',
		'égelf'	=>	'021000',
		'égelha'	=>	'0210000',
		'égelhá'	=>	'0010000',
		'égelin'	=>	'0002000',
		'égelis'	=>	'0210000',
		'égeljá'	=>	'0210000',
		'égelk'	=>	'021000',
		'égellá'	=>	'0210000',
		'égellen'	=>	'02100000',
		'égelm'	=>	'021000',
		'égelnö'	=>	'0200000',
		'égelny'	=>	'0010000',
		'égelö'	=>	'021000',
		'égelőa'	=>	'0212000',
		'égelőm'	=>	'0002000',
		'égelőn'	=>	'0212000',
		'égelőt'	=>	'0012000',
		'égelp'	=>	'021000',
		'égelr'	=>	'021000',
		'égelsa'	=>	'0210000',
		'égelszí'	=>	'02100000',
		'égelta'	=>	'0010000',
		'égeltá'	=>	'0210000',
		'égelvá'	=>	'0210000',
		'égelz'	=>	'021000',
		'égenc'	=>	'021000',
		'égene'	=>	'021200',
		'égeng'	=>	'021000',
		'égep'	=>	'00010',
		'égepi'	=>	'001000',
		'égerál'	=>	'0002000',
		'égerede'	=>	'02100000',
		'égerel'	=>	'0002100',
		'égeri'	=>	'000002',
		'égerim'	=>	'0002000',
		'égerin'	=>	'0002000',
		'égeró'	=>	'021000',
		'égerő'	=>	'001000',
		'égerül'	=>	'0002000',
		'égesd'	=>	'120000',
		'égessz'	=>	'0210000',
		'égesze'	=>	'0002000',
		'égeszk'	=>	'0210000',
		'égeszt'	=>	'0210000',
		'égetj'	=>	'120000',
		'égetőh'	=>	'1200000',
		'égetőn'	=>	'1200000',
		'égetőt'	=>	'1200000',
		'égeva'	=>	'001000',
		'égeve'	=>	'001200',
		'égevé'	=>	'001200',
		'égevo'	=>	'001000',
		'égex'	=>	'02100',
		'égég'	=>	'02120',
		'égél'	=>	'02120',
		'égéneke'	=>	'02120000',
		'égéneké'	=>	'02120000',
		'égénekk'	=>	'02000000',
		'égénekn'	=>	'02120000',
		'égépí'	=>	'001000',
		'égépü'	=>	'021000',
		'égéret'	=>	'0012000',
		'égérez'	=>	'0212000',
		'égérh'	=>	'021000',
		'égéri'	=>	'021200',
		'égérl'	=>	'001000',
		'égérm'	=>	'001000',
		'égérők'	=>	'0012000',
		'égért'	=>	'000002',
		'égérte'	=>	'0010000',
		'égérté'	=>	'0010000',
		'égésé'	=>	'120000',
		'égésn'	=>	'120000',
		'égést'	=>	'020000',
		'égéva'	=>	'021000',
		'égfl'	=>	'00100',
		'égfr'	=>	'00100',
		'éggl'	=>	'00120',
		'éggr'	=>	'00120',
		'éggyo'	=>	'003000',
		'éghes'	=>	'100000',
		'éghü'	=>	'10000',
		'égias'	=>	'000200',
		'égiden'	=>	'0012000',
		'égig'	=>	'00020',
		'égigap'	=>	'0000100',
		'égigas'	=>	'0000100',
		'égigaz'	=>	'0010000',
		'égigá'	=>	'000010',
		'égill'	=>	'020000',
		'égimá'	=>	'021000',
		'égina'	=>	'001000',
		'éginf'	=>	'001000',
		'éging'	=>	'021000',
		'éginj'	=>	'021000',
		'égins'	=>	'001000',
		'égint'	=>	'021000',
		'égira'	=>	'021000',
		'égiro'	=>	'001000',
		'égita'	=>	'021200',
		'égiva'	=>	'021000',
		'égizésn'	=>	'02120000',
		'égizg'	=>	'021000',
		'égíg'	=>	'00100',
		'égíj'	=>	'00100',
		'égín'	=>	'00100',
		'égír'	=>	'00100',
		'égív'	=>	'00100',
		'égíz'	=>	'00100',
		'égkia'	=>	'000002',
		'égkl'	=>	'00100',
		'égkr'	=>	'00100',
		'égkv'	=>	'00100',
		'égnék'	=>	'100000',
		'égnén'	=>	'100000',
		'égnét'	=>	'100000',
		'égni'	=>	'10000',
		'égob'	=>	'02100',
		'égoki'	=>	'001000',
		'égola'	=>	'001000',
		'égold'	=>	'001000',
		'égoli'	=>	'001000',
		'égoll'	=>	'001000',
		'égolt'	=>	'001000',
		'égop'	=>	'02100',
		'égor'	=>	'02120',
		'égos'	=>	'02100',
		'égott'	=>	'001000',
		'égov'	=>	'02120',
		'égox'	=>	'02100',
		'égóc'	=>	'02100',
		'égór'	=>	'00120',
		'égöb'	=>	'00100',
		'égöd'	=>	'02120',
		'égöl'	=>	'02120',
		'égön'	=>	'00100',
		'égör'	=>	'00020',
		'égörö'	=>	'001000',
		'égös'	=>	'02100',
		'égöt'	=>	'02100',
		'égöv'	=>	'02000',
		'égöz'	=>	'02120',
		'égők'	=>	'10000',
		'égőr'	=>	'02000',
		'égőri'	=>	'001000',
		'égőrö'	=>	'001000',
		'égősi'	=>	'001000',
		'égőt'	=>	'10000',
		'égőv'	=>	'10000',
		'égpl'	=>	'00100',
		'égpr'	=>	'00100',
		'égps'	=>	'00100',
		'égsk'	=>	'00100',
		'égsp'	=>	'00100',
		'égst'	=>	'00120',
		'égsz'	=>	'00002',
		'égszáraz'	=>	'000000001',
		'égtr'	=>	'00100',
		'égud'	=>	'02100',
		'égun'	=>	'00100',
		'égut'	=>	'02120',
		'égúg'	=>	'00100',
		'égúj'	=>	'00100',
		'égúr'	=>	'00100',
		'égús'	=>	'00100',
		'égút'	=>	'00120',
		'égüd'	=>	'02100',
		'égüg'	=>	'02120',
		'égür'	=>	'02100',
		'égüs'	=>	'02100',
		'égüt'	=>	'02100',
		'égüv'	=>	'02100',
		'égüz'	=>	'02100',
		'égűz'	=>	'02100',
		'égvezé'	=>	'0000002',
		'égya'	=>	'02012',
		'égyál'	=>	'020000',
		'égyedé'	=>	'0200000',
		'égyeg'	=>	'020100',
		'égyelek'	=>	'02000000',
		'égyeleme'	=>	'020000000',
		'égyem'	=>	'000020',
		'égyemb'	=>	'0201000',
		'égyeme'	=>	'0201000',
		'égyeseké'	=>	'000020000',
		'égyesz'	=>	'0201000',
		'égyev'	=>	'020120',
		'égyeze'	=>	'0200000',
		'égyék'	=>	'020100',
		'égyél'	=>	'020000',
		'égyéne'	=>	'0001200',
		'égyi'	=>	'00002',
		'égyin'	=>	'020000',
		'égyir'	=>	'020000',
		'égyis'	=>	'020100',
		'égyiv'	=>	'020100',
		'égyí'	=>	'02000',
		'égyo'	=>	'00002',
		'égyok'	=>	'000100',
		'égyos'	=>	'000100',
		'égyot'	=>	'000100',
		'égyó'	=>	'02012',
		'égyöl'	=>	'000120',
		'égyu'	=>	'02012',
		'égyú'	=>	'02010',
		'égyül'	=>	'020120',
		'égyür'	=>	'020000',
		'éhal'	=>	'00020',
		'éhala'	=>	'001000',
		'éhany'	=>	'001000',
		'éharc'	=>	'021000',
		'éhart'	=>	'001000',
		'éhau'	=>	'02100',
		'éhav'	=>	'02120',
		'éhedé'	=>	'001000',
		'éheg'	=>	'20000',
		'éhegé'	=>	'001200',
		'éhele'	=>	'001200',
		'éhelé'	=>	'001000',
		'éhelf'	=>	'001000',
		'éhelh'	=>	'001000',
		'éhell'	=>	'001000',
		'éhelő'	=>	'001200',
		'éhelt'	=>	'001000',
		'éhelv'	=>	'001000',
		'éhenz'	=>	'021000',
		'éher'	=>	'02120',
		'éhesem'	=>	'0210000',
		'éheto'	=>	'021200',
		'éhevé'	=>	'001000',
		'éhex'	=>	'02100',
		'éheze'	=>	'020000',
		'éhezé'	=>	'120000',
		'éhező'	=>	'100000',
		'éhezt'	=>	'120000',
		'éhezü'	=>	'020000',
		'éhezv'	=>	'020000',
		'éhég'	=>	'00100',
		'éhék'	=>	'00120',
		'éhél'	=>	'02120',
		'éhép'	=>	'02100',
		'éhérb'	=>	'001000',
		'éhfl'	=>	'00100',
		'éhic'	=>	'02100',
		'éhif'	=>	'02100',
		'éhin'	=>	'02120',
		'éhip'	=>	'02100',
		'éhir'	=>	'00020',
		'éhira'	=>	'001000',
		'éhirt'	=>	'001000',
		'éhit'	=>	'02000',
		'éhita'	=>	'001000',
		'éhiz'	=>	'02100',
		'éhín'	=>	'00100',
		'éhkr'	=>	'00100',
		'éhod'	=>	'02100',
		'éhold'	=>	'001000',
		'éhöb'	=>	'00100',
		'éhöd'	=>	'00120',
		'éhös'	=>	'00100',
		'éhpl'	=>	'00100',
		'éhpr'	=>	'00100',
		'éhsé'	=>	'10000',
		'éhsk'	=>	'00100',
		'éhsp'	=>	'00100',
		'éhud'	=>	'00100',
		'éhúj'	=>	'00100',
		'éhüg'	=>	'02100',
		'éhür'	=>	'02100',
		'éhüt'	=>	'02100',
		'éhűr'	=>	'02100',
		'éi'	=>	'010',
		'éidő'	=>	'00200',
		'éiga'	=>	'00200',
		'éigé'	=>	'00200',
		'éimá'	=>	'00200',
		'éipa'	=>	'00200',
		'éirá'	=>	'00200',
		'éiro'	=>	'00200',
		'éita'	=>	'00200',
		'éivás'	=>	'002000',
		'éivó'	=>	'00200',
		'éí'	=>	'010',
		'éírá'	=>	'00200',
		'éíro'	=>	'00200',
		'éíró'	=>	'00200',
		'éívá'	=>	'00200',
		'éíze'	=>	'00200',
		'éjab'	=>	'02100',
		'éjada'	=>	'021200',
		'éjal'	=>	'02120',
		'éjany'	=>	'021000',
		'éjar'	=>	'02120',
		'éjál'	=>	'02120',
		'éjáp'	=>	'02100',
		'éjárn'	=>	'021000',
		'éjeb'	=>	'00100',
		'éjelem'	=>	'0212000',
		'éjelh'	=>	'021000',
		'éjelm'	=>	'001000',
		'éjelv'	=>	'021000',
		'éjemb'	=>	'001000',
		'éjesz'	=>	'021000',
		'éjev'	=>	'02120',
		'éjég'	=>	'02120',
		'éjéj'	=>	'00020',
		'éjék'	=>	'02120',
		'éjél'	=>	'02100',
		'éjép'	=>	'02100',
		'éjéte'	=>	'021200',
		'éjil'	=>	'02100',
		'éjim'	=>	'02100',
		'éjin'	=>	'00120',
		'éjip'	=>	'02100',
		'éjiz'	=>	'02100',
		'éjol'	=>	'02120',
		'éjór'	=>	'00120',
		'éjöd'	=>	'00100',
		'éjön'	=>	'00100',
		'éjör'	=>	'00100',
		'éjpl'	=>	'00100',
		'éjpr'	=>	'00100',
		'éjsp'	=>	'00100',
		'éjsz'	=>	'00100',
		'éjud'	=>	'00100',
		'éjur'	=>	'00120',
		'éjut'	=>	'00020',
		'éjuta'	=>	'001000',
		'éjúr'	=>	'02100',
		'éjül'	=>	'02000',
		'éjűz'	=>	'02100',
		'ékabl'	=>	'001000',
		'ékacé'	=>	'001200',
		'ékadat'	=>	'0002000',
		'ékadá'	=>	'001200',
		'ékadó'	=>	'001200',
		'ékajt'	=>	'001000',
		'ékakad'	=>	'0002000',
		'ékaká'	=>	'021000',
		'ékakk'	=>	'021000',
		'ékakn'	=>	'021000',
		'ékalag'	=>	'0002000',
		'ékalak'	=>	'0012000',
		'ékalg'	=>	'021000',
		'ékalj'	=>	'021000',
		'ékalko'	=>	'0010000',
		'ékall'	=>	'021000',
		'ékalt'	=>	'021000',
		'ékalu'	=>	'001000',
		'ékamb'	=>	'001000',
		'ékang'	=>	'001000',
		'ékapp'	=>	'001000',
		'ékará'	=>	'021200',
		'ékarc'	=>	'001000',
		'ékaré'	=>	'001200',
		'ékarz'	=>	'001000',
		'ékasp'	=>	'021000',
		'ékass'	=>	'021000',
		'ékaszt'	=>	'0010000',
		'ékatom'	=>	'0012000',
		'ékave'	=>	'001200',
		'ékazo'	=>	'001000',
		'ékál'	=>	'02100',
		'ékáp'	=>	'02120',
		'ékárad'	=>	'0010000',
		'ékárak'	=>	'0212000',
		'ékárá'	=>	'021200',
		'ékárb'	=>	'001000',
		'ékáré'	=>	'021200',
		'ékárh'	=>	'001000',
		'ékárk'	=>	'021000',
		'ékárn'	=>	'021000',
		'ékáro'	=>	'021200',
		'ékárr'	=>	'001000',
		'ékáru'	=>	'021200',
		'ékárú'	=>	'001200',
		'ékásó'	=>	'001000',
		'ékásv'	=>	'001000',
		'ékáta'	=>	'021000',
		'ékátá'	=>	'021000',
		'ékátc'	=>	'021000',
		'ékátd'	=>	'021000',
		'ékáte'	=>	'021000',
		'ékáté'	=>	'001000',
		'ékátf'	=>	'021000',
		'ékáth'	=>	'021000',
		'ékáti'	=>	'021000',
		'ékátí'	=>	'021000',
		'ékátk'	=>	'021000',
		'ékátl'	=>	'021000',
		'ékátm'	=>	'021000',
		'ékátö'	=>	'021000',
		'ékátr'	=>	'021000',
		'ékáts'	=>	'021000',
		'ékátt'	=>	'001000',
		'ékátu'	=>	'021000',
		'ékátv'	=>	'021000',
		'ékáz'	=>	'02100',
		'ékbl'	=>	'00100',
		'ékbr'	=>	'00100',
		'ékdr'	=>	'00100',
		'ékegé'	=>	'001000',
		'ékekés'	=>	'0212000',
		'ékelb'	=>	'021000',
		'ékeleg'	=>	'0212000',
		'ékeleme'	=>	'00120000',
		'ékelemé'	=>	'00120000',
		'ékelemm'	=>	'00020000',
		'ékelér'	=>	'0012000',
		'ékelf'	=>	'021000',
		'ékelk'	=>	'021000',
		'ékellá'	=>	'0200000',
		'ékellen'	=>	'02100000',
		'ékelm'	=>	'021000',
		'ékelo'	=>	'021000',
		'ékelp'	=>	'001000',
		'ékelta'	=>	'0210000',
		'ékeltá'	=>	'0010000',
		'ékeltér'	=>	'02100000',
		'ékelül'	=>	'0010000',
		'ékelvi'	=>	'0010000',
		'ékemel'	=>	'0212000',
		'ékeng'	=>	'001000',
		'ékep'	=>	'00012',
		'ékerd'	=>	'021000',
		'ékerec'	=>	'0212000',
		'ékered'	=>	'0200000',
		'ékerei'	=>	'0212000',
		'ékerez'	=>	'0212000',
		'ékerg'	=>	'021000',
		'ékeró'	=>	'021200',
		'ékerő'	=>	'021200',
		'ékesete'	=>	'02120000',
		'ékeszk'	=>	'0010000',
		'ékeszl'	=>	'0001000',
		'éketet'	=>	'0212000',
		'éketik'	=>	'0002000',
		'ékevés'	=>	'0002000',
		'ékevo'	=>	'021200',
		'ékex'	=>	'02100',
		'ékég'	=>	'02100',
		'ékéjs'	=>	'001000',
		'éképí'	=>	'021000',
		'éképü'	=>	'021000',
		'ékérc'	=>	'021000',
		'ékérem'	=>	'0212000',
		'ékéren'	=>	'0212000',
		'ékéré'	=>	'021200',
		'ékéri'	=>	'021200',
		'ékérk'	=>	'021000',
		'ékérl'	=>	'021000',
		'ékérm'	=>	'021000',
		'ékérői'	=>	'0212000',
		'ékérők'	=>	'0212000',
		'ékérp'	=>	'021000',
		'ékérr'	=>	'021000',
		'ékérte'	=>	'0210000',
		'ékérté'	=>	'0210000',
		'ékértő'	=>	'0210000',
		'ékérü'	=>	'021200',
		'ékérv'	=>	'021000',
		'ékérz'	=>	'021000',
		'ékés'	=>	'20000',
		'ékéss'	=>	'000030',
		'ékészl'	=>	'0010000',
		'ékétk'	=>	'021000',
		'ékétv'	=>	'001000',
		'ékévek'	=>	'0212000',
		'ékévet'	=>	'0012000',
		'ékévéb'	=>	'0212000',
		'ékévén'	=>	'0212000',
		'ékévét'	=>	'0212000',
		'ékévév'	=>	'0212000',
		'ékévi'	=>	'021000',
		'ékfj'	=>	'00100',
		'ékfl'	=>	'00100',
		'ékfr'	=>	'00100',
		'ékgr'	=>	'00120',
		'ékia'	=>	'00002',
		'ékid'	=>	'00020',
		'ékide'	=>	'021000',
		'ékidé'	=>	'001000',
		'ékido'	=>	'001000',
		'ékidő'	=>	'021000',
		'ékig'	=>	'00020',
		'ékiga'	=>	'001000',
		'ékige'	=>	'001000',
		'ékigé'	=>	'021000',
		'ékiko'	=>	'001200',
		'ékikr'	=>	'001000',
		'ékill'	=>	'021000',
		'ékima'	=>	'021000',
		'ékimá'	=>	'021000',
		'ékimi'	=>	'001000',
		'ékind'	=>	'001000',
		'éking'	=>	'021000',
		'ékinh'	=>	'021000',
		'ékinn'	=>	'021000',
		'ékint'	=>	'021000',
		'ékinv'	=>	'021000',
		'ékio'	=>	'02120',
		'ékip'	=>	'02120',
		'ékirán'	=>	'0200000',
		'ékiro'	=>	'021000',
		'ékisk'	=>	'021000',
		'ékism'	=>	'001000',
		'ékist'	=>	'021000',
		'ékisza'	=>	'0002000',
		'ékita'	=>	'021200',
		'ékiz'	=>	'02120',
		'ékíj'	=>	'00100',
		'ékír'	=>	'02100',
		'ékív'	=>	'02120',
		'ékíz'	=>	'02120',
		'ékkál'	=>	'002000',
		'ékkl'	=>	'00120',
		'ékkr'	=>	'00120',
		'ékkv'	=>	'00100',
		'éklu'	=>	'01200',
		'ékob'	=>	'02100',
		'ékof'	=>	'00100',
		'ékoká'	=>	'021000',
		'ékolaj'	=>	'0212000',
		'ékolda'	=>	'0210000',
		'ékoltás'	=>	'00100000',
		'ékoml'	=>	'021000',
		'ékopc'	=>	'001000',
		'ékope'	=>	'001200',
		'ékorg'	=>	'021000',
		'ékorm'	=>	'021000',
		'ékorr'	=>	'021000',
		'ékorz'	=>	'021000',
		'ékosto'	=>	'0210000',
		'ékott'	=>	'021000',
		'ékou'	=>	'02100',
		'ékox'	=>	'02100',
		'ékóc'	=>	'02100',
		'ékól'	=>	'00120',
		'ékón'	=>	'02100',
		'ékóra'	=>	'001200',
		'ékórá'	=>	'001200',
		'ékóv'	=>	'02120',
		'ékóz'	=>	'02120',
		'éköb'	=>	'02120',
		'éköl'	=>	'00020',
		'éköm'	=>	'02100',
		'ékönt'	=>	'001000',
		'ékörö'	=>	'001200',
		'ékös'	=>	'02100',
		'ékötl'	=>	'021000',
		'ékövö'	=>	'001200',
		'éközö'	=>	'001200',
		'ékőr'	=>	'00120',
		'ékős'	=>	'00100',
		'ékpl'	=>	'00100',
		'ékpr'	=>	'00100',
		'ékps'	=>	'00100',
		'ékreá'	=>	'012000',
		'ékrim'	=>	'002000',
		'éksh'	=>	'00100',
		'éksk'	=>	'00100',
		'éksl'	=>	'00100',
		'éksp'	=>	'00100',
		'éksr'	=>	'00120',
		'ékst'	=>	'00100',
		'éksz'	=>	'00102',
		'éktr'	=>	'00120',
		'ékud'	=>	'02100',
		'ékug'	=>	'02100',
		'ékuj'	=>	'02100',
		'ékund'	=>	'021000',
		'ékuni'	=>	'020000',
		'ékutac'	=>	'0212000',
		'ékutak'	=>	'0212000',
		'ékutal'	=>	'0012000',
		'ékutas'	=>	'0212000',
		'ékutá'	=>	'021000',
		'ékúj'	=>	'02100',
		'ékúrn'	=>	'001000',
		'ékút'	=>	'00020',
		'ékúth'	=>	'021000',
		'ékúti'	=>	'021000',
		'ékútj'	=>	'021000',
		'ékútn'	=>	'021000',
		'ékúto'	=>	'021000',
		'ékútr'	=>	'021000',
		'ékútt'	=>	'021000',
		'ékútv'	=>	'020000',
		'éküd'	=>	'02100',
		'éküg'	=>	'02100',
		'éküle'	=>	'001200',
		'ékünn'	=>	'021000',
		'ékür'	=>	'02100',
		'éküs'	=>	'02120',
		'éküt'	=>	'02120',
		'éküv'	=>	'02120',
		'éküz'	=>	'02100',
		'ékűrb'	=>	'001000',
		'ékűrö'	=>	'001200',
		'ékűz'	=>	'02100',
		'élabl'	=>	'001000',
		'élabr'	=>	'001000',
		'élacé'	=>	'001200',
		'élada'	=>	'001200',
		'élado'	=>	'001200',
		'éladó'	=>	'001200',
		'élag'	=>	'00120',
		'élaj'	=>	'02120',
		'élaka'	=>	'001200',
		'élakc'	=>	'001000',
		'élakn'	=>	'001000',
		'élako'	=>	'001000',
		'élal'	=>	'02120',
		'élamc'	=>	'001000',
		'élame'	=>	'001200',
		'éland'	=>	'001000',
		'élapó'	=>	'001000',
		'élarm'	=>	'001000',
		'élasp'	=>	'001000',
		'élass'	=>	'001000',
		'élasz'	=>	'001000',
		'élato'	=>	'001200',
		'élau'	=>	'00120',
		'élava'	=>	'021200',
		'élazo'	=>	'001000',
		'élábr'	=>	'001000',
		'élág'	=>	'02120',
		'élál'	=>	'00020',
		'éláll'	=>	'021000',
		'élálmá'	=>	'0210000',
		'élálmot'	=>	'02000000',
		'élálo'	=>	'021000',
		'éláp'	=>	'02120',
		'élárá'	=>	'001200',
		'élárb'	=>	'001000',
		'élárf'	=>	'001000',
		'élári'	=>	'001200',
		'élárk'	=>	'001000',
		'élárn'	=>	'021000',
		'éláro'	=>	'001200',
		'élárr'	=>	'001000',
		'éláru'	=>	'001200',
		'élárú'	=>	'001200',
		'élárv'	=>	'001000',
		'éláta'	=>	'001012',
		'élátc'	=>	'001000',
		'éláte'	=>	'000012',
		'élátf'	=>	'021000',
		'éláth'	=>	'001000',
		'éláti'	=>	'001200',
		'élátj'	=>	'001000',
		'élátm'	=>	'021000',
		'élátok'	=>	'0002000',
		'élátr'	=>	'001000',
		'éláts'	=>	'001000',
		'élátt'	=>	'001000',
		'élátü'	=>	'001000',
		'élátv'	=>	'001000',
		'élbl'	=>	'00100',
		'élbr'	=>	'00100',
		'élcsz'	=>	'000300',
		'éldr'	=>	'00120',
		'éleb'	=>	'00020',
		'élebé'	=>	'021000',
		'éledz'	=>	'021200',
		'éleff'	=>	'001000',
		'élegé'	=>	'001200',
		'élegész'	=>	'00000001',
		'élegy'	=>	'001200',
		'éleka'	=>	'000212',
		'éleká'	=>	'000210',
		'élekel'	=>	'0002120',
		'élekem'	=>	'0002000',
		'éleker'	=>	'0002000',
		'élekes'	=>	'0002100',
		'élekés'	=>	'0212000',
		'élekis'	=>	'0002000',
		'élekol'	=>	'0002000',
		'élekon'	=>	'0002100',
		'élekot'	=>	'0002000',
		'élekó'	=>	'000200',
		'élekö'	=>	'000212',
		'éleku'	=>	'000200',
		'élekú'	=>	'000210',
		'élela'	=>	'001210',
		'éleleg'	=>	'0212000',
		'élelf'	=>	'001000',
		'élelo'	=>	'021000',
		'élelőe'	=>	'0210000',
		'élelőj'	=>	'0002000',
		'élelők'	=>	'0212000',
		'élelőt'	=>	'0002000',
		'élemb'	=>	'020000',
		'élemi'	=>	'021200',
		'élemp'	=>	'021000',
		'élen'	=>	'00020',
		'élene'	=>	'021000',
		'éleng'	=>	'021000',
		'élenj'	=>	'020000',
		'élenn'	=>	'021000',
		'éleny'	=>	'021000',
		'élenz'	=>	'021000',
		'éleró'	=>	'001200',
		'élesés'	=>	'0212000',
		'éleszü'	=>	'0002000',
		'éleszű'	=>	'0002000',
		'életa'	=>	'000212',
		'életá'	=>	'000212',
		'életeg'	=>	'0002100',
		'életel'	=>	'0002120',
		'életer'	=>	'0002120',
		'életesz'	=>	'00020000',
		'életék'	=>	'0002100',
		'életél'	=>	'0002000',
		'életérd'	=>	'00021000',
		'életérü'	=>	'00020000',
		'életés'	=>	'0002000',
		'életéte'	=>	'00020000',
		'életété'	=>	'00020000',
		'életétn'	=>	'00021000',
		'életéved'	=>	'000212000',
		'életévén'	=>	'000212000',
		'életik'	=>	'0002000',
		'életisz'	=>	'00020000',
		'életo'	=>	'000210',
		'életó'	=>	'000200',
		'életö'	=>	'000002',
		'életöl'	=>	'0002100',
		'életör'	=>	'0002100',
		'életu'	=>	'000212',
		'életüz'	=>	'0002000',
		'életűz'	=>	'0002120',
		'élevő'	=>	'021200',
		'élex'	=>	'02100',
		'éléd'	=>	'00020',
		'éléde'	=>	'021000',
		'élég'	=>	'02120',
		'éléhes'	=>	'0012000',
		'élékek'	=>	'0010000',
		'élékí'	=>	'001000',
		'élél'	=>	'02120',
		'élépü'	=>	'001000',
		'élérb'	=>	'021000',
		'élérd'	=>	'021000',
		'élérem'	=>	'0012000',
		'éléret'	=>	'0212000',
		'éléré'	=>	'021200',
		'élérm'	=>	'021000',
		'élérn'	=>	'021000',
		'élérte'	=>	'0210000',
		'élérté'	=>	'0210000',
		'élérü'	=>	'021200',
		'élérz'	=>	'021000',
		'élésa'	=>	'000200',
		'éléss'	=>	'000030',
		'éléte'	=>	'021200',
		'élétk'	=>	'021000',
		'élévá'	=>	'021210',
		'éléves'	=>	'0212000',
		'élévet'	=>	'0212000',
		'élévez'	=>	'0210000',
		'élévén'	=>	'0012000',
		'élévér'	=>	'0212000',
		'élévi'	=>	'021200',
		'élévü'	=>	'001000',
		'élfl'	=>	'00120',
		'élfr'	=>	'00120',
		'élgr'	=>	'00120',
		'élid'	=>	'02120',
		'éliga'	=>	'021000',
		'éligá'	=>	'000200',
		'élige'	=>	'021200',
		'éligé'	=>	'021000',
		'éliko'	=>	'021200',
		'élill'	=>	'001000',
		'élim'	=>	'00020',
		'élima'	=>	'001000',
		'élimi'	=>	'001000',
		'élimp'	=>	'001000',
		'élind'	=>	'021000',
		'élinf'	=>	'021000',
		'éling'	=>	'021000',
		'élint'	=>	'001000',
		'élinv'	=>	'001000',
		'élinz'	=>	'001000',
		'élion'	=>	'001200',
		'élip'	=>	'02120',
		'élirá'	=>	'021000',
		'éliro'	=>	'001000',
		'élism'	=>	'020000',
		'élisp'	=>	'000120',
		'éliszá'	=>	'0212000',
		'éliva'	=>	'001200',
		'élivá'	=>	'021200',
		'élizg'	=>	'001000',
		'élizm'	=>	'021000',
		'élizo'	=>	'021200',
		'élíj'	=>	'00100',
		'élír'	=>	'00120',
		'élív'	=>	'00120',
		'élíz'	=>	'00100',
		'élkl'	=>	'00120',
		'élkr'	=>	'00120',
		'éllyu'	=>	'003000',
		'élmat'	=>	'002000',
		'élmén'	=>	'100000',
		'élob'	=>	'02100',
		'élokm'	=>	'021000',
		'éloks'	=>	'021000',
		'élol'	=>	'02100',
		'élor'	=>	'02120',
		'éloss'	=>	'000030',
		'élosz'	=>	'021000',
		'élóc'	=>	'02100',
		'élón'	=>	'00120',
		'élór'	=>	'02120',
		'élöb'	=>	'00100',
		'élöc'	=>	'00101',
		'élök'	=>	'00020',
		'élöl'	=>	'00120',
		'élön'	=>	'00100',
		'élör'	=>	'00100',
		'élös'	=>	'00100',
		'élöz'	=>	'02120',
		'élőe'	=>	'00002',
		'élőrü'	=>	'001000',
		'élősk'	=>	'120000',
		'élpl'	=>	'00120',
		'élpr'	=>	'00120',
		'élrádi'	=>	'0000002',
		'élrepr'	=>	'0000100',
		'élsk'	=>	'00100',
		'élsp'	=>	'00100',
		'élst'	=>	'00100',
		'élszárnn'	=>	'002010000',
		'élszt'	=>	'001000',
		'éltalpal'	=>	'000002100',
		'éltrá'	=>	'001000',
		'éltré'	=>	'001000',
		'éltri'	=>	'001000',
		'éltró'	=>	'001000',
		'élud'	=>	'02100',
		'élug'	=>	'02100',
		'éluj'	=>	'02100',
		'élult'	=>	'001000',
		'élur'	=>	'00120',
		'élutas'	=>	'0212000',
		'élutó'	=>	'001000',
		'élúj'	=>	'02100',
		'élúr'	=>	'00100',
		'élüg'	=>	'02100',
		'élüll'	=>	'001000',
		'élült'	=>	'001000',
		'élür'	=>	'02100',
		'élüs'	=>	'02100',
		'élüt'	=>	'02100',
		'élüv'	=>	'02100',
		'élüz'	=>	'02100',
		'élűz'	=>	'00100',
		'élvező'	=>	'1000000',
		'élyab'	=>	'020100',
		'élyad'	=>	'020120',
		'élyaj'	=>	'020000',
		'élyal'	=>	'020120',
		'élyan'	=>	'000120',
		'élyap'	=>	'020100',
		'élyar'	=>	'000120',
		'élyas'	=>	'020100',
		'élyau'	=>	'000100',
		'élyav'	=>	'020100',
		'élyaz'	=>	'000100',
		'élyál'	=>	'020120',
		'élyec'	=>	'000020',
		'élyef'	=>	'020000',
		'élyegy'	=>	'0001000',
		'élyekés'	=>	'02000000',
		'élyel'	=>	'020100',
		'élyeml'	=>	'0200000',
		'élyene'	=>	'0200000',
		'élyent'	=>	'0201000',
		'élyer'	=>	'020000',
		'élyeti'	=>	'0200000',
		'élyéj'	=>	'020120',
		'élyék'	=>	'020100',
		'élyél'	=>	'020000',
		'élyés'	=>	'020000',
		'élyf'	=>	'00012',
		'élyira'	=>	'0201000',
		'élyk'	=>	'00012',
		'élyol'	=>	'020000',
		'élyó'	=>	'02010',
		'élyös'	=>	'020000',
		'élyöz'	=>	'020100',
		'élyő'	=>	'02000',
		'élys'	=>	'00010',
		'élyú'	=>	'00002',
		'élyültet'	=>	'020000000',
		'élyüt'	=>	'020000',
		'émabr'	=>	'001000',
		'émad'	=>	'00012',
		'émada'	=>	'001200',
		'émadó'	=>	'001200',
		'émae'	=>	'00002',
		'émaik'	=>	'000020',
		'émajt'	=>	'001000',
		'émakk'	=>	'001000',
		'émall'	=>	'001000',
		'émalm'	=>	'001000',
		'émapp'	=>	'001000',
		'émarc'	=>	'001000',
		'émarm'	=>	'001000',
		'émas'	=>	'00002',
		'émasp'	=>	'000100',
		'émat'	=>	'00002',
		'ématr'	=>	'000100',
		'émaut'	=>	'001000',
		'émazo'	=>	'001200',
		'émác'	=>	'00020',
		'émál'	=>	'00020',
		'émálm'	=>	'001000',
		'émálo'	=>	'001000',
		'émáp'	=>	'02100',
		'émárn'	=>	'001000',
		'émáru'	=>	'021000',
		'émáta'	=>	'000010',
		'émátt'	=>	'021000',
		'émbl'	=>	'00120',
		'émbr'	=>	'00120',
		'émdr'	=>	'00100',
		'émec'	=>	'00020',
		'émeg'	=>	'00020',
		'émekés'	=>	'0212000',
		'émela'	=>	'001000',
		'émeled'	=>	'0002000',
		'émelh'	=>	'021000',
		'émell'	=>	'021000',
		'émelő'	=>	'001200',
		'émels'	=>	'001000',
		'émelv'	=>	'021000',
		'émere'	=>	'001200',
		'émern'	=>	'001000',
		'émerő'	=>	'001200',
		'émesá'	=>	'000210',
		'émesemé'	=>	'02100000',
		'émesz'	=>	'021000',
		'émeta'	=>	'000200',
		'émetel'	=>	'0002000',
		'émeték'	=>	'0002100',
		'émeto'	=>	'000200',
		'émev'	=>	'02120',
		'émex'	=>	'02100',
		'éméks'	=>	'001000',
		'émél'	=>	'02120',
		'émép'	=>	'02100',
		'émérc'	=>	'021000',
		'émérd'	=>	'001000',
		'éméri'	=>	'021000',
		'émérm'	=>	'021000',
		'émérté'	=>	'0210000',
		'émés'	=>	'02100',
		'éméte'	=>	'021200',
		'émfl'	=>	'00100',
		'émfr'	=>	'00100',
		'émgr'	=>	'00100',
		'émial'	=>	'000200',
		'émid'	=>	'02120',
		'émig'	=>	'00020',
		'émigé'	=>	'021000',
		'émiks'	=>	'001000',
		'émill'	=>	'001000',
		'émind'	=>	'001000',
		'éminf'	=>	'001000',
		'éminv'	=>	'021000',
		'émio'	=>	'02120',
		'émip'	=>	'02120',
		'émirá'	=>	'001000',
		'émirh'	=>	'001000',
		'émiro'	=>	'021000',
		'émisk'	=>	'001000',
		'émism'	=>	'001000',
		'émisz'	=>	'000200',
		'émita'	=>	'001200',
		'émizo'	=>	'001000',
		'émír'	=>	'02100',
		'émív'	=>	'00120',
		'émíz'	=>	'00100',
		'émkl'	=>	'00100',
		'émkr'	=>	'00100',
		'émonac'	=>	'0002000',
		'émone'	=>	'000200',
		'émonn'	=>	'000010',
		'émont'	=>	'000002',
		'émop'	=>	'00120',
		'émost'	=>	'001000',
		'émox'	=>	'00100',
		'émól'	=>	'00120',
		'émór'	=>	'00120',
		'émöb'	=>	'00100',
		'émöl'	=>	'00120',
		'émön'	=>	'00100',
		'émös'	=>	'00100',
		'émöt'	=>	'00100',
		'émöv'	=>	'00100',
		'émőr'	=>	'00120',
		'émpl'	=>	'00120',
		'émpr'	=>	'00120',
		'émsk'	=>	'00100',
		'émsl'	=>	'00100',
		'émsp'	=>	'00100',
		'émsr'	=>	'00120',
		'émst'	=>	'00120',
		'émsz'	=>	'00102',
		'émtr'	=>	'00120',
		'émuj'	=>	'00100',
		'émun'	=>	'00020',
		'émuna'	=>	'001000',
		'émur'	=>	'02120',
		'émúr'	=>	'02100',
		'émüg'	=>	'02100',
		'émür'	=>	'02100',
		'émüt'	=>	'02100',
		'émüv'	=>	'02100',
		'émüz'	=>	'02100',
		'émwh'	=>	'00100',
		'énabb'	=>	'001000',
		'énabl'	=>	'021000',
		'énadal'	=>	'0202000',
		'énadá'	=>	'001000',
		'énado'	=>	'001200',
		'énagá'	=>	'001000',
		'énagr'	=>	'001000',
		'énakc'	=>	'001000',
		'énakn'	=>	'021000',
		'énakt'	=>	'001000',
		'énalk'	=>	'001000',
		'énana'	=>	'001000',
		'énano'	=>	'001000',
		'énant'	=>	'001000',
		'énapré'	=>	'0001000',
		'énarc'	=>	'001000',
		'énas'	=>	'00002',
		'énasp'	=>	'000100',
		'énass'	=>	'021000',
		'énatm'	=>	'001000',
		'énatom'	=>	'0212000',
		'énatr'	=>	'000120',
		'énau'	=>	'02100',
		'énág'	=>	'02100',
		'énál'	=>	'00020',
		'énála'	=>	'001000',
		'énálc'	=>	'001000',
		'énáld'	=>	'001000',
		'énáll'	=>	'021000',
		'énáp'	=>	'02120',
		'énárak'	=>	'0212000',
		'énáss'	=>	'000010',
		'énásv'	=>	'001000',
		'énáta'	=>	'001000',
		'énátb'	=>	'001000',
		'énáte'	=>	'001000',
		'énátk'	=>	'001000',
		'énátö'	=>	'001000',
		'énátr'	=>	'021000',
		'énátt'	=>	'001000',
		'énátü'	=>	'001000',
		'énátv'	=>	'021000',
		'énba'	=>	'00002',
		'énbl'	=>	'00100',
		'énbr'	=>	'00100',
		'éndr'	=>	'00120',
		'énef'	=>	'02100',
		'énegy'	=>	'001200',
		'éneka'	=>	'120212',
		'énekd'	=>	'120000',
		'énekei'	=>	'1200000',
		'énekek'	=>	'1200000',
		'énekem'	=>	'1200000',
		'éneker'	=>	'0002000',
		'énekes'	=>	'1200000',
		'énekéj'	=>	'0002120',
		'énekf'	=>	'120000',
		'énekg'	=>	'120000',
		'énekiz'	=>	'0002000',
		'énekí'	=>	'120000',
		'énekj'	=>	'100000',
		'énekka'	=>	'1000000',
		'énekl'	=>	'120000',
		'énekó'	=>	'000200',
		'énekö'	=>	'000210',
		'éneks'	=>	'120000',
		'énela'	=>	'001000',
		'énelg'	=>	'001000',
		'énelh'	=>	'001000',
		'énelj'	=>	'001000',
		'énell'	=>	'001000',
		'éneln'	=>	'001000',
		'énelő'	=>	'001200',
		'énelp'	=>	'001000',
		'énels'	=>	'001000',
		'énelt'	=>	'001000',
		'énelv'	=>	'001000',
		'éneml'	=>	'001000',
		'énen'	=>	'00020',
		'énene'	=>	'021000',
		'énera'	=>	'000210',
		'énerá'	=>	'000212',
		'énereme'	=>	'00020000',
		'éneró'	=>	'001000',
		'énesz'	=>	'021200',
		'éneta'	=>	'000212',
		'énetá'	=>	'000212',
		'énetel'	=>	'0002120',
		'énetest'	=>	'00020000',
		'éneto'	=>	'000200',
		'énev'	=>	'02120',
		'énex'	=>	'02100',
		'énéjb'	=>	'001000',
		'énékb'	=>	'001000',
		'énéké'	=>	'001200',
		'énéki'	=>	'001200',
		'énékű'	=>	'001200',
		'énél'	=>	'00020',
		'énéle'	=>	'021000',
		'énélő'	=>	'021000',
		'énéma'	=>	'000210',
		'énéneke'	=>	'00100000',
		'énérc'	=>	'021000',
		'énéré'	=>	'021000',
		'énéter'	=>	'0002000',
		'énéz'	=>	'20000',
		'énfr'	=>	'00120',
		'énfüstö'	=>	'00000002',
		'énfüstöl'	=>	'000002100',
		'éngr'	=>	'00120',
		'énido'	=>	'001000',
		'énig'	=>	'00020',
		'énigé'	=>	'021000',
		'éniko'	=>	'001000',
		'énill'	=>	'001000',
		'énimi'	=>	'001000',
		'énina'	=>	'001000',
		'énind'	=>	'001000',
		'éninf'	=>	'001000',
		'éninh'	=>	'001000',
		'énint'	=>	'001000',
		'énip'	=>	'02120',
		'énism'	=>	'001000',
		'énita'	=>	'021000',
		'éniva'	=>	'021000',
		'éniz'	=>	'02120',
		'éníj'	=>	'00100',
		'énín'	=>	'00100',
		'énív'	=>	'02100',
		'énkl'	=>	'00120',
		'énkrá'	=>	'001200',
		'énkré'	=>	'001200',
		'énkri'	=>	'001000',
		'énmű'	=>	'00001',
		'énnyo'	=>	'003000',
		'énol'	=>	'02100',
		'énoml'	=>	'001000',
		'énond'	=>	'001000',
		'énor'	=>	'02100',
		'énosz'	=>	'021000',
		'énot'	=>	'00100',
		'énox'	=>	'02100',
		'énóc'	=>	'00100',
		'énór'	=>	'02120',
		'énök'	=>	'00100',
		'énöl'	=>	'00100',
		'énön'	=>	'00100',
		'énör'	=>	'00100',
		'énöt'	=>	'00100',
		'énöv'	=>	'20000',
		'énöz'	=>	'02120',
		'énős'	=>	'00120',
		'énpe'	=>	'00002',
		'énpl'	=>	'00100',
		'énpr'	=>	'00100',
		'énsas'	=>	'002000',
		'énsp'	=>	'00120',
		'énst'	=>	'00122',
		'énsú'	=>	'00200',
		'éntra'	=>	'001000',
		'éntrá'	=>	'001000',
		'éntri'	=>	'001200',
		'éntró'	=>	'001000',
		'énut'	=>	'02120',
		'énút'	=>	'00100',
		'énüg'	=>	'02120',
		'énüle'	=>	'021000',
		'énür'	=>	'02100',
		'énüs'	=>	'02100',
		'énüv'	=>	'02120',
		'énüz'	=>	'02120',
		'énya'	=>	'02012',
		'ényá'	=>	'02012',
		'ényec'	=>	'000020',
		'ényece'	=>	'0201000',
		'ényecse'	=>	'02000000',
		'ényedz'	=>	'0201200',
		'ényef'	=>	'020000',
		'ényegy'	=>	'0201000',
		'ényekés'	=>	'02000000',
		'ényela'	=>	'0200000',
		'ényelá'	=>	'0200000',
		'ényell'	=>	'0201000',
		'ényelo'	=>	'0201000',
		'ényelvá'	=>	'02010000',
		'ényelvű'	=>	'00010000',
		'ényelvv'	=>	'00010000',
		'ényema'	=>	'0200000',
		'ényenc'	=>	'0001000',
		'ényep'	=>	'020100',
		'ényerd'	=>	'0200000',
		'ényered'	=>	'00010000',
		'ényerő'	=>	'0201200',
		'ényesett'	=>	'020120000',
		'ényesés'	=>	'02012000',
		'ényeső'	=>	'0201200',
		'ényessz'	=>	'02010000',
		'ényesté'	=>	'02010000',
		'ényesz'	=>	'0201200',
		'ényeta'	=>	'0200000',
		'ényeti'	=>	'0200000',
		'ényetű'	=>	'0200000',
		'ényev'	=>	'020100',
		'ényég'	=>	'020100',
		'ényéj'	=>	'020120',
		'ényék'	=>	'000020',
		'ényéke'	=>	'0001000',
		'ényékh'	=>	'0001000',
		'ényékn'	=>	'0001000',
		'ényékt'	=>	'0001000',
		'ényél'	=>	'020120',
		'ényérd'	=>	'0201000',
		'ényéré'	=>	'0200000',
		'ényéri'	=>	'0201200',
		'ényérn'	=>	'0201000',
		'ényérte'	=>	'02000000',
		'ényérté'	=>	'02010000',
		'ényérü'	=>	'0201200',
		'ényérv'	=>	'0201000',
		'ényérz'	=>	'0201000',
		'ényés'	=>	'020100',
		'ényéte'	=>	'0201200',
		'ényétt'	=>	'0201000',
		'ényéva'	=>	'0200000',
		'ényif'	=>	'020100',
		'ényig'	=>	'000020',
		'ényigé'	=>	'0201000',
		'ényiko'	=>	'0201200',
		'énying'	=>	'0201000',
		'ényira'	=>	'0201000',
		'ényiro'	=>	'0200000',
		'ényisk'	=>	'0200000',
		'ényita'	=>	'0200000',
		'ényiz'	=>	'020000',
		'ényír'	=>	'000020',
		'ényírá'	=>	'0001000',
		'ényíró'	=>	'0001000',
		'ényok'	=>	'020100',
		'ényol'	=>	'020120',
		'ényor'	=>	'020120',
		'ényos'	=>	'020100',
		'ényó'	=>	'02012',
		'ényö'	=>	'00002',
		'ényön'	=>	'020000',
		'ényör'	=>	'000100',
		'ényös'	=>	'020100',
		'ényöz'	=>	'000100',
		'ényő'	=>	'02012',
		'énys'	=>	'00010',
		'ényt'	=>	'00002',
		'énytr'	=>	'000100',
		'ényu'	=>	'02000',
		'ényur'	=>	'000120',
		'ényus'	=>	'000100',
		'ényúj'	=>	'020000',
		'ényút'	=>	'000100',
		'ényülő'	=>	'0201200',
		'ényüs'	=>	'020100',
		'ényüv'	=>	'020100',
		'ényüz'	=>	'020000',
		'énza'	=>	'00002',
		'énzad'	=>	'002100',
		'énzag'	=>	'002000',
		'énzak'	=>	'002000',
		'énzal'	=>	'002100',
		'énzar'	=>	'002000',
		'énzau'	=>	'002000',
		'énzál'	=>	'002100',
		'énzás'	=>	'002100',
		'énzát'	=>	'002100',
		'énzer'	=>	'002120',
		'énzim'	=>	'002100',
		'énzin'	=>	'002100',
		'énzis'	=>	'002000',
		'énzí'	=>	'00200',
		'énzo'	=>	'00002',
		'énzol'	=>	'002100',
		'énzor'	=>	'002000',
		'énzos'	=>	'002000',
		'énzör'	=>	'002000',
		'énző'	=>	'00210',
		'énzsa'	=>	'002000',
		'énzse'	=>	'002000',
		'énzur'	=>	'002000',
		'énzú'	=>	'00200',
		'énzz'	=>	'00010',
		'éo'	=>	'010',
		'éola'	=>	'00200',
		'éope'	=>	'00200',
		'éosz'	=>	'00200',
		'éó'	=>	'010',
		'éóra'	=>	'00200',
		'éóri'	=>	'00200',
		'éö'	=>	'010',
		'éő'	=>	'010',
		'épado'	=>	'001000',
		'épaj'	=>	'02120',
		'épalk'	=>	'001000',
		'épany'	=>	'000200',
		'épapo'	=>	'001000',
		'épapr'	=>	'000100',
		'éparc'	=>	'001000',
		'éparé'	=>	'001000',
		'épass'	=>	'001000',
		'épatl'	=>	'001000',
		'épaus'	=>	'000020',
		'épaut'	=>	'001000',
		'épava'	=>	'001200',
		'épág'	=>	'02120',
		'épálla'	=>	'0210000',
		'épállo'	=>	'0210000',
		'épáp'	=>	'00100',
		'épárb'	=>	'001000',
		'épárf'	=>	'001000',
		'épári'	=>	'001000',
		'épáro'	=>	'001200',
		'épáru'	=>	'001200',
		'épárú'	=>	'001200',
		'épátb'	=>	'001000',
		'épátj'	=>	'001000',
		'épátl'	=>	'001000',
		'épátm'	=>	'001000',
		'épáts'	=>	'001000',
		'épátü'	=>	'001000',
		'épátv'	=>	'001000',
		'épbl'	=>	'00100',
		'épbr'	=>	'00100',
		'épdr'	=>	'00100',
		'épeb'	=>	'02000',
		'épegé'	=>	'001200',
		'épegy'	=>	'001200',
		'épekés'	=>	'0212000',
		'épel'	=>	'20000',
		'épela'	=>	'021000',
		'épelá'	=>	'021000',
		'épelb'	=>	'021000',
		'épelc'	=>	'021000',
		'épelemb'	=>	'00120000',
		'épeleme'	=>	'02120000',
		'épelemr'	=>	'00120000',
		'épelér'	=>	'0210000',
		'épelf'	=>	'021000',
		'épelin'	=>	'0212000',
		'épeljá'	=>	'0010000',
		'épelk'	=>	'021000',
		'épellá'	=>	'0010000',
		'épellen'	=>	'02100000',
		'épelm'	=>	'021000',
		'épelo'	=>	'021000',
		'épelőke'	=>	'02120000',
		'épelr'	=>	'021000',
		'épeltér'	=>	'02100000',
		'épelu'	=>	'001000',
		'épen'	=>	'00020',
		'épene'	=>	'021000',
		'épep'	=>	'02120',
		'éper'	=>	'02100',
		'éperő'	=>	'000200',
		'épesem'	=>	'0210000',
		'épeser'	=>	'0212000',
		'épesett'	=>	'02120000',
		'épesés'	=>	'0212000',
		'épeső'	=>	'021200',
		'épeste'	=>	'0210000',
		'épesté'	=>	'0210000',
		'épesti'	=>	'0210000',
		'épestj'	=>	'0210000',
		'épesz'	=>	'000200',
		'épesze'	=>	'0210000',
		'épeszk'	=>	'0210000',
		'épeta'	=>	'021000',
		'épetete'	=>	'00120000',
		'épeteté'	=>	'00020000',
		'épetű'	=>	'021000',
		'épeva'	=>	'001000',
		'épex'	=>	'02100',
		'épég'	=>	'02100',
		'épék'	=>	'02120',
		'épél'	=>	'02120',
		'épéneke'	=>	'02120000',
		'épéri'	=>	'021000',
		'épésa'	=>	'000200',
		'épéte'	=>	'021000',
		'épfl'	=>	'00100',
		'épgr'	=>	'00100',
		'épid'	=>	'02120',
		'épiko'	=>	'021200',
		'épimp'	=>	'021000',
		'épind'	=>	'001000',
		'éping'	=>	'001000',
		'épins'	=>	'021000',
		'épint'	=>	'021000',
		'épipai'	=>	'0012000',
		'épira'	=>	'021200',
		'épirá'	=>	'021200',
		'épiro'	=>	'021200',
		'épirt'	=>	'021000',
		'épisk'	=>	'001000',
		'épism'	=>	'021000',
		'épist'	=>	'021000',
		'épita'	=>	'021200',
		'épiz'	=>	'02100',
		'épín'	=>	'00100',
		'épír'	=>	'02120',
		'építm'	=>	'100000',
		'épív'	=>	'02100',
		'épkár'	=>	'000020',
		'épkl'	=>	'00100',
		'épkr'	=>	'00100',
		'épkv'	=>	'00100',
		'épletö'	=>	'0000210',
		'épob'	=>	'00100',
		'épok'	=>	'02100',
		'épold'	=>	'001000',
		'épolv'	=>	'001000',
		'épon'	=>	'00100',
		'épop'	=>	'00100',
		'éporm'	=>	'001000',
		'épors'	=>	'001000',
		'éposz'	=>	'001000',
		'épóc'	=>	'02100',
		'épóh'	=>	'02120',
		'épór'	=>	'00120',
		'épöl'	=>	'00100',
		'épöm'	=>	'00100',
		'épön'	=>	'00100',
		'épör'	=>	'00020',
		'épös'	=>	'00100',
		'épöz'	=>	'00120',
		'éppek'	=>	'002100',
		'éppí'	=>	'00200',
		'éppl'	=>	'00120',
		'éppod'	=>	'002100',
		'éppr'	=>	'00120',
		'éprog'	=>	'010000',
		'éprózá'	=>	'0020000',
		'épsh'	=>	'00100',
		'épsk'	=>	'00100',
		'épsn'	=>	'00120',
		'épsp'	=>	'00100',
		'épst'	=>	'00120',
		'épsz'	=>	'00002',
		'éptr'	=>	'00120',
		'épudv'	=>	'001000',
		'épug'	=>	'00100',
		'épuj'	=>	'02100',
		'épun'	=>	'00020',
		'épuno'	=>	'001000',
		'épur'	=>	'02120',
		'épus'	=>	'00020',
		'éput'	=>	'02120',
		'épúj'	=>	'00100',
		'épús'	=>	'00100',
		'épút'	=>	'00100',
		'épüd'	=>	'02100',
		'épüg'	=>	'02100',
		'épüld'	=>	'021000',
		'épüle'	=>	'100000',
		'épür'	=>	'02100',
		'épüs'	=>	'00100',
		'épüv'	=>	'02100',
		'épüz'	=>	'02100',
		'érabl'	=>	'001000',
		'érabs'	=>	'001000',
		'érad'	=>	'02120',
		'éragá'	=>	'001200',
		'éragg'	=>	'001000',
		'éragy'	=>	'001000',
		'éraja'	=>	'001200',
		'érajt'	=>	'001000',
		'éraka'	=>	'021200',
		'érakc'	=>	'021000',
		'érala'	=>	'021200',
		'éralá'	=>	'001000',
		'éralg'	=>	'001000',
		'éralk'	=>	'001000',
		'éralm'	=>	'001000',
		'éralv'	=>	'001000',
		'éramb'	=>	'001000',
		'éramp'	=>	'001000',
		'érane'	=>	'001000',
		'érani'	=>	'001000',
		'érano'	=>	'001200',
		'érant'	=>	'001000',
		'érapá'	=>	'001200',
		'érapó'	=>	'001200',
		'érapp'	=>	'001000',
		'érapr'	=>	'001000',
		'érara'	=>	'001200',
		'érará'	=>	'001200',
		'érarc'	=>	'001000',
		'érasp'	=>	'001000',
		'érass'	=>	'001000',
		'érati'	=>	'001200',
		'ératk'	=>	'001000',
		'ératl'	=>	'001000',
		'érato'	=>	'001200',
		'ératr'	=>	'000120',
		'ératt'	=>	'001000',
		'ératy'	=>	'001000',
		'érau'	=>	'02120',
		'érava'	=>	'001200',
		'érax'	=>	'02120',
		'érazo'	=>	'001200',
		'érábr'	=>	'021000',
		'érága'	=>	'021200',
		'érágb'	=>	'001000',
		'érágg'	=>	'001000',
		'érágy'	=>	'001000',
		'érál'	=>	'02120',
		'éráp'	=>	'00120',
		'érárá'	=>	'001000',
		'érárk'	=>	'001000',
		'éráro'	=>	'001200',
		'érárp'	=>	'001000',
		'érárr'	=>	'001000',
		'éráru'	=>	'001200',
		'éráta'	=>	'001212',
		'érátá'	=>	'001212',
		'érátc'	=>	'001000',
		'éráte'	=>	'001212',
		'éráté'	=>	'001000',
		'érátf'	=>	'001000',
		'éráth'	=>	'001000',
		'érátj'	=>	'001000',
		'érátl'	=>	'001000',
		'érátm'	=>	'001000',
		'érátö'	=>	'001200',
		'érátr'	=>	'001000',
		'érátú'	=>	'001000',
		'érátü'	=>	'001000',
		'érátv'	=>	'001000',
		'éráz'	=>	'02100',
		'érbán'	=>	'100000',
		'érbl'	=>	'00100',
		'érbr'	=>	'00100',
		'ércaj'	=>	'002000',
		'ércal'	=>	'002120',
		'ércan'	=>	'002120',
		'ércas'	=>	'002100',
		'ércc'	=>	'00030',
		'ércd'	=>	'10000',
		'ércedé'	=>	'0020000',
		'ércemb'	=>	'0021000',
		'ércesz'	=>	'0021000',
		'érch'	=>	'00230',
		'ércil'	=>	'002000',
		'ércim'	=>	'002100',
		'érciz'	=>	'002000',
		'érco'	=>	'00210',
		'ércó'	=>	'00200',
		'ércö'	=>	'00210',
		'ércő'	=>	'00200',
		'ércseb'	=>	'0023000',
		'ércsis'	=>	'0023000',
		'ércú'	=>	'00200',
		'ércz'	=>	'00200',
		'érdam'	=>	'002100',
		'érdá'	=>	'00212',
		'érdekbő'	=>	'10000000',
		'érdekei'	=>	'10000000',
		'érdekel'	=>	'10000000',
		'érdekl'	=>	'1000000',
		'érdekt'	=>	'1000000',
		'érdekü'	=>	'1000000',
		'érdekű'	=>	'1000000',
		'érdemé'	=>	'1000000',
		'érderő'	=>	'0021000',
		'érdeste'	=>	'00010000',
		'érdéss'	=>	'0000030',
		'érdiná'	=>	'0021200',
		'érdiz'	=>	'002100',
		'érdra'	=>	'001000',
		'érdül'	=>	'000020',
		'érdülé'	=>	'0021000',
		'érdülő'	=>	'0021000',
		'érdz'	=>	'00230',
		'éreb'	=>	'00020',
		'éreba'	=>	'001000',
		'érebe'	=>	'021000',
		'érebé'	=>	'021000',
		'érebr'	=>	'021000',
		'éreff'	=>	'001000',
		'érega'	=>	'000212',
		'éregá'	=>	'000210',
		'éreged'	=>	'0002000',
		'éregel'	=>	'0002000',
		'éregem'	=>	'0002100',
		'éregen'	=>	'0002000',
		'éreger'	=>	'0002120',
		'éregev'	=>	'0002000',
		'éregél'	=>	'0002100',
		'éregg'	=>	'000010',
		'éregin'	=>	'0002000',
		'érego'	=>	'000200',
		'éregö'	=>	'000212',
		'éregy'	=>	'021200',
		'éregyez'	=>	'00000001',
		'érej'	=>	'02100',
		'érelá'	=>	'021000',
		'éreleg'	=>	'0212000',
		'érelemz'	=>	'02000000',
		'érelég'	=>	'0012000',
		'érelis'	=>	'0210000',
		'érelk'	=>	'021000',
		'érelo'	=>	'021000',
		'érelőa'	=>	'0212000',
		'érelőir'	=>	'00020000',
		'érelől'	=>	'0212000',
		'érelőme'	=>	'02120000',
		'érelőn'	=>	'0212000',
		'érelr'	=>	'001000',
		'éreltá'	=>	'0010000',
		'érema'	=>	'000210',
		'éremá'	=>	'000200',
		'érember'	=>	'02000000',
		'éremeg'	=>	'0002100',
		'éremel'	=>	'0210000',
		'éremes'	=>	'0002000',
		'éremés'	=>	'0212000',
		'éremis'	=>	'0012000',
		'éreml'	=>	'020000',
		'éremo'	=>	'000210',
		'éremó'	=>	'000210',
		'éremu'	=>	'020200',
		'éren'	=>	'00020',
		'érene'	=>	'021000',
		'érer'	=>	'02120',
		'éreső'	=>	'000200',
		'éresőb'	=>	'0210000',
		'éresőj'	=>	'0210000',
		'éresőn'	=>	'0210000',
		'éresőr'	=>	'0000120',
		'éresőt'	=>	'0210000',
		'éresté'	=>	'0210000',
		'éreta'	=>	'000210',
		'éretá'	=>	'000200',
		'éreteg'	=>	'0002100',
		'éretel'	=>	'0002100',
		'éreve'	=>	'001200',
		'érevé'	=>	'021200',
		'éréd'	=>	'02120',
		'érég'	=>	'02120',
		'éréjét'	=>	'0212000',
		'érék'	=>	'02120',
		'érél'	=>	'02120',
		'éréneke'	=>	'02120000',
		'érép'	=>	'02100',
		'éréri'	=>	'021200',
		'érésel'	=>	'0002100',
		'érésza'	=>	'0002000',
		'érészá'	=>	'0002000',
		'éréter'	=>	'0002000',
		'érétk'	=>	'021000',
		'érévn'	=>	'021000',
		'érévv'	=>	'001000',
		'érfiá'	=>	'000002',
		'érfl'	=>	'00100',
		'érfogós'	=>	'00002100',
		'érfoto'	=>	'0000001',
		'érfr'	=>	'00120',
		'érgr'	=>	'00120',
		'érial'	=>	'000200',
		'éricsi'	=>	'0002000',
		'érido'	=>	'021000',
		'érién'	=>	'000020',
		'érifj'	=>	'001000',
		'érig'	=>	'00020',
		'ériga'	=>	'021000',
		'érige'	=>	'021000',
		'ériko'	=>	'021200',
		'érill'	=>	'021000',
		'érima'	=>	'021200',
		'érimá'	=>	'021200',
		'érimi'	=>	'021200',
		'érina'	=>	'021200',
		'érind'	=>	'021000',
		'érinf'	=>	'021000',
		'éring'	=>	'021000',
		'érinj'	=>	'021000',
		'érins'	=>	'021000',
		'érint'	=>	'020000',
		'érinv'	=>	'001000',
		'érinz'	=>	'020000',
		'ério'	=>	'02120',
		'éripa'	=>	'021200',
		'érira'	=>	'001000',
		'érisk'	=>	'021000',
		'érism'	=>	'001000',
		'érist'	=>	'021000',
		'érisz'	=>	'021200',
		'érita'	=>	'021200',
		'ériva'	=>	'021000',
		'érivá'	=>	'021000',
		'ériz'	=>	'02120',
		'éríg'	=>	'00100',
		'éríj'	=>	'00100',
		'érín'	=>	'02100',
		'érír'	=>	'02100',
		'érív'	=>	'02120',
		'éríz'	=>	'02120',
		'érjan'	=>	'002000',
		'érkl'	=>	'00120',
		'érközepé'	=>	'000021200',
		'érkr'	=>	'00120',
		'érkv'	=>	'00120',
		'érletöl'	=>	'00002100',
		'érméé'	=>	'100000',
		'érméj'	=>	'100000',
		'érmék'	=>	'100000',
		'érol'	=>	'02120',
		'éront'	=>	'001000',
		'érop'	=>	'00020',
		'érope'	=>	'001000',
		'éror'	=>	'02120',
		'érott'	=>	'001000',
		'érovi'	=>	'001000',
		'érox'	=>	'02120',
		'éról'	=>	'00020',
		'érólo'	=>	'001000',
		'éróri'	=>	'001000',
		'éröb'	=>	'02120',
		'éröc'	=>	'02120',
		'éröko'	=>	'001000',
		'éröl'	=>	'02120',
		'éröm'	=>	'02100',
		'érön'	=>	'02100',
		'érör'	=>	'02100',
		'érös'	=>	'02100',
		'éröt'	=>	'00100',
		'éröv'	=>	'00100',
		'éröz'	=>	'02120',
		'érőf'	=>	'00012',
		'érpl'	=>	'00100',
		'érpr'	=>	'00120',
		'érsek'	=>	'100000',
		'érsk'	=>	'00120',
		'érsl'	=>	'00100',
		'érsp'	=>	'00120',
		'érsr'	=>	'00120',
		'érst'	=>	'00120',
		'érsz'	=>	'00002',
		'érszk'	=>	'001000',
		'értat'	=>	'002000',
		'értekez'	=>	'10000000',
		'értela'	=>	'0021000',
		'értelm'	=>	'1000000',
		'értesí'	=>	'1000000',
		'értékil'	=>	'10000000',
		'értékm'	=>	'1000000',
		'értéss'	=>	'0000030',
		'értöve'	=>	'0001200',
		'értőc'	=>	'100000',
		'értőg'	=>	'100000',
		'értőü'	=>	'100000',
		'értran'	=>	'0012000',
		'értrá'	=>	'001000',
		'értren'	=>	'0012000',
		'értré'	=>	'001200',
		'értro'	=>	'101200',
		'értró'	=>	'001000',
		'éruga'	=>	'001000',
		'éruj'	=>	'02100',
		'érume'	=>	'000210',
		'érun'	=>	'00020',
		'éruna'	=>	'001000',
		'érur'	=>	'02120',
		'érusér'	=>	'0002100',
		'érusz'	=>	'001200',
		'éruta'	=>	'001000',
		'érutá'	=>	'001000',
		'éruto'	=>	'001200',
		'éruz'	=>	'02120',
		'érúj'	=>	'02100',
		'érúr'	=>	'00120',
		'érús'	=>	'00120',
		'érút'	=>	'00020',
		'érüg'	=>	'02120',
		'érür'	=>	'02100',
		'érüs'	=>	'02100',
		'érüt'	=>	'02100',
		'érüv'	=>	'02120',
		'érüz'	=>	'02100',
		'érűz'	=>	'02120',
		'érvadó'	=>	'0001200',
		'érvala'	=>	'0001000',
		'érvan'	=>	'002120',
		'érvágy'	=>	'0021200',
		'érvel'	=>	'100000',
		'érvelem'	=>	'00210000',
		'érvégb'	=>	'0021000',
		'érvégh'	=>	'0021000',
		'érvék'	=>	'002000',
		'érvél'	=>	'002000',
		'érvu'	=>	'00200',
		'érzá'	=>	'20000',
		'érzékb'	=>	'1000000',
		'érzéké'	=>	'1000000',
		'érzékh'	=>	'1000000',
		'érzékk'	=>	'1000000',
		'érzékn'	=>	'1000000',
		'érzékr'	=>	'1000000',
		'érzékt'	=>	'1000000',
		'érzékü'	=>	'1000000',
		'érzékű'	=>	'1000000',
		'érzésil'	=>	'10000000',
		'ésabl'	=>	'001000',
		'ésad'	=>	'02120',
		'ésagy'	=>	'001000',
		'ésajt'	=>	'001000',
		'ésaka'	=>	'001200',
		'ésakl'	=>	'001000',
		'ésakn'	=>	'001000',
		'ésako'	=>	'001000',
		'ésakt'	=>	'001000',
		'ésala'	=>	'001200',
		'ésalg'	=>	'001000',
		'ésalk'	=>	'001000',
		'ésall'	=>	'001000',
		'ésalt'	=>	'001000',
		'ésalv'	=>	'001000',
		'ésam'	=>	'02100',
		'ésana'	=>	'001000',
		'ésant'	=>	'001000',
		'ésany'	=>	'001200',
		'ésapa'	=>	'001000',
		'ésapr'	=>	'001000',
		'ésara'	=>	'001000',
		'ésará'	=>	'001200',
		'ésarc'	=>	'001000',
		'ésaré'	=>	'001000',
		'ésarm'	=>	'001000',
		'ésarz'	=>	'001000',
		'ésasp'	=>	'001000',
		'ésass'	=>	'001000',
		'ésau'	=>	'02120',
		'ésác'	=>	'00020',
		'ésál'	=>	'02100',
		'ésárt'	=>	'001000',
		'ésás'	=>	'00020',
		'ésáta'	=>	'001000',
		'ésáth'	=>	'001000',
		'ésátl'	=>	'001000',
		'ésbl'	=>	'00100',
		'ésdr'	=>	'00120',
		'éseb'	=>	'00020',
		'ésebé'	=>	'021000',
		'ésef'	=>	'02100',
		'ésege'	=>	'001200',
		'ésegy'	=>	'001200',
		'ésekei'	=>	'0212000',
		'ésekés'	=>	'0212000',
		'éseks'	=>	'021000',
		'ésekv'	=>	'021000',
		'ésela'	=>	'001000',
		'éselá'	=>	'001000',
		'éselb'	=>	'001000',
		'éselk'	=>	'001000',
		'éselm'	=>	'021000',
		'éselo'	=>	'001000',
		'éselr'	=>	'001000',
		'éselvé'	=>	'0210000',
		'éselz'	=>	'001000',
		'ésember'	=>	'00100000',
		'ésemel'	=>	'0212000',
		'éseml'	=>	'021000',
		'ésen'	=>	'00020',
		'ésene'	=>	'021000',
		'éseng'	=>	'021000',
		'éseny'	=>	'021000',
		'ésep'	=>	'02120',
		'éserő'	=>	'001000',
		'ésesz'	=>	'021000',
		'éseto'	=>	'021000',
		'ésev'	=>	'02100',
		'ésex'	=>	'02100',
		'éségb'	=>	'001000',
		'éségéb'	=>	'0212000',
		'éségéé'	=>	'0212000',
		'éségéh'	=>	'0012000',
		'éségén'	=>	'0012000',
		'éségév'	=>	'0212000',
		'éségh'	=>	'021000',
		'éségi'	=>	'021200',
		'éségn'	=>	'021000',
		'éségv'	=>	'021000',
		'éséhen'	=>	'0212000',
		'éséj'	=>	'02120',
		'ésék'	=>	'02120',
		'ésél'	=>	'02120',
		'ésép'	=>	'02100',
		'ésérb'	=>	'001000',
		'ésérc'	=>	'001000',
		'ésérd'	=>	'021000',
		'ésérem'	=>	'0212000',
		'éséren'	=>	'0212000',
		'éséré'	=>	'021200',
		'ésérh'	=>	'021000',
		'ésérl'	=>	'021000',
		'ésérn'	=>	'021000',
		'ésérők'	=>	'0212000',
		'ésérőv'	=>	'0212000',
		'ésérr'	=>	'001000',
		'ésérte'	=>	'0210000',
		'ésérté'	=>	'0210000',
		'ésértő'	=>	'0210000',
		'ésérü'	=>	'021200',
		'ésérv'	=>	'021000',
		'ésész'	=>	'001000',
		'éséte'	=>	'021200',
		'ésévet'	=>	'0012000',
		'ésévéb'	=>	'0012000',
		'ésévét'	=>	'0012000',
		'ésévév'	=>	'0012000',
		'ésfl'	=>	'00100',
		'ésfr'	=>	'00100',
		'ésgr'	=>	'00100',
		'ésic'	=>	'02100',
		'ésid'	=>	'02100',
		'ésidet'	=>	'0300000',
		'ésié'	=>	'00002',
		'ésig'	=>	'00020',
		'ésiga'	=>	'001000',
		'ésige'	=>	'001000',
		'ésikt'	=>	'021000',
		'ésill'	=>	'021000',
		'ésimi'	=>	'021000',
		'ésimp'	=>	'001000',
		'ésind'	=>	'001000',
		'ésinf'	=>	'001000',
		'ésing'	=>	'021000',
		'ésint'	=>	'021000',
		'ésinv'	=>	'001000',
		'ésip'	=>	'02120',
		'ésira'	=>	'021000',
		'ésirá'	=>	'021200',
		'ésiro'	=>	'001000',
		'ésis'	=>	'02120',
		'ésita'	=>	'021200',
		'ésivá'	=>	'021200',
		'ésír'	=>	'02120',
		'ésív'	=>	'02100',
		'éskatu'	=>	'0020000',
		'éskl'	=>	'00100',
		'éskr'	=>	'00120',
		'éskv'	=>	'00100',
		'éslág'	=>	'010000',
		'ésob'	=>	'02100',
		'ésoko'	=>	'001000',
		'ésokt'	=>	'001000',
		'ésol'	=>	'02120',
		'ésom'	=>	'02100',
		'ésop'	=>	'02100',
		'ésor'	=>	'20000',
		'ésorg'	=>	'001000',
		'ésorn'	=>	'001000',
		'ésorv'	=>	'001000',
		'ésos'	=>	'02100',
		'ésot'	=>	'02100',
		'ésov'	=>	'00120',
		'ésóc'	=>	'00100',
		'ésól'	=>	'00120',
		'ésón'	=>	'00100',
		'ésór'	=>	'00120',
		'ésöl'	=>	'02120',
		'ésön'	=>	'02100',
		'ésös'	=>	'02100',
		'ésöt'	=>	'02100',
		'ésöv'	=>	'02120',
		'ésöz'	=>	'02120',
		'éspl'	=>	'00120',
		'éspr'	=>	'00120',
		'éspri'	=>	'002000',
		'ésps'	=>	'00100',
		'éssk'	=>	'00120',
		'éssp'	=>	'00120',
		'ésst'	=>	'00120',
		'éssz'	=>	'00002',
		'ésszab'	=>	'0030000',
		'ésszag'	=>	'0030000',
		'ésszak'	=>	'0030000',
		'ésszap'	=>	'0030000',
		'ésszá'	=>	'003000',
		'ésszere'	=>	'00300000',
		'ésszéle'	=>	'00300000',
		'ésszf'	=>	'003000',
		'ésszi'	=>	'003000',
		'ésszí'	=>	'003000',
		'ésszo'	=>	'003000',
		'ésszó'	=>	'003000',
		'ésszö'	=>	'003000',
		'éssző'	=>	'003000',
		'ésszt'	=>	'003000',
		'ésszú'	=>	'003000',
		'ésszül'	=>	'0030000',
		'ésszű'	=>	'003000',
		'éstr'	=>	'00020',
		'éstra'	=>	'001000',
		'éstrá'	=>	'001000',
		'éstré'	=>	'001000',
		'éstru'	=>	'010000',
		'ésud'	=>	'00100',
		'ésur'	=>	'00120',
		'ésut'	=>	'02120',
		'ésút'	=>	'02120',
		'ésüg'	=>	'02100',
		'ésünn'	=>	'021000',
		'ésür'	=>	'02100',
		'ésüté'	=>	'001200',
		'ésüz'	=>	'02100',
		'észabl'	=>	'0001000',
		'észad'	=>	'020120',
		'észagy'	=>	'0001000',
		'észaj'	=>	'020000',
		'északá'	=>	'0000002',
		'északáz'	=>	'00002100',
		'északc'	=>	'0200000',
		'északü'	=>	'0000210',
		'észale'	=>	'0001000',
		'észalg'	=>	'0001000',
		'észall'	=>	'0001000',
		'észan'	=>	'000020',
		'észant'	=>	'0001000',
		'észany'	=>	'0001000',
		'észap'	=>	'000020',
		'észapo'	=>	'0001000',
		'észar'	=>	'020120',
		'észas'	=>	'020100',
		'észato'	=>	'0001200',
		'észau'	=>	'020100',
		'észaz'	=>	'020000',
		'észá'	=>	'20000',
		'észáb'	=>	'020000',
		'észág'	=>	'020120',
		'észál'	=>	'000020',
		'észállá'	=>	'00010000',
		'észáp'	=>	'003000',
		'észáram'	=>	'00010000',
		'észárá'	=>	'0200000',
		'észárán'	=>	'00010000',
		'észárf'	=>	'0001000',
		'észárk'	=>	'0001000',
		'észárn'	=>	'0201000',
		'észáru'	=>	'0001200',
		'észás'	=>	'020000',
		'észát'	=>	'020120',
		'észáz'	=>	'000120',
		'észegei'	=>	'02012000',
		'észegy'	=>	'0201200',
		'észej'	=>	'020100',
		'észeka'	=>	'0000212',
		'észeká'	=>	'0000200',
		'észekés'	=>	'00010000',
		'észekö'	=>	'0000002',
		'észeköv'	=>	'00002000',
		'észela'	=>	'0201000',
		'észeleg'	=>	'02012000',
		'észelemb'	=>	'000120000',
		'észeleme'	=>	'000120000',
		'észelemé'	=>	'000120000',
		'észelemm'	=>	'000120000',
		'észelemn'	=>	'000120000',
		'észelk'	=>	'0201000',
		'észelőd'	=>	'00010000',
		'észelőr'	=>	'02010000',
		'észelőz'	=>	'02000000',
		'észember'	=>	'000100000',
		'észemi'	=>	'0201000',
		'észené'	=>	'0230000',
		'észeng'	=>	'0201000',
		'észep'	=>	'020100',
		'észerez'	=>	'00012000',
		'észerén'	=>	'00012000',
		'észerkö'	=>	'00010000',
		'észerő'	=>	'0200000',
		'észesete'	=>	'000120000',
		'észeszt'	=>	'00010000',
		'észeta'	=>	'0000002',
		'észetak'	=>	'00002100',
		'észetel'	=>	'00002120',
		'észeto'	=>	'0000210',
		'észetör'	=>	'00002100',
		'észeve'	=>	'0001200',
		'észex'	=>	'020100',
		'észég'	=>	'020000',
		'észékt'	=>	'0201000',
		'észél'	=>	'020120',
		'észép'	=>	'020120',
		'észéré'	=>	'0001000',
		'észéró'	=>	'0200000',
		'észész'	=>	'0200000',
		'észéte'	=>	'0201200',
		'észétk'	=>	'0201000',
		'észid'	=>	'020120',
		'észif'	=>	'020000',
		'észiko'	=>	'0001200',
		'észikt'	=>	'0201000',
		'észill'	=>	'0201000',
		'észim'	=>	'020100',
		'észina'	=>	'0200000',
		'észind'	=>	'0201000',
		'észinf'	=>	'0201000',
		'észing'	=>	'0001000',
		'észinté'	=>	'02010000',
		'észio'	=>	'000100',
		'észip'	=>	'020120',
		'észira'	=>	'0200000',
		'észiro'	=>	'0200000',
		'észirt'	=>	'0200000',
		'észis'	=>	'020120',
		'észita'	=>	'0201000',
		'észiz'	=>	'020100',
		'észíj'	=>	'000120',
		'észír'	=>	'020000',
		'észívá'	=>	'0001200',
		'észívé'	=>	'0001200',
		'észívó'	=>	'0001200',
		'észk'	=>	'00012',
		'észokt'	=>	'0001000',
		'észol'	=>	'000020',
		'észold'	=>	'0001000',
		'észolt'	=>	'0001000',
		'észop'	=>	'020000',
		'észors'	=>	'0001000',
		'észos'	=>	'020100',
		'észot'	=>	'020100',
		'észón'	=>	'023000',
		'észö'	=>	'20000',
		'észöld'	=>	'0030000',
		'észölt'	=>	'0001000',
		'észön'	=>	'020100',
		'észös'	=>	'020100',
		'észöt'	=>	'020000',
		'észőrs'	=>	'0001000',
		'észp'	=>	'00012',
		'észsu'	=>	'000300',
		'észsű'	=>	'000300',
		'észtéss'	=>	'00000010',
		'észtors'	=>	'00020000',
		'észtorz'	=>	'00000001',
		'észtra'	=>	'0001000',
		'észtri'	=>	'0001000',
		'észul'	=>	'003000',
		'észut'	=>	'000100',
		'észúrn'	=>	'0001000',
		'észút'	=>	'020100',
		'észüg'	=>	'020120',
		'észünn'	=>	'0200000',
		'észüt'	=>	'020000',
		'észüz'	=>	'020120',
		'észűz'	=>	'020000',
		'észz'	=>	'00010',
		'établa'	=>	'0010000',
		'étado'	=>	'001200',
		'étadó'	=>	'001200',
		'étadt'	=>	'001000',
		'étagg'	=>	'001000',
		'étagr'	=>	'000100',
		'étaik'	=>	'000020',
		'étajk'	=>	'021000',
		'étajt'	=>	'021000',
		'étakc'	=>	'001000',
		'étakr'	=>	'000100',
		'étakt'	=>	'001000',
		'étalj'	=>	'021000',
		'étalk'	=>	'021000',
		'étals'	=>	'001000',
		'étalt'	=>	'021000',
		'étani'	=>	'021000',
		'étann'	=>	'021000',
		'étant'	=>	'021000',
		'étanya'	=>	'0010000',
		'étanyá'	=>	'0010000',
		'étaps'	=>	'021000',
		'étarc'	=>	'021000',
		'étarg'	=>	'021000',
		'étaszt'	=>	'0010000',
		'état'	=>	'00002',
		'étatom'	=>	'0010000',
		'étaü'	=>	'00002',
		'étazo'	=>	'001000',
		'étábr'	=>	'001000',
		'étág'	=>	'02120',
		'étáll'	=>	'021000',
		'étárad'	=>	'0012000',
		'étáram'	=>	'0012000',
		'étárá'	=>	'001200',
		'étári'	=>	'021200',
		'étárú'	=>	'021200',
		'étárv'	=>	'001000',
		'étáti'	=>	'001000',
		'étátr'	=>	'021000',
		'étátv'	=>	'021000',
		'étbl'	=>	'00100',
		'étdr'	=>	'00100',
		'étea'	=>	'00002',
		'étedén'	=>	'0200000',
		'étega'	=>	'000212',
		'étegele'	=>	'00020000',
		'étegelv'	=>	'00021000',
		'éteger'	=>	'0002000',
		'étego'	=>	'000200',
		'étekei'	=>	'0212000',
		'étela'	=>	'000200',
		'ételá'	=>	'000210',
		'ételel'	=>	'0002120',
		'ételemü'	=>	'00020000',
		'ételer'	=>	'0002100',
		'ételék'	=>	'0002100',
		'ételéren'	=>	'000212000',
		'ételéré'	=>	'00020000',
		'ételfog'	=>	'02000000',
		'étellen'	=>	'02000000',
		'ételo'	=>	'000200',
		'ételől'	=>	'0212000',
		'ételőr'	=>	'0002120',
		'étemel'	=>	'0212000',
		'étera'	=>	'000002',
		'éterad'	=>	'0002000',
		'éterag'	=>	'0002100',
		'éterá'	=>	'000212',
		'étereg'	=>	'0002000',
		'éterel'	=>	'0002000',
		'étermo'	=>	'0000001',
		'éterő'	=>	'021000',
		'étesik'	=>	'0002000',
		'étestün'	=>	'02100000',
		'étesv'	=>	'021000',
		'éteszm'	=>	'0210000',
		'étevi'	=>	'001200',
		'étég'	=>	'00020',
		'étége'	=>	'001000',
		'étégé'	=>	'001000',
		'étégn'	=>	'001000',
		'étégt'	=>	'001000',
		'étéj'	=>	'02120',
		'étél'	=>	'02120',
		'étéren'	=>	'0212000',
		'étéré'	=>	'021200',
		'étéri'	=>	'021200',
		'étérőt'	=>	'0212000',
		'étérte'	=>	'0210000',
		'étérté'	=>	'0210000',
		'étérü'	=>	'021200',
		'étérv'	=>	'021000',
		'étérz'	=>	'021000',
		'étészl'	=>	'0010000',
		'ététb'	=>	'021000',
		'étété'	=>	'021200',
		'ététn'	=>	'021000',
		'ététr'	=>	'021000',
		'étéves'	=>	'0212000',
		'étfl'	=>	'00100',
		'étfr'	=>	'00100',
		'étgr'	=>	'00100',
		'étid'	=>	'02120',
		'étig'	=>	'00020',
		'étige'	=>	'021000',
		'étigé'	=>	'021000',
		'étiko'	=>	'021200',
		'étim'	=>	'02120',
		'étind'	=>	'021000',
		'étinf'	=>	'021000',
		'étint'	=>	'021000',
		'étip'	=>	'00020',
		'étipa'	=>	'021000',
		'étirá'	=>	'021000',
		'étiro'	=>	'001000',
		'étiss'	=>	'000030',
		'étisz'	=>	'000200',
		'étivá'	=>	'021200',
		'étizé'	=>	'001000',
		'étír'	=>	'02120',
		'étív'	=>	'02120',
		'étkl'	=>	'00100',
		'étkr'	=>	'00100',
		'étkű'	=>	'10000',
		'étkv'	=>	'00100',
		'étmegg'	=>	'0000010',
		'étoká'	=>	'001200',
		'étoki'	=>	'001200',
		'étokm'	=>	'001000',
		'étol'	=>	'00120',
		'étola'	=>	'020000',
		'étolv'	=>	'020000',
		'étoml'	=>	'001000',
		'étop'	=>	'02100',
		'étord'	=>	'001000',
		'étorg'	=>	'001000',
		'étoris'	=>	'0002000',
		'étorm'	=>	'001000',
		'étors'	=>	'001000',
		'étóc'	=>	'02100',
		'étóha'	=>	'001200',
		'étórá'	=>	'001000',
		'étök'	=>	'00020',
		'étöl'	=>	'00020',
		'étömö'	=>	'021000',
		'étön'	=>	'02100',
		'étörül'	=>	'0002000',
		'étös'	=>	'02100',
		'étöt'	=>	'00120',
		'étöv'	=>	'00120',
		'étöz'	=>	'02120',
		'étőrb'	=>	'001000',
		'étőri'	=>	'001000',
		'étőrm'	=>	'001000',
		'étőrö'	=>	'001000',
		'étőrü'	=>	'001000',
		'étős'	=>	'02120',
		'étőz'	=>	'02120',
		'étpen'	=>	'000001',
		'étpf'	=>	'00100',
		'étpl'	=>	'00100',
		'étpr'	=>	'00100',
		'étrafá'	=>	'0120000',
		'étréf'	=>	'002000',
		'étromé'	=>	'0000212',
		'étsl'	=>	'00100',
		'étsm'	=>	'00100',
		'étsp'	=>	'00100',
		'étst'	=>	'00100',
		'éttr'	=>	'00120',
		'étudv'	=>	'001000',
		'étug'	=>	'02100',
		'étuj'	=>	'02100',
		'étun'	=>	'00020',
		'étuna'	=>	'001000',
		'étund'	=>	'001000',
		'étur'	=>	'02120',
		'étut'	=>	'02120',
		'étús'	=>	'00120',
		'étüg'	=>	'02100',
		'étür'	=>	'02100',
		'étüs'	=>	'00100',
		'étüt'	=>	'02100',
		'étüv'	=>	'02120',
		'étüz'	=>	'02120',
		'étűz'	=>	'00020',
		'étye'	=>	'02300',
		'éu'	=>	'010',
		'éuni'	=>	'00200',
		'éuta'	=>	'00200',
		'éutá'	=>	'00200',
		'éuzs'	=>	'00200',
		'éú'	=>	'010',
		'éü'	=>	'010',
		'éügy'	=>	'00200',
		'éüle'	=>	'00200',
		'éülé'	=>	'00200',
		'éülö'	=>	'00200',
		'éülő'	=>	'00200',
		'éürü'	=>	'00200',
		'éüté'	=>	'00200',
		'éütö'	=>	'00200',
		'éütü'	=>	'00200',
		'éüze'	=>	'00200',
		'éű'	=>	'010',
		'évad'	=>	'02000',
		'évadó'	=>	'001000',
		'évadr'	=>	'100000',
		'évagy'	=>	'001000',
		'évajá'	=>	'001000',
		'évala'	=>	'021200',
		'évalá'	=>	'020000',
		'évalk'	=>	'021000',
		'évam'	=>	'02100',
		'évan'	=>	'02120',
		'évarc'	=>	'001000',
		'évau'	=>	'00100',
		'évava'	=>	'001000',
		'évaz'	=>	'02120',
		'évállo'	=>	'0210000',
		'éváta'	=>	'021000',
		'éváth'	=>	'001000',
		'évátk'	=>	'001000',
		'évátr'	=>	'021000',
		'éváz'	=>	'00020',
		'évázá'	=>	'001000',
		'évbeo'	=>	'100000',
		'éveg'	=>	'02120',
		'évei'	=>	'12000',
		'évekt'	=>	'120000',
		'évela'	=>	'001000',
		'évelf'	=>	'100000',
		'éveli'	=>	'121000',
		'évell'	=>	'021000',
		'éveln'	=>	'001000',
		'évelo'	=>	'021000',
		'évelő'	=>	'020000',
		'évels'	=>	'021000',
		'évelt'	=>	'021000',
		'évelv'	=>	'021000',
		'éveng'	=>	'021000',
		'évenk'	=>	'120000',
		'évent'	=>	'120000',
		'éveri'	=>	'001200',
		'éverő'	=>	'021200',
		'évesb'	=>	'120000',
		'évesé'	=>	'100000',
		'évesés'	=>	'0012000',
		'évesf'	=>	'100000',
		'évesi'	=>	'120000',
		'évesk'	=>	'120000',
		'évesr'	=>	'120000',
		'évesté'	=>	'0010000',
		'éveve'	=>	'001000',
		'évége'	=>	'001200',
		'évégé'	=>	'001200',
		'évégr'	=>	'001000',
		'évégt'	=>	'001000',
		'évéré'	=>	'001200',
		'évérr'	=>	'001000',
		'évérte'	=>	'0210000',
		'évérté'	=>	'0210000',
		'évéska'	=>	'0001000',
		'évésp'	=>	'000120',
		'évéstá'	=>	'0001000',
		'évgr'	=>	'00100',
		'évig'	=>	'00020',
		'éviga'	=>	'001000',
		'évigé'	=>	'021000',
		'évih'	=>	'12000',
		'évik'	=>	'12000',
		'évim'	=>	'12000',
		'évin'	=>	'02000',
		'évind'	=>	'001000',
		'évine'	=>	'100000',
		'éviné'	=>	'100000',
		'éving'	=>	'001000',
		'évint'	=>	'001000',
		'évism'	=>	'001000',
		'évitő'	=>	'120000',
		'éviv'	=>	'12000',
		'évír'	=>	'02100',
		'évkös'	=>	'100000',
		'évkr'	=>	'00100',
		'évny'	=>	'10000',
		'évok'	=>	'00100',
		'évos'	=>	'00100',
		'évór'	=>	'00120',
		'évör'	=>	'00120',
		'évös'	=>	'00100',
		'évöt'	=>	'00100',
		'évőd'	=>	'12000',
		'évpr'	=>	'00100',
		'évsk'	=>	'00100',
		'évst'	=>	'00100',
		'évsz'	=>	'00100',
		'évszakas'	=>	'000002100',
		'évtárad'	=>	'00002120',
		'évur'	=>	'00100',
		'évúj'	=>	'00100',
		'évút'	=>	'00120',
		'évüg'	=>	'02100',
		'évükb'	=>	'020000',
		'évüke'	=>	'020000',
		'évükh'	=>	'020000',
		'évüki'	=>	'020000',
		'évükn'	=>	'020000',
		'évükt'	=>	'020000',
		'évülj'	=>	'020000',
		'évüt'	=>	'02100',
		'évüz'	=>	'02100',
		'évzá'	=>	'10000',
		'ézad'	=>	'00120',
		'ézagal'	=>	'0002000',
		'ézage'	=>	'000200',
		'ézaj'	=>	'00120',
		'ézakr'	=>	'001000',
		'ézal'	=>	'02120',
		'ézan'	=>	'00020',
		'ézany'	=>	'001000',
		'ézar'	=>	'00120',
		'ézas'	=>	'00100',
		'ézat'	=>	'02120',
		'ézaz'	=>	'00100',
		'ézág'	=>	'02120',
		'ézál'	=>	'02120',
		'ézásv'	=>	'001000',
		'ézáz'	=>	'00100',
		'ézbl'	=>	'00100',
		'ézdr'	=>	'00120',
		'ézec'	=>	'00020',
		'ézece'	=>	'001000',
		'ézedé'	=>	'021200',
		'ézegé'	=>	'001200',
		'ézegy'	=>	'001200',
		'ézela'	=>	'021000',
		'ézeld'	=>	'021000',
		'ézele'	=>	'021200',
		'ézelen'	=>	'0000100',
		'ézelf'	=>	'021000',
		'ézelh'	=>	'021000',
		'ézell'	=>	'021000',
		'ézelőb'	=>	'0010000',
		'ézelőé'	=>	'0010000',
		'ézelőg'	=>	'0010000',
		'ézelői'	=>	'0010000',
		'ézelőj'	=>	'0010000',
		'ézelőké'	=>	'02120000',
		'ézelőn'	=>	'0010000',
		'ézelőp'	=>	'0010000',
		'ézelős'	=>	'0010000',
		'ézelőt'	=>	'0010000',
		'ézelőv'	=>	'0010000',
		'ézels'	=>	'021000',
		'ézelv'	=>	'021000',
		'ézemb'	=>	'021000',
		'ézená'	=>	'000210',
		'ézenz'	=>	'001000',
		'ézep'	=>	'02120',
		'ézera'	=>	'000210',
		'ézerá'	=>	'000210',
		'ézerin'	=>	'0002100',
		'ézerip'	=>	'0002000',
		'ézero'	=>	'000200',
		'ézerő'	=>	'001000',
		'ézerű'	=>	'001200',
		'ézesz'	=>	'001000',
		'ézeta'	=>	'000200',
		'ézetá'	=>	'000210',
		'ézeteg'	=>	'0002100',
		'ézetekéh'	=>	'000212000',
		'ézetel'	=>	'0002100',
		'ézev'	=>	'02120',
		'ézex'	=>	'02100',
		'ézéd'	=>	'02120',
		'ézég'	=>	'02100',
		'ézék'	=>	'02100',
		'ézél'	=>	'02120',
		'ézérc'	=>	'021000',
		'ézéri'	=>	'021200',
		'ézérm'	=>	'021000',
		'ézérp'	=>	'021000',
		'ézérté'	=>	'0210000',
		'ézérz'	=>	'021000',
		'ézfr'	=>	'00100',
		'ézgé'	=>	'00002',
		'ézgr'	=>	'00120',
		'ézid'	=>	'00020',
		'ézido'	=>	'001000',
		'ézigé'	=>	'021000',
		'ézill'	=>	'021000',
		'ézimp'	=>	'001000',
		'ézind'	=>	'001000',
		'ézing'	=>	'001000',
		'ézint'	=>	'021000',
		'ézio'	=>	'00020',
		'ézion'	=>	'001000',
		'ézipa'	=>	'021200',
		'ézipá'	=>	'021000',
		'ézir'	=>	'02120',
		'ézire'	=>	'030000',
		'ézirő'	=>	'030000',
		'éziss'	=>	'000030',
		'ézisú'	=>	'000210',
		'ézisza'	=>	'0002000',
		'éziszá'	=>	'0002300',
		'ézita'	=>	'001200',
		'ézivá'	=>	'021200',
		'ézizm'	=>	'001000',
		'ézizo'	=>	'001000',
		'ézizz'	=>	'021000',
		'ézíj'	=>	'00120',
		'ézír'	=>	'00100',
		'ézív'	=>	'00120',
		'ézíz'	=>	'00100',
		'ézkarch'	=>	'00000230',
		'ézkl'	=>	'00120',
		'ézkr'	=>	'00120',
		'ézola'	=>	'001000',
		'ézold'	=>	'001000',
		'ézop'	=>	'00100',
		'ézor'	=>	'02100',
		'ézosz'	=>	'001000',
		'ézox'	=>	'02100',
		'ézöb'	=>	'00100',
		'ézök'	=>	'00120',
		'ézön'	=>	'00100',
		'ézör'	=>	'00100',
		'ézös'	=>	'00100',
		'ézöt'	=>	'00100',
		'ézöv'	=>	'00120',
		'ézőa'	=>	'00002',
		'ézpl'	=>	'00100',
		'ézpr'	=>	'00120',
		'ézsaj'	=>	'003000',
		'ézsar'	=>	'003000',
		'ézseb'	=>	'003000',
		'ézser'	=>	'003000',
		'ézsik'	=>	'003000',
		'ézsín'	=>	'003000',
		'ézsod'	=>	'003000',
		'ézsó'	=>	'00002',
		'ézsók'	=>	'023000',
		'ézsór'	=>	'000100',
		'ézsö'	=>	'00300',
		'ézspi'	=>	'003000',
		'ézss'	=>	'00010',
		'ézsug'	=>	'003000',
		'ézsúr'	=>	'000120',
		'ézsü'	=>	'02300',
		'ézsz'	=>	'00300',
		'éztr'	=>	'00120',
		'ézug'	=>	'00100',
		'ézuj'	=>	'00100',
		'ézur'	=>	'02120',
		'ézut'	=>	'00100',
		'ézüg'	=>	'02120',
		'ézür'	=>	'02100',
		'ézüs'	=>	'02100',
		'ézüt'	=>	'02100',
		'ézüz'	=>	'02120',
		'ézűr'	=>	'00100',
		'ézzsa'	=>	'003000',
		'fa'	=>	'100',
		'faát'	=>	'00001',
		'fabro'	=>	'001200',
		'fachi'	=>	'002000',
		'facho'	=>	'002300',
		'fadr'	=>	'00120',
		'faegyez'	=>	'00000001',
		'faelek'	=>	'0003000',
		'faer'	=>	'00020',
		'faéd'	=>	'00020',
		'fafr'	=>	'00120',
		'fagr'	=>	'00120',
		'fagyé'	=>	'000002',
		'fagyék'	=>	'0020000',
		'fagyol'	=>	'0020000',
		'fagyő'	=>	'002000',
		'fagyúr'	=>	'0020000',
		'faid'	=>	'00020',
		'fais'	=>	'00020',
		'fajal'	=>	'002120',
		'fajaz'	=>	'002100',
		'fajág'	=>	'002100',
		'fajáru'	=>	'0021200',
		'fajegys'	=>	'00210000',
		'fajelem'	=>	'00200000',
		'fajelk'	=>	'0021000',
		'fajelm'	=>	'0020000',
		'fajeln'	=>	'0021000',
		'fajelv'	=>	'0021000',
		'fajes'	=>	'002100',
		'fajö'	=>	'00210',
		'fajő'	=>	'00200',
		'fajt'	=>	'00002',
		'fajtr'	=>	'000100',
		'fajur'	=>	'000020',
		'fajura'	=>	'0001000',
		'fajü'	=>	'00200',
		'fakl'	=>	'00120',
		'fakr'	=>	'00120',
		'fakv'	=>	'00120',
		'faladá'	=>	'0021200',
		'faladó'	=>	'0021200',
		'falajá'	=>	'0020000',
		'falakó'	=>	'0021200',
		'falal'	=>	'002120',
		'falan'	=>	'000020',
		'falany'	=>	'0001000',
		'falav'	=>	'002000',
		'falazú'	=>	'0021000',
		'falábr'	=>	'0021000',
		'falál'	=>	'002100',
		'faláro'	=>	'0021200',
		'faláth'	=>	'0021000',
		'falátv'	=>	'0021000',
		'falegy'	=>	'0001200',
		'falelem'	=>	'00210000',
		'falelő'	=>	'0021000',
		'falese'	=>	'0001000',
		'faléri'	=>	'0021000',
		'falf'	=>	'00012',
		'falid'	=>	'002000',
		'falinj'	=>	'0021000',
		'faliz'	=>	'002100',
		'falí'	=>	'00212',
		'falol'	=>	'002100',
		'faloml'	=>	'0021000',
		'falor'	=>	'002000',
		'falos'	=>	'002100',
		'falórá'	=>	'0001000',
		'falö'	=>	'00002',
		'falök'	=>	'002000',
		'falöv'	=>	'002100',
		'falőr'	=>	'002100',
		'falp'	=>	'00012',
		'faltan'	=>	'0000020',
		'faltem'	=>	'0002000',
		'faltip'	=>	'0002000',
		'faltüz'	=>	'0002000',
		'falü'	=>	'00200',
		'fanevet'	=>	'00212000',
		'fanévb'	=>	'0001000',
		'fanévr'	=>	'0001000',
		'faór'	=>	'00020',
		'fapl'	=>	'00120',
		'fapr'	=>	'00120',
		'faradá'	=>	'0021200',
		'faragy'	=>	'0020000',
		'farakó'	=>	'0021200',
		'faral'	=>	'002120',
		'farat'	=>	'002100',
		'farav'	=>	'002120',
		'farácc'	=>	'0021000',
		'farál'	=>	'002100',
		'faráz'	=>	'002120',
		'farem'	=>	'002100',
		'farepe'	=>	'0021200',
		'farid'	=>	'002100',
		'fariná'	=>	'0021000',
		'faring'	=>	'0021000',
		'farizm'	=>	'0021000',
		'farizo'	=>	'0021000',
		'farkal'	=>	'0002100',
		'farkol'	=>	'0002000',
		'farmál'	=>	'0002000',
		'farmin'	=>	'0002000',
		'farmunká'	=>	'000210000',
		'farokke'	=>	'00210000',
		'farosz'	=>	'0021000',
		'farut'	=>	'002100',
		'fask'	=>	'00120',
		'fasp'	=>	'00120',
		'fasta'	=>	'001000',
		'fasté'	=>	'001000',
		'fatri'	=>	'001000',
		'faur'	=>	'00020',
		'faus'	=>	'00020',
		'fautá'	=>	'000200',
		'faüt'	=>	'00020',
		'faüz'	=>	'00020',
		'faxe'	=>	'00200',
		'faxi'	=>	'00002',
		'faxik'	=>	'002100',
		'faxin'	=>	'002000',
		'faxí'	=>	'00200',
		'faxö'	=>	'00200',
		'faxú'	=>	'00200',
		'faxü'	=>	'00200',
		'faxű'	=>	'00200',
		'faya'	=>	'00100',
		'faye'	=>	'00100',
		'fá'	=>	'100',
		'fábr'	=>	'01000',
		'fách'	=>	'00230',
		'fágép'	=>	'002000',
		'fájlak'	=>	'0002000',
		'fájlá'	=>	'000200',
		'fájle'	=>	'000212',
		'fájlí'	=>	'000212',
		'fání'	=>	'00200',
		'fánka'	=>	'000002',
		'fánkar'	=>	'0002000',
		'fánká'	=>	'000200',
		'fántad'	=>	'0002000',
		'fántag'	=>	'0002120',
		'fántan'	=>	'0002000',
		'fántá'	=>	'000212',
		'fánte'	=>	'000212',
		'fántis'	=>	'0002000',
		'fántor'	=>	'0002000',
		'fántö'	=>	'000200',
		'fápo'	=>	'00200',
		'fáram'	=>	'002000',
		'fárá'	=>	'01200',
		'fáss'	=>	'00030',
		'fáta'	=>	'00212',
		'fátá'	=>	'00210',
		'fáte'	=>	'00200',
		'fátérd'	=>	'0021000',
		'fátis'	=>	'002120',
		'fátmű'	=>	'000001',
		'fátol'	=>	'002100',
		'fátü'	=>	'00212',
		'fáziság'	=>	'00002100',
		'fázisz'	=>	'0000230',
		'fbal'	=>	'00021',
		'fclu'	=>	'00200',
		'fdró'	=>	'00200',
		'fe'	=>	'100',
		'feaa'	=>	'00200',
		'feaá'	=>	'00200',
		'feab'	=>	'00200',
		'feac'	=>	'00200',
		'fead'	=>	'00200',
		'feae'	=>	'00200',
		'feaé'	=>	'00200',
		'feaf'	=>	'00200',
		'feag'	=>	'00200',
		'feah'	=>	'00200',
		'feai'	=>	'00200',
		'feaj'	=>	'00200',
		'feam'	=>	'00200',
		'fean'	=>	'00200',
		'feap'	=>	'00212',
		'fear'	=>	'00200',
		'feas'	=>	'00200',
		'feat'	=>	'00200',
		'feaú'	=>	'00200',
		'feav'	=>	'00200',
		'fedz'	=>	'21200',
		'feed'	=>	'00200',
		'feel'	=>	'00200',
		'fefr'	=>	'00120',
		'fegyi'	=>	'002010',
		'fegyő'	=>	'002000',
		'feini'	=>	'000210',
		'feja'	=>	'00200',
		'fejá'	=>	'00212',
		'fejegy'	=>	'0021000',
		'fejelm'	=>	'0021000',
		'fejer'	=>	'002120',
		'fejesz'	=>	'0021000',
		'fejev'	=>	'002120',
		'fejo'	=>	'00210',
		'fejös'	=>	'002100',
		'fejtr'	=>	'000100',
		'feju'	=>	'00210',
		'fejú'	=>	'00200',
		'fektemb'	=>	'00021000',
		'fela'	=>	'00212',
		'felá'	=>	'00212',
		'felec'	=>	'000020',
		'feledz'	=>	'0021200',
		'feleg'	=>	'002120',
		'feleh'	=>	'002120',
		'felelev'	=>	'00210000',
		'felemel'	=>	'00212000',
		'felemen'	=>	'00300000',
		'felemet'	=>	'00300000',
		'felemés'	=>	'00212000',
		'feleml'	=>	'0021000',
		'feleng'	=>	'0021000',
		'felenn'	=>	'0021000',
		'felere'	=>	'0021200',
		'felesd'	=>	'0021000',
		'felesed'	=>	'00200000',
		'feleseg'	=>	'00010000',
		'felesett'	=>	'002120000',
		'felesés'	=>	'00210000',
		'felesik'	=>	'00210000',
		'felesk'	=>	'0021000',
		'felesni'	=>	'00210000',
		'feleső'	=>	'0021200',
		'felessen'	=>	'002100000',
		'feleste'	=>	'00210000',
		'felestü'	=>	'00210000',
		'felesz'	=>	'0021200',
		'feletes'	=>	'00212000',
		'feletet'	=>	'00212000',
		'felettek'	=>	'002100000',
		'felettél'	=>	'002100000',
		'feleve'	=>	'0001200',
		'felevé'	=>	'0001200',
		'felevi'	=>	'0001000',
		'feléd'	=>	'000020',
		'feléde'	=>	'0021000',
		'felég'	=>	'002120',
		'felék'	=>	'002120',
		'felél'	=>	'002120',
		'felép'	=>	'002120',
		'felérek'	=>	'00212000',
		'feléren'	=>	'00210000',
		'felérh'	=>	'0021000',
		'feléri'	=>	'0021000',
		'felérj'	=>	'0021000',
		'felérk'	=>	'0021000',
		'felérn'	=>	'0021000',
		'felérs'	=>	'0021000',
		'felért'	=>	'0021000',
		'felérv'	=>	'0021000',
		'felétet'	=>	'00210000',
		'feli'	=>	'00212',
		'felib'	=>	'003000',
		'felí'	=>	'00212',
		'fell'	=>	'00030',
		'felo'	=>	'00212',
		'feló'	=>	'00212',
		'felö'	=>	'00212',
		'felőg'	=>	'002100',
		'felőr'	=>	'002100',
		'felp'	=>	'00012',
		'felt'	=>	'00002',
		'felu'	=>	'00212',
		'felú'	=>	'00200',
		'fener'	=>	'212000',
		'fenna'	=>	'000212',
		'fenná'	=>	'000200',
		'fenne'	=>	'000002',
		'fennev'	=>	'0002000',
		'fensc'	=>	'000100',
		'ferabl'	=>	'0001000',
		'ferak'	=>	'002000',
		'feráll'	=>	'0021000',
		'ferár'	=>	'002120',
		'fereg'	=>	'000020',
		'feregy'	=>	'0001000',
		'ferold'	=>	'0021000',
		'ferolj'	=>	'0021000',
		'feroln'	=>	'0021000',
		'ferolt'	=>	'0021000',
		'fesem'	=>	'002000',
		'feser'	=>	'002100',
		'fesé'	=>	'21200',
		'feumé'	=>	'000212',
		'fevő'	=>	'00200',
		'fezó'	=>	'00200',
		'fezs'	=>	'00200',
		'fé'	=>	'100',
		'féka'	=>	'00002',
		'fékad'	=>	'002100',
		'fékag'	=>	'002100',
		'fékal'	=>	'002100',
		'fékas'	=>	'002000',
		'fékau'	=>	'002100',
		'féká'	=>	'00212',
		'fékeg'	=>	'002120',
		'fékell'	=>	'0001000',
		'féker'	=>	'002100',
		'fékék'	=>	'002100',
		'fékél'	=>	'002120',
		'fékol'	=>	'002120',
		'fékor'	=>	'002100',
		'fékön'	=>	'002000',
		'féku'	=>	'00212',
		'fékú'	=>	'00210',
		'féla'	=>	'00212',
		'féláj'	=>	'002120',
		'félár'	=>	'002120',
		'féleg'	=>	'002000',
		'félekk'	=>	'0021000',
		'félelé'	=>	'0001000',
		'félell'	=>	'0021000',
		'félelő'	=>	'0021000',
		'félem'	=>	'000020',
		'félemb'	=>	'0001000',
		'féleme'	=>	'0021000',
		'féler'	=>	'002120',
		'félese'	=>	'0021000',
		'félesz'	=>	'0021000',
		'félet'	=>	'212000',
		'félez'	=>	'002100',
		'féléva'	=>	'0021000',
		'féligaz'	=>	'00000001',
		'félin'	=>	'002000',
		'félir'	=>	'002000',
		'félis'	=>	'002100',
		'féliv'	=>	'002000',
		'félí'	=>	'00200',
		'félok'	=>	'002100',
		'félos'	=>	'002000',
		'féló'	=>	'00200',
		'félö'	=>	'00210',
		'félőr'	=>	'002000',
		'félpen'	=>	'0000001',
		'féltr'	=>	'000120',
		'félú'	=>	'00212',
		'fémab'	=>	'002000',
		'fémad'	=>	'002000',
		'fémag'	=>	'002120',
		'fémaj'	=>	'002120',
		'féman'	=>	'002120',
		'fémap'	=>	'002100',
		'fémau'	=>	'002000',
		'fémaz'	=>	'002000',
		'fémác'	=>	'002100',
		'fémál'	=>	'002100',
		'fémec'	=>	'002100',
		'fémedé'	=>	'0020000',
		'fémel'	=>	'002120',
		'fémemb'	=>	'0021000',
		'fémer'	=>	'002000',
		'fémez'	=>	'002000',
		'fémék'	=>	'002120',
		'fémér'	=>	'000020',
		'féméré'	=>	'0021000',
		'fémin'	=>	'002120',
		'fémir'	=>	'002100',
		'fémis'	=>	'002100',
		'fémit'	=>	'002000',
		'fémiz'	=>	'002100',
		'fémí'	=>	'00200',
		'fémo'	=>	'00210',
		'fémó'	=>	'00200',
		'fémö'	=>	'00200',
		'fému'	=>	'00210',
		'fémü'	=>	'00002',
		'fémül'	=>	'002100',
		'fényeg'	=>	'0020120',
		'fényel'	=>	'0020120',
		'fényer'	=>	'0020120',
		'fényis'	=>	'0020100',
		'fényí'	=>	'002010',
		'fényo'	=>	'002000',
		'fényö'	=>	'002000',
		'fényú'	=>	'002000',
		'fépí'	=>	'00200',
		'fépü'	=>	'00200',
		'féraá'	=>	'200000',
		'féraf'	=>	'200000',
		'férai'	=>	'200000',
		'féral'	=>	'200000',
		'férar'	=>	'200000',
		'férád'	=>	'200000',
		'féráé'	=>	'200000',
		'férám'	=>	'200000',
		'fércem'	=>	'0002000',
		'férege'	=>	'0000212',
		'fésorr'	=>	'0021000',
		'fészal'	=>	'0000100',
		'fészá'	=>	'000002',
		'fészár'	=>	'0000100',
		'fészeg'	=>	'0020000',
		'fészel'	=>	'0020100',
		'fétau'	=>	'000032',
		'févk'	=>	'21000',
		'fézs'	=>	'00200',
		'fézse'	=>	'000012',
		'fézso'	=>	'000010',
		'ffeli'	=>	'000300',
		'ffiac'	=>	'000200',
		'ffiag'	=>	'000200',
		'ffiaka'	=>	'0002000',
		'ffiam'	=>	'000200',
		'ffiat'	=>	'000200',
		'ffli'	=>	'00002',
		'ffsh'	=>	'00100',
		'ffy'	=>	'1200',
		'fgló'	=>	'00200',
		'fi'	=>	'100',
		'fiaa'	=>	'00200',
		'fiaá'	=>	'00200',
		'fiae'	=>	'00200',
		'fiaé'	=>	'00200',
		'fiaf'	=>	'00200',
		'fiah'	=>	'00200',
		'fiaí'	=>	'00200',
		'fiala'	=>	'000200',
		'fiao'	=>	'00200',
		'fiaó'	=>	'00200',
		'fiaö'	=>	'00200',
		'fiap'	=>	'00010',
		'fiapa'	=>	'002000',
		'fiara'	=>	'000200',
		'fiará'	=>	'000200',
		'fiaré'	=>	'002000',
		'fiaszá'	=>	'0020000',
		'fiaszo'	=>	'0020000',
		'fiau'	=>	'00200',
		'fiaü'	=>	'00200',
		'fiavá'	=>	'002000',
		'fiave'	=>	'002000',
		'fiál'	=>	'00020',
		'fich'	=>	'00230',
		'ficitá'	=>	'0000210',
		'fidan'	=>	'002000',
		'fidá'	=>	'00210',
		'fidrá'	=>	'001000',
		'fiel'	=>	'00020',
		'fien'	=>	'00020',
		'fier'	=>	'00020',
		'fies'	=>	'00020',
		'fiese'	=>	'000010',
		'fiet'	=>	'00020',
		'fifl'	=>	'00100',
		'fifr'	=>	'00100',
		'figaz'	=>	'212000',
		'fikl'	=>	'00120',
		'fikrá'	=>	'001000',
		'fikré'	=>	'001000',
		'fikri'	=>	'001000',
		'fikv'	=>	'00120',
		'filac'	=>	'002000',
		'filada'	=>	'0001000',
		'filakn'	=>	'0001000',
		'filakt'	=>	'0001000',
		'filal'	=>	'002000',
		'filam'	=>	'002000',
		'filál'	=>	'002100',
		'filár'	=>	'002000',
		'filelt'	=>	'0001000',
		'filen'	=>	'002100',
		'files'	=>	'002000',
		'filesz'	=>	'0001000',
		'filért'	=>	'0001000',
		'filid'	=>	'002120',
		'filim'	=>	'002120',
		'filin'	=>	'002100',
		'filmad'	=>	'0002000',
		'filmak'	=>	'0002000',
		'filman'	=>	'0002000',
		'filmas'	=>	'0002100',
		'filmat'	=>	'0002000',
		'filmá'	=>	'000212',
		'filmos'	=>	'0002000',
		'filmu'	=>	'000200',
		'filö'	=>	'00200',
		'filü'	=>	'00200',
		'fimá'	=>	'21200',
		'fimeg'	=>	'000001',
		'finas'	=>	'212000',
		'find'	=>	'20000',
		'finosz'	=>	'0001000',
		'finó'	=>	'00210',
		'fint'	=>	'00002',
		'fintr'	=>	'000100',
		'finu'	=>	'00212',
		'finú'	=>	'00200',
		'finx'	=>	'20000',
		'fiov'	=>	'00020',
		'fiók'	=>	'00300',
		'fiókal'	=>	'0002120',
		'fiókar'	=>	'0002000',
		'fióke'	=>	'000212',
		'fiókép'	=>	'0002000',
		'fiókol'	=>	'0002000',
		'fiókö'	=>	'000200',
		'fiór'	=>	'00020',
		'fiőr'	=>	'00020',
		'fipl'	=>	'00120',
		'fipr'	=>	'00120',
		'firod'	=>	'002000',
		'firs'	=>	'00021',
		'fisarc'	=>	'0001000',
		'fisp'	=>	'00120',
		'fist'	=>	'00002',
		'fistr'	=>	'001000',
		'fitad'	=>	'002100',
		'fitala'	=>	'0001200',
		'fitalj'	=>	'0001000',
		'fitág'	=>	'002000',
		'fitárak'	=>	'00010000',
		'fitát'	=>	'000020',
		'fitáta'	=>	'0021000',
		'fitéh'	=>	'002100',
		'fitérd'	=>	'0021000',
		'fitik'	=>	'002000',
		'fitin'	=>	'002100',
		'fitir'	=>	'002000',
		'fitiz'	=>	'002120',
		'fitop'	=>	'000012',
		'fitosz'	=>	'0021000',
		'fitön'	=>	'002000',
		'fitőr'	=>	'002100',
		'fitur'	=>	'002100',
		'fiumin'	=>	'0002000',
		'fiut'	=>	'00020',
		'fiúa'	=>	'00200',
		'fiúá'	=>	'00200',
		'fiúe'	=>	'00200',
		'fiúf'	=>	'00200',
		'fiúg'	=>	'00200',
		'fiúí'	=>	'00200',
		'fiúl'	=>	'00200',
		'fiúo'	=>	'00200',
		'fiúö'	=>	'00200',
		'fiúő'	=>	'00200',
		'fiúp'	=>	'00200',
		'fiúsz'	=>	'002000',
		'fiúti'	=>	'002000',
		'fiúu'	=>	'00200',
		'fiúú'	=>	'00200',
		'fiúü'	=>	'00200',
		'fixár'	=>	'002100',
		'fixel'	=>	'002100',
		'fixö'	=>	'00200',
		'fí'	=>	'100',
		'fírá'	=>	'00200',
		'fírcsa'	=>	'0000002',
		'fírin'	=>	'002100',
		'fíró'	=>	'01200',
		'fírtr'	=>	'000100',
		'fírü'	=>	'00200',
		'fjúsz'	=>	'000100',
		'fkis'	=>	'00021',
		'fkli'	=>	'00200',
		'fklu'	=>	'00200',
		'fkró'	=>	'00200',
		'flak'	=>	'02000',
		'flan'	=>	'02000',
		'flep'	=>	'02000',
		'flip'	=>	'02000',
		'flisé'	=>	'000210',
		'floná'	=>	'000210',
		'floné'	=>	'000200',
		'flot'	=>	'02000',
		'fluk'	=>	'02000',
		'fo'	=>	'100',
		'foam'	=>	'00200',
		'fogác'	=>	'002120',
		'fogál'	=>	'002000',
		'fogárk'	=>	'0021000',
		'fogáro'	=>	'0021000',
		'foge'	=>	'00210',
		'fogg'	=>	'00030',
		'fogí'	=>	'00200',
		'fogor'	=>	'002100',
		'fogos'	=>	'002100',
		'fogö'	=>	'00200',
		'fogur'	=>	'002000',
		'fogü'	=>	'00200',
		'fohászat'	=>	'000020000',
		'fokal'	=>	'002000',
		'fokáll'	=>	'0001000',
		'fokárr'	=>	'0021000',
		'foke'	=>	'00212',
		'foking'	=>	'0001000',
		'fokí'	=>	'00200',
		'fokk'	=>	'00012',
		'fokola'	=>	'0020000',
		'fokor'	=>	'002100',
		'foltan'	=>	'0000020',
		'folte'	=>	'000210',
		'foltö'	=>	'000210',
		'fonada'	=>	'0021000',
		'fonado'	=>	'0020000',
		'fonak'	=>	'002000',
		'fonalap'	=>	'00010000',
		'fonale'	=>	'0000212',
		'fonalja'	=>	'00010000',
		'fonaljo'	=>	'00010000',
		'fonan'	=>	'000020',
		'fonany'	=>	'0001000',
		'fonasz'	=>	'0021000',
		'fonau'	=>	'002100',
		'fonár'	=>	'002120',
		'fonáss'	=>	'0000010',
		'fonát'	=>	'002100',
		'fond'	=>	'00002',
		'fondr'	=>	'000100',
		'foneg'	=>	'002000',
		'fonel'	=>	'002101',
		'foner'	=>	'002000',
		'fones'	=>	'002100',
		'fonék'	=>	'002000',
		'fonf'	=>	'00012',
		'foniko'	=>	'0001200',
		'fonim'	=>	'002120',
		'fonin'	=>	'002000',
		'fonis'	=>	'002100',
		'foniz'	=>	'002000',
		'foní'	=>	'00200',
		'fonk'	=>	'00010',
		'fonor'	=>	'002100',
		'fonosz'	=>	'0021000',
		'fonö'	=>	'00200',
		'fonő'	=>	'00202',
		'fons'	=>	'00002',
		'fonst'	=>	'000100',
		'fontin'	=>	'0002120',
		'fontó'	=>	'000002',
		'fontón'	=>	'0002000',
		'fonü'	=>	'00200',
		'fonya'	=>	'000001',
		'forad'	=>	'002100',
		'forakész'	=>	'000000001',
		'forala'	=>	'0021000',
		'foran'	=>	'002120',
		'forato'	=>	'0001000',
		'foreg'	=>	'002000',
		'forel'	=>	'002100',
		'forer'	=>	'002100',
		'forgáss'	=>	'00000010',
		'foril'	=>	'002100',
		'forio'	=>	'002120',
		'formel'	=>	'0002120',
		'formem'	=>	'0002100',
		'formerő'	=>	'00020000',
		'formes'	=>	'0002000',
		'formérté'	=>	'000210000',
		'formil'	=>	'0002000',
		'formin'	=>	'0002100',
		'forol'	=>	'002100',
		'forö'	=>	'00200',
		'forrú'	=>	'210000',
		'fors'	=>	'00002',
		'forsp'	=>	'000100',
		'fortál'	=>	'0002100',
		'fortel'	=>	'0002120',
		'fortérd'	=>	'00021000',
		'fortü'	=>	'000200',
		'forü'	=>	'00200',
		'fotos'	=>	'000010',
		'fovi'	=>	'00200',
		'fó'	=>	'100',
		'fórá'	=>	'00200',
		'fósza'	=>	'000002',
		'fö'	=>	'100',
		'föla'	=>	'00200',
		'fölá'	=>	'00200',
		'földök'	=>	'0002000',
		'föle'	=>	'00212',
		'fölésbel'	=>	'212000000',
		'föliv'	=>	'002000',
		'fölí'	=>	'00200',
		'fölk'	=>	'00012',
		'fölo'	=>	'00200',
		'föló'	=>	'00200',
		'fölön'	=>	'002000',
		'fölt'	=>	'00002',
		'föltr'	=>	'000100',
		'fölu'	=>	'00200',
		'fölú'	=>	'00200',
		'fönn'	=>	'00021',
		'fönne'	=>	'000002',
		'fösá'	=>	'00200',
		'fő'	=>	'100',
		'főan'	=>	'00020',
		'főág'	=>	'00020',
		'főbl'	=>	'00100',
		'főbr'	=>	'00100',
		'fődra'	=>	'001000',
		'főel'	=>	'00020',
		'főer'	=>	'00020',
		'főes'	=>	'00020',
		'főéh'	=>	'00020',
		'főéte'	=>	'000200',
		'főfl'	=>	'00100',
		'főfr'	=>	'00120',
		'főgl'	=>	'00100',
		'főgn'	=>	'00100',
		'főgr'	=>	'00100',
		'főid'	=>	'00020',
		'főigaz'	=>	'0000001',
		'főita'	=>	'000200',
		'főít'	=>	'00020',
		'főkl'	=>	'00100',
		'főkv'	=>	'00100',
		'főnag'	=>	'002100',
		'főnapj'	=>	'0021000',
		'főpl'	=>	'00100',
		'főpr'	=>	'00100',
		'főraj'	=>	'002100',
		'főrem'	=>	'002000',
		'főres'	=>	'000020',
		'főrék'	=>	'002100',
		'főri'	=>	'00002',
		'főris'	=>	'002100',
		'főrül'	=>	'002000',
		'főrülé'	=>	'0001000',
		'fősl'	=>	'00100',
		'fősö'	=>	'20000',
		'fősta'	=>	'001000',
		'főstr'	=>	'001000',
		'fősz'	=>	'00002',
		'főszl'	=>	'001000',
		'főszp'	=>	'001000',
		'főszt'	=>	'001000',
		'főtr'	=>	'00120',
		'főül'	=>	'00020',
		'főzőé'	=>	'000002',
		'fpla'	=>	'00200',
		'fpro'	=>	'00200',
		'fras'	=>	'00010',
		'fráma'	=>	'000200',
		'frámá'	=>	'000200',
		'fráme'	=>	'000212',
		'fránye'	=>	'0002000',
		'frás'	=>	'02000',
		'fresk'	=>	'020000',
		'fréná'	=>	'000200',
		'frénén'	=>	'0002000',
		'fric'	=>	'12000',
		'frich'	=>	'030000',
		'frig'	=>	'02000',
		'frip'	=>	'03000',
		'fris'	=>	'12000',
		'fronta'	=>	'0000212',
		'fronte'	=>	'0000212',
		'fröc'	=>	'02000',
		'frus'	=>	'02000',
		'fsho'	=>	'00200',
		'fspo'	=>	'00200',
		'fstí'	=>	'00200',
		'fstr'	=>	'00020',
		'ftaj'	=>	'00100',
		'ftakr'	=>	'000100',
		'ftalj'	=>	'001000',
		'ftbl'	=>	'00100',
		'ftef'	=>	'02100',
		'ftem'	=>	'00020',
		'fteme'	=>	'021000',
		'ftig'	=>	'00020',
		'ftige'	=>	'021000',
		'fting'	=>	'021000',
		'ftös'	=>	'00100',
		'ftút'	=>	'00100',
		'ftüg'	=>	'02100',
		'ftüt'	=>	'00100',
		'ftüz'	=>	'02120',
		'fu'	=>	'100',
		'fuga'	=>	'00001',
		'furate'	=>	'0000210',
		'fusas'	=>	'002100',
		'fuseg'	=>	'002000',
		'fusis'	=>	'002000',
		'fuszá'	=>	'002012',
		'fuszol'	=>	'0020100',
		'fuszü'	=>	'002000',
		'futókész'	=>	'000000001',
		'futósp'	=>	'0000120',
		'fú'	=>	'100',
		'fújtal'	=>	'0002000',
		'fúré'	=>	'21200',
		'fúrr'	=>	'21000',
		'fúzs'	=>	'00200',
		'fü'	=>	'100',
		'fügy'	=>	'21200',
		'füla'	=>	'00200',
		'fülá'	=>	'00200',
		'fülec'	=>	'000020',
		'füleml'	=>	'0021000',
		'fülep'	=>	'002120',
		'fülev'	=>	'002120',
		'füléj'	=>	'002120',
		'fülék'	=>	'002120',
		'fülí'	=>	'00200',
		'füll'	=>	'00030',
		'fülo'	=>	'00200',
		'fülő'	=>	'20000',
		'fülőt'	=>	'002000',
		'fült'	=>	'00032',
		'füma'	=>	'00200',
		'fümá'	=>	'00200',
		'füme'	=>	'00210',
		'fümo'	=>	'00200',
		'fümő'	=>	'00200',
		'fümú'	=>	'00200',
		'fünn'	=>	'21000',
		'fürtő'	=>	'000210',
		'füstü'	=>	'000002',
		'füstülé'	=>	'00021000',
		'füté'	=>	'21200',
		'fütő'	=>	'21200',
		'füzl'	=>	'21000',
		'fű'	=>	'100',
		'fűdr'	=>	'00100',
		'fűfr'	=>	'00100',
		'fűpr'	=>	'00100',
		'fűsr'	=>	'00100',
		'fűszerel'	=>	'000002100',
		'fűtr'	=>	'00120',
		'fűzá'	=>	'00200',
		'fűzis'	=>	'002000',
		'fűzo'	=>	'00200',
		'fűzölt'	=>	'0021000',
		'fvárosé'	=>	'00000002',
		'fy'	=>	'100',
		'ga'	=>	'100',
		'gabc'	=>	'21000',
		'gabr'	=>	'20000',
		'gabs'	=>	'21000',
		'gaby'	=>	'00100',
		'gadag'	=>	'212000',
		'gadap'	=>	'010000',
		'gadata'	=>	'2120000',
		'gadatb'	=>	'2120000',
		'gadáss'	=>	'0000010',
		'gadm'	=>	'21000',
		'gadog'	=>	'002000',
		'gadomá'	=>	'2000000',
		'gadóiko'	=>	'00000200',
		'gadósat'	=>	'20000000',
		'gaduk'	=>	'212000',
		'gaer'	=>	'00020',
		'gaff'	=>	'21000',
		'gafl'	=>	'00100',
		'gagg'	=>	'21000',
		'gagrá'	=>	'001200',
		'gagyu'	=>	'002000',
		'gagyú'	=>	'012000',
		'gaján'	=>	'210000',
		'gajk'	=>	'21000',
		'gajt'	=>	'21000',
		'gakad'	=>	'212000',
		'gakác'	=>	'002000',
		'gakc'	=>	'21000',
		'gaké'	=>	'02300',
		'gakév'	=>	'200000',
		'gakl'	=>	'00100',
		'gaknai'	=>	'2000000',
		'gaktu'	=>	'010000',
		'gakv'	=>	'01000',
		'galagú'	=>	'0000210',
		'galat'	=>	'002000',
		'galáf'	=>	'200000',
		'galáí'	=>	'200000',
		'galáv'	=>	'002000',
		'galb'	=>	'21000',
		'galc'	=>	'21000',
		'galege'	=>	'0000212',
		'galk'	=>	'21000',
		'galome'	=>	'0000210',
		'galop'	=>	'300000',
		'galos'	=>	'012000',
		'galud'	=>	'212000',
		'galul'	=>	'002000',
		'galusz'	=>	'0020000',
		'galvó'	=>	'200000',
		'gamagá'	=>	'0021200',
		'gamc'	=>	'21000',
		'gamp'	=>	'21000',
		'ganab'	=>	'002000',
		'ganal'	=>	'212000',
		'gancs'	=>	'200000',
		'gancsal'	=>	'00020000',
		'gancság'	=>	'00000100',
		'gancse'	=>	'0002000',
		'gand'	=>	'00012',
		'gané'	=>	'32000',
		'ganga'	=>	'000200',
		'ganim'	=>	'012000',
		'ganyag'	=>	'0020000',
		'ganyat'	=>	'0020100',
		'ganyel'	=>	'0000020',
		'ganyér'	=>	'0020000',
		'ganyó'	=>	'012000',
		'ganyö'	=>	'002000',
		'gaór'	=>	'00020',
		'gapaá'	=>	'002000',
		'gapac'	=>	'002000',
		'gapas'	=>	'002000',
		'gapán'	=>	'002000',
		'gapát'	=>	'002000',
		'gapl'	=>	'00120',
		'gapok'	=>	'002000',
		'gapób'	=>	'002000',
		'gapók'	=>	'002000',
		'gapón'	=>	'002000',
		'gapóv'	=>	'002000',
		'gapp'	=>	'21000',
		'gapré'	=>	'001200',
		'gapro'	=>	'001000',
		'garatí'	=>	'0000210',
		'garák'	=>	'212000',
		'garány'	=>	'2120000',
		'garén'	=>	'002000',
		'gark'	=>	'00012',
		'garő'	=>	'00200',
		'gaseg'	=>	'002000',
		'gasis'	=>	'002100',
		'gasín'	=>	'002100',
		'gaspi'	=>	'001200',
		'gaspr'	=>	'001000',
		'gassze'	=>	'0003000',
		'gasszí'	=>	'0003000',
		'gast'	=>	'00002',
		'gasta'	=>	'001200',
		'gasto'	=>	'001000',
		'gastr'	=>	'001000',
		'gaszagg'	=>	'00001000',
		'gaszan'	=>	'0020100',
		'gaszág'	=>	'0020000',
		'gaszás'	=>	'0020000',
		'gaszes'	=>	'0020100',
		'gasztár'	=>	'00002000',
		'gatad'	=>	'002120',
		'gatará'	=>	'0001000',
		'gatav'	=>	'002000',
		'gatál'	=>	'002100',
		'gatáram'	=>	'00212000',
		'gateg'	=>	'002100',
		'gatep'	=>	'002000',
		'gatés'	=>	'000020',
		'gathi'	=>	'001000',
		'gatim'	=>	'002000',
		'gatold'	=>	'0001000',
		'gatomi'	=>	'0020000',
		'gauk'	=>	'01200',
		'gaul'	=>	'00200',
		'gaus'	=>	'00200',
		'gavan'	=>	'002000',
		'gavar'	=>	'002000',
		'gavat'	=>	'002000',
		'gavu'	=>	'21200',
		'gazan'	=>	'000020',
		'gazany'	=>	'0001000',
		'gazate'	=>	'0000200',
		'gazál'	=>	'002000',
		'gazd'	=>	'32000',
		'gaze'	=>	'32000',
		'gazer'	=>	'002000',
		'gazg'	=>	'20000',
		'gazítá'	=>	'2000000',
		'gazmuss'	=>	'00000010',
		'gazod'	=>	'200000',
		'gazon'	=>	'200000',
		'gazü'	=>	'00200',
		'gá'	=>	'100',
		'gába'	=>	'02000',
		'gábé'	=>	'21200',
		'gábó'	=>	'02000',
		'gábr'	=>	'21000',
		'gáci'	=>	'32000',
		'gácsava'	=>	'00001200',
		'gácse'	=>	'002000',
		'gácsil'	=>	'0020100',
		'gácsü'	=>	'002000',
		'gáda'	=>	'00002',
		'gádal'	=>	'002100',
		'gádá'	=>	'00200',
		'gádél'	=>	'002100',
		'gádia'	=>	'002100',
		'gádis'	=>	'002000',
		'gádő'	=>	'00200',
		'gádü'	=>	'00210',
		'gáfo'	=>	'00200',
		'gágak'	=>	'002000',
		'gágat'	=>	'002000',
		'gágaz'	=>	'002000',
		'gágg'	=>	'21000',
		'gági'	=>	'21200',
		'gágú'	=>	'21200',
		'gágy'	=>	'21200',
		'gágyasz'	=>	'00001000',
		'gáhí'	=>	'21200',
		'gája'	=>	'02000',
		'gájá'	=>	'02000',
		'gáje'	=>	'00212',
		'gájü'	=>	'00200',
		'gálap'	=>	'000010',
		'gálc'	=>	'21000',
		'gáldo'	=>	'210000',
		'gáles'	=>	'002100',
		'gáli'	=>	'02000',
		'gális'	=>	'300000',
		'gállí'	=>	'210000',
		'gállu'	=>	'210000',
		'gálmo'	=>	'210000',
		'gály'	=>	'32000',
		'gámal'	=>	'002000',
		'gáme'	=>	'00212',
		'gámí'	=>	'21200',
		'gámü'	=>	'00200',
		'gána'	=>	'00002',
		'gánac'	=>	'002000',
		'gánal'	=>	'002000',
		'gánap'	=>	'002000',
		'gánat'	=>	'002100',
		'gánás'	=>	'002000',
		'gáncse'	=>	'0002000',
		'gáncsi'	=>	'0002000',
		'gáncsö'	=>	'0002012',
		'gánd'	=>	'00012',
		'gáne'	=>	'00210',
		'gánig'	=>	'002000',
		'gánio'	=>	'002100',
		'gánis'	=>	'002000',
		'gániz'	=>	'212000',
		'gánol'	=>	'002000',
		'gánó'	=>	'00212',
		'gánsz'	=>	'000102',
		'gánt'	=>	'00002',
		'gántr'	=>	'000100',
		'gánú'	=>	'00210',
		'gánü'	=>	'00200',
		'gányan'	=>	'0020120',
		'gányar'	=>	'0020000',
		'gányas'	=>	'0020100',
		'gánye'	=>	'002012',
		'gányérd'	=>	'00200000',
		'gányérz'	=>	'00200000',
		'gányij'	=>	'0020000',
		'gányká'	=>	'0000002',
		'gányö'	=>	'002000',
		'gápo'	=>	'00200',
		'gárad'	=>	'002000',
		'gárag'	=>	'002100',
		'gáraj'	=>	'002100',
		'gáram'	=>	'212000',
		'gáran'	=>	'002120',
		'gárar'	=>	'002000',
		'gáras'	=>	'002000',
		'gárat'	=>	'002020',
		'gárato'	=>	'0001000',
		'gáratt'	=>	'0001000',
		'gárav'	=>	'002100',
		'gáraz'	=>	'212000',
		'gárág'	=>	'002000',
		'gárál'	=>	'002100',
		'gáráz'	=>	'002120',
		'gáre'	=>	'00202',
		'gárem'	=>	'000100',
		'gáres'	=>	'000100',
		'gáret'	=>	'000100',
		'gáréte'	=>	'0001000',
		'gárif'	=>	'002000',
		'gárip'	=>	'002120',
		'gárisk'	=>	'0021000',
		'gárism'	=>	'0021000',
		'gáriz'	=>	'002100',
		'gárí'	=>	'00200',
		'gárnyé'	=>	'2100000',
		'gárol'	=>	'002100',
		'gárop'	=>	'002000',
		'gárost'	=>	'0001000',
		'gárosz'	=>	'0021000',
		'gáró'	=>	'00002',
		'gárór'	=>	'002100',
		'gárö'	=>	'00200',
		'gárő'	=>	'00200',
		'gárs'	=>	'00012',
		'gártr'	=>	'000100',
		'gárud'	=>	'210000',
		'gárug'	=>	'002000',
		'gáruh'	=>	'212000',
		'gárulá'	=>	'2120000',
		'gáruló'	=>	'2120000',
		'gárur'	=>	'210000',
		'gárus'	=>	'200000',
		'gáruta'	=>	'0001000',
		'gárutu'	=>	'0001000',
		'gárúr'	=>	'002000',
		'gárút'	=>	'002000',
		'gárü'	=>	'00200',
		'gárű'	=>	'00200',
		'gásad'	=>	'002120',
		'gásal'	=>	'002000',
		'gásatá'	=>	'2000000',
		'gáság'	=>	'002120',
		'gásárad'	=>	'00210000',
		'gásárn'	=>	'0021000',
		'gásás'	=>	'212000',
		'gásáto'	=>	'0021200',
		'gáse'	=>	'00212',
		'gásim'	=>	'002100',
		'gásis'	=>	'002000',
		'gásí'	=>	'00200',
		'gásor'	=>	'002000',
		'gásó'	=>	'00200',
		'gásór'	=>	'000120',
		'gásö'	=>	'00200',
		'gáső'	=>	'00200',
		'gásszé'	=>	'0003000',
		'gásszü'	=>	'0003000',
		'gást'	=>	'00002',
		'gástr'	=>	'000100',
		'gásut'	=>	'002000',
		'gásü'	=>	'00212',
		'gásű'	=>	'00200',
		'gászal'	=>	'0020000',
		'gászas'	=>	'0020000',
		'gászatl'	=>	'00200000',
		'gászav'	=>	'0023000',
		'gászál'	=>	'0020100',
		'gásze'	=>	'002012',
		'gászis'	=>	'0020000',
		'gászit'	=>	'0020000',
		'gászí'	=>	'002000',
		'gászká'	=>	'2100000',
		'gászkész'	=>	'000000001',
		'gászokta'	=>	'002010000',
		'gászól'	=>	'0020100',
		'gászón'	=>	'0023000',
		'gászöv'	=>	'0020000',
		'gászü'	=>	'002000',
		'gátad'	=>	'200000',
		'gátaj'	=>	'002000',
		'gátal'	=>	'202000',
		'gátala'	=>	'0001200',
		'gátalj'	=>	'0001000',
		'gátá'	=>	'00002',
		'gátál'	=>	'002000',
		'gátár'	=>	'002100',
		'gátát'	=>	'002000',
		'gátbo'	=>	'210000',
		'gáteg'	=>	'002100',
		'gátel'	=>	'002120',
		'gátem'	=>	'002120',
		'gáten'	=>	'002000',
		'gátél'	=>	'002000',
		'gátér'	=>	'000020',
		'gátére'	=>	'0021000',
		'gátfe'	=>	'200000',
		'gátg'	=>	'21000',
		'gátha'	=>	'210000',
		'gátil'	=>	'002000',
		'gátis'	=>	'002000',
		'gátiz'	=>	'002000',
		'gátí'	=>	'21200',
		'gátmé'	=>	'010000',
		'gátolda'	=>	'00210000',
		'gátó'	=>	'00002',
		'gátór'	=>	'002000',
		'gátö'	=>	'21210',
		'gátő'	=>	'00200',
		'gáttű'	=>	'210000',
		'gátü'	=>	'20202',
		'gátvi'	=>	'010000',
		'gáva'	=>	'02000',
		'gávó'	=>	'01200',
		'gázad'	=>	'002120',
		'gázakn'	=>	'0001000',
		'gázakt'	=>	'0001000',
		'gázal'	=>	'002120',
		'gázar'	=>	'002000',
		'gázat'	=>	'002120',
		'gázav'	=>	'002100',
		'gázárá'	=>	'0021000',
		'gázáre'	=>	'0001000',
		'gázárh'	=>	'0021000',
		'gázárk'	=>	'0021000',
		'gázárn'	=>	'0021000',
		'gázáro'	=>	'0021200',
		'gázárr'	=>	'0021000',
		'gázárt'	=>	'0021000',
		'gázáru'	=>	'0020000',
		'gázásos'	=>	'21200000',
		'gáze'	=>	'00212',
		'gázig'	=>	'000020',
		'gáziga'	=>	'0021000',
		'gázim'	=>	'002000',
		'gázip'	=>	'002120',
		'gázis'	=>	'002120',
		'gáziz'	=>	'002100',
		'gází'	=>	'00200',
		'gázö'	=>	'00200',
		'gáző'	=>	'00200',
		'gázsp'	=>	'000300',
		'gázsta'	=>	'0003000',
		'gázste'	=>	'0003000',
		'gázsug'	=>	'0003000',
		'gázsú'	=>	'002000',
		'gázsü'	=>	'000300',
		'gázsz'	=>	'000300',
		'gázü'	=>	'00200',
		'gbeá'	=>	'00002',
		'gbélá'	=>	'000200',
		'gbérem'	=>	'0002000',
		'gbla'	=>	'00200',
		'gble'	=>	'00200',
		'gblo'	=>	'00200',
		'gblú'	=>	'00200',
		'gbra'	=>	'00200',
		'gbri'	=>	'00200',
		'gbro'	=>	'00200',
		'gbru'	=>	'00200',
		'gcsapá'	=>	'0000002',
		'gcsapág'	=>	'00002100',
		'gdau'	=>	'00020',
		'gdell'	=>	'001000',
		'gdep'	=>	'00012',
		'gdék'	=>	'02120',
		'gdináb'	=>	'0010000',
		'gdináh'	=>	'0010000',
		'gdinár'	=>	'0010000',
		'gdinát'	=>	'0010000',
		'gdináv'	=>	'0010000',
		'gdrá'	=>	'01200',
		'gdre'	=>	'00200',
		'gdro'	=>	'00200',
		'gdtr'	=>	'00120',
		'gdzö'	=>	'02300',
		'ge'	=>	'100',
		'geac'	=>	'00020',
		'geag'	=>	'00020',
		'geal'	=>	'00020',
		'geár'	=>	'00020',
		'gebe'	=>	'02000',
		'gecet'	=>	'012000',
		'geci'	=>	'32000',
		'geddz'	=>	'010000',
		'gedénn'	=>	'2000000',
		'gedény'	=>	'2000000',
		'gedze'	=>	'002000',
		'gedzé'	=>	'002000',
		'gedzi'	=>	'002000',
		'gedző'	=>	'002000',
		'geff'	=>	'21000',
		'gege'	=>	'20000',
		'gegé'	=>	'21200',
		'gegom'	=>	'300000',
		'gegye'	=>	'002000',
		'gegyé'	=>	'002000',
		'gegyo'	=>	'002000',
		'gegyü'	=>	'212000',
		'gehes'	=>	'002000',
		'gehet'	=>	'002000',
		'gehü'	=>	'21200',
		'gejt'	=>	'21000',
		'gekei'	=>	'212000',
		'gekek'	=>	'212000',
		'gekéé'	=>	'212000',
		'gekéj'	=>	'002000',
		'gekék'	=>	'002000',
		'gekli'	=>	'001200',
		'geks'	=>	'21000',
		'gelad'	=>	'010000',
		'gelag'	=>	'002000',
		'gelap'	=>	'320000',
		'gelas'	=>	'002000',
		'gelál'	=>	'002000',
		'gelár'	=>	'002100',
		'gelcs'	=>	'210000',
		'geldo'	=>	'210000',
		'geldö'	=>	'210000',
		'gelef'	=>	'002000',
		'gelegi'	=>	'0020000',
		'gelegy'	=>	'0100000',
		'gelemé'	=>	'2020000',
		'gelemi'	=>	'0020000',
		'gelemk'	=>	'2020000',
		'gelemm'	=>	'2120000',
		'gelemz'	=>	'2120000',
		'gelen'	=>	'000020',
		'gelend'	=>	'3000000',
		'geleng'	=>	'0021000',
		'geleny'	=>	'0021000',
		'geleste'	=>	'00010000',
		'gelev'	=>	'002000',
		'gelég'	=>	'002000',
		'gelésb'	=>	'3200000',
		'gelések'	=>	'32000000',
		'gelésen'	=>	'32000000',
		'gelésén'	=>	'32000000',
		'gelésér'	=>	'32000000',
		'gelésh'	=>	'3200000',
		'gelésk'	=>	'3200000',
		'gelésrő'	=>	'32000000',
		'geléss'	=>	'3200000',
		'geléstő'	=>	'32000000',
		'gelésü'	=>	'3200000',
		'gelész'	=>	'2100000',
		'gelésző'	=>	'30000000',
		'gelészü'	=>	'30000000',
		'gelészv'	=>	'30000000',
		'gelhel'	=>	'2100000',
		'gelhes'	=>	'3200000',
		'gelhet'	=>	'3200000',
		'gelik'	=>	'320000',
		'gelint'	=>	'0001000',
		'gelje'	=>	'320000',
		'geljé'	=>	'320000',
		'geljü'	=>	'320000',
		'gelkü'	=>	'210000',
		'gellenő'	=>	'20000000',
		'gelmé'	=>	'210000',
		'gelnev'	=>	'2100000',
		'gelnén'	=>	'3200000',
		'gelni'	=>	'320000',
		'gelos'	=>	'212000',
		'gelö'	=>	'00200',
		'gelőbbr'	=>	'00200000',
		'gelőbe'	=>	'3200000',
		'gelőbé'	=>	'3000000',
		'gelőbi'	=>	'3000000',
		'gelőbo'	=>	'3000000',
		'gelőbő'	=>	'3200000',
		'gelőc'	=>	'320000',
		'gelőe'	=>	'320000',
		'gelőé'	=>	'320000',
		'gelőg'	=>	'320000',
		'gelőh'	=>	'320000',
		'gelőja'	=>	'3000000',
		'gelőjé'	=>	'3200000',
		'gelőjo'	=>	'3200000',
		'gelőjü'	=>	'3200000',
		'gelőjű'	=>	'3200000',
		'gelőka'	=>	'3200000',
		'gelőkb'	=>	'3200000',
		'gelőkel'	=>	'00200000',
		'gelőker'	=>	'32000000',
		'gelőket'	=>	'32000000',
		'gelőkez'	=>	'32000000',
		'gelőkén'	=>	'32000000',
		'gelőkés'	=>	'21000000',
		'gelőkh'	=>	'3200000',
		'gelőki'	=>	'3200000',
		'gelőkk'	=>	'3200000',
		'gelőkl'	=>	'3000000',
		'gelőkn'	=>	'3200000',
		'gelőkö'	=>	'3200000',
		'gelőkő'	=>	'3000000',
		'gelőkr'	=>	'3200000',
		'gelőkt'	=>	'3000000',
		'gelőku'	=>	'3000000',
		'gelőkü'	=>	'3000000',
		'gelől'	=>	'212000',
		'gelőm'	=>	'210000',
		'gelőna'	=>	'3000000',
		'gelőne'	=>	'3200000',
		'gelőné'	=>	'3200000',
		'gelőnk'	=>	'3200000',
		'gelőnö'	=>	'3000000',
		'gelőnyi'	=>	'30000000',
		'gelőo'	=>	'320000',
		'gelőö'	=>	'300000',
		'gelőő'	=>	'320000',
		'gelőp'	=>	'320000',
		'gelőrés'	=>	'32000000',
		'gelőro'	=>	'3000000',
		'gelőrő'	=>	'3200000',
		'gelősá'	=>	'3000000',
		'gelőso'	=>	'3000000',
		'gelősö'	=>	'3000000',
		'gelősza'	=>	'32000000',
		'gelősze'	=>	'30000000',
		'gelőszé'	=>	'30000000',
		'gelőszi'	=>	'30000000',
		'gelőszó'	=>	'30000000',
		'gelőszö'	=>	'00200000',
		'gelőtá'	=>	'3200000',
		'gelőté'	=>	'2100000',
		'gelőtő'	=>	'3200000',
		'gelőtü'	=>	'3000000',
		'gelőü'	=>	'300000',
		'gelővá'	=>	'3200000',
		'gelőve'	=>	'3200000',
		'gelővé'	=>	'3200000',
		'gelővis'	=>	'30000000',
		'gelőviz'	=>	'30000000',
		'gelőz'	=>	'212000',
		'gelső'	=>	'010000',
		'gelszá'	=>	'2100000',
		'gelszo'	=>	'2100000',
		'geltek'	=>	'3200000',
		'geltem'	=>	'3200000',
		'geltes'	=>	'3000000',
		'geltettn'	=>	'210000000',
		'geltéb'	=>	'3000000',
		'gelték'	=>	'3200000',
		'geltél'	=>	'3000000',
		'geltér'	=>	'2100000',
		'geltét'	=>	'3000000',
		'gelto'	=>	'210000',
		'geltű'	=>	'210000',
		'gelül'	=>	'002000',
		'gelün'	=>	'320000',
		'gelvb'	=>	'210000',
		'gelven'	=>	'2100000',
		'gelvét'	=>	'2100000',
		'gelvh'	=>	'210000',
		'gelvn'	=>	'210000',
		'gelvo'	=>	'210000',
		'gelvr'	=>	'210000',
		'gelvű'	=>	'210000',
		'gelvv'	=>	'210000',
		'gelyeg'	=>	'0020120',
		'gelyid'	=>	'0020000',
		'geman'	=>	'002000',
		'gember'	=>	'2100000',
		'gembl'	=>	'210000',
		'gemel'	=>	'012000',
		'gemelé'	=>	'2000000',
		'gemelk'	=>	'2000000',
		'gemell'	=>	'0030000',
		'gemelő'	=>	'2000000',
		'gemés'	=>	'212000',
		'geml'	=>	'21000',
		'gemoc'	=>	'002000',
		'gemp'	=>	'21000',
		'gena'	=>	'00002',
		'genad'	=>	'002100',
		'genar'	=>	'002000',
		'genas'	=>	'002100',
		'genau'	=>	'002000',
		'genál'	=>	'002100',
		'genár'	=>	'002000',
		'genát'	=>	'002000',
		'gend'	=>	'02000',
		'geneg'	=>	'002100',
		'generá'	=>	'3000000',
		'genere'	=>	'0020000',
		'generg'	=>	'2000000',
		'genesz'	=>	'0021000',
		'genevet'	=>	'00212000',
		'genevez'	=>	'00212000',
		'genék'	=>	'000020',
		'genéké'	=>	'0021000',
		'genékn'	=>	'0021000',
		'genékt'	=>	'0021000',
		'genid'	=>	'000021',
		'genin'	=>	'002100',
		'genis'	=>	'002100',
		'genk'	=>	'00012',
		'genni'	=>	'010000',
		'gennü'	=>	'010000',
		'gennya'	=>	'0003000',
		'genop'	=>	'002000',
		'genor'	=>	'002100',
		'genos'	=>	'002100',
		'gensért'	=>	'00020000',
		'genss'	=>	'000030',
		'gent'	=>	'00002',
		'gentr'	=>	'000100',
		'genur'	=>	'002100',
		'genye'	=>	'020000',
		'genyh'	=>	'210000',
		'genyv'	=>	'010000',
		'genz'	=>	'21000',
		'geob'	=>	'00200',
		'geoc'	=>	'00200',
		'geof'	=>	'00200',
		'geok'	=>	'00200',
		'geom'	=>	'00200',
		'georgia'	=>	'00200000',
		'geot'	=>	'00200',
		'geór'	=>	'00020',
		'geped'	=>	'002000',
		'geper'	=>	'002000',
		'gepés'	=>	'002000',
		'gepi'	=>	'20000',
		'gepos'	=>	'002000',
		'gerab'	=>	'002000',
		'gerad'	=>	'002100',
		'geraj'	=>	'002100',
		'geral'	=>	'002000',
		'geran'	=>	'002120',
		'gerap'	=>	'002120',
		'geras'	=>	'002100',
		'gerau'	=>	'002000',
		'geráb'	=>	'002000',
		'gerág'	=>	'002120',
		'geráll'	=>	'0001000',
		'gerár'	=>	'000020',
		'gerára'	=>	'0021000',
		'gerát'	=>	'002000',
		'gerde'	=>	'010000',
		'gereb'	=>	'320000',
		'geredm'	=>	'2000000',
		'gereg'	=>	'002000',
		'gerege'	=>	'0100000',
		'geregy'	=>	'0001000',
		'gerej'	=>	'212000',
		'gerelők'	=>	'00212000',
		'gereml'	=>	'0021000',
		'gereny'	=>	'0021000',
		'gerer'	=>	'002100',
		'geresz'	=>	'0020000',
		'gerev'	=>	'002120',
		'geréj'	=>	'002000',
		'gerék'	=>	'002100',
		'gerél'	=>	'002000',
		'geréle'	=>	'0001000',
		'gerélé'	=>	'0001200',
		'gerép'	=>	'002100',
		'gerétt'	=>	'0021000',
		'gerina'	=>	'0021200',
		'gering'	=>	'0021000',
		'gerip'	=>	'002120',
		'geris'	=>	'000200',
		'geriz'	=>	'002100',
		'gerog'	=>	'002000',
		'geror'	=>	'002000',
		'gerosz'	=>	'0001000',
		'gerot'	=>	'002000',
		'geró'	=>	'00200',
		'gerök'	=>	'002000',
		'gerön'	=>	'002100',
		'gerő'	=>	'00200',
		'gerők'	=>	'010000',
		'gerőv'	=>	'010000',
		'gerőz'	=>	'000100',
		'geru'	=>	'00002',
		'gerur'	=>	'002000',
		'gerüg'	=>	'002120',
		'gerüld'	=>	'0001000',
		'gerülé'	=>	'0021200',
		'gesá'	=>	'00210',
		'gesc'	=>	'00100',
		'gesd'	=>	'00002',
		'geseb'	=>	'020000',
		'gesei'	=>	'320000',
		'gesel'	=>	'002120',
		'gesemb'	=>	'0021000',
		'gesend'	=>	'0020000',
		'geser'	=>	'212100',
		'gesetb'	=>	'2120000',
		'gesetet'	=>	'21200000',
		'geseté'	=>	'2120000',
		'gesetl'	=>	'0020000',
		'gesetr'	=>	'2120000',
		'gesett'	=>	'2120000',
		'gesél'	=>	'210000',
		'gesés'	=>	'212000',
		'gesik'	=>	'012000',
		'geskü'	=>	'200000',
		'gesleg'	=>	'0000001',
		'gesni'	=>	'010000',
		'geső'	=>	'21200',
		'gesr'	=>	'02000',
		'gess'	=>	'00002',
		'gesség'	=>	'3200000',
		'geste'	=>	'210000',
		'gesté'	=>	'210000',
		'gesti'	=>	'210000',
		'gestj'	=>	'210000',
		'gesvé'	=>	'010000',
		'geszek'	=>	'2120000',
		'geszes'	=>	'0020000',
		'geszet'	=>	'0020000',
		'geszl'	=>	'010000',
		'geszm'	=>	'210000',
		'getak'	=>	'002100',
		'getal'	=>	'002000',
		'getany'	=>	'0021200',
		'getap'	=>	'000100',
		'getas'	=>	'002100',
		'getegy'	=>	'0001200',
		'getetőn'	=>	'21200000',
		'geték'	=>	'002120',
		'getél'	=>	'000020',
		'getéle'	=>	'0001000',
		'getérü'	=>	'0021200',
		'getó'	=>	'00002',
		'getór'	=>	'002100',
		'getőkész'	=>	'000000001',
		'getőrt'	=>	'0001000',
		'getró'	=>	'001200',
		'gettebbé'	=>	'000210000',
		'getut'	=>	'002000',
		'getüz'	=>	'002120',
		'geur'	=>	'00200',
		'geus'	=>	'00020',
		'gevic'	=>	'002000',
		'gevo'	=>	'20000',
		'gevol'	=>	'002000',
		'gevő'	=>	'21200',
		'geyé'	=>	'00100',
		'gezo'	=>	'00200',
		'gezőa'	=>	'000002',
		'gezr'	=>	'21000',
		'gé'	=>	'100',
		'géber'	=>	'002000',
		'gébr'	=>	'21000',
		'gécc'	=>	'00030',
		'géda'	=>	'00212',
		'gédá'	=>	'00212',
		'gédel'	=>	'002120',
		'géder'	=>	'002120',
		'gédesz'	=>	'0021000',
		'gédik'	=>	'002000',
		'gédin'	=>	'002000',
		'gédir'	=>	'002000',
		'gédí'	=>	'00200',
		'gédo'	=>	'00210',
		'gédö'	=>	'00200',
		'gédő'	=>	'00212',
		'gédu'	=>	'00212',
		'gédú'	=>	'00212',
		'gédü'	=>	'00002',
		'gédülé'	=>	'0021000',
		'gédű'	=>	'00200',
		'gédz'	=>	'00230',
		'gégi'	=>	'00200',
		'gégő'	=>	'00200',
		'gégü'	=>	'00200',
		'géhek'	=>	'212000',
		'géhen'	=>	'212000',
		'géhes'	=>	'212000',
		'géhet'	=>	'212000',
		'géhh'	=>	'21000',
		'géhs'	=>	'21000',
		'géjért'	=>	'0020000',
		'géjh'	=>	'21000',
		'géjj'	=>	'21000',
		'géjs'	=>	'21000',
		'gékei'	=>	'002000',
		'gékel'	=>	'012000',
		'gékes'	=>	'012000',
		'gékess'	=>	'0000010',
		'gékez'	=>	'012000',
		'géks'	=>	'21000',
		'gélál'	=>	'002000',
		'gélel'	=>	'002000',
		'géles'	=>	'200000',
		'gélet'	=>	'212000',
		'gélez'	=>	'212000',
		'gélén'	=>	'002000',
		'gélm'	=>	'21000',
		'gélvvá'	=>	'0000002',
		'gélya'	=>	'002000',
		'gélyá'	=>	'002000',
		'gélyeg'	=>	'0020000',
		'gélyo'	=>	'002000',
		'gélyú'	=>	'002000',
		'géma'	=>	'00212',
		'gémá'	=>	'00210',
		'gémb'	=>	'02000',
		'gémeg'	=>	'002100',
		'gémel'	=>	'002000',
		'gémer'	=>	'002000',
		'gémér'	=>	'002000',
		'gémo'	=>	'00210',
		'géna'	=>	'00002',
		'génab'	=>	'002000',
		'génad'	=>	'002100',
		'génag'	=>	'002000',
		'génal'	=>	'002100',
		'génan'	=>	'002100',
		'génar'	=>	'002100',
		'génat'	=>	'002100',
		'géná'	=>	'00002',
		'génár'	=>	'002100',
		'génát'	=>	'002000',
		'génd'	=>	'32000',
		'géneg'	=>	'002000',
		'génekes'	=>	'20000000',
		'génekl'	=>	'2000000',
		'génel'	=>	'002120',
		'géner'	=>	'002120',
		'génet'	=>	'002120',
		'génég'	=>	'002120',
		'génin'	=>	'002100',
		'géní'	=>	'00200',
		'génn'	=>	'02000',
		'génó'	=>	'00200',
		'génö'	=>	'00210',
		'gént'	=>	'00002',
		'génú'	=>	'00200',
		'génü'	=>	'00002',
		'gény'	=>	'02000',
		'gényeg'	=>	'0020120',
		'gényid'	=>	'0020000',
		'gényis'	=>	'0020000',
		'gényír'	=>	'0020000',
		'gényo'	=>	'002000',
		'gényö'	=>	'002000',
		'gényú'	=>	'002000',
		'gépa'	=>	'00212',
		'gépá'	=>	'00212',
		'gépeg'	=>	'002120',
		'gépel'	=>	'300000',
		'gépell'	=>	'0021000',
		'gépesé'	=>	'0021000',
		'gépesz'	=>	'0021000',
		'gépik'	=>	'002000',
		'gépí'	=>	'00200',
		'gépít'	=>	'210000',
		'gépo'	=>	'00212',
		'gépó'	=>	'00200',
		'gépö'	=>	'00200',
		'gépő'	=>	'00200',
		'gépp'	=>	'32000',
		'géptáv'	=>	'0000020',
		'gépu'	=>	'00210',
		'gépú'	=>	'00200',
		'gépülé'	=>	'0020000',
		'géra'	=>	'00002',
		'gérag'	=>	'002000',
		'gérak'	=>	'002000',
		'géral'	=>	'002000',
		'géran'	=>	'002100',
		'gérap'	=>	'002000',
		'gérar'	=>	'002000',
		'géras'	=>	'002000',
		'gérá'	=>	'00200',
		'gérd'	=>	'21000',
		'gérel'	=>	'002100',
		'géreml'	=>	'0001000',
		'géret'	=>	'200000',
		'gérie'	=>	'002000',
		'gérin'	=>	'212000',
		'géris'	=>	'002000',
		'gérká'	=>	'000002',
		'gérl'	=>	'20000',
		'gérm'	=>	'20000',
		'géro'	=>	'00200',
		'gérö'	=>	'00200',
		'gérők'	=>	'200000',
		'gérte'	=>	'200000',
		'gérté'	=>	'200000',
		'gérth'	=>	'200000',
		'gérti'	=>	'010000',
		'gértj'	=>	'010000',
		'gértl'	=>	'010000',
		'gértőe'	=>	'0100000',
		'gértők'	=>	'0100000',
		'gértőv'	=>	'0100000',
		'gérts'	=>	'010000',
		'gértv'	=>	'010000',
		'géru'	=>	'00212',
		'gérú'	=>	'00210',
		'gérvé'	=>	'200000',
		'gérz'	=>	'21000',
		'gérzá'	=>	'300000',
		'gésar'	=>	'002000',
		'géseg'	=>	'002000',
		'gésel'	=>	'002120',
		'géség'	=>	'002120',
		'gésim'	=>	'002000',
		'géso'	=>	'00210',
		'gésó'	=>	'00200',
		'géssza'	=>	'0003000',
		'gésza'	=>	'002000',
		'gészav'	=>	'0003000',
		'gészá'	=>	'002000',
		'gészítőü'	=>	'300000000',
		'gészo'	=>	'002010',
		'gészó'	=>	'002000',
		'gétel'	=>	'212000',
		'géter'	=>	'002000',
		'gétet'	=>	'002000',
		'gétk'	=>	'21000',
		'géto'	=>	'21200',
		'gétr'	=>	'21000',
		'gétt'	=>	'21000',
		'gévb'	=>	'21000',
		'géved'	=>	'212000',
		'gévei'	=>	'200000',
		'gévek'	=>	'212000',
		'géven'	=>	'212000',
		'gévet'	=>	'212000',
		'gévéb'	=>	'002000',
		'gévén'	=>	'212000',
		'gévét'	=>	'212000',
		'gévév'	=>	'212000',
		'gévf'	=>	'21000',
		'gévi'	=>	'21200',
		'gévj'	=>	'21000',
		'gévk'	=>	'21000',
		'gévn'	=>	'21000',
		'gévr'	=>	'21000',
		'gévs'	=>	'21000',
		'gévt'	=>	'21000',
		'gévv'	=>	'21000',
		'gézan'	=>	'002000',
		'gézőr'	=>	'002000',
		'gézs'	=>	'00032',
		'gfalad'	=>	'0000020',
		'gfalada'	=>	'00021000',
		'gfale'	=>	'000200',
		'gfiúké'	=>	'0002000',
		'gfla'	=>	'00200',
		'gflo'	=>	'00200',
		'gfló'	=>	'00200',
		'gflu'	=>	'00200',
		'gfölüle'	=>	'00021000',
		'gfra'	=>	'01200',
		'gfrá'	=>	'00200',
		'gfre'	=>	'01200',
		'gfrí'	=>	'00200',
		'gfro'	=>	'01200',
		'gfrö'	=>	'01200',
		'gfru'	=>	'00200',
		'ggap'	=>	'02120',
		'ggarc'	=>	'001000',
		'ggas'	=>	'00020',
		'ggaszá'	=>	'0210000',
		'ggaszó'	=>	'0210000',
		'ggelest'	=>	'00020000',
		'ggéss'	=>	'000030',
		'ggita'	=>	'001200',
		'ggiz'	=>	'02100',
		'ggorv'	=>	'001000',
		'ggón'	=>	'00020',
		'ggóni'	=>	'021000',
		'ggős'	=>	'00002',
		'ggraf'	=>	'012000',
		'ggran'	=>	'012000',
		'ggre'	=>	'02000',
		'ggro'	=>	'00200',
		'ggsp'	=>	'00100',
		'ggüg'	=>	'02120',
		'ggy'	=>	'0200',
		'ggyak'	=>	'030000',
		'ggyalá'	=>	'0300000',
		'ggyap'	=>	'030000',
		'ggyara'	=>	'0300000',
		'ggyaro'	=>	'0001000',
		'ggyat'	=>	'030000',
		'ggyár'	=>	'030000',
		'ggyáv'	=>	'030000',
		'ggyáz'	=>	'000120',
		'ggyelő'	=>	'0001200',
		'ggyeng'	=>	'0300000',
		'ggyep'	=>	'030000',
		'ggyer'	=>	'030000',
		'ggyérü'	=>	'0300000',
		'ggyil'	=>	'030000',
		'ggyol'	=>	'000100',
		'ggyom'	=>	'030000',
		'ggyor'	=>	'030000',
		'ggyó'	=>	'03000',
		'ggyö'	=>	'03000',
		'ggyő'	=>	'03000',
		'ggyu'	=>	'03000',
		'ggyút'	=>	'040000',
		'ggyült'	=>	'0001000',
		'ggyür'	=>	'030000',
		'ggyű'	=>	'03000',
		'ghade'	=>	'000212',
		'ghajóiko'	=>	'000000200',
		'ghamb'	=>	'020000',
		'ghame'	=>	'020000',
		'ghamh'	=>	'020000',
		'ghamm'	=>	'020000',
		'ghamn'	=>	'020000',
		'ghamr'	=>	'020000',
		'ghamt'	=>	'020000',
		'ghasábr'	=>	'00020000',
		'ghia'	=>	'02000',
		'ghy'	=>	'1000',
		'gi'	=>	'100',
		'giaa'	=>	'00200',
		'giaá'	=>	'00200',
		'giab'	=>	'00012',
		'giaba'	=>	'002000',
		'giabá'	=>	'002000',
		'giabi'	=>	'002000',
		'giabo'	=>	'002000',
		'giac'	=>	'00200',
		'giad'	=>	'00212',
		'giae'	=>	'00200',
		'giaé'	=>	'00200',
		'giaf'	=>	'00010',
		'giafr'	=>	'002000',
		'giag'	=>	'00212',
		'giah'	=>	'00200',
		'giaim'	=>	'002000',
		'giaí'	=>	'00200',
		'giaj'	=>	'00200',
		'giakar'	=>	'0020000',
		'giakas'	=>	'0020000',
		'giala'	=>	'002000',
		'gialá'	=>	'002000',
		'gialé'	=>	'002000',
		'giam'	=>	'00200',
		'gianó'	=>	'002000',
		'giany'	=>	'002000',
		'giao'	=>	'00200',
		'giaó'	=>	'00200',
		'giaö'	=>	'00200',
		'giaő'	=>	'00200',
		'giap'	=>	'00212',
		'giar'	=>	'00200',
		'giasz'	=>	'000102',
		'giasza'	=>	'0020000',
		'giaszá'	=>	'0020000',
		'giaszem'	=>	'00200000',
		'giaszé'	=>	'0020000',
		'giaszf'	=>	'0020000',
		'giaszi'	=>	'0020000',
		'giaszo'	=>	'0020000',
		'giaszó'	=>	'0020000',
		'giat'	=>	'00200',
		'giatr'	=>	'000120',
		'giau'	=>	'00202',
		'giaú'	=>	'00200',
		'giaü'	=>	'00200',
		'giaű'	=>	'00200',
		'giav'	=>	'00200',
		'giaz'	=>	'00200',
		'gibr'	=>	'20000',
		'gidea'	=>	'212000',
		'gideá'	=>	'212000',
		'gideg'	=>	'212000',
		'gidei'	=>	'002000',
		'gidej'	=>	'200000',
		'gideo'	=>	'212000',
		'gidé'	=>	'21200',
		'gidió'	=>	'002000',
		'gido'	=>	'21200',
		'gidő'	=>	'21200',
		'gifl'	=>	'00100',
		'gigad'	=>	'000100',
		'gigara'	=>	'0001000',
		'gigass'	=>	'0001000',
		'gigau'	=>	'000100',
		'gigaz'	=>	'200000',
		'gigál'	=>	'000100',
		'gigec'	=>	'000120',
		'gigeg'	=>	'000100',
		'gigeh'	=>	'000100',
		'gigeng'	=>	'0001000',
		'gigenn'	=>	'0001000',
		'giger'	=>	'000020',
		'gigere'	=>	'0001000',
		'giges'	=>	'000120',
		'giget'	=>	'000100',
		'gigev'	=>	'000120',
		'gigé'	=>	'00200',
		'gigéh'	=>	'000100',
		'gigél'	=>	'000120',
		'gigém'	=>	'000100',
		'gigéne'	=>	'0001200',
		'gigér'	=>	'000120',
		'gigéz'	=>	'210000',
		'gigg'	=>	'00030',
		'gigi'	=>	'00212',
		'gigí'	=>	'00200',
		'gigo'	=>	'00212',
		'gigó'	=>	'00212',
		'gigö'	=>	'00210',
		'gigu'	=>	'00210',
		'gigú'	=>	'00200',
		'gigü'	=>	'00210',
		'gigű'	=>	'00200',
		'gigy'	=>	'01200',
		'giha'	=>	'21200',
		'gihl'	=>	'21000',
		'gijes'	=>	'200000',
		'giker'	=>	'002000',
		'gikes'	=>	'002000',
		'gile'	=>	'30000',
		'gill'	=>	'01000',
		'giman'	=>	'002000',
		'gimáb'	=>	'002000',
		'gimád'	=>	'200000',
		'gimár'	=>	'002000',
		'gimáz'	=>	'212000',
		'gimp'	=>	'21000',
		'ginap'	=>	'000012',
		'ginas'	=>	'002000',
		'gináz'	=>	'002120',
		'gind'	=>	'21000',
		'giné'	=>	'30000',
		'ginf'	=>	'20000',
		'ginkv'	=>	'210000',
		'ginná'	=>	'010000',
		'ginni'	=>	'010000',
		'ginno'	=>	'010000',
		'ginnu'	=>	'010000',
		'ginp'	=>	'21000',
		'gins'	=>	'20000',
		'ginta'	=>	'210000',
		'gintc'	=>	'300000',
		'ginte'	=>	'210000',
		'ginté'	=>	'210000',
		'ginth'	=>	'010000',
		'ginti'	=>	'010000',
		'gintj'	=>	'010000',
		'gints'	=>	'010000',
		'gintu'	=>	'010000',
		'gintv'	=>	'010000',
		'ginv'	=>	'21000',
		'ginz'	=>	'21000',
		'gione'	=>	'002000',
		'gioné'	=>	'210000',
		'giono'	=>	'002000',
		'giot'	=>	'00200',
		'gióa'	=>	'00200',
		'gióá'	=>	'00200',
		'gióc'	=>	'00200',
		'gióe'	=>	'00200',
		'gióf'	=>	'00200',
		'gióg'	=>	'00200',
		'gióká'	=>	'002000',
		'giókom'	=>	'0020000',
		'giól'	=>	'00200',
		'gióp'	=>	'00210',
		'giórá'	=>	'002000',
		'giósp'	=>	'002100',
		'gióta'	=>	'002000',
		'giótá'	=>	'002000',
		'gióú'	=>	'00200',
		'gióü'	=>	'00200',
		'gióz'	=>	'00200',
		'gipa'	=>	'21200',
		'gips'	=>	'32000',
		'gipsza'	=>	'0002000',
		'gipszá'	=>	'0002000',
		'gipszo'	=>	'0002000',
		'giram'	=>	'002000',
		'girat'	=>	'212000',
		'girá'	=>	'21200',
		'girig'	=>	'002000',
		'giro'	=>	'20000',
		'girod'	=>	'002000',
		'girón'	=>	'212000',
		'girt'	=>	'21000',
		'gisc'	=>	'01000',
		'gisi'	=>	'21200',
		'gisk'	=>	'21000',
		'gisl'	=>	'21000',
		'gism'	=>	'21000',
		'gisp'	=>	'21000',
		'gistál'	=>	'2100000',
		'giste'	=>	'210000',
		'giszá'	=>	'212000',
		'giszo'	=>	'212000',
		'giszu'	=>	'002000',
		'gitas'	=>	'002000',
		'gitá'	=>	'02000',
		'gitác'	=>	'200000',
		'giti'	=>	'32000',
		'gitte'	=>	'300000',
		'gittu'	=>	'010000',
		'givad'	=>	'212000',
		'givás'	=>	'212000',
		'givo'	=>	'01200',
		'givó'	=>	'21200',
		'gizév'	=>	'002000',
		'gizo'	=>	'21200',
		'gí'	=>	'100',
		'gígé'	=>	'00200',
		'gíja'	=>	'00200',
		'gíjá'	=>	'00200',
		'gíma'	=>	'00212',
		'gímá'	=>	'00200',
		'gíné'	=>	'00200',
		'gíny'	=>	'00200',
		'gíra'	=>	'00200',
		'gírá'	=>	'00200',
		'gíre'	=>	'00200',
		'gíri'	=>	'00200',
		'gíro'	=>	'00200',
		'gíró'	=>	'00200',
		'gítész'	=>	'0120000',
		'gívá'	=>	'00200',
		'gíve'	=>	'00200',
		'gívé'	=>	'00200',
		'gívo'	=>	'00200',
		'gívó'	=>	'00200',
		'gívü'	=>	'00200',
		'gíze'	=>	'00200',
		'gízü'	=>	'00200',
		'gízű'	=>	'00200',
		'gkarór'	=>	'0002020',
		'gképel'	=>	'0002120',
		'gkiadóná'	=>	'000030000',
		'gkiá'	=>	'00002',
		'gkiss'	=>	'000010',
		'gkla'	=>	'00200',
		'gkli'	=>	'00200',
		'gklí'	=>	'00200',
		'gklo'	=>	'00200',
		'gkló'	=>	'00200',
		'gklu'	=>	'00200',
		'gközén'	=>	'0002000',
		'gközér'	=>	'0002100',
		'gkővá'	=>	'000002',
		'gkra'	=>	'00200',
		'gkrá'	=>	'00200',
		'gkre'	=>	'00200',
		'gkré'	=>	'00200',
		'gkri'	=>	'00200',
		'gkrí'	=>	'00200',
		'gkro'	=>	'00200',
		'gkró'	=>	'00200',
		'gkva'	=>	'00200',
		'gkvó'	=>	'00200',
		'glapl'	=>	'000120',
		'glast'	=>	'000120',
		'glat'	=>	'00030',
		'glásza'	=>	'0002000',
		'glega'	=>	'000212',
		'glegel'	=>	'0000020',
		'glegelé'	=>	'00021000',
		'gleí'	=>	'00002',
		'gleta'	=>	'000212',
		'gletá'	=>	'000200',
		'gletel'	=>	'0002100',
		'gletérőt'	=>	'000212000',
		'gletétn'	=>	'00021000',
		'gletos'	=>	'0002000',
		'gleü'	=>	'00002',
		'glényel'	=>	'00020000',
		'glor'	=>	'02000',
		'glos'	=>	'12000',
		'glóó'	=>	'00002',
		'glós'	=>	'00002',
		'glőre'	=>	'000002',
		'glőreg'	=>	'0002000',
		'glőrel'	=>	'0002000',
		'glőro'	=>	'000200',
		'gmega'	=>	'000212',
		'gmege'	=>	'000210',
		'gmegé'	=>	'000210',
		'gmenss'	=>	'0000010',
		'gmensz'	=>	'0000200',
		'gmuss'	=>	'000030',
		'gnad'	=>	'00020',
		'gnada'	=>	'001000',
		'gnaj'	=>	'02120',
		'gnalk'	=>	'021000',
		'gnape'	=>	'000200',
		'gnar'	=>	'02120',
		'gnáb'	=>	'12000',
		'gnáh'	=>	'12000',
		'gnái'	=>	'12000',
		'gnáná'	=>	'020000',
		'gnára'	=>	'020000',
		'gnász'	=>	'000230',
		'gnátó'	=>	'020000',
		'gnáv'	=>	'12000',
		'gnbr'	=>	'00100',
		'gnei'	=>	'00020',
		'gnel'	=>	'02120',
		'gnemel'	=>	'0002120',
		'gnesir'	=>	'0002000',
		'gness'	=>	'000030',
		'gneszá'	=>	'0002000',
		'gneto'	=>	'000001',
		'gnél'	=>	'00020',
		'gnéle'	=>	'021000',
		'gnéva'	=>	'000010',
		'gnévá'	=>	'000210',
		'gnig'	=>	'00020',
		'gniga'	=>	'021000',
		'gning'	=>	'021000',
		'gnip'	=>	'02120',
		'gnir'	=>	'02120',
		'gnis'	=>	'02100',
		'gnita'	=>	'000012',
		'gnitel'	=>	'0002000',
		'gnokt'	=>	'021000',
		'gnol'	=>	'02000',
		'gnolt'	=>	'001000',
		'gnora'	=>	'120000',
		'gnore'	=>	'120000',
		'gnoré'	=>	'120000',
		'gnök'	=>	'00100',
		'gnös'	=>	'00100',
		'gnpr'	=>	'00100',
		'gnsk'	=>	'00120',
		'gnst'	=>	'00100',
		'gntr'	=>	'00120',
		'gnúj'	=>	'02000',
		'gnüg'	=>	'00100',
		'gnüz'	=>	'00100',
		'go'	=>	'100',
		'goáz'	=>	'00200',
		'gobe'	=>	'00200',
		'gobj'	=>	'21000',
		'godú'	=>	'21200',
		'goet'	=>	'00200',
		'gokad'	=>	'000120',
		'gokai'	=>	'012000',
		'gokal'	=>	'212120',
		'goká'	=>	'21200',
		'goki'	=>	'00002',
		'gokir'	=>	'000100',
		'goklá'	=>	'000002',
		'gokm'	=>	'21000',
		'gokok'	=>	'012000',
		'gokos'	=>	'212000',
		'gokot'	=>	'012000',
		'gokoz'	=>	'212000',
		'gokta'	=>	'210000',
		'golaj'	=>	'212000',
		'golal'	=>	'002120',
		'golda'	=>	'210000',
		'goldá'	=>	'210000',
		'goldó'	=>	'210000',
		'golfa'	=>	'000210',
		'golfe'	=>	'000210',
		'golfin'	=>	'0002000',
		'golim'	=>	'002000',
		'golórá'	=>	'0021200',
		'goltalo'	=>	'20000000',
		'goltár'	=>	'2100000',
		'goltás'	=>	'2100000',
		'goltv'	=>	'210000',
		'golvad'	=>	'2000000',
		'golvas'	=>	'2000000',
		'gomas'	=>	'002100',
		'gomb'	=>	'32000',
		'gombárn'	=>	'00021000',
		'gombárt'	=>	'00021000',
		'gombe'	=>	'000212',
		'gome'	=>	'32000',
		'goml'	=>	'21000',
		'gonato'	=>	'0021200',
		'gonáll'	=>	'0021000',
		'goncc'	=>	'000030',
		'gondá'	=>	'000212',
		'gondi'	=>	'000002',
		'gondik'	=>	'0002000',
		'gondoks'	=>	'00020000',
		'gondor'	=>	'0002100',
		'gondó'	=>	'000200',
		'gone'	=>	'00212',
		'gonga'	=>	'000210',
		'gongál'	=>	'0002000',
		'gono'	=>	'02000',
		'gonol'	=>	'002000',
		'gonto'	=>	'210000',
		'gonü'	=>	'00200',
		'gonye'	=>	'002000',
		'good'	=>	'00200',
		'gopá'	=>	'00200',
		'gope'	=>	'21200',
		'gorass'	=>	'0001000',
		'gorasz'	=>	'0000002',
		'gorat'	=>	'000012',
		'goráll'	=>	'0001000',
		'gorc'	=>	'21000',
		'gorel'	=>	'002100',
		'gorie'	=>	'200000',
		'gorm'	=>	'21000',
		'goroz'	=>	'002000',
		'gorö'	=>	'00200',
		'gorz'	=>	'20000',
		'gose'	=>	'00200',
		'gosö'	=>	'00200',
		'gosto'	=>	'200000',
		'gostr'	=>	'210000',
		'gosty'	=>	'010000',
		'gosü'	=>	'00200',
		'gosza'	=>	'002300',
		'goszá'	=>	'002300',
		'goszó'	=>	'002000',
		'goua'	=>	'00200',
		'goub'	=>	'00200',
		'goud'	=>	'00200',
		'gour'	=>	'00200',
		'gout'	=>	'00200',
		'govác'	=>	'002000',
		'gove'	=>	'21200',
		'goxi'	=>	'00200',
		'goya'	=>	'00100',
		'goyá'	=>	'00100',
		'gó'	=>	'100',
		'góad'	=>	'00020',
		'góág'	=>	'00020',
		'góár'	=>	'00020',
		'góbl'	=>	'00100',
		'góch'	=>	'00230',
		'gócol'	=>	'002100',
		'gócsapá'	=>	'00000002',
		'gócsapág'	=>	'000002100',
		'gócü'	=>	'00200',
		'gódán'	=>	'212000',
		'gódiv'	=>	'002000',
		'gódru'	=>	'001000',
		'gófr'	=>	'00120',
		'góív'	=>	'00020',
		'gókl'	=>	'00100',
		'gókré'	=>	'001000',
		'gólar'	=>	'002000',
		'gólel'	=>	'000020',
		'gólelő'	=>	'0001000',
		'góléh'	=>	'002120',
		'gólí'	=>	'00200',
		'gólü'	=>	'00200',
		'gónu'	=>	'21200',
		'góór'	=>	'00020',
		'gópl'	=>	'00120',
		'gópr'	=>	'00120',
		'górad'	=>	'012000',
		'góras'	=>	'012000',
		'góráka'	=>	'0020000',
		'górár'	=>	'002000',
		'góro'	=>	'32000',
		'gósa'	=>	'32000',
		'gósaj'	=>	'002100',
		'góská'	=>	'001200',
		'gósp'	=>	'00120',
		'gósrá'	=>	'001200',
		'góss'	=>	'00030',
		'gósta'	=>	'001200',
		'góstá'	=>	'001000',
		'góstr'	=>	'001000',
		'gósz'	=>	'00102',
		'gószám'	=>	'0023000',
		'gószáras'	=>	'002300000',
		'gószárá'	=>	'00230000',
		'gószárú'	=>	'00030000',
		'gótau'	=>	'002000',
		'gótis'	=>	'002100',
		'gótré'	=>	'001000',
		'gótri'	=>	'001000',
		'góval'	=>	'320000',
		'góvod'	=>	'200000',
		'góvó'	=>	'21200',
		'góvu'	=>	'00200',
		'gózá'	=>	'32000',
		'gózi'	=>	'32000',
		'gózo'	=>	'32000',
		'gózu'	=>	'32000',
		'gö'	=>	'100',
		'göbl'	=>	'21000',
		'göko'	=>	'21200',
		'göku'	=>	'00200',
		'gölá'	=>	'21200',
		'gölb'	=>	'21000',
		'göle'	=>	'01200',
		'gölr'	=>	'21000',
		'gömb'	=>	'32000',
		'gömba'	=>	'000210',
		'gömbe'	=>	'000002',
		'gömbel'	=>	'0002000',
		'gömber'	=>	'0002100',
		'göml'	=>	'21000',
		'göna'	=>	'21200',
		'göná'	=>	'01200',
		'göne'	=>	'00200',
		'gönö'	=>	'00200',
		'gönt'	=>	'20000',
		'göra'	=>	'00200',
		'görb'	=>	'32000',
		'görc'	=>	'32000',
		'görcsa'	=>	'0002000',
		'görcsá'	=>	'0002000',
		'görcsel'	=>	'00020000',
		'görcső'	=>	'0002000',
		'gördí'	=>	'300000',
		'gördü'	=>	'300000',
		'göre'	=>	'21200',
		'görg'	=>	'32000',
		'görn'	=>	'32000',
		'görök'	=>	'002000',
		'görü'	=>	'01200',
		'görv'	=>	'20000',
		'gösé'	=>	'00002',
		'gösén'	=>	'002100',
		'gössz'	=>	'210000',
		'gösz'	=>	'21000',
		'götl'	=>	'21000',
		'gövb'	=>	'01000',
		'göve'	=>	'01200',
		'gövé'	=>	'01200',
		'gövh'	=>	'01000',
		'gövn'	=>	'01000',
		'gövö'	=>	'01200',
		'gövr'	=>	'01000',
		'gövt'	=>	'01000',
		'gövü'	=>	'01200',
		'gövű'	=>	'01200',
		'gövv'	=>	'01000',
		'gő'	=>	'100',
		'gőan'	=>	'00020',
		'gőág'	=>	'00020',
		'gőbr'	=>	'00100',
		'gőel'	=>	'00020',
		'gőer'	=>	'00020',
		'gőéb'	=>	'00020',
		'gőfr'	=>	'00100',
		'gőgl'	=>	'00100',
		'gőgő'	=>	'00212',
		'gőita'	=>	'000200',
		'gőkl'	=>	'00100',
		'gőkv'	=>	'00100',
		'gőnyá'	=>	'000002',
		'gőpl'	=>	'00100',
		'gőpr'	=>	'00100',
		'gőrb'	=>	'01000',
		'gőrh'	=>	'01000',
		'gőrit'	=>	'020000',
		'gőriz'	=>	'002000',
		'gőrj'	=>	'21000',
		'gőrk'	=>	'01000',
		'gőrl'	=>	'21000',
		'gőrn'	=>	'01000',
		'gőrök'	=>	'002000',
		'gőrr'	=>	'21000',
		'gőrs'	=>	'01000',
		'gőrt'	=>	'01000',
		'gőrü'	=>	'21200',
		'gőrz'	=>	'21000',
		'gőrzősö'	=>	'30000000',
		'gősep'	=>	'002100',
		'gősib'	=>	'002000',
		'gőspi'	=>	'001000',
		'gősta'	=>	'001000',
		'gősüv'	=>	'002120',
		'gőtr'	=>	'00100',
		'gőut'	=>	'00020',
		'gőül'	=>	'00020',
		'gőzát'	=>	'002000',
		'gőzeg'	=>	'002000',
		'gőzek'	=>	'002120',
		'gőzel'	=>	'002120',
		'gőzo'	=>	'00210',
		'gőzős'	=>	'000020',
		'gőzsö'	=>	'002000',
		'gőzsu'	=>	'002300',
		'gőzsű'	=>	'002300',
		'gőzú'	=>	'00200',
		'gpech'	=>	'000230',
		'gpelu'	=>	'001200',
		'gpiacio'	=>	'00002120',
		'gpla'	=>	'00200',
		'gplá'	=>	'00200',
		'gple'	=>	'00200',
		'gplu'	=>	'00200',
		'gponga'	=>	'0000200',
		'gpore'	=>	'000200',
		'gpra'	=>	'00200',
		'gprá'	=>	'00200',
		'gpre'	=>	'00200',
		'gpré'	=>	'00200',
		'gpri'	=>	'00200',
		'gprí'	=>	'00200',
		'gpro'	=>	'00200',
		'gpró'	=>	'00200',
		'gprű'	=>	'00200',
		'gpsz'	=>	'00200',
		'graff'	=>	'100000',
		'grafo'	=>	'000001',
		'gramad'	=>	'0002000',
		'gramaj'	=>	'0002000',
		'gramal'	=>	'0002000',
		'gramar'	=>	'0002120',
		'gramas'	=>	'0002100',
		'gramaz'	=>	'0000120',
		'gramá'	=>	'000212',
		'grame'	=>	'000212',
		'gramérté'	=>	'000210000',
		'gramik'	=>	'0002000',
		'gramin'	=>	'0002100',
		'gramis'	=>	'0002100',
		'grammj'	=>	'1000000',
		'gramu'	=>	'000002',
		'gramut'	=>	'0002000',
		'grap'	=>	'12010',
		'graví'	=>	'120000',
		'grácsi'	=>	'0002010',
		'gráfa'	=>	'000002',
		'gráfan'	=>	'1202100',
		'gráfb'	=>	'120000',
		'gráfe'	=>	'000212',
		'gráffe'	=>	'1200000',
		'gráfid'	=>	'1000000',
		'gráfl'	=>	'120000',
		'gráft'	=>	'120000',
		'grálát'	=>	'0002000',
		'grále'	=>	'000212',
		'gráná'	=>	'020000',
		'gránd'	=>	'000010',
		'gráni'	=>	'020000',
		'grárá'	=>	'000200',
		'grárip'	=>	'0002120',
		'grásza'	=>	'0002300',
		'gree'	=>	'00020',
		'grendő'	=>	'0000212',
		'gril'	=>	'02000',
		'grilla'	=>	'0000210',
		'grisá'	=>	'000210',
		'griss'	=>	'000030',
		'grisü'	=>	'000002',
		'grisüt'	=>	'0002000',
		'gríz'	=>	'02000',
		'gróa'	=>	'00002',
		'gróá'	=>	'00002',
		'grófa'	=>	'000210',
		'grófú'	=>	'000200',
		'gróp'	=>	'00010',
		'grup'	=>	'12000',
		'gságg'	=>	'000010',
		'gségel'	=>	'0002000',
		'gsho'	=>	'00200',
		'gska'	=>	'00200',
		'gská'	=>	'00200',
		'gsko'	=>	'00200',
		'gskr'	=>	'00020',
		'gsla'	=>	'00200',
		'gslá'	=>	'00200',
		'gsli'	=>	'00200',
		'gsmá'	=>	'00200',
		'gsmi'	=>	'00200',
		'gsmu'	=>	'00200',
		'gsná'	=>	'00200',
		'gsoko'	=>	'000210',
		'gsorss'	=>	'0000030',
		'gspa'	=>	'00200',
		'gspá'	=>	'00200',
		'gspe'	=>	'00200',
		'gspé'	=>	'00200',
		'gspi'	=>	'00200',
		'gspo'	=>	'00200',
		'gspó'	=>	'00200',
		'gspr'	=>	'00020',
		'gsrá'	=>	'00200',
		'gsta'	=>	'01200',
		'gstá'	=>	'00200',
		'gste'	=>	'00200',
		'gsté'	=>	'00200',
		'gsti'	=>	'01200',
		'gstí'	=>	'01200',
		'gsto'	=>	'00002',
		'gstr'	=>	'00020',
		'gstra'	=>	'010000',
		'gstru'	=>	'010000',
		'gstu'	=>	'00200',
		'gstú'	=>	'01200',
		'gsugá'	=>	'000002',
		'gsvé'	=>	'00200',
		'gszaké'	=>	'0000200',
		'gszakü'	=>	'0000210',
		'gszálad'	=>	'00000020',
		'gszálada'	=>	'000021000',
		'gszáli'	=>	'0000200',
		'gszárada'	=>	'000021200',
		'gszc'	=>	'01020',
		'gszét'	=>	'000020',
		'gszf'	=>	'01020',
		'gszk'	=>	'01020',
		'gszl'	=>	'01020',
		'gszm'	=>	'00020',
		'gszp'	=>	'01020',
		'gszt'	=>	'00002',
		'gsztá'	=>	'010200',
		'gtagar'	=>	'0002100',
		'gtagg'	=>	'000010',
		'gtanó'	=>	'000212',
		'gtárad'	=>	'0000020',
		'gtárada'	=>	'00021000',
		'gtermo'	=>	'0000001',
		'gtermosz'	=>	'000000002',
		'gtérá'	=>	'000200',
		'gtim'	=>	'00020',
		'gtra'	=>	'00200',
		'gtrá'	=>	'00200',
		'gtre'	=>	'00200',
		'gtré'	=>	'00200',
		'gtri'	=>	'00200',
		'gtro'	=>	'00200',
		'gtró'	=>	'00200',
		'gtrö'	=>	'00200',
		'gtru'	=>	'00200',
		'gtrü'	=>	'00200',
		'gtűzőr'	=>	'0002120',
		'gu'	=>	'100',
		'guat'	=>	'00200',
		'guay'	=>	'00200',
		'gubo'	=>	'21200',
		'guel'	=>	'00200',
		'guer'	=>	'00202',
		'guga'	=>	'01200',
		'gugg'	=>	'32000',
		'gugo'	=>	'01200',
		'gugr'	=>	'21000',
		'guid'	=>	'00200',
		'guin'	=>	'00200',
		'guir'	=>	'00200',
		'gujj'	=>	'21000',
		'gulate'	=>	'0000200',
		'gulatí'	=>	'0000210',
		'guná'	=>	'00200',
		'guni'	=>	'21200',
		'gunó'	=>	'00200',
		'gunu'	=>	'00200',
		'gurí'	=>	'32000',
		'gusabl'	=>	'0001000',
		'gusad'	=>	'002000',
		'gusan'	=>	'002120',
		'gusas'	=>	'002000',
		'gusat'	=>	'002000',
		'gusav'	=>	'002100',
		'gusál'	=>	'002000',
		'guse'	=>	'00212',
		'gusérté'	=>	'00210000',
		'gusil'	=>	'002000',
		'gusis'	=>	'002000',
		'gusí'	=>	'00210',
		'gusol'	=>	'002000',
		'gusor'	=>	'002000',
		'gusó'	=>	'00212',
		'gusö'	=>	'00200',
		'guső'	=>	'00200',
		'guss'	=>	'00032',
		'gussz'	=>	'000002',
		'gust'	=>	'00002',
		'gusü'	=>	'00200',
		'guszá'	=>	'002000',
		'guszs'	=>	'000300',
		'gutac'	=>	'002000',
		'gutak'	=>	'002000',
		'gutal'	=>	'002000',
		'gutam'	=>	'002000',
		'gutan'	=>	'002000',
		'gutas'	=>	'002000',
		'gutat'	=>	'002000',
		'gutaz'	=>	'002000',
		'gutc'	=>	'21000',
		'gutó'	=>	'21200',
		'gutódoku'	=>	'000021200',
		'gutu'	=>	'21200',
		'guya'	=>	'00100',
		'gú'	=>	'100',
		'gúja'	=>	'00200',
		'gújí'	=>	'00200',
		'gúju'	=>	'00200',
		'gúnye'	=>	'002010',
		'gúnyí'	=>	'002012',
		'gúré'	=>	'00200',
		'gúri'	=>	'00200',
		'gúrn'	=>	'21000',
		'gúro'	=>	'00200',
		'gúsz'	=>	'21200',
		'gúta'	=>	'20212',
		'gútá'	=>	'21212',
		'gútb'	=>	'21000',
		'gútc'	=>	'21000',
		'gútd'	=>	'21000',
		'gúte'	=>	'21212',
		'gúté'	=>	'21200',
		'gútf'	=>	'21000',
		'gútg'	=>	'21000',
		'gúth'	=>	'21000',
		'gútia'	=>	'212000',
		'gútig'	=>	'212000',
		'gútih'	=>	'212000',
		'gútij'	=>	'200000',
		'gútiko'	=>	'2000000',
		'gútina'	=>	'2120000',
		'gútiná'	=>	'2000000',
		'gútir'	=>	'200000',
		'gútis'	=>	'002000',
		'gútit'	=>	'212000',
		'gútiv'	=>	'212000',
		'gútiz'	=>	'200000',
		'gútj'	=>	'21000',
		'gútk'	=>	'21000',
		'gútl'	=>	'21000',
		'gútm'	=>	'21000',
		'gútn'	=>	'21000',
		'gúto'	=>	'21200',
		'gútp'	=>	'21000',
		'gútr'	=>	'21000',
		'gúts'	=>	'21000',
		'gútt'	=>	'20000',
		'gútv'	=>	'21000',
		'gútz'	=>	'21000',
		'gúzi'	=>	'00200',
		'gü'	=>	'100',
		'gücs'	=>	'00200',
		'güdé'	=>	'00200',
		'güdí'	=>	'00200',
		'güdü'	=>	'00200',
		'güge'	=>	'00200',
		'gügyi'	=>	'212000',
		'gügyl'	=>	'210000',
		'gügyv'	=>	'210000',
		'güld'	=>	'21000',
		'gülen'	=>	'002000',
		'gülep'	=>	'002000',
		'gülik'	=>	'002000',
		'gülöm'	=>	'002000',
		'günn'	=>	'21000',
		'gürc'	=>	'32000',
		'güre'	=>	'21200',
		'güri'	=>	'32000',
		'gürí'	=>	'21200',
		'gürü'	=>	'21200',
		'güte'	=>	'00200',
		'güté'	=>	'00200',
		'güti'	=>	'00200',
		'gütö'	=>	'00200',
		'gütő'	=>	'00200',
		'gütü'	=>	'00200',
		'güve'	=>	'00200',
		'güvö'	=>	'00200',
		'güze'	=>	'00200',
		'güzé'	=>	'00200',
		'gű'	=>	'100',
		'gűrb'	=>	'21000',
		'gűre'	=>	'00002',
		'gűrh'	=>	'01000',
		'gűri'	=>	'00200',
		'gűrj'	=>	'21000',
		'gűrl'	=>	'21000',
		'gűrm'	=>	'21000',
		'gűrn'	=>	'21000',
		'gűrö'	=>	'21200',
		'gűrt'	=>	'21000',
		'gűru'	=>	'00200',
		'gűrü'	=>	'00200',
		'gűze'	=>	'00200',
		'gűzé'	=>	'00200',
		'gűzi'	=>	'00200',
		'gűzö'	=>	'00200',
		'gűző'	=>	'00200',
		'gvasu'	=>	'000212',
		'gvágyada'	=>	'000201200',
		'gványan'	=>	'00020000',
		'gváss'	=>	'000010',
		'gveréss'	=>	'00000030',
		'gvezérel'	=>	'000002000',
		'gvényel'	=>	'00020000',
		'gvina'	=>	'000200',
		'gvós'	=>	'00012',
		'gy'	=>	'020',
		'gya'	=>	'1000',
		'gyabl'	=>	'001000',
		'gyacé'	=>	'201200',
		'gyadag'	=>	'2000000',
		'gyadal'	=>	'0002000',
		'gyadatb'	=>	'20000000',
		'gyadót'	=>	'0012000',
		'gyagb'	=>	'200000',
		'gyage'	=>	'000200',
		'gyagép'	=>	'0002000',
		'gyagg'	=>	'200000',
		'gyagh'	=>	'200000',
		'gyagis'	=>	'0002000',
		'gyagk'	=>	'200000',
		'gyagn'	=>	'200000',
		'gyagol'	=>	'0002100',
		'gyagt'	=>	'200000',
		'gyagya'	=>	'2000000',
		'gyagyu'	=>	'0012000',
		'gyaja'	=>	'201000',
		'gyakc'	=>	'201000',
		'gyaknák'	=>	'20000000',
		'gyaktu'	=>	'2000000',
		'gyalaj'	=>	'0002000',
		'gyalakt'	=>	'00001000',
		'gyalapo'	=>	'00020000',
		'gyalapp'	=>	'00020000',
		'gyalat'	=>	'0010000',
		'gyaláí'	=>	'2000000',
		'gyalel'	=>	'0002000',
		'gyalik'	=>	'0002000',
		'gyanab'	=>	'0000100',
		'gyane'	=>	'000210',
		'gyanya'	=>	'2012000',
		'gyanyá'	=>	'0012000',
		'gyapak'	=>	'0002000',
		'gyapáh'	=>	'0012000',
		'gyapái'	=>	'2000000',
		'gyapák'	=>	'2000000',
		'gyapám'	=>	'2000000',
		'gyapán'	=>	'2012000',
		'gyapás'	=>	'0012000',
		'gyapátó'	=>	'20000000',
		'gyapjá'	=>	'2000000',
		'gyapón'	=>	'0002000',
		'gyapór'	=>	'0002000',
		'gyapp'	=>	'200000',
		'gyaps'	=>	'001000',
		'gyaran'	=>	'0010000',
		'gyaraw'	=>	'2000000',
		'gyard'	=>	'000002',
		'gyardom'	=>	'20000000',
		'gyarel'	=>	'0002000',
		'gyargó'	=>	'0010000',
		'gyari'	=>	'300000',
		'gyarón'	=>	'0002100',
		'gyarór'	=>	'0002120',
		'gyaróv'	=>	'0002000',
		'gyarú'	=>	'200000',
		'gyasak'	=>	'2000000',
		'gyasat'	=>	'2000000',
		'gyasra'	=>	'2000000',
		'gyaty'	=>	'200000',
		'gyazá'	=>	'200000',
		'gyá'	=>	'1000',
		'gyábr'	=>	'200000',
		'gyág'	=>	'20100',
		'gyálc'	=>	'001000',
		'gyáll'	=>	'001000',
		'gyálm'	=>	'001000',
		'gyám'	=>	'30000',
		'gyáp'	=>	'20100',
		'gyáre'	=>	'200000',
		'gyárf'	=>	'200000',
		'gyárok'	=>	'2012000',
		'gyárus'	=>	'2000000',
		'gyárú'	=>	'201000',
		'gyászó'	=>	'0002000',
		'gyáta'	=>	'200000',
		'gyátk'	=>	'200000',
		'gyátl'	=>	'001000',
		'gyátv'	=>	'200000',
		'gybl'	=>	'00100',
		'gybr'	=>	'00100',
		'gydr'	=>	'00100',
		'gye'	=>	'1000',
		'gyedős'	=>	'0002100',
		'gyedz'	=>	'201200',
		'gyege'	=>	'001200',
		'gyegé'	=>	'001200',
		'gyegye'	=>	'0012000',
		'gyekés'	=>	'2012000',
		'gyeleg'	=>	'2000000',
		'gyelegy'	=>	'00020000',
		'gyelemű'	=>	'20000000',
		'gyelnö'	=>	'2000000',
		'gyeltér'	=>	'20000000',
		'gyelvá'	=>	'2010000',
		'gyelvű'	=>	'0010000',
		'gyembl'	=>	'2000000',
		'gyemel'	=>	'2012000',
		'gyeml'	=>	'001000',
		'gyenget'	=>	'20000000',
		'gyeny'	=>	'201200',
		'gyenz'	=>	'200000',
		'gyepal'	=>	'0002000',
		'gyerd'	=>	'201000',
		'gyered'	=>	'0012000',
		'gyerej'	=>	'2000000',
		'gyeres'	=>	'0012000',
		'gyerén'	=>	'0002000',
		'gyern'	=>	'201000',
		'gyero'	=>	'200000',
		'gyerő'	=>	'201200',
		'gyers'	=>	'201000',
		'gyeseg'	=>	'0002000',
		'gyesél'	=>	'2000000',
		'gyesg'	=>	'200000',
		'gyeső'	=>	'001200',
		'gyeste'	=>	'2010000',
		'gyestés'	=>	'20000000',
		'gyesti'	=>	'2010000',
		'gyestű'	=>	'2000000',
		'gyeszü'	=>	'0002000',
		'gyetem'	=>	'2000000',
		'gyetet'	=>	'2000000',
		'gyezm'	=>	'200000',
		'gyezrede'	=>	'200000000',
		'gyezrel'	=>	'20000000',
		'gyezs'	=>	'200000',
		'gyé'	=>	'1000',
		'gyébr'	=>	'200000',
		'gyég'	=>	'20100',
		'gyéhes'	=>	'2000000',
		'gyéhs'	=>	'200000',
		'gyéji'	=>	'200000',
		'gyékes'	=>	'0012000',
		'gyéle'	=>	'201200',
		'gyélt'	=>	'201000',
		'gyélv'	=>	'001000',
		'gyém'	=>	'30000',
		'gyéneke'	=>	'20000000',
		'gyéni'	=>	'200000',
		'gyép'	=>	'20100',
		'gyérd'	=>	'201000',
		'gyérem'	=>	'2010000',
		'gyérez'	=>	'2000000',
		'gyérét'	=>	'0002000',
		'gyérg'	=>	'001000',
		'gyérh'	=>	'201000',
		'gyéri'	=>	'201200',
		'gyérí'	=>	'300000',
		'gyérke'	=>	'0010000',
		'gyérm'	=>	'201000',
		'gyérn'	=>	'200000',
		'gyérr'	=>	'200000',
		'gyérte'	=>	'2010000',
		'gyérté'	=>	'2010000',
		'gyértő'	=>	'0010000',
		'gyérv'	=>	'201000',
		'gyérz'	=>	'201000',
		'gyété'	=>	'201000',
		'gyétk'	=>	'200000',
		'gyévad'	=>	'2000000',
		'gyévb'	=>	'200000',
		'gyévei'	=>	'2000000',
		'gyévek'	=>	'2000000',
		'gyéven'	=>	'2000000',
		'gyéves'	=>	'2000000',
		'gyévet'	=>	'2000000',
		'gyévh'	=>	'200000',
		'gyévi'	=>	'200000',
		'gyévn'	=>	'200000',
		'gyévr'	=>	'200000',
		'gyévt'	=>	'200000',
		'gyévü'	=>	'200000',
		'gyévv'	=>	'200000',
		'gyfl'	=>	'00100',
		'gyfr'	=>	'00120',
		'gygl'	=>	'00100',
		'gygr'	=>	'00100',
		'gyi'	=>	'1000',
		'gyide'	=>	'201000',
		'gyidé'	=>	'200000',
		'gyidő'	=>	'200000',
		'gyiga'	=>	'200000',
		'gyigá'	=>	'200000',
		'gyige'	=>	'201000',
		'gyigé'	=>	'201200',
		'gyigm'	=>	'200000',
		'gyiha'	=>	'001000',
		'gyiker'	=>	'2000000',
		'gyill'	=>	'201000',
		'gyimá'	=>	'200000',
		'gyind'	=>	'200000',
		'gyinf'	=>	'200000',
		'gying'	=>	'201000',
		'gyipa'	=>	'201000',
		'gyirat'	=>	'2012000',
		'gyirá'	=>	'200000',
		'gyiro'	=>	'201000',
		'gyirt'	=>	'200000',
		'gyish'	=>	'200000',
		'gyisk'	=>	'001000',
		'gyism'	=>	'200000',
		'gyisn'	=>	'201000',
		'gyita'	=>	'201000',
		'gyivó'	=>	'200000',
		'gyizg'	=>	'200000',
		'gyizo'	=>	'201200',
		'gyí'	=>	'1000',
		'gyíg'	=>	'20100',
		'gyír'	=>	'20120',
		'gyív'	=>	'20100',
		'gyíz'	=>	'00100',
		'gykl'	=>	'00100',
		'gykr'	=>	'00120',
		'gykv'	=>	'00100',
		'gymáss'	=>	'0000010',
		'gyo'	=>	'1000',
		'gyokos'	=>	'2000000',
		'gyold'	=>	'201000',
		'gyolvas'	=>	'20000000',
		'gyomas'	=>	'0002100',
		'gyomi'	=>	'000200',
		'gyope'	=>	'200000',
		'gyorc'	=>	'201000',
		'gyorm'	=>	'001000',
		'gyorsó'	=>	'2000000',
		'gyorv'	=>	'201000',
		'gyou'	=>	'00100',
		'gyó'	=>	'1000',
		'gyódár'	=>	'2000000',
		'gyódásak'	=>	'200000000',
		'gyórá'	=>	'001200',
		'gyóri'	=>	'200000',
		'gyö'	=>	'1000',
		'gyöb'	=>	'20100',
		'gyödé'	=>	'001000',
		'gyökl'	=>	'201000',
		'gyötödd'	=>	'20000000',
		'gyötöde'	=>	'20000000',
		'gyötödé'	=>	'20000000',
		'gyötödne'	=>	'200000000',
		'gyötödöt'	=>	'200000000',
		'gyötödr'	=>	'20000000',
		'gyötödü'	=>	'20000000',
		'gyött'	=>	'200000',
		'gyötv'	=>	'200000',
		'gyöv'	=>	'20000',
		'gyözön'	=>	'2000000',
		'győ'	=>	'1000',
		'győre'	=>	'001000',
		'győrü'	=>	'001000',
		'győs'	=>	'20120',
		'győz'	=>	'30000',
		'gypárba'	=>	'00000002',
		'gypen'	=>	'000001',
		'gypl'	=>	'00100',
		'gypr'	=>	'00100',
		'gyps'	=>	'00100',
		'gyrövid'	=>	'00000001',
		'gysc'	=>	'00100',
		'gysk'	=>	'00100',
		'gysl'	=>	'00100',
		'gysm'	=>	'00100',
		'gysn'	=>	'00100',
		'gysp'	=>	'00100',
		'gysr'	=>	'00100',
		'gyst'	=>	'00120',
		'gysur'	=>	'002000',
		'gytr'	=>	'00120',
		'gyu'	=>	'1000',
		'gyud'	=>	'20100',
		'gyug'	=>	'20100',
		'gyuj'	=>	'20100',
		'gyund'	=>	'200000',
		'gyuni'	=>	'200000',
		'gyura'	=>	'201200',
		'gyurá'	=>	'200000',
		'gyuru'	=>	'200000',
		'gyú'	=>	'1000',
		'gyúd'	=>	'20000',
		'gyúé'	=>	'20000',
		'gyúi'	=>	'20000',
		'gyújí'	=>	'200000',
		'gyújr'	=>	'200000',
		'gyújs'	=>	'200000',
		'gyúm'	=>	'20000',
		'gyúrb'	=>	'200000',
		'gyúré'	=>	'200000',
		'gyúri'	=>	'200000',
		'gyúrk'	=>	'200000',
		'gyúrr'	=>	'200000',
		'gyúti'	=>	'001000',
		'gyúü'	=>	'20000',
		'gyü'	=>	'1000',
		'gyüd'	=>	'20100',
		'gyüg'	=>	'20000',
		'gyüle'	=>	'300000',
		'gyüm'	=>	'30000',
		'gyünn'	=>	'200000',
		'gyüre'	=>	'200000',
		'gyürü'	=>	'200000',
		'gyüs'	=>	'20000',
		'gyüst'	=>	'001000',
		'gyüt'	=>	'20000',
		'gyüv'	=>	'20000',
		'gyüve'	=>	'001000',
		'gyüz'	=>	'20100',
		'gyű'	=>	'1000',
		'gyűl'	=>	'30000',
		'gyűz'	=>	'20120',
		'gyzr'	=>	'00100',
		'gzatáp'	=>	'0002000',
		'gzate'	=>	'000210',
		'gzatö'	=>	'000200',
		'gzatű'	=>	'000212',
		'gzárór'	=>	'0002120',
		'gzáse'	=>	'000200',
		'gzáss'	=>	'000030',
		'gzeta'	=>	'000212',
		'gzetá'	=>	'000212',
		'gzetel'	=>	'0002100',
		'gzetin'	=>	'0002000',
		'gzeto'	=>	'000210',
		'gzető'	=>	'000212',
		'gzőa'	=>	'00002',
		'ha'	=>	'100',
		'haad'	=>	'00020',
		'habak'	=>	'002000',
		'habal'	=>	'002120',
		'haban'	=>	'002120',
		'habág'	=>	'002100',
		'habárb'	=>	'0021000',
		'habed'	=>	'002000',
		'habid'	=>	'002000',
		'habill'	=>	'0001000',
		'habim'	=>	'002100',
		'habint'	=>	'0021000',
		'habo'	=>	'30000',
		'habold'	=>	'0001000',
		'habora'	=>	'0001200',
		'haborr'	=>	'0001000',
		'habost'	=>	'0021000',
		'habsz'	=>	'000100',
		'habur'	=>	'000020',
		'habü'	=>	'00200',
		'hadag'	=>	'002100',
		'hadalk'	=>	'0001000',
		'hadap'	=>	'002100',
		'hadas'	=>	'000020',
		'hadasz'	=>	'0021000',
		'hadác'	=>	'002120',
		'hadál'	=>	'002100',
		'hadáss'	=>	'0000010',
		'hadásv'	=>	'0021000',
		'hadászo'	=>	'00212000',
		'hadeg'	=>	'002000',
		'hadel'	=>	'002100',
		'hadem'	=>	'002000',
		'hadél'	=>	'002000',
		'hadia'	=>	'000002',
		'hadié'	=>	'000002',
		'hadin'	=>	'000020',
		'hadina'	=>	'0021000',
		'hador'	=>	'002000',
		'hados'	=>	'002000',
		'hadur'	=>	'002120',
		'hadúré'	=>	'0021200',
		'hadúrh'	=>	'0021000',
		'hadúri'	=>	'0021200',
		'hadúrk'	=>	'0021000',
		'hadúrn'	=>	'0021000',
		'hadúrr'	=>	'0021000',
		'hadúrt'	=>	'0021000',
		'hadús'	=>	'002000',
		'hadü'	=>	'00200',
		'hadza'	=>	'002000',
		'hadzá'	=>	'002300',
		'haer'	=>	'00020',
		'hafl'	=>	'00100',
		'hafr'	=>	'00120',
		'hagore'	=>	'2000000',
		'haif'	=>	'00200',
		'hajás'	=>	'002120',
		'hajáto'	=>	'0021200',
		'hajáz'	=>	'002000',
		'hajin'	=>	'002100',
		'hajk'	=>	'00012',
		'hajoml'	=>	'0001000',
		'hajö'	=>	'00200',
		'hajő'	=>	'00200',
		'hajs'	=>	'00010',
		'hajtr'	=>	'000120',
		'hajü'	=>	'00200',
		'hakál'	=>	'002100',
		'hakli'	=>	'001200',
		'hakr'	=>	'00120',
		'hakt'	=>	'01000',
		'hakv'	=>	'00120',
		'halach'	=>	'0021000',
		'halag'	=>	'002120',
		'halaj'	=>	'002100',
		'halal'	=>	'002120',
		'halan'	=>	'000020',
		'halany'	=>	'0001000',
		'halar'	=>	'002120',
		'halasz'	=>	'0000200',
		'halasza'	=>	'00210000',
		'halaszá'	=>	'00210000',
		'halaszó'	=>	'00210000',
		'halatk'	=>	'0021000',
		'halatom'	=>	'00212000',
		'halatt'	=>	'0021000',
		'halá'	=>	'30000',
		'halács'	=>	'0001200',
		'halág'	=>	'002120',
		'halále'	=>	'0000212',
		'halárak'	=>	'00012000',
		'halárá'	=>	'0001200',
		'halárb'	=>	'0021000',
		'haláro'	=>	'0021200',
		'halárr'	=>	'0021000',
		'halárve'	=>	'00010000',
		'haláte'	=>	'0001000',
		'haleb'	=>	'002000',
		'halec'	=>	'002000',
		'halegy'	=>	'0001200',
		'halel'	=>	'000020',
		'halele'	=>	'0001000',
		'halelő'	=>	'0001000',
		'halem'	=>	'002000',
		'halen'	=>	'002100',
		'halepe'	=>	'0001000',
		'halese'	=>	'0021000',
		'haleső'	=>	'0021200',
		'halete'	=>	'0001000',
		'haleto'	=>	'0001200',
		'halevo'	=>	'0001000',
		'halevő'	=>	'0001200',
		'halez'	=>	'002000',
		'halél'	=>	'002120',
		'haléte'	=>	'0021000',
		'halétk'	=>	'0021000',
		'halétt'	=>	'0021000',
		'halid'	=>	'002000',
		'halik'	=>	'002100',
		'halim'	=>	'002120',
		'haling'	=>	'0021000',
		'halinv'	=>	'0021000',
		'haliono'	=>	'00212000',
		'haliont'	=>	'00212000',
		'halip'	=>	'002000',
		'halis'	=>	'000020',
		'halisz'	=>	'0001000',
		'haliv'	=>	'002100',
		'haliz'	=>	'002120',
		'halí'	=>	'00200',
		'halkapu'	=>	'00021200',
		'halkel'	=>	'0000021',
		'halkele'	=>	'00021000',
		'hallaszt'	=>	'000210000',
		'halláss'	=>	'00000010',
		'hallát'	=>	'0002120',
		'halléj'	=>	'0002000',
		'hally'	=>	'000300',
		'halm'	=>	'30000',
		'halmazó'	=>	'00000212',
		'halol'	=>	'002100',
		'halóri'	=>	'0021200',
		'halö'	=>	'00210',
		'halő'	=>	'00212',
		'halp'	=>	'00012',
		'halug'	=>	'002100',
		'halus'	=>	'002120',
		'halut'	=>	'002120',
		'halü'	=>	'00200',
		'halű'	=>	'00200',
		'halya'	=>	'002300',
		'hamál'	=>	'002100',
		'hamárb'	=>	'0021000',
		'hamb'	=>	'00002',
		'hamel'	=>	'000020',
		'hamele'	=>	'0001000',
		'hamesz'	=>	'0001000',
		'hamez'	=>	'002000',
		'hamism'	=>	'0001000',
		'hamkész'	=>	'00000001',
		'hamosz'	=>	'0021000',
		'hamu'	=>	'30000',
		'hamü'	=>	'00200',
		'hanáss'	=>	'0000010',
		'hanch'	=>	'000200',
		'hanész'	=>	'2000000',
		'hang'	=>	'30000',
		'hangal'	=>	'0002000',
		'hange'	=>	'000002',
		'hangen'	=>	'0002000',
		'hanges'	=>	'0002100',
		'hangél'	=>	'0002000',
		'hangg'	=>	'000030',
		'hangó'	=>	'000212',
		'hangö'	=>	'000200',
		'hangut'	=>	'0002000',
		'hantó'	=>	'000212',
		'hanyél'	=>	'0020000',
		'haór'	=>	'00020',
		'hapr'	=>	'00120',
		'haragó'	=>	'0000212',
		'harangg'	=>	'00000010',
		'harál'	=>	'002100',
		'harcal'	=>	'0002100',
		'harcan'	=>	'0002000',
		'harcc'	=>	'000030',
		'harce'	=>	'000212',
		'harch'	=>	'000230',
		'harel'	=>	'002000',
		'haret'	=>	'002000',
		'harmó'	=>	'300000',
		'harol'	=>	'002100',
		'harosz'	=>	'0021000',
		'harór'	=>	'002100',
		'harű'	=>	'00200',
		'hasa'	=>	'30000',
		'haságg'	=>	'0000010',
		'hasiz'	=>	'002100',
		'hasol'	=>	'002100',
		'hasors'	=>	'0001000',
		'haspe'	=>	'001200',
		'haspo'	=>	'001200',
		'hasút'	=>	'003200',
		'hasür'	=>	'002000',
		'hasű'	=>	'00212',
		'haszp'	=>	'001000',
		'hatab'	=>	'002100',
		'hatagy'	=>	'0001000',
		'hataj'	=>	'002100',
		'hatá'	=>	'30000',
		'határad'	=>	'00000020',
		'határada'	=>	'000001000',
		'hatev'	=>	'002120',
		'hatén'	=>	'002100',
		'hatév'	=>	'002120',
		'hatív'	=>	'002120',
		'hatolda'	=>	'00010000',
		'hatosz'	=>	'0021000',
		'hatórá'	=>	'0021000',
		'hatöv'	=>	'002120',
		'hatrá'	=>	'001200',
		'hatt'	=>	'00002',
		'hattr'	=>	'000100',
		'hatül'	=>	'002000',
		'haue'	=>	'00200',
		'haun'	=>	'00020',
		'haus'	=>	'00020',
		'haut'	=>	'00200',
		'haüz'	=>	'00020',
		'há'	=>	'100',
		'hábo'	=>	'30000',
		'hágy'	=>	'00200',
		'hájús'	=>	'002000',
		'háma'	=>	'00002',
		'hámal'	=>	'002100',
		'hámá'	=>	'00210',
		'háme'	=>	'00212',
		'hámi'	=>	'00002',
		'hámis'	=>	'002100',
		'hámol'	=>	'002100',
		'hámö'	=>	'00200',
		'háncse'	=>	'0002010',
		'háncsi'	=>	'0002000',
		'hányal'	=>	'0020120',
		'hányan'	=>	'0000020',
		'hányar'	=>	'0020100',
		'hányáss'	=>	'00000010',
		'hánye'	=>	'002012',
		'hányö'	=>	'002000',
		'hára'	=>	'00002',
		'hárad'	=>	'002100',
		'háral'	=>	'002100',
		'hárau'	=>	'002100',
		'hári'	=>	'00002',
		'háriv'	=>	'002100',
		'hárí'	=>	'30000',
		'hárk'	=>	'00012',
		'hármass'	=>	'00000010',
		'hároma'	=>	'0000210',
		'háromo'	=>	'0000200',
		'hársal'	=>	'0002100',
		'hárse'	=>	'000200',
		'hárt'	=>	'30000',
		'hárü'	=>	'00200',
		'háry'	=>	'00100',
		'hásí'	=>	'00200',
		'hászatom'	=>	'000012000',
		'hásze'	=>	'002010',
		'hásziv'	=>	'0020000',
		'hásző'	=>	'002000',
		'hátadó'	=>	'0001200',
		'hátala'	=>	'0021200',
		'hátan'	=>	'002120',
		'hátar'	=>	'002000',
		'hátáp'	=>	'002000',
		'háte'	=>	'00212',
		'háté'	=>	'00002',
		'hátél'	=>	'002000',
		'hátére'	=>	'0021000',
		'hátérn'	=>	'0021000',
		'hátis'	=>	'002120',
		'hátí'	=>	'00200',
		'hátol'	=>	'002100',
		'hátor'	=>	'002120',
		'hátó'	=>	'00002',
		'hátós'	=>	'002100',
		'hátö'	=>	'00200',
		'hátő'	=>	'00200',
		'hátusz'	=>	'0001200',
		'hátü'	=>	'00210',
		'hátű'	=>	'00200',
		'hátvédel'	=>	'000002100',
		'házadó'	=>	'0021200',
		'házaj'	=>	'002000',
		'házala'	=>	'0021000',
		'házasz'	=>	'0021000',
		'házav'	=>	'002100',
		'házáp'	=>	'002120',
		'házárn'	=>	'0021000',
		'házáru'	=>	'0021200',
		'háze'	=>	'00212',
		'házisk'	=>	'0021000',
		'házism'	=>	'0021000',
		'házist'	=>	'0021000',
		'hází'	=>	'00210',
		'házokt'	=>	'0001000',
		'házold'	=>	'0001000',
		'házos'	=>	'002000',
		'házotth'	=>	'00010000',
		'házö'	=>	'00200',
		'háző'	=>	'00200',
		'házs'	=>	'00002',
		'házsa'	=>	'002300',
		'házse'	=>	'000300',
		'házsé'	=>	'002300',
		'házsi'	=>	'002300',
		'házsp'	=>	'000300',
		'házst'	=>	'000300',
		'házsü'	=>	'000300',
		'házsz'	=>	'000300',
		'házü'	=>	'00210',
		'házy'	=>	'00100',
		'hble'	=>	'00200',
		'he'	=>	'100',
		'head'	=>	'00200',
		'heav'	=>	'00200',
		'heccemb'	=>	'00021000',
		'heccs'	=>	'000030',
		'hecu'	=>	'20000',
		'hedén'	=>	'002000',
		'hees'	=>	'00220',
		'hefi'	=>	'00210',
		'hefu'	=>	'00212',
		'hega'	=>	'00212',
		'hegész'	=>	'0000001',
		'hegya'	=>	'002010',
		'hegyá'	=>	'002000',
		'hegyeg'	=>	'0020000',
		'hegyess'	=>	'00000010',
		'hegyo'	=>	'002010',
		'hegyó'	=>	'002000',
		'hegyő'	=>	'002000',
		'hegyú'	=>	'002000',
		'heidp'	=>	'200000',
		'hekék'	=>	'212000',
		'hekt'	=>	'30000',
		'helég'	=>	'002000',
		'heléss'	=>	'0000010',
		'helf'	=>	'20000',
		'helfr'	=>	'000200',
		'hellá'	=>	'200000',
		'hellen'	=>	'2000000',
		'helyeg'	=>	'0020000',
		'helyeml'	=>	'00200000',
		'helyesz'	=>	'00200000',
		'helyéj'	=>	'0020120',
		'hema'	=>	'20000',
		'hembl'	=>	'210000',
		'heml'	=>	'21000',
		'henéss'	=>	'0000010',
		'heng'	=>	'30000',
		'henyo'	=>	'002000',
		'heol'	=>	'00200',
		'herab'	=>	'002000',
		'herad'	=>	'002120',
		'heraj'	=>	'002100',
		'herar'	=>	'002120',
		'herau'	=>	'002000',
		'heráll'	=>	'0001000',
		'heráta'	=>	'0001012',
		'heráté'	=>	'0001000',
		'hereng'	=>	'0001000',
		'herep'	=>	'000010',
		'herese'	=>	'0001000',
		'herevíz'	=>	'00000001',
		'herint'	=>	'0001000',
		'herö'	=>	'00200',
		'hers'	=>	'00012',
		'herut'	=>	'002000',
		'herű'	=>	'00200',
		'hesa'	=>	'00210',
		'hesá'	=>	'00210',
		'hesés'	=>	'012000',
		'hesto'	=>	'000210',
		'hety'	=>	'30000',
		'heusz'	=>	'200000',
		'hevé'	=>	'20000',
		'hevés'	=>	'002000',
		'heví'	=>	'30000',
		'hezá'	=>	'00210',
		'hezh'	=>	'20000',
		'hezi'	=>	'20000',
		'hezn'	=>	'20000',
		'hező'	=>	'20000',
		'hezz'	=>	'20000',
		'hé'	=>	'100',
		'héhé'	=>	'00200',
		'héit'	=>	'30000',
		'héje'	=>	'00002',
		'héjeg'	=>	'002100',
		'héjel'	=>	'002100',
		'héjö'	=>	'00200',
		'hékn'	=>	'30000',
		'hénal'	=>	'002000',
		'hénan'	=>	'002000',
		'hénar'	=>	'002000',
		'hénát'	=>	'002000',
		'héne'	=>	'00002',
		'hénel'	=>	'002100',
		'hénem'	=>	'002000',
		'hénet'	=>	'002100',
		'hénid'	=>	'002000',
		'hénil'	=>	'002000',
		'hénis'	=>	'002100',
		'hénn'	=>	'00030',
		'hénö'	=>	'00200',
		'hént'	=>	'00002',
		'hénu'	=>	'00200',
		'hénü'	=>	'00200',
		'héph'	=>	'00100',
		'hépü'	=>	'00200',
		'héra'	=>	'00002',
		'hérar'	=>	'002000',
		'héras'	=>	'002100',
		'hérat'	=>	'002000',
		'hérin'	=>	'002000',
		'hérz'	=>	'21000',
		'hészá'	=>	'002000',
		'hészeg'	=>	'0020000',
		'hészesz'	=>	'00200000',
		'hészö'	=>	'002010',
		'héta'	=>	'00002',
		'hétab'	=>	'002100',
		'hétaj'	=>	'002100',
		'hétal'	=>	'002000',
		'hétar'	=>	'002000',
		'hétál'	=>	'002000',
		'hétel'	=>	'002120',
		'hétem'	=>	'002120',
		'hétes'	=>	'002100',
		'hétezres'	=>	'002100000',
		'hétév'	=>	'002120',
		'hétí'	=>	'00200',
		'hétol'	=>	'002000',
		'hétor'	=>	'002000',
		'hétos'	=>	'002100',
		'hétó'	=>	'00002',
		'hétór'	=>	'002100',
		'hétö'	=>	'00210',
		'hétu'	=>	'00200',
		'hétü'	=>	'00212',
		'hévá'	=>	'00210',
		'hévég'	=>	'002000',
		'hévérz'	=>	'0021000',
		'héze'	=>	'00002',
		'hézek'	=>	'002100',
		'hézio'	=>	'002000',
		'hézip'	=>	'002000',
		'hézo'	=>	'00002',
		'hézs'	=>	'00230',
		'hfló'	=>	'00200',
		'hi'	=>	'100',
		'hiaa'	=>	'00200',
		'hiaá'	=>	'00200',
		'hiabelie'	=>	'002000000',
		'hiac'	=>	'00200',
		'hiad'	=>	'00200',
		'hiae'	=>	'00200',
		'hiaé'	=>	'00200',
		'hiag'	=>	'00200',
		'hiah'	=>	'00200',
		'hiaj'	=>	'00200',
		'hial'	=>	'00200',
		'hiam'	=>	'00200',
		'hiant'	=>	'002000',
		'hiap'	=>	'00200',
		'hiar'	=>	'00200',
		'hiat'	=>	'00200',
		'hida'	=>	'30000',
		'hidros'	=>	'0000010',
		'hiév'	=>	'20000',
		'higanye'	=>	'00002000',
		'higi'	=>	'30000',
		'hila'	=>	'20000',
		'hime'	=>	'20000',
		'himé'	=>	'20000',
		'hinán'	=>	'212000',
		'hinás'	=>	'300000',
		'hing'	=>	'20000',
		'hink'	=>	'20000',
		'hinsp'	=>	'010000',
		'hiom'	=>	'00200',
		'hipa'	=>	'00200',
		'hips'	=>	'20000',
		'hipse'	=>	'010000',
		'hipsé'	=>	'010000',
		'hipsh'	=>	'010000',
		'hipsr'	=>	'010000',
		'hipss'	=>	'010000',
		'hipszes'	=>	'00000001',
		'hise'	=>	'20000',
		'hisn'	=>	'20000',
		'hiso'	=>	'20000',
		'hita'	=>	'00200',
		'hitak'	=>	'000100',
		'hital'	=>	'000020',
		'hitan'	=>	'000120',
		'hitá'	=>	'00212',
		'hitegy'	=>	'0021200',
		'hitel'	=>	'300000',
		'hitelel'	=>	'00002120',
		'hitelesé'	=>	'002100000',
		'hitelő'	=>	'0021000',
		'hiteng'	=>	'0021000',
		'hiter'	=>	'002100',
		'hitesz'	=>	'0021000',
		'hitet'	=>	'300000',
		'hitél'	=>	'002000',
		'hitérte'	=>	'00210000',
		'hitérv'	=>	'0021000',
		'hitéte'	=>	'0021200',
		'hitim'	=>	'002100',
		'hitint'	=>	'0021000',
		'hitkész'	=>	'00000001',
		'hito'	=>	'00210',
		'hitó'	=>	'00002',
		'hitón'	=>	'002100',
		'hitór'	=>	'002100',
		'hitö'	=>	'00002',
		'hitör'	=>	'002100',
		'hitőr'	=>	'002100',
		'hitu'	=>	'00212',
		'hitú'	=>	'00200',
		'hitül'	=>	'002000',
		'hizo'	=>	'00200',
		'hí'	=>	'100',
		'hída'	=>	'00200',
		'hídá'	=>	'00200',
		'híde'	=>	'00200',
		'hídí'	=>	'00200',
		'hídö'	=>	'00200',
		'hídő'	=>	'00200',
		'hídú'	=>	'00200',
		'hídü'	=>	'00200',
		'hídz'	=>	'00200',
		'híge'	=>	'00210',
		'híjé'	=>	'00200',
		'híma'	=>	'00212',
		'hímá'	=>	'00200',
		'hímel'	=>	'002100',
		'hímemb'	=>	'0021000',
		'hímer'	=>	'002000',
		'hímo'	=>	'00200',
		'hímö'	=>	'00200',
		'hímu'	=>	'00200',
		'híra'	=>	'00212',
		'hírá'	=>	'00212',
		'híring'	=>	'0021000',
		'hírí'	=>	'00200',
		'híro'	=>	'00210',
		'híró'	=>	'00212',
		'hírő'	=>	'00200',
		'hírs'	=>	'00010',
		'híru'	=>	'00210',
		'hírú'	=>	'00200',
		'hkass'	=>	'000030',
		'hkár'	=>	'00020',
		'hkri'	=>	'00200',
		'hlegelé'	=>	'00021200',
		'hletel'	=>	'0002100',
		'hletö'	=>	'000200',
		'ho'	=>	'100',
		'hodú'	=>	'00200',
		'hoeá'	=>	'20200',
		'hoef'	=>	'00200',
		'hoii'	=>	'00200',
		'hoit'	=>	'00200',
		'hokl'	=>	'20000',
		'hola'	=>	'00002',
		'holad'	=>	'002100',
		'holal'	=>	'002100',
		'holam'	=>	'002000',
		'holat'	=>	'002100',
		'holau'	=>	'002100',
		'holál'	=>	'002100',
		'holár'	=>	'002120',
		'holdá'	=>	'000200',
		'holdem'	=>	'0002000',
		'holdór'	=>	'0002120',
		'hole'	=>	'00212',
		'holig'	=>	'002000',
		'holin'	=>	'002100',
		'holip'	=>	'002000',
		'holiv'	=>	'002120',
		'holk'	=>	'00012',
		'holmes'	=>	'0002000',
		'holnik'	=>	'0002000',
		'holor'	=>	'002000',
		'holosz'	=>	'0021000',
		'holot'	=>	'002000',
		'holór'	=>	'002120',
		'holö'	=>	'00200',
		'holtan'	=>	'0000020',
		'holtany'	=>	'00001000',
		'holte'	=>	'000002',
		'holtel'	=>	'0002100',
		'holü'	=>	'00200',
		'holyal'	=>	'0020100',
		'homb'	=>	'30000',
		'homo'	=>	'30000',
		'homos'	=>	'000010',
		'honag'	=>	'002120',
		'honal'	=>	'002120',
		'honan'	=>	'002120',
		'honap'	=>	'002120',
		'honau'	=>	'002100',
		'honav'	=>	'002120',
		'honál'	=>	'002100',
		'honáta'	=>	'0021012',
		'honáto'	=>	'0021200',
		'hone'	=>	'00002',
		'honeg'	=>	'002000',
		'honel'	=>	'002100',
		'honik'	=>	'002100',
		'honim'	=>	'002120',
		'honí'	=>	'00200',
		'honorj'	=>	'0021000',
		'honoro'	=>	'0021200',
		'honorr'	=>	'0021000',
		'honó'	=>	'00212',
		'honö'	=>	'00200',
		'honő'	=>	'00200',
		'honü'	=>	'00200',
		'horde'	=>	'000212',
		'hore'	=>	'00200',
		'hory'	=>	'20100',
		'hossze'	=>	'0000012',
		'hosszé'	=>	'0000002',
		'hosszék'	=>	'00000100',
		'hosszü'	=>	'0000012',
		'hosz'	=>	'20000',
		'hoth'	=>	'00100',
		'hous'	=>	'00200',
		'howe'	=>	'00200',
		'hozál'	=>	'002000',
		'hoze'	=>	'00210',
		'hozi'	=>	'00002',
		'hozü'	=>	'00200',
		'hó'	=>	'100',
		'hóak'	=>	'00020',
		'hóág'	=>	'00020',
		'hóbl'	=>	'00100',
		'hócal'	=>	'002000',
		'hócat'	=>	'002000',
		'hócc'	=>	'00030',
		'hócel'	=>	'002000',
		'hócég'	=>	'002120',
		'hóch'	=>	'00230',
		'hócim'	=>	'002000',
		'hócó'	=>	'00200',
		'hócö'	=>	'00210',
		'hócsü'	=>	'002000',
		'hócz'	=>	'00200',
		'hódará'	=>	'0021200',
		'hódá'	=>	'00212',
		'hódem'	=>	'002000',
		'hódé'	=>	'00210',
		'hódó'	=>	'00212',
		'hódö'	=>	'00200',
		'hódü'	=>	'00200',
		'hódz'	=>	'00230',
		'hólej'	=>	'002100',
		'hóleped'	=>	'00212000',
		'hólevet'	=>	'00212000',
		'hónal'	=>	'002000',
		'hónapa'	=>	'0001000',
		'hórá'	=>	'20000',
		'hórár'	=>	'002000',
		'hósh'	=>	'00100',
		'hóví'	=>	'00002',
		'hózate'	=>	'0000210',
		'hö'	=>	'100',
		'hökö'	=>	'00001',
		'hölgya'	=>	'0002000',
		'hölgyá'	=>	'0002010',
		'hölgyel'	=>	'00020000',
		'hő'	=>	'100',
		'hőan'	=>	'00020',
		'hőbr'	=>	'00100',
		'hőel'	=>	'00020',
		'hőem'	=>	'00020',
		'hőer'	=>	'00020',
		'hőén'	=>	'00020',
		'hőfl'	=>	'00100',
		'hőgl'	=>	'00100',
		'hőgr'	=>	'00100',
		'hőkv'	=>	'00100',
		'hőpr'	=>	'00100',
		'hősa'	=>	'00002',
		'hősal'	=>	'002100',
		'hősas'	=>	'002000',
		'hősav'	=>	'002100',
		'hősel'	=>	'002100',
		'hősep'	=>	'002000',
		'hőses'	=>	'002000',
		'hősim'	=>	'002000',
		'hősis'	=>	'002000',
		'hőspi'	=>	'001200',
		'hőss'	=>	'00030',
		'hőstab'	=>	'0012000',
		'hőstr'	=>	'000100',
		'hősut'	=>	'002000',
		'hősú'	=>	'00210',
		'hősült'	=>	'0021000',
		'hősüv'	=>	'002120',
		'hősű'	=>	'00002',
		'hősűr'	=>	'002100',
		'hőtr'	=>	'00100',
		'hőül'	=>	'00020',
		'hpla'	=>	'00200',
		'hpra'	=>	'00200',
		'hpré'	=>	'00200',
		'hpri'	=>	'00200',
		'hpro'	=>	'00200',
		'hpró'	=>	'00200',
		'hrus'	=>	'00012',
		'hsch'	=>	'00200',
		'hségel'	=>	'0002000',
		'hska'	=>	'00200',
		'hspi'	=>	'00200',
		'hspo'	=>	'00200',
		'hsst'	=>	'00120',
		'hszaké'	=>	'0000200',
		'hszájada'	=>	'000021200',
		'hszl'	=>	'00020',
		'htcl'	=>	'00100',
		'htkl'	=>	'00100',
		'htol'	=>	'02100',
		'htrá'	=>	'00200',
		'htref'	=>	'010000',
		'htut'	=>	'02120',
		'hu'	=>	'100',
		'huhy'	=>	'00100',
		'hurá'	=>	'20000',
		'hurte'	=>	'000210',
		'hurtit'	=>	'0002000',
		'husi'	=>	'20000',
		'huszon'	=>	'0000001',
		'hú'	=>	'100',
		'húgya'	=>	'002012',
		'húgye'	=>	'002000',
		'húgyi'	=>	'002000',
		'húgyú'	=>	'002000',
		'húra'	=>	'00212',
		'húrá'	=>	'00210',
		'húre'	=>	'00200',
		'húrt'	=>	'00002',
		'húrtr'	=>	'000100',
		'húsak'	=>	'002100',
		'húsal'	=>	'002000',
		'húsan'	=>	'002000',
		'húsap'	=>	'002000',
		'húsar'	=>	'002000',
		'húság'	=>	'002120',
		'húsál'	=>	'002100',
		'húse'	=>	'00212',
		'húsim'	=>	'002000',
		'húsí'	=>	'00200',
		'húsor'	=>	'002000',
		'húsö'	=>	'00200',
		'húső'	=>	'00200',
		'hússzak'	=>	'00030000',
		'hússzá'	=>	'0003000',
		'hússzé'	=>	'0003000',
		'húsü'	=>	'00200',
		'húszab'	=>	'0023000',
		'húszál'	=>	'0020100',
		'húsze'	=>	'002012',
		'húszí'	=>	'002012',
		'húszol'	=>	'0020000',
		'húszos'	=>	'0020000',
		'húszó'	=>	'002012',
		'húszü'	=>	'002012',
		'hü'	=>	'100',
		'hügy'	=>	'00200',
		'hünn'	=>	'21000',
		'hüre'	=>	'00200',
		'hürü'	=>	'00200',
		'hütő'	=>	'00200',
		'hüvö'	=>	'01200',
		'hű'	=>	'100',
		'hűré'	=>	'00200',
		'hűri'	=>	'00200',
		'hűrö'	=>	'00200',
		'hyér'	=>	'00100',
		'hyév'	=>	'00100',
		'hyig'	=>	'00100',
		'ia'	=>	'010',
		'iaad'	=>	'00020',
		'iaát'	=>	'00001',
		'iaáta'	=>	'000002',
		'iabaj'	=>	'020000',
		'iaber'	=>	'020000',
		'iabes'	=>	'020000',
		'iabí'	=>	'02000',
		'iabon'	=>	'020000',
		'iabor'	=>	'020000',
		'iabö'	=>	'02000',
		'iabő'	=>	'02000',
		'iabu'	=>	'02000',
		'iabú'	=>	'02000',
		'iabü'	=>	'02000',
		'iabű'	=>	'02000',
		'iacal'	=>	'002100',
		'iacc'	=>	'00030',
		'iacet'	=>	'020000',
		'iacélé'	=>	'0001000',
		'iach'	=>	'00230',
		'iacid'	=>	'002000',
		'iaciko'	=>	'0001200',
		'iacim'	=>	'002100',
		'iacint'	=>	'0021000',
		'iací'	=>	'02000',
		'iacor'	=>	'002100',
		'iacó'	=>	'00200',
		'iacö'	=>	'00200',
		'iacő'	=>	'00200',
		'iacsé'	=>	'002300',
		'iacsp'	=>	'000300',
		'iacst'	=>	'000300',
		'iacsz'	=>	'000300',
		'iacü'	=>	'00200',
		'iacz'	=>	'00200',
		'iadáss'	=>	'0000010',
		'iade'	=>	'02000',
		'iadí'	=>	'02000',
		'iadot'	=>	'002000',
		'iadóe'	=>	'002000',
		'iadóst'	=>	'0000100',
		'iadö'	=>	'02000',
		'iadő'	=>	'02000',
		'iadú'	=>	'02000',
		'iael'	=>	'00020',
		'iaer'	=>	'00020',
		'iaet'	=>	'00020',
		'iaér'	=>	'00020',
		'iafá'	=>	'02000',
		'iafe'	=>	'02000',
		'iafi'	=>	'02000',
		'iafl'	=>	'02100',
		'iafó'	=>	'02000',
		'iafö'	=>	'02000',
		'iafő'	=>	'02000',
		'iafri'	=>	'020000',
		'iafro'	=>	'001000',
		'iafu'	=>	'02000',
		'iafú'	=>	'02000',
		'iafü'	=>	'02000',
		'iafű'	=>	'02000',
		'iagá'	=>	'02000',
		'iage'	=>	'02000',
		'iagé'	=>	'02000',
		'iagi'	=>	'02000',
		'iagö'	=>	'02000',
		'iagő'	=>	'02000',
		'iagu'	=>	'02000',
		'iagyu'	=>	'002000',
		'iaig'	=>	'02000',
		'iaip'	=>	'02000',
		'iaiz'	=>	'02020',
		'iaján'	=>	'002000',
		'iaje'	=>	'02000',
		'iajo'	=>	'02000',
		'iakad'	=>	'002000',
		'iaká'	=>	'02000',
		'iake'	=>	'02000',
		'iakí'	=>	'02000',
		'iakl'	=>	'02120',
		'iakód'	=>	'020000',
		'iakór'	=>	'020000',
		'iakö'	=>	'02000',
		'iakő'	=>	'02000',
		'iakre'	=>	'001200',
		'iakré'	=>	'001200',
		'iakri'	=>	'001200',
		'iakrí'	=>	'001000',
		'iaku'	=>	'02000',
		'iakú'	=>	'02000',
		'iakü'	=>	'02000',
		'iakv'	=>	'02100',
		'ialan'	=>	'003000',
		'ialat'	=>	'002000',
		'ialeg'	=>	'020000',
		'ialib'	=>	'020000',
		'ialí'	=>	'02000',
		'ialom'	=>	'002000',
		'ialö'	=>	'02000',
		'ialud'	=>	'002000',
		'ialus'	=>	'002000',
		'ialy'	=>	'02000',
		'iamá'	=>	'02000',
		'iame'	=>	'02000',
		'iamó'	=>	'02000',
		'iamur'	=>	'002100',
		'iamú'	=>	'02000',
		'iamű'	=>	'02000',
		'ianek'	=>	'002000',
		'iané'	=>	'02000',
		'ianö'	=>	'02000',
		'ianő'	=>	'02000',
		'iaok'	=>	'00020',
		'iaór'	=>	'00020',
		'iapát'	=>	'002000',
		'iape'	=>	'02000',
		'iapé'	=>	'02000',
		'iapl'	=>	'00120',
		'iapo'	=>	'02000',
		'iaps'	=>	'00120',
		'iarádi'	=>	'0000002',
		'iare'	=>	'02000',
		'iarén'	=>	'002000',
		'iaro'	=>	'02000',
		'iaró'	=>	'02000',
		'iarö'	=>	'02000',
		'iaru'	=>	'02000',
		'iarú'	=>	'02000',
		'iase'	=>	'02000',
		'iash'	=>	'02100',
		'iasi'	=>	'02000',
		'iaská'	=>	'001200',
		'iasl'	=>	'02120',
		'iasm'	=>	'02120',
		'iasó'	=>	'02000',
		'iasö'	=>	'02000',
		'iasp'	=>	'02120',
		'iast'	=>	'00002',
		'iasta'	=>	'001200',
		'iastá'	=>	'001200',
		'iasti'	=>	'001000',
		'iasto'	=>	'001000',
		'iastr'	=>	'001000',
		'iasú'	=>	'02000',
		'iasü'	=>	'02000',
		'iasű'	=>	'02000',
		'iaszan'	=>	'0020100',
		'iaszerű'	=>	'03000000',
		'iaszes'	=>	'0020000',
		'iaszép'	=>	'0020000',
		'iaszker'	=>	'00002120',
		'iaszop'	=>	'0020000',
		'iaszú'	=>	'020000',
		'iate'	=>	'02000',
		'iató'	=>	'02000',
		'iatö'	=>	'02000',
		'iatő'	=>	'02000',
		'iatré'	=>	'001000',
		'iaty'	=>	'00200',
		'iaud'	=>	'02000',
		'iaur'	=>	'02020',
		'iaus'	=>	'00020',
		'iaüz'	=>	'00020',
		'iavat'	=>	'002000',
		'iavé'	=>	'02000',
		'iavi'	=>	'02000',
		'iaví'	=>	'02000',
		'iavo'	=>	'02000',
		'iazá'	=>	'02000',
		'iaze'	=>	'02000',
		'iazo'	=>	'00200',
		'iazs'	=>	'02000',
		'iazú'	=>	'02000',
		'iá'	=>	'010',
		'iács'	=>	'00200',
		'iága'	=>	'00200',
		'iágá'	=>	'00200',
		'iáge'	=>	'00200',
		'iági'	=>	'00200',
		'iágo'	=>	'00200',
		'iágy'	=>	'00200',
		'iáhí'	=>	'00200',
		'iáka'	=>	'00002',
		'iákab'	=>	'002000',
		'iákak'	=>	'002000',
		'iákal'	=>	'002100',
		'iákan'	=>	'002100',
		'iákap'	=>	'002100',
		'iákar'	=>	'002100',
		'iákas'	=>	'002100',
		'iáká'	=>	'00212',
		'iákeb'	=>	'002000',
		'iákel'	=>	'002100',
		'iákem'	=>	'002000',
		'iáken'	=>	'002100',
		'iákes'	=>	'002120',
		'iákérd'	=>	'0021000',
		'iákés'	=>	'002000',
		'iáki'	=>	'00002',
		'iákin'	=>	'002000',
		'iákir'	=>	'002000',
		'iákit'	=>	'002000',
		'iákí'	=>	'00200',
		'iákop'	=>	'002000',
		'iákor'	=>	'002100',
		'iákosz'	=>	'0021000',
		'iákó'	=>	'00212',
		'iákö'	=>	'00210',
		'iákő'	=>	'00200',
		'iákur'	=>	'002000',
		'iákut'	=>	'002100',
		'iákú'	=>	'00212',
		'iákü'	=>	'00210',
		'iákű'	=>	'00200',
		'iála'	=>	'00002',
		'iálana'	=>	'0001000',
		'iálál'	=>	'002000',
		'iálár'	=>	'002100',
		'iále'	=>	'00212',
		'iálim'	=>	'002000',
		'iálin'	=>	'002100',
		'iálop'	=>	'002000',
		'iánar'	=>	'002000',
		'iánas'	=>	'002100',
		'iánem'	=>	'002000',
		'iánir'	=>	'002000',
		'iánis'	=>	'002000',
		'iánö'	=>	'00200',
		'iánt'	=>	'00002',
		'iántr'	=>	'000100',
		'iánü'	=>	'00200',
		'iányad'	=>	'0020100',
		'iányal'	=>	'0020120',
		'iányan'	=>	'0020000',
		'iányar'	=>	'0020000',
		'iánye'	=>	'002012',
		'iányérz'	=>	'00200000',
		'iányö'	=>	'002000',
		'iáói'	=>	'00200',
		'iápo'	=>	'00200',
		'iárad'	=>	'002000',
		'iárak'	=>	'002000',
		'iáram'	=>	'002000',
		'iárdas'	=>	'0002000',
		'iárde'	=>	'000210',
		'iárdz'	=>	'000230',
		'iáre'	=>	'00200',
		'iárim'	=>	'002000',
		'iárs'	=>	'00012',
		'iáru'	=>	'00200',
		'iárun'	=>	'003000',
		'iárú'	=>	'00200',
		'iásal'	=>	'002000',
		'iásar'	=>	'002000',
		'iásas'	=>	'002100',
		'iáság'	=>	'002120',
		'iásám'	=>	'002100',
		'iásás'	=>	'002000',
		'iáse'	=>	'00212',
		'iásikr'	=>	'0020000',
		'iásí'	=>	'00200',
		'iásor'	=>	'002000',
		'iásó'	=>	'00200',
		'iásö'	=>	'00200',
		'iáső'	=>	'00200',
		'iásszo'	=>	'0003000',
		'iást'	=>	'00002',
		'iástr'	=>	'000100',
		'iásü'	=>	'00212',
		'iásű'	=>	'00200',
		'iásví'	=>	'000002',
		'iászás'	=>	'0020000',
		'iásze'	=>	'002300',
		'iászs'	=>	'000300',
		'iáta'	=>	'00200',
		'iátel'	=>	'002120',
		'iáti'	=>	'00002',
		'iátir'	=>	'002100',
		'ibad'	=>	'00012',
		'ibas'	=>	'00002',
		'ibat'	=>	'00002',
		'ibau'	=>	'00002',
		'ibaü'	=>	'00002',
		'ibála'	=>	'000210',
		'ibelér'	=>	'0002000',
		'iberin'	=>	'0002100',
		'ibes'	=>	'00010',
		'ibio'	=>	'00020',
		'iblo'	=>	'00200',
		'ibró'	=>	'00200',
		'ibru'	=>	'00200',
		'icaf'	=>	'00012',
		'icag'	=>	'00012',
		'icakl'	=>	'000100',
		'icakr'	=>	'000120',
		'icalos'	=>	'0002000',
		'icapr'	=>	'000100',
		'icat'	=>	'00012',
		'iccal'	=>	'000020',
		'iccan'	=>	'002000',
		'iccá'	=>	'00212',
		'icch'	=>	'00230',
		'iccin'	=>	'002000',
		'iccir'	=>	'002000',
		'iccí'	=>	'00200',
		'icco'	=>	'00210',
		'iccö'	=>	'00210',
		'iccsel'	=>	'0000020',
		'iccsol'	=>	'0000100',
		'iccső'	=>	'000012',
		'iccú'	=>	'00200',
		'iccz'	=>	'00200',
		'ichek'	=>	'003000',
		'ichiná'	=>	'0200000',
		'ichoz'	=>	'003000',
		'ichű'	=>	'02300',
		'icita'	=>	'000212',
		'icitár'	=>	'0002000',
		'icitel'	=>	'0002000',
		'iciter'	=>	'0002000',
		'iclu'	=>	'01200',
		'icol'	=>	'02100',
		'icsad'	=>	'020120',
		'icsala'	=>	'0001200',
		'icsapág'	=>	'00002120',
		'icsau'	=>	'020100',
		'icság'	=>	'000100',
		'icsáll'	=>	'0001000',
		'icseb'	=>	'020100',
		'icseg'	=>	'020120',
		'icset'	=>	'000020',
		'icsete'	=>	'0201000',
		'icsev'	=>	'020100',
		'icség'	=>	'000120',
		'icsipa'	=>	'0001000',
		'icss'	=>	'00010',
		'icsút'	=>	'000100',
		'icsül'	=>	'020100',
		'icsüt'	=>	'020120',
		'icsze'	=>	'003000',
		'icüz'	=>	'00100',
		'idaj'	=>	'02120',
		'idana'	=>	'001000',
		'idany'	=>	'001200',
		'idau'	=>	'02100',
		'idáll'	=>	'001000',
		'idáru'	=>	'001000',
		'idásv'	=>	'021000',
		'idbr'	=>	'00100',
		'iddo'	=>	'10000',
		'iddz'	=>	'00300',
		'ideav'	=>	'000200',
		'idegá'	=>	'000210',
		'idegél'	=>	'0002100',
		'idej'	=>	'12000',
		'idekv'	=>	'000120',
		'idel'	=>	'20000',
		'idelj'	=>	'001000',
		'idelm'	=>	'001000',
		'idelo'	=>	'001000',
		'idelt'	=>	'001000',
		'idemb'	=>	'021000',
		'idep'	=>	'00012',
		'idered'	=>	'0002000',
		'idero'	=>	'020000',
		'idesa'	=>	'000300',
		'ideu'	=>	'00002',
		'idég'	=>	'02120',
		'idékel'	=>	'0002000',
		'idény'	=>	'020000',
		'idércs'	=>	'0000230',
		'idész'	=>	'200000',
		'idéz'	=>	'12000',
		'idge'	=>	'00200',
		'idias'	=>	'000200',
		'idil'	=>	'12000',
		'idionj'	=>	'0010000',
		'idionn'	=>	'0010000',
		'idiono'	=>	'0212000',
		'idiont'	=>	'0212000',
		'idios'	=>	'000200',
		'idiód'	=>	'000200',
		'idita'	=>	'021000',
		'idíjad'	=>	'0000020',
		'idíjada'	=>	'00021000',
		'idkr'	=>	'00100',
		'idold'	=>	'001000',
		'idolv'	=>	'021000',
		'idomac'	=>	'0002000',
		'idoman'	=>	'0002100',
		'idomá'	=>	'120000',
		'idomo'	=>	'120000',
		'idomú'	=>	'100000',
		'idös'	=>	'00100',
		'időb'	=>	'12000',
		'időd'	=>	'12000',
		'időé'	=>	'12000',
		'időh'	=>	'12000',
		'idői'	=>	'12000',
		'idők'	=>	'12000',
		'időm'	=>	'12000',
		'időne'	=>	'020000',
		'időné'	=>	'020000',
		'időnk'	=>	'020000',
		'időp'	=>	'12000',
		'időr'	=>	'12000',
		'idős'	=>	'12000',
		'idősod'	=>	'0002000',
		'idősp'	=>	'000120',
		'időt'	=>	'12000',
		'időtál'	=>	'0002000',
		'időv'	=>	'12000',
		'időz'	=>	'02000',
		'idpr'	=>	'00100',
		'idrót'	=>	'002000',
		'idru'	=>	'01200',
		'idst'	=>	'00100',
		'idtr'	=>	'00120',
		'idut'	=>	'00120',
		'idüg'	=>	'00100',
		'idüz'	=>	'02100',
		'idzá'	=>	'02300',
		'idze'	=>	'02300',
		'idzó'	=>	'02300',
		'idzsa'	=>	'020010',
		'idzsá'	=>	'020010',
		'idzsen'	=>	'0200000',
		'idzsél'	=>	'0200000',
		'idzsí'	=>	'020012',
		'ie'	=>	'010',
		'iebe'	=>	'00200',
		'iecs'	=>	'00200',
		'iedz'	=>	'00200',
		'iefa'	=>	'00212',
		'iefá'	=>	'00200',
		'iefi'	=>	'00210',
		'iefü'	=>	'00212',
		'iegé'	=>	'00200',
		'iegy'	=>	'00200',
		'iehe'	=>	'00200',
		'ield'	=>	'02000',
		'ielo'	=>	'00200',
		'ielőa'	=>	'002000',
		'iema'	=>	'00200',
		'iensá'	=>	'000200',
		'ienso'	=>	'000210',
		'ienss'	=>	'000030',
		'ieny'	=>	'00200',
		'iepe'	=>	'00200',
		'ierad'	=>	'002120',
		'ierag'	=>	'002000',
		'ieraj'	=>	'002100',
		'ierak'	=>	'002120',
		'ieral'	=>	'002000',
		'ieram'	=>	'002000',
		'ieran'	=>	'002100',
		'ieras'	=>	'002000',
		'ierá'	=>	'00210',
		'ierd'	=>	'00012',
		'iereg'	=>	'002000',
		'ieregy'	=>	'0001000',
		'ierel'	=>	'002100',
		'ierember'	=>	'002100000',
		'ierest'	=>	'0021000',
		'ieriga'	=>	'0021000',
		'ierin'	=>	'002100',
		'ieriste'	=>	'00210000',
		'ierí'	=>	'00200',
		'ierol'	=>	'002100',
		'ieror'	=>	'002000',
		'ierö'	=>	'00200',
		'ierő'	=>	'00200',
		'iersz'	=>	'000002',
		'iert'	=>	'00002',
		'iertr'	=>	'000100',
		'ieru'	=>	'00212',
		'ierú'	=>	'00210',
		'ierüg'	=>	'002120',
		'iesel'	=>	'002000',
		'iesem'	=>	'002000',
		'iesett'	=>	'0020000',
		'iesés'	=>	'002000',
		'iesik'	=>	'002000',
		'ieső'	=>	'00200',
		'iesz'	=>	'00200',
		'ietész'	=>	'0000102',
		'ietz'	=>	'00001',
		'ieur'	=>	'00200',
		'ieve'	=>	'00200',
		'ievé'	=>	'00200',
		'ievi'	=>	'00200',
		'ievő'	=>	'00200',
		'ié'	=>	'010',
		'iédo'	=>	'02000',
		'iéfe'	=>	'02000',
		'iége'	=>	'00200',
		'iégé'	=>	'00200',
		'iégő'	=>	'00200',
		'iégü'	=>	'00200',
		'iéha'	=>	'02000',
		'iéhes'	=>	'002000',
		'iéhi'	=>	'02000',
		'iéil'	=>	'02000',
		'iéle'	=>	'00200',
		'iélé'	=>	'00200',
		'iéli'	=>	'00200',
		'iélő'	=>	'00200',
		'iéme'	=>	'02000',
		'iémé'	=>	'02000',
		'iémo'	=>	'02000',
		'iéneke'	=>	'0020000',
		'iénekh'	=>	'0020000',
		'iénekk'	=>	'0020000',
		'iénekü'	=>	'0020000',
		'iépí'	=>	'00200',
		'iépü'	=>	'00200',
		'iérek'	=>	'002000',
		'iéren'	=>	'020000',
		'iérez'	=>	'002000',
		'iéré'	=>	'00200',
		'iéri'	=>	'00200',
		'iérők'	=>	'002000',
		'iérőt'	=>	'002000',
		'iérü'	=>	'00200',
		'iészi'	=>	'020000',
		'iétas'	=>	'000010',
		'iétel'	=>	'002000',
		'iétö'	=>	'02000',
		'iévek'	=>	'002000',
		'ifast'	=>	'000100',
		'ifat'	=>	'00012',
		'ifenyőéh'	=>	'000000020',
		'ifio'	=>	'00002',
		'ifír'	=>	'00100',
		'ifjí'	=>	'10000',
		'ifju'	=>	'10000',
		'ifjúb'	=>	'100000',
		'ifjúé'	=>	'100000',
		'ifjúi'	=>	'100000',
		'ifjúké'	=>	'1000000',
		'ifjún'	=>	'100000',
		'ifjúr'	=>	'100000',
		'ifjús'	=>	'100000',
		'ifjút'	=>	'100000',
		'ifjúv'	=>	'100000',
		'ifla'	=>	'01200',
		'ifle'	=>	'00200',
		'iflo'	=>	'00200',
		'iflö'	=>	'00200',
		'iflu'	=>	'00200',
		'ifogo'	=>	'000002',
		'ifonn'	=>	'000010',
		'ifri'	=>	'01200',
		'ifro'	=>	'01200',
		'ifrö'	=>	'01200',
		'ifru'	=>	'00200',
		'ifta'	=>	'00210',
		'iftá'	=>	'00212',
		'iftel'	=>	'002120',
		'iftin'	=>	'002000',
		'iftö'	=>	'00200',
		'iftú'	=>	'00200',
		'igagit'	=>	'0012000',
		'igaka'	=>	'001200',
		'igals'	=>	'001000',
		'igalv'	=>	'001000',
		'igand'	=>	'001000',
		'iganyal'	=>	'00020000',
		'iganye'	=>	'0000002',
		'iganyes'	=>	'00020100',
		'igaras'	=>	'0002000',
		'igarz'	=>	'120000',
		'igasl'	=>	'000100',
		'igaszag'	=>	'00020000',
		'igaszal'	=>	'00000100',
		'igaur'	=>	'000020',
		'igazí'	=>	'100000',
		'igács'	=>	'001200',
		'igálm'	=>	'001000',
		'igásh'	=>	'001000',
		'igász'	=>	'030000',
		'igáte'	=>	'001212',
		'igbr'	=>	'00100',
		'igdr'	=>	'00120',
		'igedz'	=>	'001000',
		'igeg'	=>	'02000',
		'igek'	=>	'00002',
		'igekl'	=>	'000100',
		'igele'	=>	'001200',
		'igell'	=>	'001000',
		'igelm'	=>	'001000',
		'igenl'	=>	'120000',
		'igerá'	=>	'000200',
		'igerő'	=>	'001000',
		'igese'	=>	'001200',
		'igesi'	=>	'001000',
		'igetál'	=>	'0002000',
		'igeteg'	=>	'0002000',
		'igetél'	=>	'0002000',
		'igeto'	=>	'000210',
		'igetőr'	=>	'0002000',
		'igevi'	=>	'001000',
		'igex'	=>	'02100',
		'igéd'	=>	'12000',
		'igég'	=>	'00120',
		'igéli'	=>	'001200',
		'igélő'	=>	'001200',
		'igélü'	=>	'001200',
		'igélv'	=>	'001000',
		'igém'	=>	'02000',
		'igéna'	=>	'000200',
		'igéná'	=>	'000200',
		'igény'	=>	'120000',
		'igépe'	=>	'030000',
		'igépí'	=>	'001000',
		'igérj'	=>	'001000',
		'igérl'	=>	'001000',
		'igérn'	=>	'001000',
		'igérü'	=>	'001200',
		'igérv'	=>	'001000',
		'igész'	=>	'001000',
		'igéü'	=>	'12000',
		'igfl'	=>	'00100',
		'iggr'	=>	'00120',
		'igív'	=>	'00100',
		'igíz'	=>	'00100',
		'igkl'	=>	'00100',
		'igkr'	=>	'00100',
		'iglac'	=>	'002000',
		'ignad'	=>	'002000',
		'igneg'	=>	'002120',
		'igner'	=>	'000020',
		'ignosz'	=>	'0021000',
		'ignö'	=>	'00200',
		'ignü'	=>	'00200',
		'igorál'	=>	'0002000',
		'igos'	=>	'00120',
		'igóé'	=>	'00002',
		'igöb'	=>	'00100',
		'igök'	=>	'00120',
		'igöl'	=>	'00100',
		'igöz'	=>	'00120',
		'igpr'	=>	'00100',
		'igraf'	=>	'012000',
		'igsk'	=>	'00100',
		'igsl'	=>	'00100',
		'igsm'	=>	'00100',
		'igsp'	=>	'00100',
		'igst'	=>	'00100',
		'igsz'	=>	'00100',
		'igtr'	=>	'00100',
		'igug'	=>	'00100',
		'igun'	=>	'00020',
		'igut'	=>	'00020',
		'igús'	=>	'00100',
		'igüc'	=>	'00100',
		'igüd'	=>	'00100',
		'igüg'	=>	'00120',
		'igül'	=>	'00020',
		'igüt'	=>	'00100',
		'igüv'	=>	'00100',
		'igűz'	=>	'00100',
		'igyam'	=>	'020000',
		'igyák'	=>	'020000',
		'igyál'	=>	'020000',
		'igyeg'	=>	'020100',
		'igyekéh'	=>	'02012000',
		'igyékt'	=>	'0201000',
		'igyért'	=>	'0201000',
		'ihare'	=>	'000200',
		'ii'	=>	'010',
		'iide'	=>	'00200',
		'iidé'	=>	'00200',
		'iidő'	=>	'00200',
		'iiga'	=>	'00200',
		'iigá'	=>	'00200',
		'iigé'	=>	'00200',
		'iigy'	=>	'00200',
		'iiha'	=>	'00200',
		'iije'	=>	'00200',
		'iimá'	=>	'00200',
		'iimi'	=>	'00200',
		'iipa'	=>	'00200',
		'iiram'	=>	'002000',
		'iirat'	=>	'002000',
		'iirá'	=>	'00200',
		'iiro'	=>	'00200',
		'iisz'	=>	'00200',
		'iita'	=>	'00200',
		'iivá'	=>	'00200',
		'iivo'	=>	'00200',
		'iivó'	=>	'00200',
		'iizé'	=>	'00200',
		'iizo'	=>	'00200',
		'ií'	=>	'010',
		'iígé'	=>	'00200',
		'iíra'	=>	'00200',
		'iírá'	=>	'00200',
		'iíro'	=>	'00200',
		'iíró'	=>	'00200',
		'iíru'	=>	'00200',
		'iíté'	=>	'00200',
		'iíve'	=>	'00200',
		'iíze'	=>	'00200',
		'ijed'	=>	'12000',
		'ijegyá'	=>	'0002012',
		'ijes'	=>	'12000',
		'ikabej'	=>	'0000021',
		'ikabejá'	=>	'00000002',
		'ikabl'	=>	'021000',
		'ikajt'	=>	'001000',
		'ikalak'	=>	'0002000',
		'ikang'	=>	'001000',
		'ikaó'	=>	'00002',
		'ikapl'	=>	'000120',
		'ikapr'	=>	'000120',
		'ikarór'	=>	'0002020',
		'ikas'	=>	'00002',
		'ikasp'	=>	'000100',
		'ikatr'	=>	'000120',
		'ikárk'	=>	'021000',
		'ikáru'	=>	'021000',
		'ikáss'	=>	'000010',
		'ikátol'	=>	'0002000',
		'ikdr'	=>	'00100',
		'ikebé'	=>	'001000',
		'ikeg'	=>	'02100',
		'ikelo'	=>	'001000',
		'ikeng'	=>	'001000',
		'ikera'	=>	'000212',
		'ikerá'	=>	'000212',
		'ikeredz'	=>	'00021200',
		'ikerel'	=>	'0002120',
		'ikerev'	=>	'0002100',
		'ikeris'	=>	'0002000',
		'ikero'	=>	'000210',
		'ikerő'	=>	'001200',
		'ikers'	=>	'000010',
		'ikeru'	=>	'000200',
		'iketült'	=>	'00021000',
		'ikevo'	=>	'001000',
		'ikékekk'	=>	'00020000',
		'iképí'	=>	'021000',
		'iképü'	=>	'021000',
		'ikérz'	=>	'021000',
		'ikfl'	=>	'00100',
		'ikfr'	=>	'00100',
		'ikid'	=>	'02100',
		'ikiko'	=>	'001200',
		'ikikr'	=>	'001000',
		'ikind'	=>	'001000',
		'ikins'	=>	'001000',
		'ikint'	=>	'021000',
		'ikio'	=>	'02120',
		'ikisk'	=>	'001000',
		'ikkal'	=>	'000020',
		'ikkala'	=>	'0021000',
		'ikkany'	=>	'0001000',
		'ikkar'	=>	'002120',
		'ikkára'	=>	'0001000',
		'ikkáz'	=>	'002000',
		'ikkev'	=>	'002000',
		'ikkérde'	=>	'00010000',
		'ikkin'	=>	'002000',
		'ikkip'	=>	'002120',
		'ikkol'	=>	'002100',
		'ikkó'	=>	'00210',
		'ikkös'	=>	'002100',
		'ikköt'	=>	'002000',
		'ikköz'	=>	'002120',
		'ikku'	=>	'00212',
		'ikküz'	=>	'002000',
		'iklatr'	=>	'0000100',
		'ikler'	=>	'002000',
		'iklor'	=>	'002000',
		'iklub'	=>	'010000',
		'iklum'	=>	'002000',
		'iknéd'	=>	'010000',
		'ikoma'	=>	'000002',
		'ikomar'	=>	'0002100',
		'ikonbá'	=>	'1000000',
		'ikonén'	=>	'1000000',
		'ikonl'	=>	'120000',
		'ikonta'	=>	'1200000',
		'ikontö'	=>	'1000000',
		'ikontü'	=>	'1200000',
		'ikonzs'	=>	'1000000',
		'ikóp'	=>	'00010',
		'ikórá'	=>	'001200',
		'ikószá'	=>	'0002300',
		'ikőres'	=>	'0002000',
		'ikpl'	=>	'00100',
		'ikpr'	=>	'00100',
		'ikrei'	=>	'100000',
		'ikrek'	=>	'100000',
		'ikrém'	=>	'002000',
		'ikróm'	=>	'012000',
		'ikru'	=>	'01200',
		'ikst'	=>	'00100',
		'ikszind'	=>	'00000002',
		'ikszt'	=>	'000020',
		'iktuss'	=>	'0000010',
		'iktusz'	=>	'0000200',
		'ikub'	=>	'20000',
		'ikudv'	=>	'001000',
		'ikuf'	=>	'20000',
		'ikuh'	=>	'20000',
		'ikui'	=>	'20000',
		'ikuí'	=>	'20000',
		'ikuj'	=>	'20000',
		'ikuk'	=>	'20000',
		'ikur'	=>	'20000',
		'ikusav'	=>	'0002000',
		'ikut'	=>	'20000',
		'ikuv'	=>	'20000',
		'iküv'	=>	'00120',
		'ilabr'	=>	'001000',
		'ilace'	=>	'001200',
		'ilacé'	=>	'001200',
		'iladó'	=>	'001200',
		'ilala'	=>	'001200',
		'ilald'	=>	'001000',
		'ilalk'	=>	'021000',
		'ilamb'	=>	'001000',
		'ilan'	=>	'00020',
		'ilana'	=>	'021000',
		'ilany'	=>	'021000',
		'ilapin'	=>	'0002000',
		'ilapol'	=>	'0002000',
		'ilar'	=>	'02120',
		'iláge'	=>	'000212',
		'ilágg'	=>	'000030',
		'ilágö'	=>	'000200',
		'ilágyo'	=>	'0012000',
		'ilányfé'	=>	'00000002',
		'iláp'	=>	'02120',
		'ilárn'	=>	'021000',
		'iláro'	=>	'001200',
		'iláru'	=>	'001000',
		'ilárú'	=>	'001200',
		'ilász'	=>	'000200',
		'ilászo'	=>	'0210000',
		'ilátf'	=>	'001000',
		'ilátm'	=>	'001000',
		'ilátr'	=>	'001000',
		'ilbl'	=>	'00100',
		'ilca'	=>	'00212',
		'ilcc'	=>	'00030',
		'ilch'	=>	'00200',
		'ilcsap'	=>	'0023000',
		'ilcsik'	=>	'0023000',
		'ilcsz'	=>	'000300',
		'ilcz'	=>	'00200',
		'ilelem'	=>	'0012000',
		'ilemb'	=>	'021000',
		'ileml'	=>	'021000',
		'ilexp'	=>	'001000',
		'iléná'	=>	'000210',
		'ilénekh'	=>	'02120000',
		'ilénekn'	=>	'02120000',
		'ilésp'	=>	'000100',
		'ilfl'	=>	'00120',
		'ilfr'	=>	'00100',
		'ilgr'	=>	'00120',
		'ilicc'	=>	'021000',
		'ilide'	=>	'001000',
		'iligáh'	=>	'0210000',
		'iligáj'	=>	'0210000',
		'iligás'	=>	'0210000',
		'iligát'	=>	'0210000',
		'iligra'	=>	'0001000',
		'ilikonb'	=>	'02120000',
		'ilikoné'	=>	'02000000',
		'ilikonh'	=>	'02120000',
		'ilikonj'	=>	'02120000',
		'ilikonn'	=>	'02120000',
		'ilikono'	=>	'02120000',
		'ilikonr'	=>	'02120000',
		'ilikont'	=>	'02120000',
		'ilikonz'	=>	'02000000',
		'ilill'	=>	'001000',
		'ilimi'	=>	'001200',
		'ilimp'	=>	'001000',
		'ilinn'	=>	'000010',
		'ilipá'	=>	'000210',
		'iliró'	=>	'001000',
		'ilkl'	=>	'00120',
		'ilkr'	=>	'00120',
		'illagó'	=>	'0000212',
		'illatb'	=>	'1000000',
		'illatr'	=>	'1000000',
		'illatt'	=>	'1000000',
		'illeste'	=>	'00210000',
		'illesté'	=>	'00210000',
		'illésé'	=>	'1000000',
		'illét'	=>	'000020',
		'illéte'	=>	'0001000',
		'illétt'	=>	'0001000',
		'illid'	=>	'002100',
		'illig'	=>	'000002',
		'illigr'	=>	'0000100',
		'illö'	=>	'00210',
		'illu'	=>	'10000',
		'illú'	=>	'10000',
		'ilmada'	=>	'0001000',
		'ilmagy'	=>	'0021000',
		'ilmaj'	=>	'002100',
		'ilmaka'	=>	'0001000',
		'ilmal'	=>	'002120',
		'ilmank'	=>	'0001000',
		'ilmany'	=>	'0001000',
		'ilmap'	=>	'002100',
		'ilmarc'	=>	'0021000',
		'ilmatl'	=>	'0001000',
		'ilmaz'	=>	'002120',
		'ilmál'	=>	'002100',
		'ilmeg'	=>	'000020',
		'ilmegé'	=>	'0021000',
		'ilmegy'	=>	'0021000',
		'ilmel'	=>	'002120',
		'ilmep'	=>	'002100',
		'ilmer'	=>	'002120',
		'ilmesz'	=>	'0021000',
		'ilméj'	=>	'002120',
		'ilmék'	=>	'002100',
		'ilmél'	=>	'000020',
		'ilméle'	=>	'0021000',
		'ilmérd'	=>	'0021000',
		'ilmérést'	=>	'000120000',
		'ilmérte'	=>	'00200000',
		'ilmérté'	=>	'00210000',
		'ilmés'	=>	'002100',
		'ilmid'	=>	'002000',
		'ilmik'	=>	'002120',
		'ilmim'	=>	'002000',
		'ilmir'	=>	'002000',
		'ilmis'	=>	'002100',
		'ilmiz'	=>	'002000',
		'ilmí'	=>	'00212',
		'ilmok'	=>	'002100',
		'ilmol'	=>	'002000',
		'ilmor'	=>	'002100',
		'ilmosz'	=>	'0001000',
		'ilmór'	=>	'002120',
		'ilmö'	=>	'00200',
		'ilmő'	=>	'00200',
		'ilmu'	=>	'00002',
		'ilmut'	=>	'002100',
		'ilog'	=>	'00012',
		'ilor'	=>	'02100',
		'ilót'	=>	'00002',
		'ilótr'	=>	'000100',
		'ilöb'	=>	'00100',
		'ilös'	=>	'00100',
		'ilpl'	=>	'00120',
		'ilpr'	=>	'00120',
		'ilsh'	=>	'00100',
		'ilsp'	=>	'00100',
		'ilst'	=>	'00120',
		'ilte'	=>	'20000',
		'ilumi'	=>	'000002',
		'ilumin'	=>	'0000001',
		'iluss'	=>	'000030',
		'ilüg'	=>	'02100',
		'ilür'	=>	'00100',
		'ilüv'	=>	'00100',
		'ilüz'	=>	'02100',
		'ilvak'	=>	'000012',
		'imagl'	=>	'000100',
		'imakk'	=>	'001000',
		'imaó'	=>	'00002',
		'imap'	=>	'00010',
		'imarit'	=>	'0200000',
		'imád'	=>	'12000',
		'imákt'	=>	'020000',
		'imdr'	=>	'00100',
		'imegg'	=>	'000010',
		'imelem'	=>	'0010000',
		'imem'	=>	'00020',
		'imeme'	=>	'021000',
		'imera'	=>	'000200',
		'imerin'	=>	'0002000',
		'imérd'	=>	'021000',
		'iminh'	=>	'001000',
		'iminté'	=>	'0010000',
		'imita'	=>	'000212',
		'imitár'	=>	'0002120',
		'imitin'	=>	'0002000',
		'immu'	=>	'10000',
		'imold'	=>	'021000',
		'imom'	=>	'02100',
		'imórá'	=>	'001200',
		'imót'	=>	'00002',
		'imös'	=>	'00100',
		'impé'	=>	'10000',
		'impu'	=>	'10000',
		'imrei'	=>	'100000',
		'imür'	=>	'02100',
		'iműtr'	=>	'000020',
		'inabl'	=>	'021000',
		'inacé'	=>	'021200',
		'inadá'	=>	'021000',
		'inade'	=>	'001000',
		'inado'	=>	'020000',
		'inajá'	=>	'001200',
		'inajt'	=>	'001000',
		'inakar'	=>	'0000020',
		'inakc'	=>	'021000',
		'inakk'	=>	'020000',
		'inakn'	=>	'020000',
		'inakt'	=>	'020000',
		'inakv'	=>	'021000',
		'inald'	=>	'001000',
		'inalk'	=>	'021000',
		'inall'	=>	'001000',
		'inana'	=>	'001000',
		'inapla'	=>	'0001000',
		'inarán'	=>	'0002000',
		'inasis'	=>	'0002000',
		'inasn'	=>	'120000',
		'inatell'	=>	'00020000',
		'inág'	=>	'02100',
		'inálad'	=>	'0002000',
		'inárak'	=>	'0012000',
		'inárh'	=>	'001000',
		'ináru'	=>	'020000',
		'inásv'	=>	'021000',
		'inbl'	=>	'00100',
		'inbr'	=>	'00100',
		'incag'	=>	'002120',
		'incal'	=>	'002000',
		'incan'	=>	'000020',
		'incelt'	=>	'0001000',
		'incél'	=>	'002100',
		'inchi'	=>	'002000',
		'incho'	=>	'002300',
		'incis'	=>	'002100',
		'incos'	=>	'002100',
		'incó'	=>	'00200',
		'incö'	=>	'00210',
		'incő'	=>	'00200',
		'incsan'	=>	'0000100',
		'incser'	=>	'0020120',
		'incséj'	=>	'0020120',
		'incsérv'	=>	'00030000',
		'incsor'	=>	'0020000',
		'incsú'	=>	'002000',
		'incsüt'	=>	'0003000',
		'incsza'	=>	'0003000',
		'incú'	=>	'00200',
		'indab'	=>	'002100',
		'indai'	=>	'100000',
		'indaz'	=>	'002100',
		'indeb'	=>	'002000',
		'inded'	=>	'002100',
		'indeg'	=>	'002120',
		'indekö'	=>	'0001000',
		'indem'	=>	'002120',
		'indett'	=>	'0021000',
		'index'	=>	'100000',
		'indez'	=>	'002120',
		'indég'	=>	'002100',
		'indén'	=>	'002100',
		'indés'	=>	'002000',
		'indink'	=>	'0001000',
		'indiv'	=>	'100000',
		'indít'	=>	'100000',
		'indö'	=>	'00002',
		'indör'	=>	'002100',
		'indös'	=>	'002000',
		'indra'	=>	'001000',
		'indul'	=>	'100000',
		'inedé'	=>	'021200',
		'inef'	=>	'02100',
		'inegg'	=>	'000010',
		'inegy'	=>	'001200',
		'ineku'	=>	'000200',
		'inel'	=>	'02120',
		'inemu'	=>	'001000',
		'ineny'	=>	'021000',
		'iner'	=>	'20000',
		'inerd'	=>	'021000',
		'inerj'	=>	'021000',
		'ineta'	=>	'000210',
		'inetér'	=>	'0002100',
		'inetül'	=>	'0002000',
		'inex'	=>	'02100',
		'inéb'	=>	'20000',
		'inége'	=>	'001200',
		'inékré'	=>	'0001000',
		'inél'	=>	'00020',
		'inéle'	=>	'021000',
		'inélt'	=>	'021000',
		'inélv'	=>	'021000',
		'inépí'	=>	'001000',
		'inérd'	=>	'020000',
		'inéré'	=>	'021000',
		'inérte'	=>	'0010000',
		'inétá'	=>	'000200',
		'inéte'	=>	'000200',
		'inév'	=>	'20000',
		'infek'	=>	'100000',
		'infl'	=>	'10000',
		'ingadó'	=>	'0020000',
		'ingala'	=>	'0021000',
		'ingáll'	=>	'0001000',
		'ingárá'	=>	'0001000',
		'ingáré'	=>	'0001000',
		'ingáro'	=>	'0001200',
		'ingárt'	=>	'0001000',
		'ingáru'	=>	'0001000',
		'ingáss'	=>	'0000030',
		'ingec'	=>	'100000',
		'ingeg'	=>	'002100',
		'ingei'	=>	'100000',
		'ingeljá'	=>	'00010000',
		'ingelk'	=>	'0001000',
		'ingell'	=>	'0021000',
		'ingels'	=>	'0001000',
		'ingenc'	=>	'0021000',
		'ingerb'	=>	'1000000',
		'ingerc'	=>	'1000000',
		'ingeré'	=>	'1000000',
		'ingerés'	=>	'00002100',
		'ingerg'	=>	'1000000',
		'ingerh'	=>	'1000000',
		'ingeri'	=>	'1000000',
		'ingerk'	=>	'1000000',
		'ingerm'	=>	'1000000',
		'ingern'	=>	'1000000',
		'ingerp'	=>	'1000000',
		'ingerr'	=>	'1000000',
		'ingers'	=>	'1000000',
		'ingert'	=>	'1000000',
		'ingerü'	=>	'1000000',
		'ingev'	=>	'002120',
		'ingéj'	=>	'002120',
		'ingék'	=>	'002100',
		'ingél'	=>	'002100',
		'ingéss'	=>	'0000030',
		'ingg'	=>	'00030',
		'ingina'	=>	'0001200',
		'ingí'	=>	'00200',
		'inglo'	=>	'001000',
		'ingor'	=>	'002000',
		'ingöl'	=>	'002100',
		'ingös'	=>	'002100',
		'ingrádb'	=>	'00020000',
		'ingrádd'	=>	'00020000',
		'ingrádn'	=>	'00020000',
		'ingrádo'	=>	'00020000',
		'ingrádt'	=>	'00020000',
		'inguj'	=>	'100000',
		'ingut'	=>	'002120',
		'ingú'	=>	'00200',
		'ingült'	=>	'0001000',
		'inie'	=>	'20000',
		'inié'	=>	'20000',
		'inigar'	=>	'0200000',
		'inige'	=>	'021000',
		'inikra'	=>	'0010000',
		'inikro'	=>	'0001000',
		'inill'	=>	'021000',
		'inimi'	=>	'001200',
		'inind'	=>	'001000',
		'ining'	=>	'200000',
		'ininh'	=>	'021000',
		'inio'	=>	'02120',
		'inir'	=>	'20000',
		'iniség'	=>	'0002100',
		'inisk'	=>	'021000',
		'inism'	=>	'021000',
		'inital'	=>	'0210000',
		'iniu'	=>	'20000',
		'iníz'	=>	'02100',
		'injekc'	=>	'1000000',
		'inkacé'	=>	'0001000',
		'inkad'	=>	'002120',
		'inkato'	=>	'0021000',
		'inkárn'	=>	'0021000',
		'inkesz'	=>	'0021000',
		'inkérté'	=>	'00010000',
		'inkio'	=>	'002000',
		'inkold'	=>	'0001000',
		'inkorsó'	=>	'00010000',
		'inkös'	=>	'002000',
		'inkub'	=>	'100000',
		'innor'	=>	'002000',
		'inob'	=>	'02100',
		'inokl'	=>	'021000',
		'inold'	=>	'021000',
		'inolt'	=>	'021000',
		'inolv'	=>	'021000',
		'inorg'	=>	'001000',
		'inox'	=>	'02100',
		'inóda'	=>	'001000',
		'inódá'	=>	'001200',
		'inórá'	=>	'000200',
		'inöl'	=>	'02100',
		'inön'	=>	'00100',
		'inőz'	=>	'00100',
		'inpl'	=>	'00100',
		'inpr'	=>	'00100',
		'insk'	=>	'00120',
		'insm'	=>	'00120',
		'inspi'	=>	'100000',
		'inspr'	=>	'001000',
		'insta'	=>	'100000',
		'insto'	=>	'001200',
		'intaktu'	=>	'00210000',
		'intann'	=>	'0001000',
		'intárai'	=>	'00010000',
		'intárak'	=>	'00010000',
		'intárat'	=>	'00010000',
		'intárá'	=>	'0021200',
		'intárf'	=>	'0021000',
		'intári'	=>	'0021000',
		'intáron'	=>	'00010000',
		'intárr'	=>	'0021000',
		'intársz'	=>	'00010000',
		'intáru'	=>	'0021000',
		'intáta'	=>	'0001200',
		'intege'	=>	'1000000',
		'integr'	=>	'1000000',
		'integy'	=>	'0021200',
		'intelőt'	=>	'00010000',
		'intelté'	=>	'00010000',
		'intenn'	=>	'0021000',
		'inteny'	=>	'0021200',
		'intenz'	=>	'1000000',
		'interez'	=>	'00212000',
		'interfé'	=>	'10000000',
		'intessz'	=>	'00010000',
		'intetős'	=>	'00002100',
		'intéj'	=>	'002120',
		'intész'	=>	'0021000',
		'intézé'	=>	'1000000',
		'intézk'	=>	'1000000',
		'intézm'	=>	'1000000',
		'intéző'	=>	'1000000',
		'intézőc'	=>	'20000000',
		'inthos'	=>	'0012000',
		'inthu'	=>	'001000',
		'intid'	=>	'002000',
		'intigé'	=>	'0020000',
		'intilla'	=>	'00010000',
		'inting'	=>	'0021000',
		'intip'	=>	'002100',
		'intivá'	=>	'0021000',
		'intiz'	=>	'002120',
		'intoml'	=>	'0001000',
		'intosz'	=>	'0021000',
		'intös'	=>	'002100',
		'intőkész'	=>	'000000001',
		'intura'	=>	'0001000',
		'intuss'	=>	'0000010',
		'intut'	=>	'002100',
		'intús'	=>	'002000',
		'intút'	=>	'002100',
		'inug'	=>	'02100',
		'inuj'	=>	'02100',
		'inúj'	=>	'00100',
		'inús'	=>	'00120',
		'inút'	=>	'02120',
		'inüg'	=>	'02120',
		'inült'	=>	'001000',
		'inünn'	=>	'001000',
		'inür'	=>	'00100',
		'inüs'	=>	'00100',
		'inüt'	=>	'02120',
		'inüv'	=>	'02120',
		'inüz'	=>	'02120',
		'inűr'	=>	'00100',
		'inven'	=>	'100000',
		'inxa'	=>	'00200',
		'inzu'	=>	'10000',
		'io'	=>	'010',
		'ioár'	=>	'00020',
		'iobr'	=>	'00120',
		'iocs'	=>	'00200',
		'iodr'	=>	'00120',
		'iodú'	=>	'00200',
		'iogá'	=>	'02000',
		'iograf'	=>	'0002000',
		'iográff'	=>	'00120000',
		'iogy'	=>	'02000',
		'ioik'	=>	'00200',
		'ioká'	=>	'00200',
		'iokí'	=>	'00200',
		'ioko'	=>	'00200',
		'ioku'	=>	'00200',
		'iold'	=>	'03000',
		'ioliv'	=>	'002120',
		'iolk'	=>	'00012',
		'iolokk'	=>	'0001000',
		'ioló'	=>	'02000',
		'iolv'	=>	'03000',
		'iomar'	=>	'002000',
		'iomárt'	=>	'0021000',
		'iomil'	=>	'002000',
		'iomö'	=>	'00200',
		'ionad'	=>	'002000',
		'ionag'	=>	'002120',
		'ionak'	=>	'002000',
		'ionan'	=>	'002120',
		'ionar'	=>	'002120',
		'ionas'	=>	'002100',
		'ionat'	=>	'002120',
		'ionav'	=>	'002100',
		'ionát'	=>	'002100',
		'ioneg'	=>	'002000',
		'ionel'	=>	'002100',
		'ionen'	=>	'002000',
		'ionim'	=>	'000001',
		'ionin'	=>	'002000',
		'ionk'	=>	'00012',
		'ionop'	=>	'002000',
		'ionoszt'	=>	'00210000',
		'ionö'	=>	'00200',
		'ions'	=>	'00002',
		'ionst'	=>	'000100',
		'iontr'	=>	'000120',
		'iope'	=>	'00200',
		'iopr'	=>	'00120',
		'iora'	=>	'00210',
		'ioriko'	=>	'0021200',
		'ioso'	=>	'00200',
		'ioszf'	=>	'001020',
		'iote'	=>	'02000',
		'ioxidj'	=>	'0020000',
		'ioxidt'	=>	'0020000',
		'ió'	=>	'010',
		'ióad'	=>	'00020',
		'ióap'	=>	'00200',
		'ióág'	=>	'00020',
		'ióár'	=>	'00020',
		'ióáta'	=>	'000012',
		'ióbá'	=>	'02000',
		'ióbes'	=>	'020000',
		'ióbé'	=>	'02000',
		'ióbí'	=>	'02000',
		'ióbl'	=>	'02100',
		'ióbo'	=>	'02000',
		'ióbö'	=>	'02000',
		'ióbő'	=>	'02000',
		'ióbr'	=>	'02120',
		'ióbu'	=>	'02000',
		'ióbú'	=>	'02000',
		'ióbü'	=>	'02000',
		'ióbű'	=>	'02000',
		'ióce'	=>	'02000',
		'iócé'	=>	'02000',
		'ióci'	=>	'02000',
		'iócsk'	=>	'030000',
		'iócu'	=>	'02000',
		'ióde'	=>	'02000',
		'iódé'	=>	'02000',
		'iódi'	=>	'02000',
		'iódí'	=>	'02000',
		'iódó'	=>	'02000',
		'iódö'	=>	'02000',
		'iódrá'	=>	'001000',
		'iódú'	=>	'02000',
		'iódü'	=>	'02000',
		'iódz'	=>	'02000',
		'ióég'	=>	'02000',
		'ióék'	=>	'02000',
		'ióél'	=>	'02000',
		'ióép'	=>	'02000',
		'ióés'	=>	'02000',
		'iófá'	=>	'02000',
		'iófe'	=>	'02000',
		'iófi'	=>	'02000',
		'iófl'	=>	'02100',
		'iófó'	=>	'02000',
		'iófö'	=>	'02000',
		'iófő'	=>	'02000',
		'iófr'	=>	'02120',
		'iófu'	=>	'02000',
		'iófü'	=>	'02000',
		'iófű'	=>	'02000',
		'iógr'	=>	'00120',
		'ióha'	=>	'02000',
		'ióhá'	=>	'02000',
		'ióhe'	=>	'02000',
		'ióhé'	=>	'02000',
		'ióhi'	=>	'02000',
		'ióhí'	=>	'02000',
		'ióhó'	=>	'02000',
		'ióhö'	=>	'02000',
		'ióhő'	=>	'02000',
		'ióhu'	=>	'02000',
		'ióhü'	=>	'02000',
		'ióhű'	=>	'02000',
		'ióig'	=>	'00020',
		'ióip'	=>	'02000',
		'ióis'	=>	'02000',
		'ióiz'	=>	'02000',
		'ióív'	=>	'00020',
		'ióje'	=>	'02000',
		'iójo'	=>	'02000',
		'iójó'	=>	'02000',
		'iókad'	=>	'002000',
		'iókaj'	=>	'002000',
		'iókarc'	=>	'0001000',
		'iókaszt'	=>	'00210000',
		'iókál'	=>	'002000',
		'iókeg'	=>	'002120',
		'iókid'	=>	'002120',
		'iókí'	=>	'02000',
		'iókköz'	=>	'0000001',
		'iókold'	=>	'0001000',
		'iókort'	=>	'0200000',
		'iókö'	=>	'02000',
		'iókő'	=>	'02000',
		'ióküz'	=>	'002000',
		'ióla'	=>	'02000',
		'iólá'	=>	'02000',
		'ióle'	=>	'02000',
		'iólé'	=>	'02000',
		'ióli'	=>	'02000',
		'iólo'	=>	'02000',
		'ióme'	=>	'02000',
		'iómó'	=>	'02000',
		'iómu'	=>	'02000',
		'iómú'	=>	'02000',
		'iómű'	=>	'02000',
		'ióne'	=>	'02000',
		'iónó'	=>	'02000',
		'iónö'	=>	'02000',
		'ióok'	=>	'00020',
		'ióór'	=>	'00020',
		'ióps'	=>	'00120',
		'iórab'	=>	'002000',
		'iórag'	=>	'020000',
		'iórak'	=>	'020000',
		'ióran'	=>	'020000',
		'iórap'	=>	'020000',
		'ióras'	=>	'002000',
		'iórád'	=>	'020000',
		'ióre'	=>	'02000',
		'ióré'	=>	'02000',
		'iória'	=>	'020000',
		'ióro'	=>	'02000',
		'iórö'	=>	'02000',
		'ióru'	=>	'02000',
		'iósaj'	=>	'002100',
		'iósel'	=>	'002000',
		'ióslá'	=>	'001000',
		'iósó'	=>	'00200',
		'ióss'	=>	'00030',
		'ióstá'	=>	'001200',
		'ióstr'	=>	'001000',
		'iósú'	=>	'02000',
		'iósz'	=>	'00102',
		'ióte'	=>	'02000',
		'ióté'	=>	'02000',
		'ióti'	=>	'02000',
		'iótí'	=>	'02000',
		'iótö'	=>	'02000',
		'iótő'	=>	'02000',
		'iótr'	=>	'02120',
		'iótu'	=>	'02000',
		'iótú'	=>	'02000',
		'iótü'	=>	'02000',
		'iótű'	=>	'02000',
		'ióug'	=>	'02000',
		'ióun'	=>	'02000',
		'ióur'	=>	'02000',
		'ióut'	=>	'02000',
		'ióvár'	=>	'020000',
		'ióvás'	=>	'020000',
		'ióve'	=>	'02000',
		'ióvé'	=>	'02000',
		'ióvi'	=>	'02000',
		'ióví'	=>	'02000',
		'ióvö'	=>	'02000',
		'iózár'	=>	'020000',
		'ióze'	=>	'02000',
		'iózs'	=>	'02000',
		'iö'	=>	'010',
		'iökö'	=>	'00200',
		'iöle'	=>	'00200',
		'iölé'	=>	'00200',
		'iöli'	=>	'00200',
		'iölö'	=>	'00200',
		'iölő'	=>	'00200',
		'iömö'	=>	'00200',
		'iöre'	=>	'00200',
		'iörö'	=>	'00200',
		'iörü'	=>	'00200',
		'iötö'	=>	'00200',
		'iöve'	=>	'00200',
		'iözö'	=>	'00200',
		'iő'	=>	'010',
		'iődr'	=>	'00100',
		'iőha'	=>	'02000',
		'iőké'	=>	'02000',
		'iőku'	=>	'02000',
		'iőra'	=>	'02000',
		'iőri'	=>	'00202',
		'iősp'	=>	'02120',
		'iőst'	=>	'02100',
		'iőte'	=>	'02000',
		'iőté'	=>	'02000',
		'iőva'	=>	'02000',
		'iővá'	=>	'02000',
		'ipacse'	=>	'0002000',
		'iparal'	=>	'0002000',
		'iparál'	=>	'0002000',
		'iparán'	=>	'1200000',
		'iparát'	=>	'1200000',
		'iparb'	=>	'100000',
		'iparen'	=>	'0002100',
		'ipares'	=>	'0002100',
		'iparé'	=>	'120000',
		'iparh'	=>	'120000',
		'iparil'	=>	'1000000',
		'iparin'	=>	'1200000',
		'iparis'	=>	'0002000',
		'iparm'	=>	'120000',
		'iparn'	=>	'120000',
		'iparok'	=>	'0200000',
		'iparon'	=>	'0200000',
		'iparr'	=>	'100000',
		'ipars'	=>	'120000',
		'iparta'	=>	'0200000',
		'ipartá'	=>	'1200000',
		'iparte'	=>	'1200000',
		'ipartó'	=>	'1200000',
		'iparu'	=>	'120000',
		'ipau'	=>	'00002',
		'ipánk'	=>	'000002',
		'ipánn'	=>	'000010',
		'ipátm'	=>	'001000',
		'ipef'	=>	'02100',
		'ipegy'	=>	'001200',
		'ipelu'	=>	'001200',
		'ipesé'	=>	'021000',
		'ipev'	=>	'02100',
		'ipfl'	=>	'00100',
		'ipfu'	=>	'00200',
		'ipkl'	=>	'00100',
		'ipkr'	=>	'00100',
		'ipokl'	=>	'000100',
		'iportel'	=>	'00002000',
		'iportő'	=>	'0000210',
		'ipöl'	=>	'00120',
		'ipös'	=>	'00100',
		'ippad'	=>	'002120',
		'ippaj'	=>	'002000',
		'ippar'	=>	'002000',
		'ippár'	=>	'002000',
		'ipping'	=>	'0001000',
		'ippö'	=>	'00200',
		'iprof'	=>	'010000',
		'iprog'	=>	'010000',
		'iproj'	=>	'010000',
		'iprop'	=>	'002000',
		'iprot'	=>	'012000',
		'ipszal'	=>	'0000120',
		'ipszál'	=>	'0000100',
		'ipszemb'	=>	'00201000',
		'ipszip'	=>	'0020000',
		'ipszí'	=>	'002012',
		'ipszor'	=>	'0000100',
		'ipug'	=>	'02100',
		'iralo'	=>	'000002',
		'irama'	=>	'120000',
		'iramá'	=>	'120000',
		'iramiss'	=>	'00000010',
		'iratal'	=>	'0002000',
		'iratan'	=>	'0000020',
		'iratany'	=>	'00021000',
		'iratas'	=>	'0002100',
		'iratat'	=>	'0002100',
		'iratál'	=>	'0002000',
		'iratb'	=>	'120000',
		'iratc'	=>	'120000',
		'iratd'	=>	'120000',
		'iratel'	=>	'0002000',
		'iraté'	=>	'120000',
		'iratf'	=>	'120000',
		'irati'	=>	'120000',
		'iratill'	=>	'23000000',
		'iratm'	=>	'120000',
		'iratol'	=>	'0002100',
		'iratö'	=>	'000212',
		'iratp'	=>	'120000',
		'iratr'	=>	'120000',
		'iratü'	=>	'120000',
		'irádiók'	=>	'00000200',
		'irádiót'	=>	'00000200',
		'iráfa'	=>	'000212',
		'irágal'	=>	'0002100',
		'irágál'	=>	'0002100',
		'irágárak'	=>	'000212000',
		'irágáro'	=>	'00021200',
		'irágáto'	=>	'00021000',
		'irágáz'	=>	'0002000',
		'iráge'	=>	'000210',
		'irágg'	=>	'000010',
		'irágol'	=>	'0002100',
		'irágór'	=>	'0002120',
		'irágö'	=>	'000200',
		'irála'	=>	'000210',
		'irále'	=>	'000212',
		'iránn'	=>	'120000',
		'irány'	=>	'120000',
		'irányal'	=>	'00020000',
		'iránye'	=>	'0002002',
		'irch'	=>	'00200',
		'irei'	=>	'02000',
		'irga'	=>	'10000',
		'irinc'	=>	'000020',
		'irizo'	=>	'000200',
		'irkas'	=>	'000010',
		'irkasz'	=>	'0000002',
		'irke'	=>	'00001',
		'irob'	=>	'20000',
		'irodá'	=>	'120000',
		'irogr'	=>	'000120',
		'iroka'	=>	'000200',
		'iroká'	=>	'000200',
		'iroke'	=>	'000210',
		'irokér'	=>	'0002000',
		'irola'	=>	'000210',
		'iroma'	=>	'000210',
		'iross'	=>	'000030',
		'iróke'	=>	'000200',
		'iróno'	=>	'020000',
		'irri'	=>	'10000',
		'irsa'	=>	'00002',
		'irsal'	=>	'002100',
		'irsá'	=>	'00212',
		'irsil'	=>	'002000',
		'irss'	=>	'00030',
		'irsü'	=>	'00210',
		'irsz'	=>	'00200',
		'irté'	=>	'00002',
		'irtél'	=>	'002100',
		'irtiz'	=>	'002000',
		'irtor'	=>	'002120',
		'irtö'	=>	'00212',
		'irtür'	=>	'002000',
		'irusze'	=>	'0002000',
		'isabl'	=>	'021000',
		'isada'	=>	'001200',
		'isadá'	=>	'001200',
		'isado'	=>	'001200',
		'isag'	=>	'02120',
		'isaja'	=>	'001000',
		'isajk'	=>	'001000',
		'isake'	=>	'000210',
		'isakol'	=>	'0002000',
		'isala'	=>	'001200',
		'isalf'	=>	'001000',
		'isalj'	=>	'021000',
		'isalk'	=>	'001000',
		'isalm'	=>	'001000',
		'isamb'	=>	'001000',
		'isan'	=>	'00020',
		'isana'	=>	'021000',
		'isano'	=>	'021000',
		'isant'	=>	'021000',
		'isany'	=>	'021000',
		'isap'	=>	'00020',
		'isapá'	=>	'001000',
		'isapo'	=>	'001000',
		'isará'	=>	'001200',
		'isass'	=>	'001000',
		'isaut'	=>	'001000',
		'isaz'	=>	'02120',
		'isábr'	=>	'021000',
		'isággy'	=>	'0010000',
		'iságyút'	=>	'00000100',
		'isáll'	=>	'001000',
		'isápo'	=>	'001200',
		'isárak'	=>	'0212000',
		'isárá'	=>	'021200',
		'isárb'	=>	'021000',
		'isárf'	=>	'021000',
		'isárh'	=>	'021000',
		'isárké'	=>	'0210000',
		'isárn'	=>	'021000',
		'isáron'	=>	'0002000',
		'isárr'	=>	'021000',
		'isárt'	=>	'021000',
		'isáru'	=>	'021200',
		'isárus'	=>	'0000001',
		'isáta'	=>	'001212',
		'isátk'	=>	'001000',
		'isátl'	=>	'021000',
		'isátv'	=>	'001000',
		'isbl'	=>	'00100',
		'isbr'	=>	'00100',
		'isdr'	=>	'00100',
		'isedz'	=>	'001000',
		'iseff'	=>	'001000',
		'isege'	=>	'021000',
		'isegér'	=>	'0012000',
		'iself'	=>	'001000',
		'iselm'	=>	'001000',
		'iselo'	=>	'021000',
		'iseml'	=>	'021000',
		'isenc'	=>	'021000',
		'isene'	=>	'021000',
		'iseng'	=>	'001000',
		'isepi'	=>	'021200',
		'isepri'	=>	'0010000',
		'iserő'	=>	'001000',
		'iseset'	=>	'0012000',
		'isesé'	=>	'001000',
		'iségel'	=>	'0002020',
		'iségés'	=>	'0002000',
		'iségid'	=>	'0002000',
		'iségkész'	=>	'000000001',
		'isélv'	=>	'001000',
		'iséri'	=>	'021200',
		'isérté'	=>	'0210000',
		'isévet'	=>	'0012000',
		'isévén'	=>	'0012000',
		'isévét'	=>	'0012000',
		'isévh'	=>	'001000',
		'isföl'	=>	'000002',
		'isfr'	=>	'00100',
		'ishin'	=>	'002000',
		'ishis'	=>	'002000',
		'isido'	=>	'001000',
		'isig'	=>	'00020',
		'isiga'	=>	'001000',
		'isind'	=>	'001000',
		'isinf'	=>	'001000',
		'isint'	=>	'001000',
		'isinv'	=>	'001000',
		'isió'	=>	'00002',
		'isipa'	=>	'020000',
		'isipar'	=>	'0002000',
		'isiro'	=>	'001000',
		'isisten'	=>	'02100000',
		'isita'	=>	'001000',
		'isizo'	=>	'001200',
		'iskatu'	=>	'0120000',
		'iskl'	=>	'00100',
		'iskr'	=>	'00120',
		'iskv'	=>	'00100',
		'islag'	=>	'002000',
		'islat'	=>	'012000',
		'ismek'	=>	'100000',
		'ismere'	=>	'1000000',
		'ismérv'	=>	'1000000',
		'ismo'	=>	'20000',
		'ismű'	=>	'20000',
		'isob'	=>	'02100',
		'isol'	=>	'02120',
		'isorc'	=>	'021000',
		'isord'	=>	'021000',
		'isorosz'	=>	'00020000',
		'isorra'	=>	'0210000',
		'isorró'	=>	'0210000',
		'isorv'	=>	'001000',
		'isosko'	=>	'0210000',
		'isosz'	=>	'001000',
		'isott'	=>	'021000',
		'isórá'	=>	'001200',
		'isöb'	=>	'02100',
		'isöc'	=>	'02120',
		'isöl'	=>	'00100',
		'isön'	=>	'00100',
		'isör'	=>	'00020',
		'isörd'	=>	'001000',
		'isöre'	=>	'001000',
		'isös'	=>	'00100',
		'isöv'	=>	'00120',
		'isőr'	=>	'00120',
		'ispek'	=>	'012000',
		'ispr'	=>	'00020',
		'ispur'	=>	'012000',
		'issp'	=>	'00120',
		'issta'	=>	'001000',
		'isstá'	=>	'001000',
		'isszerei'	=>	'000012000',
		'isszerek'	=>	'000012000',
		'isszerem'	=>	'000010000',
		'isszeres'	=>	'000012000',
		'isszig'	=>	'0030000',
		'isszil'	=>	'0030000',
		'isszí'	=>	'003000',
		'isszó'	=>	'003000',
		'isszö'	=>	'003000',
		'issző'	=>	'003000',
		'isszú'	=>	'003000',
		'isszű'	=>	'003000',
		'istas'	=>	'000010',
		'istasz'	=>	'0000002',
		'istáp'	=>	'100000',
		'istenh'	=>	'1000000',
		'isteno'	=>	'0000210',
		'istil'	=>	'012000',
		'istrez'	=>	'0010000',
		'istré'	=>	'001000',
		'istri'	=>	'001000',
		'istro'	=>	'001000',
		'istv'	=>	'10000',
		'isud'	=>	'02100',
		'isujj'	=>	'001000',
		'isut'	=>	'00020',
		'isuta'	=>	'001000',
		'isutá'	=>	'001000',
		'isúj'	=>	'02100',
		'isüg'	=>	'02100',
		'isüst'	=>	'001000',
		'isütőt'	=>	'0212000',
		'isüz'	=>	'02100',
		'isvadáss'	=>	'000021000',
		'isvin'	=>	'010000',
		'isvíz'	=>	'000001',
		'iszako'	=>	'0000210',
		'iszapá'	=>	'0000212',
		'iszape'	=>	'0000210',
		'iszárá'	=>	'0030000',
		'iszárk'	=>	'0001000',
		'iszárl'	=>	'0030000',
		'iszárú'	=>	'0030000',
		'iszegy'	=>	'0001200',
		'iszelv'	=>	'0201000',
		'iszene'	=>	'0030000',
		'iszesem'	=>	'00010000',
		'iszéj'	=>	'020000',
		'iszfér'	=>	'0002000',
		'iszimi'	=>	'0200000',
		'iszing'	=>	'0001000',
		'iszisk'	=>	'0001000',
		'iszist'	=>	'0001000',
		'iszkl'	=>	'000100',
		'iszköv'	=>	'0002120',
		'iszkú'	=>	'000210',
		'iszöl'	=>	'000100',
		'iszös'	=>	'000100',
		'iszs'	=>	'00030',
		'isztati'	=>	'00020000',
		'isztáras'	=>	'000010000',
		'isztárb'	=>	'00021000',
		'isztárt'	=>	'00020000',
		'isztékn'	=>	'00021000',
		'isztill'	=>	'00021000',
		'isztinai'	=>	'000012000',
		'isztöl'	=>	'0002100',
		'isztüz'	=>	'0002000',
		'iszüg'	=>	'020120',
		'iszüt'	=>	'020000',
		'iszűrödn'	=>	'003000000',
		'itacé'	=>	'001200',
		'itad'	=>	'00012',
		'itadó'	=>	'001200',
		'itagr'	=>	'000120',
		'itagya'	=>	'0010000',
		'itakk'	=>	'021000',
		'itakn'	=>	'021000',
		'italad'	=>	'0002000',
		'italárú'	=>	'00021200',
		'italb'	=>	'020000',
		'italel'	=>	'0002100',
		'italé'	=>	'000002',
		'italh'	=>	'020000',
		'italin'	=>	'0000020',
		'italina'	=>	'00020000',
		'italj'	=>	'020000',
		'italk'	=>	'020000',
		'itallo'	=>	'0010000',
		'italm'	=>	'120000',
		'italn'	=>	'120000',
		'italo'	=>	'020000',
		'italó'	=>	'000212',
		'italr'	=>	'120000',
		'italt'	=>	'020002',
		'italu'	=>	'020000',
		'itanó'	=>	'001000',
		'itant'	=>	'001000',
		'itara'	=>	'021000',
		'itau'	=>	'02100',
		'itága'	=>	'001200',
		'itána'	=>	'000002',
		'itánat'	=>	'0002100',
		'itárak'	=>	'0002000',
		'itáram'	=>	'0212000',
		'itáras'	=>	'0012000',
		'itárat'	=>	'0012000',
		'itárár'	=>	'0002000',
		'itárát'	=>	'0002000',
		'itária'	=>	'0212000',
		'itárig'	=>	'0002000',
		'itáris'	=>	'0002000',
		'itáró'	=>	'000002',
		'itárór'	=>	'0002100',
		'itáruk'	=>	'0002000',
		'itárú'	=>	'000200',
		'itáskész'	=>	'000000001',
		'itász'	=>	'000230',
		'itátal'	=>	'0002000',
		'itátf'	=>	'001000',
		'itbl'	=>	'00100',
		'itbr'	=>	'00100',
		'itdr'	=>	'00100',
		'itela'	=>	'000210',
		'itelá'	=>	'000210',
		'iteleg'	=>	'0002000',
		'itelemz'	=>	'02000000',
		'iteleng'	=>	'00020000',
		'itelesé'	=>	'00020000',
		'itelex'	=>	'0002000',
		'itelél'	=>	'0002000',
		'itelinj'	=>	'00020000',
		'iteljá'	=>	'0010000',
		'itellen'	=>	'02100000',
		'itelmély'	=>	'002000000',
		'itelo'	=>	'000200',
		'itelőz'	=>	'0002000',
		'itemel'	=>	'0212000',
		'iteml'	=>	'021000',
		'itep'	=>	'02120',
		'iter'	=>	'20000',
		'iterez'	=>	'0212000',
		'iterő'	=>	'021000',
		'itesete'	=>	'02120000',
		'itezr'	=>	'001000',
		'itég'	=>	'00020',
		'itége'	=>	'021000',
		'itéle'	=>	'001200',
		'itélm'	=>	'001000',
		'itéret'	=>	'0212000',
		'itérz'	=>	'021000',
		'itétek'	=>	'0002000',
		'itétt'	=>	'021000',
		'itfl'	=>	'00100',
		'itfr'	=>	'00100',
		'itgl'	=>	'00100',
		'itgn'	=>	'00100',
		'itgr'	=>	'00100',
		'ithot'	=>	'012000',
		'itid'	=>	'02100',
		'itig'	=>	'00020',
		'itigaz'	=>	'0000001',
		'itigé'	=>	'021000',
		'itiko'	=>	'001200',
		'itikr'	=>	'001000',
		'itikuss'	=>	'00000010',
		'itill'	=>	'001000',
		'itimp'	=>	'001000',
		'itind'	=>	'021000',
		'itinf'	=>	'021000',
		'itipa'	=>	'001200',
		'itirá'	=>	'021000',
		'itiro'	=>	'021000',
		'itiró'	=>	'001000',
		'itisk'	=>	'001000',
		'itism'	=>	'021000',
		'itisza'	=>	'0010000',
		'itiszo'	=>	'0012000',
		'itíg'	=>	'02100',
		'itíz'	=>	'02100',
		'itkl'	=>	'00100',
		'itkoss'	=>	'0000010',
		'itkr'	=>	'00100',
		'itob'	=>	'00020',
		'itobe'	=>	'001000',
		'itokaj'	=>	'0002100',
		'itokak'	=>	'0002000',
		'itokol'	=>	'0002100',
		'itoná'	=>	'000212',
		'itopla'	=>	'0000200',
		'itoras'	=>	'0002100',
		'itorál'	=>	'0002000',
		'itoril'	=>	'0002000',
		'itosz'	=>	'200000',
		'itoszf'	=>	'0001020',
		'itov'	=>	'02100',
		'itóa'	=>	'00002',
		'itóf'	=>	'00012',
		'itókán'	=>	'1200000',
		'itóné'	=>	'021200',
		'itónn'	=>	'021000',
		'itónt'	=>	'021000',
		'itóp'	=>	'00012',
		'itórá'	=>	'001000',
		'itós'	=>	'00002',
		'itósp'	=>	'000100',
		'itóst'	=>	'000100',
		'itönt'	=>	'001000',
		'itös'	=>	'02100',
		'itőrl'	=>	'001000',
		'itpl'	=>	'00100',
		'itpr'	=>	'00100',
		'itsp'	=>	'00100',
		'ittad'	=>	'100000',
		'ittam'	=>	'100000',
		'ittanás'	=>	'00002120',
		'ittané'	=>	'0000210',
		'ittanó'	=>	'0000212',
		'itte'	=>	'20000',
		'itteg'	=>	'002100',
		'ittina'	=>	'0021200',
		'itting'	=>	'0021000',
		'ittra'	=>	'001000',
		'ittró'	=>	'001000',
		'ittuk'	=>	'100000',
		'ittun'	=>	'100000',
		'ittyi'	=>	'000010',
		'itug'	=>	'02100',
		'itund'	=>	'021000',
		'ituni'	=>	'000210',
		'itural'	=>	'0002000',
		'iturán'	=>	'0012000',
		'itúj'	=>	'00100',
		'itüg'	=>	'02100',
		'itüld'	=>	'001000',
		'itüst'	=>	'001000',
		'itüt'	=>	'02100',
		'itzé'	=>	'01200',
		'itzi'	=>	'01200',
		'iu'	=>	'010',
		'iuga'	=>	'00200',
		'iugo'	=>	'00200',
		'iumab'	=>	'002000',
		'iumac'	=>	'002000',
		'iumad'	=>	'002100',
		'iumaf'	=>	'002000',
		'iumag'	=>	'002100',
		'iumal'	=>	'002000',
		'iumam'	=>	'002100',
		'iuman'	=>	'002120',
		'iumar'	=>	'002120',
		'iumas'	=>	'002100',
		'iumat'	=>	'002120',
		'iumav'	=>	'002100',
		'iumaz'	=>	'002000',
		'iumál'	=>	'002120',
		'iumeg'	=>	'002000',
		'iumel'	=>	'002100',
		'iumen'	=>	'002100',
		'iumer'	=>	'002000',
		'iumes'	=>	'002100',
		'iumez'	=>	'002000',
		'iumél'	=>	'002000',
		'iuméré'	=>	'0021000',
		'iumid'	=>	'002120',
		'iumill'	=>	'0001000',
		'iumim'	=>	'002100',
		'iuminj'	=>	'0001000',
		'iumip'	=>	'002120',
		'iumis'	=>	'002100',
		'iumiz'	=>	'002100',
		'iumí'	=>	'00200',
		'iumol'	=>	'002000',
		'iumor'	=>	'002100',
		'iumó'	=>	'00212',
		'iumö'	=>	'00200',
		'iumő'	=>	'00200',
		'iump'	=>	'00012',
		'iumü'	=>	'00200',
		'iuna'	=>	'00200',
		'iuno'	=>	'00200',
		'iura'	=>	'00200',
		'iurá'	=>	'00200',
		'iuru'	=>	'00200',
		'iussze'	=>	'0003000',
		'iuta'	=>	'00200',
		'iutó'	=>	'00200',
		'iutu'	=>	'00200',
		'iuzs'	=>	'00200',
		'iú'	=>	'010',
		'iúbá'	=>	'02000',
		'iúbe'	=>	'02000',
		'iúbé'	=>	'02000',
		'iúbi'	=>	'02000',
		'iúbo'	=>	'02000',
		'iúbö'	=>	'02000',
		'iúbr'	=>	'02100',
		'iúci'	=>	'02000',
		'iúcí'	=>	'02000',
		'iúdá'	=>	'02000',
		'iúde'	=>	'02000',
		'iúdo'	=>	'02000',
		'iúdz'	=>	'02000',
		'iúél'	=>	'02000',
		'iúfr'	=>	'00100',
		'iúha'	=>	'02000',
		'iúhá'	=>	'02000',
		'iúhe'	=>	'02000',
		'iúhi'	=>	'02000',
		'iúhö'	=>	'02000',
		'iúhő'	=>	'02000',
		'iúhu'	=>	'02000',
		'iúhú'	=>	'02000',
		'iúif'	=>	'02000',
		'iúje'	=>	'02000',
		'iújí'	=>	'00200',
		'iújó'	=>	'02000',
		'iúke'	=>	'02000',
		'iúkí'	=>	'02000',
		'iúkl'	=>	'02100',
		'iúkó'	=>	'02000',
		'iúkö'	=>	'02000',
		'iúku'	=>	'02000',
		'iúme'	=>	'02000',
		'iúmó'	=>	'02000',
		'iúmu'	=>	'02000',
		'iúmű'	=>	'02000',
		'iúne'	=>	'02000',
		'iúné'	=>	'02000',
		'iúnö'	=>	'02000',
		'iúre'	=>	'02000',
		'iúri'	=>	'00200',
		'iúro'	=>	'00200',
		'iúru'	=>	'02000',
		'iúse'	=>	'02000',
		'iúso'	=>	'02000',
		'iúsp'	=>	'02100',
		'iúta'	=>	'02000',
		'iútá'	=>	'02000',
		'iúte'	=>	'02000',
		'iúté'	=>	'00200',
		'iútí'	=>	'02000',
		'iútö'	=>	'02000',
		'iútú'	=>	'02000',
		'iúve'	=>	'02000',
		'iúvé'	=>	'02000',
		'iúvi'	=>	'02000',
		'iúvo'	=>	'02000',
		'iúze'	=>	'02000',
		'iü'	=>	'010',
		'iücs'	=>	'00200',
		'iüge'	=>	'00200',
		'iügy'	=>	'00200',
		'iüle'	=>	'00200',
		'iülé'	=>	'00200',
		'iüli'	=>	'00200',
		'iülö'	=>	'00200',
		'iülő'	=>	'00200',
		'iülü'	=>	'00200',
		'iüre'	=>	'00200',
		'iürí'	=>	'00200',
		'iürü'	=>	'00200',
		'iüte'	=>	'00200',
		'iüté'	=>	'00200',
		'iüti'	=>	'00200',
		'iütö'	=>	'00200',
		'iütő'	=>	'00200',
		'iütü'	=>	'00200',
		'iüve'	=>	'00200',
		'iüvö'	=>	'00200',
		'iüze'	=>	'00200',
		'iű'	=>	'010',
		'iűze'	=>	'00200',
		'iűzé'	=>	'00200',
		'iűző'	=>	'00200',
		'ivacsal'	=>	'00020000',
		'ivacse'	=>	'0002010',
		'ivadé'	=>	'120000',
		'ivarai'	=>	'0002100',
		'ivaraj'	=>	'0002000',
		'ivare'	=>	'000200',
		'ivarin'	=>	'0002000',
		'ivarol'	=>	'0002000',
		'ivaró'	=>	'000200',
		'ivars'	=>	'000010',
		'ivatan'	=>	'0002120',
		'ivate'	=>	'000212',
		'ivatin'	=>	'0002000',
		'ivatol'	=>	'0002000',
		'ivató'	=>	'000212',
		'ivatö'	=>	'000210',
		'ivásb'	=>	'120000',
		'ivásé'	=>	'120000',
		'ivásn'	=>	'120000',
		'ivásr'	=>	'120000',
		'iváss'	=>	'120000',
		'ivot'	=>	'10000',
		'ivókész'	=>	'00000001',
		'ivós'	=>	'00002',
		'ivőé'	=>	'00002',
		'ivré'	=>	'00200',
		'ixab'	=>	'02100',
		'ixad'	=>	'02100',
		'ixan'	=>	'02100',
		'ixar'	=>	'02100',
		'ixas'	=>	'00100',
		'ixág'	=>	'02100',
		'ixbl'	=>	'00100',
		'ixef'	=>	'02100',
		'ixeg'	=>	'02100',
		'ixex'	=>	'02100',
		'ixép'	=>	'02100',
		'ixfr'	=>	'00100',
		'ixim'	=>	'02100',
		'ixin'	=>	'02100',
		'ixio'	=>	'02100',
		'ixir'	=>	'02100',
		'ixis'	=>	'02100',
		'ixit'	=>	'00020',
		'ixob'	=>	'02100',
		'ixop'	=>	'02100',
		'ixöd'	=>	'00100',
		'ixös'	=>	'00100',
		'ixőr'	=>	'00100',
		'ixős'	=>	'00100',
		'ixpl'	=>	'00100',
		'ixpr'	=>	'00100',
		'ixúj'	=>	'02100',
		'ixül'	=>	'02100',
		'izakn'	=>	'001000',
		'izalag'	=>	'0000021',
		'izalk'	=>	'001000',
		'izas'	=>	'00002',
		'izasp'	=>	'000100',
		'izárny'	=>	'0010000',
		'izbl'	=>	'00100',
		'izedá'	=>	'000212',
		'izedék'	=>	'0002100',
		'izegy'	=>	'001000',
		'izelem'	=>	'0212000',
		'izeletel'	=>	'000002000',
		'izelér'	=>	'0212000',
		'izelőí'	=>	'0212000',
		'izember'	=>	'00100000',
		'izeneg'	=>	'0000020',
		'izenn'	=>	'000030',
		'izesá'	=>	'000212',
		'izesemé'	=>	'02100000',
		'izev'	=>	'02100',
		'izéd'	=>	'02000',
		'izég'	=>	'02100',
		'izéj'	=>	'12000',
		'izék'	=>	'12000',
		'izél'	=>	'02000',
		'izép'	=>	'02120',
		'izésí'	=>	'120000',
		'izfl'	=>	'00100',
		'izgal'	=>	'100000',
		'izgatot'	=>	'10000000',
		'iziga'	=>	'021000',
		'izigé'	=>	'021000',
		'izinf'	=>	'001000',
		'izint'	=>	'001000',
		'iziro'	=>	'001000',
		'izisk'	=>	'021000',
		'izism'	=>	'021000',
		'izisp'	=>	'000120',
		'izmok'	=>	'100000',
		'izmuk'	=>	'100000',
		'izmuss'	=>	'0000010',
		'izmú'	=>	'10000',
		'izokt'	=>	'001000',
		'izolá'	=>	'120000',
		'izoma'	=>	'000210',
		'izomál'	=>	'0002000',
		'izomb'	=>	'120000',
		'izomé'	=>	'100000',
		'izomf'	=>	'100000',
		'izomm'	=>	'120000',
		'izomn'	=>	'120000',
		'izomr'	=>	'120000',
		'izoms'	=>	'100000',
		'izomt'	=>	'120000',
		'izomz'	=>	'100000',
		'izop'	=>	'00012',
		'izos'	=>	'02000',
		'izoszta'	=>	'00010000',
		'izotó'	=>	'100000',
		'izóda'	=>	'000212',
		'izórá'	=>	'001000',
		'izpl'	=>	'00100',
		'izpr'	=>	'00100',
		'izsad'	=>	'020100',
		'izsaik'	=>	'0000200',
		'izsakn'	=>	'0200000',
		'izsall'	=>	'0201000',
		'izsara'	=>	'0001000',
		'izsautók'	=>	'000032000',
		'izság'	=>	'004100',
		'izsál'	=>	'020100',
		'izsec'	=>	'020000',
		'izsembe'	=>	'02010000',
		'izsev'	=>	'020000',
		'izsét'	=>	'000020',
		'izséte'	=>	'0001000',
		'izsil'	=>	'020000',
		'izsimp'	=>	'0201000',
		'izsist'	=>	'0001000',
		'izsita'	=>	'0200000',
		'izsiz'	=>	'020000',
		'izsor'	=>	'003000',
		'izső'	=>	'02010',
		'izss'	=>	'00010',
		'izstr'	=>	'003000',
		'izsül'	=>	'020100',
		'izsze'	=>	'003000',
		'iztoss'	=>	'0000010',
		'izudv'	=>	'001000',
		'izura'	=>	'000001',
		'izút'	=>	'00120',
		'izüg'	=>	'02120',
		'izüt'	=>	'02100',
		'izüz'	=>	'02120',
		'izzi'	=>	'10000',
		'izzí'	=>	'10000',
		'izzot'	=>	'100000',
		'ía'	=>	'010',
		'íá'	=>	'010',
		'íbal'	=>	'00021',
		'íbis'	=>	'02000',
		'íboras'	=>	'0002100',
		'íciuss'	=>	'0000010',
		'ídac'	=>	'00120',
		'ídad'	=>	'00120',
		'ídal'	=>	'00120',
		'ídalag'	=>	'0000021',
		'ídan'	=>	'00120',
		'ídav'	=>	'00120',
		'ídaz'	=>	'00120',
		'ídág'	=>	'00100',
		'ídál'	=>	'00100',
		'ídár'	=>	'00120',
		'ídát'	=>	'00100',
		'ídbl'	=>	'00100',
		'ídeg'	=>	'00120',
		'ídel'	=>	'00120',
		'ídem'	=>	'00120',
		'ídég'	=>	'02120',
		'ídél'	=>	'02100',
		'ídép'	=>	'02100',
		'ídérz'	=>	'021000',
		'ídig'	=>	'00020',
		'ídiga'	=>	'021000',
		'ídigé'	=>	'021000',
		'ídin'	=>	'02100',
		'ídir'	=>	'02120',
		'ídív'	=>	'00100',
		'ídol'	=>	'02100',
		'ídom'	=>	'02100',
		'ídos'	=>	'02100',
		'ídös'	=>	'00100',
		'ídőr'	=>	'00120',
		'ídpr'	=>	'00100',
		'ídst'	=>	'00100',
		'ídud'	=>	'02100',
		'ídug'	=>	'02100',
		'ídúj'	=>	'00100',
		'ídüg'	=>	'00100',
		'ídün'	=>	'00100',
		'ídüz'	=>	'00100',
		'ídzá'	=>	'00300',
		'ídzs'	=>	'00300',
		'íe'	=>	'010',
		'íé'	=>	'010',
		'íéle'	=>	'00200',
		'ígag'	=>	'02120',
		'ígep'	=>	'00120',
		'íges'	=>	'00020',
		'ígér'	=>	'02200',
		'ígop'	=>	'02100',
		'ígtr'	=>	'00100',
		'ígyá'	=>	'00002',
		'íi'	=>	'010',
		'íiro'	=>	'00200',
		'íí'	=>	'010',
		'íjadá'	=>	'021200',
		'íjadó'	=>	'021200',
		'íjaj'	=>	'02120',
		'íjakc'	=>	'021000',
		'íjal'	=>	'02120',
		'íjany'	=>	'001000',
		'íjar'	=>	'02120',
		'íjau'	=>	'02120',
		'íjác'	=>	'02120',
		'íjág'	=>	'02120',
		'íjárá'	=>	'021000',
		'íjáre'	=>	'021000',
		'íjárt'	=>	'021000',
		'íjáru'	=>	'021000',
		'íjás'	=>	'12000',
		'íjásze'	=>	'0002000',
		'íjászka'	=>	'00100000',
		'íjáta'	=>	'021000',
		'íjáte'	=>	'021200',
		'íjáth'	=>	'021000',
		'íjátl'	=>	'021000',
		'íjátos'	=>	'0002000',
		'íjátt'	=>	'021000',
		'íjátu'	=>	'021000',
		'íjátv'	=>	'021000',
		'íjáz'	=>	'02120',
		'íjeg'	=>	'00120',
		'íjel'	=>	'00120',
		'íjeli'	=>	'000020',
		'íjem'	=>	'00120',
		'íjen'	=>	'00100',
		'íjer'	=>	'00120',
		'íjes'	=>	'00120',
		'íjép'	=>	'00100',
		'íjér'	=>	'00020',
		'íjére'	=>	'021000',
		'íjfr'	=>	'00100',
		'íjid'	=>	'02120',
		'íjim'	=>	'02100',
		'íjint'	=>	'021000',
		'íjir'	=>	'02100',
		'íjirá'	=>	'000002',
		'íjíg'	=>	'00100',
		'íjín'	=>	'00100',
		'íjkr'	=>	'00100',
		'íjod'	=>	'02120',
		'íjok'	=>	'02100',
		'íjol'	=>	'02100',
		'íjos'	=>	'02100',
		'íjot'	=>	'02100',
		'íjön'	=>	'00100',
		'íjös'	=>	'00100',
		'íjöv'	=>	'00120',
		'íjöz'	=>	'00100',
		'íjpl'	=>	'00100',
		'íjpr'	=>	'00100',
		'íjsk'	=>	'00100',
		'íjsp'	=>	'00100',
		'íjst'	=>	'00102',
		'íjug'	=>	'02100',
		'íjut'	=>	'02120',
		'íjút'	=>	'02100',
		'íjüg'	=>	'00100',
		'íjüt'	=>	'00120',
		'íkabl'	=>	'021000',
		'íkac'	=>	'02120',
		'íkag'	=>	'02120',
		'íkal'	=>	'02120',
		'íkan'	=>	'02100',
		'íkar'	=>	'00100',
		'íkas'	=>	'00020',
		'íkasz'	=>	'001000',
		'íkav'	=>	'00120',
		'íkáb'	=>	'02100',
		'íkág'	=>	'02100',
		'íkál'	=>	'00100',
		'íkár'	=>	'02120',
		'íkeg'	=>	'02100',
		'íkel'	=>	'02120',
		'íkem'	=>	'00100',
		'íkes'	=>	'02100',
		'íkev'	=>	'00100',
		'íkék'	=>	'02120',
		'íkérb'	=>	'021000',
		'íkérő'	=>	'021200',
		'íkfr'	=>	'00100',
		'íkid'	=>	'02120',
		'íking'	=>	'021000',
		'íkir'	=>	'02120',
		'íkín'	=>	'00100',
		'íkír'	=>	'00100',
		'íkkr'	=>	'00120',
		'íklu'	=>	'01200',
		'íkoll'	=>	'001000',
		'íkop'	=>	'02100',
		'íkorn'	=>	'021000',
		'íkorr'	=>	'021000',
		'íkors'	=>	'021000',
		'íköl'	=>	'00020',
		'íköv'	=>	'02120',
		'íkpl'	=>	'00100',
		'íkpr'	=>	'00100',
		'íksp'	=>	'00100',
		'íksz'	=>	'00102',
		'íkug'	=>	'02100',
		'íkuni'	=>	'020000',
		'íkur'	=>	'02120',
		'íkut'	=>	'02120',
		'íkút'	=>	'02120',
		'íküv'	=>	'00120',
		'ílaj'	=>	'00100',
		'ílak'	=>	'00120',
		'ílal'	=>	'00120',
		'ílág'	=>	'02120',
		'ílási'	=>	'000002',
		'ílásik'	=>	'0002100',
		'íláss'	=>	'000030',
		'ílász'	=>	'000230',
		'ílát'	=>	'02100',
		'ílbl'	=>	'00100',
		'ílbr'	=>	'00100',
		'íleg'	=>	'00120',
		'ílérz'	=>	'021000',
		'ílias'	=>	'000200',
		'ílim'	=>	'02120',
		'ílir'	=>	'02120',
		'ílis'	=>	'02100',
		'ílír'	=>	'00120',
		'ílív'	=>	'00120',
		'ílkr'	=>	'00100',
		'ílös'	=>	'00100',
		'ílöz'	=>	'00120',
		'ílst'	=>	'00100',
		'íltá'	=>	'00002',
		'íltárk'	=>	'0021000',
		'íltáro'	=>	'0021000',
		'íltárt'	=>	'0021000',
		'ílte'	=>	'00210',
		'ílté'	=>	'00212',
		'ílur'	=>	'02120',
		'ílusab'	=>	'0002000',
		'íluse'	=>	'000200',
		'íluss'	=>	'000030',
		'ílusz'	=>	'000230',
		'íman'	=>	'00020',
		'ímap'	=>	'00010',
		'ímál'	=>	'02120',
		'ímáris'	=>	'0002000',
		'ímáss'	=>	'000010',
		'ímbl'	=>	'00100',
		'ímbr'	=>	'00120',
		'ímdr'	=>	'00100',
		'ímeg'	=>	'02120',
		'ímelí'	=>	'001000',
		'ímelm'	=>	'021000',
		'ímera'	=>	'000212',
		'ímerá'	=>	'000210',
		'ímereg'	=>	'0002000',
		'ímerő'	=>	'001200',
		'ímesem'	=>	'0210000',
		'ímev'	=>	'02120',
		'íméhet'	=>	'0212000',
		'ímék'	=>	'02120',
		'ímép'	=>	'02100',
		'íméré'	=>	'021200',
		'ímérői'	=>	'0212000',
		'ímérr'	=>	'021000',
		'ímérte'	=>	'0210000',
		'ímérté'	=>	'0210000',
		'ímid'	=>	'02120',
		'ímig'	=>	'00020',
		'ímiga'	=>	'021000',
		'ímigé'	=>	'021000',
		'ímill'	=>	'021000',
		'ímind'	=>	'021000',
		'íminf'	=>	'021000',
		'ímira'	=>	'021000',
		'ímis'	=>	'02100',
		'ímiv'	=>	'02120',
		'ímír'	=>	'00100',
		'ímkr'	=>	'00100',
		'ímok'	=>	'00121',
		'ímol'	=>	'00100',
		'ímon'	=>	'00100',
		'ímop'	=>	'00120',
		'ímos'	=>	'00100',
		'ímök'	=>	'00100',
		'ímöl'	=>	'00120',
		'ímös'	=>	'00100',
		'ímöt'	=>	'00100',
		'ímőr'	=>	'00120',
		'ímpr'	=>	'00120',
		'ímsp'	=>	'00100',
		'ímst'	=>	'00100',
		'ímur'	=>	'00120',
		'ímut'	=>	'00120',
		'ímüg'	=>	'02100',
		'ímünn'	=>	'021000',
		'ímüt'	=>	'02100',
		'ínab'	=>	'02100',
		'ínacé'	=>	'001200',
		'ínad'	=>	'00020',
		'ínada'	=>	'001000',
		'ínadá'	=>	'001000',
		'ínado'	=>	'001000',
		'ínag'	=>	'02120',
		'ínaj'	=>	'02120',
		'ínaka'	=>	'021000',
		'ínakk'	=>	'021000',
		'ínala'	=>	'001200',
		'ínalj'	=>	'001000',
		'ínalk'	=>	'001000',
		'ínana'	=>	'001000',
		'ínany'	=>	'001200',
		'ínap'	=>	'02120',
		'ínará'	=>	'021200',
		'ínarc'	=>	'021000',
		'ínass'	=>	'001000',
		'ínatl'	=>	'001000',
		'ínatt'	=>	'001000',
		'ínau'	=>	'02100',
		'ínaz'	=>	'02100',
		'ínábr'	=>	'001000',
		'ínác'	=>	'02120',
		'ínág'	=>	'02100',
		'ínálhaj'	=>	'02000000',
		'ínálm'	=>	'021000',
		'ínáp'	=>	'02120',
		'ínáta'	=>	'001212',
		'ínátc'	=>	'001000',
		'ínáte'	=>	'001000',
		'ínátf'	=>	'001000',
		'ínáth'	=>	'001000',
		'ínátl'	=>	'001000',
		'ínátm'	=>	'001000',
		'ínátt'	=>	'001000',
		'ínátv'	=>	'001000',
		'ínáz'	=>	'02120',
		'ínbl'	=>	'00100',
		'ínbr'	=>	'00100',
		'índr'	=>	'00120',
		'ínef'	=>	'02100',
		'íneg'	=>	'02120',
		'ínelc'	=>	'021000',
		'ínele'	=>	'021200',
		'ínelh'	=>	'021000',
		'ínelj'	=>	'021000',
		'ínelk'	=>	'021000',
		'ínell'	=>	'021000',
		'ínelm'	=>	'021000',
		'ínelny'	=>	'0210000',
		'ínelo'	=>	'021200',
		'ínelö'	=>	'021000',
		'ínelőh'	=>	'0212000',
		'ínelr'	=>	'021000',
		'íneltá'	=>	'0210000',
		'ínelto'	=>	'0210000',
		'ínelvá'	=>	'0210000',
		'ínemel'	=>	'0212000',
		'íneml'	=>	'021000',
		'ínemu'	=>	'021200',
		'ínen'	=>	'00020',
		'ínene'	=>	'021000',
		'ínesd'	=>	'020000',
		'ínesz'	=>	'021200',
		'ínevé'	=>	'021200',
		'ínég'	=>	'00100',
		'ínél'	=>	'00020',
		'ínéle'	=>	'021000',
		'ínélé'	=>	'001000',
		'ínélő'	=>	'001000',
		'ínélt'	=>	'001000',
		'ínép'	=>	'02120',
		'ínérd'	=>	'020000',
		'ínéri'	=>	'021000',
		'ínérl'	=>	'021000',
		'ínérm'	=>	'021000',
		'ínérü'	=>	'021000',
		'ínésza'	=>	'0002000',
		'ínészer'	=>	'00020000',
		'ínészint'	=>	'000200000',
		'ínészo'	=>	'0002000',
		'ínéte'	=>	'021000',
		'ínéven'	=>	'0212000',
		'ínfr'	=>	'00120',
		'íngr'	=>	'00120',
		'ínig'	=>	'00020',
		'íniga'	=>	'021000',
		'ínigé'	=>	'021000',
		'íniko'	=>	'021200',
		'ínill'	=>	'021000',
		'ínind'	=>	'001000',
		'íninf'	=>	'021000',
		'íning'	=>	'021000',
		'ínint'	=>	'021000',
		'ínio'	=>	'12000',
		'ínirá'	=>	'001200',
		'íniro'	=>	'021000',
		'ínism'	=>	'021000',
		'íniz'	=>	'02120',
		'íníz'	=>	'00100',
		'ínkl'	=>	'00120',
		'ínkr'	=>	'00120',
		'ínkv'	=>	'00120',
		'ínnyú'	=>	'003000',
		'ínob'	=>	'02100',
		'ínol'	=>	'02100',
		'ínop'	=>	'02100',
		'ínor'	=>	'02100',
		'ínosz'	=>	'021000',
		'ínól'	=>	'00120',
		'ínön'	=>	'00100',
		'ínör'	=>	'00100',
		'ínös'	=>	'00100',
		'ínöt'	=>	'00100',
		'ínöv'	=>	'00120',
		'ínöz'	=>	'00120',
		'ínpl'	=>	'00100',
		'ínpr'	=>	'00100',
		'ínps'	=>	'00100',
		'ínsk'	=>	'00120',
		'ínsok'	=>	'000021',
		'ínsp'	=>	'00120',
		'ínst'	=>	'00122',
		'ínsz'	=>	'00102',
		'íntr'	=>	'00120',
		'ínug'	=>	'00100',
		'ínúj'	=>	'00100',
		'ínüd'	=>	'02100',
		'ínüg'	=>	'02120',
		'ínült'	=>	'021000',
		'ínüt'	=>	'02120',
		'ínüv'	=>	'02120',
		'ínyec'	=>	'000120',
		'ínyeg'	=>	'000120',
		'ínyel'	=>	'000100',
		'ínyer'	=>	'000120',
		'ínying'	=>	'0001000',
		'ío'	=>	'010',
		'íó'	=>	'010',
		'íóvo'	=>	'00200',
		'íö'	=>	'010',
		'íő'	=>	'010',
		'ípag'	=>	'02120',
		'ípan'	=>	'02120',
		'ípálc'	=>	'021000',
		'ípél'	=>	'02100',
		'ípéss'	=>	'000030',
		'ípiz'	=>	'02120',
		'ípro'	=>	'00300',
		'ípuj'	=>	'02100',
		'ípusan'	=>	'0002000',
		'ípuss'	=>	'000030',
		'ípusz'	=>	'000030',
		'íradó'	=>	'001200',
		'írakc'	=>	'001000',
		'írakn'	=>	'001000',
		'írakt'	=>	'001000',
		'írala'	=>	'001200',
		'íralj'	=>	'001000',
		'íralk'	=>	'001000',
		'írapl'	=>	'000100',
		'írapr'	=>	'000100',
		'írarc'	=>	'001000',
		'írau'	=>	'02120',
		'írábr'	=>	'021000',
		'írág'	=>	'02120',
		'íráp'	=>	'02120',
		'írárak'	=>	'0010000',
		'íráro'	=>	'021200',
		'íráru'	=>	'001200',
		'írásás'	=>	'0210000',
		'íráse'	=>	'000200',
		'íráskész'	=>	'000000001',
		'íráss'	=>	'000030',
		'írász'	=>	'020000',
		'íráta'	=>	'001210',
		'íráte'	=>	'001212',
		'íráth'	=>	'021000',
		'íráts'	=>	'001000',
		'írátv'	=>	'001000',
		'íráza'	=>	'001000',
		'írbl'	=>	'00100',
		'írbr'	=>	'00100',
		'írdr'	=>	'00120',
		'íredé'	=>	'001200',
		'íreg'	=>	'02120',
		'írekés'	=>	'0212000',
		'írel'	=>	'02120',
		'írela'	=>	'000010',
		'írember'	=>	'02100000',
		'íreml'	=>	'001000',
		'íremu'	=>	'001000',
		'íren'	=>	'00020',
		'írene'	=>	'001000',
		'írer'	=>	'02120',
		'íresem'	=>	'0210000',
		'íreső'	=>	'021200',
		'íreszk'	=>	'0210000',
		'írev'	=>	'02100',
		'írég'	=>	'02120',
		'íréj'	=>	'02100',
		'írék'	=>	'02120',
		'írél'	=>	'02120',
		'írép'	=>	'02100',
		'íréri'	=>	'021200',
		'írés'	=>	'02100',
		'íréte'	=>	'021200',
		'írévh'	=>	'001000',
		'írfr'	=>	'00120',
		'írgl'	=>	'00100',
		'írgr'	=>	'00120',
		'írig'	=>	'00020',
		'íriga'	=>	'021000',
		'íriko'	=>	'001000',
		'írill'	=>	'021000',
		'írim'	=>	'02100',
		'írind'	=>	'001000',
		'írinf'	=>	'021000',
		'írinj'	=>	'021000',
		'írins'	=>	'001000',
		'írint'	=>	'021000',
		'írip'	=>	'02120',
		'írira'	=>	'001000',
		'íris'	=>	'02000',
		'íriszá'	=>	'0002010',
		'íriz'	=>	'02120',
		'írín'	=>	'00100',
		'írír'	=>	'00100',
		'írív'	=>	'00100',
		'íríz'	=>	'00120',
		'írkl'	=>	'00120',
		'írkr'	=>	'00120',
		'írkv'	=>	'00100',
		'írnok'	=>	'100000',
		'írob'	=>	'02120',
		'írog'	=>	'10000',
		'írokl'	=>	'021000',
		'írokm'	=>	'021000',
		'írol'	=>	'00020',
		'írola'	=>	'021000',
		'írold'	=>	'021000',
		'írolv'	=>	'021000',
		'íror'	=>	'02120',
		'írosz'	=>	'021000',
		'írov'	=>	'02120',
		'írox'	=>	'02120',
		'íróá'	=>	'00002',
		'íródj'	=>	'020000',
		'íródo'	=>	'020000',
		'íródó'	=>	'020000',
		'íródt'	=>	'020000',
		'íróí'	=>	'02000',
		'íróp'	=>	'00012',
		'írósp'	=>	'000120',
		'írósz'	=>	'000100',
		'írót'	=>	'00002',
		'írótr'	=>	'000100',
		'írön'	=>	'00100',
		'írör'	=>	'00100',
		'írös'	=>	'02100',
		'íröz'	=>	'02120',
		'írőr'	=>	'02120',
		'írős'	=>	'00120',
		'írpl'	=>	'00120',
		'írpr'	=>	'00120',
		'írsh'	=>	'00100',
		'írsk'	=>	'00120',
		'írsp'	=>	'00120',
		'írsr'	=>	'00120',
		'írst'	=>	'00120',
		'írsz'	=>	'00002',
		'írszt'	=>	'000002',
		'írtag'	=>	'002100',
		'írtalap'	=>	'00010000',
		'írtéte'	=>	'0001200',
		'írtha'	=>	'000002',
		'írtran'	=>	'0010000',
		'írtro'	=>	'001000',
		'írtur'	=>	'002120',
		'írun'	=>	'00020',
		'írund'	=>	'021000',
		'íruni'	=>	'021000',
		'írur'	=>	'02120',
		'íruse'	=>	'000212',
		'íruss'	=>	'000030',
		'írut'	=>	'02120',
		'írúj'	=>	'02100',
		'írúr'	=>	'02100',
		'írús'	=>	'02120',
		'írútj'	=>	'021000',
		'írútn'	=>	'021000',
		'írúto'	=>	'021200',
		'írútr'	=>	'021000',
		'írútt'	=>	'021000',
		'írüg'	=>	'02120',
		'írül'	=>	'00020',
		'írür'	=>	'00100',
		'írüv'	=>	'00120',
		'írüz'	=>	'02100',
		'írűz'	=>	'00120',
		'íspo'	=>	'00200',
		'ístí'	=>	'00200',
		'íszaj'	=>	'000100',
		'íszak'	=>	'000020',
		'íszako'	=>	'0000010',
		'íszal'	=>	'000120',
		'íszas'	=>	'000100',
		'íszat'	=>	'000100',
		'íszau'	=>	'000100',
		'íszá'	=>	'02012',
		'íszeb'	=>	'020100',
		'íszedé'	=>	'0200000',
		'íszeg'	=>	'020120',
		'íszelem'	=>	'02012000',
		'íszell'	=>	'0201000',
		'íszeln'	=>	'0200000',
		'íszelő'	=>	'0201200',
		'íszelv'	=>	'0201000',
		'íszemb'	=>	'0201000',
		'íszemel'	=>	'02012000',
		'íszeml'	=>	'0201000',
		'íszerk'	=>	'0201000',
		'íszég'	=>	'020000',
		'íszél'	=>	'020120',
		'íszép'	=>	'020120',
		'íszérem'	=>	'00010000',
		'íszért'	=>	'0201000',
		'íszétk'	=>	'0201000',
		'íszg'	=>	'00012',
		'íszi'	=>	'00002',
		'íszid'	=>	'020100',
		'íszin'	=>	'020100',
		'íszír'	=>	'020000',
		'íszív'	=>	'020100',
		'íszk'	=>	'00012',
		'íszo'	=>	'02012',
		'íszó'	=>	'02012',
		'íszöl'	=>	'000100',
		'íszön'	=>	'000100',
		'ísző'	=>	'02012',
		'íszp'	=>	'00012',
		'íszs'	=>	'00030',
		'ísztr'	=>	'000100',
		'íszu'	=>	'02010',
		'íszú'	=>	'02010',
		'íszül'	=>	'000020',
		'íszülé'	=>	'0201000',
		'íszünn'	=>	'0200000',
		'íszüt'	=>	'020000',
		'íszz'	=>	'00010',
		'ítau'	=>	'00032',
		'ításág'	=>	'0002120',
		'ítékal'	=>	'0002120',
		'ítékel'	=>	'0002120',
		'ítél'	=>	'12000',
		'ítésa'	=>	'000200',
		'ítéségé'	=>	'00021200',
		'ítéségr'	=>	'00021000',
		'ítésza'	=>	'0002000',
		'ítészá'	=>	'0002000',
		'ítészo'	=>	'0002000',
		'ítészs'	=>	'0000030',
		'ítóa'	=>	'00002',
		'ítóf'	=>	'00010',
		'ítógépés'	=>	'000002120',
		'ítóp'	=>	'00012',
		'ítósp'	=>	'000100',
		'ítósta'	=>	'0001000',
		'ítót'	=>	'00002',
		'ítótr'	=>	'000100',
		'ítré'	=>	'00200',
		'ítuss'	=>	'000030',
		'íu'	=>	'010',
		'íú'	=>	'010',
		'íü'	=>	'010',
		'íüdü'	=>	'00200',
		'íű'	=>	'010',
		'ívad'	=>	'02120',
		'ívajá'	=>	'001200',
		'ívajk'	=>	'001000',
		'ívajt'	=>	'001000',
		'ívala'	=>	'021200',
		'ívalj'	=>	'021000',
		'ívana'	=>	'021200',
		'ívang'	=>	'001000',
		'ívanó'	=>	'021000',
		'ívany'	=>	'021200',
		'ívarc'	=>	'001000',
		'ívari'	=>	'001200',
		'ívaszt'	=>	'0210000',
		'ívábr'	=>	'001000',
		'ívág'	=>	'02120',
		'ívál'	=>	'02100',
		'ívárad'	=>	'0012000',
		'íváram'	=>	'0212000',
		'ívárk'	=>	'021000',
		'ívárn'	=>	'021000',
		'ívárt'	=>	'021000',
		'íváru'	=>	'020000',
		'íváss'	=>	'000030',
		'ívász'	=>	'000230',
		'íváta'	=>	'001000',
		'ívbl'	=>	'00100',
		'ívdr'	=>	'00100',
		'ívec'	=>	'00020',
		'ívedz'	=>	'021200',
		'íveg'	=>	'02120',
		'ívej'	=>	'02100',
		'ívelek'	=>	'0200000',
		'ívelemb'	=>	'00120000',
		'íveleme'	=>	'00120000',
		'ívelemé'	=>	'00120000',
		'ívelemr'	=>	'00120000',
		'ívelg'	=>	'020000',
		'ívelől'	=>	'0012000',
		'ívember'	=>	'02100000',
		'íven'	=>	'00020',
		'ívend'	=>	'021000',
		'ívene'	=>	'021000',
		'íver'	=>	'00020',
		'ívere'	=>	'001000',
		'íveré'	=>	'001000',
		'íverő'	=>	'001000',
		'ívesemé'	=>	'02100000',
		'ívesz'	=>	'021000',
		'ívetet'	=>	'0212000',
		'ívég'	=>	'02120',
		'ívék'	=>	'02120',
		'ívéle'	=>	'021200',
		'ívélm'	=>	'021000',
		'ívélő'	=>	'021200',
		'ívélt'	=>	'001000',
		'ívép'	=>	'02100',
		'ívérd'	=>	'021000',
		'ívéri'	=>	'021200',
		'ívérr'	=>	'021000',
		'ívérté'	=>	'0010000',
		'ívérv'	=>	'021000',
		'ívérz'	=>	'021000',
		'ívéte'	=>	'021200',
		'ívfr'	=>	'00100',
		'ívid'	=>	'02120',
		'ívig'	=>	'00020',
		'íviga'	=>	'021000',
		'ívik'	=>	'00020',
		'ívike'	=>	'001000',
		'ívill'	=>	'021000',
		'ívim'	=>	'02100',
		'ívin'	=>	'02100',
		'ívip'	=>	'02120',
		'íviro'	=>	'001000',
		'ívisel'	=>	'0002100',
		'ívises'	=>	'0002000',
		'íviss'	=>	'000010',
		'íviva'	=>	'001000',
		'íviz'	=>	'02120',
		'ívkl'	=>	'00100',
		'ívkr'	=>	'00100',
		'ívol'	=>	'02100',
		'ívop'	=>	'02100',
		'ívor'	=>	'02100',
		'ívosz'	=>	'021000',
		'ívox'	=>	'02100',
		'ívósp'	=>	'000120',
		'ívöb'	=>	'02100',
		'ívör'	=>	'02120',
		'ívös'	=>	'02100',
		'ívöv'	=>	'00100',
		'ívöz'	=>	'02120',
		'ívpl'	=>	'00100',
		'ívpr'	=>	'00100',
		'ívrende'	=>	'00000200',
		'ívsk'	=>	'00100',
		'ívsp'	=>	'00100',
		'ívst'	=>	'00100',
		'ívsz'	=>	'00002',
		'ívszk'	=>	'001000',
		'ívtr'	=>	'00100',
		'ívug'	=>	'02100',
		'ívult'	=>	'001000',
		'ívur'	=>	'02100',
		'ívut'	=>	'02120',
		'ívúj'	=>	'00100',
		'ívút'	=>	'00100',
		'ívüg'	=>	'02100',
		'ívür'	=>	'02100',
		'ívüt'	=>	'02100',
		'ívüv'	=>	'02120',
		'ívüz'	=>	'02100',
		'ízab'	=>	'00100',
		'ízad'	=>	'00120',
		'ízag'	=>	'00120',
		'ízaj'	=>	'00100',
		'ízak'	=>	'00120',
		'ízal'	=>	'00120',
		'ízan'	=>	'00020',
		'ízar'	=>	'00100',
		'ízau'	=>	'00120',
		'ízág'	=>	'00120',
		'ízál'	=>	'00100',
		'ízáp'	=>	'00120',
		'ízár'	=>	'00120',
		'ízáró'	=>	'000012',
		'ízáss'	=>	'000010',
		'ízát'	=>	'00120',
		'ízátad'	=>	'0000120',
		'ízátá'	=>	'000010',
		'ízáte'	=>	'000012',
		'ízbl'	=>	'00100',
		'ízdr'	=>	'00120',
		'ízef'	=>	'02100',
		'ízeg'	=>	'02120',
		'ízej'	=>	'02100',
		'ízelá'	=>	'030000',
		'ízelel'	=>	'0002100',
		'ízelö'	=>	'000200',
		'ízelő'	=>	'000200',
		'ízemel'	=>	'0210000',
		'ízemé'	=>	'020000',
		'ízen'	=>	'00020',
		'ízene'	=>	'021000',
		'ízer'	=>	'02120',
		'ízesí'	=>	'120000',
		'ízesz'	=>	'021200',
		'ízeti'	=>	'021200',
		'ízeu'	=>	'02100',
		'ízev'	=>	'02120',
		'ízex'	=>	'02100',
		'ízez'	=>	'02120',
		'ízég'	=>	'02100',
		'ízékk'	=>	'001000',
		'ízél'	=>	'02120',
		'ízép'	=>	'02120',
		'ízérb'	=>	'021000',
		'ízérd'	=>	'021000',
		'ízérel'	=>	'0210000',
		'ízéren'	=>	'0212000',
		'ízérh'	=>	'021000',
		'ízéri'	=>	'021210',
		'ízérk'	=>	'021000',
		'ízérm'	=>	'021000',
		'ízérn'	=>	'021000',
		'ízérr'	=>	'021000',
		'ízérs'	=>	'021000',
		'ízérte'	=>	'0210000',
		'ízérté'	=>	'0210000',
		'ízértő'	=>	'0210000',
		'ízérv'	=>	'021000',
		'ízérz'	=>	'021000',
		'ízésa'	=>	'000200',
		'ízész'	=>	'001000',
		'ízévi'	=>	'001000',
		'ízfr'	=>	'00100',
		'ízgl'	=>	'00100',
		'ízicc'	=>	'001000',
		'ízig'	=>	'00020',
		'ízigé'	=>	'021000',
		'íziko'	=>	'001000',
		'ízill'	=>	'021000',
		'ízimá'	=>	'020000',
		'ízimi'	=>	'021000',
		'ízimp'	=>	'021000',
		'ízind'	=>	'021000',
		'ízinf'	=>	'021000',
		'ízint'	=>	'021000',
		'ízióér'	=>	'0000020',
		'ízióéra'	=>	'00020000',
		'ízióto'	=>	'0002000',
		'ízipa'	=>	'021200',
		'ízira'	=>	'021000',
		'ízirá'	=>	'001000',
		'íziso'	=>	'000200',
		'ízisza'	=>	'0002000',
		'íziszo'	=>	'0002000',
		'íziszó'	=>	'0002000',
		'ízita'	=>	'021200',
		'ízivá'	=>	'021200',
		'ízív'	=>	'00120',
		'ízíz'	=>	'00100',
		'ízkl'	=>	'00100',
		'ízkr'	=>	'00120',
		'ízok'	=>	'00020',
		'ízon'	=>	'00100',
		'ízor'	=>	'00100',
		'ízos'	=>	'00100',
		'ízórá'	=>	'001200',
		'ízöb'	=>	'00100',
		'ízöd'	=>	'00100',
		'ízök'	=>	'00100',
		'ízöl'	=>	'00120',
		'ízöm'	=>	'00100',
		'ízön'	=>	'00100',
		'ízör'	=>	'00100',
		'ízös'	=>	'00100',
		'ízöv'	=>	'00120',
		'ízöz'	=>	'00100',
		'ízpen'	=>	'000001',
		'ízpf'	=>	'00100',
		'ízpl'	=>	'00100',
		'ízpr'	=>	'00120',
		'ízsa'	=>	'02002',
		'ízsal'	=>	'000100',
		'ízsas'	=>	'000100',
		'ízsau'	=>	'000100',
		'ízság'	=>	'004100',
		'ízsár'	=>	'000020',
		'ízsáro'	=>	'0001000',
		'ízsáv'	=>	'003000',
		'ízseb'	=>	'003000',
		'ízsel'	=>	'020120',
		'ízses'	=>	'000020',
		'ízsese'	=>	'0001000',
		'ízsin'	=>	'020100',
		'ízsit'	=>	'020100',
		'ízsí'	=>	'00300',
		'ízso'	=>	'02000',
		'ízsok'	=>	'000100',
		'ízsor'	=>	'003000',
		'ízsó'	=>	'02012',
		'ízsö'	=>	'02000',
		'ízss'	=>	'00010',
		'ízstr'	=>	'003000',
		'ízsu'	=>	'02300',
		'ízsú'	=>	'02000',
		'ízsz'	=>	'00300',
		'íztr'	=>	'00120',
		'ízug'	=>	'02100',
		'ízuj'	=>	'02100',
		'ízume'	=>	'000200',
		'ízumi'	=>	'000210',
		'ízund'	=>	'001000',
		'ízur'	=>	'02120',
		'ízut'	=>	'02100',
		'ízúr'	=>	'00100',
		'ízút'	=>	'00120',
		'ízüg'	=>	'02120',
		'ízüle'	=>	'020000',
		'ízür'	=>	'02100',
		'ízüs'	=>	'02100',
		'ízüt'	=>	'02100',
		'ízüv'	=>	'02100',
		'ízüz'	=>	'02120',
		'ízűe'	=>	'02000',
		'ízűn'	=>	'02000',
		'ízűr'	=>	'12000',
		'ízűv'	=>	'02000',
		'ja'	=>	'100',
		'jacé'	=>	'01200',
		'jadag'	=>	'212000',
		'jadal'	=>	'212000',
		'jadatá'	=>	'0020000',
		'jadato'	=>	'2120000',
		'jadm'	=>	'21000',
		'jadom'	=>	'212000',
		'jadot'	=>	'212000',
		'jadóh'	=>	'002000',
		'jadós'	=>	'002000',
		'jadót'	=>	'002000',
		'jadóv'	=>	'002000',
		'jadóz'	=>	'002000',
		'jadus'	=>	'002000',
		'jafr'	=>	'00120',
		'jagg'	=>	'21000',
		'jagi'	=>	'21200',
		'jakad'	=>	'200000',
		'jakadé'	=>	'0020000',
		'jakál'	=>	'002100',
		'jakáp'	=>	'002120',
		'jakárn'	=>	'0021000',
		'jakci'	=>	'210000',
		'jakec'	=>	'002100',
		'jakel'	=>	'002100',
		'jakem'	=>	'002120',
		'jakes'	=>	'002000',
		'jakére'	=>	'0001000',
		'jakéri'	=>	'0021000',
		'jakf'	=>	'20000',
		'jakiz'	=>	'002100',
		'jakír'	=>	'002120',
		'jakk'	=>	'00012',
		'jakku'	=>	'210000',
		'jakov'	=>	'000020',
		'jakovi'	=>	'0001000',
		'jakók'	=>	'002000',
		'jakölts'	=>	'00210000',
		'jakös'	=>	'002100',
		'jakro'	=>	'210000',
		'jakt'	=>	'00002',
		'jakti'	=>	'210000',
		'jaktu'	=>	'210000',
		'jalg'	=>	'21000',
		'jalk'	=>	'21000',
		'jall'	=>	'21000',
		'jalm'	=>	'21000',
		'jambe'	=>	'000200',
		'jambu'	=>	'200000',
		'james'	=>	'002000',
		'janai'	=>	'200020',
		'janal'	=>	'002000',
		'janat'	=>	'002000',
		'jano'	=>	'21200',
		'jansze'	=>	'0002000',
		'janszü'	=>	'0002000',
		'janya'	=>	'002000',
		'jaran'	=>	'002000',
		'jará'	=>	'21200',
		'jarc'	=>	'21000',
		'jarom'	=>	'002000',
		'jaszás'	=>	'2120000',
		'jatk'	=>	'21000',
		'jatró'	=>	'210000',
		'jaur'	=>	'00200',
		'jauto'	=>	'002000',
		'javat'	=>	'200000',
		'jaxi'	=>	'00200',
		'jazon'	=>	'002000',
		'já'	=>	'100',
		'jáar'	=>	'00200',
		'jábé'	=>	'21200',
		'jábr'	=>	'21000',
		'jágad'	=>	'210120',
		'jágai'	=>	'212000',
		'jágak'	=>	'212000',
		'jágas'	=>	'212000',
		'jágat'	=>	'212000',
		'jágaz'	=>	'212000',
		'jágá'	=>	'21200',
		'jágb'	=>	'21000',
		'jágf'	=>	'21000',
		'jágg'	=>	'21000',
		'jági'	=>	'21200',
		'jágk'	=>	'21000',
		'jágr'	=>	'21000',
		'jágy'	=>	'21200',
		'jáír'	=>	'00020',
		'jáll'	=>	'21000',
		'jáne'	=>	'00210',
		'jánék'	=>	'002000',
		'jánl'	=>	'20000',
		'jápo'	=>	'00200',
		'járada'	=>	'2120000',
		'járai'	=>	'212000',
		'járak'	=>	'212000',
		'járam'	=>	'212000',
		'járar'	=>	'002000',
		'járav'	=>	'002100',
		'járán'	=>	'212000',
		'járáss'	=>	'0000030',
		'járász'	=>	'0000230',
		'járát'	=>	'212000',
		'járáv'	=>	'212000',
		'járe'	=>	'00002',
		'járem'	=>	'002100',
		'járes'	=>	'002000',
		'járér'	=>	'002000',
		'járig'	=>	'212000',
		'járis'	=>	'002100',
		'járki'	=>	'210000',
		'járko'	=>	'210000',
		'járny'	=>	'210000',
		'járon'	=>	'212000',
		'járot'	=>	'002100',
		'járó'	=>	'00300',
		'járő'	=>	'00200',
		'jártal'	=>	'2100000',
		'jártás'	=>	'2100000',
		'járuk'	=>	'212000',
		'járus'	=>	'200000',
		'járut'	=>	'010000',
		'járvál'	=>	'2100000',
		'járz'	=>	'21000',
		'jásad'	=>	'002100',
		'jásal'	=>	'002000',
		'jásan'	=>	'002000',
		'jáság'	=>	'002100',
		'jásárai'	=>	'00212000',
		'jásárak'	=>	'00210000',
		'jásás'	=>	'002000',
		'jáse'	=>	'00212',
		'jásit'	=>	'002000',
		'jásí'	=>	'00210',
		'jásol'	=>	'002100',
		'jásó'	=>	'21200',
		'jásö'	=>	'00200',
		'jást'	=>	'00002',
		'jásü'	=>	'00212',
		'jászal'	=>	'0020100',
		'jásze'	=>	'000002',
		'jászis'	=>	'0020000',
		'jászokta'	=>	'002010000',
		'jászói'	=>	'0000100',
		'jászón'	=>	'0000100',
		'jászór'	=>	'0000120',
		'játadót'	=>	'00012000',
		'játal'	=>	'212000',
		'játá'	=>	'00212',
		'játáz'	=>	'210000',
		'játéke'	=>	'0000012',
		'játfe'	=>	'210000',
		'játhá'	=>	'210000',
		'játi'	=>	'21200',
		'játír'	=>	'210000',
		'játlé'	=>	'210000',
		'játm'	=>	'21000',
		'játosz'	=>	'0001000',
		'játö'	=>	'21210',
		'játszű'	=>	'2000000',
		'játü'	=>	'21200',
		'játvé'	=>	'210000',
		'játvi'	=>	'210000',
		'jázs'	=>	'00300',
		'jbal'	=>	'00021',
		'jblo'	=>	'00200',
		'jbri'	=>	'00200',
		'jbró'	=>	'00200',
		'jbűnü'	=>	'000212',
		'jcho'	=>	'00300',
		'jcsapá'	=>	'0000002',
		'jcss'	=>	'00010',
		'jdonal'	=>	'0002000',
		'jdrá'	=>	'01200',
		'jdro'	=>	'01200',
		'jdru'	=>	'01200',
		'jdúköz'	=>	'0000001',
		'je'	=>	'100',
		'jeal'	=>	'00020',
		'jean'	=>	'00020',
		'jebé'	=>	'00200',
		'jedén'	=>	'212000',
		'jedz'	=>	'21200',
		'jeen'	=>	'00020',
		'jefr'	=>	'00120',
		'jeged'	=>	'200000',
		'jegés'	=>	'002000',
		'jegész'	=>	'0000001',
		'jegyeg'	=>	'0020000',
		'jegyel'	=>	'0020000',
		'jegyels'	=>	'00001000',
		'jegyelv'	=>	'00001000',
		'jegyesí'	=>	'21200000',
		'jegyék'	=>	'0020120',
		'jegyin'	=>	'0020100',
		'jegyo'	=>	'002010',
		'jegyő'	=>	'002000',
		'jegyu'	=>	'002000',
		'jegyú'	=>	'002010',
		'jegyűrű'	=>	'00201200',
		'jekcé'	=>	'010000',
		'jekri'	=>	'001000',
		'jekta'	=>	'000212',
		'jektár'	=>	'0002120',
		'jektel'	=>	'0002120',
		'jekter'	=>	'0002000',
		'jelaj'	=>	'002000',
		'jelan'	=>	'002100',
		'jelap'	=>	'002100',
		'jelar'	=>	'002000',
		'jelav'	=>	'002000',
		'jelaz'	=>	'002000',
		'jelá'	=>	'00002',
		'jeláb'	=>	'002100',
		'jelág'	=>	'002000',
		'jelál'	=>	'002000',
		'jelár'	=>	'002100',
		'jelát'	=>	'002101',
		'jeláz'	=>	'002000',
		'jelegy'	=>	'0001200',
		'jelelev'	=>	'00212120',
		'jelelk'	=>	'0021000',
		'jelell'	=>	'0021000',
		'jelelőá'	=>	'00212000',
		'jelelőb'	=>	'00212000',
		'jelels'	=>	'0021000',
		'jelemel'	=>	'00210000',
		'jelemé'	=>	'2000000',
		'jeleml'	=>	'0021000',
		'jelemz'	=>	'2120000',
		'jeleng'	=>	'0021000',
		'jeler'	=>	'002120',
		'jelesés'	=>	'00010000',
		'jelesik'	=>	'00010000',
		'jelesni'	=>	'00210000',
		'jeleső'	=>	'0021200',
		'jeleste'	=>	'00010000',
		'jelesz'	=>	'0021000',
		'jeletet'	=>	'00210000',
		'jelevo'	=>	'0001000',
		'jelég'	=>	'002000',
		'jeléj'	=>	'002100',
		'jelél'	=>	'002000',
		'jelép'	=>	'002100',
		'jelérte'	=>	'00200000',
		'jelige'	=>	'0021000',
		'jelim'	=>	'002000',
		'jelina'	=>	'0021200',
		'jelinf'	=>	'0021000',
		'jeling'	=>	'0021000',
		'jelint'	=>	'0021000',
		'jelí'	=>	'00212',
		'jellen'	=>	'2100000',
		'jelo'	=>	'00212',
		'jelöv'	=>	'002100',
		'jelőa'	=>	'002000',
		'jelőfe'	=>	'2120000',
		'jelőí'	=>	'002000',
		'jelőtu'	=>	'2120000',
		'jelp'	=>	'00012',
		'jelszá'	=>	'2000000',
		'jelszo'	=>	'2000000',
		'jeltér'	=>	'2000000',
		'jelu'	=>	'00200',
		'jelú'	=>	'00200',
		'jemba'	=>	'210000',
		'jember'	=>	'2100000',
		'jemel'	=>	'212000',
		'jemu'	=>	'00200',
		'jená'	=>	'00210',
		'jend'	=>	'00012',
		'jenel'	=>	'002100',
		'jener'	=>	'002000',
		'jenes'	=>	'000020',
		'jenesz'	=>	'0021000',
		'jenin'	=>	'002100',
		'jeno'	=>	'00210',
		'jenőre'	=>	'0021200',
		'jenős'	=>	'002100',
		'jenü'	=>	'00210',
		'jepr'	=>	'00120',
		'jerd'	=>	'21000',
		'jered'	=>	'002000',
		'jeró'	=>	'00200',
		'jerő'	=>	'21200',
		'jesa'	=>	'00210',
		'jesemb'	=>	'0021000',
		'jesetb'	=>	'2120000',
		'jesett'	=>	'2120000',
		'jesér'	=>	'002100',
		'jeső'	=>	'00200',
		'jest'	=>	'00002',
		'jesta'	=>	'001000',
		'jestr'	=>	'001000',
		'jesu'	=>	'00200',
		'jesüv'	=>	'002120',
		'jeszac'	=>	'0003000',
		'jetam'	=>	'002100',
		'jetál'	=>	'002000',
		'jetell'	=>	'0001000',
		'jetem'	=>	'002100',
		'jeték'	=>	'002100',
		'jeto'	=>	'00210',
		'jetra'	=>	'001000',
		'jetun'	=>	'002000',
		'jetut'	=>	'002000',
		'jeur'	=>	'00020',
		'jevő'	=>	'21200',
		'jezőkész'	=>	'000000001',
		'jé'	=>	'100',
		'jébr'	=>	'21000',
		'jéga'	=>	'00212',
		'jégá'	=>	'00212',
		'jégárad'	=>	'00000120',
		'jégec'	=>	'002000',
		'jéged'	=>	'002000',
		'jégek'	=>	'002120',
		'jégel'	=>	'002100',
		'jégem'	=>	'002100',
		'jégerk'	=>	'0021000',
		'jéges'	=>	'002100',
		'jéget'	=>	'002000',
		'jégép'	=>	'002000',
		'jégés'	=>	'002000',
		'jégg'	=>	'00030',
		'jégi'	=>	'00002',
		'jégid'	=>	'002100',
		'jégigé'	=>	'0020000',
		'jégim'	=>	'002000',
		'jégis'	=>	'002100',
		'jégo'	=>	'00210',
		'jégó'	=>	'00200',
		'jégö'	=>	'00200',
		'jégő'	=>	'20200',
		'jégu'	=>	'00212',
		'jégú'	=>	'00200',
		'jéhen'	=>	'212000',
		'jéhes'	=>	'212000',
		'jéhs'	=>	'21000',
		'jékos'	=>	'002100',
		'jékü'	=>	'00200',
		'jéle'	=>	'21200',
		'jélő'	=>	'00200',
		'jélt'	=>	'21000',
		'jénad'	=>	'002000',
		'jéness'	=>	'0021000',
		'jénég'	=>	'002120',
		'jénil'	=>	'002000',
		'jéno'	=>	'00200',
		'jénú'	=>	'00200',
		'jépí'	=>	'00200',
		'jépü'	=>	'00200',
		'jérb'	=>	'21000',
		'jérd'	=>	'21000',
		'jéreg'	=>	'002000',
		'jéren'	=>	'212000',
		'jéré'	=>	'21200',
		'jérh'	=>	'21000',
		'jéri'	=>	'21200',
		'jérk'	=>	'21000',
		'jérl'	=>	'21000',
		'jérm'	=>	'21000',
		'jérn'	=>	'21000',
		'jérr'	=>	'21000',
		'jérte'	=>	'210000',
		'jérté'	=>	'210000',
		'jértő'	=>	'210000',
		'jérü'	=>	'21200',
		'jérv'	=>	'21000',
		'jérz'	=>	'21000',
		'jétel'	=>	'002000',
		'jétk'	=>	'21000',
		'jétt'	=>	'21000',
		'jévb'	=>	'21000',
		'jévek'	=>	'212000',
		'jévet'	=>	'212000',
		'jévén'	=>	'002000',
		'jévér'	=>	'002000',
		'jévét'	=>	'002000',
		'jévh'	=>	'01000',
		'jévi'	=>	'01200',
		'jévk'	=>	'01000',
		'jévn'	=>	'21000',
		'jévr'	=>	'21000',
		'jévt'	=>	'01000',
		'jévü'	=>	'21200',
		'jévv'	=>	'01000',
		'jfeless'	=>	'00000010',
		'jfle'	=>	'00200',
		'jflo'	=>	'00200',
		'jfló'	=>	'00200',
		'jfölöss'	=>	'00000010',
		'jfra'	=>	'00200',
		'jfre'	=>	'00200',
		'jfri'	=>	'00200',
		'jfrí'	=>	'00200',
		'jfro'	=>	'00200',
		'jfrö'	=>	'00200',
		'jfuna'	=>	'000200',
		'jgle'	=>	'01200',
		'jgló'	=>	'01200',
		'jgru'	=>	'00200',
		'jháre'	=>	'000210',
		'ji'	=>	'100',
		'jido'	=>	'00200',
		'jidő'	=>	'01200',
		'jiga'	=>	'21200',
		'jigé'	=>	'21200',
		'jije'	=>	'00200',
		'jikr'	=>	'21000',
		'jill'	=>	'21000',
		'jima'	=>	'00200',
		'jimá'	=>	'00200',
		'jimi'	=>	'00200',
		'jináb'	=>	'002000',
		'jind'	=>	'21000',
		'jinf'	=>	'21000',
		'jing'	=>	'21000',
		'jinj'	=>	'21000',
		'jins'	=>	'21000',
		'jinte'	=>	'210000',
		'jinté'	=>	'210000',
		'jion'	=>	'00200',
		'jipa'	=>	'00200',
		'jirat'	=>	'212000',
		'jirá'	=>	'21200',
		'jiro'	=>	'21200',
		'jirr'	=>	'21000',
		'jirt'	=>	'21000',
		'jisk'	=>	'21000',
		'jism'	=>	'21000',
		'jist'	=>	'21000',
		'jita'	=>	'21200',
		'jivá'	=>	'21200',
		'jivó'	=>	'21200',
		'jizé'	=>	'00200',
		'jizo'	=>	'00200',
		'jí'	=>	'100',
		'jígé'	=>	'00200',
		'jírá'	=>	'00200',
		'jíró'	=>	'00200',
		'jítókész'	=>	'000000001',
		'jíve'	=>	'00200',
		'jívé'	=>	'00200',
		'jívó'	=>	'00200',
		'jíze'	=>	'00200',
		'jízé'	=>	'00200',
		'jízü'	=>	'00200',
		'jízű'	=>	'00200',
		'jjalj'	=>	'021000',
		'jjaz'	=>	'02120',
		'jjás'	=>	'00010',
		'jjelesé'	=>	'00020000',
		'jjelesi'	=>	'00020000',
		'jjelest'	=>	'00020000',
		'jjelül'	=>	'0002100',
		'jjer'	=>	'00120',
		'jjim'	=>	'02100',
		'jjiz'	=>	'02100',
		'jjív'	=>	'00100',
		'jjíz'	=>	'00100',
		'jjol'	=>	'02100',
		'jjos'	=>	'02100',
		'jjpr'	=>	'00100',
		'jjüg'	=>	'00100',
		'jkapr'	=>	'000100',
		'jkard'	=>	'001000',
		'jkau'	=>	'00002',
		'jkeg'	=>	'02120',
		'jkelő'	=>	'021200',
		'jkes'	=>	'02120',
		'jképeké'	=>	'00021200',
		'jkia'	=>	'00002',
		'jkiá'	=>	'00002',
		'jkid'	=>	'02100',
		'jkie'	=>	'00002',
		'jkla'	=>	'00200',
		'jklá'	=>	'00200',
		'jkli'	=>	'01200',
		'jklo'	=>	'01200',
		'jkme'	=>	'00002',
		'jkold'	=>	'021000',
		'jkorás'	=>	'0002120',
		'jkorin'	=>	'0002100',
		'jkórá'	=>	'001000',
		'jkpl'	=>	'00100',
		'jkpr'	=>	'00100',
		'jkré'	=>	'01200',
		'jkri'	=>	'01200',
		'jkrí'	=>	'01200',
		'jkst'	=>	'00100',
		'jkus'	=>	'02120',
		'jküg'	=>	'00100',
		'jkva'	=>	'00200',
		'jkvó'	=>	'01200',
		'jlabl'	=>	'021000',
		'jlada'	=>	'001200',
		'jlalap'	=>	'0212000',
		'jlall'	=>	'021000',
		'jlar'	=>	'02100',
		'jlate'	=>	'000212',
		'jlazo'	=>	'021000',
		'jláss'	=>	'000030',
		'jláta'	=>	'001210',
		'jlátn'	=>	'001000',
		'jlbl'	=>	'00100',
		'jlegy'	=>	'001200',
		'jleí'	=>	'00002',
		'jlelé'	=>	'001000',
		'jlell'	=>	'001000',
		'jleln'	=>	'001000',
		'jletéte'	=>	'00021200',
		'jlécel'	=>	'0002000',
		'jlécs'	=>	'000230',
		'jlik'	=>	'00020',
		'jliko'	=>	'001000',
		'jlind'	=>	'021000',
		'jlinf'	=>	'021000',
		'jlint'	=>	'021000',
		'jlobj'	=>	'001000',
		'jlol'	=>	'02100',
		'jloná'	=>	'000210',
		'jloni'	=>	'000200',
		'jlös'	=>	'02100',
		'jlpr'	=>	'00100',
		'jlsp'	=>	'00100',
		'jlst'	=>	'00100',
		'jltr'	=>	'00120',
		'jmeg'	=>	'00020',
		'jmoká'	=>	'001000',
		'jmold'	=>	'021000',
		'jnale'	=>	'000210',
		'jnalég'	=>	'0002000',
		'jnalis'	=>	'0002000',
		'jnárá'	=>	'001200',
		'jnáru'	=>	'001200',
		'jnéva'	=>	'000010',
		'jning'	=>	'001000',
		'jnst'	=>	'00100',
		'jnüg'	=>	'00120',
		'jo'	=>	'100',
		'jogad'	=>	'002120',
		'jogaka'	=>	'0021000',
		'jogal'	=>	'002000',
		'jogan'	=>	'002100',
		'jogaz'	=>	'002120',
		'jogác'	=>	'002120',
		'jogál'	=>	'002120',
		'joge'	=>	'00212',
		'jogg'	=>	'00030',
		'jogí'	=>	'00210',
		'jogol'	=>	'002100',
		'jogor'	=>	'002100',
		'jogosz'	=>	'0021000',
		'jogó'	=>	'00002',
		'jogóv'	=>	'002100',
		'jogö'	=>	'00200',
		'jogő'	=>	'00200',
		'jogur'	=>	'002000',
		'jogü'	=>	'00200',
		'jokoz'	=>	'212000',
		'joks'	=>	'21000',
		'jokta'	=>	'210000',
		'jolaj'	=>	'002000',
		'jolim'	=>	'002000',
		'joma'	=>	'00002',
		'jomag'	=>	'002100',
		'joman'	=>	'002100',
		'jomar'	=>	'002000',
		'jomas'	=>	'002100',
		'jomá'	=>	'00210',
		'jome'	=>	'00212',
		'jomét'	=>	'002120',
		'jomév'	=>	'002000',
		'jomf'	=>	'00012',
		'jomij'	=>	'002000',
		'jomik'	=>	'002100',
		'jomis'	=>	'002100',
		'jomiv'	=>	'002100',
		'jomol'	=>	'002100',
		'jomor'	=>	'002100',
		'jomö'	=>	'00200',
		'jomő'	=>	'00200',
		'jomp'	=>	'00012',
		'jomü'	=>	'00200',
		'jomű'	=>	'00200',
		'joncc'	=>	'000010',
		'jonch'	=>	'000200',
		'joncil'	=>	'0002000',
		'joncs'	=>	'000230',
		'jond'	=>	'21000',
		'joób'	=>	'00200',
		'jopá'	=>	'00200',
		'jope'	=>	'00200',
		'joring'	=>	'0021000',
		'jorü'	=>	'00200',
		'josto'	=>	'210000',
		'josz'	=>	'21000',
		'joui'	=>	'00200',
		'jouk'	=>	'00200',
		'joul'	=>	'00200',
		'jour'	=>	'00200',
		'jout'	=>	'00200',
		'jova'	=>	'00200',
		'jó'	=>	'100',
		'jóak'	=>	'00020',
		'jóág'	=>	'00020',
		'jóár'	=>	'00020',
		'jóbl'	=>	'00100',
		'jóbr'	=>	'00120',
		'jóce'	=>	'00200',
		'jódad'	=>	'002000',
		'jódak'	=>	'002000',
		'jódall'	=>	'0001000',
		'jódan'	=>	'002120',
		'jódat'	=>	'000020',
		'jódato'	=>	'0021000',
		'jóde'	=>	'00002',
		'jódel'	=>	'002000',
		'jódig'	=>	'002000',
		'jódiz'	=>	'002000',
		'jódol'	=>	'002100',
		'jódó'	=>	'00002',
		'jódór'	=>	'002000',
		'jódü'	=>	'00200',
		'jódz'	=>	'00230',
		'jófl'	=>	'00100',
		'jókl'	=>	'00100',
		'jókro'	=>	'001000',
		'jóles'	=>	'002120',
		'jónn'	=>	'21000',
		'jópr'	=>	'00120',
		'jórák'	=>	'002000',
		'jóri'	=>	'21200',
		'jósal'	=>	'002000',
		'jósas'	=>	'002000',
		'jósál'	=>	'002000',
		'jósárk'	=>	'0001000',
		'jóseg'	=>	'002000',
		'jósem'	=>	'002000',
		'jósén'	=>	'002000',
		'jósip'	=>	'002000',
		'jósis'	=>	'002000',
		'jósodo'	=>	'0021200',
		'jósö'	=>	'00200',
		'jóss'	=>	'00030',
		'jósüld'	=>	'0001000',
		'jósün'	=>	'002100',
		'jószár'	=>	'0023000',
		'jótr'	=>	'00120',
		'jö'	=>	'100',
		'jödé'	=>	'00200',
		'jöko'	=>	'00200',
		'jölé'	=>	'00200',
		'jönt'	=>	'21000',
		'jöre'	=>	'00200',
		'jörö'	=>	'00200',
		'jösv'	=>	'01000',
		'jötv'	=>	'01000',
		'jövez'	=>	'012000',
		'jövén'	=>	'212000',
		'jözö'	=>	'00200',
		'jő'	=>	'100',
		'jőrl'	=>	'01000',
		'jőrö'	=>	'00200',
		'jőrt'	=>	'21000',
		'jőrü'	=>	'00200',
		'jőze'	=>	'00200',
		'jpárba'	=>	'0000002',
		'jpla'	=>	'00200',
		'jple'	=>	'00200',
		'jpre'	=>	'00200',
		'jpré'	=>	'00200',
		'jpri'	=>	'00200',
		'jpro'	=>	'00200',
		'jpró'	=>	'00200',
		'jrad'	=>	'00032',
		'jraf'	=>	'00010',
		'jrai'	=>	'00002',
		'jrap'	=>	'00012',
		'jras'	=>	'00012',
		'jrau'	=>	'00002',
		'jrészel'	=>	'00020120',
		'jrészí'	=>	'0002000',
		'jsave'	=>	'000210',
		'jsavé'	=>	'000210',
		'jsavo'	=>	'000200',
		'jsavór'	=>	'0002120',
		'jságg'	=>	'000010',
		'jsho'	=>	'00200',
		'jská'	=>	'00200',
		'jski'	=>	'00200',
		'jsni'	=>	'00200',
		'jspe'	=>	'00200',
		'jspi'	=>	'00200',
		'jspo'	=>	'00200',
		'jspó'	=>	'00200',
		'jspr'	=>	'00020',
		'jsta'	=>	'01200',
		'jsti'	=>	'00200',
		'jstí'	=>	'01200',
		'jsto'	=>	'01200',
		'jstra'	=>	'010200',
		'jstru'	=>	'010200',
		'jstú'	=>	'01200',
		'jszabáss'	=>	'000000010',
		'jszálada'	=>	'000021200',
		'jszáraz'	=>	'00000001',
		'jszínn'	=>	'0000030',
		'jszk'	=>	'00020',
		'jszt'	=>	'00002',
		'jtada'	=>	'021200',
		'jtado'	=>	'001200',
		'jtadó'	=>	'001200',
		'jtakn'	=>	'001000',
		'jtalap'	=>	'0012000',
		'jtalk'	=>	'001000',
		'jtall'	=>	'021000',
		'jtalv'	=>	'021000',
		'jtanyag'	=>	'00120000',
		'jtap'	=>	'00012',
		'jtapá'	=>	'021200',
		'jtarom'	=>	'0012000',
		'jtarz'	=>	'021000',
		'jtasp'	=>	'000100',
		'jtatk'	=>	'021000',
		'jtaut'	=>	'021200',
		'jtác'	=>	'02100',
		'jtága'	=>	'001000',
		'jtáll'	=>	'021000',
		'jtárai'	=>	'0002000',
		'jtárak'	=>	'0212000',
		'jtárka'	=>	'0210000',
		'jtász'	=>	'000230',
		'jtáta'	=>	'001210',
		'jtegy'	=>	'021200',
		'jteleg'	=>	'0212000',
		'jteleme'	=>	'02120000',
		'jtelemz'	=>	'02000000',
		'jtelf'	=>	'021000',
		'jtelh'	=>	'021000',
		'jteljá'	=>	'0010000',
		'jtell'	=>	'021000',
		'jtelmél'	=>	'02000000',
		'jtelo'	=>	'021200',
		'jtelő'	=>	'021200',
		'jtelp'	=>	'021000',
		'jtelr'	=>	'021000',
		'jtels'	=>	'021000',
		'jtelv'	=>	'021000',
		'jteml'	=>	'021000',
		'jtener'	=>	'0200000',
		'jtenz'	=>	'021000',
		'jtered'	=>	'0012000',
		'jterez'	=>	'0012000',
		'jterő'	=>	'021000',
		'jtetetőe'	=>	'021200000',
		'jtevés'	=>	'0012000',
		'jtevo'	=>	'001000',
		'jtevő'	=>	'021200',
		'jtéle'	=>	'021200',
		'jtélm'	=>	'001000',
		'jtérl'	=>	'021000',
		'jtérm'	=>	'021000',
		'jtéss'	=>	'000030',
		'jtfl'	=>	'00100',
		'jtfr'	=>	'00100',
		'jtid'	=>	'02120',
		'jtim'	=>	'00020',
		'jtimá'	=>	'020000',
		'jtimi'	=>	'021000',
		'jtimp'	=>	'021000',
		'jtinf'	=>	'001000',
		'jting'	=>	'021000',
		'jtint'	=>	'001000',
		'jtipa'	=>	'021200',
		'jtir'	=>	'02100',
		'jtis'	=>	'00020',
		'jtisi'	=>	'001000',
		'jtizg'	=>	'021000',
		'jtizo'	=>	'001200',
		'jtív'	=>	'02120',
		'jtíz'	=>	'02120',
		'jtkl'	=>	'00100',
		'jtkr'	=>	'00100',
		'jtolda'	=>	'0210000',
		'jtorjáb'	=>	'02100000',
		'jtors'	=>	'021000',
		'jtosz'	=>	'001000',
		'jtox'	=>	'02120',
		'jtóa'	=>	'00002',
		'jtóéra'	=>	'0000200',
		'jtóp'	=>	'00012',
		'jtóspo'	=>	'0001200',
		'jtósta'	=>	'0001000',
		'jtóstr'	=>	'0001000',
		'jtósz'	=>	'000100',
		'jtótr'	=>	'000100',
		'jtödé'	=>	'001000',
		'jtöng'	=>	'001000',
		'jtöss'	=>	'001000',
		'jtőa'	=>	'00002',
		'jtőe'	=>	'00002',
		'jtőé'	=>	'00002',
		'jtősp'	=>	'000120',
		'jtpl'	=>	'00100',
		'jtpr'	=>	'00100',
		'jtran'	=>	'012000',
		'jtrádi'	=>	'0000002',
		'jtrág'	=>	'012000',
		'jtri'	=>	'00200',
		'jtroj'	=>	'012000',
		'jtróf'	=>	'002000',
		'jtsp'	=>	'00100',
		'jtst'	=>	'00100',
		'jttr'	=>	'00120',
		'jtudv'	=>	'021000',
		'jtund'	=>	'021000',
		'jtutá'	=>	'001000',
		'jtúj'	=>	'02100',
		'jtüg'	=>	'02100',
		'jtül'	=>	'02120',
		'jtüt'	=>	'02100',
		'ju'	=>	'100',
		'juga'	=>	'00200',
		'jugo'	=>	'00001',
		'juhad'	=>	'002000',
		'juhak'	=>	'002120',
		'juhal'	=>	'002000',
		'juhan'	=>	'002120',
		'juhara'	=>	'0000200',
		'juhat'	=>	'002000',
		'juhál'	=>	'002000',
		'juhe'	=>	'00212',
		'juhéj'	=>	'002100',
		'juhis'	=>	'002100',
		'juhor'	=>	'002000',
		'juhő'	=>	'00200',
		'juhü'	=>	'00200',
		'jula'	=>	'20000',
		'juls'	=>	'20000',
		'jural'	=>	'200000',
		'juru'	=>	'00200',
		'juszav'	=>	'0020120',
		'juszim'	=>	'0020000',
		'juszí'	=>	'002012',
		'jutak'	=>	'002000',
		'jutál'	=>	'212000',
		'jú'	=>	'100',
		'júfr'	=>	'00100',
		'jújí'	=>	'00200',
		'jújjáé'	=>	'0000003',
		'júpl'	=>	'00100',
		'júpr'	=>	'00120',
		'júsp'	=>	'00120',
		'júst'	=>	'00120',
		'júszó'	=>	'002000',
		'júszv'	=>	'001000',
		'jútb'	=>	'21000',
		'júton'	=>	'002000',
		'jútv'	=>	'21000',
		'jü'	=>	'100',
		'jüge'	=>	'00200',
		'jügy'	=>	'00200',
		'jüle'	=>	'00200',
		'jülé'	=>	'00200',
		'jülő'	=>	'01200',
		'jült'	=>	'01000',
		'jüre'	=>	'00200',
		'jürí'	=>	'00200',
		'jürü'	=>	'00200',
		'jüta'	=>	'00200',
		'jütő'	=>	'01200',
		'jüve'	=>	'00200',
		'jüze'	=>	'00200',
		'jű'	=>	'100',
		'jűri'	=>	'00200',
		'jűző'	=>	'00200',
		'jzabl'	=>	'021000',
		'jzad'	=>	'02120',
		'jzaj'	=>	'00020',
		'jzajá'	=>	'021000',
		'jzajt'	=>	'001000',
		'jzakad'	=>	'0002000',
		'jzakc'	=>	'001000',
		'jzal'	=>	'02120',
		'jzany'	=>	'021200',
		'jzar'	=>	'02100',
		'jzas'	=>	'02100',
		'jzatan'	=>	'0002000',
		'jzál'	=>	'02100',
		'jzárad'	=>	'0212000',
		'jzárán'	=>	'0212000',
		'jzel'	=>	'02120',
		'jzem'	=>	'02100',
		'jzer'	=>	'00020',
		'jzeré'	=>	'001000',
		'jzes'	=>	'02100',
		'jzél'	=>	'02100',
		'jzérté'	=>	'0210000',
		'jzfr'	=>	'00100',
		'jzig'	=>	'00020',
		'jzigé'	=>	'021000',
		'jzill'	=>	'020000',
		'jzint'	=>	'021000',
		'jzir'	=>	'02120',
		'jzisk'	=>	'021000',
		'jzism'	=>	'021000',
		'jzkl'	=>	'00120',
		'jzkr'	=>	'00120',
		'jzob'	=>	'02100',
		'jzokta'	=>	'0010000',
		'jzolda'	=>	'0210000',
		'jzolvas'	=>	'02000000',
		'jzosz'	=>	'021000',
		'jzód'	=>	'02120',
		'jzór'	=>	'02120',
		'jzós'	=>	'00012',
		'jzös'	=>	'02100',
		'jzöt'	=>	'02100',
		'jzpl'	=>	'00100',
		'jzpr'	=>	'00120',
		'jzsab'	=>	'003000',
		'jzsal'	=>	'020120',
		'jzsál'	=>	'020100',
		'jzscsap'	=>	'00000021',
		'jzseg'	=>	'020100',
		'jzsen'	=>	'020000',
		'jzser'	=>	'020100',
		'jzsin'	=>	'020100',
		'jzsín'	=>	'003000',
		'jzsor'	=>	'003000',
		'jzsö'	=>	'02012',
		'jzső'	=>	'02010',
		'jzss'	=>	'00010',
		'jzsut'	=>	'020120',
		'jzsza'	=>	'003000',
		'jzszá'	=>	'003000',
		'jzsze'	=>	'003000',
		'jzut'	=>	'02100',
		'jzüg'	=>	'00120',
		'ka'	=>	'100',
		'kaad'	=>	'00020',
		'kaát'	=>	'00001',
		'kaáta'	=>	'000002',
		'kaba'	=>	'00020',
		'kabbah'	=>	'2000000',
		'kabhá'	=>	'210000',
		'kabiná'	=>	'0000200',
		'kablaka'	=>	'21000000',
		'kablaká'	=>	'20000000',
		'kablakb'	=>	'21000000',
		'kablakh'	=>	'20000000',
		'kablakk'	=>	'20000000',
		'kablakok'	=>	'210000000',
		'kablakon'	=>	'210000000',
		'kablakos'	=>	'200000000',
		'kablakot'	=>	'210000000',
		'kablakr'	=>	'20000000',
		'kable'	=>	'001200',
		'kabre'	=>	'001000',
		'kabs'	=>	'21000',
		'kach'	=>	'00230',
		'kacság'	=>	'0000120',
		'kacsús'	=>	'0020100',
		'kacü'	=>	'00200',
		'kacz'	=>	'00200',
		'kadap'	=>	'010000',
		'kadál'	=>	'200000',
		'kadáss'	=>	'0000010',
		'kadot'	=>	'212000',
		'kadói'	=>	'002000',
		'kadój'	=>	'002000',
		'kadóso'	=>	'2120000',
		'kadóu'	=>	'002000',
		'kadóz'	=>	'002000',
		'kadrá'	=>	'001200',
		'kaegész'	=>	'00000001',
		'kael'	=>	'00020',
		'kaer'	=>	'00020',
		'kaér'	=>	'00020',
		'kafr'	=>	'00120',
		'kagan'	=>	'002000',
		'kagg'	=>	'21000',
		'kagr'	=>	'00120',
		'kagyu'	=>	'002000',
		'kaiz'	=>	'00020',
		'kajánl'	=>	'2000000',
		'kajk'	=>	'21000',
		'kajtóh'	=>	'2100000',
		'kakadé'	=>	'0020000',
		'kakadó'	=>	'0020000',
		'kakass'	=>	'0000030',
		'kakác'	=>	'002000',
		'kakc'	=>	'21000',
		'kakl'	=>	'00120',
		'kakré'	=>	'001200',
		'kakri'	=>	'001000',
		'kakti'	=>	'210000',
		'kakva'	=>	'001200',
		'kalapa'	=>	'0020000',
		'kalapítv'	=>	'200000000',
		'kalb'	=>	'21000',
		'kalegy'	=>	'0001000',
		'kalf'	=>	'21000',
		'kalji'	=>	'210000',
		'kalka'	=>	'210000',
		'kalko'	=>	'200000',
		'kalle'	=>	'210000',
		'kalti'	=>	'210000',
		'kamate'	=>	'0000200',
		'kambu'	=>	'210000',
		'kanag'	=>	'000020',
		'kanalí'	=>	'0020000',
		'kanam'	=>	'212000',
		'kanat'	=>	'012000',
		'kaneg'	=>	'002120',
		'kanel'	=>	'002100',
		'kang'	=>	'20000',
		'kanim'	=>	'002000',
		'kanio'	=>	'002000',
		'kaniv'	=>	'002100',
		'kanol'	=>	'002000',
		'kanód'	=>	'002000',
		'kante'	=>	'200000',
		'kanű'	=>	'00200',
		'kanyag'	=>	'2120000',
		'kanyai'	=>	'2120000',
		'kanyáb'	=>	'0020000',
		'kanyó'	=>	'002000',
		'kaóa'	=>	'00200',
		'kaóá'	=>	'00200',
		'kaóc'	=>	'00200',
		'kaóe'	=>	'00200',
		'kaóg'	=>	'00200',
		'kaóha'	=>	'002000',
		'kaóí'	=>	'00200',
		'kaóko'	=>	'002000',
		'kaókr'	=>	'002000',
		'kaóp'	=>	'00200',
		'kaóü'	=>	'00200',
		'kaóz'	=>	'00200',
		'kapád'	=>	'200000',
		'kapáto'	=>	'0020000',
		'kapp'	=>	'20000',
		'kapre'	=>	'001200',
		'kapré'	=>	'001200',
		'kaprí'	=>	'210000',
		'kaprof'	=>	'0010000',
		'karad'	=>	'002120',
		'karakk'	=>	'0020000',
		'karakó'	=>	'0021200',
		'karalap'	=>	'00012000',
		'karank'	=>	'2100000',
		'karar'	=>	'002120',
		'karas'	=>	'000020',
		'karasz'	=>	'2020000',
		'karatn'	=>	'2000000',
		'karato'	=>	'2000000',
		'karau'	=>	'002000',
		'karácsh'	=>	'00210000',
		'karácsn'	=>	'00210000',
		'karácst'	=>	'00210000',
		'karál'	=>	'002100',
		'karány'	=>	'2120000',
		'karcel'	=>	'0002100',
		'kardac'	=>	'0002000',
		'kardál'	=>	'0002000',
		'kardz'	=>	'000200',
		'karel'	=>	'002000',
		'karev'	=>	'002000',
		'karéke'	=>	'0001000',
		'karékor'	=>	'00002000',
		'karél'	=>	'002000',
		'karéne'	=>	'0021000',
		'karfel'	=>	'0000021',
		'karid'	=>	'002000',
		'kariko'	=>	'0021200',
		'karikr'	=>	'0021000',
		'karind'	=>	'0020000',
		'karingb'	=>	'00010000',
		'karinge'	=>	'00010000',
		'karingg'	=>	'00010000',
		'karingr'	=>	'00010000',
		'karisk'	=>	'0021000',
		'karism'	=>	'0021000',
		'kariz'	=>	'000020',
		'karizo'	=>	'0021000',
		'karomá'	=>	'2000000',
		'karor'	=>	'002000',
		'kars'	=>	'00002',
		'karti'	=>	'210000',
		'kasag'	=>	'002000',
		'kaságg'	=>	'0000010',
		'kasál'	=>	'002000',
		'kasid'	=>	'002000',
		'kasip'	=>	'000020',
		'kasipa'	=>	'0001000',
		'kasiz'	=>	'002000',
		'kasol'	=>	'002100',
		'kasór'	=>	'002120',
		'kaspo'	=>	'001200',
		'kassze'	=>	'0003000',
		'kasszé'	=>	'0003000',
		'kasszi'	=>	'2100000',
		'kasszony'	=>	'200000000',
		'kassző'	=>	'0003000',
		'kast'	=>	'00002',
		'kastr'	=>	'001000',
		'kasür'	=>	'002000',
		'kaszajt'	=>	'00001000',
		'kaszat'	=>	'2000000',
		'kaszág'	=>	'0020000',
		'katará'	=>	'0001000',
		'katél'	=>	'002000',
		'katiko'	=>	'0001000',
		'katint'	=>	'0001000',
		'katio'	=>	'002120',
		'katká'	=>	'210000',
		'katolda'	=>	'00200000',
		'katrádi'	=>	'00000002',
		'katri'	=>	'001200',
		'katyá'	=>	'002000',
		'kaud'	=>	'00200',
		'kaul'	=>	'21200',
		'kaun'	=>	'00020',
		'kaur'	=>	'00020',
		'kaus'	=>	'00020',
		'kauta'	=>	'000200',
		'kauto'	=>	'212000',
		'kautób'	=>	'2000000',
		'kautóc'	=>	'0030000',
		'kautóé'	=>	'2000000',
		'kautóh'	=>	'2000000',
		'kautói'	=>	'2000000',
		'kautój'	=>	'2100000',
		'kautók'	=>	'2100000',
		'kautóm'	=>	'2000000',
		'kautón'	=>	'2000000',
		'kautós'	=>	'2000000',
		'kautót'	=>	'2000000',
		'kautóv'	=>	'2000000',
		'kaüt'	=>	'00020',
		'kaüz'	=>	'00020',
		'kavat'	=>	'212000',
		'kazon'	=>	'212000',
		'ká'	=>	'100',
		'kábé'	=>	'20000',
		'kábr'	=>	'21000',
		'kácak'	=>	'002000',
		'káce'	=>	'00200',
		'kách'	=>	'20230',
		'kácó'	=>	'00200',
		'kácsar'	=>	'0023000',
		'kácsat'	=>	'0020000',
		'kácse'	=>	'002000',
		'kácsék'	=>	'0020100',
		'kácsip'	=>	'0020000',
		'kácsis'	=>	'0020000',
		'kácsor'	=>	'0023000',
		'kácsö'	=>	'002000',
		'kácső'	=>	'002000',
		'kácü'	=>	'00200',
		'kádab'	=>	'002000',
		'kádar'	=>	'002000',
		'kádác'	=>	'002100',
		'kádát'	=>	'002000',
		'kádil'	=>	'002000',
		'kádí'	=>	'00200',
		'kádö'	=>	'00210',
		'kádü'	=>	'00212',
		'kádz'	=>	'00230',
		'káfá'	=>	'00200',
		'kága'	=>	'00200',
		'kágacska'	=>	'200000000',
		'kágacská'	=>	'003000000',
		'kágai'	=>	'210000',
		'kágak'	=>	'210000',
		'kágat'	=>	'210000',
		'kágaz'	=>	'210000',
		'kágá'	=>	'21200',
		'kágb'	=>	'21000',
		'káge'	=>	'21200',
		'kágé'	=>	'01200',
		'kágg'	=>	'21000',
		'kágh'	=>	'21000',
		'kági'	=>	'21200',
		'kágk'	=>	'21000',
		'kágn'	=>	'21000',
		'kágo'	=>	'21200',
		'kágr'	=>	'21000',
		'kágs'	=>	'21000',
		'kágt'	=>	'21000',
		'kágu'	=>	'21200',
		'kágú'	=>	'21200',
		'kágy'	=>	'21200',
		'káhí'	=>	'21200',
		'kájö'	=>	'00200',
		'kájü'	=>	'00200',
		'kálág'	=>	'002000',
		'kálái'	=>	'200000',
		'kálák'	=>	'200000',
		'kálán'	=>	'200000',
		'káláv'	=>	'200000',
		'káláz'	=>	'200000',
		'kálc'	=>	'21000',
		'káldo'	=>	'010000',
		'kále'	=>	'00212',
		'kálén'	=>	'002000',
		'kállamti'	=>	'200000000',
		'kállap'	=>	'2100000',
		'kállás'	=>	'2100000',
		'kálle'	=>	'000212',
		'kállé'	=>	'000002',
		'kállék'	=>	'0002000',
		'kállí'	=>	'210000',
		'kállom'	=>	'2100000',
		'kálü'	=>	'00200',
		'kályod'	=>	'0020000',
		'kámí'	=>	'21200',
		'kámu'	=>	'21200',
		'kánag'	=>	'002100',
		'kánan'	=>	'002120',
		'kánas'	=>	'002100',
		'kánem'	=>	'002000',
		'kánis'	=>	'002100',
		'kánó'	=>	'00212',
		'kányag'	=>	'0020100',
		'kányal'	=>	'0020120',
		'kányan'	=>	'0020120',
		'kányap'	=>	'0020000',
		'kányar'	=>	'0020000',
		'kányáto'	=>	'00201200',
		'kánye'	=>	'002012',
		'kányis'	=>	'0020000',
		'kányiv'	=>	'0020000',
		'kányö'	=>	'002000',
		'kápolá'	=>	'2120000',
		'kápoló'	=>	'0020000',
		'kárad'	=>	'202000',
		'kárag'	=>	'002120',
		'kárakr'	=>	'2120000',
		'kárakt'	=>	'0020000',
		'kárakta'	=>	'00010000',
		'káraktá'	=>	'00010000',
		'káral'	=>	'002120',
		'káram'	=>	'212000',
		'kárap'	=>	'002120',
		'kárar'	=>	'002000',
		'káras'	=>	'002000',
		'kárass'	=>	'0001000',
		'kárat'	=>	'212000',
		'káraz'	=>	'002000',
		'kárazo'	=>	'0001000',
		'káráll'	=>	'0001000',
		'káráz'	=>	'002120',
		'kárd'	=>	'00012',
		'káre'	=>	'00212',
		'káréte'	=>	'0001000',
		'káriá'	=>	'212000',
		'kárká'	=>	'010000',
		'kárkiéh'	=>	'00000020',
		'károld'	=>	'0021000',
		'károsz'	=>	'0021000',
		'kárö'	=>	'00200',
		'kárő'	=>	'00200',
		'kárpszi'	=>	'00000002',
		'kárpszic'	=>	'000000003',
		'kárs'	=>	'00012',
		'kárt'	=>	'00002',
		'kártr'	=>	'000100',
		'káruh'	=>	'002000',
		'kárü'	=>	'00200',
		'kásajt'	=>	'0001000',
		'kásass'	=>	'0001000',
		'káságo'	=>	'0021200',
		'kásárai'	=>	'00212000',
		'kásárak'	=>	'00210000',
		'kásárá'	=>	'0021200',
		'kásárb'	=>	'0021000',
		'kásáro'	=>	'0021200',
		'kásárr'	=>	'0021000',
		'kásárv'	=>	'0021000',
		'kásárz'	=>	'0021000',
		'kásásá'	=>	'2120000',
		'kásást'	=>	'2000000',
		'káse'	=>	'00212',
		'kásik'	=>	'002120',
		'kásim'	=>	'002000',
		'kásis'	=>	'002000',
		'kásír'	=>	'002000',
		'káskár'	=>	'0000020',
		'kásol'	=>	'002100',
		'kásott'	=>	'0021000',
		'kásó'	=>	'00200',
		'kásö'	=>	'00200',
		'káső'	=>	'00200',
		'kásp'	=>	'00010',
		'kást'	=>	'00002',
		'kástr'	=>	'000100',
		'kásut'	=>	'002000',
		'kásü'	=>	'00212',
		'kászáb'	=>	'2120000',
		'kászár'	=>	'0020000',
		'kászát'	=>	'2120000',
		'kásze'	=>	'002000',
		'kászé'	=>	'002000',
		'kászis'	=>	'0020000',
		'kásziv'	=>	'0020000',
		'kászom'	=>	'2120000',
		'kászü'	=>	'002300',
		'kátab'	=>	'002000',
		'kátad'	=>	'210000',
		'kátaj'	=>	'002000',
		'kátal'	=>	'002000',
		'kátala'	=>	'0001200',
		'kátan'	=>	'002120',
		'kátar'	=>	'002000',
		'kátau'	=>	'002000',
		'kátá'	=>	'00212',
		'kátbe'	=>	'210000',
		'káte'	=>	'00212',
		'kátég'	=>	'002000',
		'kátfo'	=>	'010000',
		'kátip'	=>	'002000',
		'kátir'	=>	'002100',
		'kátis'	=>	'002000',
		'kátí'	=>	'00200',
		'kátló'	=>	'010000',
		'kátme'	=>	'210000',
		'kátosz'	=>	'0021000',
		'kátó'	=>	'00002',
		'kátór'	=>	'002000',
		'kátö'	=>	'00210',
		'kátü'	=>	'00200',
		'kátvá'	=>	'010000',
		'kbal'	=>	'00021',
		'kbérel'	=>	'0002000',
		'kbla'	=>	'00200',
		'kble'	=>	'00200',
		'kblo'	=>	'00200',
		'kbrá'	=>	'00200',
		'kbri'	=>	'00200',
		'kbro'	=>	'00200',
		'kbró'	=>	'00200',
		'kciófa'	=>	'0002000',
		'kciósi'	=>	'0002000',
		'kcióspe'	=>	'00020000',
		'kclu'	=>	'00200',
		'kcsapág'	=>	'00002120',
		'kdial'	=>	'000200',
		'kdra'	=>	'00200',
		'kdrá'	=>	'00200',
		'kdre'	=>	'00200',
		'kdro'	=>	'00200',
		'kdró'	=>	'00200',
		'kdru'	=>	'00200',
		'ke'	=>	'100',
		'keaj'	=>	'00020',
		'keak'	=>	'00020',
		'keal'	=>	'00020',
		'kean'	=>	'00020',
		'kear'	=>	'00020',
		'keas'	=>	'00020',
		'keál'	=>	'00020',
		'keár'	=>	'00020',
		'keát'	=>	'00021',
		'kebei'	=>	'002000',
		'kebek'	=>	'002000',
		'kebéd'	=>	'002000',
		'kecsalj'	=>	'00001000',
		'kecsón'	=>	'0000100',
		'kecsór'	=>	'0000120',
		'kedra'	=>	'001200',
		'keegyez'	=>	'00000001',
		'keen'	=>	'00020',
		'keep'	=>	'00200',
		'kees'	=>	'00020',
		'keff'	=>	'21000',
		'kefl'	=>	'00100',
		'kefr'	=>	'00120',
		'kegér'	=>	'212000',
		'kegész'	=>	'0000001',
		'kegyb'	=>	'200000',
		'kegyék'	=>	'0020000',
		'kegyin'	=>	'0020100',
		'kegyl'	=>	'210000',
		'kegyn'	=>	'200000',
		'kegyö'	=>	'002000',
		'kegyr'	=>	'200000',
		'kegys'	=>	'200000',
		'kegyu'	=>	'002000',
		'kegyú'	=>	'002010',
		'kegyü'	=>	'200000',
		'kekei'	=>	'212000',
		'kekek'	=>	'212000',
		'kekéé'	=>	'212000',
		'kekék'	=>	'212000',
		'kekl'	=>	'00120',
		'kekré'	=>	'001200',
		'keksza'	=>	'0002000',
		'kekv'	=>	'21000',
		'kelad'	=>	'210000',
		'kelan'	=>	'002100',
		'kelat'	=>	'002120',
		'kelav'	=>	'210000',
		'kelág'	=>	'002120',
		'kelef'	=>	'212000',
		'kelekc'	=>	'0020000',
		'kelekt'	=>	'2120000',
		'kelel'	=>	'002120',
		'kelemb'	=>	'0120000',
		'keleme'	=>	'2000000',
		'kelemé'	=>	'2000000',
		'kelemh'	=>	'0120000',
		'kelemm'	=>	'2000000',
		'kelemn'	=>	'2120000',
		'kelemr'	=>	'0120000',
		'kelemz'	=>	'2120000',
		'kelepei'	=>	'00212000',
		'kelepü'	=>	'0000212',
		'kelesé'	=>	'0021200',
		'kelesze'	=>	'00210000',
		'keletel'	=>	'00002100',
		'keleto'	=>	'0000210',
		'keley'	=>	'200000',
		'kelék'	=>	'002120',
		'kelél'	=>	'212000',
		'kelérh'	=>	'0001000',
		'keléss'	=>	'0000030',
		'kelész'	=>	'0000230',
		'kelhel'	=>	'2100000',
		'kelho'	=>	'210000',
		'kelid'	=>	'000100',
		'kelig'	=>	'000200',
		'kelim'	=>	'212000',
		'kelio'	=>	'002000',
		'kelism'	=>	'2100000',
		'kelí'	=>	'21212',
		'keljá'	=>	'210000',
		'kellá'	=>	'010000',
		'kellát'	=>	'2000000',
		'kellená'	=>	'20000000',
		'kellenő'	=>	'20000000',
		'kellent'	=>	'21000000',
		'kelnev'	=>	'2100000',
		'kelny'	=>	'210000',
		'kelos'	=>	'212000',
		'kelöl'	=>	'202020',
		'kelőa'	=>	'212000',
		'kelőé'	=>	'000002',
		'kelőfú'	=>	'2000000',
		'kelőhí'	=>	'0020000',
		'kelőí'	=>	'212000',
		'kelőképz'	=>	'212000000',
		'kelőkés'	=>	'21200000',
		'kelől'	=>	'212000',
		'kelőny'	=>	'0020000',
		'kelőo'	=>	'212000',
		'kelőté'	=>	'0020000',
		'kelőtt'	=>	'2120000',
		'kelőz'	=>	'012000',
		'kelra'	=>	'010000',
		'kelsa'	=>	'210000',
		'kelső'	=>	'210000',
		'kelszá'	=>	'2100000',
		'kelto'	=>	'210000',
		'keltű'	=>	'200000',
		'kelül'	=>	'200000',
		'kelűr'	=>	'002000',
		'kelvá'	=>	'210000',
		'kelvei'	=>	'2100000',
		'kelvek'	=>	'2100000',
		'kelven'	=>	'2100000',
		'kelvi'	=>	'200000',
		'kelvk'	=>	'010000',
		'kelvo'	=>	'210000',
		'kelvt'	=>	'210000',
		'kelvű'	=>	'210000',
		'kelyemb'	=>	'00200000',
		'kelyékn'	=>	'00201000',
		'kelyköz'	=>	'00000001',
		'kelz'	=>	'21000',
		'kember'	=>	'2100000',
		'kembl'	=>	'210000',
		'kembr'	=>	'210000',
		'keml'	=>	'21000',
		'kemul'	=>	'210000',
		'kenal'	=>	'002000',
		'kenci'	=>	'210000',
		'kenderül'	=>	'000002000',
		'kendék'	=>	'0002100',
		'kendo'	=>	'210000',
		'kener'	=>	'212000',
		'kenge'	=>	'210000',
		'kenip'	=>	'002100',
		'kenis'	=>	'002000',
		'keno'	=>	'00210',
		'kenss'	=>	'000030',
		'kensz'	=>	'000002',
		'kenyv'	=>	'210000',
		'keol'	=>	'00020',
		'keor'	=>	'00020',
		'keód'	=>	'00020',
		'keóh'	=>	'00020',
		'keól'	=>	'00020',
		'keór'	=>	'00020',
		'kepik'	=>	'002000',
		'keral'	=>	'002000',
		'kerap'	=>	'002000',
		'kerar'	=>	'002120',
		'keras'	=>	'002100',
		'kerau'	=>	'002000',
		'kerál'	=>	'002100',
		'kerár'	=>	'002100',
		'kerás'	=>	'002000',
		'kercsá'	=>	'0002000',
		'kercsell'	=>	'000200000',
		'kercsí'	=>	'0000002',
		'kercsír'	=>	'00020000',
		'kerde'	=>	'200000',
		'kerdő'	=>	'200000',
		'kerege'	=>	'2120000',
		'kerej'	=>	'212000',
		'kerekeg'	=>	'00002100',
		'kerekess'	=>	'000000030',
		'kerell'	=>	'0001000',
		'kerelv'	=>	'0001000',
		'kerember'	=>	'002100000',
		'kerer'	=>	'002100',
		'kereta'	=>	'0000200',
		'keretel'	=>	'00002120',
		'keretö'	=>	'0000210',
		'kerég'	=>	'002000',
		'kerél'	=>	'002120',
		'kerép'	=>	'002100',
		'keréte'	=>	'0001000',
		'kerid'	=>	'002100',
		'keriga'	=>	'0001000',
		'kerill'	=>	'0021000',
		'kerim'	=>	'002000',
		'kerind'	=>	'0021000',
		'kerint'	=>	'0021000',
		'kerinv'	=>	'0021000',
		'kerio'	=>	'002000',
		'kerist'	=>	'0001000',
		'keriz'	=>	'002100',
		'kerk'	=>	'00012',
		'kerol'	=>	'002100',
		'keror'	=>	'002000',
		'keród'	=>	'002000',
		'kerór'	=>	'002120',
		'kerőde'	=>	'0020000',
		'kerőe'	=>	'002000',
		'kerőké'	=>	'0020000',
		'kerőo'	=>	'002000',
		'kerősí'	=>	'0020000',
		'kerőte'	=>	'0020000',
		'kers'	=>	'00002',
		'kersp'	=>	'000100',
		'kerst'	=>	'000100',
		'kersz'	=>	'000002',
		'kertaj'	=>	'0002000',
		'kertáp'	=>	'0002000',
		'kertás'	=>	'0002000',
		'kertebbé'	=>	'000210000',
		'kerteg'	=>	'0002000',
		'kerteste'	=>	'000210000',
		'kertesz'	=>	'00021000',
		'kertélv'	=>	'00020000',
		'kertévét'	=>	'000212000',
		'kertön'	=>	'0002000',
		'kertöv'	=>	'0002000',
		'kertőr'	=>	'0002100',
		'kertős'	=>	'0002100',
		'kertró'	=>	'0001000',
		'kerút'	=>	'002000',
		'kerüg'	=>	'000020',
		'kesemé'	=>	'2100000',
		'keseté'	=>	'0020000',
		'kesett'	=>	'2120000',
		'kesél'	=>	'210000',
		'kesés'	=>	'212000',
		'kesis'	=>	'002000',
		'kesítőst'	=>	'200000000',
		'keskü'	=>	'200000',
		'keső'	=>	'21200',
		'kespo'	=>	'001200',
		'kesszéke'	=>	'000300000',
		'kesszó'	=>	'0003000',
		'kesta'	=>	'001000',
		'keste'	=>	'210000',
		'kesté'	=>	'210000',
		'kesti'	=>	'210000',
		'kestj'	=>	'210000',
		'kestk'	=>	'210000',
		'kestn'	=>	'210000',
		'kestra'	=>	'0010000',
		'kestre'	=>	'2100000',
		'kestt'	=>	'210000',
		'kestün'	=>	'2100000',
		'keszaj'	=>	'0020000',
		'keszép'	=>	'0020000',
		'keszmén'	=>	'20000000',
		'ketál'	=>	'002000',
		'ketc'	=>	'00100',
		'ketekéh'	=>	'00212000',
		'keteté'	=>	'2120000',
		'ketid'	=>	'002000',
		'ketra'	=>	'001200',
		'ketré'	=>	'001200',
		'ketri'	=>	'001200',
		'kettess'	=>	'00000010',
		'ketűd'	=>	'002000',
		'keur'	=>	'00020',
		'keus'	=>	'00020',
		'kevéss'	=>	'0000030',
		'kevid'	=>	'002000',
		'kevő'	=>	'21200',
		'kezetés'	=>	'00002000',
		'kezőa'	=>	'000002',
		'kezőe'	=>	'000002',
		'kezőkész'	=>	'000000001',
		'kezr'	=>	'21000',
		'ké'	=>	'100',
		'kéber'	=>	'212000',
		'kébr'	=>	'21000',
		'kége'	=>	'00200',
		'kégé'	=>	'00200',
		'kégő'	=>	'00200',
		'kéhem'	=>	'212000',
		'kéhen'	=>	'212000',
		'kéhes'	=>	'212000',
		'kéhezé'	=>	'2000000',
		'kéhezt'	=>	'2000000',
		'kéhs'	=>	'21000',
		'kéjak'	=>	'002100',
		'kéjelé'	=>	'0021000',
		'kéjö'	=>	'00200',
		'kéjut'	=>	'002000',
		'kékei'	=>	'212000',
		'kékekk'	=>	'2000000',
		'kékem'	=>	'200000',
		'kéker'	=>	'002120',
		'kékess'	=>	'0000030',
		'kékesz'	=>	'0000230',
		'kékén'	=>	'002000',
		'kéko'	=>	'00212',
		'kékük'	=>	'212000',
		'kékű'	=>	'21200',
		'kélel'	=>	'002000',
		'kéles'	=>	'200000',
		'kéletek'	=>	'21200000',
		'kéletet'	=>	'21200000',
		'kélm'	=>	'21000',
		'kélőd'	=>	'002000',
		'kélől'	=>	'212000',
		'kélr'	=>	'21000',
		'kélű'	=>	'21200',
		'kélya'	=>	'002000',
		'kélyesz'	=>	'00201000',
		'kélyid'	=>	'0020000',
		'kélyül'	=>	'0020120',
		'kéma'	=>	'00002',
		'kémad'	=>	'002000',
		'kémal'	=>	'002100',
		'kéman'	=>	'002100',
		'kémap'	=>	'002000',
		'kémas'	=>	'002100',
		'kémá'	=>	'00210',
		'kémias'	=>	'0000200',
		'kémin'	=>	'002000',
		'kémis'	=>	'002000',
		'kémí'	=>	'00200',
		'kémo'	=>	'00200',
		'kémö'	=>	'00200',
		'kémő'	=>	'00200',
		'kému'	=>	'00212',
		'kéna'	=>	'00002',
		'kénal'	=>	'002100',
		'kénan'	=>	'002000',
		'kénar'	=>	'002100',
		'kénat'	=>	'002100',
		'kéndio'	=>	'0000002',
		'kéneke'	=>	'2120000',
		'kénekh'	=>	'2120000',
		'kéneki'	=>	'2120000',
		'kénekk'	=>	'2120000',
		'kénekl'	=>	'2000000',
		'kénel'	=>	'002120',
		'kénem'	=>	'002100',
		'kéner'	=>	'002100',
		'kénéte'	=>	'0001000',
		'kénig'	=>	'002000',
		'kénil'	=>	'002000',
		'kéning'	=>	'0021000',
		'kéno'	=>	'00200',
		'kényeg'	=>	'0020120',
		'kényelv'	=>	'00201000',
		'kényú'	=>	'002000',
		'képa'	=>	'00212',
		'képá'	=>	'00210',
		'képár'	=>	'000020',
		'képeg'	=>	'002000',
		'képelő'	=>	'0021200',
		'képelté'	=>	'00210000',
		'képelv'	=>	'0021000',
		'képer'	=>	'000020',
		'képill'	=>	'0021000',
		'képim'	=>	'002000',
		'képip'	=>	'002120',
		'képí'	=>	'00200',
		'képít'	=>	'210000',
		'képo'	=>	'00210',
		'képó'	=>	'00200',
		'képö'	=>	'00210',
		'képő'	=>	'00200',
		'képs'	=>	'00010',
		'képu'	=>	'00200',
		'képú'	=>	'00200',
		'képülé'	=>	'0021200',
		'képülő'	=>	'0021200',
		'kéra'	=>	'00002',
		'kérab'	=>	'002000',
		'kéral'	=>	'002000',
		'kéram'	=>	'002000',
		'kéran'	=>	'002100',
		'kérar'	=>	'002000',
		'kéras'	=>	'002100',
		'kérat'	=>	'002000',
		'kérá'	=>	'00212',
		'kérdeke'	=>	'21000000',
		'kérdr'	=>	'000100',
		'kéretts'	=>	'21200000',
		'kéro'	=>	'00200',
		'kérö'	=>	'00200',
		'kértelm'	=>	'20000000',
		'kértékb'	=>	'20000000',
		'kértéke'	=>	'21000000',
		'kértékh'	=>	'21000000',
		'kértékn'	=>	'21000000',
		'kértékr'	=>	'21000000',
		'kértés'	=>	'2100000',
		'kértőiké'	=>	'000002000',
		'kéru'	=>	'00212',
		'kérú'	=>	'00210',
		'kérü'	=>	'00002',
		'kérülé'	=>	'0001000',
		'kérvek'	=>	'2100000',
		'kérzé'	=>	'210000',
		'késa'	=>	'00002',
		'késan'	=>	'002000',
		'késá'	=>	'00212',
		'késég'	=>	'002120',
		'késo'	=>	'00210',
		'késó'	=>	'00200',
		'késsza'	=>	'0003000',
		'késszer'	=>	'00030000',
		'késszél'	=>	'00030000',
		'késu'	=>	'00200',
		'késüt'	=>	'002000',
		'késza'	=>	'002002',
		'készal'	=>	'0000100',
		'készá'	=>	'002012',
		'készeg'	=>	'0020000',
		'készel'	=>	'0000020',
		'készeml'	=>	'00200000',
		'készesz'	=>	'00200000',
		'készéd'	=>	'0020000',
		'készékné'	=>	'002010000',
		'készin'	=>	'0020000',
		'készir'	=>	'0020000',
		'készo'	=>	'002000',
		'készó'	=>	'002012',
		'készö'	=>	'002000',
		'készőr'	=>	'0020000',
		'készt'	=>	'000002',
		'készu'	=>	'002000',
		'készú'	=>	'002010',
		'kétakar'	=>	'00010000',
		'kétakn'	=>	'0020000',
		'kétakó'	=>	'0021000',
		'kétala'	=>	'0001000',
		'kétasp'	=>	'0001000',
		'kétál'	=>	'002000',
		'kéted'	=>	'002100',
		'kéteg'	=>	'002100',
		'kételn'	=>	'0020000',
		'kétem'	=>	'002120',
		'kétep'	=>	'002100',
		'kéter'	=>	'202020',
		'kétere'	=>	'0001000',
		'kéterk'	=>	'0001000',
		'kéterű'	=>	'0001000',
		'kétesé'	=>	'0020000',
		'kétesté'	=>	'00210000',
		'kétesz'	=>	'0021000',
		'kétev'	=>	'002120',
		'kété'	=>	'00212',
		'kéti'	=>	'00212',
		'kétí'	=>	'00200',
		'kétol'	=>	'002000',
		'kétor'	=>	'002100',
		'kétó'	=>	'00002',
		'kétór'	=>	'002100',
		'kétö'	=>	'00210',
		'kétud'	=>	'002000',
		'kétü'	=>	'00212',
		'kétv'	=>	'20000',
		'kévad'	=>	'210000',
		'kévb'	=>	'21000',
		'kévei'	=>	'200000',
		'kévem'	=>	'212000',
		'kéven'	=>	'212000',
		'kévet'	=>	'200000',
		'kévf'	=>	'21000',
		'kévh'	=>	'21000',
		'kévig'	=>	'002000',
		'kévin'	=>	'210000',
		'kévk'	=>	'21000',
		'kévn'	=>	'21000',
		'kévr'	=>	'21000',
		'kévs'	=>	'21000',
		'kévt'	=>	'21000',
		'kévü'	=>	'21200',
		'kévv'	=>	'21000',
		'kéza'	=>	'00210',
		'kézá'	=>	'00212',
		'kézeg'	=>	'002000',
		'kézelt'	=>	'0001000',
		'kézem'	=>	'000020',
		'kézeme'	=>	'0001000',
		'kézer'	=>	'002120',
		'kézism'	=>	'0021000',
		'kézí'	=>	'00200',
		'kézo'	=>	'00210',
		'kézö'	=>	'00200',
		'kézs'	=>	'00002',
		'kézsé'	=>	'002300',
		'kézst'	=>	'000300',
		'kézsu'	=>	'002000',
		'kézu'	=>	'00212',
		'kfelem'	=>	'0002100',
		'kfilmér'	=>	'00002000',
		'kfisar'	=>	'0002000',
		'kfjo'	=>	'00200',
		'kfla'	=>	'00200',
		'kfle'	=>	'00200',
		'kfli'	=>	'00200',
		'kflo'	=>	'00200',
		'kfló'	=>	'00200',
		'kfolyóik'	=>	'000000020',
		'kfonó'	=>	'000212',
		'kfra'	=>	'00200',
		'kfrá'	=>	'00200',
		'kfre'	=>	'00200',
		'kfri'	=>	'00200',
		'kfrí'	=>	'00200',
		'kfro'	=>	'00200',
		'kfrö'	=>	'00200',
		'kfru'	=>	'00200',
		'kgla'	=>	'00200',
		'kgnó'	=>	'00200',
		'kgra'	=>	'00200',
		'kgri'	=>	'00200',
		'kgrí'	=>	'00200',
		'kgru'	=>	'00200',
		'khátal'	=>	'0002100',
		'khelyköz'	=>	'000000001',
		'khia'	=>	'12000',
		'khiáb'	=>	'000020',
		'khil'	=>	'02000',
		'khme'	=>	'00200',
		'ki'	=>	'100',
		'kiad'	=>	'00020',
		'kiaé'	=>	'00200',
		'kiaf'	=>	'00200',
		'kiag'	=>	'00020',
		'kiaj'	=>	'00020',
		'kiakar'	=>	'0002000',
		'kiakas'	=>	'0002000',
		'kialap'	=>	'0002000',
		'kialá'	=>	'000200',
		'kian'	=>	'00020',
		'kiap'	=>	'00020',
		'kiara'	=>	'000200',
		'kiasz'	=>	'000200',
		'kiaú'	=>	'00200',
		'kiav'	=>	'00020',
		'kiáz'	=>	'00020',
		'kibl'	=>	'00120',
		'kibr'	=>	'00120',
		'kideá'	=>	'212000',
		'kideg'	=>	'212000',
		'kidej'	=>	'200000',
		'kidét'	=>	'212000',
		'kidéz'	=>	'200000',
		'kidi'	=>	'20000',
		'kidio'	=>	'002000',
		'kidőb'	=>	'200000',
		'kidők'	=>	'200000',
		'kidőm'	=>	'200000',
		'kidőn'	=>	'212000',
		'kidőt'	=>	'200000',
		'kidró'	=>	'001000',
		'kiel'	=>	'00020',
		'kiem'	=>	'00020',
		'kier'	=>	'00020',
		'kiet'	=>	'00020',
		'kiew'	=>	'00200',
		'kiéd'	=>	'00020',
		'kiék'	=>	'00020',
		'kifj'	=>	'21000',
		'kifr'	=>	'00120',
		'kiga'	=>	'20000',
		'kigá'	=>	'20000',
		'kigát'	=>	'002000',
		'kige'	=>	'20000',
		'kigén'	=>	'002000',
		'kigéz'	=>	'002000',
		'kigr'	=>	'00120',
		'kikl'	=>	'00120',
		'kikonn'	=>	'0020000',
		'kikono'	=>	'0020000',
		'kikré'	=>	'001200',
		'kikri'	=>	'001200',
		'kikv'	=>	'00120',
		'kille'	=>	'210000',
		'kily'	=>	'20000',
		'kilye'	=>	'002000',
		'kimai'	=>	'212000',
		'kimak'	=>	'002000',
		'kimáb'	=>	'002000',
		'kimád'	=>	'200000',
		'kimái'	=>	'002000',
		'kimáj'	=>	'002000',
		'kimák'	=>	'002000',
		'kimám'	=>	'212000',
		'kimán'	=>	'002000',
		'kimár'	=>	'200000',
		'kimát'	=>	'002000',
		'kimáv'	=>	'002000',
		'kimit'	=>	'002000',
		'kimp'	=>	'21000',
		'kinai'	=>	'212000',
		'kináb'	=>	'212000',
		'kinár'	=>	'212000',
		'kincsa'	=>	'0002000',
		'kincsá'	=>	'0002000',
		'kincsel'	=>	'00020000',
		'kincso'	=>	'0002000',
		'kind'	=>	'20000',
		'kinf'	=>	'21000',
		'kingas'	=>	'0002000',
		'kinj'	=>	'21000',
		'kinteg'	=>	'2100000',
		'kiol'	=>	'00020',
		'kiom'	=>	'00020',
		'kionn'	=>	'212000',
		'kiono'	=>	'212000',
		'kióh'	=>	'00300',
		'kipar'	=>	'200000',
		'kipf'	=>	'00100',
		'kipla'	=>	'001200',
		'kiple'	=>	'001000',
		'kipr'	=>	'00120',
		'kips'	=>	'21000',
		'kirat'	=>	'212000',
		'kiránn'	=>	'2000000',
		'kirány'	=>	'2000000',
		'kirg'	=>	'20000',
		'kirh'	=>	'21000',
		'kirk'	=>	'21000',
		'kirod'	=>	'212000',
		'kirom'	=>	'200000',
		'kirr'	=>	'21000',
		'kirt'	=>	'21000',
		'kisad'	=>	'002000',
		'kisajtó'	=>	'00210000',
		'kisakn'	=>	'0021000',
		'kisal'	=>	'002000',
		'kisap'	=>	'002000',
		'kisas'	=>	'002000',
		'kisál'	=>	'002000',
		'kisec'	=>	'002120',
		'kiselő'	=>	'0021000',
		'kisemb'	=>	'0021000',
		'kises'	=>	'002100',
		'kisék'	=>	'002120',
		'kisin'	=>	'002100',
		'kisipa'	=>	'0001000',
		'kisira'	=>	'0021200',
		'kisisk'	=>	'0021000',
		'kiskál'	=>	'0010000',
		'kism'	=>	'20000',
		'kismár'	=>	'0010000',
		'kismin'	=>	'0012000',
		'kisnyá'	=>	'0002000',
		'kisoko'	=>	'0001000',
		'kisoros'	=>	'00210000',
		'kisör'	=>	'002000',
		'kiső'	=>	'00200',
		'kisp'	=>	'00002',
		'kispl'	=>	'000100',
		'kispor'	=>	'0012000',
		'kispó'	=>	'001200',
		'kissz'	=>	'000300',
		'kist'	=>	'00002',
		'kistar'	=>	'0012000',
		'kisteri'	=>	'00100000',
		'kistí'	=>	'001000',
		'kistop'	=>	'0010000',
		'kistr'	=>	'001000',
		'kistu'	=>	'001000',
		'kitr'	=>	'00120',
		'kitter'	=>	'0002100',
		'kittö'	=>	'000210',
		'kius'	=>	'00020',
		'kiut'	=>	'00020',
		'kiús'	=>	'00020',
		'kiút'	=>	'00020',
		'kivíz'	=>	'000001',
		'kivó'	=>	'21200',
		'kí'	=>	'100',
		'kígé'	=>	'21200',
		'kíja'	=>	'00200',
		'kínal'	=>	'002000',
		'kínárb'	=>	'0021000',
		'kíne'	=>	'00210',
		'kínél'	=>	'002000',
		'kínó'	=>	'00212',
		'kírá'	=>	'00200',
		'kíre'	=>	'21200',
		'kíró'	=>	'21200',
		'kítm'	=>	'20000',
		'kítőa'	=>	'000002',
		'kítőe'	=>	'000002',
		'kívb'	=>	'21000',
		'kíve'	=>	'21200',
		'kívé'	=>	'21200',
		'kívű'	=>	'21200',
		'kízé'	=>	'00200',
		'kízü'	=>	'00200',
		'kízű'	=>	'00200',
		'kkabl'	=>	'001000',
		'kkada'	=>	'021200',
		'kkajt'	=>	'001000',
		'kkakad'	=>	'0212000',
		'kkakk'	=>	'021000',
		'kkalá'	=>	'020000',
		'kkalj'	=>	'021000',
		'kkalm'	=>	'021000',
		'kkaróra'	=>	'00020200',
		'kkau'	=>	'02120',
		'kkazo'	=>	'021000',
		'kkáll'	=>	'021000',
		'kkárf'	=>	'001000',
		'kkárok'	=>	'0002000',
		'kkáru'	=>	'021200',
		'kkás'	=>	'00020',
		'kkásá'	=>	'021000',
		'kkáth'	=>	'021000',
		'kkátl'	=>	'021000',
		'kkátu'	=>	'001000',
		'kkátv'	=>	'021000',
		'kkázó'	=>	'001200',
		'kkbr'	=>	'00100',
		'kkec'	=>	'00020',
		'kkecse'	=>	'0010000',
		'kkedz'	=>	'001200',
		'kkegé'	=>	'001200',
		'kkeleg'	=>	'0002120',
		'kkelem'	=>	'0212000',
		'kkellő'	=>	'0210000',
		'kkelőá'	=>	'0002000',
		'kkemu'	=>	'001000',
		'kkera'	=>	'000200',
		'kkerd'	=>	'001000',
		'kkeró'	=>	'000200',
		'kkerő'	=>	'021200',
		'kketi'	=>	'001200',
		'kkevé'	=>	'001200',
		'kkég'	=>	'02100',
		'kkél'	=>	'02120',
		'kképí'	=>	'021000',
		'kkérté'	=>	'0210000',
		'kkérz'	=>	'021000',
		'kkfr'	=>	'00100',
		'kkgr'	=>	'00100',
		'kkiá'	=>	'00002',
		'kkido'	=>	'001200',
		'kkie'	=>	'00002',
		'kkiga'	=>	'001200',
		'kkigé'	=>	'021000',
		'kkill'	=>	'020000',
		'kkind'	=>	'001000',
		'kking'	=>	'021000',
		'kkink'	=>	'021000',
		'kkint'	=>	'021000',
		'kkipar'	=>	'0012000',
		'kkiro'	=>	'021200',
		'kkisko'	=>	'0010000',
		'kkism'	=>	'001000',
		'kkír'	=>	'02120',
		'kkíz'	=>	'02100',
		'kklí'	=>	'01200',
		'kklu'	=>	'01200',
		'kkolaj'	=>	'0002000',
		'kkolló'	=>	'0010000',
		'kkope'	=>	'021200',
		'kkordá'	=>	'0000200',
		'kkorg'	=>	'021000',
		'kkoros'	=>	'0002100',
		'kkorút'	=>	'0002100',
		'kkorz'	=>	'021000',
		'kkoszl'	=>	'0210000',
		'kkóp'	=>	'00012',
		'kkórá'	=>	'001200',
		'kköl'	=>	'00020',
		'kkölő'	=>	'001000',
		'kkönt'	=>	'021000',
		'kkötl'	=>	'001000',
		'kkőri'	=>	'001200',
		'kkőrö'	=>	'001200',
		'kkőrs'	=>	'001000',
		'kkőrü'	=>	'001000',
		'kkpr'	=>	'00100',
		'kkris'	=>	'002000',
		'kkrit'	=>	'002000',
		'kkrí'	=>	'00200',
		'kksm'	=>	'00100',
		'kksp'	=>	'00100',
		'kkst'	=>	'00100',
		'kktr'	=>	'00120',
		'kkudv'	=>	'001000',
		'kkurt'	=>	'001000',
		'kkutá'	=>	'021000',
		'kkúj'	=>	'02100',
		'kküg'	=>	'02100',
		'kkülő'	=>	'001200',
		'kküt'	=>	'02120',
		'kküv'	=>	'02120',
		'kküzl'	=>	'001000',
		'kkűr'	=>	'00100',
		'kkvó'	=>	'00200',
		'klag'	=>	'00010',
		'klako'	=>	'000300',
		'klakri'	=>	'0001000',
		'klapáta'	=>	'00021000',
		'klapla'	=>	'0001000',
		'klask'	=>	'000120',
		'klauzá'	=>	'0002000',
		'kláma'	=>	'000002',
		'klámal'	=>	'0002000',
		'kláman'	=>	'0002100',
		'klámas'	=>	'0002000',
		'klámá'	=>	'000212',
		'klámárad'	=>	'000000120',
		'klámeg'	=>	'0002120',
		'klámeh'	=>	'0002100',
		'klámel'	=>	'0002000',
		'klámer'	=>	'0002000',
		'klámérté'	=>	'000210000',
		'klámik'	=>	'0002120',
		'klámin'	=>	'0002000',
		'klámis'	=>	'0002000',
		'klámol'	=>	'0002000',
		'kleí'	=>	'00002',
		'kletan'	=>	'0002120',
		'kletál'	=>	'0002000',
		'kletelv'	=>	'00021000',
		'kleter'	=>	'0002120',
		'kletev'	=>	'0002120',
		'kletétbe'	=>	'000210000',
		'kletété'	=>	'00021200',
		'kletin'	=>	'0002000',
		'klini'	=>	'020000',
		'klió'	=>	'00002',
		'klipel'	=>	'0002000',
		'klisé'	=>	'020000',
		'klisó'	=>	'000200',
		'klím'	=>	'12000',
		'kloá'	=>	'02000',
		'klopf'	=>	'020000',
		'kloty'	=>	'020000',
		'klórad'	=>	'0002000',
		'klóraj'	=>	'0002000',
		'klóran'	=>	'0002000',
		'klórat'	=>	'0002000',
		'klóris'	=>	'0002000',
		'klórol'	=>	'0002000',
		'klub'	=>	'02000',
		'kluba'	=>	'000210',
		'klubá'	=>	'000200',
		'klube'	=>	'000210',
		'klubir'	=>	'0002000',
		'klubol'	=>	'0002000',
		'kluse'	=>	'000200',
		'kluss'	=>	'000030',
		'klusz'	=>	'000230',
		'kmab'	=>	'00010',
		'kmaiko'	=>	'0000200',
		'kmas'	=>	'00002',
		'kmányan'	=>	'00020000',
		'knag'	=>	'00002',
		'knak'	=>	'00002',
		'knakr'	=>	'000100',
		'knia'	=>	'00022',
		'knika'	=>	'000002',
		'knikal'	=>	'0002100',
		'knikas'	=>	'0002100',
		'knisz'	=>	'000102',
		'knőcc'	=>	'000010',
		'knőr'	=>	'00230',
		'ko'	=>	'100',
		'koáz'	=>	'00200',
		'kobe'	=>	'00200',
		'kobs'	=>	'21000',
		'kocho'	=>	'002000',
		'kodav'	=>	'212000',
		'kodú'	=>	'21200',
		'kogáss'	=>	'0000010',
		'kogra'	=>	'001200',
		'kokád'	=>	'002000',
		'koke'	=>	'20002',
		'koker'	=>	'002100',
		'kokir'	=>	'212100',
		'kokí'	=>	'21200',
		'kokl'	=>	'21000',
		'kokm'	=>	'21000',
		'kokol'	=>	'212000',
		'kokov'	=>	'002120',
		'kokoz'	=>	'212000',
		'koksze'	=>	'0002000',
		'kokta'	=>	'210000',
		'kolajt'	=>	'0001000',
		'koláro'	=>	'0001000',
		'koldal'	=>	'2100000',
		'koldá'	=>	'210000',
		'koldó'	=>	'210000',
		'kolid'	=>	'002000',
		'koligá'	=>	'0021000',
		'kolimp'	=>	'0020000',
		'kolita'	=>	'0020000',
		'kollad'	=>	'0002100',
		'kollál'	=>	'0002000',
		'kollel'	=>	'0002000',
		'kolles'	=>	'0002000',
		'kollét'	=>	'0002100',
		'kolö'	=>	'00200',
		'koltár'	=>	'2100000',
		'kolvas'	=>	'2000000',
		'kombu'	=>	'210000',
		'komil'	=>	'002000',
		'kompol'	=>	'0002100',
		'konad'	=>	'002120',
		'konaj'	=>	'002000',
		'konal'	=>	'002120',
		'konan'	=>	'002120',
		'konar'	=>	'002100',
		'konas'	=>	'002100',
		'konau'	=>	'002100',
		'konál'	=>	'002100',
		'konbá'	=>	'200000',
		'konbet'	=>	'2000000',
		'koncc'	=>	'000010',
		'koncé'	=>	'000002',
		'konch'	=>	'000200',
		'koncsá'	=>	'0002000',
		'koncsoro'	=>	'000230000',
		'kone'	=>	'00210',
		'konén'	=>	'200000',
		'kongu'	=>	'200000',
		'konhab'	=>	'2000000',
		'konir'	=>	'002000',
		'konog'	=>	'200000',
		'konol'	=>	'002100',
		'konola'	=>	'2000000',
		'konor'	=>	'002000',
		'konosn'	=>	'2000000',
		'konosr'	=>	'2000000',
		'konost'	=>	'2000000',
		'konpa'	=>	'200000',
		'konpr'	=>	'200000',
		'konrét'	=>	'2000000',
		'kontö'	=>	'200000',
		'konü'	=>	'00200',
		'konyag'	=>	'0020000',
		'konyal'	=>	'0020000',
		'konye'	=>	'002000',
		'konyó'	=>	'002000',
		'konz'	=>	'00002',
		'konzs'	=>	'200000',
		'koón'	=>	'00200',
		'kopásé'	=>	'0000200',
		'kopc'	=>	'20000',
		'kopro'	=>	'001000',
		'kopti'	=>	'200000',
		'korad'	=>	'002120',
		'korag'	=>	'002000',
		'koraj'	=>	'002100',
		'koran'	=>	'002120',
		'korass'	=>	'0001000',
		'koraszt'	=>	'00210000',
		'korátl'	=>	'0021000',
		'korch'	=>	'210000',
		'korcsal'	=>	'00020000',
		'kordad'	=>	'0002000',
		'kordag'	=>	'0002100',
		'kordas'	=>	'0002120',
		'kordác'	=>	'0002000',
		'kordd'	=>	'000010',
		'kordel'	=>	'0002120',
		'kordem'	=>	'0002000',
		'kordes'	=>	'0002000',
		'kordít'	=>	'0100000',
		'kordö'	=>	'000210',
		'kordz'	=>	'000230',
		'korec'	=>	'002120',
		'koreg'	=>	'002000',
		'korel'	=>	'002100',
		'korer'	=>	'002100',
		'kores'	=>	'002100',
		'korf'	=>	'00012',
		'korgáss'	=>	'00000010',
		'korie'	=>	'200000',
		'korill'	=>	'0001000',
		'koring'	=>	'0021000',
		'korinte'	=>	'00210000',
		'korisk'	=>	'0001000',
		'korizom'	=>	'00212000',
		'korosz'	=>	'0020000',
		'korov'	=>	'002120',
		'korói'	=>	'002100',
		'korón'	=>	'002000',
		'korö'	=>	'00200',
		'korő'	=>	'00200',
		'korrk'	=>	'200000',
		'korrt'	=>	'210000',
		'kors'	=>	'00012',
		'kortr'	=>	'000120',
		'korúto'	=>	'0021000',
		'korü'	=>	'00200',
		'kosas'	=>	'002100',
		'kosál'	=>	'002000',
		'kose'	=>	'00200',
		'kossze'	=>	'0003000',
		'kosszo'	=>	'0003000',
		'kosszü'	=>	'0003000',
		'kostr'	=>	'210000',
		'kosü'	=>	'00200',
		'koszal'	=>	'0020000',
		'koszer'	=>	'0020000',
		'koszir'	=>	'0020000',
		'koszí'	=>	'002000',
		'koszo'	=>	'020000',
		'koszó'	=>	'002000',
		'kosztá'	=>	'2000000',
		'kotókész'	=>	'000000001',
		'kotóst'	=>	'0000100',
		'kout'	=>	'00200',
		'kovaria'	=>	'20000000',
		'kovié'	=>	'002000',
		'koxi'	=>	'00200',
		'kozatal'	=>	'00002000',
		'kozókész'	=>	'000000001',
		'kozóköz'	=>	'00000001',
		'kozóö'	=>	'200000',
		'kó'	=>	'100',
		'kóad'	=>	'00020',
		'kóbl'	=>	'00100',
		'kócc'	=>	'00030',
		'kócem'	=>	'002000',
		'kóch'	=>	'00200',
		'kódab'	=>	'002100',
		'kódak'	=>	'002000',
		'kódal'	=>	'002120',
		'kódan'	=>	'002120',
		'kódaz'	=>	'002000',
		'kódd'	=>	'00010',
		'kódel'	=>	'002120',
		'kódem'	=>	'002000',
		'kóder'	=>	'002120',
		'kódes'	=>	'002100',
		'kódés'	=>	'002100',
		'kódin'	=>	'002000',
		'kódö'	=>	'00200',
		'kódü'	=>	'00200',
		'kódzá'	=>	'002000',
		'kóér'	=>	'00020',
		'kófr'	=>	'00120',
		'kóig'	=>	'00020',
		'kóív'	=>	'00020',
		'kókré'	=>	'001000',
		'kókv'	=>	'00100',
		'kónét'	=>	'002000',
		'kóno'	=>	'21200',
		'kópan'	=>	'002000',
		'kópas'	=>	'002100',
		'kópel'	=>	'002120',
		'kópir'	=>	'002000',
		'kópó'	=>	'00002',
		'kópór'	=>	'002100',
		'kópü'	=>	'00200',
		'kóraa'	=>	'212000',
		'kórac'	=>	'002120',
		'kórai'	=>	'212000',
		'kóran'	=>	'002120',
		'kóras'	=>	'002000',
		'kóráb'	=>	'002000',
		'kórád'	=>	'002000',
		'kórág'	=>	'002000',
		'kórái'	=>	'002000',
		'kóráj'	=>	'012000',
		'kórám'	=>	'002000',
		'kórán'	=>	'002000',
		'kórár'	=>	'002000',
		'kórát'	=>	'002000',
		'kóráv'	=>	'002000',
		'kórel'	=>	'002000',
		'kóres'	=>	'000020',
		'kóréj'	=>	'002000',
		'kóréve'	=>	'0021000',
		'kórir'	=>	'002100',
		'kórok'	=>	'002100',
		'kóroka'	=>	'0000200',
		'kóroko'	=>	'0000200',
		'kórosto'	=>	'00010000',
		'kóród'	=>	'200000',
		'kóródá'	=>	'0021000',
		'kórő'	=>	'00200',
		'kóságú'	=>	'2120000',
		'kóslá'	=>	'001000',
		'kósos'	=>	'002100',
		'kóspe'	=>	'001200',
		'kóspi'	=>	'001000',
		'kóspo'	=>	'001200',
		'kóstr'	=>	'001000',
		'kósü'	=>	'00212',
		'kószára'	=>	'00230000',
		'kóvó'	=>	'21200',
		'kózam'	=>	'002120',
		'kö'	=>	'100',
		'köba'	=>	'00200',
		'köböll'	=>	'0001000',
		'köböln'	=>	'0001000',
		'köbölr'	=>	'0001000',
		'köbölt'	=>	'0001000',
		'köda'	=>	'00200',
		'ködá'	=>	'00200',
		'ködel'	=>	'002000',
		'köder'	=>	'002000',
		'ködev'	=>	'002000',
		'ködo'	=>	'00200',
		'ködó'	=>	'00200',
		'ködu'	=>	'00200',
		'ködú'	=>	'00200',
		'ködz'	=>	'00200',
		'köko'	=>	'21200',
		'kökrö'	=>	'210000',
		'kölcsal'	=>	'00020000',
		'kölcsá'	=>	'0002000',
		'kölcsel'	=>	'00020000',
		'kölcső'	=>	'0002012',
		'kölel'	=>	'210000',
		'köless'	=>	'0000030',
		'köléssz'	=>	'21200000',
		'kölí'	=>	'00200',
		'kölőe'	=>	'002000',
		'költa'	=>	'000002',
		'költal'	=>	'0002000',
		'költev'	=>	'0002120',
		'köng'	=>	'21000',
		'könté'	=>	'010000',
		'köntő'	=>	'010000',
		'köntv'	=>	'010000',
		'könyva'	=>	'0000210',
		'könyvá'	=>	'0000200',
		'köra'	=>	'00200',
		'körá'	=>	'00200',
		'kördö'	=>	'010000',
		'köred'	=>	'002000',
		'köreg'	=>	'002120',
		'körék'	=>	'002000',
		'körétt'	=>	'0021000',
		'körf'	=>	'00012',
		'körik'	=>	'002000',
		'köriz'	=>	'002100',
		'köro'	=>	'00200',
		'köró'	=>	'00200',
		'köröl'	=>	'002120',
		'körő'	=>	'00212',
		'körp'	=>	'00012',
		'körs'	=>	'00012',
		'kört'	=>	'00002',
		'körtr'	=>	'000100',
		'köru'	=>	'00200',
		'körú'	=>	'00200',
		'körület'	=>	'00002100',
		'körülé'	=>	'0000200',
		'körülés'	=>	'00210000',
		'körülő'	=>	'0000200',
		'körvb'	=>	'200000',
		'körvh'	=>	'200000',
		'körvn'	=>	'200000',
		'körvö'	=>	'210000',
		'körvr'	=>	'200000',
		'körvt'	=>	'200000',
		'körvü'	=>	'200000',
		'körvű'	=>	'200000',
		'körvv'	=>	'200000',
		'köszt'	=>	'010000',
		'kötlé'	=>	'200000',
		'kötvö'	=>	'010000',
		'kövb'	=>	'21000',
		'kövh'	=>	'21000',
		'kövig'	=>	'212000',
		'kövr'	=>	'21000',
		'kövv'	=>	'21000',
		'köza'	=>	'00200',
		'közá'	=>	'00200',
		'közen'	=>	'002000',
		'közék'	=>	'002120',
		'közí'	=>	'00210',
		'közo'	=>	'00200',
		'közó'	=>	'00200',
		'közőe'	=>	'000002',
		'közs'	=>	'00230',
		'közu'	=>	'00200',
		'közú'	=>	'00200',
		'közülé'	=>	'0021200',
		'közülő'	=>	'0021200',
		'kő'	=>	'100',
		'kőan'	=>	'00020',
		'kőbl'	=>	'00100',
		'kőch'	=>	'00200',
		'kődra'	=>	'001000',
		'kőek'	=>	'00020',
		'kőel'	=>	'00020',
		'kőer'	=>	'00020',
		'kőél'	=>	'00020',
		'kőéne'	=>	'000200',
		'kőfr'	=>	'00120',
		'kőgn'	=>	'00100',
		'kőgr'	=>	'00100',
		'kőit'	=>	'00020',
		'kőkr'	=>	'00100',
		'kőpl'	=>	'00100',
		'kőpr'	=>	'00100',
		'kőran'	=>	'000100',
		'kőrei'	=>	'012000',
		'kőres'	=>	'000020',
		'kőresz'	=>	'0001000',
		'kőril'	=>	'002000',
		'kőrip'	=>	'002000',
		'kőriv'	=>	'002000',
		'kőrl'	=>	'01000',
		'kőrs'	=>	'00012',
		'kőrül'	=>	'002000',
		'kőrz'	=>	'21000',
		'kősk'	=>	'00120',
		'kősö'	=>	'00200',
		'kőst'	=>	'00120',
		'kőtr'	=>	'00100',
		'kőut'	=>	'00020',
		'kpára'	=>	'000002',
		'kpárad'	=>	'0002000',
		'kpárat'	=>	'0002100',
		'kpárál'	=>	'0002100',
		'kpárút'	=>	'0002100',
		'kpla'	=>	'00200',
		'kple'	=>	'00200',
		'kplé'	=>	'00200',
		'kplu'	=>	'00200',
		'kpót'	=>	'00020',
		'kpra'	=>	'00200',
		'kpre'	=>	'00200',
		'kpré'	=>	'00200',
		'kpri'	=>	'00200',
		'kprí'	=>	'00200',
		'kpro'	=>	'00200',
		'kpró'	=>	'00200',
		'kpsz'	=>	'00200',
		'krach'	=>	'020000',
		'krachi'	=>	'0002000',
		'krajc'	=>	'120000',
		'krakk'	=>	'020000',
		'krap'	=>	'00010',
		'krásze'	=>	'0002010',
		'krendő'	=>	'0000212',
		'kreo'	=>	'02000',
		'krepá'	=>	'020000',
		'krémh'	=>	'120000',
		'kréml'	=>	'120000',
		'krémr'	=>	'120000',
		'krép'	=>	'00032',
		'krist'	=>	'120000',
		'kriti'	=>	'120000',
		'krog'	=>	'00012',
		'krokod'	=>	'1000000',
		'krona'	=>	'000212',
		'kroná'	=>	'000200',
		'krond'	=>	'000012',
		'krone'	=>	'000210',
		'krop'	=>	'00012',
		'krostr'	=>	'0001000',
		'kroszf'	=>	'0001020',
		'krómar'	=>	'0002000',
		'króme'	=>	'000210',
		'krómis'	=>	'0002000',
		'krómo'	=>	'020000',
		'krónik'	=>	'1200000',
		'krup'	=>	'02000',
		'ksará'	=>	'021200',
		'kselo'	=>	'001000',
		'kségele'	=>	'00020000',
		'kségis'	=>	'0002000',
		'kségül'	=>	'0000020',
		'kségülé'	=>	'00021000',
		'kská'	=>	'01200',
		'ksko'	=>	'00200',
		'ksla'	=>	'01200',
		'kslá'	=>	'00200',
		'kslu'	=>	'00200',
		'ksmi'	=>	'00200',
		'ksni'	=>	'01200',
		'kspa'	=>	'00200',
		'kspe'	=>	'00200',
		'kspi'	=>	'00200',
		'kspo'	=>	'00200',
		'kspó'	=>	'00200',
		'kspr'	=>	'00020',
		'ksrá'	=>	'00200',
		'ksta'	=>	'01200',
		'kstá'	=>	'01200',
		'ksti'	=>	'00200',
		'kstí'	=>	'01200',
		'ksto'	=>	'00200',
		'kstr'	=>	'01020',
		'kstu'	=>	'01200',
		'kstú'	=>	'01200',
		'kszad'	=>	'020120',
		'kszae'	=>	'000002',
		'kszagy'	=>	'0200000',
		'kszaj'	=>	'020100',
		'kszake'	=>	'0000200',
		'kszaké'	=>	'0000200',
		'kszakü'	=>	'0000210',
		'kszam'	=>	'020100',
		'kszany'	=>	'0001000',
		'kszaré'	=>	'0001000',
		'kszág'	=>	'020100',
		'kszáraz'	=>	'00000001',
		'kszegy'	=>	'0201200',
		'kszela'	=>	'0201000',
		'kszemu'	=>	'0200000',
		'kszeng'	=>	'0201000',
		'kszev'	=>	'020000',
		'kszélet'	=>	'00010000',
		'kszét'	=>	'000021',
		'kszid'	=>	'020100',
		'kszilá'	=>	'0000002',
		'kszip'	=>	'000020',
		'kszipa'	=>	'0001000',
		'kszisk'	=>	'0001000',
		'kszír'	=>	'020000',
		'kszold'	=>	'0201000',
		'kszoltó'	=>	'02000000',
		'kszosz'	=>	'0201000',
		'kszögell'	=>	'000021000',
		'kszögelv'	=>	'000021000',
		'kszt'	=>	'00002',
		'kszuni'	=>	'0200000',
		'kszut'	=>	'020000',
		'kszüg'	=>	'020100',
		'kszüt'	=>	'020000',
		'kszüz'	=>	'020120',
		'kszz'	=>	'00010',
		'ktada'	=>	'001200',
		'ktajá'	=>	'001000',
		'ktalap'	=>	'0012000',
		'ktalb'	=>	'021000',
		'ktall'	=>	'021000',
		'ktanás'	=>	'0002120',
		'ktanó'	=>	'000212',
		'ktap'	=>	'00012',
		'ktarm'	=>	'021000',
		'ktaud'	=>	'001200',
		'ktazo'	=>	'001000',
		'ktábr'	=>	'001000',
		'ktálal'	=>	'0002000',
		'ktálló'	=>	'0010000',
		'ktálm'	=>	'021000',
		'ktárad'	=>	'0000020',
		'ktárada'	=>	'00021000',
		'ktáradó'	=>	'00001000',
		'ktáraj'	=>	'0002000',
		'ktáraz'	=>	'0002100',
		'ktátf'	=>	'021000',
		'ktátv'	=>	'021000',
		'kteg'	=>	'02120',
		'ktelg'	=>	'021000',
		'ktelh'	=>	'021000',
		'kteljá'	=>	'0010000',
		'ktell'	=>	'021000',
		'ktels'	=>	'021000',
		'ktelv'	=>	'021000',
		'ktenz'	=>	'021000',
		'kterad'	=>	'0002000',
		'kteral'	=>	'0002000',
		'kterár'	=>	'0002000',
		'kterát'	=>	'0002000',
		'ktereg'	=>	'0002000',
		'kterel'	=>	'0002120',
		'kterin'	=>	'0002100',
		'kterosz'	=>	'00020000',
		'ktesem'	=>	'0210000',
		'ktélő'	=>	'000200',
		'ktérl'	=>	'021000',
		'ktérmi'	=>	'0200000',
		'ktérte'	=>	'0210000',
		'ktéss'	=>	'021000',
		'ktévet'	=>	'0212000',
		'ktfr'	=>	'00100',
		'ktgr'	=>	'00100',
		'ktid'	=>	'02100',
		'ktig'	=>	'00020',
		'ktigé'	=>	'021000',
		'ktill'	=>	'001000',
		'ktim'	=>	'00020',
		'ktima'	=>	'001000',
		'ktind'	=>	'021000',
		'ktinf'	=>	'021000',
		'ktir'	=>	'02120',
		'ktisk'	=>	'021000',
		'ktism'	=>	'021000',
		'ktivás'	=>	'0212000',
		'ktíg'	=>	'02100',
		'ktír'	=>	'02120',
		'ktível'	=>	'0000120',
		'ktogra'	=>	'0001200',
		'ktoná'	=>	'000210',
		'ktope'	=>	'001000',
		'ktoras'	=>	'0002000',
		'ktore'	=>	'000210',
		'ktorol'	=>	'0002000',
		'ktös'	=>	'02100',
		'ktöt'	=>	'02100',
		'ktpr'	=>	'00100',
		'ktran'	=>	'012000',
		'ktrau'	=>	'010000',
		'ktréf'	=>	'010000',
		'ktrén'	=>	'012000',
		'ktrió'	=>	'012000',
		'ktroná'	=>	'0000200',
		'ktrón'	=>	'012000',
		'ktsp'	=>	'00100',
		'ktst'	=>	'00100',
		'ktsz'	=>	'00100',
		'kttr'	=>	'00120',
		'ktume'	=>	'000210',
		'ktumin'	=>	'0002000',
		'ktusab'	=>	'0002000',
		'ktusan'	=>	'0002100',
		'ktuszár'	=>	'00020000',
		'ktusze'	=>	'0002000',
		'ktuszé'	=>	'0002000',
		'ktül'	=>	'00020',
		'ktülé'	=>	'021000',
		'ktüt'	=>	'02100',
		'ktüv'	=>	'02120',
		'ku'	=>	'100',
		'kuár'	=>	'00020',
		'kucc'	=>	'21000',
		'kuel'	=>	'00020',
		'kuer'	=>	'00020',
		'kues'	=>	'00020',
		'kufr'	=>	'00120',
		'kugo'	=>	'21200',
		'kugr'	=>	'21000',
		'kugya'	=>	'002000',
		'kujjad'	=>	'2000000',
		'kujjada'	=>	'00021200',
		'kujjai'	=>	'2000000',
		'kujjak'	=>	'2000000',
		'kujjal'	=>	'2100000',
		'kujjam'	=>	'2000000',
		'kujjas'	=>	'2000000',
		'kujjat'	=>	'2000000',
		'kujjá'	=>	'210000',
		'kujjb'	=>	'200000',
		'kujjg'	=>	'200000',
		'kujjh'	=>	'200000',
		'kujji'	=>	'200000',
		'kujjk'	=>	'200000',
		'kujjn'	=>	'200000',
		'kujjo'	=>	'210000',
		'kujjp'	=>	'200000',
		'kujjr'	=>	'200000',
		'kujjs'	=>	'200000',
		'kujjt'	=>	'200000',
		'kujju'	=>	'200000',
		'kujjú'	=>	'200000',
		'kukkó'	=>	'000212',
		'kulak'	=>	'000010',
		'kulcsal'	=>	'00020000',
		'kulcse'	=>	'0002000',
		'kuluss'	=>	'0000010',
		'kumad'	=>	'002120',
		'kumal'	=>	'002000',
		'kumü'	=>	'00200',
		'kunad'	=>	'002000',
		'kunal'	=>	'002000',
		'kunás'	=>	'002100',
		'kune'	=>	'00200',
		'kunin'	=>	'002100',
		'kunn'	=>	'00030',
		'kunor'	=>	'002000',
		'kunó'	=>	'00212',
		'kunü'	=>	'00200',
		'kupr'	=>	'20000',
		'kupu'	=>	'20000',
		'kurad'	=>	'002000',
		'kurai'	=>	'212000',
		'kurak'	=>	'002000',
		'kural'	=>	'200000',
		'kuram'	=>	'002000',
		'kuráu'	=>	'002000',
		'kurn'	=>	'21000',
		'kurol'	=>	'002000',
		'kurucs'	=>	'0000230',
		'kusal'	=>	'002000',
		'kusas'	=>	'002000',
		'kusál'	=>	'002000',
		'kuse'	=>	'00212',
		'kusis'	=>	'002000',
		'kusiz'	=>	'002120',
		'kusó'	=>	'00212',
		'kusö'	=>	'00200',
		'kussze'	=>	'0003000',
		'kusú'	=>	'00210',
		'kusü'	=>	'00200',
		'kuszal'	=>	'0020000',
		'kuszar'	=>	'0020000',
		'kuszes'	=>	'0000100',
		'kuszél'	=>	'0020120',
		'kuszép'	=>	'0020120',
		'kuszét'	=>	'0020000',
		'kuszil'	=>	'0020100',
		'kuszis'	=>	'0020000',
		'kuszü'	=>	'002000',
		'kutaló'	=>	'2000000',
		'kutasí'	=>	'2120000',
		'kutaz'	=>	'212000',
		'kutál'	=>	'002000',
		'kután'	=>	'212000',
		'kutc'	=>	'21000',
		'kutol'	=>	'212000',
		'kutód'	=>	'212000',
		'kutóp'	=>	'002000',
		'kuzs'	=>	'00200',
		'kú'	=>	'100',
		'kújí'	=>	'00200',
		'kújs'	=>	'21000',
		'kúpa'	=>	'00212',
		'kúpá'	=>	'00210',
		'kúpe'	=>	'00210',
		'kúta'	=>	'00212',
		'kútá'	=>	'00212',
		'kúte'	=>	'00210',
		'kútfé'	=>	'000002',
		'kútfél'	=>	'0000001',
		'kútos'	=>	'002000',
		'kútő'	=>	'00210',
		'kútu'	=>	'20200',
		'kútü'	=>	'00212',
		'kü'	=>	'100',
		'küge'	=>	'00200',
		'kügy'	=>	'00200',
		'külep'	=>	'212000',
		'külo'	=>	'00200',
		'kültá'	=>	'000210',
		'küreg'	=>	'200000',
		'kürí'	=>	'21200',
		'kürü'	=>	'00200',
		'küst'	=>	'21000',
		'küszá'	=>	'002000',
		'küszí'	=>	'002000',
		'kütk'	=>	'21000',
		'küvéss'	=>	'0000030',
		'küvö'	=>	'21200',
		'küze'	=>	'21200',
		'kű'	=>	'100',
		'kűrh'	=>	'21000',
		'kűrm'	=>	'21000',
		'kűro'	=>	'00200',
		'kűrős'	=>	'002100',
		'kűzé'	=>	'00200',
		'kűző'	=>	'00200',
		'kvan'	=>	'12000',
		'kvarc'	=>	'020000',
		'kvark'	=>	'120000',
		'kványol'	=>	'00020000',
		'kvárosi'	=>	'00000002',
		'kvésel'	=>	'0002000',
		'kvéso'	=>	'000200',
		'kvéss'	=>	'000030',
		'kvin'	=>	'12000',
		'kvitt'	=>	'120000',
		'kvóc'	=>	'02000',
		'kvóta'	=>	'020000',
		'kvótá'	=>	'020000',
		'kvőcsa'	=>	'0000002',
		'ky'	=>	'100',
		'kydn'	=>	'00020',
		'kyfajtán'	=>	'002000000',
		'kyfajtár'	=>	'002000000',
		'kyfajtát'	=>	'002000000',
		'kyis'	=>	'00120',
		'kyiv'	=>	'00120',
		'kykk'	=>	'00020',
		'kykne'	=>	'000200',
		'kyse'	=>	'00200',
		'kysü'	=>	'00212',
		'kyüz'	=>	'00100',
		'kzatal'	=>	'0002000',
		'kzate'	=>	'000212',
		'kzató'	=>	'000212',
		'la'	=>	'100',
		'laad'	=>	'00020',
		'laát'	=>	'00001',
		'laáta'	=>	'000002',
		'labár'	=>	'200000',
		'labd'	=>	'30000',
		'labr'	=>	'20000',
		'labs'	=>	'21000',
		'lacag'	=>	'002100',
		'lacaj'	=>	'002100',
		'lacal'	=>	'002100',
		'lacem'	=>	'002000',
		'lacete'	=>	'0021000',
		'lacha'	=>	'002300',
		'laché'	=>	'002000',
		'lacita'	=>	'0001000',
		'lackorr'	=>	'00021000',
		'lacorr'	=>	'0001000',
		'lacö'	=>	'00212',
		'lacő'	=>	'00200',
		'lacsalj'	=>	'00200000',
		'lacság'	=>	'0003000',
		'lacsor'	=>	'0023000',
		'lacsül'	=>	'0003000',
		'lacsüt'	=>	'0003000',
		'lacsz'	=>	'000300',
		'lacú'	=>	'00200',
		'lacü'	=>	'00200',
		'ladata'	=>	'2120000',
		'ladatb'	=>	'2120000',
		'ladatk'	=>	'2120000',
		'ladatn'	=>	'2120000',
		'ladato'	=>	'2120000',
		'ladatr'	=>	'2120000',
		'ladatt'	=>	'2120000',
		'ladatu'	=>	'2120000',
		'ladáss'	=>	'0000010',
		'ladl'	=>	'21000',
		'ladog'	=>	'212000',
		'ladomá'	=>	'2000000',
		'ladon'	=>	'323000',
		'ladóiko'	=>	'00000200',
		'laduk'	=>	'212000',
		'lady'	=>	'00102',
		'laed'	=>	'00020',
		'lael'	=>	'00020',
		'laer'	=>	'00020',
		'laéd'	=>	'00020',
		'laér'	=>	'00020',
		'laff'	=>	'20000',
		'lafl'	=>	'00100',
		'lagac'	=>	'002000',
		'lagadó'	=>	'0001200',
		'lagan'	=>	'002120',
		'lagass'	=>	'0001000',
		'lagat'	=>	'002120',
		'lagau'	=>	'002000',
		'lagav'	=>	'002000',
		'lagág'	=>	'002000',
		'lagáll'	=>	'0001000',
		'lagárá'	=>	'0001000',
		'lagárb'	=>	'0001000',
		'lagáre'	=>	'0001000',
		'lagáré'	=>	'0001200',
		'lagárf'	=>	'0001000',
		'lagárh'	=>	'0001000',
		'lagárk'	=>	'0001000',
		'lagárm'	=>	'0001000',
		'lagárn'	=>	'0001000',
		'lagáro'	=>	'0001200',
		'lagárr'	=>	'0001000',
		'lagárs'	=>	'0001000',
		'lagárt'	=>	'0001000',
		'lagere'	=>	'0021000',
		'lagés'	=>	'002000',
		'lagid'	=>	'002000',
		'lagik'	=>	'002120',
		'lagim'	=>	'002000',
		'lagis'	=>	'002000',
		'lagí'	=>	'00200',
		'lagont'	=>	'0021000',
		'lagosz'	=>	'0021000',
		'lagóc'	=>	'002000',
		'lagórá'	=>	'0021200',
		'lagóvá'	=>	'0020000',
		'lagön'	=>	'002000',
		'lagud'	=>	'002100',
		'lagur'	=>	'002100',
		'lagut'	=>	'002100',
		'lagü'	=>	'00210',
		'lagű'	=>	'00200',
		'lagyú'	=>	'002000',
		'laire'	=>	'002000',
		'lajag'	=>	'002000',
		'lajal'	=>	'002120',
		'lajap'	=>	'002000',
		'lajar'	=>	'002100',
		'lajass'	=>	'0001000',
		'lajasz'	=>	'0001200',
		'lajaz'	=>	'002100',
		'lajál'	=>	'002100',
		'lajánl'	=>	'2000000',
		'lajárh'	=>	'0021000',
		'lajárn'	=>	'0021000',
		'lajárs'	=>	'0021000',
		'lajárt'	=>	'0021000',
		'lajás'	=>	'002000',
		'lajáth'	=>	'0021000',
		'lajáts'	=>	'0021000',
		'lajelt'	=>	'0021000',
		'lajen'	=>	'002000',
		'lajes'	=>	'002100',
		'laji'	=>	'00002',
		'lajin'	=>	'002000',
		'lajis'	=>	'002100',
		'lají'	=>	'00200',
		'lajol'	=>	'002100',
		'lajoml'	=>	'0021000',
		'lajor'	=>	'002100',
		'lajoz'	=>	'200000',
		'lajór'	=>	'002100',
		'lajös'	=>	'002100',
		'lajő'	=>	'00200',
		'lajs'	=>	'02000',
		'lajsz'	=>	'000100',
		'lajut'	=>	'002120',
		'lajü'	=>	'00212',
		'lakad'	=>	'002000',
		'lakalj'	=>	'0001000',
		'lakalm'	=>	'0021000',
		'lakalo'	=>	'0021200',
		'lakatan'	=>	'00002120',
		'lakác'	=>	'002100',
		'lakálk'	=>	'0021000',
		'lakáll'	=>	'0001000',
		'lakárn'	=>	'0021000',
		'lakásás'	=>	'00010000',
		'lakci'	=>	'200000',
		'lakeg'	=>	'002100',
		'lakel'	=>	'002120',
		'lakérte'	=>	'00200000',
		'lakiko'	=>	'0021000',
		'lakír'	=>	'002100',
		'lakkas'	=>	'0002100',
		'lakkec'	=>	'0002000',
		'lakkel'	=>	'0002000',
		'lakkol'	=>	'0002000',
		'lakkor'	=>	'2100000',
		'lakköl'	=>	'0002000',
		'laklu'	=>	'001000',
		'laknáb'	=>	'2000000',
		'laknáh'	=>	'2000000',
		'laknás'	=>	'2000000',
		'lakob'	=>	'002000',
		'lakop'	=>	'002100',
		'lakorm'	=>	'0021000',
		'lakosz'	=>	'0021000',
		'lakov'	=>	'002100',
		'lakóz'	=>	'200000',
		'lakös'	=>	'002100',
		'lakrém'	=>	'0012000',
		'lakrip'	=>	'0002000',
		'lakru'	=>	'001200',
		'lakt'	=>	'00002',
		'laktiv'	=>	'2100000',
		'lakuj'	=>	'002000',
		'lakulá'	=>	'2000000',
		'lakulg'	=>	'2000000',
		'lakulh'	=>	'2000000',
		'lakulj'	=>	'2000000',
		'lakuln'	=>	'2000000',
		'lakulo'	=>	'2000000',
		'lakuló'	=>	'2000000',
		'lakuls'	=>	'2000000',
		'lakulu'	=>	'2000000',
		'lakulv'	=>	'2000000',
		'lakús'	=>	'200000',
		'lakúto'	=>	'0021200',
		'lakúv'	=>	'200000',
		'lakza'	=>	'200000',
		'lalag'	=>	'002021',
		'lalaku'	=>	'0020000',
		'laláí'	=>	'200000',
		'laláss'	=>	'0000010',
		'lalb'	=>	'21000',
		'lalc'	=>	'21000',
		'lalf'	=>	'21000',
		'laljn'	=>	'200000',
		'lalka'	=>	'210000',
		'lalkot'	=>	'2100000',
		'lalku'	=>	'210000',
		'lalle'	=>	'210000',
		'laltár'	=>	'0002000',
		'lalte'	=>	'000200',
		'laltonk'	=>	'20000000',
		'laltó'	=>	'000212',
		'laltü'	=>	'000212',
		'laltvé'	=>	'2000000',
		'lalvi'	=>	'210000',
		'lamada'	=>	'0001000',
		'lamaka'	=>	'0021000',
		'lamany'	=>	'0021000',
		'lamap'	=>	'002120',
		'lamará'	=>	'0021000',
		'lamaz'	=>	'002120',
		'lameg'	=>	'000020',
		'lamegy'	=>	'0021000',
		'lamele'	=>	'0021000',
		'lamemb'	=>	'0001000',
		'lamesz'	=>	'0021000',
		'lamék'	=>	'002000',
		'laméle'	=>	'0001000',
		'laméne'	=>	'0020000',
		'lamérv'	=>	'0021000',
		'laminv'	=>	'0020000',
		'lamism'	=>	'0021000',
		'lamist'	=>	'0021000',
		'lamí'	=>	'00212',
		'lammó'	=>	'210000',
		'lamol'	=>	'002100',
		'lamorg'	=>	'0001000',
		'lamosz'	=>	'0021000',
		'lamór'	=>	'002120',
		'lamö'	=>	'00200',
		'lamur'	=>	'002100',
		'lamü'	=>	'00210',
		'lanad'	=>	'002120',
		'lanag'	=>	'000020',
		'lanaj'	=>	'002100',
		'lanal'	=>	'002000',
		'lanala'	=>	'0001000',
		'lanam'	=>	'002000',
		'lanar'	=>	'002000',
		'lanáll'	=>	'0021000',
		'lanárai'	=>	'00212000',
		'lanárak'	=>	'00212000',
		'lanárá'	=>	'0021200',
		'lanárr'	=>	'0021000',
		'lanárv'	=>	'0021000',
		'lanáss'	=>	'0000010',
		'lancsel'	=>	'00020000',
		'lancsem'	=>	'00020000',
		'lancsi'	=>	'0002000',
		'lancsol'	=>	'00020000',
		'landál'	=>	'0002100',
		'landel'	=>	'0002100',
		'landiz'	=>	'0002000',
		'laner'	=>	'002000',
		'lanes'	=>	'002000',
		'lanép'	=>	'002100',
		'langas'	=>	'0002100',
		'langen'	=>	'0002000',
		'langg'	=>	'000030',
		'langin'	=>	'2100000',
		'lanil'	=>	'002000',
		'lanip'	=>	'002000',
		'lanis'	=>	'002000',
		'lankét'	=>	'2100000',
		'lankr'	=>	'000100',
		'lanosz'	=>	'0021000',
		'lans'	=>	'00002',
		'lantag'	=>	'0002000',
		'lantác'	=>	'2000000',
		'lanü'	=>	'00200',
		'lanyag'	=>	'0020000',
		'lanyala'	=>	'00001200',
		'lanyau'	=>	'0020000',
		'lanyái'	=>	'2000000',
		'lanyál'	=>	'0020100',
		'lanyán'	=>	'2000000',
		'lanyás'	=>	'0020000',
		'lanyáv'	=>	'2000000',
		'lanyelem'	=>	'002012000',
		'lanyerő'	=>	'00001200',
		'lanyír'	=>	'0020120',
		'lanyol'	=>	'0020100',
		'lanyó'	=>	'002000',
		'lanyü'	=>	'002000',
		'laór'	=>	'00020',
		'lapakk'	=>	'0001000',
		'lapakt'	=>	'0001000',
		'lapala'	=>	'0001200',
		'lapalk'	=>	'0001000',
		'lapatm'	=>	'0021000',
		'lapatt'	=>	'0021000',
		'lapau'	=>	'002120',
		'lapaz'	=>	'002000',
		'lapáb'	=>	'002000',
		'lapág'	=>	'002120',
		'lapák'	=>	'002000',
		'lapán'	=>	'002000',
		'lapárá'	=>	'0001200',
		'lapárh'	=>	'0001000',
		'lapárr'	=>	'0021000',
		'lapel'	=>	'002020',
		'lapele'	=>	'0001000',
		'lapem'	=>	'002000',
		'lapen'	=>	'002100',
		'lapes'	=>	'002100',
		'lapik'	=>	'002000',
		'lapilla'	=>	'00010000',
		'lapille'	=>	'00010000',
		'lapim'	=>	'002100',
		'laping'	=>	'0021000',
		'lapint'	=>	'0021000',
		'lapip'	=>	'002120',
		'lapis'	=>	'002120',
		'lapita'	=>	'0021000',
		'lapiz'	=>	'002100',
		'laplat'	=>	'0002000',
		'lapoku'	=>	'0021200',
		'laporg'	=>	'0001000',
		'laporn'	=>	'0001000',
		'laporz'	=>	'0001000',
		'laposs'	=>	'0000010',
		'lapób'	=>	'002000',
		'lapón'	=>	'002000',
		'lapór'	=>	'002000',
		'lapö'	=>	'00200',
		'lapő'	=>	'00200',
		'lappar'	=>	'2000000',
		'laprí'	=>	'200000',
		'laps'	=>	'00012',
		'lapún'	=>	'200000',
		'lapúv'	=>	'200000',
		'lapű'	=>	'00200',
		'laran'	=>	'002000',
		'larc'	=>	'21000',
		'larcc'	=>	'000030',
		'larén'	=>	'212000',
		'larme'	=>	'000210',
		'larmin'	=>	'0002000',
		'lart'	=>	'21000',
		'larz'	=>	'21000',
		'laspa'	=>	'001200',
		'laspi'	=>	'001200',
		'lastra'	=>	'0010000',
		'laszabl'	=>	'00201000',
		'laszas'	=>	'0020000',
		'laszat'	=>	'2120000',
		'laszás'	=>	'0020000',
		'laszén'	=>	'0020100',
		'laszód'	=>	'0020000',
		'laszs'	=>	'000030',
		'lasztalj'	=>	'000021000',
		'lasztam'	=>	'01000000',
		'laszút'	=>	'0020100',
		'latad'	=>	'002120',
		'lataj'	=>	'002100',
		'latalak'	=>	'00010000',
		'latalk'	=>	'0021000',
		'latalt'	=>	'0021000',
		'latará'	=>	'0001000',
		'lataro'	=>	'0021200',
		'latarti'	=>	'00010000',
		'lataszt'	=>	'00010000',
		'latatt'	=>	'0001000',
		'latau'	=>	'002000',
		'lataz'	=>	'002000',
		'latáj'	=>	'002100',
		'latáll'	=>	'0001000',
		'latárad'	=>	'00210000',
		'latárai'	=>	'00212000',
		'latárak'	=>	'00212000',
		'latáram'	=>	'00212000',
		'latárat'	=>	'00212000',
		'latáráb'	=>	'00212000',
		'latáráh'	=>	'00212000',
		'latárán'	=>	'00212000',
		'latáré'	=>	'0021200',
		'latárh'	=>	'0021000',
		'latárn'	=>	'0021000',
		'latárok'	=>	'00212000',
		'latárr'	=>	'0021000',
		'latártá'	=>	'00010000',
		'latártó'	=>	'00210000',
		'latárú'	=>	'0021200',
		'latárv'	=>	'0021000',
		'latász'	=>	'0001000',
		'latáta'	=>	'0021000',
		'latdial'	=>	'00000200',
		'lateg'	=>	'002120',
		'latelem'	=>	'00200000',
		'latell'	=>	'0021000',
		'latep'	=>	'002000',
		'laterk'	=>	'0021000',
		'lates'	=>	'000020',
		'latess'	=>	'0021000',
		'latesze'	=>	'00200000',
		'lateti'	=>	'0021000',
		'lateto'	=>	'0021000',
		'latevő'	=>	'0021200',
		'latéke'	=>	'0021000',
		'latéké'	=>	'0001200',
		'latékk'	=>	'0001000',
		'latéré'	=>	'0021200',
		'latérő'	=>	'0021200',
		'latérte'	=>	'00200000',
		'latérv'	=>	'0021000',
		'latéss'	=>	'0001000',
		'latiko'	=>	'0021200',
		'latikra'	=>	'00010000',
		'latinte'	=>	'00010000',
		'latinv'	=>	'0021000',
		'latist'	=>	'0021000',
		'latiz'	=>	'002100',
		'latír'	=>	'002100',
		'latívé'	=>	'0001000',
		'latk'	=>	'00012',
		'latoj'	=>	'002000',
		'latokm'	=>	'0021000',
		'latolda'	=>	'00010000',
		'latoll'	=>	'0020000',
		'latoml'	=>	'0001000',
		'latosz'	=>	'0021000',
		'latotth'	=>	'00210000',
		'latórá'	=>	'0021000',
		'latóri'	=>	'0021000',
		'latövi'	=>	'0021000',
		'latövö'	=>	'0021200',
		'latőr'	=>	'002100',
		'lattako'	=>	'21000000',
		'lattanó'	=>	'00000212',
		'lattv'	=>	'200000',
		'latut'	=>	'002000',
		'latül'	=>	'002000',
		'latüze'	=>	'0001000',
		'latűz'	=>	'000020',
		'latűző'	=>	'0021000',
		'latyá'	=>	'002000',
		'laub'	=>	'00200',
		'lauk'	=>	'00200',
		'laus'	=>	'00200',
		'lauto'	=>	'002000',
		'laüz'	=>	'00020',
		'lavat'	=>	'002000',
		'lavu'	=>	'21200',
		'layé'	=>	'00100',
		'layig'	=>	'001000',
		'layrő'	=>	'200000',
		'lazacc'	=>	'0000010',
		'lazacs'	=>	'0000230',
		'lazma'	=>	'000001',
		'lazmá'	=>	'200000',
		'lazon'	=>	'212000',
		'lá'	=>	'100',
		'lábar'	=>	'002000',
		'lábass'	=>	'0000010',
		'lábál'	=>	'002000',
		'lábel'	=>	'002120',
		'lábina'	=>	'0021000',
		'lábiz'	=>	'002120',
		'láborg'	=>	'0001000',
		'láborr'	=>	'0001000',
		'lábö'	=>	'00200',
		'lábő'	=>	'00200',
		'lábrá'	=>	'200000',
		'lábus'	=>	'002120',
		'lábü'	=>	'00200',
		'lácsé'	=>	'000002',
		'lácsét'	=>	'0020000',
		'lácsil'	=>	'0020100',
		'lácsip'	=>	'0020000',
		'lácsí'	=>	'002000',
		'ládas'	=>	'000010',
		'ládaz'	=>	'002100',
		'láder'	=>	'002120',
		'ládet'	=>	'002000',
		'ládim'	=>	'002000',
		'ládor'	=>	'002100',
		'ládott'	=>	'0021000',
		'ládó'	=>	'00210',
		'ládül'	=>	'002000',
		'ládz'	=>	'00200',
		'lágab'	=>	'002000',
		'lágac'	=>	'002000',
		'lágada'	=>	'0001200',
		'lágag'	=>	'002120',
		'lágal'	=>	'002100',
		'lágan'	=>	'002000',
		'lágas'	=>	'002000',
		'lágass'	=>	'0001000',
		'lágat'	=>	'000020',
		'lágatl'	=>	'0021000',
		'lágato'	=>	'0021000',
		'lágatt'	=>	'0021000',
		'lágál'	=>	'002000',
		'lágáll'	=>	'0001000',
		'lágám'	=>	'002000',
		'lágárak'	=>	'00212000',
		'lágáro'	=>	'0021200',
		'lágáto'	=>	'0021200',
		'lágép'	=>	'002000',
		'lágid'	=>	'002000',
		'lágigé'	=>	'0020000',
		'lágim'	=>	'002000',
		'lágott'	=>	'0021000',
		'lágó'	=>	'00212',
		'lágő'	=>	'00200',
		'lágs'	=>	'00010',
		'lágü'	=>	'00200',
		'lágű'	=>	'00200',
		'lágyá'	=>	'200000',
		'lágyo'	=>	'200000',
		'láhas'	=>	'002000',
		'láhe'	=>	'20000',
		'láír'	=>	'00020',
		'lálad'	=>	'002000',
		'lálaka'	=>	'0021000',
		'lálal'	=>	'002100',
		'lálan'	=>	'000020',
		'lálany'	=>	'0021000',
		'lálar'	=>	'002100',
		'lálau'	=>	'002000',
		'lálág'	=>	'002100',
		'lálál'	=>	'002120',
		'láláss'	=>	'0000010',
		'lálátj'	=>	'0021000',
		'láldás'	=>	'2000000',
		'láldoz'	=>	'2000000',
		'lálel'	=>	'002000',
		'lálest'	=>	'0021000',
		'lálev'	=>	'002120',
		'lálél'	=>	'002000',
		'lálim'	=>	'002000',
		'lális'	=>	'002100',
		'lálí'	=>	'00200',
		'lállam'	=>	'2100000',
		'lállat'	=>	'2100000',
		'lállás'	=>	'2100000',
		'lállk'	=>	'210000',
		'lállom'	=>	'2100000',
		'lállv'	=>	'210000',
		'lálmaim'	=>	'20000000',
		'lálmom'	=>	'2000000',
		'lálmos'	=>	'2100000',
		'lálmuk'	=>	'2000000',
		'lálmunkb'	=>	'200000000',
		'lálokaih'	=>	'200000000',
		'lálokain'	=>	'200000000',
		'lálokair'	=>	'200000000',
		'lálokán'	=>	'20000000',
		'lálokát'	=>	'20000000',
		'lálokáu'	=>	'20000000',
		'láloko'	=>	'0021200',
		'lálokonk'	=>	'200000000',
		'láloku'	=>	'2000000',
		'lálórá'	=>	'0001000',
		'lálö'	=>	'00002',
		'lálöv'	=>	'002100',
		'lálut'	=>	'210000',
		'lálút'	=>	'002100',
		'lálü'	=>	'00200',
		'lálű'	=>	'00200',
		'lámad'	=>	'002120',
		'lámaj'	=>	'002100',
		'lámass'	=>	'0001000',
		'lámau'	=>	'002100',
		'lámál'	=>	'002100',
		'lámáz'	=>	'002120',
		'lámb'	=>	'00012',
		'lámell'	=>	'0001000',
		'lámerő'	=>	'0001000',
		'lámes'	=>	'002000',
		'lámék'	=>	'002000',
		'lámérv'	=>	'0021000',
		'lámint'	=>	'0021000',
		'lámist'	=>	'0001000',
		'lámí'	=>	'00200',
		'lámor'	=>	'002100',
		'lámó'	=>	'00200',
		'lámö'	=>	'00200',
		'lámő'	=>	'00200',
		'lámü'	=>	'00200',
		'lámű'	=>	'00200',
		'lána'	=>	'00002',
		'lánag'	=>	'002100',
		'lánal'	=>	'002000',
		'lánan'	=>	'002100',
		'lánar'	=>	'002000',
		'lánas'	=>	'002100',
		'láná'	=>	'00002',
		'lánár'	=>	'002000',
		'láncc'	=>	'000030',
		'láncel'	=>	'0002000',
		'láncég'	=>	'0002100',
		'láncsá'	=>	'0002000',
		'lánem'	=>	'002000',
		'láner'	=>	'002100',
		'lánép'	=>	'002000',
		'lángat'	=>	'0002100',
		'lángál'	=>	'0002000',
		'lánge'	=>	'000210',
		'lánil'	=>	'002000',
		'lánis'	=>	'002100',
		'lánkel'	=>	'0002120',
		'lánkóra'	=>	'00021200',
		'lánköv'	=>	'0002120',
		'lánok'	=>	'003000',
		'lánol'	=>	'002000',
		'lánsp'	=>	'000100',
		'lánsz'	=>	'000100',
		'lánt'	=>	'00002',
		'lántr'	=>	'000100',
		'lánü'	=>	'00200',
		'lányaj'	=>	'0020000',
		'lányala'	=>	'00200000',
		'lányam'	=>	'0020000',
		'lányan'	=>	'0000020',
		'lányar'	=>	'0020000',
		'lányas'	=>	'0020100',
		'lányav'	=>	'0020000',
		'lányel'	=>	'0020000',
		'lányó'	=>	'002000',
		'lányö'	=>	'002000',
		'lápét'	=>	'002000',
		'lápi'	=>	'00002',
		'lápol'	=>	'212000',
		'lárad'	=>	'002000',
		'lárai'	=>	'212000',
		'láraka'	=>	'0020000',
		'lárakb'	=>	'0120000',
		'lárakk'	=>	'0120000',
		'lárakr'	=>	'0120000',
		'láral'	=>	'002120',
		'láram'	=>	'212000',
		'lárat'	=>	'212000',
		'lárav'	=>	'002100',
		'láraz'	=>	'012000',
		'láren'	=>	'200000',
		'láres'	=>	'002000',
		'lárkot'	=>	'0100000',
		'lárnya'	=>	'2100000',
		'lárs'	=>	'00012',
		'lárt'	=>	'00002',
		'lártr'	=>	'000100',
		'lárug'	=>	'002000',
		'láruh'	=>	'212000',
		'láruk'	=>	'212000',
		'lárul'	=>	'212000',
		'lárus'	=>	'200000',
		'lárut'	=>	'210000',
		'láruv'	=>	'200000',
		'lárúa'	=>	'002000',
		'lárü'	=>	'00200',
		'lásad'	=>	'002120',
		'lásaj'	=>	'002100',
		'lásal'	=>	'002000',
		'lásar'	=>	'002120',
		'lásaz'	=>	'002000',
		'láság'	=>	'002120',
		'lásárai'	=>	'00212000',
		'lásárak'	=>	'00210000',
		'lásárá'	=>	'0021200',
		'lásárb'	=>	'0021000',
		'lásáré'	=>	'0021200',
		'lásárh'	=>	'0021000',
		'lásárr'	=>	'0021000',
		'lásárt'	=>	'0021000',
		'lásás'	=>	'212000',
		'lásáto'	=>	'0021200',
		'láse'	=>	'00200',
		'lásegyez'	=>	'000000001',
		'lásír'	=>	'002000',
		'lásott'	=>	'0020000',
		'lásotth'	=>	'00010000',
		'lásó'	=>	'00002',
		'lásór'	=>	'000100',
		'láső'	=>	'00200',
		'lásszé'	=>	'0003000',
		'lásut'	=>	'002000',
		'lásű'	=>	'00200',
		'lászas'	=>	'0020000',
		'lászav'	=>	'0003000',
		'lászed'	=>	'2000000',
		'lászeg'	=>	'0020000',
		'lászem'	=>	'0020120',
		'lászen'	=>	'0020000',
		'lászip'	=>	'0020000',
		'lászkész'	=>	'000000001',
		'lászö'	=>	'000002',
		'lászöl'	=>	'0020000',
		'lászöv'	=>	'0020000',
		'lászs'	=>	'000030',
		'lászü'	=>	'002000',
		'látaj'	=>	'002000',
		'látere'	=>	'0021200',
		'látétel'	=>	'00002000',
		'láthe'	=>	'210000',
		'látio'	=>	'002120',
		'látí'	=>	'21200',
		'látkö'	=>	'200000',
		'látosz'	=>	'0021000',
		'látrá'	=>	'001200',
		'látri'	=>	'001000',
		'látte'	=>	'210000',
		'láttö'	=>	'210000',
		'láttű'	=>	'210000',
		'látús'	=>	'010000',
		'látvé'	=>	'210000',
		'látvi'	=>	'010000',
		'lávi'	=>	'20000',
		'láviz'	=>	'002000',
		'lávó'	=>	'21200',
		'lávu'	=>	'20000',
		'lázadot'	=>	'00210000',
		'lázal'	=>	'002100',
		'lázárh'	=>	'0021000',
		'lázárus'	=>	'00020000',
		'lázb'	=>	'30000',
		'lázel'	=>	'002100',
		'lázis'	=>	'002120',
		'lázo'	=>	'00002',
		'lázolt'	=>	'0021000',
		'lázsal'	=>	'0020000',
		'lázsan'	=>	'0020000',
		'lázsó'	=>	'002000',
		'lázsz'	=>	'000300',
		'lbis'	=>	'02100',
		'lbli'	=>	'00200',
		'lblo'	=>	'00200',
		'lblú'	=>	'00200',
		'lbra'	=>	'00200',
		'lbre'	=>	'00200',
		'lbri'	=>	'00200',
		'lbro'	=>	'00200',
		'lbró'	=>	'00200',
		'lbru'	=>	'00200',
		'lcajt'	=>	'001000',
		'lcalk'	=>	'001000',
		'lcato'	=>	'021200',
		'lcág'	=>	'02100',
		'lcál'	=>	'02100',
		'lccsi'	=>	'003000',
		'lccso'	=>	'003000',
		'lccsö'	=>	'003000',
		'lcele'	=>	'021200',
		'lcelr'	=>	'001000',
		'lcemb'	=>	'021000',
		'lcemel'	=>	'0010000',
		'lcesz'	=>	'001000',
		'lcev'	=>	'02120',
		'lcez'	=>	'00020',
		'lceze'	=>	'021000',
		'lcép'	=>	'02100',
		'lcévi'	=>	'001000',
		'lcfr'	=>	'00100',
		'lcha'	=>	'00300',
		'lchá'	=>	'00300',
		'lcho'	=>	'00300',
		'lchu'	=>	'00300',
		'lchú'	=>	'00300',
		'lchü'	=>	'00300',
		'lcid'	=>	'02120',
		'lcitér'	=>	'0002000',
		'lcív'	=>	'00100',
		'lckr'	=>	'00120',
		'lclu'	=>	'01200',
		'lcost'	=>	'021000',
		'lcosz'	=>	'021000',
		'lcór'	=>	'00120',
		'lcök'	=>	'00100',
		'lcös'	=>	'00100',
		'lcpr'	=>	'00100',
		'lcsad'	=>	'020120',
		'lcsakt'	=>	'0200000',
		'lcsalap'	=>	'00010000',
		'lcsan'	=>	'020120',
		'lcsapág'	=>	'00002120',
		'lcsapr'	=>	'0001000',
		'lcsar'	=>	'000020',
		'lcsara'	=>	'0001000',
		'lcsaro'	=>	'0001000',
		'lcsas'	=>	'020120',
		'lcsaz'	=>	'020000',
		'lcság'	=>	'000100',
		'lcsál'	=>	'020100',
		'lcsáta'	=>	'0201212',
		'lcsátá'	=>	'0200000',
		'lcsáth'	=>	'0201000',
		'lcsátj'	=>	'0201000',
		'lcsátv'	=>	'0200000',
		'lcsec'	=>	'020000',
		'lcseg'	=>	'020120',
		'lcsej'	=>	'023000',
		'lcself'	=>	'0001000',
		'lcselt'	=>	'0201000',
		'lcselv'	=>	'0201000',
		'lcsemb'	=>	'0001000',
		'lcseml'	=>	'0001000',
		'lcserd'	=>	'0200000',
		'lcserel'	=>	'00002120',
		'lcserő'	=>	'0001000',
		'lcsese'	=>	'0001000',
		'lcset'	=>	'000020',
		'lcsete'	=>	'0201000',
		'lcsél'	=>	'020000',
		'lcsérés'	=>	'02012000',
		'lcsérle'	=>	'02000000',
		'lcsérte'	=>	'02000000',
		'lcsérté'	=>	'02010000',
		'lcsérve'	=>	'00010000',
		'lcsérvé'	=>	'02010000',
		'lcsészék'	=>	'000020100',
		'lcséte'	=>	'0201200',
		'lcsétk'	=>	'0201000',
		'lcsévét'	=>	'02012000',
		'lcsidé'	=>	'0200000',
		'lcsimi'	=>	'0200000',
		'lcsinf'	=>	'0201000',
		'lcsing'	=>	'0201000',
		'lcsint'	=>	'0201000',
		'lcsipa'	=>	'0201200',
		'lcsirt'	=>	'0201000',
		'lcsisk'	=>	'0201000',
		'lcsism'	=>	'0201000',
		'lcsita'	=>	'0200000',
		'lcsíz'	=>	'020120',
		'lcsk'	=>	'00012',
		'lcsokm'	=>	'0201000',
		'lcsors'	=>	'0001000',
		'lcsöl'	=>	'020120',
		'lcsősé'	=>	'0001200',
		'lcss'	=>	'00010',
		'lcstr'	=>	'003000',
		'lcsug'	=>	'003000',
		'lcsült'	=>	'0001000',
		'lcszo'	=>	'003000',
		'lcszó'	=>	'003000',
		'lctr'	=>	'00100',
		'lcuj'	=>	'02100',
		'lcül'	=>	'00100',
		'lcüt'	=>	'00100',
		'lczá'	=>	'00300',
		'lczo'	=>	'00300',
		'ldabl'	=>	'001000',
		'ldabr'	=>	'001000',
		'ldacé'	=>	'021200',
		'ldadato'	=>	'00120000',
		'ldadá'	=>	'021200',
		'ldai'	=>	'00002',
		'ldalag'	=>	'0002000',
		'ldalaj'	=>	'0002000',
		'ldaleg'	=>	'0002120',
		'ldalel'	=>	'0002000',
		'ldales'	=>	'0002000',
		'ldalél'	=>	'0002120',
		'ldaliz'	=>	'0002000',
		'ldalí'	=>	'000212',
		'ldalos'	=>	'0002000',
		'ldalt'	=>	'000002',
		'ldant'	=>	'021000',
		'ldanya'	=>	'0002000',
		'ldanyá'	=>	'0002000',
		'ldapó'	=>	'001000',
		'ldaran'	=>	'0210000',
		'ldarc'	=>	'021000',
		'ldark'	=>	'021000',
		'ldatas'	=>	'0002100',
		'ldateg'	=>	'0002100',
		'ldatin'	=>	'0002100',
		'ldatós'	=>	'0002000',
		'ldág'	=>	'00100',
		'ldáll'	=>	'001000',
		'ldálm'	=>	'001000',
		'ldárn'	=>	'001000',
		'ldáss'	=>	'000030',
		'ldbr'	=>	'00100',
		'ldegy'	=>	'001000',
		'ldekék'	=>	'0212000',
		'ldekén'	=>	'0212000',
		'ldekétő'	=>	'02120000',
		'ldela'	=>	'021210',
		'ldeleme'	=>	'02120000',
		'ldelemi'	=>	'02120000',
		'ldelemn'	=>	'02120000',
		'ldelér'	=>	'0210000',
		'ldelk'	=>	'021000',
		'ldellá'	=>	'0210000',
		'ldelo'	=>	'021000',
		'ldelőh'	=>	'0212000',
		'ldelővez'	=>	'021200000',
		'ldels'	=>	'021000',
		'ldeltá'	=>	'0210000',
		'ldelvé'	=>	'0210000',
		'ldember'	=>	'02100000',
		'ldemel'	=>	'0212000',
		'ldeml'	=>	'021000',
		'ldep'	=>	'00012',
		'ldepe'	=>	'001000',
		'lderő'	=>	'021000',
		'ldevé'	=>	'001200',
		'ldex'	=>	'02100',
		'ldég'	=>	'02120',
		'ldéjér'	=>	'0212000',
		'ldélm'	=>	'001000',
		'ldép'	=>	'02100',
		'ldérc'	=>	'021000',
		'ldéré'	=>	'021000',
		'ldéri'	=>	'021200',
		'ldérte'	=>	'0210000',
		'ldérz'	=>	'021000',
		'ldész'	=>	'021000',
		'ldéves'	=>	'0002000',
		'ldfl'	=>	'00100',
		'ldfr'	=>	'00100',
		'ldgl'	=>	'00100',
		'ldgr'	=>	'00100',
		'ldiga'	=>	'021200',
		'ldigé'	=>	'021000',
		'ldill'	=>	'021000',
		'ldimi'	=>	'021000',
		'ldind'	=>	'001000',
		'ldint'	=>	'021000',
		'ldip'	=>	'00020',
		'ldipa'	=>	'001000',
		'ldisza'	=>	'0210000',
		'ldín'	=>	'02100',
		'ldír'	=>	'02100',
		'ldíz'	=>	'02100',
		'ldkr'	=>	'00100',
		'ldkv'	=>	'00100',
		'ldogas'	=>	'0002100',
		'ldola'	=>	'021000',
		'ldold'	=>	'021000',
		'ldolt'	=>	'021000',
		'ldoml'	=>	'001000',
		'ldorc'	=>	'001000',
		'ldorg'	=>	'001000',
		'ldosz'	=>	'021000',
		'ldórá'	=>	'021200',
		'ldóri'	=>	'021000',
		'ldöb'	=>	'02100',
		'ldökle'	=>	'0010000',
		'ldörök'	=>	'0210000',
		'ldöv'	=>	'02100',
		'ldőri'	=>	'001000',
		'ldősk'	=>	'001000',
		'ldpl'	=>	'00100',
		'ldpr'	=>	'00100',
		'ldrót'	=>	'002000',
		'ldsp'	=>	'00100',
		'ldst'	=>	'00100',
		'ldudv'	=>	'001000',
		'ldur'	=>	'00020',
		'ldura'	=>	'001000',
		'lduss'	=>	'000030',
		'ldut'	=>	'02120',
		'ldúj'	=>	'02100',
		'ldúr'	=>	'02100',
		'ldút'	=>	'02120',
		'ldüg'	=>	'02100',
		'ldüle'	=>	'021000',
		'ldür'	=>	'02100',
		'ldüz'	=>	'02100',
		'ldűr'	=>	'02100',
		'ldzá'	=>	'00300',
		'ldzó'	=>	'00300',
		'ldzu'	=>	'00300',
		'le'	=>	'100',
		'leabá'	=>	'000200',
		'lead'	=>	'00020',
		'leag'	=>	'00020',
		'leak'	=>	'00020',
		'leal'	=>	'00020',
		'lean'	=>	'00020',
		'leap'	=>	'00020',
		'learé'	=>	'002000',
		'leasz'	=>	'000200',
		'leav'	=>	'00020',
		'leáj'	=>	'00020',
		'leás'	=>	'00020',
		'leáz'	=>	'00020',
		'lebéd'	=>	'212000',
		'lebin'	=>	'002000',
		'lebla'	=>	'001000',
		'lebra'	=>	'001000',
		'lebrek'	=>	'0002000',
		'lebs'	=>	'00020',
		'lecc'	=>	'20000',
		'lecet'	=>	'212000',
		'lecset'	=>	'2100000',
		'leddi'	=>	'010000',
		'ledres'	=>	'0012000',
		'ledro'	=>	'001000',
		'lees'	=>	'00020',
		'leér'	=>	'00020',
		'lefona'	=>	'0000002',
		'lefonal'	=>	'00002000',
		'lefr'	=>	'00100',
		'left'	=>	'21000',
		'legala'	=>	'0020000',
		'legar'	=>	'000020',
		'legas'	=>	'002120',
		'legáll'	=>	'0021000',
		'legáto'	=>	'0032000',
		'legáz'	=>	'003200',
		'legeb'	=>	'003000',
		'legeg'	=>	'002120',
		'legell'	=>	'0001000',
		'legelőa'	=>	'00320000',
		'legelőj'	=>	'00320000',
		'legelőké'	=>	'003200000',
		'legelőt'	=>	'00320000',
		'legelőze'	=>	'003000000',
		'legelvé'	=>	'00320000',
		'legene'	=>	'0020000',
		'legerj'	=>	'0032000',
		'legeseb'	=>	'00300000',
		'legesek'	=>	'00300000',
		'legesn'	=>	'0032000',
		'legesr'	=>	'0030000',
		'legest'	=>	'0030000',
		'legesz'	=>	'0021200',
		'legéd'	=>	'000020',
		'legél'	=>	'000020',
		'legén'	=>	'003000',
		'legg'	=>	'00002',
		'legid'	=>	'002000',
		'legis'	=>	'002100',
		'legmeg'	=>	'0000001',
		'legon'	=>	'003200',
		'legóv'	=>	'002000',
		'legöng'	=>	'0030000',
		'legös'	=>	'002100',
		'legpec'	=>	'0000001',
		'legvíz'	=>	'0000001',
		'legyá'	=>	'000002',
		'legyb'	=>	'200000',
		'legyed'	=>	'2000000',
		'legyel'	=>	'0120000',
		'legyelőr'	=>	'000012000',
		'legyenge'	=>	'012000000',
		'legyék'	=>	'0120000',
		'legyi'	=>	'003000',
		'legyí'	=>	'200000',
		'legyl'	=>	'210000',
		'legyo'	=>	'003000',
		'legys'	=>	'200000',
		'legysé'	=>	'0100000',
		'legyú'	=>	'003000',
		'legyű'	=>	'003000',
		'legyv'	=>	'210000',
		'leic'	=>	'00200',
		'leig'	=>	'00020',
		'leirá'	=>	'000200',
		'leis'	=>	'00020',
		'lejta'	=>	'000200',
		'lejtá'	=>	'000210',
		'lekad'	=>	'002000',
		'lekál'	=>	'002100',
		'lekáp'	=>	'000020',
		'lekára'	=>	'0021000',
		'lekárb'	=>	'0021000',
		'lekeg'	=>	'002100',
		'lekels'	=>	'0001000',
		'lekemb'	=>	'0001000',
		'lekeme'	=>	'0001000',
		'lekerj'	=>	'0001000',
		'lekerő'	=>	'0001200',
		'lekértő'	=>	'00210000',
		'lekid'	=>	'002100',
		'lekij'	=>	'002000',
		'lekik'	=>	'002100',
		'lekist'	=>	'0001000',
		'lekiz'	=>	'002000',
		'lekkész'	=>	'00000001',
		'lekli'	=>	'001000',
		'lekolt'	=>	'0001000',
		'lekorz'	=>	'0021000',
		'lekór'	=>	'002120',
		'lekő'	=>	'00212',
		'lektro'	=>	'2000000',
		'lektró'	=>	'2000000',
		'lekút'	=>	'002100',
		'leküd'	=>	'002000',
		'lelad'	=>	'210000',
		'leldo'	=>	'010000',
		'lelekt'	=>	'2120000',
		'lelema'	=>	'0000200',
		'lelemei'	=>	'20000000',
		'lelemek'	=>	'20200000',
		'lelemes'	=>	'21200000',
		'lelemz'	=>	'2000000',
		'leleta'	=>	'0000212',
		'leletel'	=>	'00002000',
		'leleto'	=>	'0000200',
		'lelég'	=>	'200000',
		'lelér'	=>	'212100',
		'leléss'	=>	'0000010',
		'lelész'	=>	'0000230',
		'lelgo'	=>	'210000',
		'lelha'	=>	'210000',
		'lelhá'	=>	'210000',
		'lelhel'	=>	'2100000',
		'lelho'	=>	'010000',
		'lelim'	=>	'002000',
		'leling'	=>	'0001000',
		'leliz'	=>	'002100',
		'leljá'	=>	'210000',
		'lellá'	=>	'210000',
		'lellé'	=>	'210000',
		'lellő'	=>	'210000',
		'lelméj'	=>	'2100000',
		'lelmés'	=>	'2100000',
		'lelnev'	=>	'2100000',
		'lelnö'	=>	'210000',
		'lelny'	=>	'210000',
		'lelos'	=>	'212000',
		'lelöl'	=>	'212120',
		'lelőél'	=>	'2120000',
		'lelőfo'	=>	'2120000',
		'lelőí'	=>	'002000',
		'lelőszű'	=>	'00200000',
		'lelso'	=>	'010000',
		'lelsö'	=>	'010000',
		'lelszá'	=>	'2100000',
		'lelta'	=>	'210000',
		'leltáv'	=>	'0100000',
		'leltér'	=>	'2100000',
		'lelto'	=>	'210000',
		'leltö'	=>	'010000',
		'lelvá'	=>	'210000',
		'lelvét'	=>	'2100000',
		'lelvh'	=>	'210000',
		'lelvn'	=>	'010000',
		'lelvs'	=>	'210000',
		'lelz'	=>	'21000',
		'lemeld'	=>	'2120000',
		'lemeled'	=>	'01000000',
		'lemelek'	=>	'01000000',
		'lemelé'	=>	'2020000',
		'lemelés'	=>	'01000000',
		'lemelg'	=>	'2120000',
		'lemelh'	=>	'0020000',
		'lemelhe'	=>	'01000000',
		'lemeli'	=>	'2120000',
		'lemelj'	=>	'2120000',
		'lemellek'	=>	'010000000',
		'lemeln'	=>	'2120000',
		'lemelő'	=>	'0020000',
		'lemelős'	=>	'20000000',
		'lemels'	=>	'0020000',
		'lemelt'	=>	'0020000',
		'lemelté'	=>	'01000000',
		'lemeltü'	=>	'01000000',
		'lemelü'	=>	'2120000',
		'lemelv'	=>	'0020000',
		'lemelve'	=>	'01000000',
		'lemerk'	=>	'0001000',
		'lemessz'	=>	'00210000',
		'lemeszt'	=>	'00010000',
		'lemeti'	=>	'0021200',
		'lemék'	=>	'002100',
		'leméle'	=>	'0021000',
		'lemélte'	=>	'00010000',
		'lemélv'	=>	'0021000',
		'lemérde'	=>	'00010000',
		'leméss'	=>	'2120000',
		'lemill'	=>	'0021000',
		'lemind'	=>	'0020000',
		'leming'	=>	'0021000',
		'lemisz'	=>	'0021000',
		'lemita'	=>	'0020000',
		'lemitt'	=>	'0021000',
		'lemlege'	=>	'01000000',
		'lemok'	=>	'002000',
		'lemol'	=>	'002000',
		'lemorg'	=>	'0021000',
		'lemosz'	=>	'0021000',
		'lemór'	=>	'002120',
		'lemöl'	=>	'002000',
		'lemő'	=>	'00212',
		'lemp'	=>	'00012',
		'lemur'	=>	'000120',
		'lenad'	=>	'002120',
		'lenal'	=>	'002000',
		'lenál'	=>	'002100',
		'lenát'	=>	'002000',
		'lencc'	=>	'000010',
		'lencel'	=>	'0002000',
		'lenceme'	=>	'00020000',
		'lend'	=>	'02000',
		'leneg'	=>	'002120',
		'lenel'	=>	'002120',
		'lener'	=>	'002000',
		'lenetel'	=>	'00002000',
		'lenék'	=>	'000020',
		'lenéke'	=>	'0021000',
		'lenékk'	=>	'0021000',
		'lenékt'	=>	'0021000',
		'lenél'	=>	'000020',
		'lenélé'	=>	'0001000',
		'lenéss'	=>	'0000030',
		'lenész'	=>	'0021000',
		'lengel'	=>	'0002120',
		'lenid'	=>	'002000',
		'lenip'	=>	'002100',
		'lenok'	=>	'002120',
		'lenol'	=>	'002000',
		'lenor'	=>	'002100',
		'lenóv'	=>	'002100',
		'lenőré'	=>	'0001000',
		'lensp'	=>	'000120',
		'lensta'	=>	'0001000',
		'lentra'	=>	'0001000',
		'lentren'	=>	'00012000',
		'lenu'	=>	'00002',
		'lenur'	=>	'002100',
		'lenut'	=>	'002100',
		'lenüg'	=>	'002100',
		'lenüt'	=>	'002100',
		'lenyv'	=>	'210000',
		'leoa'	=>	'00200',
		'leoc'	=>	'00200',
		'leok'	=>	'00020',
		'leoli'	=>	'002000',
		'leom'	=>	'00020',
		'leoz'	=>	'00200',
		'leóc'	=>	'00020',
		'leör'	=>	'00020',
		'lepaj'	=>	'002100',
		'lepap'	=>	'000020',
		'lepapa'	=>	'0001000',
		'lepálla'	=>	'00010000',
		'lepeg'	=>	'002100',
		'lepele'	=>	'0000200',
		'lepék'	=>	'002000',
		'lepél'	=>	'002000',
		'lepillé'	=>	'00010000',
		'lepiz'	=>	'000100',
		'leplo'	=>	'001200',
		'leposz'	=>	'0021000',
		'lepód'	=>	'002120',
		'leppelv'	=>	'00021000',
		'leprése'	=>	'00120000',
		'lepri'	=>	'001200',
		'lepro'	=>	'001000',
		'lepró'	=>	'001000',
		'lepülőh'	=>	'00212000',
		'lerdő'	=>	'200000',
		'leredm'	=>	'2000000',
		'lerejé'	=>	'0020000',
		'lerék'	=>	'002100',
		'leréte'	=>	'0001000',
		'leril'	=>	'002100',
		'lerir'	=>	'002000',
		'leróz'	=>	'200000',
		'lerő'	=>	'21200',
		'lesal'	=>	'002100',
		'lesál'	=>	'002100',
		'lesdé'	=>	'010000',
		'lesege'	=>	'2000000',
		'lesekéh'	=>	'00212000',
		'lesemé'	=>	'2100000',
		'lesetb'	=>	'0120000',
		'lesetei'	=>	'21200000',
		'lesetel'	=>	'00002000',
		'leseté'	=>	'2120000',
		'leseth'	=>	'0120000',
		'leseti'	=>	'0120000',
		'lesetk'	=>	'0120000',
		'lesetn'	=>	'0120000',
		'leseto'	=>	'0000212',
		'lesetr'	=>	'0120000',
		'lesésű'	=>	'0020000',
		'leska'	=>	'001200',
		'leski'	=>	'001000',
		'leskü'	=>	'200000',
		'lesla'	=>	'001000',
		'lesli'	=>	'001200',
		'lesma'	=>	'001000',
		'lesmi'	=>	'001200',
		'lesp'	=>	'00122',
		'lessza'	=>	'0003000',
		'lesszá'	=>	'0003000',
		'lestar'	=>	'0012000',
		'lestemp'	=>	'00100000',
		'lesten'	=>	'2100000',
		'lestébe'	=>	'01000000',
		'lestil'	=>	'0012000',
		'lestj'	=>	'210000',
		'lestor'	=>	'0002100',
		'lestr'	=>	'200000',
		'lestt'	=>	'010000',
		'leszkö'	=>	'2100000',
		'leszto'	=>	'0010000',
		'letab'	=>	'002100',
		'letac'	=>	'002000',
		'letala'	=>	'0001200',
		'letall'	=>	'0001000',
		'letam'	=>	'002100',
		'letana'	=>	'0021000',
		'letapr'	=>	'0001000',
		'letekéb'	=>	'00212000',
		'letela'	=>	'0021200',
		'letelb'	=>	'0021000',
		'leteleg'	=>	'00010000',
		'letelf'	=>	'0021000',
		'letelk'	=>	'0001000',
		'letelőa'	=>	'00010000',
		'letelőké'	=>	'002120000',
		'letelr'	=>	'0001000',
		'letemel'	=>	'00010000',
		'leteml'	=>	'0021000',
		'letene'	=>	'0020000',
		'letent'	=>	'0021000',
		'letered'	=>	'00010000',
		'leteré'	=>	'0021000',
		'leterk'	=>	'0021000',
		'letesté'	=>	'00200000',
		'leteszk'	=>	'00010000',
		'leteté'	=>	'2120000',
		'leteth'	=>	'2120000',
		'letetj'	=>	'2120000',
		'letetv'	=>	'2120000',
		'letéd'	=>	'002100',
		'letéj'	=>	'002120',
		'letél'	=>	'000020',
		'letéle'	=>	'0001000',
		'letélé'	=>	'0001000',
		'letélv'	=>	'0001000',
		'leténekn'	=>	'002120000',
		'letérb'	=>	'0021000',
		'letéren'	=>	'00212000',
		'letéri'	=>	'0021200',
		'letérr'	=>	'0021000',
		'letértő'	=>	'00210000',
		'letérül'	=>	'00012000',
		'letész'	=>	'0000200',
		'letéter'	=>	'00010000',
		'letévede'	=>	'000020000',
		'letéves'	=>	'00010000',
		'letévéb'	=>	'00212000',
		'letévéi'	=>	'00210000',
		'letévér'	=>	'00212000',
		'letévét'	=>	'00212000',
		'letévév'	=>	'00212000',
		'letid'	=>	'002000',
		'letikr'	=>	'0001000',
		'letill'	=>	'0001000',
		'letim'	=>	'002000',
		'leting'	=>	'0021000',
		'letist'	=>	'0021000',
		'letisz'	=>	'0000200',
		'letiszo'	=>	'00010000',
		'letivá'	=>	'0020000',
		'letod'	=>	'002000',
		'letok'	=>	'002120',
		'leton'	=>	'002100',
		'letora'	=>	'0001000',
		'letox'	=>	'002100',
		'letöv'	=>	'002120',
		'letőed'	=>	'0000030',
		'letőri'	=>	'0021000',
		'letraf'	=>	'0010000',
		'letteg'	=>	'0002000',
		'letül'	=>	'000020',
		'letülé'	=>	'0021000',
		'letüzé'	=>	'0001000',
		'lety'	=>	'20000',
		'leug'	=>	'00020',
		'leuk'	=>	'00200',
		'leur'	=>	'00020',
		'leut'	=>	'00020',
		'levene'	=>	'2000000',
		'levení'	=>	'2000000',
		'levenü'	=>	'2000000',
		'levezg'	=>	'0120000',
		'levezh'	=>	'0120000',
		'levezn'	=>	'0120000',
		'levezt'	=>	'0120000',
		'levezü'	=>	'0020000',
		'levezv'	=>	'0120000',
		'levéll'	=>	'0000010',
		'levolú'	=>	'0020000',
		'lexá'	=>	'00200',
		'lexel'	=>	'002100',
		'lexep'	=>	'002120',
		'lexkész'	=>	'00000001',
		'lexö'	=>	'00200',
		'leyé'	=>	'00100',
		'lezer'	=>	'002000',
		'lezőa'	=>	'000002',
		'lezőer'	=>	'0000020',
		'lezőén'	=>	'0000020',
		'lezősp'	=>	'0000120',
		'lezr'	=>	'21000',
		'lé'	=>	'100',
		'lébr'	=>	'21000',
		'léca'	=>	'00200',
		'lécá'	=>	'00200',
		'lécc'	=>	'00030',
		'lécék'	=>	'002100',
		'léch'	=>	'00230',
		'léci'	=>	'00002',
		'lécim'	=>	'002000',
		'léco'	=>	'00200',
		'lécs'	=>	'00002',
		'lécsk'	=>	'000300',
		'lédas'	=>	'002100',
		'lédel'	=>	'002100',
		'lédemb'	=>	'0021000',
		'lédél'	=>	'002000',
		'lédés'	=>	'002100',
		'lédil'	=>	'002000',
		'lédos'	=>	'002000',
		'lédot'	=>	'002000',
		'lédö'	=>	'00200',
		'lédő'	=>	'00212',
		'léer'	=>	'00020',
		'léér'	=>	'00020',
		'léfr'	=>	'00120',
		'légal'	=>	'002000',
		'légec'	=>	'002120',
		'léged'	=>	'200000',
		'légeg'	=>	'002100',
		'légell'	=>	'0001000',
		'légels'	=>	'0001000',
		'légem'	=>	'002100',
		'léger'	=>	'002120',
		'légés'	=>	'212000',
		'léghet'	=>	'0100000',
		'légil'	=>	'002000',
		'légí'	=>	'20000',
		'légö'	=>	'00210',
		'légő'	=>	'20200',
		'légráf'	=>	'0012000',
		'légtem'	=>	'0100000',
		'légtet'	=>	'0100000',
		'légtél'	=>	'0100000',
		'légú'	=>	'00200',
		'légü'	=>	'20000',
		'légün'	=>	'012000',
		'légyel'	=>	'0020000',
		'légyes'	=>	'0020000',
		'légyi'	=>	'002000',
		'légyo'	=>	'002000',
		'légyö'	=>	'002000',
		'légz'	=>	'30000',
		'léhasz'	=>	'0001000',
		'léhed'	=>	'002000',
		'léhem'	=>	'002100',
		'léhes'	=>	'200000',
		'léhet'	=>	'200000',
		'léhező'	=>	'2000000',
		'léhé'	=>	'00210',
		'léhol'	=>	'002000',
		'léhs'	=>	'20000',
		'léji'	=>	'21200',
		'léjj'	=>	'21000',
		'léjs'	=>	'21000',
		'lékab'	=>	'002000',
		'lékad'	=>	'002120',
		'lékag'	=>	'002120',
		'lékaj'	=>	'002100',
		'lékaka'	=>	'0001000',
		'lékala'	=>	'0021200',
		'lékap'	=>	'000020',
		'lékapo'	=>	'0021000',
		'lékas'	=>	'002100',
		'lékat'	=>	'000020',
		'lékato'	=>	'0001000',
		'lékau'	=>	'002100',
		'lékav'	=>	'002100',
		'lékaz'	=>	'002000',
		'lékeg'	=>	'002120',
		'lékep'	=>	'002100',
		'lékesí'	=>	'0020000',
		'lékesz'	=>	'0021200',
		'lékevé'	=>	'0001000',
		'lékék'	=>	'002120',
		'lékél'	=>	'000020',
		'lékéle'	=>	'0021000',
		'lékélv'	=>	'0021000',
		'lékéte'	=>	'0021200',
		'lékid'	=>	'002000',
		'lékít'	=>	'002000',
		'lékköz'	=>	'0000001',
		'lékors'	=>	'0001000',
		'lékosz'	=>	'0021000',
		'léköl'	=>	'002100',
		'lékör'	=>	'002000',
		'léköz'	=>	'002000',
		'lékő'	=>	'00200',
		'lékur'	=>	'002120',
		'lékül'	=>	'000020',
		'lékülé'	=>	'0021000',
		'lékült'	=>	'0021000',
		'lékveg'	=>	'0000020',
		'lélc'	=>	'01000',
		'lélei'	=>	'212000',
		'léles'	=>	'212000',
		'léléb'	=>	'002000',
		'lélén'	=>	'002000',
		'lélér'	=>	'002000',
		'lélm'	=>	'21000',
		'lélőkész'	=>	'000000001',
		'lélr'	=>	'21000',
		'lélük'	=>	'002000',
		'lélű'	=>	'21200',
		'lémel'	=>	'212000',
		'lénag'	=>	'002000',
		'léná'	=>	'00002',
		'léneg'	=>	'002000',
		'lénekb'	=>	'0020000',
		'lénekl'	=>	'2000000',
		'lénel'	=>	'002000',
		'lénkí'	=>	'200000',
		'léno'	=>	'00200',
		'lényö'	=>	'002000',
		'lépal'	=>	'002120',
		'lépel'	=>	'002100',
		'lépéss'	=>	'0000030',
		'lépí'	=>	'21200',
		'lépó'	=>	'00200',
		'lépül'	=>	'200000',
		'lépülé'	=>	'0020000',
		'lérad'	=>	'003000',
		'léral'	=>	'002000',
		'lérap'	=>	'002000',
		'léras'	=>	'002000',
		'lérat'	=>	'002000',
		'lérav'	=>	'002000',
		'lérá'	=>	'00210',
		'lércb'	=>	'210000',
		'lérde'	=>	'210000',
		'léreg'	=>	'002000',
		'lérel'	=>	'002120',
		'léreső'	=>	'0021000',
		'lérezv'	=>	'2120000',
		'léréj'	=>	'002120',
		'lérés'	=>	'212000',
		'lérik'	=>	'212000',
		'léris'	=>	'002000',
		'lérit'	=>	'002000',
		'lérí'	=>	'00200',
		'lérni'	=>	'210000',
		'lérnü'	=>	'210000',
		'lérosz'	=>	'0021000',
		'lérö'	=>	'00200',
		'lérőd'	=>	'002000',
		'lérőe'	=>	'212000',
		'lérői'	=>	'002000',
		'lérőj'	=>	'212000',
		'lérők'	=>	'212000',
		'lérőn'	=>	'002000',
		'lérőt'	=>	'212000',
		'lérőv'	=>	'212000',
		'lértelm'	=>	'20000000',
		'lérték'	=>	'2100000',
		'lértj'	=>	'210000',
		'lérut'	=>	'002000',
		'lérvel'	=>	'2000000',
		'lérvén'	=>	'2100000',
		'lérze'	=>	'210000',
		'lérzé'	=>	'210000',
		'lésa'	=>	'00002',
		'lésaj'	=>	'002100',
		'lésak'	=>	'002000',
		'lésal'	=>	'002000',
		'lésar'	=>	'002000',
		'lésaz'	=>	'002100',
		'lésá'	=>	'00212',
		'léseg'	=>	'002000',
		'lésel'	=>	'002120',
		'léseti'	=>	'0021000',
		'léség'	=>	'002120',
		'lésés'	=>	'002000',
		'lésikr'	=>	'0021000',
		'lésó'	=>	'00200',
		'léső'	=>	'00210',
		'léssza'	=>	'0003000',
		'lésszer'	=>	'00030000',
		'lésül'	=>	'000020',
		'lésülé'	=>	'0021000',
		'lésülő'	=>	'0021000',
		'lésüt'	=>	'002100',
		'lészék'	=>	'0000100',
		'lészést'	=>	'20000000',
		'lészl'	=>	'210000',
		'lészse'	=>	'0003000',
		'létag'	=>	'002000',
		'létaz'	=>	'002000',
		'léteg'	=>	'002100',
		'lételek'	=>	'00200000',
		'lételeko'	=>	'000020000',
		'lételem'	=>	'00212000',
		'lételet'	=>	'00212000',
		'lételh'	=>	'0020000',
		'lételha'	=>	'00010000',
		'lételm'	=>	'0020000',
		'lételo'	=>	'0001000',
		'lételő'	=>	'0021000',
		'lételv'	=>	'0021000',
		'létene'	=>	'0020000',
		'létesé'	=>	'0020000',
		'léteth'	=>	'2120000',
		'léteti'	=>	'0020000',
		'létetn'	=>	'2120000',
		'létev'	=>	'002000',
		'lététe'	=>	'0021200',
		'létis'	=>	'002100',
		'létít'	=>	'002000',
		'létl'	=>	'20000',
		'létok'	=>	'002120',
		'létó'	=>	'32000',
		'létóh'	=>	'002000',
		'létól'	=>	'003000',
		'létór'	=>	'002120',
		'létö'	=>	'00002',
		'létörö'	=>	'0001000',
		'létrág'	=>	'0002000',
		'létun'	=>	'002000',
		'lévad'	=>	'210000',
		'lévb'	=>	'21000',
		'léved'	=>	'212000',
		'lévei'	=>	'200000',
		'lévek'	=>	'212000',
		'lévelf'	=>	'2000000',
		'léveli'	=>	'2000000',
		'lévem'	=>	'212000',
		'léven'	=>	'212000',
		'lévéb'	=>	'212000',
		'lévéh'	=>	'212000',
		'lévéi'	=>	'212000',
		'lévén'	=>	'200000',
		'lévért'	=>	'0001000',
		'lévét'	=>	'212000',
		'lévév'	=>	'212000',
		'lévf'	=>	'21000',
		'lévh'	=>	'21000',
		'lévig'	=>	'212000',
		'lévir'	=>	'002000',
		'lévis'	=>	'002000',
		'lévk'	=>	'21000',
		'lévl'	=>	'21000',
		'lévm'	=>	'21000',
		'lévn'	=>	'21000',
		'lévó'	=>	'21200',
		'lévr'	=>	'21000',
		'lévs'	=>	'21000',
		'lévt'	=>	'21000',
		'lévü'	=>	'20000',
		'lévük'	=>	'002000',
		'lévün'	=>	'002000',
		'lévű'	=>	'21200',
		'lévv'	=>	'21000',
		'lévz'	=>	'21000',
		'lfale'	=>	'000212',
		'lfat'	=>	'00002',
		'lfatr'	=>	'000100',
		'lfaut'	=>	'001000',
		'lfáti'	=>	'000212',
		'lfcl'	=>	'00100',
		'lfese'	=>	'001000',
		'lfet'	=>	'00020',
		'lfeti'	=>	'001000',
		'lfélév'	=>	'0002120',
		'lfélm'	=>	'021000',
		'lfémeké'	=>	'00021200',
		'lfidé'	=>	'000210',
		'lfinn'	=>	'000030',
		'lfinos'	=>	'0002000',
		'lfiro'	=>	'001000',
		'lfisk'	=>	'001000',
		'lfkl'	=>	'00100',
		'lflo'	=>	'00200',
		'lfló'	=>	'00200',
		'lflö'	=>	'00200',
		'lflu'	=>	'00200',
		'lfokta'	=>	'0210000',
		'lfór'	=>	'02120',
		'lfpr'	=>	'00100',
		'lfri'	=>	'00200',
		'lfrí'	=>	'01200',
		'lfro'	=>	'01200',
		'lfrö'	=>	'00200',
		'lfrő'	=>	'00200',
		'lfsp'	=>	'00100',
		'lfsz'	=>	'00102',
		'lfülő'	=>	'001000',
		'lgap'	=>	'00012',
		'lgatóiko'	=>	'000000200',
		'lgau'	=>	'00002',
		'lgáras'	=>	'0000100',
		'lgéss'	=>	'000030',
		'lgias'	=>	'000200',
		'lgla'	=>	'00200',
		'lglo'	=>	'00200',
		'lgló'	=>	'00200',
		'lgörcso'	=>	'00002000',
		'lgra'	=>	'01200',
		'lgru'	=>	'00200',
		'lgyad'	=>	'020100',
		'lgyag'	=>	'020100',
		'lgyaj'	=>	'020000',
		'lgyala'	=>	'0001000',
		'lgyalj'	=>	'0001000',
		'lgyany'	=>	'0001000',
		'lgyas'	=>	'020120',
		'lgyau'	=>	'020100',
		'lgyáb'	=>	'020000',
		'lgyál'	=>	'020000',
		'lgyát'	=>	'020000',
		'lgyeg'	=>	'020120',
		'lgyelá'	=>	'0200000',
		'lgyele'	=>	'0201200',
		'lgyelz'	=>	'0201000',
		'lgyembe'	=>	'02000000',
		'lgyeré'	=>	'0001000',
		'lgyesem'	=>	'02010000',
		'lgyev'	=>	'020120',
		'lgyél'	=>	'020000',
		'lgyés'	=>	'020100',
		'lgyid'	=>	'020000',
		'lgyikr'	=>	'0200000',
		'lgyip'	=>	'020000',
		'lgyis'	=>	'020000',
		'lgyok'	=>	'020100',
		'lgyol'	=>	'020100',
		'lgyop'	=>	'020000',
		'lgyos'	=>	'020100',
		'lgyór'	=>	'020120',
		'lgyör'	=>	'020120',
		'lgyös'	=>	'020100',
		'lgyut'	=>	'020120',
		'lgyút'	=>	'020100',
		'lhai'	=>	'00002',
		'lhónal'	=>	'0000100',
		'li'	=>	'100',
		'liaa'	=>	'00200',
		'liaá'	=>	'00200',
		'liabi'	=>	'002000',
		'liabo'	=>	'002000',
		'liacé'	=>	'000200',
		'liaci'	=>	'002000',
		'liacs'	=>	'002000',
		'liacu'	=>	'002000',
		'liad'	=>	'00212',
		'liae'	=>	'00200',
		'liaé'	=>	'00200',
		'liag'	=>	'00200',
		'liah'	=>	'00200',
		'liaid'	=>	'002000',
		'liaí'	=>	'00200',
		'liaj'	=>	'00200',
		'liakép'	=>	'0020000',
		'liala'	=>	'002000',
		'liale'	=>	'002000',
		'liali'	=>	'002000',
		'liamé'	=>	'002000',
		'liamo'	=>	'002000',
		'liao'	=>	'00200',
		'liaó'	=>	'00200',
		'liaő'	=>	'00200',
		'liap'	=>	'00200',
		'liara'	=>	'002000',
		'liaré'	=>	'002000',
		'liasá'	=>	'002000',
		'liaso'	=>	'002000',
		'liasz'	=>	'000100',
		'liasza'	=>	'0020000',
		'liaszá'	=>	'0020000',
		'liaszé'	=>	'0020000',
		'liaszf'	=>	'0020000',
		'liaszi'	=>	'0020000',
		'liat'	=>	'00212',
		'liaü'	=>	'00200',
		'liav'	=>	'00200',
		'liaz'	=>	'00200',
		'libe'	=>	'00300',
		'licsz'	=>	'000300',
		'licü'	=>	'00200',
		'licy'	=>	'00100',
		'lideá'	=>	'002000',
		'lideg'	=>	'202000',
		'lidén'	=>	'002000',
		'lidét'	=>	'002000',
		'lidi'	=>	'21200',
		'lidő'	=>	'21200',
		'liec'	=>	'00200',
		'lied'	=>	'00020',
		'lien'	=>	'20000',
		'liéd'	=>	'00020',
		'liék'	=>	'00020',
		'lién'	=>	'00020',
		'liévé'	=>	'000200',
		'lifélév'	=>	'00002120',
		'lifí'	=>	'00200',
		'lifl'	=>	'00100',
		'lifr'	=>	'00120',
		'ligaz'	=>	'212000',
		'ligánn'	=>	'0000010',
		'ligeb'	=>	'212000',
		'ligek'	=>	'212000',
		'ligep'	=>	'212000',
		'ligéb'	=>	'002000',
		'ligéh'	=>	'002000',
		'ligéi'	=>	'002000',
		'ligéj'	=>	'002000',
		'ligék'	=>	'002000',
		'ligén'	=>	'002000',
		'ligér'	=>	'002000',
		'ligés'	=>	'002000',
		'ligét'	=>	'002000',
		'ligév'	=>	'002000',
		'ligéz'	=>	'002000',
		'lihat'	=>	'002000',
		'lihl'	=>	'21000',
		'likerb'	=>	'2120000',
		'likkell'	=>	'00021000',
		'likkelv'	=>	'00021000',
		'likker'	=>	'0002120',
		'likkérd'	=>	'00020000',
		'likl'	=>	'00120',
		'likonc'	=>	'2120000',
		'likonf'	=>	'2120000',
		'likong'	=>	'2120000',
		'likonig'	=>	'21200000',
		'likonk'	=>	'2120000',
		'likonl'	=>	'2000000',
		'likonm'	=>	'2120000',
		'likonp'	=>	'2120000',
		'likons'	=>	'2120000',
		'likré'	=>	'001000',
		'lill'	=>	'20000',
		'limád'	=>	'200000',
		'limák'	=>	'002000',
		'limáv'	=>	'002000',
		'limbo'	=>	'010000',
		'limerá'	=>	'0000200',
		'limp'	=>	'00012',
		'limpo'	=>	'200000',
		'limű'	=>	'00001',
		'linakr'	=>	'0020000',
		'linal'	=>	'002000',
		'linany'	=>	'0001000',
		'linará'	=>	'0001000',
		'lincsö'	=>	'0002012',
		'lindu'	=>	'210000',
		'lineg'	=>	'002000',
		'linék'	=>	'000002',
		'linger'	=>	'2100000',
		'lingrá'	=>	'0001000',
		'lingrádi'	=>	'000020000',
		'lingré'	=>	'2100000',
		'lining'	=>	'0001000',
		'lininj'	=>	'0001000',
		'linkl'	=>	'000100',
		'linny'	=>	'000300',
		'linor'	=>	'002000',
		'linteg'	=>	'2100000',
		'lintéz'	=>	'2100000',
		'linus'	=>	'002120',
		'linut'	=>	'002100',
		'linú'	=>	'21200',
		'lioc'	=>	'00200',
		'liol'	=>	'00020',
		'lioni'	=>	'002000',
		'lióke'	=>	'002000',
		'lióraj'	=>	'0002000',
		'liőá'	=>	'00200',
		'liőd'	=>	'00200',
		'liőe'	=>	'00200',
		'liőf'	=>	'00200',
		'liőg'	=>	'00200',
		'liőm'	=>	'00200',
		'liőp'	=>	'00200',
		'lipai'	=>	'002000',
		'lipaj'	=>	'002100',
		'lipár'	=>	'002120',
		'lipát'	=>	'002000',
		'lipeg'	=>	'002000',
		'lipele'	=>	'0001000',
		'lipelv'	=>	'0021000',
		'lipesz'	=>	'0021000',
		'lipö'	=>	'00200',
		'lipő'	=>	'00212',
		'lipro'	=>	'001000',
		'liram'	=>	'212000',
		'lirat'	=>	'212000',
		'lirán'	=>	'212000',
		'lirh'	=>	'21000',
		'lirig'	=>	'002000',
		'lirod'	=>	'002000',
		'lirr'	=>	'21000',
		'lirt'	=>	'21000',
		'lisál'	=>	'002000',
		'lisel'	=>	'002100',
		'lises'	=>	'000020',
		'lisid'	=>	'002000',
		'lisisk'	=>	'0001000',
		'liskol'	=>	'2100000',
		'lism'	=>	'01000',
		'lisp'	=>	'00012',
		'lispá'	=>	'210000',
		'listen'	=>	'2100000',
		'listr'	=>	'210000',
		'lisüt'	=>	'002120',
		'lisüv'	=>	'000120',
		'liszl'	=>	'210000',
		'lisztáz'	=>	'00002120',
		'lisztir'	=>	'00100000',
		'litag'	=>	'002120',
		'litala'	=>	'0020000',
		'litalk'	=>	'0001000',
		'litáta'	=>	'0021000',
		'liteg'	=>	'002120',
		'litel'	=>	'002120',
		'litemb'	=>	'0021000',
		'litez'	=>	'002000',
		'litérd'	=>	'0021000',
		'litérte'	=>	'00200000',
		'litil'	=>	'002000',
		'litint'	=>	'0001000',
		'litio'	=>	'002120',
		'litis'	=>	'002100',
		'litokt'	=>	'0021000',
		'litold'	=>	'0021000',
		'litön'	=>	'002000',
		'litő'	=>	'00002',
		'litőr'	=>	'002100',
		'littak'	=>	'0100000',
		'littas'	=>	'0100000',
		'littat'	=>	'0100000',
		'litura'	=>	'0021000',
		'liút'	=>	'00020',
		'livad'	=>	'212000',
		'livot'	=>	'002000',
		'livó'	=>	'01200',
		'lizél'	=>	'010000',
		'lizén'	=>	'212000',
		'lizésí'	=>	'2000000',
		'lizgu'	=>	'010000',
		'lizmo'	=>	'210000',
		'lizzí'	=>	'200000',
		'lizzó'	=>	'210000',
		'lí'	=>	'100',
		'lígé'	=>	'00200',
		'líja'	=>	'00200',
		'líju'	=>	'00200',
		'líma'	=>	'00001',
		'líns'	=>	'21000',
		'líny'	=>	'01200',
		'línyenc'	=>	'00000001',
		'lírd'	=>	'01000',
		'lírh'	=>	'01000',
		'lírj'	=>	'01000',
		'lírl'	=>	'01000',
		'lírod'	=>	'002000',
		'lírog'	=>	'002000',
		'lírok'	=>	'002000',
		'lírom'	=>	'002000',
		'líró'	=>	'21200',
		'lírs'	=>	'01000',
		'líru'	=>	'01200',
		'lítéss'	=>	'0000030',
		'lítőa'	=>	'000002',
		'lítőpr'	=>	'0000230',
		'líva'	=>	'00001',
		'lívak'	=>	'000002',
		'líze'	=>	'21200',
		'lízi'	=>	'02000',
		'líziss'	=>	'0000030',
		'lízl'	=>	'21000',
		'lízü'	=>	'21200',
		'lízű'	=>	'01200',
		'ljada'	=>	'021200',
		'ljelő'	=>	'021200',
		'ljer'	=>	'02100',
		'ljess'	=>	'000010',
		'ljharc'	=>	'0000001',
		'ljip'	=>	'02100',
		'ljir'	=>	'02100',
		'ljiz'	=>	'02100',
		'ljír'	=>	'00100',
		'ljor'	=>	'02100',
		'ljos'	=>	'02100',
		'ljpr'	=>	'00100',
		'ljsp'	=>	'00100',
		'ljüz'	=>	'00100',
		'lkasl'	=>	'000100',
		'lkatel'	=>	'0002000',
		'lkaté'	=>	'000210',
		'lkatin'	=>	'0002000',
		'lkató'	=>	'000212',
		'lképell'	=>	'00021000',
		'lkészel'	=>	'00020000',
		'lkiak'	=>	'000020',
		'lkiá'	=>	'00002',
		'lklin'	=>	'012000',
		'lklí'	=>	'00200',
		'lklu'	=>	'01200',
		'lkrá'	=>	'01200',
		'lkreá'	=>	'002000',
		'lkrémb'	=>	'0120000',
		'lkri'	=>	'01200',
		'lkrí'	=>	'01200',
		'lkrom'	=>	'002000',
		'lkró'	=>	'01200',
		'lksh'	=>	'00100',
		'lkukész'	=>	'00000001',
		'lkva'	=>	'00200',
		'lkvá'	=>	'00200',
		'lkvó'	=>	'00200',
		'lladój'	=>	'0002000',
		'llaf'	=>	'00012',
		'llagad'	=>	'0002100',
		'llagal'	=>	'0002000',
		'llagas'	=>	'0002120',
		'llagál'	=>	'0002000',
		'llagen'	=>	'0002000',
		'llagép'	=>	'0002000',
		'llagg'	=>	'000030',
		'llagol'	=>	'0002000',
		'llaja'	=>	'001200',
		'llakad'	=>	'0010000',
		'llakc'	=>	'021000',
		'llakóz'	=>	'0012000',
		'llakti'	=>	'0210000',
		'llalap'	=>	'0212000',
		'llalm'	=>	'021000',
		'llamad'	=>	'0002000',
		'llamal'	=>	'0002000',
		'llamem'	=>	'0002000',
		'llamél'	=>	'0002000',
		'llamor'	=>	'0002000',
		'llanal'	=>	'0210000',
		'llanyer'	=>	'00020000',
		'llanyó'	=>	'0000012',
		'llapal'	=>	'0002000',
		'llaszf'	=>	'0010000',
		'llatal'	=>	'0000020',
		'llatala'	=>	'00020000',
		'llatany'	=>	'00001000',
		'llatál'	=>	'0002100',
		'llatárad'	=>	'000000120',
		'llatárb'	=>	'00021000',
		'llatés'	=>	'0002000',
		'llatint'	=>	'00020000',
		'llatolt'	=>	'00021000',
		'llatomo'	=>	'02000000',
		'llators'	=>	'00020000',
		'llatű'	=>	'000210',
		'llaty'	=>	'021000',
		'llaut'	=>	'021000',
		'llága'	=>	'021200',
		'llágb'	=>	'021000',
		'llágg'	=>	'021000',
		'llágyá'	=>	'0010000',
		'llállo'	=>	'0210000',
		'llálm'	=>	'021000',
		'llámag'	=>	'0002000',
		'llámal'	=>	'0002100',
		'lláme'	=>	'000212',
		'llámérté'	=>	'000210000',
		'llámik'	=>	'0002000',
		'llámis'	=>	'0002000',
		'llámut'	=>	'0002100',
		'llánke'	=>	'0000212',
		'lláp'	=>	'02120',
		'llára'	=>	'000002',
		'llárad'	=>	'0000100',
		'llárak'	=>	'0002000',
		'llárá'	=>	'000212',
		'llásikr'	=>	'00021000',
		'llásü'	=>	'000200',
		'llásza'	=>	'0002000',
		'llátd'	=>	'021000',
		'llátf'	=>	'021000',
		'lláti'	=>	'021200',
		'llátk'	=>	'021000',
		'llbl'	=>	'00100',
		'llbr'	=>	'00100',
		'llcl'	=>	'00100',
		'lldr'	=>	'00120',
		'lledz'	=>	'021200',
		'lleff'	=>	'001000',
		'lleger'	=>	'0002000',
		'llegg'	=>	'000010',
		'llegyé'	=>	'0002000',
		'lleí'	=>	'00002',
		'llekés'	=>	'0212000',
		'llela'	=>	'000210',
		'llelin'	=>	'0002000',
		'llell'	=>	'021000',
		'llelőa'	=>	'0212000',
		'llelőd'	=>	'0212000',
		'llema'	=>	'000212',
		'llemá'	=>	'000210',
		'llemeg'	=>	'0002120',
		'llemel'	=>	'0002000',
		'llemelé'	=>	'00100000',
		'llemell'	=>	'00001000',
		'llemer'	=>	'0002000',
		'llemél'	=>	'0002100',
		'llemérté'	=>	'000210000',
		'llemo'	=>	'000212',
		'llemu'	=>	'000200',
		'llena'	=>	'000200',
		'llenn'	=>	'000030',
		'llenőr'	=>	'0002120',
		'llens'	=>	'000002',
		'llerin'	=>	'0002100',
		'lleró'	=>	'021200',
		'llesőt'	=>	'0212000',
		'llestr'	=>	'0010000',
		'lletos'	=>	'0002000',
		'llevet'	=>	'0212000',
		'llex'	=>	'02100',
		'lléhet'	=>	'0012000',
		'lléjek'	=>	'0212000',
		'llékaps'	=>	'00021000',
		'lléká'	=>	'000002',
		'llékár'	=>	'0002000',
		'llékol'	=>	'0002100',
		'llékos'	=>	'0002000',
		'llékó'	=>	'000200',
		'llékút'	=>	'0002100',
		'lléletb'	=>	'02120000',
		'llélete'	=>	'02120000',
		'lléletén'	=>	'021200000',
		'lléletét'	=>	'021200000',
		'lléletk'	=>	'02120000',
		'llélt'	=>	'021000',
		'llélv'	=>	'021000',
		'llénya'	=>	'0003000',
		'llésp'	=>	'000100',
		'lléter'	=>	'0212000',
		'lléto'	=>	'000020',
		'llévén'	=>	'0012000',
		'llfl'	=>	'00120',
		'llfr'	=>	'00100',
		'llgr'	=>	'00120',
		'llide'	=>	'001000',
		'lliga'	=>	'021200',
		'lligé'	=>	'021000',
		'llill'	=>	'001000',
		'llima'	=>	'021200',
		'llimp'	=>	'021000',
		'llind'	=>	'021000',
		'llinga'	=>	'0010000',
		'llingf'	=>	'0210000',
		'llingm'	=>	'0210000',
		'llings'	=>	'0210000',
		'llinin'	=>	'0002000',
		'llinv'	=>	'021000',
		'llip'	=>	'00020',
		'llipa'	=>	'021002',
		'llirá'	=>	'021000',
		'lliro'	=>	'021000',
		'llisi'	=>	'021000',
		'llisko'	=>	'0010000',
		'llism'	=>	'020000',
		'lliste'	=>	'0210000',
		'llita'	=>	'000200',
		'llital'	=>	'0200000',
		'llizé'	=>	'021000',
		'llizma'	=>	'0010000',
		'llizmá'	=>	'0010000',
		'llizo'	=>	'021200',
		'llíg'	=>	'02100',
		'llíj'	=>	'02100',
		'llív'	=>	'02120',
		'llkl'	=>	'00120',
		'llkr'	=>	'00120',
		'llkv'	=>	'00100',
		'lloá'	=>	'02100',
		'llobj'	=>	'001000',
		'lloff'	=>	'021000',
		'llol'	=>	'02120',
		'llope'	=>	'001000',
		'lloss'	=>	'000030',
		'llóá'	=>	'00002',
		'llógr'	=>	'000100',
		'llóó'	=>	'00002',
		'llórák'	=>	'0002000',
		'llórát'	=>	'0002000',
		'llóriá'	=>	'0002000',
		'llóvo'	=>	'020000',
		'llöb'	=>	'02100',
		'llöl'	=>	'02100',
		'llönt'	=>	'001000',
		'llör'	=>	'02100',
		'llöss'	=>	'001000',
		'llösz'	=>	'001000',
		'llöz'	=>	'02120',
		'llőrei'	=>	'0012000',
		'llőrö'	=>	'021200',
		'llőrt'	=>	'021000',
		'llősi'	=>	'021200',
		'llpl'	=>	'00120',
		'llpr'	=>	'00120',
		'llsk'	=>	'00100',
		'llsp'	=>	'00100',
		'llss'	=>	'00030',
		'llsz'	=>	'00002',
		'llszt'	=>	'001000',
		'lltré'	=>	'001000',
		'lltri'	=>	'001000',
		'lltró'	=>	'001000',
		'llubo'	=>	'001200',
		'llug'	=>	'02100',
		'llult'	=>	'001000',
		'lluss'	=>	'000010',
		'llut'	=>	'02120',
		'llús'	=>	'02100',
		'llúto'	=>	'021200',
		'llüd'	=>	'02100',
		'llüg'	=>	'02100',
		'llür'	=>	'02100',
		'llüt'	=>	'02100',
		'llüz'	=>	'02100',
		'llűz'	=>	'02100',
		'llvédel'	=>	'00002120',
		'lly'	=>	'0200',
		'llyö'	=>	'00010',
		'llyw'	=>	'03000',
		'lmakad'	=>	'0002000',
		'lmakré'	=>	'0001000',
		'lmant'	=>	'021000',
		'lmatrá'	=>	'0001000',
		'lmatt'	=>	'021000',
		'lmál'	=>	'00020',
		'lmálm'	=>	'001000',
		'lmálo'	=>	'001000',
		'lmányan'	=>	'00020000',
		'lmányút'	=>	'00020100',
		'lmáris'	=>	'0002000',
		'lmátk'	=>	'001000',
		'lmátt'	=>	'001000',
		'lmbl'	=>	'00100',
		'lmbr'	=>	'00120',
		'lmcl'	=>	'00100',
		'lmdr'	=>	'00100',
		'lmegon'	=>	'0003000',
		'lmekl'	=>	'000100',
		'lmelb'	=>	'001000',
		'lmeli'	=>	'001200',
		'lmelm'	=>	'001000',
		'lmelő'	=>	'001200',
		'lmember'	=>	'02100000',
		'lmenc'	=>	'021000',
		'lmeng'	=>	'021000',
		'lmeó'	=>	'00002',
		'lmepi'	=>	'001000',
		'lmeseté'	=>	'00120000',
		'lmessz'	=>	'0210000',
		'lmetn'	=>	'021000',
		'lmetű'	=>	'021000',
		'lmex'	=>	'02100',
		'lmég'	=>	'02100',
		'lmélv'	=>	'021000',
		'lméneke'	=>	'02120000',
		'lmép'	=>	'02100',
		'lmértő'	=>	'0210000',
		'lméva'	=>	'021000',
		'lmgl'	=>	'00100',
		'lmgr'	=>	'00100',
		'lmidő'	=>	'001200',
		'lmig'	=>	'00020',
		'lmiga'	=>	'021000',
		'lmigaz'	=>	'0000001',
		'lmind'	=>	'021000',
		'lminf'	=>	'021000',
		'lming'	=>	'021000',
		'lmins'	=>	'021000',
		'lminte'	=>	'0210000',
		'lminté'	=>	'0210000',
		'lminv'	=>	'021000',
		'lmip'	=>	'02120',
		'lmirá'	=>	'001000',
		'lmiro'	=>	'001000',
		'lmisk'	=>	'001000',
		'lmizz'	=>	'001000',
		'lmíg'	=>	'00100',
		'lmír'	=>	'00100',
		'lmíz'	=>	'00100',
		'lmkl'	=>	'00100',
		'lmkr'	=>	'00100',
		'lmold'	=>	'001000',
		'lmolv'	=>	'001000',
		'lmop'	=>	'02120',
		'lmors'	=>	'001000',
		'lmov'	=>	'02100',
		'lmódá'	=>	'021000',
		'lmórá'	=>	'001200',
		'lmök'	=>	'00120',
		'lmön'	=>	'00100',
		'lmör'	=>	'00120',
		'lmös'	=>	'00100',
		'lmöt'	=>	'00100',
		'lmöz'	=>	'00120',
		'lmőr'	=>	'00120',
		'lmpl'	=>	'00120',
		'lmpr'	=>	'00120',
		'lmsk'	=>	'00100',
		'lmsl'	=>	'00100',
		'lmsn'	=>	'00100',
		'lmsp'	=>	'00100',
		'lmst'	=>	'00100',
		'lmsz'	=>	'00102',
		'lmtr'	=>	'00120',
		'lmug'	=>	'02120',
		'lmur'	=>	'02120',
		'lmutó'	=>	'001000',
		'lmúj'	=>	'02100',
		'lmüg'	=>	'02100',
		'lmünn'	=>	'021000',
		'lmüz'	=>	'02100',
		'lnak'	=>	'00002',
		'lnape'	=>	'000210',
		'lnáris'	=>	'0002000',
		'lnévá'	=>	'000210',
		'lniker'	=>	'0002000',
		'lnis'	=>	'00021',
		'lo'	=>	'100',
		'loáz'	=>	'00200',
		'lobar'	=>	'002120',
		'lobá'	=>	'20000',
		'lobác'	=>	'002120',
		'lobe'	=>	'20200',
		'lobiv'	=>	'002100',
		'lobó'	=>	'00212',
		'lobu'	=>	'20000',
		'loby'	=>	'00100',
		'loch'	=>	'00200',
		'locy'	=>	'00100',
		'loéc'	=>	'00200',
		'loéo'	=>	'00200',
		'loép'	=>	'00200',
		'loéz'	=>	'00200',
		'logad'	=>	'002120',
		'logal'	=>	'002000',
		'logál'	=>	'002100',
		'logáss'	=>	'0000010',
		'loger'	=>	'002000',
		'logí'	=>	'00200',
		'logor'	=>	'002100',
		'logö'	=>	'00200',
		'lográff'	=>	'00120000',
		'logú'	=>	'00210',
		'logü'	=>	'00200',
		'loir'	=>	'00200',
		'lokab'	=>	'002000',
		'lokad'	=>	'002120',
		'lokaj'	=>	'002100',
		'lokak'	=>	'212000',
		'lokárb'	=>	'0020000',
		'lokáro'	=>	'0021200',
		'lokárr'	=>	'0021000',
		'lokáru'	=>	'0021000',
		'lokátj'	=>	'0021000',
		'lokáu'	=>	'002000',
		'loke'	=>	'00212',
		'lokék'	=>	'002000',
		'lokid'	=>	'002000',
		'lokis'	=>	'000100',
		'lokiz'	=>	'002120',
		'lokí'	=>	'00200',
		'lokkal'	=>	'0000020',
		'lokkala'	=>	'00021000',
		'lokkel'	=>	'0002100',
		'lokkó'	=>	'000212',
		'lokkös'	=>	'0002000',
		'lokkut'	=>	'0002100',
		'lokol'	=>	'002100',
		'lokonk'	=>	'0020000',
		'lokor'	=>	'002000',
		'lokoz'	=>	'212000',
		'lokü'	=>	'00200',
		'lolaj'	=>	'002000',
		'lold'	=>	'21000',
		'loli'	=>	'21200',
		'lolló'	=>	'210000',
		'loltár'	=>	'2100000',
		'lomadá'	=>	'0001000',
		'lomaga'	=>	'0001000',
		'lomajt'	=>	'0021000',
		'lomaka'	=>	'0001000',
		'lomalap'	=>	'00012000',
		'lomalo'	=>	'0001200',
		'lomará'	=>	'0001000',
		'lomass'	=>	'0001000',
		'lomatt'	=>	'0021000',
		'lomaz'	=>	'002000',
		'lomács'	=>	'0001000',
		'lomág'	=>	'002000',
		'lomál'	=>	'002100',
		'lomáré'	=>	'0021000',
		'lomári'	=>	'0001000',
		'lomárk'	=>	'0001000',
		'lomárn'	=>	'0021000',
		'lomáro'	=>	'0021200',
		'lombal'	=>	'0000020',
		'lombala'	=>	'00020000',
		'lombav'	=>	'0002000',
		'lomed'	=>	'002000',
		'lomeg'	=>	'002000',
		'lomen'	=>	'002000',
		'lomerk'	=>	'0001000',
		'lomerő'	=>	'0001000',
		'lomes'	=>	'002100',
		'loméd'	=>	'002000',
		'lomék'	=>	'002000',
		'lomél'	=>	'002000',
		'loméne'	=>	'0001200',
		'loméri'	=>	'0021000',
		'lomid'	=>	'002120',
		'lomik'	=>	'002120',
		'lomim'	=>	'002100',
		'lomink'	=>	'0020000',
		'lomint'	=>	'0001000',
		'lomis'	=>	'000020',
		'lomisz'	=>	'0001000',
		'lomiz'	=>	'002000',
		'lomí'	=>	'00212',
		'lomló'	=>	'010000',
		'lomokoz'	=>	'00210000',
		'lomol'	=>	'002000',
		'lomor'	=>	'002120',
		'lomosz'	=>	'0021000',
		'lomott'	=>	'0001000',
		'lomó'	=>	'00212',
		'lomö'	=>	'00200',
		'lomő'	=>	'00200',
		'lompl'	=>	'000120',
		'lomü'	=>	'00200',
		'lomű'	=>	'00200',
		'lonab'	=>	'002000',
		'lonad'	=>	'002120',
		'lonag'	=>	'002120',
		'lonaj'	=>	'002000',
		'lonak'	=>	'002000',
		'lonal'	=>	'002120',
		'lonar'	=>	'002100',
		'lonas'	=>	'002100',
		'lonau'	=>	'002100',
		'lonav'	=>	'002100',
		'lonáz'	=>	'002120',
		'lonch'	=>	'000200',
		'loncil'	=>	'0002000',
		'londó'	=>	'000212',
		'lonel'	=>	'002100',
		'lonir'	=>	'002100',
		'lonk'	=>	'00012',
		'lonol'	=>	'002000',
		'lonó'	=>	'00212',
		'lonö'	=>	'00200',
		'lons'	=>	'00012',
		'lontr'	=>	'000100',
		'lonü'	=>	'00200',
		'looi'	=>	'00200',
		'looj'	=>	'00200',
		'loor'	=>	'00200',
		'loós'	=>	'00200',
		'lopap'	=>	'002000',
		'lopál'	=>	'000100',
		'lope'	=>	'00200',
		'lopel'	=>	'000120',
		'lopiz'	=>	'002000',
		'lopí'	=>	'00200',
		'lopor'	=>	'002120',
		'loposz'	=>	'0021000',
		'lopö'	=>	'00200',
		'loppin'	=>	'0002100',
		'lopt'	=>	'00012',
		'lopti'	=>	'210000',
		'lopü'	=>	'00200',
		'lordin'	=>	'0002000',
		'loret'	=>	'000020',
		'lorg'	=>	'21000',
		'lorm'	=>	'21000',
		'lorn'	=>	'20000',
		'lors'	=>	'21000',
		'lorv'	=>	'21000',
		'lorz'	=>	'21000',
		'losa'	=>	'02000',
		'losb'	=>	'02000',
		'lose'	=>	'00200',
		'losü'	=>	'00200',
		'lotha'	=>	'001200',
		'lottl'	=>	'200000',
		'loxá'	=>	'00200',
		'loxi'	=>	'00200',
		'ló'	=>	'100',
		'lóad'	=>	'00020',
		'lóár'	=>	'00020',
		'lóbl'	=>	'00100',
		'lóbr'	=>	'00100',
		'lócc'	=>	'00030',
		'lócem'	=>	'002000',
		'lóch'	=>	'00200',
		'lócsapág'	=>	'000002120',
		'lódát'	=>	'212000',
		'lódro'	=>	'001000',
		'lófélév'	=>	'00002120',
		'lófiúké'	=>	'00002000',
		'lófl'	=>	'00100',
		'lógg'	=>	'00010',
		'lógí'	=>	'00200',
		'lógrá'	=>	'001000',
		'lóív'	=>	'00020',
		'lókl'	=>	'00120',
		'lókré'	=>	'001000',
		'lónar'	=>	'002000',
		'lónn'	=>	'20000',
		'lóno'	=>	'20000',
		'lónr'	=>	'20000',
		'lónt'	=>	'20000',
		'lópárba'	=>	'00000002',
		'lópl'	=>	'00120',
		'lópr'	=>	'00120',
		'lórac'	=>	'002000',
		'lórada'	=>	'0001000',
		'lórala'	=>	'0001200',
		'lóran'	=>	'000020',
		'lórany'	=>	'0001000',
		'lórar'	=>	'002000',
		'lórái'	=>	'200000',
		'lóráj'	=>	'200000',
		'lórámr'	=>	'0020000',
		'lórár'	=>	'200000',
		'lórát'	=>	'200000',
		'lórem'	=>	'002000',
		'lóres'	=>	'002120',
		'lórér'	=>	'002100',
		'lóring'	=>	'0021000',
		'lórism'	=>	'0001000',
		'lórí'	=>	'00200',
		'lórold'	=>	'0001000',
		'lórü'	=>	'00200',
		'lósaj'	=>	'002100',
		'lósan'	=>	'000020',
		'lósany'	=>	'0001000',
		'lóski'	=>	'001000',
		'lósla'	=>	'001000',
		'lóspe'	=>	'001000',
		'lóspo'	=>	'001200',
		'lósrá'	=>	'001200',
		'lóss'	=>	'00030',
		'lósta'	=>	'001200',
		'lóstr'	=>	'001000',
		'lósz'	=>	'00100',
		'lótrá'	=>	'001200',
		'lótre'	=>	'001000',
		'lótré'	=>	'001000',
		'lótri'	=>	'001000',
		'lótro'	=>	'001000',
		'lóvod'	=>	'200000',
		'lóvó'	=>	'01200',
		'lózad'	=>	'002000',
		'lózak'	=>	'002120',
		'lózal'	=>	'002000',
		'lózan'	=>	'000020',
		'lózany'	=>	'0001000',
		'lózate'	=>	'0000210',
		'lózál'	=>	'002000',
		'lózes'	=>	'002100',
		'lózim'	=>	'002000',
		'lózir'	=>	'002100',
		'lózisk'	=>	'0001000',
		'lózism'	=>	'0001000',
		'lózolv'	=>	'0020000',
		'lóző'	=>	'00200',
		'lózü'	=>	'00200',
		'lózű'	=>	'00210',
		'lö'	=>	'100',
		'löbö'	=>	'00200',
		'löca'	=>	'00200',
		'löcc'	=>	'00030',
		'löch'	=>	'00200',
		'löcő'	=>	'00200',
		'lödé'	=>	'21200',
		'löka'	=>	'00200',
		'löká'	=>	'00200',
		'löko'	=>	'00200',
		'löldö'	=>	'010000',
		'lölta'	=>	'000210',
		'löltá'	=>	'000200',
		'löltés'	=>	'2100000',
		'lölthe'	=>	'0100000',
		'lölto'	=>	'000200',
		'löltöt'	=>	'0100000',
		'löltöz'	=>	'0100000',
		'löltő'	=>	'010000',
		'löml'	=>	'21000',
		'lömöl'	=>	'002000',
		'löna'	=>	'00200',
		'löná'	=>	'00200',
		'lönbékét'	=>	'000210000',
		'löne'	=>	'00200',
		'löné'	=>	'00200',
		'löno'	=>	'00210',
		'lönó'	=>	'00200',
		'lönu'	=>	'00200',
		'lönú'	=>	'00200',
		'löpa'	=>	'00200',
		'löpá'	=>	'00200',
		'löpe'	=>	'00200',
		'löpöl'	=>	'002000',
		'löpü'	=>	'00002',
		'löpülé'	=>	'0021000',
		'löpülő'	=>	'0021000',
		'löre'	=>	'00200',
		'lörö'	=>	'00200',
		'lösszá'	=>	'0003000',
		'lössze'	=>	'2000000',
		'lösü'	=>	'00200',
		'lösze'	=>	'002000',
		'löszis'	=>	'0020000',
		'lötl'	=>	'21000',
		'lötter'	=>	'0002000',
		'lötv'	=>	'21000',
		'lövb'	=>	'21000',
		'lövez'	=>	'012000',
		'lövh'	=>	'21000',
		'lövn'	=>	'21000',
		'lövön'	=>	'012000',
		'lövr'	=>	'21000',
		'lövük'	=>	'012000',
		'lövv'	=>	'21000',
		'lő'	=>	'100',
		'lőac'	=>	'00020',
		'lőan'	=>	'00020',
		'lőág'	=>	'00020',
		'lőbl'	=>	'00100',
		'lőbr'	=>	'00100',
		'lődad'	=>	'002000',
		'lődá'	=>	'00200',
		'lődei'	=>	'200000',
		'lődel'	=>	'002000',
		'lődék'	=>	'002100',
		'lődin'	=>	'002000',
		'lődiv'	=>	'002100',
		'lődjét'	=>	'2000000',
		'lődköz'	=>	'0000001',
		'lődöke'	=>	'2000000',
		'lődökn'	=>	'2000000',
		'lődökr'	=>	'2000000',
		'lődze'	=>	'002300',
		'lőel'	=>	'00020',
		'lőes'	=>	'00020',
		'lőesé'	=>	'200000',
		'lőfl'	=>	'00100',
		'lőfr'	=>	'00120',
		'lőgépi'	=>	'0000002',
		'lőgépip'	=>	'00002100',
		'lőgyel'	=>	'0100000',
		'lőhű'	=>	'20000',
		'lőita'	=>	'000200',
		'lőít'	=>	'20000',
		'lőkése'	=>	'2000000',
		'lőkl'	=>	'00100',
		'lőkorút'	=>	'00002100',
		'lőkv'	=>	'00100',
		'lőlege'	=>	'2000000',
		'lőnn'	=>	'20000',
		'lőnyal'	=>	'0020000',
		'lőnyár'	=>	'0020000',
		'lőnyb'	=>	'200000',
		'lőnyei'	=>	'2000000',
		'lőnyelvi'	=>	'002010000',
		'lőnyéb'	=>	'2000000',
		'lőnyén'	=>	'2000000',
		'lőnyér'	=>	'2000000',
		'lőnyét'	=>	'2000000',
		'lőnyév'	=>	'2000000',
		'lőnyh'	=>	'200000',
		'lőnyk'	=>	'200000',
		'lőnyn'	=>	'200000',
		'lőnyö'	=>	'200000',
		'lőnyr'	=>	'200000',
		'lőnyt'	=>	'200000',
		'lőnyü'	=>	'200000',
		'lőőrség'	=>	'00002120',
		'lőpán'	=>	'200000',
		'lőpl'	=>	'00100',
		'lőpr'	=>	'00100',
		'lőps'	=>	'00100',
		'lőreh'	=>	'200000',
		'lőrej'	=>	'200000',
		'lőrem'	=>	'000030',
		'lőret'	=>	'200000',
		'lőréb'	=>	'200000',
		'lőris'	=>	'002100',
		'lőrül'	=>	'002000',
		'lőrz'	=>	'21000',
		'lősál'	=>	'002000',
		'lősin'	=>	'002000',
		'lőska'	=>	'001200',
		'lőská'	=>	'001000',
		'lősla'	=>	'001000',
		'lősó'	=>	'00002',
		'lősór'	=>	'002000',
		'lősót'	=>	'002100',
		'lőső'	=>	'00200',
		'lőspi'	=>	'001200',
		'lőspr'	=>	'001000',
		'lősrá'	=>	'001000',
		'lőss'	=>	'00030',
		'lőstar'	=>	'0002000',
		'lőstr'	=>	'001000',
		'lősy'	=>	'00100',
		'lősz'	=>	'00002',
		'lőszára'	=>	'00030000',
		'lőszárr'	=>	'00030000',
		'lőszf'	=>	'001000',
		'lőszít'	=>	'0120000',
		'lőszt'	=>	'001000',
		'lőtolá'	=>	'2000000',
		'lőtre'	=>	'001000',
		'lőut'	=>	'00020',
		'lőül'	=>	'00020',
		'lővig'	=>	'200000',
		'lőzét'	=>	'212000',
		'lőzié'	=>	'200000',
		'lőzl'	=>	'20000',
		'lőzm'	=>	'20000',
		'lőzük'	=>	'212000',
		'lpalag'	=>	'0012000',
		'lpalap'	=>	'0212000',
		'lpalát'	=>	'0210000',
		'lpaláv'	=>	'0212000',
		'lpalk'	=>	'021000',
		'lpanto'	=>	'0000001',
		'lpany'	=>	'021000',
		'lpáll'	=>	'021000',
		'lpátm'	=>	'021000',
		'lpáts'	=>	'021000',
		'lpcsap'	=>	'0000021',
		'lpeg'	=>	'02100',
		'lpelu'	=>	'001200',
		'lpem'	=>	'02120',
		'lpenn'	=>	'000010',
		'lperő'	=>	'021200',
		'lpég'	=>	'02100',
		'lpél'	=>	'00020',
		'lpéle'	=>	'021000',
		'lpér'	=>	'00020',
		'lpéri'	=>	'021000',
		'lpid'	=>	'02120',
		'lpina'	=>	'021200',
		'lpizm'	=>	'001000',
		'lpizo'	=>	'001200',
		'lpív'	=>	'02100',
		'lplá'	=>	'01200',
		'lpold'	=>	'021000',
		'lpon'	=>	'00020',
		'lponá'	=>	'000010',
		'lppr'	=>	'00120',
		'lprd'	=>	'01000',
		'lpri'	=>	'01200',
		'lpro'	=>	'01200',
		'lprób'	=>	'012000',
		'lpus'	=>	'00020',
		'lpuszo'	=>	'0010000',
		'lráke'	=>	'000210',
		'lrei'	=>	'00002',
		'lrepré'	=>	'0001200',
		'lresz'	=>	'000100',
		'lreü'	=>	'00002',
		'lsavam'	=>	'0002120',
		'lságg'	=>	'000030',
		'lseprik'	=>	'00100000',
		'lsho'	=>	'00200',
		'lska'	=>	'00200',
		'lská'	=>	'00200',
		'lski'	=>	'00200',
		'lsla'	=>	'00200',
		'lslá'	=>	'00200',
		'lsli'	=>	'00200',
		'lsma'	=>	'00200',
		'lsmi'	=>	'00200',
		'lsorss'	=>	'0000010',
		'lsóér'	=>	'000020',
		'lsősz'	=>	'000102',
		'lspa'	=>	'01200',
		'lspe'	=>	'01200',
		'lspé'	=>	'01200',
		'lspi'	=>	'01200',
		'lspo'	=>	'01200',
		'lspó'	=>	'01200',
		'lspr'	=>	'01020',
		'lsrá'	=>	'01200',
		'lsró'	=>	'01200',
		'lsta'	=>	'01200',
		'lstá'	=>	'00200',
		'lstei'	=>	'000020',
		'lsti'	=>	'01200',
		'lstí'	=>	'01200',
		'lsto'	=>	'01200',
		'lstr'	=>	'01020',
		'lstu'	=>	'01200',
		'lstú'	=>	'01200',
		'lszaké'	=>	'0000200',
		'lszakü'	=>	'0000210',
		'lszárú'	=>	'0000200',
		'lszegű'	=>	'0201200',
		'lszf'	=>	'01020',
		'lszl'	=>	'01020',
		'lszp'	=>	'01020',
		'lszt'	=>	'00002',
		'lsztá'	=>	'000200',
		'lsztr'	=>	'010000',
		'lszv'	=>	'01020',
		'ltagyá'	=>	'0002000',
		'ltajá'	=>	'001000',
		'ltalapb'	=>	'00020000',
		'ltalás'	=>	'0002120',
		'ltaláz'	=>	'0002120',
		'ltalen'	=>	'0002000',
		'ltalev'	=>	'0002100',
		'ltalé'	=>	'000212',
		'ltaliz'	=>	'0002000',
		'ltall'	=>	'000010',
		'ltalö'	=>	'000200',
		'ltamp'	=>	'021000',
		'ltapr'	=>	'021000',
		'ltará'	=>	'001000',
		'ltarc'	=>	'021000',
		'ltariá'	=>	'0002000',
		'ltassz'	=>	'0010000',
		'ltaszt'	=>	'0010000',
		'ltau'	=>	'02120',
		'ltazo'	=>	'001000',
		'ltága'	=>	'001200',
		'ltágb'	=>	'001000',
		'ltágg'	=>	'001000',
		'ltágn'	=>	'001000',
		'ltágr'	=>	'001000',
		'ltáll'	=>	'021000',
		'ltána'	=>	'000002',
		'ltánan'	=>	'0002000',
		'ltárada'	=>	'00020000',
		'ltárság'	=>	'00002100',
		'ltárur'	=>	'0010000',
		'ltáság'	=>	'0002120',
		'ltátal'	=>	'0002000',
		'ltátr'	=>	'021000',
		'ltbl'	=>	'00100',
		'ltbr'	=>	'00100',
		'ltell'	=>	'021000',
		'ltelö'	=>	'021000',
		'ltemu'	=>	'021000',
		'lterad'	=>	'0002000',
		'ltereik'	=>	'02120000',
		'lterő'	=>	'021000',
		'lteru'	=>	'020000',
		'lteta'	=>	'000212',
		'lteték'	=>	'0002000',
		'ltékné'	=>	'0210000',
		'ltél'	=>	'00020',
		'ltéle'	=>	'001000',
		'ltélm'	=>	'001000',
		'ltérc'	=>	'001000',
		'ltérz'	=>	'021000',
		'ltésa'	=>	'000200',
		'ltéség'	=>	'0002120',
		'ltéss'	=>	'000030',
		'ltété'	=>	'000212',
		'ltfl'	=>	'00100',
		'ltgl'	=>	'00100',
		'ltgr'	=>	'00100',
		'ltide'	=>	'001000',
		'ltig'	=>	'00002',
		'ltigé'	=>	'021200',
		'ltikl'	=>	'000100',
		'ltill'	=>	'021000',
		'ltimp'	=>	'001000',
		'ltind'	=>	'021000',
		'lting'	=>	'021000',
		'ltio'	=>	'02120',
		'ltisi'	=>	'021000',
		'ltism'	=>	'001000',
		'ltist'	=>	'021000',
		'ltita'	=>	'021200',
		'ltín'	=>	'02100',
		'ltír'	=>	'02120',
		'ltít'	=>	'00100',
		'ltív'	=>	'02120',
		'ltível'	=>	'0000120',
		'ltíz'	=>	'02120',
		'ltkr'	=>	'00100',
		'ltoml'	=>	'021000',
		'ltord'	=>	'021000',
		'ltorg'	=>	'021000',
		'ltorj'	=>	'021000',
		'ltorr'	=>	'021000',
		'ltors'	=>	'001000',
		'ltoss'	=>	'000030',
		'ltox'	=>	'02120',
		'ltóp'	=>	'00010',
		'ltósp'	=>	'000120',
		'ltósz'	=>	'000100',
		'ltót'	=>	'00002',
		'ltöl'	=>	'00020',
		'ltölé'	=>	'021000',
		'ltönt'	=>	'001000',
		'ltöss'	=>	'001000',
		'ltőa'	=>	'00002',
		'ltőel'	=>	'000020',
		'ltőrö'	=>	'001200',
		'ltpl'	=>	'00100',
		'ltpr'	=>	'00100',
		'ltras'	=>	'000010',
		'ltrág'	=>	'002000',
		'ltrén'	=>	'002000',
		'ltrik'	=>	'002000',
		'ltril'	=>	'002000',
		'ltróf'	=>	'002000',
		'ltrón'	=>	'012000',
		'ltróp'	=>	'002000',
		'ltségel'	=>	'00002100',
		'ltsl'	=>	'00100',
		'ltsp'	=>	'00100',
		'ltst'	=>	'00100',
		'lttr'	=>	'00120',
		'ltudv'	=>	'021000',
		'ltuna'	=>	'021000',
		'ltuni'	=>	'000210',
		'ltura'	=>	'001000',
		'ltusze'	=>	'0002000',
		'ltut'	=>	'02120',
		'ltúri'	=>	'000200',
		'ltüg'	=>	'02100',
		'ltülé'	=>	'001200',
		'ltüst'	=>	'001000',
		'ltüv'	=>	'02120',
		'ltüzem'	=>	'0012000',
		'lu'	=>	'100',
		'luag'	=>	'00020',
		'luár'	=>	'00020',
		'lubad'	=>	'002120',
		'lubal'	=>	'002000',
		'luban'	=>	'000020',
		'lubas'	=>	'002100',
		'lubár'	=>	'002000',
		'lubeg'	=>	'002120',
		'luber'	=>	'000020',
		'lubes'	=>	'002000',
		'lubél'	=>	'002000',
		'lubin'	=>	'002100',
		'lubó'	=>	'00002',
		'lubór'	=>	'002000',
		'lubö'	=>	'00200',
		'lubt'	=>	'00012',
		'lubü'	=>	'00200',
		'ludj'	=>	'20000',
		'ludv'	=>	'20000',
		'ludy'	=>	'00100',
		'luel'	=>	'00020',
		'luesé'	=>	'002000',
		'lugass'	=>	'0000010',
		'lugat'	=>	'002000',
		'lugl'	=>	'00120',
		'lugor'	=>	'212000',
		'lugr'	=>	'21000',
		'luir'	=>	'00020',
		'lujj'	=>	'21000',
		'lukl'	=>	'00100',
		'lukos'	=>	'002100',
		'lukov'	=>	'002120',
		'lulinf'	=>	'0021000',
		'lulí'	=>	'00200',
		'lulr'	=>	'20000',
		'lumad'	=>	'002000',
		'lumaz'	=>	'002000',
		'lumál'	=>	'002000',
		'lumenn'	=>	'0000010',
		'lumer'	=>	'002000',
		'lumes'	=>	'002000',
		'lumik'	=>	'002120',
		'lumip'	=>	'002100',
		'lumí'	=>	'20000',
		'lumpel'	=>	'0002000',
		'lund'	=>	'20000',
		'lunh'	=>	'01000',
		'luni'	=>	'21200',
		'lunj'	=>	'01000',
		'lunl'	=>	'01000',
		'lunn'	=>	'01000',
		'luno'	=>	'01200',
		'lunó'	=>	'01200',
		'lunv'	=>	'01000',
		'lurak'	=>	'002000',
		'luram'	=>	'002000',
		'lurat'	=>	'002000',
		'luru'	=>	'21200',
		'lurú'	=>	'21200',
		'lusad'	=>	'002000',
		'lusaka'	=>	'0021000',
		'lusakr'	=>	'0020000',
		'lusal'	=>	'002000',
		'lusan'	=>	'002120',
		'luság'	=>	'002100',
		'lusál'	=>	'002000',
		'luser'	=>	'002120',
		'lusérté'	=>	'00210000',
		'lusim'	=>	'002000',
		'lusis'	=>	'002000',
		'lusír'	=>	'002000',
		'luskész'	=>	'00000001',
		'lusó'	=>	'00212',
		'lusö'	=>	'00002',
		'lusör'	=>	'002000',
		'luső'	=>	'00200',
		'lussze'	=>	'0003000',
		'lusszi'	=>	'0003000',
		'lust'	=>	'00002',
		'lutánz'	=>	'2000000',
		'lutc'	=>	'21000',
		'luth'	=>	'00120',
		'lutód'	=>	'002000',
		'lutra'	=>	'001000',
		'luzs'	=>	'00200',
		'lú'	=>	'100',
		'lúda'	=>	'00210',
		'lúdá'	=>	'00200',
		'lúde'	=>	'00200',
		'lúdét'	=>	'002000',
		'lúdz'	=>	'00230',
		'lúga'	=>	'00200',
		'lúgá'	=>	'00210',
		'lúge'	=>	'00200',
		'lúgg'	=>	'00030',
		'lúgi'	=>	'00200',
		'lúgol'	=>	'002000',
		'lújd'	=>	'21000',
		'lújí'	=>	'21200',
		'lúju'	=>	'00200',
		'lúri'	=>	'00200',
		'lúru'	=>	'00200',
		'lúrü'	=>	'00200',
		'lúsz'	=>	'21200',
		'lútv'	=>	'21000',
		'lúzan'	=>	'002120',
		'lü'	=>	'100',
		'lücs'	=>	'00200',
		'lüdí'	=>	'00200',
		'lüdü'	=>	'00200',
		'lüge'	=>	'00200',
		'lügy'	=>	'00200',
		'lülá'	=>	'00200',
		'lüldö'	=>	'010000',
		'lülel'	=>	'002000',
		'lülem'	=>	'002120',
		'lülep'	=>	'010000',
		'lülé'	=>	'00200',
		'lülér'	=>	'000100',
		'lülés'	=>	'210000',
		'lülhetne'	=>	'210000000',
		'lülhets'	=>	'21000000',
		'lülí'	=>	'00200',
		'lüljek'	=>	'2100000',
		'lülnek'	=>	'2100000',
		'lülnék'	=>	'2100000',
		'lülni'	=>	'210000',
		'lülö'	=>	'21200',
		'lülő'	=>	'21200',
		'lültek'	=>	'2100000',
		'lültem'	=>	'2100000',
		'lültes'	=>	'2100000',
		'lültete'	=>	'21000000',
		'lülteti'	=>	'21000000',
		'lültetj'	=>	'21000000',
		'lültetl'	=>	'20000000',
		'lültetn'	=>	'21000000',
		'lültets'	=>	'20000000',
		'lültett'	=>	'21000000',
		'lültetü'	=>	'21000000',
		'lültetv'	=>	'21000000',
		'lülté'	=>	'200000',
		'lültéi'	=>	'0100000',
		'lülték'	=>	'0100000',
		'lültél'	=>	'0100000',
		'lültén'	=>	'0100000',
		'lültér'	=>	'0100000',
		'lültét'	=>	'0100000',
		'lültn'	=>	'010000',
		'lültü'	=>	'210000',
		'lülú'	=>	'00200',
		'lülü'	=>	'00200',
		'lülün'	=>	'210000',
		'lünn'	=>	'21000',
		'lüre'	=>	'00200',
		'lürí'	=>	'00200',
		'lürü'	=>	'00200',
		'lüsz'	=>	'00200',
		'lüte'	=>	'00200',
		'lüté'	=>	'00200',
		'lüti'	=>	'00200',
		'lütö'	=>	'00200',
		'lütő'	=>	'00200',
		'lütü'	=>	'00200',
		'lüve'	=>	'00200',
		'lüvö'	=>	'00200',
		'lüze'	=>	'00200',
		'lüzé'	=>	'00200',
		'lű'	=>	'100',
		'lűrá'	=>	'00200',
		'lűrb'	=>	'21000',
		'lűri'	=>	'21200',
		'lűrl'	=>	'01000',
		'lűze'	=>	'00200',
		'lűzé'	=>	'00200',
		'lűzi'	=>	'00200',
		'lűzö'	=>	'00200',
		'lűző'	=>	'00200',
		'lűzü'	=>	'00200',
		'lvadat'	=>	'0002000',
		'lvadm'	=>	'021000',
		'lvajak'	=>	'0000100',
		'lvaje'	=>	'000210',
		'lvakad'	=>	'0010000',
		'lvakc'	=>	'021000',
		'lvala'	=>	'021200',
		'lvalg'	=>	'021000',
		'lvalk'	=>	'021000',
		'lvant'	=>	'021000',
		'lvany'	=>	'021200',
		'lvarás'	=>	'0212000',
		'lvaz'	=>	'02120',
		'lvágyón'	=>	'00020100',
		'lvállat'	=>	'02100000',
		'lvállt'	=>	'0210000',
		'lváp'	=>	'02100',
		'lvárain'	=>	'00020000',
		'lváras'	=>	'0002000',
		'lvárár'	=>	'0002000',
		'lvárny'	=>	'0210000',
		'lvárol'	=>	'0002000',
		'lvárul'	=>	'0212000',
		'lváss'	=>	'000030',
		'lvászi'	=>	'0002000',
		'lváta'	=>	'001000',
		'lváth'	=>	'001000',
		'lvátk'	=>	'001000',
		'lvbr'	=>	'00100',
		'lvedz'	=>	'021200',
		'lvegys'	=>	'0010000',
		'lvegyv'	=>	'0010000',
		'lvekéb'	=>	'0012000',
		'lveleme'	=>	'02020000',
		'lvelk'	=>	'021000',
		'lvell'	=>	'021000',
		'lveró'	=>	'021000',
		'lvex'	=>	'02100',
		'lvégés'	=>	'0212000',
		'lvégül'	=>	'0002000',
		'lvélm'	=>	'021000',
		'lvéneke'	=>	'02120000',
		'lvép'	=>	'02100',
		'lvértel'	=>	'02000000',
		'lvérté'	=>	'0210000',
		'lvérü'	=>	'021200',
		'lvérzési'	=>	'020000000',
		'lvésza'	=>	'0002000',
		'lvfr'	=>	'00100',
		'lvide'	=>	'021200',
		'lvido'	=>	'021200',
		'lviga'	=>	'021000',
		'lviko'	=>	'001000',
		'lvim'	=>	'02120',
		'lvinté'	=>	'0010000',
		'lvipa'	=>	'001200',
		'lviro'	=>	'021000',
		'lvirt'	=>	'021000',
		'lvisko'	=>	'0210000',
		'lvism'	=>	'021000',
		'lvizm'	=>	'021000',
		'lvizo'	=>	'021000',
		'lvíve'	=>	'021200',
		'lvíze'	=>	'000002',
		'lvízes'	=>	'0000100',
		'lvkl'	=>	'00100',
		'lvkr'	=>	'00100',
		'lvok'	=>	'02100',
		'lvold'	=>	'021000',
		'lvolv'	=>	'021000',
		'lvonto'	=>	'0210000',
		'lvop'	=>	'02100',
		'lvor'	=>	'02100',
		'lvos'	=>	'02100',
		'lvödé'	=>	'001000',
		'lvöl'	=>	'00020',
		'lvölé'	=>	'021000',
		'lvölt'	=>	'021000',
		'lvön'	=>	'02100',
		'lvös'	=>	'02100',
		'lvöv'	=>	'02100',
		'lvöz'	=>	'02120',
		'lvőr'	=>	'00120',
		'lvős'	=>	'00100',
		'lvpr'	=>	'00100',
		'lvps'	=>	'00100',
		'lvsp'	=>	'00100',
		'lvst'	=>	'00100',
		'lvut'	=>	'02100',
		'lvúj'	=>	'00100',
		'lvüg'	=>	'02100',
		'lvüt'	=>	'02100',
		'ly'	=>	'020',
		'lya'	=>	'1000',
		'lyadat'	=>	'0002000',
		'lyadm'	=>	'201000',
		'lyadó'	=>	'201200',
		'lyagyr'	=>	'2000000',
		'lyajt'	=>	'200000',
		'lyakas'	=>	'2012000',
		'lyakc'	=>	'001000',
		'lyakná'	=>	'2010000',
		'lyakós'	=>	'2000000',
		'lyakt'	=>	'200000',
		'lyalat'	=>	'0012000',
		'lyalb'	=>	'201000',
		'lyalk'	=>	'201000',
		'lyalm'	=>	'201000',
		'lyalom'	=>	'0012000',
		'lyalt'	=>	'001000',
		'lyamaj'	=>	'0002000',
		'lyamará'	=>	'00020000',
		'lyamel'	=>	'0002100',
		'lyamem'	=>	'0002000',
		'lyamérté'	=>	'000210000',
		'lyang'	=>	'200000',
		'lyani'	=>	'200000',
		'lyanyag'	=>	'00020000',
		'lyanyá'	=>	'0012000',
		'lyapán'	=>	'0012000',
		'lyapr'	=>	'000120',
		'lyarc'	=>	'201000',
		'lyasal'	=>	'0002000',
		'lyaspe'	=>	'0010000',
		'lyassz'	=>	'0010000',
		'lyatl'	=>	'201000',
		'lyatr'	=>	'000120',
		'lyaty'	=>	'200000',
		'lyazo'	=>	'200000',
		'lyá'	=>	'1000',
		'lyábé'	=>	'200000',
		'lyábr'	=>	'200000',
		'lyág'	=>	'20100',
		'lyáld'	=>	'001000',
		'lyáll'	=>	'001000',
		'lyáp'	=>	'20100',
		'lyárad'	=>	'2012000',
		'lyárak'	=>	'2012000',
		'lyáram'	=>	'2012000',
		'lyárat'	=>	'2012000',
		'lyárk'	=>	'001000',
		'lyárn'	=>	'201000',
		'lyárr'	=>	'201000',
		'lyáru'	=>	'201200',
		'lyáss'	=>	'000030',
		'lyász'	=>	'000200',
		'lyáta'	=>	'200000',
		'lyátf'	=>	'200000',
		'lyáth'	=>	'200000',
		'lyátlá'	=>	'2000000',
		'lyátlé'	=>	'2000000',
		'lyátm'	=>	'200000',
		'lyáts'	=>	'200000',
		'lyátt'	=>	'200000',
		'lyátv'	=>	'200000',
		'lybl'	=>	'00100',
		'lybr'	=>	'00100',
		'lydr'	=>	'00100',
		'lye'	=>	'1000',
		'lyega'	=>	'000200',
		'lyegye'	=>	'0012000',
		'lyegyez'	=>	'00000001',
		'lyej'	=>	'00100',
		'lyekek'	=>	'2000000',
		'lyekéb'	=>	'2012000',
		'lyekérő'	=>	'20120000',
		'lyele'	=>	'001200',
		'lyelf'	=>	'001000',
		'lyelh'	=>	'001000',
		'lyell'	=>	'001000',
		'lyelm'	=>	'001000',
		'lyelő'	=>	'001200',
		'lyelr'	=>	'001000',
		'lyels'	=>	'001000',
		'lyelt'	=>	'001000',
		'lyelü'	=>	'001000',
		'lyelv'	=>	'001000',
		'lyelz'	=>	'001000',
		'lyema'	=>	'000210',
		'lyember'	=>	'20000000',
		'lyemel'	=>	'2012000',
		'lyemin'	=>	'0002000',
		'lyemlí'	=>	'2000000',
		'lyeng'	=>	'201000',
		'lyerk'	=>	'001000',
		'lyerő'	=>	'001200',
		'lyesd'	=>	'201000',
		'lyesemé'	=>	'20100000',
		'lyesete'	=>	'20120000',
		'lyeseté'	=>	'20000000',
		'lyesett'	=>	'20120000',
		'lyesél'	=>	'2000000',
		'lyesés'	=>	'2012000',
		'lyeste'	=>	'2010000',
		'lyeszk'	=>	'2000000',
		'lyeszm'	=>	'2000000',
		'lyeszű'	=>	'2000000',
		'lyetet'	=>	'2000000',
		'lyevő'	=>	'200000',
		'lyex'	=>	'20100',
		'lyé'	=>	'1000',
		'lyég'	=>	'20100',
		'lyéhen'	=>	'2000000',
		'lyéhet'	=>	'2000000',
		'lyél'	=>	'00020',
		'lyéle'	=>	'001000',
		'lyélm'	=>	'001000',
		'lyéneke'	=>	'20000000',
		'lyép'	=>	'20100',
		'lyérc'	=>	'201000',
		'lyérd'	=>	'201000',
		'lyéré'	=>	'201200',
		'lyérm'	=>	'201000',
		'lyérői'	=>	'2000000',
		'lyérők'	=>	'2000000',
		'lyérr'	=>	'201000',
		'lyérte'	=>	'2010000',
		'lyérté'	=>	'2010000',
		'lyérü'	=>	'201200',
		'lyérv'	=>	'201000',
		'lyérz'	=>	'201000',
		'lyész'	=>	'001000',
		'lyétt'	=>	'201000',
		'lyévei'	=>	'2000000',
		'lyévek'	=>	'2000000',
		'lyéven'	=>	'2000000',
		'lyévet'	=>	'2000000',
		'lyévév'	=>	'2000000',
		'lyévi'	=>	'200000',
		'lyévr'	=>	'200000',
		'lyévv'	=>	'200000',
		'lyfl'	=>	'00100',
		'lyfölt'	=>	'0001000',
		'lygl'	=>	'00100',
		'lygr'	=>	'00100',
		'lyi'	=>	'1000',
		'lyibo'	=>	'200000',
		'lyideá'	=>	'2000000',
		'lyideg'	=>	'2000000',
		'lyiden'	=>	'2000000',
		'lyidi'	=>	'200000',
		'lyido'	=>	'201000',
		'lyidő'	=>	'200000',
		'lyiéh'	=>	'000020',
		'lyig'	=>	'00020',
		'lyiga'	=>	'200000',
		'lyigá'	=>	'200000',
		'lyige'	=>	'201000',
		'lyigé'	=>	'201000',
		'lyiha'	=>	'201000',
		'lyill'	=>	'201000',
		'lyima'	=>	'001000',
		'lyimá'	=>	'200000',
		'lyimp'	=>	'200000',
		'lyind'	=>	'200000',
		'lyinf'	=>	'200000',
		'lying'	=>	'201000',
		'lyini'	=>	'201000',
		'lyint'	=>	'201000',
		'lyinv'	=>	'200000',
		'lyip'	=>	'20120',
		'lyirat'	=>	'0012000',
		'lyirá'	=>	'200000',
		'lyiri'	=>	'200000',
		'lyiro'	=>	'201000',
		'lyirr'	=>	'200000',
		'lyirt'	=>	'200000',
		'lyisk'	=>	'201000',
		'lyism'	=>	'200000',
		'lyisp'	=>	'200000',
		'lyist'	=>	'200000',
		'lyita'	=>	'201000',
		'lyivad'	=>	'2000000',
		'lyiz'	=>	'20120',
		'lyí'	=>	'1000',
		'lyíg'	=>	'20100',
		'lyín'	=>	'20100',
		'lyír'	=>	'20120',
		'lyív'	=>	'00100',
		'lykiz'	=>	'002000',
		'lykl'	=>	'00100',
		'lykró'	=>	'001000',
		'lyo'	=>	'1000',
		'lyob'	=>	'20100',
		'lyodú'	=>	'200000',
		'lyof'	=>	'20100',
		'lyokal'	=>	'2000000',
		'lyokl'	=>	'201000',
		'lyokm'	=>	'200000',
		'lyokoz'	=>	'2000000',
		'lyokta'	=>	'2000000',
		'lyol'	=>	'00020',
		'lyola'	=>	'001000',
		'lyold'	=>	'001000',
		'lyoll'	=>	'001000',
		'lyolt'	=>	'001000',
		'lyolv'	=>	'001000',
		'lyomas'	=>	'0002100',
		'lyop'	=>	'20100',
		'lyor'	=>	'20120',
		'lyosz'	=>	'201000',
		'lyott'	=>	'201000',
		'lyó'	=>	'1000',
		'lyódá'	=>	'001000',
		'lyósá'	=>	'000210',
		'lyö'	=>	'1000',
		'lyöb'	=>	'20100',
		'lyöl'	=>	'20120',
		'lyör'	=>	'20120',
		'lyöss'	=>	'001000',
		'lyöv'	=>	'20100',
		'lyő'	=>	'1000',
		'lyőr'	=>	'00120',
		'lypl'	=>	'00100',
		'lypr'	=>	'00100',
		'lyrádi'	=>	'0000002',
		'lyrep'	=>	'000010',
		'lysk'	=>	'00100',
		'lysp'	=>	'00100',
		'lyst'	=>	'00020',
		'lyszámé'	=>	'00000210',
		'lytac'	=>	'002000',
		'lytr'	=>	'00120',
		'lyu'	=>	'1000',
		'lyud'	=>	'20100',
		'lyugr'	=>	'200000',
		'lyuh'	=>	'20100',
		'lyuj'	=>	'20100',
		'lyukás'	=>	'0002000',
		'lyuni'	=>	'200000',
		'lyur'	=>	'20120',
		'lyut'	=>	'20120',
		'lyú'	=>	'1000',
		'lyújs'	=>	'200000',
		'lyúth'	=>	'200000',
		'lyútr'	=>	'200000',
		'lyútt'	=>	'200000',
		'lyútv'	=>	'200000',
		'lyü'	=>	'1000',
		'lyüd'	=>	'20100',
		'lyüg'	=>	'20100',
		'lyünn'	=>	'200000',
		'lyür'	=>	'20100',
		'lyüv'	=>	'20120',
		'lyüz'	=>	'20100',
		'lyű'	=>	'1000',
		'lyűrh'	=>	'201000',
		'lyűrl'	=>	'201000',
		'lywo'	=>	'10000',
		'lyzetel'	=>	'00002100',
		'lzáss'	=>	'000010',
		'lzeta'	=>	'000200',
		'lzetel'	=>	'0002120',
		'lzésa'	=>	'000200',
		'lzőa'	=>	'00002',
		'lzőe'	=>	'00002',
		'lzősorr'	=>	'00021000',
		'lzuss'	=>	'000030',
		'lzusz'	=>	'000230',
		'ma'	=>	'100',
		'maad'	=>	'00020',
		'mabra'	=>	'001000',
		'mabs'	=>	'21000',
		'macélb'	=>	'0020000',
		'macélt'	=>	'0020000',
		'madag'	=>	'200000',
		'madap'	=>	'210000',
		'madatb'	=>	'0020000',
		'madato'	=>	'0020000',
		'madatt'	=>	'0020000',
		'madáss'	=>	'0000010',
		'madév'	=>	'002120',
		'madókész'	=>	'000000001',
		'madóz'	=>	'002000',
		'madz'	=>	'32300',
		'maer'	=>	'00020',
		'maér'	=>	'00020',
		'mafra'	=>	'001200',
		'mafri'	=>	'001000',
		'magac'	=>	'002000',
		'magadato'	=>	'002120000',
		'magadá'	=>	'0021200',
		'magadó'	=>	'0021200',
		'magadu'	=>	'0021200',
		'magal'	=>	'000020',
		'magala'	=>	'0001000',
		'magan'	=>	'002020',
		'magany'	=>	'0001000',
		'magar'	=>	'000020',
		'magara'	=>	'0001000',
		'magass'	=>	'0000010',
		'magasza'	=>	'00210000',
		'magazo'	=>	'0001000',
		'magág'	=>	'002000',
		'magáll'	=>	'0001000',
		'magáré'	=>	'0001200',
		'magárn'	=>	'0001000',
		'magárr'	=>	'0001000',
		'magárt'	=>	'0001000',
		'magáta'	=>	'0001000',
		'magáto'	=>	'0021000',
		'mageb'	=>	'002000',
		'magel'	=>	'002100',
		'maggr'	=>	'210000',
		'magid'	=>	'002000',
		'magik'	=>	'002120',
		'magí'	=>	'00210',
		'magkiadó'	=>	'000000300',
		'magor'	=>	'002100',
		'magosz'	=>	'0021000',
		'magóra'	=>	'0001000',
		'magóv'	=>	'002100',
		'magur'	=>	'002120',
		'magü'	=>	'00212',
		'magyb'	=>	'210000',
		'magyu'	=>	'212000',
		'mahh'	=>	'01000',
		'mailt'	=>	'002000',
		'maiz'	=>	'00020',
		'majta'	=>	'210000',
		'majti'	=>	'000200',
		'makará'	=>	'0020000',
		'makác'	=>	'002000',
		'makc'	=>	'21000',
		'makke'	=>	'000212',
		'makkr'	=>	'200000',
		'makku'	=>	'210000',
		'maklu'	=>	'001000',
		'makrém'	=>	'0012000',
		'makri'	=>	'001200',
		'makro'	=>	'200000',
		'makti'	=>	'010000',
		'makus'	=>	'002000',
		'malachá'	=>	'00000300',
		'malacs'	=>	'0000230',
		'malag'	=>	'200000',
		'malagú'	=>	'0000210',
		'malaku'	=>	'0020000',
		'malakz'	=>	'2100000',
		'malan'	=>	'212000',
		'malapí'	=>	'2120000',
		'malaszta'	=>	'000000210',
		'malb'	=>	'21000',
		'malc'	=>	'21000',
		'mald'	=>	'21000',
		'malg'	=>	'20000',
		'malgo'	=>	'010000',
		'malj'	=>	'21000',
		'malk'	=>	'21000',
		'malome'	=>	'0000210',
		'malos'	=>	'000100',
		'malr'	=>	'01000',
		'malth'	=>	'000100',
		'malu'	=>	'21200',
		'malv'	=>	'20000',
		'mamp'	=>	'21000',
		'manal'	=>	'212000',
		'manat'	=>	'002000',
		'maná'	=>	'20000',
		'maneg'	=>	'002100',
		'mangi'	=>	'210000',
		'manto'	=>	'210000',
		'mantr'	=>	'210000',
		'manyag'	=>	'0020000',
		'manyá'	=>	'212000',
		'manyó'	=>	'212000',
		'maok'	=>	'00020',
		'mapas'	=>	'002000',
		'mapát'	=>	'212000',
		'mapl'	=>	'00120',
		'mapre'	=>	'001200',
		'mapré'	=>	'001200',
		'mapri'	=>	'001200',
		'mapro'	=>	'001200',
		'maps'	=>	'21000',
		'marány'	=>	'2120000',
		'marb'	=>	'21000',
		'marcc'	=>	'210000',
		'march'	=>	'210000',
		'marcko'	=>	'0001000',
		'marcu'	=>	'210000',
		'marcú'	=>	'210000',
		'marén'	=>	'212000',
		'marisi'	=>	'0021200',
		'markal'	=>	'0002100',
		'markin'	=>	'0002100',
		'markón'	=>	'0002100',
		'markór'	=>	'0002120',
		'marm'	=>	'20000',
		'marok'	=>	'000021',
		'maromá'	=>	'0020000',
		'maross'	=>	'0000010',
		'marók'	=>	'000002',
		'marókh'	=>	'0000100',
		'marókk'	=>	'0000100',
		'marókn'	=>	'0000100',
		'marókr'	=>	'0000100',
		'mary'	=>	'00100',
		'marz'	=>	'21000',
		'maská'	=>	'001200',
		'maspe'	=>	'001200',
		'maspr'	=>	'001000',
		'masrá'	=>	'001200',
		'mast'	=>	'00002',
		'masta'	=>	'001200',
		'maste'	=>	'001000',
		'mastr'	=>	'001000',
		'maszegy'	=>	'00001000',
		'maszeme'	=>	'00001200',
		'maszét'	=>	'0020100',
		'maszév'	=>	'0020000',
		'maszis'	=>	'0020000',
		'maszív'	=>	'0000020',
		'maszíve'	=>	'00001000',
		'maszös'	=>	'0000100',
		'matada'	=>	'0001000',
		'matalap'	=>	'00010000',
		'matanya'	=>	'00010000',
		'mataz'	=>	'002000',
		'matág'	=>	'002000',
		'matáraka'	=>	'000020000',
		'matáras'	=>	'00212000',
		'matárár'	=>	'00012000',
		'matárn'	=>	'0021000',
		'matárú'	=>	'0021200',
		'matáz'	=>	'002100',
		'mateg'	=>	'002120',
		'mateli'	=>	'0001000',
		'matell'	=>	'0021000',
		'matelő'	=>	'0001000',
		'matelt'	=>	'0001000',
		'mateme'	=>	'0021000',
		'mates'	=>	'000020',
		'matél'	=>	'002000',
		'matérte'	=>	'00210000',
		'matfé'	=>	'000002',
		'matfél'	=>	'0000001',
		'matfélé'	=>	'00000002',
		'matid'	=>	'002000',
		'matind'	=>	'0021000',
		'matinf'	=>	'0021000',
		'mating'	=>	'0021000',
		'matint'	=>	'0021000',
		'matörö'	=>	'0021000',
		'matran'	=>	'0012000',
		'matrág'	=>	'0002000',
		'mattin'	=>	'0002000',
		'matut'	=>	'002100',
		'matya'	=>	'212000',
		'matyá'	=>	'002000',
		'mauk'	=>	'21200',
		'maura'	=>	'000200',
		'mauri'	=>	'002000',
		'maus'	=>	'00200',
		'mauta'	=>	'000200',
		'mauto'	=>	'212000',
		'mavat'	=>	'212000',
		'mazal'	=>	'002120',
		'mazál'	=>	'002000',
		'mazátl'	=>	'0021000',
		'mazel'	=>	'002000',
		'mazókész'	=>	'000000001',
		'mazsű'	=>	'002300',
		'má'	=>	'100',
		'mábé'	=>	'21200',
		'mábr'	=>	'21000',
		'mácsas'	=>	'0020100',
		'mácse'	=>	'002012',
		'mácsin'	=>	'0020000',
		'mácsir'	=>	'0020000',
		'mácsis'	=>	'0020000',
		'mácsó'	=>	'002000',
		'mácsü'	=>	'002000',
		'máfá'	=>	'00200',
		'mága'	=>	'21200',
		'mágá'	=>	'21200',
		'mágb'	=>	'21000',
		'mágé'	=>	'21200',
		'mágg'	=>	'21000',
		'mágig'	=>	'212000',
		'mágk'	=>	'21000',
		'mágna'	=>	'010000',
		'mágo'	=>	'20000',
		'mágó'	=>	'20000',
		'mágr'	=>	'21000',
		'máguk'	=>	'002000',
		'mágun'	=>	'002000',
		'mágú'	=>	'21200',
		'mágy'	=>	'21200',
		'mágyad'	=>	'0000020',
		'mágyada'	=>	'00001000',
		'máhí'	=>	'00200',
		'májan'	=>	'002000',
		'májárt'	=>	'0021000',
		'máje'	=>	'00212',
		'májo'	=>	'00002',
		'májol'	=>	'002100',
		'májren'	=>	'0000002',
		'májul'	=>	'002100',
		'májü'	=>	'00200',
		'máka'	=>	'00002',
		'mákal'	=>	'002100',
		'mákar'	=>	'002000',
		'máke'	=>	'00212',
		'mákil'	=>	'002000',
		'mákó'	=>	'00210',
		'mákő'	=>	'00200',
		'mákü'	=>	'00210',
		'málal'	=>	'002120',
		'málar'	=>	'210000',
		'málál'	=>	'002000',
		'málc'	=>	'21000',
		'mále'	=>	'00212',
		'málért'	=>	'0001000',
		'mállam'	=>	'2100000',
		'mállap'	=>	'0100000',
		'mállat'	=>	'0100000',
		'mállí'	=>	'210000',
		'mállom'	=>	'0100000',
		'málma'	=>	'210000',
		'málmo'	=>	'210000',
		'málos'	=>	'002000',
		'mámas'	=>	'002100',
		'mámí'	=>	'21200',
		'mána'	=>	'00002',
		'mánas'	=>	'002100',
		'mánav'	=>	'002000',
		'mánár'	=>	'002000',
		'máncc'	=>	'000010',
		'mánce'	=>	'000200',
		'máncég'	=>	'0002100',
		'máncip'	=>	'0002000',
		'máncsé'	=>	'0002000',
		'máne'	=>	'00210',
		'mánin'	=>	'002100',
		'mánis'	=>	'002000',
		'mánit'	=>	'002100',
		'mánö'	=>	'00212',
		'mánő'	=>	'00200',
		'mánss'	=>	'000030',
		'mántac'	=>	'0002000',
		'mántag'	=>	'0002000',
		'mántal'	=>	'0002100',
		'mántas'	=>	'0002100',
		'mántá'	=>	'000002',
		'mánték'	=>	'0002100',
		'mántöl'	=>	'0002100',
		'mánú'	=>	'00200',
		'mánü'	=>	'00200',
		'mányad'	=>	'0020120',
		'mányag'	=>	'0020120',
		'mányaj'	=>	'0020000',
		'mányaka'	=>	'00201000',
		'mányal'	=>	'0020120',
		'mányan'	=>	'0000020',
		'mányany'	=>	'00200000',
		'mányap'	=>	'0020000',
		'mányar'	=>	'0020000',
		'mányau'	=>	'0020000',
		'mányav'	=>	'0020000',
		'mányaz'	=>	'0020000',
		'mánye'	=>	'002012',
		'mányérd'	=>	'00200000',
		'mányérz'	=>	'00200000',
		'mányí'	=>	'002012',
		'mányó'	=>	'002012',
		'mányö'	=>	'002000',
		'mápo'	=>	'00200',
		'márad'	=>	'212000',
		'márag'	=>	'002120',
		'máram'	=>	'200000',
		'máran'	=>	'002120',
		'máras'	=>	'002000',
		'márass'	=>	'0001000',
		'márat'	=>	'212000',
		'márau'	=>	'002100',
		'márál'	=>	'002100',
		'máre'	=>	'00202',
		'márem'	=>	'000100',
		'márés'	=>	'002000',
		'márid'	=>	'002100',
		'márik'	=>	'002100',
		'márip'	=>	'002120',
		'márisi'	=>	'0021200',
		'márisk'	=>	'0001000',
		'máristá'	=>	'00010000',
		'márí'	=>	'00200',
		'márkok'	=>	'2000000',
		'márol'	=>	'200000',
		'márö'	=>	'00200',
		'márő'	=>	'00200',
		'márug'	=>	'002000',
		'máruh'	=>	'012000',
		'máruk'	=>	'002000',
		'márur'	=>	'010000',
		'márü'	=>	'00200',
		'másad'	=>	'002120',
		'másal'	=>	'002000',
		'másap'	=>	'002000',
		'másar'	=>	'002120',
		'másav'	=>	'002100',
		'másaz'	=>	'002000',
		'másárá'	=>	'0021200',
		'másárn'	=>	'0021000',
		'másás'	=>	'002000',
		'másásá'	=>	'2100000',
		'másásn'	=>	'2100000',
		'másásr'	=>	'2100000',
		'másbej'	=>	'0000021',
		'másbejá'	=>	'00000002',
		'máse'	=>	'00212',
		'másír'	=>	'002000',
		'másor'	=>	'002000',
		'másó'	=>	'21200',
		'másö'	=>	'00200',
		'máső'	=>	'00200',
		'mást'	=>	'00002',
		'mástr'	=>	'000100',
		'másü'	=>	'00212',
		'mászav'	=>	'0003000',
		'máta'	=>	'21200',
		'mátak'	=>	'000120',
		'mátá'	=>	'21200',
		'mátc'	=>	'21000',
		'mátd'	=>	'21000',
		'máte'	=>	'00002',
		'máten'	=>	'002000',
		'máté'	=>	'20000',
		'mátf'	=>	'21000',
		'mátg'	=>	'21000',
		'máth'	=>	'21000',
		'mátir'	=>	'212000',
		'mátí'	=>	'21200',
		'mátj'	=>	'01000',
		'mátló'	=>	'210000',
		'mátn'	=>	'21000',
		'mátol'	=>	'002100',
		'mátö'	=>	'21210',
		'mátp'	=>	'21000',
		'mátre'	=>	'210000',
		'máts'	=>	'21000',
		'mátte'	=>	'210000',
		'mátú'	=>	'21200',
		'mátü'	=>	'21200',
		'mátv'	=>	'21000',
		'mázal'	=>	'002000',
		'máze'	=>	'00200',
		'mázia'	=>	'000020',
		'mázié'	=>	'000020',
		'mázis'	=>	'002120',
		'máző'	=>	'00200',
		'mázsal'	=>	'0020000',
		'mázse'	=>	'000010',
		'mázsz'	=>	'000300',
		'mbakc'	=>	'001000',
		'mbakk'	=>	'021000',
		'mbakr'	=>	'000120',
		'mbakv'	=>	'001000',
		'mbalag'	=>	'0212000',
		'mbalj'	=>	'021000',
		'mbalk'	=>	'021000',
		'mbana'	=>	'021200',
		'mbanya'	=>	'0212000',
		'mbap'	=>	'00010',
		'mbavar'	=>	'0012000',
		'mbazo'	=>	'001200',
		'mbágy'	=>	'001200',
		'mbáll'	=>	'021000',
		'mbáron'	=>	'0212000',
		'mbárró'	=>	'0210000',
		'mbászáv'	=>	'00020000',
		'mbászná'	=>	'02100000',
		'mbászoka'	=>	'021200000',
		'mbászokk'	=>	'021200000',
		'mbászoko'	=>	'021200000',
		'mbászokr'	=>	'021200000',
		'mbáta'	=>	'021000',
		'mbáth'	=>	'021000',
		'mbeá'	=>	'00002',
		'mbece'	=>	'001200',
		'mbek'	=>	'00012',
		'mbeled'	=>	'0002000',
		'mbeleg'	=>	'0012000',
		'mbell'	=>	'021000',
		'mbelr'	=>	'001000',
		'mbelsz'	=>	'0010000',
		'mbepe'	=>	'001000',
		'mberag'	=>	'0002120',
		'mberal'	=>	'0002000',
		'mberan'	=>	'0002000',
		'mberas'	=>	'0002000',
		'mberá'	=>	'000200',
		'mbereg'	=>	'0002000',
		'mberesz'	=>	'00000200',
		'mbereszű'	=>	'000010000',
		'mberev'	=>	'0002000',
		'mberél'	=>	'0002100',
		'mberés'	=>	'0002120',
		'mberimá'	=>	'00020000',
		'mbering'	=>	'00020000',
		'mberisz'	=>	'00020000',
		'mberol'	=>	'0002000',
		'mberos'	=>	'0002000',
		'mbert'	=>	'000002',
		'mberú'	=>	'000210',
		'mbég'	=>	'02120',
		'mbéke'	=>	'001200',
		'mbékí'	=>	'021000',
		'mbép'	=>	'02100',
		'mbéress'	=>	'00020000',
		'mbérté'	=>	'0210000',
		'mbérz'	=>	'021000',
		'mbgr'	=>	'00100',
		'mbide'	=>	'021000',
		'mbikal'	=>	'0002100',
		'mbike'	=>	'000200',
		'mbilla'	=>	'0210000',
		'mbinai'	=>	'0212000',
		'mbinam'	=>	'0200000',
		'mbind'	=>	'001000',
		'mbinf'	=>	'021000',
		'mbinv'	=>	'001000',
		'mbipa'	=>	'021000',
		'mbizm'	=>	'021000',
		'mbizom'	=>	'0012000',
		'mbizz'	=>	'021000',
		'mbív'	=>	'02100',
		'mbíz'	=>	'00100',
		'mbkl'	=>	'00100',
		'mblú'	=>	'01200',
		'mbly'	=>	'00100',
		'mbob'	=>	'02100',
		'mbolda'	=>	'0010000',
		'mbolyak'	=>	'00020000',
		'mbond'	=>	'001000',
		'mbop'	=>	'02100',
		'mbormá'	=>	'0210000',
		'mbormú'	=>	'0210000',
		'mboroz'	=>	'0212000',
		'mboszl'	=>	'0210000',
		'mböle'	=>	'001000',
		'mböv'	=>	'02100',
		'mbősi'	=>	'001200',
		'mbősz'	=>	'021200',
		'mbpl'	=>	'00100',
		'mbpr'	=>	'00100',
		'mbrádi'	=>	'0000002',
		'mbrev'	=>	'002000',
		'mbrok'	=>	'002000',
		'mbron'	=>	'002000',
		'mbsp'	=>	'00100',
		'mbst'	=>	'00102',
		'mbsz'	=>	'00100',
		'mbtr'	=>	'00100',
		'mbusze'	=>	'0002000',
		'mbuszí'	=>	'0002000',
		'mbut'	=>	'02120',
		'mbúj'	=>	'00100',
		'mbüg'	=>	'02100',
		'mbül'	=>	'02100',
		'mbüs'	=>	'02100',
		'mbüt'	=>	'02100',
		'mbüz'	=>	'02100',
		'mbvezé'	=>	'0000002',
		'mclu'	=>	'00200',
		'mcsapág'	=>	'00002120',
		'mdab'	=>	'00012',
		'mdag'	=>	'00012',
		'mdap'	=>	'00012',
		'mdiale'	=>	'0002000',
		'mdiap'	=>	'000300',
		'mdra'	=>	'00200',
		'mdrá'	=>	'00200',
		'mdro'	=>	'00200',
		'mdró'	=>	'00200',
		'me'	=>	'100',
		'meal'	=>	'00020',
		'mean'	=>	'00020',
		'meav'	=>	'00200',
		'mebéd'	=>	'002000',
		'medere'	=>	'0000212',
		'medény'	=>	'2000000',
		'medrá'	=>	'001200',
		'medz'	=>	'21200',
		'mees'	=>	'00020',
		'meet'	=>	'00200',
		'meff'	=>	'21000',
		'megaba'	=>	'0020000',
		'megala'	=>	'0021000',
		'megalu'	=>	'0021000',
		'megalv'	=>	'0021000',
		'megan'	=>	'002100',
		'megar'	=>	'002120',
		'megasz'	=>	'0000102',
		'megav'	=>	'002000',
		'megá'	=>	'00210',
		'megám'	=>	'003000',
		'megás'	=>	'000020',
		'megát'	=>	'000020',
		'megáz'	=>	'000020',
		'megeg'	=>	'002100',
		'megel'	=>	'002100',
		'megele'	=>	'0000200',
		'megelő'	=>	'0000200',
		'meger'	=>	'002000',
		'megesem'	=>	'00210000',
		'megeszt'	=>	'00010000',
		'megeta'	=>	'0020000',
		'megete'	=>	'0021200',
		'megez'	=>	'002000',
		'megél'	=>	'002120',
		'megéss'	=>	'0000030',
		'megész'	=>	'0000001',
		'megf'	=>	'00010',
		'megg'	=>	'00002',
		'meggr'	=>	'000100',
		'megi'	=>	'00200',
		'megigá'	=>	'0001000',
		'meginn'	=>	'0001000',
		'megir'	=>	'000100',
		'megis'	=>	'000100',
		'megitt'	=>	'0001000',
		'megí'	=>	'00210',
		'mego'	=>	'00210',
		'megó'	=>	'00212',
		'megö'	=>	'00212',
		'megőr'	=>	'002000',
		'megu'	=>	'00212',
		'megú'	=>	'00200',
		'megüg'	=>	'002120',
		'megül'	=>	'002120',
		'megyez'	=>	'2000000',
		'megyh'	=>	'210000',
		'megyl'	=>	'210000',
		'megys'	=>	'210000',
		'megyüt'	=>	'2000000',
		'mehető'	=>	'0020000',
		'meirá'	=>	'000200',
		'mekad'	=>	'002100',
		'mekag'	=>	'002100',
		'mekalk'	=>	'0001000',
		'mekam'	=>	'002100',
		'mekarc'	=>	'0001000',
		'mekas'	=>	'002120',
		'mekatt'	=>	'0021000',
		'mekál'	=>	'002120',
		'mekáp'	=>	'002120',
		'mekára'	=>	'0021000',
		'mekát'	=>	'002000',
		'mekegy'	=>	'0001000',
		'mekell'	=>	'0001000',
		'mekep'	=>	'002000',
		'mekers'	=>	'0021000',
		'mekesz'	=>	'0000200',
		'mekesze'	=>	'00210000',
		'mekeszm'	=>	'00200000',
		'mekeszte'	=>	'000100000',
		'mekev'	=>	'002000',
		'mekék'	=>	'002100',
		'mekél'	=>	'002000',
		'mekérde'	=>	'00010000',
		'mekérk'	=>	'0021000',
		'mekérte'	=>	'00210000',
		'mekérté'	=>	'00210000',
		'mekéss'	=>	'0021000',
		'mekéte'	=>	'0021000',
		'mekido'	=>	'0020000',
		'mekij'	=>	'002000',
		'mekimá'	=>	'0001000',
		'meking'	=>	'0021000',
		'mekint'	=>	'0021000',
		'mekip'	=>	'002120',
		'mekist'	=>	'0021000',
		'mekita'	=>	'0021000',
		'mekír'	=>	'002000',
		'mekít'	=>	'002000',
		'mekk'	=>	'00012',
		'meklu'	=>	'000300',
		'mekob'	=>	'002000',
		'mekok'	=>	'002100',
		'mekold'	=>	'0021000',
		'mekolt'	=>	'0021000',
		'mekonk'	=>	'0021000',
		'mekop'	=>	'002000',
		'mekor'	=>	'000020',
		'mekora'	=>	'0001000',
		'mekoro'	=>	'0001000',
		'mekort'	=>	'0001000',
		'mekos'	=>	'002100',
		'mekott'	=>	'0001000',
		'mekóv'	=>	'002120',
		'meköltö'	=>	'00010000',
		'mekön'	=>	'002000',
		'meköröm'	=>	'00010000',
		'meköt'	=>	'002100',
		'mekő'	=>	'00210',
		'meks'	=>	'00010',
		'meksz'	=>	'000002',
		'mekt'	=>	'00012',
		'mekuj'	=>	'002000',
		'mekun'	=>	'002000',
		'mekur'	=>	'002000',
		'mekú'	=>	'00212',
		'meküd'	=>	'002000',
		'meküg'	=>	'002100',
		'meküld'	=>	'0021000',
		'mekülé'	=>	'0021200',
		'mekülő'	=>	'0021200',
		'meküz'	=>	'002000',
		'melad'	=>	'010000',
		'melak'	=>	'000100',
		'melág'	=>	'002000',
		'melál'	=>	'002000',
		'melb'	=>	'20000',
		'melef'	=>	'212000',
		'melekt'	=>	'0020000',
		'melel'	=>	'000120',
		'meleme'	=>	'2120000',
		'melemz'	=>	'2120000',
		'meles'	=>	'212000',
		'melet'	=>	'200000',
		'melég'	=>	'212000',
		'melél'	=>	'212120',
		'melér'	=>	'212100',
		'meléss'	=>	'0000030',
		'melf'	=>	'21000',
		'melgo'	=>	'210000',
		'melha'	=>	'010000',
		'melhá'	=>	'210000',
		'melhel'	=>	'2100000',
		'melí'	=>	'20212',
		'meljá'	=>	'210000',
		'melk'	=>	'20000',
		'melké'	=>	'010000',
		'melkí'	=>	'010000',
		'melkö'	=>	'010000',
		'mellál'	=>	'0002000',
		'mellene'	=>	'01000000',
		'meller'	=>	'0002000',
		'melling'	=>	'00020000',
		'melliz'	=>	'0002100',
		'mello'	=>	'000200',
		'mellö'	=>	'000200',
		'mellu'	=>	'000212',
		'melmé'	=>	'210000',
		'melnö'	=>	'210000',
		'melos'	=>	'002000',
		'melőde'	=>	'0100000',
		'melőí'	=>	'212000',
		'melőle'	=>	'0120000',
		'melőtt'	=>	'0120000',
		'melőz'	=>	'200000',
		'melőző'	=>	'0020000',
		'melr'	=>	'21000',
		'melszá'	=>	'2100000',
		'melta'	=>	'210000',
		'meltá'	=>	'210000',
		'melter'	=>	'0100000',
		'meltettn'	=>	'210000000',
		'meltér'	=>	'2100000',
		'melti'	=>	'210000',
		'melty'	=>	'200000',
		'melvá'	=>	'210000',
		'melves'	=>	'2100000',
		'melvn'	=>	'210000',
		'melvo'	=>	'210000',
		'melyék'	=>	'0020100',
		'melz'	=>	'21000',
		'meml'	=>	'21000',
		'memul'	=>	'212000',
		'menad'	=>	'002120',
		'menal'	=>	'002000',
		'menar'	=>	'002000',
		'menau'	=>	'002000',
		'menát'	=>	'002000',
		'meneg'	=>	'002120',
		'menel'	=>	'002100',
		'mener'	=>	'002000',
		'menetá'	=>	'0000212',
		'menetö'	=>	'0000200',
		'menéss'	=>	'0000030',
		'menges'	=>	'2100000',
		'menil'	=>	'002000',
		'menip'	=>	'002100',
		'mení'	=>	'00200',
		'menö'	=>	'00200',
		'menség'	=>	'0002120',
		'mentell'	=>	'00021000',
		'mentip'	=>	'0002000',
		'mentis'	=>	'0002100',
		'menu'	=>	'00210',
		'menú'	=>	'00200',
		'menya'	=>	'002000',
		'menyema'	=>	'00000200',
		'meom'	=>	'00200',
		'meóe'	=>	'00200',
		'meph'	=>	'00120',
		'mepik'	=>	'002000',
		'mepos'	=>	'002000',
		'mepr'	=>	'00120',
		'merap'	=>	'000012',
		'merass'	=>	'0001000',
		'merdő'	=>	'200000',
		'merec'	=>	'212000',
		'meredm'	=>	'2000000',
		'meregy'	=>	'0001000',
		'merej'	=>	'212000',
		'merel'	=>	'002120',
		'mereml'	=>	'0021000',
		'mereta'	=>	'0000210',
		'meretel'	=>	'00002120',
		'merezőkh'	=>	'200000000',
		'merép'	=>	'002100',
		'meril'	=>	'002100',
		'merim'	=>	'002000',
		'merinf'	=>	'0001000',
		'mering'	=>	'0001000',
		'merip'	=>	'002100',
		'mernyő'	=>	'2000000',
		'merol'	=>	'002100',
		'meror'	=>	'002000',
		'meros'	=>	'002100',
		'merov'	=>	'002000',
		'meről'	=>	'200000',
		'merősí'	=>	'2000000',
		'mers'	=>	'00002',
		'merst'	=>	'000100',
		'mertró'	=>	'0001000',
		'merüg'	=>	'002120',
		'mesas'	=>	'002000',
		'mesemb'	=>	'0021000',
		'mesemén'	=>	'21000000',
		'meses'	=>	'000010',
		'meseté'	=>	'2000000',
		'mesett'	=>	'2120000',
		'mesély'	=>	'2000000',
		'mesésé'	=>	'2120000',
		'mesésh'	=>	'2120000',
		'mesésk'	=>	'2000000',
		'mesésr'	=>	'2000000',
		'meséss'	=>	'2000000',
		'mesést'	=>	'2000000',
		'meső'	=>	'21200',
		'mespo'	=>	'001200',
		'mestb'	=>	'210000',
		'mestek'	=>	'2100000',
		'mesté'	=>	'210000',
		'mestf'	=>	'210000',
		'mestó'	=>	'001200',
		'mestr'	=>	'210000',
		'mestün'	=>	'2100000',
		'meszan'	=>	'0020000',
		'meszem'	=>	'2000000',
		'mesztá'	=>	'0010200',
		'metanya'	=>	'00010000',
		'metas'	=>	'000010',
		'metasz'	=>	'0000002',
		'metegy'	=>	'0021200',
		'metell'	=>	'0001000',
		'meteté'	=>	'2120000',
		'meting'	=>	'0001000',
		'metór'	=>	'002000',
		'metú'	=>	'00200',
		'metűd'	=>	'002000',
		'meug'	=>	'21200',
		'meuk'	=>	'00200',
		'meuss'	=>	'000030',
		'meut'	=>	'00020',
		'mevő'	=>	'00200',
		'mezac'	=>	'002000',
		'mezaj'	=>	'002100',
		'mezak'	=>	'000020',
		'mezau'	=>	'002000',
		'mezál'	=>	'002000',
		'mezedé'	=>	'0020000',
		'mezeg'	=>	'002000',
		'mezelj'	=>	'0021000',
		'mezell'	=>	'0021000',
		'mezelőh'	=>	'00200000',
		'mezer'	=>	'002000',
		'mezere'	=>	'0001000',
		'mezék'	=>	'002100',
		'mezérd'	=>	'0021000',
		'mezéret'	=>	'00010000',
		'mezéri'	=>	'0021200',
		'mezid'	=>	'002100',
		'mezim'	=>	'002000',
		'mezin'	=>	'002000',
		'mezio'	=>	'002000',
		'mezír'	=>	'002000',
		'mezol'	=>	'002100',
		'mezor'	=>	'002100',
		'mezö'	=>	'00210',
		'mezőe'	=>	'000002',
		'mezőrö'	=>	'0021200',
		'mezőss'	=>	'0021000',
		'mezrem'	=>	'2000000',
		'mezrese'	=>	'01000000',
		'mezresr'	=>	'01000000',
		'mezrest'	=>	'01000000',
		'mezsa'	=>	'002300',
		'mezsá'	=>	'002000',
		'mezsö'	=>	'002000',
		'mezu'	=>	'00200',
		'mezú'	=>	'00200',
		'mé'	=>	'100',
		'méber'	=>	'002000',
		'mébr'	=>	'21000',
		'mécsa'	=>	'002012',
		'mécso'	=>	'002000',
		'méga'	=>	'00210',
		'mége'	=>	'00200',
		'mégeg'	=>	'000100',
		'mégé'	=>	'00200',
		'mégi'	=>	'00200',
		'mégis'	=>	'000100',
		'mégo'	=>	'00212',
		'mégő'	=>	'00200',
		'mégú'	=>	'00200',
		'méha'	=>	'00212',
		'méhá'	=>	'00210',
		'méheg'	=>	'002000',
		'méhel'	=>	'002000',
		'méhir'	=>	'002000',
		'méhis'	=>	'002100',
		'méhor'	=>	'002100',
		'méhö'	=>	'00200',
		'méhren'	=>	'0000002',
		'méhsé'	=>	'200000',
		'méjb'	=>	'21000',
		'méjes'	=>	'002000',
		'méjs'	=>	'21000',
		'méka'	=>	'00002',
		'mékad'	=>	'002100',
		'mékaj'	=>	'002100',
		'mékak'	=>	'002100',
		'mékal'	=>	'002100',
		'mékan'	=>	'002100',
		'mékar'	=>	'002000',
		'mékaz'	=>	'002000',
		'méká'	=>	'00212',
		'mékeg'	=>	'002120',
		'mékelh'	=>	'0001000',
		'mékell'	=>	'0001000',
		'mékelő'	=>	'0001200',
		'mékese'	=>	'0021000',
		'mékev'	=>	'002000',
		'mékez'	=>	'002000',
		'mékék'	=>	'002120',
		'mékél'	=>	'002120',
		'mékid'	=>	'002000',
		'mékirá'	=>	'0020000',
		'mékí'	=>	'00200',
		'méko'	=>	'00210',
		'mékö'	=>	'00210',
		'mékő'	=>	'00200',
		'méku'	=>	'00212',
		'mékú'	=>	'00210',
		'mélel'	=>	'212000',
		'méles'	=>	'002000',
		'mélez'	=>	'002000',
		'mélén'	=>	'212000',
		'mélm'	=>	'21000',
		'mélya'	=>	'002000',
		'mélyá'	=>	'002000',
		'mélyeg'	=>	'0020000',
		'mélyú'	=>	'002010',
		'ménar'	=>	'002120',
		'ménat'	=>	'002120',
		'ménekb'	=>	'2000000',
		'ménekh'	=>	'2000000',
		'ménekl'	=>	'2000000',
		'ménel'	=>	'002100',
		'ménék'	=>	'002120',
		'ménés'	=>	'002100',
		'ménid'	=>	'002000',
		'ménin'	=>	'002000',
		'ménis'	=>	'002100',
		'méniv'	=>	'002000',
		'mént'	=>	'00002',
		'ményeg'	=>	'0020120',
		'ményel'	=>	'0020120',
		'ményer'	=>	'0020000',
		'ményék'	=>	'0020000',
		'ményim'	=>	'0020000',
		'ményír'	=>	'0020000',
		'ményo'	=>	'002010',
		'ményö'	=>	'002000',
		'ményú'	=>	'002000',
		'ményül'	=>	'0000020',
		'ményülé'	=>	'00201000',
		'mépí'	=>	'00200',
		'mépü'	=>	'00200',
		'méretts'	=>	'21200000',
		'mérén'	=>	'212000',
		'mérér'	=>	'002000',
		'méréss'	=>	'0000010',
		'mérév'	=>	'212000',
		'mérie'	=>	'212000',
		'mérin'	=>	'212000',
		'mérké'	=>	'210000',
		'mérlel'	=>	'2100000',
		'mérón'	=>	'002100',
		'mérteke'	=>	'20000000',
		'mértes'	=>	'2100000',
		'mértér'	=>	'2100000',
		'mértés'	=>	'2100000',
		'mérül'	=>	'212000',
		'mérva'	=>	'000212',
		'mérz'	=>	'21000',
		'mésa'	=>	'00212',
		'mésá'	=>	'00212',
		'mésel'	=>	'002120',
		'méser'	=>	'002100',
		'mésez'	=>	'002000',
		'mésin'	=>	'002000',
		'mésö'	=>	'00200',
		'méssza'	=>	'0003000',
		'mésza'	=>	'000002',
		'mészal'	=>	'0000100',
		'mészál'	=>	'0020100',
		'mészára'	=>	'00201200',
		'mészed'	=>	'0020000',
		'mészel'	=>	'0020100',
		'mészl'	=>	'200000',
		'mésző'	=>	'002010',
		'mészs'	=>	'000030',
		'mészté'	=>	'2000000',
		'mészth'	=>	'2000000',
		'mészti'	=>	'2000000',
		'mésztj'	=>	'2000000',
		'mésztl'	=>	'2000000',
		'mésztü'	=>	'2000000',
		'mésztv'	=>	'2000000',
		'mészü'	=>	'002012',
		'métad'	=>	'002100',
		'métak'	=>	'002100',
		'métan'	=>	'002120',
		'métárt'	=>	'0001000',
		'mételho'	=>	'00010000',
		'mételta'	=>	'00010000',
		'métev'	=>	'002120',
		'métég'	=>	'002000',
		'métje'	=>	'210000',
		'métjér'	=>	'2100000',
		'métjév'	=>	'2100000',
		'métjü'	=>	'210000',
		'méto'	=>	'00210',
		'métö'	=>	'00200',
		'métő'	=>	'00002',
		'métőr'	=>	'002000',
		'métu'	=>	'00210',
		'métű'	=>	'00210',
		'mévb'	=>	'21000',
		'mévei'	=>	'200000',
		'mévek'	=>	'212000',
		'méven'	=>	'002000',
		'méves'	=>	'002000',
		'mévet'	=>	'212000',
		'mévéb'	=>	'212000',
		'mévén'	=>	'002000',
		'mévf'	=>	'21000',
		'mévh'	=>	'21000',
		'mévi'	=>	'21200',
		'mévk'	=>	'21000',
		'mévn'	=>	'21000',
		'mévr'	=>	'21000',
		'mévs'	=>	'21000',
		'mévt'	=>	'21000',
		'mévv'	=>	'21000',
		'méza'	=>	'00210',
		'mézá'	=>	'00212',
		'mézeg'	=>	'002000',
		'mézil'	=>	'002000',
		'mézim'	=>	'002000',
		'mézin'	=>	'002000',
		'mézism'	=>	'0001000',
		'mézit'	=>	'002000',
		'mézí'	=>	'00200',
		'mézo'	=>	'00210',
		'mézs'	=>	'00230',
		'mézu'	=>	'00200',
		'mézű'	=>	'00200',
		'mfale'	=>	'000212',
		'mfalom'	=>	'0002000',
		'mfas'	=>	'00012',
		'mféma'	=>	'000212',
		'mfit'	=>	'00002',
		'mfitr'	=>	'000100',
		'mfla'	=>	'00200',
		'mflo'	=>	'01200',
		'mfló'	=>	'00200',
		'mflu'	=>	'00200',
		'mfogadat'	=>	'000010000',
		'mfrak'	=>	'012000',
		'mfran'	=>	'012000',
		'mfrá'	=>	'00200',
		'mfre'	=>	'01200',
		'mfri'	=>	'01200',
		'mfrí'	=>	'01200',
		'mfro'	=>	'01200',
		'mfrö'	=>	'01200',
		'mgépel'	=>	'0002120',
		'mgépi'	=>	'000002',
		'mgépip'	=>	'0002100',
		'mgli'	=>	'00200',
		'mgló'	=>	'00200',
		'mgörcso'	=>	'00002000',
		'mgra'	=>	'00200',
		'mgrá'	=>	'00200',
		'mhasábr'	=>	'00020000',
		'mhosszút'	=>	'000000100',
		'mi'	=>	'100',
		'miaa'	=>	'00200',
		'miaá'	=>	'00200',
		'miabo'	=>	'002000',
		'miac'	=>	'00200',
		'miae'	=>	'00200',
		'miaé'	=>	'00200',
		'miaf'	=>	'00012',
		'miafr'	=>	'002000',
		'miag'	=>	'00200',
		'miah'	=>	'00200',
		'miaí'	=>	'00200',
		'miale'	=>	'002000',
		'miamé'	=>	'002000',
		'miao'	=>	'00200',
		'miaó'	=>	'00200',
		'miaö'	=>	'00200',
		'miaő'	=>	'00200',
		'miap'	=>	'00210',
		'miaré'	=>	'002000',
		'mias'	=>	'00002',
		'miaszá'	=>	'0020000',
		'miaszé'	=>	'0020000',
		'miaszi'	=>	'0020000',
		'miaszó'	=>	'0020000',
		'miatá'	=>	'002000',
		'miati'	=>	'002000',
		'miato'	=>	'002000',
		'miaü'	=>	'00200',
		'miav'	=>	'00200',
		'miáz'	=>	'21200',
		'mibl'	=>	'00100',
		'micsap'	=>	'0000021',
		'mideá'	=>	'212000',
		'mideg'	=>	'212000',
		'midei'	=>	'212000',
		'midej'	=>	'200000',
		'miden'	=>	'200000',
		'mident'	=>	'0020000',
		'mideo'	=>	'212000',
		'midén'	=>	'002000',
		'midio'	=>	'002000',
		'midió'	=>	'002000',
		'midol'	=>	'002000',
		'midő'	=>	'20000',
		'midőz'	=>	'010000',
		'miel'	=>	'00020',
		'miéf'	=>	'00200',
		'mifl'	=>	'00100',
		'mifr'	=>	'00100',
		'migaz'	=>	'212000',
		'migén'	=>	'212000',
		'migri'	=>	'001000',
		'mihl'	=>	'21000',
		'miid'	=>	'00020',
		'mikli'	=>	'001200',
		'miklu'	=>	'001000',
		'mikono'	=>	'0020000',
		'mikont'	=>	'0020000',
		'miks'	=>	'20000',
		'milal'	=>	'002000',
		'mille'	=>	'200000',
		'millu'	=>	'200000',
		'millú'	=>	'200000',
		'mimáh'	=>	'002000',
		'mimit'	=>	'002000',
		'mimór'	=>	'002000',
		'minaj'	=>	'002000',
		'minam'	=>	'212000',
		'minan'	=>	'000020',
		'minany'	=>	'0001000',
		'minas'	=>	'212000',
		'minára'	=>	'0021000',
		'mince'	=>	'000212',
		'minch'	=>	'000200',
		'minda'	=>	'000212',
		'mindá'	=>	'210000',
		'mindek'	=>	'0002000',
		'minder'	=>	'0002100',
		'mindin'	=>	'0002000',
		'mindí'	=>	'210000',
		'mindu'	=>	'200000',
		'mineg'	=>	'002000',
		'mines'	=>	'000020',
		'minfl'	=>	'200000',
		'minfú'	=>	'210000',
		'mingá'	=>	'000210',
		'mingé'	=>	'210000',
		'mingh'	=>	'000120',
		'mininj'	=>	'0001000',
		'minkal'	=>	'0002120',
		'minkan'	=>	'0002100',
		'minkas'	=>	'0002100',
		'minkec'	=>	'0002000',
		'minkó'	=>	'000200',
		'minkö'	=>	'000200',
		'minsp'	=>	'210000',
		'minuk'	=>	'212000',
		'minü'	=>	'00200',
		'minz'	=>	'21000',
		'miona'	=>	'000210',
		'mioná'	=>	'000210',
		'mior'	=>	'00020',
		'miór'	=>	'00020',
		'mipl'	=>	'00120',
		'mipr'	=>	'00120',
		'miram'	=>	'002000',
		'mirat'	=>	'212000',
		'mirán'	=>	'202000',
		'mirg'	=>	'20000',
		'mirh'	=>	'20000',
		'mirigyel'	=>	'000020000',
		'mirk'	=>	'21000',
		'mirod'	=>	'212000',
		'mirom'	=>	'212000',
		'mirón'	=>	'002000',
		'mirr'	=>	'21000',
		'misal'	=>	'002000',
		'miselv'	=>	'0001000',
		'misepe'	=>	'0001000',
		'mising'	=>	'0001000',
		'misit'	=>	'200000',
		'misír'	=>	'002120',
		'mispi'	=>	'001200',
		'misszab'	=>	'00030000',
		'misszer'	=>	'00030000',
		'misüt'	=>	'002120',
		'misüv'	=>	'002120',
		'misű'	=>	'00210',
		'miszár'	=>	'0020000',
		'miszf'	=>	'001020',
		'mitac'	=>	'002000',
		'mitan'	=>	'000020',
		'mitany'	=>	'0001000',
		'mitat'	=>	'212000',
		'mitác'	=>	'200000',
		'mitárá'	=>	'0001000',
		'mitárh'	=>	'0001000',
		'mitári'	=>	'0001000',
		'mitárk'	=>	'0001000',
		'mitárn'	=>	'0001000',
		'mitárr'	=>	'0001000',
		'mitárt'	=>	'0001000',
		'mitárú'	=>	'0001000',
		'mitbo'	=>	'200000',
		'miting'	=>	'0001000',
		'mitis'	=>	'000020',
		'mitlá'	=>	'200000',
		'mitök'	=>	'002000',
		'mitri'	=>	'001000',
		'mitro'	=>	'200000',
		'mitrú'	=>	'200000',
		'mitür'	=>	'002000',
		'miumé'	=>	'000002',
		'miumin'	=>	'0002000',
		'mius'	=>	'00020',
		'mivad'	=>	'212000',
		'mivó'	=>	'21200',
		'mixi'	=>	'00210',
		'mixö'	=>	'00200',
		'mixő'	=>	'00200',
		'mizét'	=>	'002000',
		'mí'	=>	'100',
		'mígé'	=>	'01200',
		'míja'	=>	'00200',
		'míjá'	=>	'00200',
		'míns'	=>	'01000',
		'mírá'	=>	'21200',
		'míró'	=>	'21200',
		'mívá'	=>	'00200',
		'mívb'	=>	'01000',
		'mívé'	=>	'00200',
		'mívh'	=>	'01000',
		'mívr'	=>	'01000',
		'mívv'	=>	'01000',
		'mízü'	=>	'00200',
		'mízű'	=>	'00200',
		'mjéná'	=>	'000200',
		'mjobbo'	=>	'0000010',
		'mjogás'	=>	'0002120',
		'mjol'	=>	'02100',
		'mjósá'	=>	'001000',
		'mjős'	=>	'00100',
		'mkaró'	=>	'000002',
		'mkarór'	=>	'0002100',
		'mkep'	=>	'00010',
		'mkia'	=>	'00002',
		'mkiá'	=>	'00002',
		'mkie'	=>	'00002',
		'mkla'	=>	'00200',
		'mkli'	=>	'00200',
		'mklí'	=>	'00200',
		'mklo'	=>	'00200',
		'mklu'	=>	'00200',
		'mkórost'	=>	'00020000',
		'mkra'	=>	'00200',
		'mkrá'	=>	'00200',
		'mkre'	=>	'00200',
		'mkré'	=>	'00200',
		'mkri'	=>	'00200',
		'mkrí'	=>	'00200',
		'mkro'	=>	'00200',
		'mkró'	=>	'00200',
		'mkva'	=>	'00200',
		'mkvó'	=>	'00200',
		'mlaf'	=>	'00010',
		'mlapár'	=>	'0000020',
		'mlapáro'	=>	'00021000',
		'mlape'	=>	'000212',
		'mlapin'	=>	'0002000',
		'mlast'	=>	'000120',
		'mláss'	=>	'000030',
		'mlász'	=>	'000230',
		'mleg'	=>	'00012',
		'mleí'	=>	'00002',
		'mlekn'	=>	'000100',
		'mlepla'	=>	'0001000',
		'mléka'	=>	'000212',
		'mléká'	=>	'000210',
		'mlékel'	=>	'0002100',
		'mlékol'	=>	'0002100',
		'mlékos'	=>	'0002000',
		'mlékó'	=>	'000200',
		'mlékú'	=>	'000212',
		'mlészé'	=>	'0002000',
		'mlokál'	=>	'0002100',
		'mloké'	=>	'000200',
		'mlősa'	=>	'000212',
		'mlősű'	=>	'000212',
		'mmagg'	=>	'000010',
		'mmagl'	=>	'000100',
		'mmai'	=>	'00002',
		'mmas'	=>	'00002',
		'mmatk'	=>	'021000',
		'mmegé'	=>	'000210',
		'mmifélév'	=>	'000002120',
		'mo'	=>	'100',
		'mobe'	=>	'00200',
		'mobj'	=>	'21000',
		'moci'	=>	'00001',
		'moff'	=>	'21000',
		'mográff'	=>	'00120000',
		'mográfk'	=>	'00120000',
		'mográfn'	=>	'00120000',
		'mogya'	=>	'002012',
		'mohu'	=>	'00002',
		'mois'	=>	'00200',
		'mokab'	=>	'002000',
		'mokad'	=>	'002100',
		'mokak'	=>	'002120',
		'mokal'	=>	'002120',
		'mokan'	=>	'002120',
		'mokar'	=>	'002000',
		'mokád'	=>	'002000',
		'mokál'	=>	'002100',
		'mokás'	=>	'002120',
		'moke'	=>	'00212',
		'mokil'	=>	'002100',
		'mokk'	=>	'00012',
		'mokol'	=>	'002100',
		'mokor'	=>	'002100',
		'mokó'	=>	'00212',
		'mokö'	=>	'00200',
		'mokt'	=>	'00010',
		'moktat'	=>	'2100000',
		'moku'	=>	'00002',
		'mokur'	=>	'002000',
		'mokú'	=>	'00002',
		'mokús'	=>	'002000',
		'mokúto'	=>	'0021000',
		'mokü'	=>	'00200',
		'molaj'	=>	'212000',
		'molda'	=>	'210000',
		'moldó'	=>	'010000',
		'molim'	=>	'212000',
		'molli'	=>	'000002',
		'mollin'	=>	'0002100',
		'molló'	=>	'210000',
		'molóiko'	=>	'00000200',
		'moltár'	=>	'2100000',
		'moltás'	=>	'2100000',
		'molvad'	=>	'2000000',
		'molvas'	=>	'2000000',
		'moml'	=>	'21000',
		'monacé'	=>	'0001000',
		'monad'	=>	'002120',
		'monal'	=>	'002120',
		'monan'	=>	'002100',
		'monap'	=>	'002120',
		'monar'	=>	'000020',
		'monas'	=>	'002100',
		'monáll'	=>	'0021000',
		'moneg'	=>	'002000',
		'moner'	=>	'002100',
		'monis'	=>	'002100',
		'monor'	=>	'000200',
		'monö'	=>	'00200',
		'mons'	=>	'00002',
		'monsp'	=>	'000100',
		'montré'	=>	'0001000',
		'monü'	=>	'00200',
		'monű'	=>	'00200',
		'monyá'	=>	'000002',
		'monyáz'	=>	'0020000',
		'moor'	=>	'00200',
		'mopc'	=>	'21000',
		'mope'	=>	'20000',
		'moper'	=>	'002000',
		'mopl'	=>	'00120',
		'mopt'	=>	'21000',
		'morad'	=>	'002100',
		'moran'	=>	'000020',
		'morany'	=>	'0001000',
		'morála'	=>	'0000200',
		'mordí'	=>	'210000',
		'morel'	=>	'002100',
		'moren'	=>	'002000',
		'morer'	=>	'002120',
		'morest'	=>	'0021000',
		'morid'	=>	'002000',
		'morie'	=>	'200000',
		'moris'	=>	'000020',
		'morisk'	=>	'0021000',
		'moriszo'	=>	'00210000',
		'morizg'	=>	'0001000',
		'morjaia'	=>	'20000000',
		'morjaié'	=>	'20000000',
		'morjait'	=>	'21000000',
		'morol'	=>	'002100',
		'moront'	=>	'0021000',
		'morón'	=>	'002100',
		'morór'	=>	'002120',
		'morós'	=>	'002000',
		'morö'	=>	'00200',
		'mors'	=>	'00012',
		'mort'	=>	'00002',
		'mortá'	=>	'000300',
		'mortr'	=>	'000100',
		'morü'	=>	'00200',
		'morű'	=>	'00200',
		'mosál'	=>	'002000',
		'mose'	=>	'00210',
		'mosto'	=>	'200000',
		'mostr'	=>	'210000',
		'mosty'	=>	'210000',
		'mosü'	=>	'00200',
		'moszal'	=>	'0020000',
		'moszis'	=>	'0020000',
		'moszlo'	=>	'2100000',
		'moth'	=>	'00120',
		'mottha'	=>	'2100000',
		'motto'	=>	'000200',
		'moun'	=>	'00200',
		'mous'	=>	'00202',
		'movi'	=>	'00200',
		'moxi'	=>	'00200',
		'mozso'	=>	'003000',
		'mó'	=>	'100',
		'móág'	=>	'00020',
		'móbl'	=>	'00100',
		'móch'	=>	'00200',
		'mócsap'	=>	'0000021',
		'mócsapá'	=>	'00000002',
		'módal'	=>	'002120',
		'módau'	=>	'002000',
		'módák'	=>	'002000',
		'módár'	=>	'002000',
		'móde'	=>	'00212',
		'módip'	=>	'002000',
		'módor'	=>	'002120',
		'módó'	=>	'00002',
		'módór'	=>	'002100',
		'módu'	=>	'00002',
		'módus'	=>	'000001',
		'mófl'	=>	'00100',
		'móiko'	=>	'000200',
		'mókl'	=>	'00120',
		'mókuss'	=>	'0000010',
		'mólar'	=>	'002000',
		'mópr'	=>	'00120',
		'mórak'	=>	'002000',
		'mórar'	=>	'002000',
		'mórág'	=>	'002000',
		'mórái'	=>	'002000',
		'móráj'	=>	'002000',
		'mórám'	=>	'002000',
		'mórias'	=>	'0000200',
		'móró'	=>	'00002',
		'mórón'	=>	'002100',
		'mórö'	=>	'00200',
		'mósk'	=>	'00120',
		'móthe'	=>	'001000',
		'mö'	=>	'100',
		'möbö'	=>	'00200',
		'möko'	=>	'00200',
		'mölcsa'	=>	'0002010',
		'mölcsá'	=>	'0002000',
		'mölcsel'	=>	'00020000',
		'mölcses'	=>	'00020100',
		'mölcsil'	=>	'00020100',
		'mölcso'	=>	'0002010',
		'mölcső'	=>	'0002010',
		'möle'	=>	'00200',
		'mönu'	=>	'00200',
		'möro'	=>	'00200',
		'mörő'	=>	'00210',
		'mötl'	=>	'01000',
		'möve'	=>	'00200',
		'mövö'	=>	'00200',
		'mövü'	=>	'00200',
		'mövű'	=>	'00200',
		'mő'	=>	'100',
		'mőan'	=>	'00020',
		'mőág'	=>	'00020',
		'mőel'	=>	'00020',
		'mőer'	=>	'00020',
		'mőél'	=>	'00020',
		'mőéte'	=>	'000200',
		'mőkl'	=>	'00100',
		'mőps'	=>	'00100',
		'mőrár'	=>	'002120',
		'mőrh'	=>	'21000',
		'mőri'	=>	'21200',
		'mősi'	=>	'00200',
		'mősü'	=>	'00200',
		'mőszár'	=>	'0003000',
		'mőül'	=>	'00020',
		'mőzi'	=>	'00200',
		'mpadr'	=>	'000100',
		'mpakc'	=>	'021000',
		'mpaktá'	=>	'0210000',
		'mpáll'	=>	'021000',
		'mpárko'	=>	'0210000',
		'mpátj'	=>	'021000',
		'mpátk'	=>	'021000',
		'mpci'	=>	'00200',
		'mpelt'	=>	'001000',
		'mpfr'	=>	'00100',
		'mpind'	=>	'001000',
		'mpire'	=>	'000200',
		'mplak'	=>	'002000',
		'mplomal'	=>	'00002000',
		'mplu'	=>	'01200',
		'mpond'	=>	'000012',
		'mpord'	=>	'021000',
		'mporta'	=>	'0000002',
		'mportal'	=>	'00002100',
		'mportár'	=>	'00002120',
		'mporte'	=>	'0000212',
		'mposztás'	=>	'021000000',
		'mpös'	=>	'02100',
		'mpref'	=>	'012000',
		'mprep'	=>	'012000',
		'mprés'	=>	'012000',
		'mprib'	=>	'010000',
		'mpric'	=>	'012000',
		'mprio'	=>	'002000',
		'mprod'	=>	'012000',
		'mprof'	=>	'010000',
		'mprog'	=>	'010000',
		'mproj'	=>	'010000',
		'mprop'	=>	'012010',
		'mprot'	=>	'012000',
		'mprób'	=>	'012000',
		'mpru'	=>	'01200',
		'mpszi'	=>	'012000',
		'mputa'	=>	'021200',
		'mputó'	=>	'021000',
		'mpüz'	=>	'02100',
		'mrap'	=>	'00010',
		'mrendő'	=>	'0000212',
		'mrém'	=>	'00021',
		'msavo'	=>	'000200',
		'mska'	=>	'00200',
		'mská'	=>	'00200',
		'mski'	=>	'00200',
		'msko'	=>	'00200',
		'mslá'	=>	'00200',
		'msmi'	=>	'00200',
		'msni'	=>	'00200',
		'msond'	=>	'001000',
		'mspa'	=>	'00200',
		'mspe'	=>	'00200',
		'mspi'	=>	'00200',
		'mspo'	=>	'00200',
		'mspó'	=>	'00200',
		'msrá'	=>	'00200',
		'msta'	=>	'00200',
		'mstá'	=>	'00200',
		'mste'	=>	'00200',
		'msti'	=>	'00200',
		'mstí'	=>	'00200',
		'msto'	=>	'00200',
		'mstr'	=>	'00020',
		'mstú'	=>	'00200',
		'mszaké'	=>	'0000200',
		'mszakü'	=>	'0000210',
		'mszáraz'	=>	'00000001',
		'mszc'	=>	'00020',
		'mszédem'	=>	'00002000',
		'mszf'	=>	'01020',
		'mszínn'	=>	'0000030',
		'mszl'	=>	'00020',
		'mszm'	=>	'00020',
		'mszp'	=>	'01020',
		'msztá'	=>	'000200',
		'mszv'	=>	'01020',
		'mtanó'	=>	'000212',
		'mtárad'	=>	'0000020',
		'mtárada'	=>	'00021000',
		'mtéss'	=>	'000030',
		'mtőkész'	=>	'00000001',
		'mtrans'	=>	'0000020',
		'mtransz'	=>	'00000001',
		'mtrá'	=>	'00200',
		'mtre'	=>	'00200',
		'mtré'	=>	'00200',
		'mtri'	=>	'00200',
		'mtró'	=>	'01200',
		'mtrö'	=>	'00200',
		'mtrü'	=>	'00200',
		'mu'	=>	'100',
		'mudv'	=>	'21000',
		'mugr'	=>	'21000',
		'mujj'	=>	'01000',
		'mulet'	=>	'200000',
		'mulz'	=>	'20000',
		'mumad'	=>	'002100',
		'mumel'	=>	'002100',
		'mumél'	=>	'002000',
		'mumés'	=>	'002100',
		'mumin'	=>	'002000',
		'mumir'	=>	'002100',
		'mumis'	=>	'002000',
		'mumiv'	=>	'002100',
		'mumkész'	=>	'00000001',
		'mumó'	=>	'00212',
		'mumö'	=>	'00200',
		'mumő'	=>	'00200',
		'mumuss'	=>	'0000010',
		'mung'	=>	'00010',
		'munok'	=>	'002000',
		'mural'	=>	'002000',
		'muram'	=>	'002000',
		'murat'	=>	'002000',
		'murál'	=>	'002000',
		'murizm'	=>	'0001000',
		'muru'	=>	'00212',
		'musal'	=>	'002000',
		'musan'	=>	'002000',
		'musar'	=>	'002000',
		'musas'	=>	'002000',
		'musat'	=>	'002000',
		'muság'	=>	'002120',
		'musál'	=>	'002000',
		'muse'	=>	'00210',
		'musérté'	=>	'00210000',
		'musir'	=>	'002000',
		'musor'	=>	'002000',
		'musó'	=>	'00212',
		'muső'	=>	'00200',
		'muss'	=>	'00002',
		'mussze'	=>	'0003000',
		'mustárá'	=>	'00020000',
		'musterj'	=>	'00021000',
		'muszal'	=>	'0020000',
		'muszav'	=>	'0003000',
		'muszál'	=>	'0020000',
		'muszás'	=>	'0020000',
		'mutag'	=>	'002120',
		'mutal'	=>	'002000',
		'mutala'	=>	'0001200',
		'mutalá'	=>	'2100000',
		'mutalv'	=>	'2000000',
		'mutan'	=>	'000020',
		'mutany'	=>	'0021000',
		'mutasí'	=>	'0020000',
		'mutaz'	=>	'012000',
		'mutára'	=>	'0021200',
		'mutárb'	=>	'0021000',
		'mutáru'	=>	'0021200',
		'mutás'	=>	'212000',
		'mutca'	=>	'200000',
		'mutel'	=>	'002100',
		'mutil'	=>	'002000',
		'mutin'	=>	'002100',
		'mutol'	=>	'212000',
		'mutód'	=>	'212000',
		'mutóp'	=>	'212000',
		'mutö'	=>	'00210',
		'mutü'	=>	'00200',
		'mú'	=>	'100',
		'mújí'	=>	'00200',
		'múlte'	=>	'000212',
		'múltol'	=>	'0002000',
		'múri'	=>	'00200',
		'múrn'	=>	'21000',
		'músz'	=>	'21200',
		'mútb'	=>	'21000',
		'múth'	=>	'01000',
		'múti'	=>	'21200',
		'mútj'	=>	'21000',
		'mútk'	=>	'21000',
		'mútm'	=>	'21000',
		'mútn'	=>	'21000',
		'múto'	=>	'21200',
		'mútr'	=>	'21000',
		'mútt'	=>	'21000',
		'mútv'	=>	'21000',
		'mü'	=>	'100',
		'müdí'	=>	'00200',
		'müdü'	=>	'00200',
		'mügy'	=>	'00200',
		'müná'	=>	'00200',
		'müre'	=>	'00200',
		'mürí'	=>	'00200',
		'mürü'	=>	'00200',
		'müte'	=>	'00200',
		'müté'	=>	'00200',
		'mütő'	=>	'00200',
		'mütz'	=>	'00100',
		'müve'	=>	'00200',
		'müvö'	=>	'00200',
		'müze'	=>	'00200',
		'mű'	=>	'100',
		'műbl'	=>	'00100',
		'műbr'	=>	'00100',
		'műfl'	=>	'00100',
		'műfr'	=>	'00100',
		'műgr'	=>	'00100',
		'műkl'	=>	'00100',
		'műpl'	=>	'00100',
		'műpn'	=>	'00100',
		'műpr'	=>	'00100',
		'műrl'	=>	'21000',
		'műsp'	=>	'00100',
		'műsú'	=>	'00002',
		'műsz'	=>	'00100',
		'műtőkész'	=>	'000000001',
		'művess'	=>	'0000030',
		'műzé'	=>	'00200',
		'műzi'	=>	'00200',
		'műzö'	=>	'00200',
		'műző'	=>	'00200',
		'műzü'	=>	'00200',
		'mvadot'	=>	'0212000',
		'mvágyad'	=>	'00000020',
		'mvágyada'	=>	'000201000',
		'mveréss'	=>	'00000030',
		'mwhi'	=>	'00200',
		'mzate'	=>	'000210',
		'mzáss'	=>	'000030',
		'mzero'	=>	'000210',
		'mzeta'	=>	'000212',
		'mzetá'	=>	'000212',
		'mzeteg'	=>	'0002120',
		'mzetel'	=>	'0002100',
		'mzeter'	=>	'0002000',
		'mzetesz'	=>	'00020000',
		'mzeték'	=>	'0002120',
		'mzetérd'	=>	'00021000',
		'mzeto'	=>	'000200',
		'mzetö'	=>	'000212',
		'mzető'	=>	'000212',
		'mzésa'	=>	'000210',
		'mzéso'	=>	'000200',
		'mzókész'	=>	'00000001',
		'mzőer'	=>	'000020',
		'mzrí'	=>	'00200',
		'na'	=>	'100',
		'naad'	=>	'00020',
		'nabbó'	=>	'010000',
		'nabr'	=>	'21000',
		'nabs'	=>	'21000',
		'nacl'	=>	'00100',
		'nadag'	=>	'212000',
		'nadás'	=>	'212000',
		'nadd'	=>	'21000',
		'nadek'	=>	'002000',
		'nadm'	=>	'21000',
		'nadó'	=>	'21200',
		'nadre'	=>	'001200',
		'nadt'	=>	'21000',
		'nadus'	=>	'002000',
		'naei'	=>	'00200',
		'naér'	=>	'00020',
		'naff'	=>	'21000',
		'nagár'	=>	'002000',
		'nagit'	=>	'002000',
		'nagón'	=>	'002000',
		'nagrá'	=>	'001000',
		'nagyagg'	=>	'00001000',
		'nagyal'	=>	'0020120',
		'nagyapj'	=>	'00200000',
		'nagyas'	=>	'0020100',
		'nagyav'	=>	'0020000',
		'nagyék'	=>	'0020120',
		'nagyú'	=>	'000002',
		'nagyúr'	=>	'0000100',
		'nagyút'	=>	'0000100',
		'naire'	=>	'002000',
		'naji'	=>	'00200',
		'najk'	=>	'21000',
		'nakad'	=>	'212000',
		'nakaró'	=>	'0000002',
		'nakász'	=>	'0001200',
		'nakát'	=>	'002100',
		'nakko'	=>	'010000',
		'nakli'	=>	'001000',
		'naklu'	=>	'001000',
		'nakol'	=>	'000020',
		'nakola'	=>	'0001000',
		'nakré'	=>	'001200',
		'nakti'	=>	'010000',
		'nakus'	=>	'212000',
		'nakútn'	=>	'0021000',
		'naladó'	=>	'0021200',
		'nalag'	=>	'212021',
		'nalaj'	=>	'002100',
		'nalal'	=>	'002120',
		'nalana'	=>	'0020000',
		'nalapa'	=>	'2120000',
		'nalapd'	=>	'2120000',
		'nalapr'	=>	'0020000',
		'nalapt'	=>	'0020000',
		'nalar'	=>	'002000',
		'nalav'	=>	'002000',
		'nalábr'	=>	'0021000',
		'nalág'	=>	'002000',
		'nalál'	=>	'002120',
		'naláro'	=>	'0021200',
		'nalátö'	=>	'0001210',
		'naláts'	=>	'0021000',
		'nalelá'	=>	'0021000',
		'nalell'	=>	'0021000',
		'naleng'	=>	'0001000',
		'nalent'	=>	'0001000',
		'nalék'	=>	'002100',
		'naléri'	=>	'0021000',
		'nalid'	=>	'002000',
		'naling'	=>	'0021000',
		'nalio'	=>	'002120',
		'nalír'	=>	'002120',
		'nalízisb'	=>	'200000000',
		'nalízise'	=>	'200000000',
		'nalízisé'	=>	'200000000',
		'nalízish'	=>	'200000000',
		'nalízisi'	=>	'200000000',
		'nalízisk'	=>	'200000000',
		'nalízisn'	=>	'200000000',
		'nalízisr'	=>	'200000000',
		'nalízist'	=>	'200000000',
		'nalízisü'	=>	'200000000',
		'naljac'	=>	'3000000',
		'naljad'	=>	'0100000',
		'naljai'	=>	'0100000',
		'naljak'	=>	'2000000',
		'naljam'	=>	'0100000',
		'naljat'	=>	'0100000',
		'nalji'	=>	'010000',
		'naljon'	=>	'2000000',
		'nalju'	=>	'200000',
		'naljz'	=>	'200000',
		'nalkat'	=>	'2100000',
		'nalob'	=>	'002100',
		'nalol'	=>	'002100',
		'nalop'	=>	'002000',
		'nalosz'	=>	'0001000',
		'nalór'	=>	'002120',
		'nalő'	=>	'00210',
		'nalt'	=>	'00002',
		'naltr'	=>	'000100',
		'nalulj'	=>	'0020000',
		'nalut'	=>	'002100',
		'nalü'	=>	'00200',
		'namer'	=>	'002000',
		'namitbo'	=>	'20000000',
		'namite'	=>	'2120000',
		'namitg'	=>	'2120000',
		'namitha'	=>	'20000000',
		'namitk'	=>	'2120000',
		'namitl'	=>	'2100000',
		'namitm'	=>	'2000000',
		'namitö'	=>	'2000000',
		'namitp'	=>	'2120000',
		'namitro'	=>	'20000000',
		'namitrú'	=>	'20000000',
		'namits'	=>	'2000000',
		'namittá'	=>	'20000000',
		'namittö'	=>	'20000000',
		'namö'	=>	'21000',
		'namp'	=>	'21000',
		'nanal'	=>	'212000',
		'nang'	=>	'21000',
		'nanh'	=>	'21000',
		'nano'	=>	'00001',
		'nanog'	=>	'000002',
		'nanód'	=>	'002000',
		'nanyag'	=>	'2120000',
		'naol'	=>	'00020',
		'naór'	=>	'00020',
		'napadó'	=>	'0001000',
		'napag'	=>	'002120',
		'napala'	=>	'0021000',
		'napalk'	=>	'0021000',
		'napapa'	=>	'0001200',
		'napapá'	=>	'0001000',
		'napará'	=>	'0001000',
		'napas'	=>	'002100',
		'napád'	=>	'002000',
		'napág'	=>	'002120',
		'napák'	=>	'002000',
		'napáll'	=>	'0001000',
		'napám'	=>	'002000',
		'napárb'	=>	'0021000',
		'napátm'	=>	'0021000',
		'napel'	=>	'000020',
		'napell'	=>	'0001000',
		'napem'	=>	'002000',
		'napest'	=>	'0001000',
		'napill'	=>	'0021000',
		'naping'	=>	'0021000',
		'napint'	=>	'0021000',
		'napisk'	=>	'0001000',
		'napí'	=>	'00200',
		'naplat'	=>	'0002000',
		'napola'	=>	'0021000',
		'naporm'	=>	'0001000',
		'naposs'	=>	'0000010',
		'napostá'	=>	'00210000',
		'napott'	=>	'0021000',
		'napór'	=>	'002120',
		'napp'	=>	'00002',
		'nappo'	=>	'200000',
		'nappr'	=>	'000100',
		'naprí'	=>	'010000',
		'napróz'	=>	'2000000',
		'naput'	=>	'002120',
		'napúr'	=>	'002100',
		'narai'	=>	'212000',
		'narann'	=>	'2000000',
		'naranyá'	=>	'21200000',
		'naranyb'	=>	'20000000',
		'naranyh'	=>	'20000000',
		'naranyk'	=>	'20000000',
		'naranyn'	=>	'20000000',
		'naranyr'	=>	'20000000',
		'naranys'	=>	'20000000',
		'naranyt'	=>	'21000000',
		'narcá'	=>	'210000',
		'narchiab'	=>	'000000200',
		'narco'	=>	'210000',
		'narcu'	=>	'210000',
		'narcú'	=>	'210000',
		'narró'	=>	'010000',
		'narz'	=>	'21000',
		'nasév'	=>	'002000',
		'nasisk'	=>	'0001000',
		'nask'	=>	'20000',
		'naska'	=>	'001200',
		'nasrá'	=>	'001200',
		'nast'	=>	'00002',
		'nasta'	=>	'001200',
		'nastá'	=>	'001200',
		'nastr'	=>	'001000',
		'naszan'	=>	'0020100',
		'naszárad'	=>	'002010000',
		'naszkész'	=>	'000000001',
		'naszüg'	=>	'0000100',
		'natab'	=>	'002100',
		'nataj'	=>	'002100',
		'natalk'	=>	'0021000',
		'natalt'	=>	'0021000',
		'natará'	=>	'0001000',
		'natáll'	=>	'0001000',
		'natáré'	=>	'0021200',
		'natárn'	=>	'0021000',
		'nateg'	=>	'002100',
		'natele'	=>	'0000300',
		'natelé'	=>	'0021000',
		'natelle'	=>	'00010000',
		'natél'	=>	'002000',
		'natérke'	=>	'00010000',
		'natérv'	=>	'0021000',
		'natim'	=>	'002120',
		'nating'	=>	'0021000',
		'natold'	=>	'0021000',
		'nators'	=>	'0001000',
		'natosz'	=>	'0021000',
		'natut'	=>	'002120',
		'natül'	=>	'002000',
		'natűz'	=>	'000020',
		'naty'	=>	'21200',
		'nauc'	=>	'00200',
		'naul'	=>	'00200',
		'naura'	=>	'000200',
		'naurá'	=>	'002000',
		'naus'	=>	'00020',
		'nauto'	=>	'002000',
		'naüz'	=>	'00020',
		'navart'	=>	'0020000',
		'navat'	=>	'002000',
		'navv'	=>	'21000',
		'nawh'	=>	'00100',
		'nazb'	=>	'21000',
		'nazé'	=>	'00200',
		'nazo'	=>	'21200',
		'ná'	=>	'100',
		'nábé'	=>	'21200',
		'nábr'	=>	'20000',
		'nácaj'	=>	'002000',
		'nách'	=>	'00230',
		'nácí'	=>	'00200',
		'nácsal'	=>	'0020000',
		'nácsap'	=>	'0020000',
		'nácsas'	=>	'0020100',
		'nácse'	=>	'002000',
		'nácsik'	=>	'0003000',
		'nácsis'	=>	'0020000',
		'nácsolat'	=>	'200000000',
		'nácsor'	=>	'0003000',
		'nácsö'	=>	'002000',
		'nácsü'	=>	'002000',
		'nácsz'	=>	'000300',
		'nádala'	=>	'0021000',
		'nádap'	=>	'002000',
		'nádar'	=>	'002120',
		'nádasz'	=>	'0021000',
		'nádav'	=>	'002120',
		'nádá'	=>	'00200',
		'nádd'	=>	'00010',
		'náde'	=>	'00212',
		'nádö'	=>	'00210',
		'nádud'	=>	'002000',
		'nádü'	=>	'00212',
		'nádz'	=>	'00230',
		'nága'	=>	'00200',
		'nágá'	=>	'00200',
		'nági'	=>	'00200',
		'nágu'	=>	'00200',
		'nágú'	=>	'00200',
		'nágy'	=>	'00200',
		'náhí'	=>	'21200',
		'nákol'	=>	'002000',
		'nákü'	=>	'00200',
		'nálab'	=>	'002000',
		'nálal'	=>	'002120',
		'nálana'	=>	'0020000',
		'nálar'	=>	'010000',
		'nálate'	=>	'0000200',
		'nálaz'	=>	'002100',
		'nálát'	=>	'002100',
		'nále'	=>	'00002',
		'náleg'	=>	'002100',
		'nálel'	=>	'002100',
		'nálem'	=>	'002000',
		'náles'	=>	'002000',
		'nálé'	=>	'02000',
		'nálép'	=>	'002100',
		'nálin'	=>	'002100',
		'nálir'	=>	'002000',
		'nális'	=>	'000200',
		'nálí'	=>	'00200',
		'nállap'	=>	'2100000',
		'nállat'	=>	'2100000',
		'nállí'	=>	'210000',
		'nállom'	=>	'2100000',
		'nállóköz'	=>	'000000001',
		'nálü'	=>	'00200',
		'námí'	=>	'00200',
		'námu'	=>	'00200',
		'nánad'	=>	'002000',
		'nánal'	=>	'002100',
		'nánar'	=>	'002000',
		'nánár'	=>	'002120',
		'nánce'	=>	'000210',
		'náne'	=>	'00212',
		'náné'	=>	'00002',
		'nánét'	=>	'002000',
		'nánin'	=>	'002000',
		'nání'	=>	'00200',
		'nánse'	=>	'000200',
		'nánü'	=>	'00200',
		'nárad'	=>	'002000',
		'náraka'	=>	'2120000',
		'nárakb'	=>	'2120000',
		'nárakh'	=>	'2120000',
		'nárakk'	=>	'2120000',
		'nárakn'	=>	'2120000',
		'nárako'	=>	'2120000',
		'nárakr'	=>	'2120000',
		'nárakt'	=>	'2120000',
		'náram'	=>	'212000',
		'náran'	=>	'002120',
		'nárap'	=>	'002000',
		'náras'	=>	'002000',
		'nárass'	=>	'0001000',
		'náratt'	=>	'0021000',
		'nárav'	=>	'002100',
		'nárác'	=>	'002100',
		'nárál'	=>	'002100',
		'náre'	=>	'00212',
		'náréve'	=>	'0021000',
		'náriai'	=>	'2120000',
		'náriá'	=>	'212000',
		'nárip'	=>	'002120',
		'nárí'	=>	'00200',
		'náró'	=>	'00002',
		'nárór'	=>	'002100',
		'nárő'	=>	'00200',
		'nárs'	=>	'00012',
		'nárt'	=>	'00002',
		'nártr'	=>	'000100',
		'nárud'	=>	'210000',
		'nárug'	=>	'002000',
		'nárur'	=>	'000100',
		'nárus'	=>	'200000',
		'nárut'	=>	'000020',
		'nárutá'	=>	'0001000',
		'nárút'	=>	'002000',
		'nárü'	=>	'00200',
		'násas'	=>	'002100',
		'násáré'	=>	'0001000',
		'násáru'	=>	'0021200',
		'násás'	=>	'212000',
		'náse'	=>	'00212',
		'násik'	=>	'002120',
		'nást'	=>	'00002',
		'nástr'	=>	'000100',
		'nászan'	=>	'0020000',
		'nászas'	=>	'0020000',
		'nászág'	=>	'0020000',
		'nászál'	=>	'0020000',
		'násze'	=>	'002000',
		'nászén'	=>	'0020000',
		'nászil'	=>	'0020000',
		'nászin'	=>	'0020000',
		'nászis'	=>	'0020000',
		'nászoks'	=>	'21000000',
		'nászö'	=>	'002010',
		'nászú'	=>	'002010',
		'nászü'	=>	'002010',
		'nátala'	=>	'0020000',
		'nátan'	=>	'002120',
		'nátál'	=>	'002000',
		'nátásv'	=>	'0001000',
		'náte'	=>	'00212',
		'náthi'	=>	'210000',
		'nátio'	=>	'002120',
		'nátir'	=>	'212100',
		'nátí'	=>	'21200',
		'nátlé'	=>	'210000',
		'nátö'	=>	'00210',
		'nátru'	=>	'210000',
		'nátug'	=>	'210000',
		'nátut'	=>	'210000',
		'nátú'	=>	'21200',
		'nátü'	=>	'00200',
		'nátvi'	=>	'210000',
		'nbaká'	=>	'000200',
		'nbake'	=>	'000212',
		'nbékéb'	=>	'0212000',
		'nbékén'	=>	'0212000',
		'nbékér'	=>	'0212000',
		'nbékév'	=>	'0212000',
		'nbla'	=>	'00200',
		'nblo'	=>	'00200',
		'nblú'	=>	'00200',
		'nbona'	=>	'000212',
		'nbra'	=>	'00200',
		'nbri'	=>	'01200',
		'nbro'	=>	'00200',
		'nbró'	=>	'00200',
		'nburghi'	=>	'00000200',
		'ncacé'	=>	'001000',
		'ncajá'	=>	'021000',
		'ncajt'	=>	'001000',
		'ncakn'	=>	'021000',
		'ncakt'	=>	'021000',
		'ncala'	=>	'001200',
		'ncalj'	=>	'001000',
		'ncalk'	=>	'021000',
		'ncalt'	=>	'001000',
		'ncalv'	=>	'001000',
		'ncana'	=>	'001000',
		'ncant'	=>	'001000',
		'ncanya'	=>	'0012000',
		'ncari'	=>	'001000',
		'ncatt'	=>	'001000',
		'ncau'	=>	'00020',
		'ncava'	=>	'021000',
		'ncág'	=>	'02100',
		'ncárb'	=>	'001000',
		'ncárk'	=>	'001000',
		'ncárn'	=>	'021000',
		'ncárt'	=>	'001000',
		'ncása'	=>	'001200',
		'ncásá'	=>	'001000',
		'ncbl'	=>	'00100',
		'ncbr'	=>	'00100',
		'nccsi'	=>	'003000',
		'nccso'	=>	'003000',
		'nccsö'	=>	'003000',
		'nccsu'	=>	'003000',
		'ncdr'	=>	'00100',
		'ncea'	=>	'00002',
		'ncegg'	=>	'001000',
		'nceld'	=>	'021000',
		'ncelek'	=>	'0012000',
		'ncelem'	=>	'0012000',
		'ncelm'	=>	'001000',
		'ncelv'	=>	'021000',
		'ncered'	=>	'0012000',
		'nceró'	=>	'001000',
		'nceszt'	=>	'0210000',
		'ncetn'	=>	'001000',
		'ncex'	=>	'02100',
		'ncégér'	=>	'0002100',
		'ncéhes'	=>	'0002000',
		'ncép'	=>	'02100',
		'ncévi'	=>	'021000',
		'ncfl'	=>	'00100',
		'ncfr'	=>	'00100',
		'ncgr'	=>	'00100',
		'ncha'	=>	'02300',
		'nchá'	=>	'02300',
		'nchel'	=>	'003000',
		'nchet'	=>	'003000',
		'nché'	=>	'02300',
		'nchiá'	=>	'003000',
		'nchí'	=>	'00300',
		'nchol'	=>	'003000',
		'nchon'	=>	'003000',
		'nchoz'	=>	'023000',
		'nchó'	=>	'02300',
		'nchö'	=>	'00300',
		'nchu'	=>	'02300',
		'nchú'	=>	'02300',
		'ncialis'	=>	'00020000',
		'nciaso'	=>	'0002000',
		'ncige'	=>	'021000',
		'ncigé'	=>	'021200',
		'nciko'	=>	'021200',
		'ncimá'	=>	'001200',
		'ncind'	=>	'021000',
		'ncinf'	=>	'001000',
		'ncing'	=>	'021000',
		'ncint'	=>	'021000',
		'ncirá'	=>	'021000',
		'nciro'	=>	'001000',
		'ncist'	=>	'021000',
		'ncita'	=>	'021200',
		'nciz'	=>	'02120',
		'ncíj'	=>	'00100',
		'ncír'	=>	'02100',
		'ncív'	=>	'02100',
		'ncíz'	=>	'02100',
		'nckl'	=>	'00100',
		'nckre'	=>	'001000',
		'ncob'	=>	'02100',
		'ncokta'	=>	'0210000',
		'ncoli'	=>	'021200',
		'ncorv'	=>	'001000',
		'ncott'	=>	'021000',
		'ncöss'	=>	'001000',
		'ncöt'	=>	'00020',
		'ncőr'	=>	'00100',
		'ncpl'	=>	'00100',
		'ncpr'	=>	'00100',
		'ncsab'	=>	'020100',
		'ncsac'	=>	'020000',
		'ncsad'	=>	'020000',
		'ncsag'	=>	'020100',
		'ncsajt'	=>	'0201000',
		'ncsakt'	=>	'0200000',
		'ncsalap'	=>	'00010000',
		'ncsalj'	=>	'0201000',
		'ncsam'	=>	'020000',
		'ncsan'	=>	'020000',
		'ncsapág'	=>	'00002120',
		'ncsar'	=>	'000020',
		'ncsara'	=>	'0001000',
		'ncsarg'	=>	'0001000',
		'ncsaro'	=>	'0001000',
		'ncsau'	=>	'020100',
		'ncsaz'	=>	'020000',
		'ncságr'	=>	'0001000',
		'ncsál'	=>	'020100',
		'ncsárá'	=>	'0201200',
		'ncsárb'	=>	'0001000',
		'ncsárn'	=>	'0201000',
		'ncsárr'	=>	'0001000',
		'ncsáru'	=>	'0200000',
		'ncsáta'	=>	'0200000',
		'ncsátá'	=>	'0200000',
		'ncsátv'	=>	'0200000',
		'ncself'	=>	'0001000',
		'ncsérés'	=>	'00012000',
		'ncsérte'	=>	'02000000',
		'ncsérté'	=>	'02010000',
		'ncsérü'	=>	'0230000',
		'ncséta'	=>	'0230000',
		'ncsikon'	=>	'00012000',
		'ncsint'	=>	'0001000',
		'ncsio'	=>	'020100',
		'ncsipa'	=>	'0200000',
		'ncsirá'	=>	'0200000',
		'ncsirt'	=>	'0001000',
		'ncsism'	=>	'0201000',
		'ncsita'	=>	'0200000',
		'ncsizz'	=>	'0001000',
		'ncsíki'	=>	'0030000',
		'ncsírá'	=>	'0201200',
		'ncsízt'	=>	'0001000',
		'ncsob'	=>	'020000',
		'ncsoks'	=>	'0201000',
		'ncsokta'	=>	'02000000',
		'ncsosz'	=>	'0200000',
		'ncsölé'	=>	'0201200',
		'ncsös'	=>	'020100',
		'ncsöz'	=>	'020100',
		'ncsőrö'	=>	'0001000',
		'ncss'	=>	'00010',
		'ncsur'	=>	'020000',
		'ncsut'	=>	'000020',
		'ncsuta'	=>	'0001000',
		'ncsút'	=>	'020000',
		'ncsüg'	=>	'020000',
		'ncsüt'	=>	'020000',
		'ncszár'	=>	'0003000',
		'ncsze'	=>	'003000',
		'ncszó'	=>	'003000',
		'ncszö'	=>	'003000',
		'nctr'	=>	'00100',
		'ncud'	=>	'02100',
		'ncug'	=>	'02100',
		'ncuj'	=>	'00100',
		'ncur'	=>	'02100',
		'ncúj'	=>	'02100',
		'ncút'	=>	'00100',
		'ncüg'	=>	'02100',
		'ncüt'	=>	'02100',
		'ncüv'	=>	'00100',
		'ncüz'	=>	'02100',
		'ncűr'	=>	'02100',
		'ncya'	=>	'00100',
		'nczá'	=>	'02300',
		'ncze'	=>	'00300',
		'nczó'	=>	'02300',
		'nczö'	=>	'00300',
		'nczs'	=>	'00300',
		'nczü'	=>	'00300',
		'nczyi'	=>	'000010',
		'ndabl'	=>	'001000',
		'ndabr'	=>	'000100',
		'ndadat'	=>	'0012000',
		'ndadás'	=>	'0002000',
		'ndadd'	=>	'001000',
		'ndajá'	=>	'021000',
		'ndakc'	=>	'021000',
		'ndakk'	=>	'021000',
		'ndakt'	=>	'001000',
		'ndalj'	=>	'021000',
		'ndalr'	=>	'021000',
		'ndann'	=>	'001000',
		'ndapó'	=>	'001000',
		'ndarán'	=>	'0012000',
		'ndarr'	=>	'001000',
		'ndatany'	=>	'00001000',
		'ndatap'	=>	'0002000',
		'ndateg'	=>	'0002100',
		'ndatin'	=>	'0002000',
		'ndatir'	=>	'0002000',
		'ndazo'	=>	'001000',
		'ndazt'	=>	'001000',
		'ndazz'	=>	'001000',
		'ndárak'	=>	'0012000',
		'ndáss'	=>	'000010',
		'ndbl'	=>	'00100',
		'ndcl'	=>	'00100',
		'nddr'	=>	'00100',
		'ndebb'	=>	'001000',
		'ndekéb'	=>	'0212000',
		'ndekéin'	=>	'02120000',
		'ndeköz'	=>	'0002000',
		'ndelf'	=>	'021000',
		'ndellen'	=>	'02100000',
		'ndelm'	=>	'021000',
		'ndelö'	=>	'001000',
		'ndemer'	=>	'0002000',
		'ndemu'	=>	'000200',
		'ndemü'	=>	'000210',
		'ndená'	=>	'000200',
		'ndennek'	=>	'02000000',
		'ndep'	=>	'00012',
		'ndera'	=>	'000210',
		'nderál'	=>	'0002000',
		'nderáz'	=>	'0002000',
		'nderel'	=>	'0002000',
		'ndero'	=>	'000200',
		'nderő'	=>	'021000',
		'ndesett'	=>	'02120000',
		'ndesés'	=>	'0212000',
		'ndeső'	=>	'021200',
		'ndesza'	=>	'0002000',
		'ndeszü'	=>	'0212000',
		'ndeza'	=>	'001000',
		'ndégo'	=>	'000200',
		'ndékel'	=>	'0002000',
		'ndékez'	=>	'0010000',
		'ndékö'	=>	'000200',
		'ndéle'	=>	'021000',
		'ndélm'	=>	'001000',
		'ndép'	=>	'02100',
		'ndéraj'	=>	'0002000',
		'ndéssz'	=>	'0210000',
		'ndészh'	=>	'0210000',
		'ndészl'	=>	'0210000',
		'ndészr'	=>	'0210000',
		'ndéte'	=>	'021200',
		'ndétt'	=>	'021000',
		'ndfr'	=>	'00100',
		'ndgr'	=>	'00100',
		'ndiga'	=>	'021000',
		'ndige'	=>	'021000',
		'ndill'	=>	'021000',
		'nding'	=>	'021000',
		'ndins'	=>	'021000',
		'ndionj'	=>	'0212000',
		'ndióé'	=>	'000202',
		'ndióf'	=>	'000200',
		'ndióm'	=>	'000200',
		'ndisza'	=>	'0210000',
		'ndíjada'	=>	'00021200',
		'ndkl'	=>	'00100',
		'ndoá'	=>	'02100',
		'ndokút'	=>	'0002100',
		'ndorál'	=>	'0002000',
		'ndorni'	=>	'0210000',
		'ndorú'	=>	'000210',
		'ndou'	=>	'02100',
		'ndov'	=>	'02100',
		'ndóér'	=>	'000020',
		'ndóni'	=>	'001200',
		'ndórá'	=>	'021200',
		'ndöb'	=>	'00020',
		'ndöss'	=>	'001000',
		'ndöz'	=>	'02120',
		'ndőra'	=>	'021212',
		'ndőrb'	=>	'021000',
		'ndőrc'	=>	'021000',
		'ndőrd'	=>	'021000',
		'ndőreg'	=>	'0012000',
		'ndőrei'	=>	'0012000',
		'ndőrek'	=>	'0012000',
		'ndőrel'	=>	'0012000',
		'ndőrék'	=>	'0012000',
		'ndőrén'	=>	'0012000',
		'ndőrér'	=>	'0012000',
		'ndőrét'	=>	'0012000',
		'ndőrév'	=>	'0012000',
		'ndőrf'	=>	'021000',
		'ndőrg'	=>	'021000',
		'ndőrig'	=>	'0012000',
		'ndőris'	=>	'0010000',
		'ndőrit'	=>	'0012000',
		'ndőrj'	=>	'021000',
		'ndőrk'	=>	'021000',
		'ndőrl'	=>	'021000',
		'ndőrm'	=>	'021000',
		'ndőrn'	=>	'021000',
		'ndőrok'	=>	'0010000',
		'ndőros'	=>	'0010000',
		'ndőrö'	=>	'021200',
		'ndőrős'	=>	'0010000',
		'ndőrp'	=>	'021000',
		'ndőrr'	=>	'021000',
		'ndőrs'	=>	'021000',
		'ndőrt'	=>	'021000',
		'ndőrú'	=>	'021000',
		'ndőrv'	=>	'021000',
		'ndpr'	=>	'00100',
		'ndraz'	=>	'002000',
		'ndruk'	=>	'012000',
		'ndsl'	=>	'00100',
		'ndsp'	=>	'00100',
		'ndst'	=>	'00100',
		'ndszámút'	=>	'000002100',
		'ndszerel'	=>	'000002120',
		'ndtársad'	=>	'000002120',
		'ndut'	=>	'00020',
		'nduta'	=>	'021000',
		'ndúj'	=>	'00100',
		'ndúrá'	=>	'000200',
		'ndúsz'	=>	'001000',
		'ndüg'	=>	'02100',
		'ndünn'	=>	'001000',
		'ndüz'	=>	'02100',
		'ndűrr'	=>	'021000',
		'ndűrt'	=>	'021000',
		'ndűz'	=>	'02100',
		'ndyb'	=>	'00020',
		'ndyh'	=>	'00020',
		'ndyn'	=>	'00020',
		'ndyr'	=>	'00020',
		'ndyt'	=>	'00020',
		'ndyv'	=>	'00020',
		'ndzav'	=>	'003000',
		'ndzár'	=>	'003000',
		'ndze'	=>	'02300',
		'ndzó'	=>	'02300',
		'ndzu'	=>	'02300',
		'ne'	=>	'100',
		'neaj'	=>	'00020',
		'neak'	=>	'00020',
		'neala'	=>	'000200',
		'nealo'	=>	'002000',
		'nean'	=>	'00020',
		'near'	=>	'00020',
		'nebé'	=>	'00200',
		'nebl'	=>	'00100',
		'nedra'	=>	'001000',
		'nedrá'	=>	'001200',
		'nedvel'	=>	'0002100',
		'nedy'	=>	'00100',
		'nedzé'	=>	'212000',
		'neff'	=>	'20000',
		'neger'	=>	'212000',
		'negö'	=>	'00210',
		'negyb'	=>	'010000',
		'negyek'	=>	'0020000',
		'negyen'	=>	'0020000',
		'negyes'	=>	'0020000',
		'negyet'	=>	'0020000',
		'negyez'	=>	'0020000',
		'negyé'	=>	'212000',
		'negyf'	=>	'010000',
		'negyh'	=>	'010000',
		'negyig'	=>	'0020000',
		'negyk'	=>	'010000',
		'negym'	=>	'010000',
		'negyn'	=>	'010000',
		'negyr'	=>	'010000',
		'negys'	=>	'210000',
		'negyt'	=>	'010000',
		'negyün'	=>	'0020000',
		'nehéz'	=>	'000001',
		'nehh'	=>	'21000',
		'neig'	=>	'00020',
		'neír'	=>	'00020',
		'nekaj'	=>	'002100',
		'nekan'	=>	'002120',
		'nekát'	=>	'002000',
		'nekeg'	=>	'002120',
		'nekerő'	=>	'0001000',
		'nekéjé'	=>	'0001200',
		'nekék'	=>	'002000',
		'nekékn'	=>	'0001000',
		'nekie'	=>	'000002',
		'nekj'	=>	'20000',
		'nekk'	=>	'00012',
		'nekka'	=>	'200000',
		'nekki'	=>	'200000',
		'neklu'	=>	'001000',
		'nekok'	=>	'002100',
		'nekör'	=>	'000020',
		'nekreá'	=>	'0010000',
		'nekt'	=>	'00012',
		'neküg'	=>	'002100',
		'neküldö'	=>	'00010000',
		'nelag'	=>	'002000',
		'nelaj'	=>	'002000',
		'nelan'	=>	'002100',
		'nelál'	=>	'002000',
		'nelár'	=>	'000020',
		'nelef'	=>	'002000',
		'neleg'	=>	'002000',
		'nelele'	=>	'0001200',
		'nelema'	=>	'0000200',
		'nelemel'	=>	'00000100',
		'nelemés'	=>	'00012000',
		'neleng'	=>	'0001000',
		'neler'	=>	'002000',
		'nelép'	=>	'002100',
		'nelfé'	=>	'000002',
		'nelg'	=>	'00012',
		'nelha'	=>	'210000',
		'nelid'	=>	'002100',
		'nelim'	=>	'002000',
		'nelin'	=>	'002100',
		'nelló'	=>	'010000',
		'nelnev'	=>	'2100000',
		'nelot'	=>	'002100',
		'neló'	=>	'00212',
		'nelö'	=>	'00212',
		'nelőa'	=>	'212000',
		'nelőá'	=>	'212000',
		'nelőd'	=>	'002000',
		'nelőf'	=>	'002000',
		'nelőhí'	=>	'0020000',
		'nelőí'	=>	'212000',
		'nelőké'	=>	'2120000',
		'nelől'	=>	'002000',
		'nelőny'	=>	'2100000',
		'nelőrej'	=>	'20000000',
		'nelőté'	=>	'2120000',
		'neltér'	=>	'2100000',
		'nelül'	=>	'002100',
		'nelz'	=>	'21000',
		'nemak'	=>	'002000',
		'nemba'	=>	'200000',
		'nember'	=>	'2100000',
		'nemeg'	=>	'000020',
		'nemegy'	=>	'0001000',
		'nemele'	=>	'2000000',
		'nemelk'	=>	'2100000',
		'nemesz'	=>	'0021000',
		'nemid'	=>	'002100',
		'nemisz'	=>	'0001000',
		'nems'	=>	'20000',
		'nemul'	=>	'200000',
		'neng'	=>	'21000',
		'nenn'	=>	'21000',
		'nensa'	=>	'000200',
		'nenses'	=>	'0000020',
		'nensese'	=>	'00021000',
		'nenss'	=>	'000030',
		'nensz'	=>	'000230',
		'nenyv'	=>	'210000',
		'nenz'	=>	'21000',
		'neob'	=>	'00200',
		'neod'	=>	'00200',
		'neof'	=>	'00200',
		'neog'	=>	'00200',
		'neoh'	=>	'00200',
		'neoko'	=>	'002000',
		'neola'	=>	'002000',
		'neoli'	=>	'002000',
		'neoro'	=>	'002000',
		'nepad'	=>	'002000',
		'nepelm'	=>	'0020000',
		'nepest'	=>	'0021000',
		'nepid'	=>	'002000',
		'nepór'	=>	'002120',
		'neput'	=>	'002100',
		'nerad'	=>	'002120',
		'nerak'	=>	'002120',
		'neran'	=>	'002120',
		'nerar'	=>	'002120',
		'neras'	=>	'002100',
		'neraz'	=>	'002000',
		'neráb'	=>	'002000',
		'nerco'	=>	'000200',
		'nereg'	=>	'002120',
		'nerej'	=>	'012000',
		'nerel'	=>	'002120',
		'neremel'	=>	'00010000',
		'nerer'	=>	'002100',
		'nerez'	=>	'002000',
		'nerég'	=>	'002000',
		'nerél'	=>	'002100',
		'nerép'	=>	'002100',
		'nerétt'	=>	'0021000',
		'nerid'	=>	'002100',
		'neriga'	=>	'0021000',
		'neril'	=>	'002100',
		'nerim'	=>	'002120',
		'nerinf'	=>	'0021000',
		'nering'	=>	'0021000',
		'nerint'	=>	'0021000',
		'neris'	=>	'002000',
		'nerk'	=>	'00012',
		'nerol'	=>	'002100',
		'neror'	=>	'002000',
		'neros'	=>	'002100',
		'neró'	=>	'00200',
		'nerön'	=>	'002100',
		'nerő'	=>	'21200',
		'nerőkü'	=>	'3230000',
		'ners'	=>	'00010',
		'nertr'	=>	'000100',
		'neru'	=>	'00212',
		'nerüg'	=>	'002100',
		'nesaljá'	=>	'00210000',
		'nesas'	=>	'002000',
		'nesál'	=>	'002100',
		'nesár'	=>	'002000',
		'nesetb'	=>	'2120000',
		'nesetr'	=>	'2120000',
		'nesés'	=>	'212000',
		'neső'	=>	'21200',
		'nessza'	=>	'0003000',
		'nesszá'	=>	'0003000',
		'nesté'	=>	'210000',
		'nesti'	=>	'210000',
		'nesüv'	=>	'002120',
		'neszál'	=>	'0000100',
		'neszár'	=>	'0023000',
		'neszél'	=>	'0020100',
		'neszű'	=>	'002012',
		'netab'	=>	'002100',
		'netala'	=>	'0001200',
		'netany'	=>	'0021200',
		'netál'	=>	'002000',
		'netát'	=>	'002101',
		'neteg'	=>	'002120',
		'netelá'	=>	'0001000',
		'netelm'	=>	'0001000',
		'netelőa'	=>	'00210000',
		'neteml'	=>	'0021000',
		'neteste'	=>	'00010000',
		'netesz'	=>	'0021000',
		'netetet'	=>	'00210000',
		'neteti'	=>	'0021000',
		'neték'	=>	'002120',
		'netél'	=>	'002120',
		'netérd'	=>	'0021000',
		'netéré'	=>	'0021000',
		'netérők'	=>	'00212000',
		'netérr'	=>	'0021000',
		'netérte'	=>	'00200000',
		'netértő'	=>	'00210000',
		'netérü'	=>	'0021200',
		'netész'	=>	'0021000',
		'netid'	=>	'002000',
		'netiko'	=>	'0021200',
		'netint'	=>	'0021000',
		'netip'	=>	'002000',
		'netkészü'	=>	'000002010',
		'netok'	=>	'002120',
		'netol'	=>	'002000',
		'netold'	=>	'0001000',
		'nető'	=>	'00212',
		'nettév'	=>	'0002000',
		'netun'	=>	'002000',
		'netut'	=>	'002100',
		'netül'	=>	'000020',
		'netülé'	=>	'0001000',
		'netüz'	=>	'002120',
		'nevő'	=>	'21200',
		'nevv'	=>	'21000',
		'nexportő'	=>	'000000212',
		'neyé'	=>	'00100',
		'nezer'	=>	'212000',
		'nezred'	=>	'2100000',
		'nezüs'	=>	'200000',
		'né'	=>	'100',
		'nébr'	=>	'21000',
		'nédl'	=>	'20000',
		'néfr'	=>	'00120',
		'négek'	=>	'212000',
		'négeté'	=>	'2120000',
		'négetőh'	=>	'20000000',
		'négetők'	=>	'21200000',
		'négetőn'	=>	'20000000',
		'négetőt'	=>	'20000000',
		'négé'	=>	'21200',
		'négj'	=>	'21000',
		'négn'	=>	'21000',
		'négő'	=>	'21200',
		'négs'	=>	'21000',
		'négt'	=>	'21000',
		'négü'	=>	'21200',
		'négyer'	=>	'0020000',
		'négyén'	=>	'0020000',
		'négyo'	=>	'002010',
		'négyök'	=>	'0020000',
		'néhes'	=>	'212000',
		'néhs'	=>	'21000',
		'nékaj'	=>	'002000',
		'nékak'	=>	'002000',
		'nékan'	=>	'002120',
		'nékar'	=>	'002000',
		'néká'	=>	'00210',
		'nékel'	=>	'000020',
		'nékele'	=>	'0001000',
		'néker'	=>	'002000',
		'nékév'	=>	'002000',
		'nékid'	=>	'002000',
		'nékisz'	=>	'0001000',
		'nékí'	=>	'21200',
		'nékó'	=>	'00200',
		'nékü'	=>	'00002',
		'nékül'	=>	'002000',
		'néles'	=>	'012000',
		'nélet'	=>	'212000',
		'nélm'	=>	'21000',
		'nélői'	=>	'002000',
		'nélőn'	=>	'002000',
		'néneke'	=>	'2000000',
		'néneké'	=>	'2120000',
		'népa'	=>	'00002',
		'népad'	=>	'002000',
		'népak'	=>	'002100',
		'népal'	=>	'002100',
		'népan'	=>	'002100',
		'népap'	=>	'002000',
		'népas'	=>	'002100',
		'népau'	=>	'002000',
		'népá'	=>	'00002',
		'népál'	=>	'002100',
		'népár'	=>	'002100',
		'népát'	=>	'002000',
		'népáz'	=>	'002100',
		'népeg'	=>	'002000',
		'népel'	=>	'002120',
		'néper'	=>	'000020',
		'népetet'	=>	'00010000',
		'népetn'	=>	'0021000',
		'népev'	=>	'002000',
		'népés'	=>	'002100',
		'népf'	=>	'00012',
		'népí'	=>	'20200',
		'népo'	=>	'00210',
		'népö'	=>	'00210',
		'népő'	=>	'00200',
		'néps'	=>	'00010',
		'népus'	=>	'002100',
		'népú'	=>	'00200',
		'népül'	=>	'200000',
		'néra'	=>	'00002',
		'néraj'	=>	'002000',
		'néran'	=>	'002100',
		'nérd'	=>	'01000',
		'nérde'	=>	'200000',
		'nérem'	=>	'212000',
		'nérés'	=>	'002000',
		'nérin'	=>	'002000',
		'nérip'	=>	'002000',
		'nérö'	=>	'00200',
		'nérté'	=>	'210000',
		'nérü'	=>	'00200',
		'nérz'	=>	'21000',
		'nésel'	=>	'002120',
		'néség'	=>	'002100',
		'nésszer'	=>	'00030000',
		'nészak'	=>	'0000100',
		'nészal'	=>	'0000100',
		'nészá'	=>	'002010',
		'nészeg'	=>	'0020000',
		'nészel'	=>	'0020120',
		'nészemb'	=>	'00201000',
		'nészesz'	=>	'00201200',
		'nészék'	=>	'0020100',
		'nészik'	=>	'0020000',
		'nészí'	=>	'002010',
		'nészkész'	=>	'000000001',
		'nészó'	=>	'002000',
		'nészö'	=>	'002012',
		'nészu'	=>	'002000',
		'nészú'	=>	'002010',
		'nészül'	=>	'0020000',
		'néteg'	=>	'002100',
		'nétel'	=>	'212000',
		'nétes'	=>	'002100',
		'nétet'	=>	'212000',
		'néti'	=>	'00002',
		'nétir'	=>	'002000',
		'nétö'	=>	'00200',
		'nétr'	=>	'00120',
		'néva'	=>	'00002',
		'névada'	=>	'0001000',
		'névadá'	=>	'0001000',
		'névaj'	=>	'002000',
		'névar'	=>	'002000',
		'névav'	=>	'002000',
		'névág'	=>	'002100',
		'névbú'	=>	'210000',
		'névei'	=>	'200000',
		'névek'	=>	'212000',
		'nével'	=>	'000020',
		'névele'	=>	'0021000',
		'névelő'	=>	'0001000',
		'névem'	=>	'202000',
		'névenk'	=>	'2000000',
		'névent'	=>	'2000000',
		'néver'	=>	'002120',
		'néves'	=>	'002000',
		'névesz'	=>	'0001000',
		'névet'	=>	'202000',
		'névéb'	=>	'200000',
		'névél'	=>	'002120',
		'névéri'	=>	'0021000',
		'névérő'	=>	'0020000',
		'névérz'	=>	'0021000',
		'névis'	=>	'002000',
		'névny'	=>	'200000',
		'névo'	=>	'00210',
		'névö'	=>	'00200',
		'névő'	=>	'00200',
		'névu'	=>	'00212',
		'névú'	=>	'00200',
		'névün'	=>	'002000',
		'néza'	=>	'00200',
		'néziumi'	=>	'00000212',
		'nfelemé'	=>	'00020000',
		'nfla'	=>	'01200',
		'nflo'	=>	'01200',
		'nfluore'	=>	'00000010',
		'nfolta'	=>	'0000200',
		'nfrak'	=>	'012000',
		'nfrá'	=>	'01200',
		'nfrek'	=>	'012000',
		'nfri'	=>	'01200',
		'nfrí'	=>	'01200',
		'nfrö'	=>	'01200',
		'nfru'	=>	'01200',
		'nfüstölé'	=>	'000021000',
		'ngabl'	=>	'021000',
		'ngadat'	=>	'0212000',
		'ngadá'	=>	'021200',
		'ngadó'	=>	'001200',
		'ngadóa'	=>	'0200000',
		'ngadób'	=>	'0200000',
		'ngadói'	=>	'0200000',
		'ngadój'	=>	'0200000',
		'ngadók'	=>	'0200000',
		'ngadór'	=>	'0200000',
		'ngadós'	=>	'0200000',
		'ngadót'	=>	'0200000',
		'ngadóv'	=>	'0200000',
		'ngakn'	=>	'001000',
		'ngakr'	=>	'021000',
		'ngakt'	=>	'021000',
		'ngalag'	=>	'0002000',
		'ngalak'	=>	'0002000',
		'ngalap'	=>	'0002000',
		'ngalát'	=>	'0010000',
		'ngalel'	=>	'0010000',
		'ngalg'	=>	'021000',
		'ngalj'	=>	'021000',
		'ngany'	=>	'021200',
		'ngap'	=>	'00012',
		'ngarán'	=>	'0212000',
		'ngarc'	=>	'021000',
		'ngart'	=>	'021000',
		'ngarz'	=>	'021000',
		'ngasp'	=>	'021000',
		'ngassz'	=>	'0010000',
		'ngaszt'	=>	'0210000',
		'ngatr'	=>	'000100',
		'ngau'	=>	'02120',
		'ngava'	=>	'021000',
		'ngazon'	=>	'0002000',
		'ngác'	=>	'00020',
		'ngág'	=>	'02120',
		'ngállá'	=>	'0010000',
		'ngállo'	=>	'0010000',
		'ngálló'	=>	'0010000',
		'ngáp'	=>	'02100',
		'ngárak'	=>	'0012000',
		'ngáras'	=>	'0010000',
		'ngárat'	=>	'0010000',
		'ngárát'	=>	'0002000',
		'ngáráv'	=>	'0002000',
		'ngáré'	=>	'000200',
		'ngárnya'	=>	'02100000',
		'ngárta'	=>	'0210000',
		'ngáruk'	=>	'0002000',
		'ngárú'	=>	'021200',
		'ngászaib'	=>	'021200000',
		'ngászair'	=>	'021200000',
		'ngászait'	=>	'021200000',
		'ngászáv'	=>	'02120000',
		'ngászé'	=>	'0212000',
		'ngászig'	=>	'02120000',
		'ngászoké'	=>	'021200000',
		'ngászos'	=>	'02120000',
		'ngátá'	=>	'021000',
		'ngátc'	=>	'001000',
		'ngáte'	=>	'021212',
		'ngáti'	=>	'021200',
		'ngátk'	=>	'021000',
		'ngátl'	=>	'021000',
		'ngátm'	=>	'021000',
		'ngáts'	=>	'021000',
		'ngátv'	=>	'021000',
		'ngázój'	=>	'0212000',
		'ngázós'	=>	'0212000',
		'ngáztato'	=>	'021000000',
		'ngbl'	=>	'00100',
		'ngbr'	=>	'00100',
		'ngdr'	=>	'00120',
		'ngedz'	=>	'001000',
		'ngegész'	=>	'00000001',
		'ngela'	=>	'021000',
		'ngelis'	=>	'0002000',
		'ngera'	=>	'000210',
		'ngerál'	=>	'0002000',
		'ngeresz'	=>	'00001200',
		'ngerim'	=>	'0000200',
		'ngero'	=>	'000200',
		'ngesem'	=>	'0210000',
		'ngeszk'	=>	'0210000',
		'ngetika'	=>	'00020000',
		'ngex'	=>	'02100',
		'ngég'	=>	'02120',
		'ngéles'	=>	'0002000',
		'ngépí'	=>	'021000',
		'ngérc'	=>	'021000',
		'ngérl'	=>	'001000',
		'ngérté'	=>	'0010000',
		'ngésa'	=>	'000200',
		'ngéte'	=>	'021000',
		'ngfr'	=>	'00100',
		'nggr'	=>	'00120',
		'nggyi'	=>	'003000',
		'nggyo'	=>	'003000',
		'ngid'	=>	'02120',
		'ngig'	=>	'00020',
		'ngiga'	=>	'021000',
		'ngige'	=>	'021000',
		'ngigé'	=>	'021000',
		'ngiko'	=>	'001200',
		'ngikr'	=>	'021000',
		'ngill'	=>	'020000',
		'ngim'	=>	'00020',
		'ngimi'	=>	'001000',
		'nginf'	=>	'001000',
		'nging'	=>	'021000',
		'ngins'	=>	'001000',
		'ngiro'	=>	'001000',
		'ngizg'	=>	'021000',
		'ngíg'	=>	'00100',
		'ngír'	=>	'00100',
		'ngív'	=>	'00100',
		'ngíz'	=>	'00100',
		'ngkl'	=>	'00100',
		'ngkr'	=>	'00100',
		'ngkv'	=>	'00100',
		'nglec'	=>	'010000',
		'ngmeg'	=>	'000001',
		'ngnó'	=>	'01200',
		'ngof'	=>	'02100',
		'ngop'	=>	'02100',
		'ngora'	=>	'000001',
		'ngord'	=>	'021000',
		'ngorg'	=>	'021000',
		'ngork'	=>	'021000',
		'ngosto'	=>	'0010000',
		'ngoszt'	=>	'0010000',
		'ngotth'	=>	'0210000',
		'ngóriá'	=>	'0002000',
		'ngöb'	=>	'02100',
		'ngönt'	=>	'001000',
		'ngör'	=>	'00020',
		'ngörö'	=>	'001000',
		'ngörv'	=>	'001000',
		'ngöv'	=>	'02100',
		'ngöz'	=>	'02120',
		'ngőrö'	=>	'001000',
		'ngőzős'	=>	'0002100',
		'ngpr'	=>	'00100',
		'ngps'	=>	'00100',
		'ngram'	=>	'012000',
		'ngrádih'	=>	'00200000',
		'ngrádj'	=>	'0020000',
		'ngráf'	=>	'012000',
		'ngrun'	=>	'002000',
		'ngsh'	=>	'00100',
		'ngsk'	=>	'00100',
		'ngsp'	=>	'00100',
		'ngtr'	=>	'00100',
		'ngud'	=>	'02100',
		'ngug'	=>	'02100',
		'nguj'	=>	'02100',
		'ngund'	=>	'021000',
		'ngura'	=>	'001200',
		'nguta'	=>	'021000',
		'ngúj'	=>	'02100',
		'ngútt'	=>	'001000',
		'ngüd'	=>	'02100',
		'ngüg'	=>	'02120',
		'ngür'	=>	'00100',
		'ngüt'	=>	'00100',
		'ngüz'	=>	'02100',
		'ngűr'	=>	'00100',
		'ngyagya'	=>	'00012000',
		'ngyaló'	=>	'0000212',
		'ngyass'	=>	'0001000',
		'ngyál'	=>	'020120',
		'ngyem'	=>	'020100',
		'ngyes'	=>	'020100',
		'ngyez'	=>	'020000',
		'ngyéd'	=>	'020120',
		'ngyéks'	=>	'0001000',
		'ngyékt'	=>	'0001000',
		'ngyid'	=>	'020000',
		'ngyim'	=>	'020000',
		'ngyut'	=>	'020100',
		'ngyülő'	=>	'0201200',
		'nhabi'	=>	'000210',
		'nhalk'	=>	'000012',
		'nhasábr'	=>	'00020000',
		'nházalt'	=>	'00021000',
		'nházip'	=>	'0002000',
		'nházol'	=>	'0002000',
		'nházó'	=>	'000200',
		'nházs'	=>	'000230',
		'nhedz'	=>	'000230',
		'nhei'	=>	'00020',
		'nhúsá'	=>	'000200',
		'nhúss'	=>	'000030',
		'ni'	=>	'100',
		'niaa'	=>	'00200',
		'niaá'	=>	'00200',
		'niabo'	=>	'002000',
		'niac'	=>	'00200',
		'niad'	=>	'00200',
		'niae'	=>	'00200',
		'niaé'	=>	'00200',
		'niafo'	=>	'002000',
		'niag'	=>	'00012',
		'niagy'	=>	'002000',
		'niah'	=>	'00200',
		'niaí'	=>	'00200',
		'niaj'	=>	'00200',
		'niala'	=>	'002000',
		'nialá'	=>	'002000',
		'niam'	=>	'00200',
		'niao'	=>	'00200',
		'niaó'	=>	'00200',
		'niaö'	=>	'00200',
		'niaő'	=>	'00200',
		'niap'	=>	'00210',
		'niar'	=>	'00200',
		'niasza'	=>	'0020000',
		'niaszá'	=>	'0020000',
		'niat'	=>	'00012',
		'niato'	=>	'002000',
		'niatr'	=>	'002000',
		'niau'	=>	'00030',
		'niaü'	=>	'00200',
		'niav'	=>	'00200',
		'niaz'	=>	'00200',
		'niáta'	=>	'000012',
		'nibo'	=>	'21200',
		'nibr'	=>	'00100',
		'nicel'	=>	'002120',
		'nicha'	=>	'002000',
		'niche'	=>	'002300',
		'niché'	=>	'002300',
		'nicho'	=>	'002300',
		'nideg'	=>	'212000',
		'nidő'	=>	'21200',
		'nidü'	=>	'00200',
		'niet'	=>	'00200',
		'nifj'	=>	'21000',
		'nigal'	=>	'212000',
		'nigá'	=>	'21200',
		'nigéj'	=>	'002000',
		'nigén'	=>	'212000',
		'nigéz'	=>	'002000',
		'nigm'	=>	'20000',
		'nihl'	=>	'21000',
		'nikeb'	=>	'002000',
		'nikel'	=>	'002100',
		'nikem'	=>	'002100',
		'nikérté'	=>	'00210000',
		'nikk'	=>	'00002',
		'niklu'	=>	'001000',
		'nikonr'	=>	'0020000',
		'nikud'	=>	'002000',
		'nille'	=>	'010000',
		'nillu'	=>	'200000',
		'nily'	=>	'21200',
		'nimád'	=>	'200000',
		'nimáé'	=>	'012000',
		'nimp'	=>	'21000',
		'ninas'	=>	'002000',
		'nináll'	=>	'0021000',
		'nind'	=>	'20000',
		'ninfo'	=>	'210000',
		'ninfú'	=>	'210000',
		'ningas'	=>	'0002000',
		'ningá'	=>	'000200',
		'ningei'	=>	'2000000',
		'ningel'	=>	'0002120',
		'ningó'	=>	'000212',
		'ningrá'	=>	'0001200',
		'ningu'	=>	'000200',
		'ningük'	=>	'2100000',
		'ninip'	=>	'002120',
		'ninol'	=>	'002000',
		'ninté'	=>	'210000',
		'nionb'	=>	'212000',
		'nionc'	=>	'002000',
		'nionh'	=>	'002000',
		'nionj'	=>	'002000',
		'nionk'	=>	'002000',
		'nionn'	=>	'212000',
		'niono'	=>	'212000',
		'nionr'	=>	'212000',
		'niont'	=>	'212000',
		'nióa'	=>	'00200',
		'niód'	=>	'00200',
		'nióe'	=>	'00200',
		'nióp'	=>	'00200',
		'nióta'	=>	'002000',
		'niótá'	=>	'002000',
		'nióü'	=>	'00200',
		'nióvá'	=>	'000002',
		'nippi'	=>	'000210',
		'nipr'	=>	'00100',
		'nirat'	=>	'002000',
		'nirá'	=>	'20000',
		'nirész'	=>	'0000001',
		'nirg'	=>	'21000',
		'nirh'	=>	'21000',
		'nirk'	=>	'21000',
		'nirod'	=>	'212000',
		'nirón'	=>	'002000',
		'nisin'	=>	'002100',
		'nisüv'	=>	'000020',
		'niszak'	=>	'0000100',
		'niszeg'	=>	'0020000',
		'niszeml'	=>	'00200000',
		'niszese'	=>	'00200000',
		'niszél'	=>	'0020120',
		'niszip'	=>	'0020000',
		'niszis'	=>	'0020000',
		'niszokt'	=>	'00001000',
		'niszol'	=>	'0000100',
		'niszon'	=>	'2100000',
		'niszö'	=>	'002000',
		'nisző'	=>	'002010',
		'niszu'	=>	'002000',
		'nitad'	=>	'002120',
		'nitag'	=>	'002100',
		'nitaj'	=>	'002100',
		'nital'	=>	'002000',
		'nitala'	=>	'0001200',
		'nitas'	=>	'002100',
		'nitat'	=>	'212000',
		'nitell'	=>	'0001000',
		'nitép'	=>	'002100',
		'nitér'	=>	'002100',
		'nitim'	=>	'002000',
		'nitin'	=>	'002100',
		'nitir'	=>	'002000',
		'nitob'	=>	'002000',
		'nitold'	=>	'0001000',
		'nitolt'	=>	'0001000',
		'nitosz'	=>	'0021000',
		'nitür'	=>	'002000',
		'niumio'	=>	'0002120',
		'nivad'	=>	'212000',
		'nivar'	=>	'212000',
		'nivó'	=>	'21200',
		'nixa'	=>	'00200',
		'nixő'	=>	'00200',
		'nizén'	=>	'002000',
		'nizg'	=>	'21000',
		'nizmá'	=>	'210000',
		'nizom'	=>	'010000',
		'nizsol'	=>	'0020000',
		'ní'	=>	'100',
		'nígé'	=>	'00200',
		'níja'	=>	'00200',
		'níju'	=>	'00200',
		'nília'	=>	'000020',
		'níra'	=>	'00202',
		'nírá'	=>	'21200',
		'níré'	=>	'00212',
		'nírot'	=>	'002100',
		'níró'	=>	'21200',
		'nírú'	=>	'00210',
		'nítél'	=>	'200000',
		'nítőa'	=>	'000002',
		'níve'	=>	'00200',
		'nívi'	=>	'21200',
		'níze'	=>	'00200',
		'nízű'	=>	'00200',
		'nkadós'	=>	'0012000',
		'nkaik'	=>	'000020',
		'nkajt'	=>	'001000',
		'nkakk'	=>	'021000',
		'nkalv'	=>	'021000',
		'nkanó'	=>	'021000',
		'nkanyá'	=>	'0002000',
		'nkaó'	=>	'00002',
		'nkapl'	=>	'000120',
		'nkapp'	=>	'001000',
		'nkaris'	=>	'0002000',
		'nkask'	=>	'000120',
		'nkasp'	=>	'000100',
		'nkatom'	=>	'0002000',
		'nkatr'	=>	'000120',
		'nkazo'	=>	'001000',
		'nkág'	=>	'02100',
		'nkárad'	=>	'0010000',
		'nkárál'	=>	'0002000',
		'nkárol'	=>	'0002000',
		'nkáruk'	=>	'0002000',
		'nkásad'	=>	'0002000',
		'nkásal'	=>	'0002000',
		'nkásav'	=>	'0002000',
		'nkáss'	=>	'000030',
		'nkász'	=>	'000230',
		'nkáta'	=>	'000002',
		'nkátj'	=>	'021000',
		'nkátm'	=>	'021000',
		'nkáts'	=>	'021000',
		'nkátu'	=>	'021000',
		'nkbr'	=>	'00100',
		'nkciósű'	=>	'00002000',
		'nkdr'	=>	'00100',
		'nkecse'	=>	'0012000',
		'nkedz'	=>	'001200',
		'nkela'	=>	'001000',
		'nkellá'	=>	'0200000',
		'nkeltá'	=>	'0210000',
		'nkera'	=>	'000210',
		'nkered'	=>	'0010000',
		'nkerő'	=>	'021200',
		'nketi'	=>	'021200',
		'nkevé'	=>	'021200',
		'nkél'	=>	'02120',
		'nképel'	=>	'0002100',
		'nképés'	=>	'0002100',
		'nképí'	=>	'021000',
		'nkérc'	=>	'021000',
		'nkészé'	=>	'0012000',
		'nkgr'	=>	'00120',
		'nkia'	=>	'00002',
		'nkiá'	=>	'00002',
		'nkiga'	=>	'001200',
		'nkigé'	=>	'021000',
		'nkimi'	=>	'021000',
		'nkind'	=>	'001000',
		'nking'	=>	'021000',
		'nkint'	=>	'021000',
		'nkinz'	=>	'020000',
		'nkion'	=>	'001200',
		'nkisi'	=>	'000212',
		'nkism'	=>	'001000',
		'nkká'	=>	'00002',
		'nkkr'	=>	'00120',
		'nklar'	=>	'002000',
		'nkló'	=>	'01200',
		'nkob'	=>	'02100',
		'nkoke'	=>	'001000',
		'nkoss'	=>	'000030',
		'nkoszl'	=>	'0210000',
		'nkox'	=>	'02100',
		'nkóné'	=>	'021000',
		'nkóni'	=>	'021000',
		'nkóp'	=>	'00012',
		'nkóri'	=>	'021200',
		'nkölé'	=>	'021200',
		'nkölő'	=>	'021200',
		'nköss'	=>	'001000',
		'nkötl'	=>	'001000',
		'nkőrs'	=>	'001000',
		'nkpl'	=>	'00100',
		'nkpr'	=>	'00100',
		'nkrac'	=>	'002000',
		'nkris'	=>	'012000',
		'nkrí'	=>	'01200',
		'nkroma'	=>	'0020000',
		'nkronn'	=>	'0000010',
		'nksp'	=>	'00100',
		'nkst'	=>	'00100',
		'nksz'	=>	'00102',
		'nkud'	=>	'02100',
		'nkura'	=>	'021200',
		'nkus'	=>	'02120',
		'nkutal'	=>	'0010000',
		'nkutá'	=>	'021000',
		'nkuz'	=>	'02100',
		'nkúj'	=>	'02100',
		'nkús'	=>	'02100',
		'nküg'	=>	'02100',
		'nlac'	=>	'00001',
		'nlapa'	=>	'000200',
		'nlape'	=>	'000010',
		'nlaposz'	=>	'00021000',
		'nlatal'	=>	'0002000',
		'nlatan'	=>	'0002120',
		'nlate'	=>	'000212',
		'nlatéte'	=>	'00021200',
		'nláss'	=>	'000030',
		'nlegá'	=>	'000210',
		'nleí'	=>	'00002',
		'nleto'	=>	'000210',
		'nletü'	=>	'000002',
		'nletüz'	=>	'0002000',
		'nlétés'	=>	'0002000',
		'nmega'	=>	'000212',
		'nmegé'	=>	'000210',
		'nműén'	=>	'000020',
		'nműt'	=>	'00002',
		'nnaié'	=>	'000200',
		'nnak'	=>	'00002',
		'nnakr'	=>	'000100',
		'nnalv'	=>	'001000',
		'nnapré'	=>	'0001200',
		'nnas'	=>	'00012',
		'nnáll'	=>	'001000',
		'nneml'	=>	'021000',
		'nnepa'	=>	'000212',
		'nnese'	=>	'000200',
		'nness'	=>	'001000',
		'nnesz'	=>	'001000',
		'nnetet'	=>	'0212000',
		'nnett'	=>	'021000',
		'nnevez'	=>	'0010000',
		'nnéget'	=>	'0002000',
		'nnéri'	=>	'001000',
		'nnid'	=>	'02100',
		'nnirt'	=>	'001000',
		'nnors'	=>	'001000',
		'nnőéh'	=>	'000020',
		'nnőén'	=>	'000020',
		'nnsy'	=>	'00100',
		'nnug'	=>	'02100',
		'nnús'	=>	'00120',
		'nnüc'	=>	'02120',
		'nnül'	=>	'00020',
		'nnülő'	=>	'001000',
		'nnült'	=>	'001000',
		'nnülv'	=>	'001000',
		'nny'	=>	'0200',
		'nnyak'	=>	'030000',
		'nnyalá'	=>	'0300000',
		'nnyan'	=>	'000120',
		'nnyar'	=>	'030000',
		'nnyár'	=>	'000020',
		'nnyáz'	=>	'000100',
		'nnydr'	=>	'030000',
		'nnyell'	=>	'0001000',
		'nnyelő'	=>	'0300000',
		'nnyelt'	=>	'0001000',
		'nnyelvá'	=>	'00010000',
		'nnyelvez'	=>	'000100000',
		'nnyesett'	=>	'000120000',
		'nnyesés'	=>	'00012000',
		'nnyeső'	=>	'0001200',
		'nnyég'	=>	'000100',
		'nnyéké'	=>	'0001200',
		'nnyéki'	=>	'0001200',
		'nnyiéh'	=>	'0000020',
		'nnyiéne'	=>	'00000200',
		'nnyig'	=>	'000020',
		'nnyigé'	=>	'0001000',
		'nnyjé'	=>	'030000',
		'nnyold'	=>	'0001000',
		'nnyon'	=>	'000100',
		'nnyöz'	=>	'000100',
		'nnyst'	=>	'030000',
		'no'	=>	'100',
		'nodrá'	=>	'001200',
		'nodú'	=>	'21200',
		'nogh'	=>	'20000',
		'nogj'	=>	'20000',
		'nogn'	=>	'20000',
		'nogo'	=>	'20000',
		'nogs'	=>	'20000',
		'nogt'	=>	'20000',
		'nogv'	=>	'20000',
		'noir'	=>	'00200',
		'nokal'	=>	'200000',
		'nokala'	=>	'0001000',
		'nokar'	=>	'002120',
		'nokau'	=>	'002000',
		'nokál'	=>	'002100',
		'nokél'	=>	'002120',
		'nokép'	=>	'002000',
		'noking'	=>	'0021000',
		'nokist'	=>	'0001000',
		'nokk'	=>	'00012',
		'nokke'	=>	'210000',
		'nokoz'	=>	'212000',
		'nokö'	=>	'00200',
		'nokő'	=>	'00200',
		'nokro'	=>	'001200',
		'noks'	=>	'00010',
		'noksz'	=>	'000002',
		'nokur'	=>	'002000',
		'nokúr'	=>	'002000',
		'nokü'	=>	'00200',
		'nola'	=>	'21200',
		'nolf'	=>	'00012',
		'nolim'	=>	'212000',
		'nolló'	=>	'210000',
		'noly'	=>	'21200',
		'nomac'	=>	'002120',
		'nomp'	=>	'00010',
		'nona'	=>	'00002',
		'nonal'	=>	'002100',
		'noncc'	=>	'000030',
		'nonch'	=>	'000200',
		'noncsz'	=>	'0000300',
		'none'	=>	'00210',
		'nonk'	=>	'00012',
		'nonö'	=>	'00200',
		'nonő'	=>	'00200',
		'nons'	=>	'00012',
		'nony'	=>	'00100',
		'nook'	=>	'00200',
		'nope'	=>	'21200',
		'nopla'	=>	'001200',
		'noral'	=>	'002100',
		'norat'	=>	'002120',
		'noraz'	=>	'002000',
		'norel'	=>	'002100',
		'noriv'	=>	'002100',
		'norí'	=>	'00200',
		'normo'	=>	'210000',
		'norré'	=>	'210000',
		'nors'	=>	'00012',
		'norü'	=>	'00200',
		'norvo'	=>	'210000',
		'nosál'	=>	'002000',
		'nose'	=>	'00200',
		'nossz'	=>	'000002',
		'nossze'	=>	'0003000',
		'nosszf'	=>	'0003000',
		'nosszi'	=>	'0003000',
		'nostab'	=>	'0012000',
		'noszau'	=>	'0000020',
		'noszf'	=>	'001020',
		'noszl'	=>	'200000',
		'notr'	=>	'00120',
		'notth'	=>	'210000',
		'noty'	=>	'00100',
		'noui'	=>	'00200',
		'noxi'	=>	'00200',
		'nó'	=>	'100',
		'nóak'	=>	'00020',
		'nóár'	=>	'00020',
		'nóce'	=>	'00200',
		'nóch'	=>	'00200',
		'nódan'	=>	'002120',
		'nódák'	=>	'002000',
		'nódes'	=>	'002120',
		'nódis'	=>	'002100',
		'nófl'	=>	'00100',
		'nófr'	=>	'00100',
		'nókl'	=>	'00120',
		'nómac'	=>	'002000',
		'nómem'	=>	'002100',
		'nómik'	=>	'002000',
		'nómut'	=>	'002120',
		'nómü'	=>	'00200',
		'nónib'	=>	'002000',
		'nónon'	=>	'002000',
		'nópr'	=>	'00120',
		'nórac'	=>	'012000',
		'nórad'	=>	'002100',
		'nóraf'	=>	'012000',
		'nórai'	=>	'212000',
		'nóral'	=>	'002120',
		'nórar'	=>	'012000',
		'nóras'	=>	'012000',
		'nórat'	=>	'012000',
		'nórádi'	=>	'0000002',
		'nórás'	=>	'002000',
		'nóriá'	=>	'002000',
		'nórü'	=>	'00200',
		'nósakk'	=>	'0001000',
		'nóseg'	=>	'002000',
		'nósl'	=>	'00100',
		'nósp'	=>	'00120',
		'nósrá'	=>	'001200',
		'nóss'	=>	'00030',
		'nósta'	=>	'001200',
		'nósz'	=>	'00102',
		'nószene'	=>	'00030000',
		'nószené'	=>	'00030000',
		'nótala'	=>	'0001000',
		'nótil'	=>	'002000',
		'nótrá'	=>	'001000',
		'nóvó'	=>	'00200',
		'nö'	=>	'100',
		'nöka'	=>	'00200',
		'nöká'	=>	'00200',
		'nökel'	=>	'002100',
		'nöket'	=>	'000020',
		'nöketi'	=>	'0001000',
		'nökéj'	=>	'002120',
		'nökék'	=>	'002100',
		'nökél'	=>	'002120',
		'nökéri'	=>	'0021000',
		'nökérté'	=>	'00210000',
		'nöko'	=>	'00200',
		'nökó'	=>	'00200',
		'nöku'	=>	'00200',
		'nökú'	=>	'00200',
		'nöle'	=>	'01200',
		'nölé'	=>	'01200',
		'nölő'	=>	'00200',
		'nöml'	=>	'01000',
		'nönö'	=>	'21200',
		'nönz'	=>	'21000',
		'nörö'	=>	'00200',
		'nössz'	=>	'210000',
		'nösz'	=>	'21200',
		'nöte'	=>	'00200',
		'nöté'	=>	'00200',
		'nöti'	=>	'00200',
		'nötl'	=>	'01000',
		'nött'	=>	'00012',
		'nötü'	=>	'00200',
		'növb'	=>	'01000',
		'növön'	=>	'002000',
		'növr'	=>	'21000',
		'nözön'	=>	'212000',
		'nő'	=>	'100',
		'nőal'	=>	'00020',
		'nőan'	=>	'00020',
		'nőág'	=>	'00020',
		'nőbr'	=>	'00100',
		'nőca'	=>	'00200',
		'nőch'	=>	'00200',
		'nőcsár'	=>	'0020000',
		'nőcsős'	=>	'0020000',
		'nőcsü'	=>	'002000',
		'nőer'	=>	'00020',
		'nőél'	=>	'00020',
		'nőfélé'	=>	'0000212',
		'nőkl'	=>	'00100',
		'nőpl'	=>	'00100',
		'nőpr'	=>	'00100',
		'nőran'	=>	'212100',
		'nőras'	=>	'210000',
		'nőrb'	=>	'21000',
		'nőrc'	=>	'21000',
		'nőrei'	=>	'212000',
		'nőréh'	=>	'212000',
		'nőrén'	=>	'212000',
		'nőrétő'	=>	'0020000',
		'nőrév'	=>	'212000',
		'nőrg'	=>	'21000',
		'nőrh'	=>	'21000',
		'nőri'	=>	'21200',
		'nőrk'	=>	'21000',
		'nőrl'	=>	'21000',
		'nőrn'	=>	'21000',
		'nőrö'	=>	'21200',
		'nőrr'	=>	'21000',
		'nőrs'	=>	'01000',
		'nőrt'	=>	'21000',
		'nőrü'	=>	'21000',
		'nőrül'	=>	'002000',
		'nőrün'	=>	'002000',
		'nőrv'	=>	'21000',
		'nőrz'	=>	'21000',
		'nősal'	=>	'002120',
		'nősel'	=>	'002120',
		'nőses'	=>	'002000',
		'nősír'	=>	'002120',
		'nősok'	=>	'002000',
		'nőspe'	=>	'001000',
		'nőss'	=>	'00030',
		'nőszt'	=>	'001020',
		'nőtr'	=>	'00120',
		'nőttin'	=>	'0002000',
		'nőut'	=>	'00020',
		'nőül'	=>	'00020',
		'npadal'	=>	'0002000',
		'npes'	=>	'00020',
		'npesz'	=>	'000001',
		'npla'	=>	'00200',
		'nplá'	=>	'00200',
		'nple'	=>	'00200',
		'nplé'	=>	'00200',
		'nplo'	=>	'00200',
		'nplü'	=>	'00200',
		'nponta'	=>	'0000212',
		'npora'	=>	'000210',
		'npra'	=>	'00200',
		'npre'	=>	'00200',
		'npré'	=>	'00200',
		'npri'	=>	'00200',
		'npro'	=>	'00200',
		'npró'	=>	'00200',
		'npsz'	=>	'00200',
		'nputa'	=>	'000210',
		'nputá'	=>	'000212',
		'npute'	=>	'000212',
		'nputi'	=>	'000210',
		'nreflexí'	=>	'000000212',
		'nrenda'	=>	'0000200',
		'nsad'	=>	'02120',
		'nsakc'	=>	'021000',
		'nsalk'	=>	'001000',
		'nsará'	=>	'001200',
		'nsass'	=>	'001000',
		'nsau'	=>	'02100',
		'nsavár'	=>	'0002000',
		'nsave'	=>	'000212',
		'nsavil'	=>	'0002000',
		'nsavol'	=>	'0002000',
		'nsaz'	=>	'02120',
		'nságg'	=>	'000010',
		'nsáll'	=>	'001000',
		'nsárak'	=>	'0212000',
		'nsáta'	=>	'001000',
		'nsátv'	=>	'001000',
		'nsch'	=>	'00200',
		'nschei'	=>	'0003000',
		'nsché'	=>	'000300',
		'nsdr'	=>	'00100',
		'nselé'	=>	'001200',
		'nselm'	=>	'001000',
		'nseln'	=>	'001000',
		'nselo'	=>	'001000',
		'nsels'	=>	'001000',
		'nselv'	=>	'001000',
		'nsene'	=>	'021000',
		'nsesz'	=>	'021000',
		'nségel'	=>	'0002000',
		'nségéj'	=>	'0002100',
		'nségükét'	=>	'000002000',
		'nsék'	=>	'02100',
		'nsél'	=>	'02120',
		'nsép'	=>	'02100',
		'nsfr'	=>	'00100',
		'nsid'	=>	'02120',
		'nsimp'	=>	'001000',
		'nsinf'	=>	'001000',
		'nsing'	=>	'021000',
		'nsiró'	=>	'021000',
		'nsisk'	=>	'001000',
		'nsiz'	=>	'00020',
		'nsizo'	=>	'001000',
		'nsír'	=>	'02120',
		'nsív'	=>	'02120',
		'nskál'	=>	'012000',
		'nskl'	=>	'00100',
		'nsob'	=>	'02100',
		'nsol'	=>	'02100',
		'nsop'	=>	'02100',
		'nsosz'	=>	'001000',
		'nsott'	=>	'021000',
		'nsór'	=>	'02120',
		'nsös'	=>	'02100',
		'nspec'	=>	'002000',
		'nspl'	=>	'00120',
		'nspor'	=>	'002000',
		'nsrá'	=>	'01200',
		'nsst'	=>	'00100',
		'nssy'	=>	'00100',
		'nsszer'	=>	'0030000',
		'nsszi'	=>	'003000',
		'nsszo'	=>	'003000',
		'nsszö'	=>	'003000',
		'nstab'	=>	'012000',
		'nstác'	=>	'012000',
		'nstei'	=>	'000020',
		'nstim'	=>	'012000',
		'nstop'	=>	'002000',
		'nsur'	=>	'00020',
		'nsura'	=>	'001000',
		'nsut'	=>	'02120',
		'nsúr'	=>	'00100',
		'nszad'	=>	'020120',
		'nszakü'	=>	'0000210',
		'nszalk'	=>	'0001000',
		'nszan'	=>	'020120',
		'nszará'	=>	'0030000',
		'nszárá'	=>	'0030000',
		'nszáru'	=>	'0001200',
		'nszit'	=>	'020100',
		'nsziz'	=>	'020000',
		'nszomm'	=>	'0201000',
		'nszp'	=>	'00012',
		'nszut'	=>	'020000',
		'nszüz'	=>	'020120',
		'nszz'	=>	'00010',
		'ntabla'	=>	'0010000',
		'ntabr'	=>	'021000',
		'ntacél'	=>	'0002000',
		'ntad'	=>	'00002',
		'ntadó'	=>	'001200',
		'ntagg'	=>	'021000',
		'ntagyu'	=>	'0002000',
		'ntagyú'	=>	'0002000',
		'ntaik'	=>	'000020',
		'ntajk'	=>	'021000',
		'ntajt'	=>	'021000',
		'ntakc'	=>	'021000',
		'ntaktá'	=>	'0210000',
		'ntalát'	=>	'0010000',
		'ntalel'	=>	'0010000',
		'ntalf'	=>	'021000',
		'ntanta'	=>	'0010000',
		'ntaran'	=>	'0002000',
		'ntará'	=>	'021200',
		'ntarc'	=>	'021000',
		'ntark'	=>	'021000',
		'ntasp'	=>	'000120',
		'ntassz'	=>	'0010000',
		'ntaty'	=>	'021000',
		'ntaura'	=>	'0012000',
		'ntaü'	=>	'00002',
		'ntazo'	=>	'021000',
		'ntábr'	=>	'001000',
		'ntács'	=>	'000200',
		'ntácsi'	=>	'0010000',
		'ntácso'	=>	'0010000',
		'ntárad'	=>	'0002120',
		'ntáram'	=>	'0200000',
		'ntáráv'	=>	'0002000',
		'ntárny'	=>	'0010000',
		'ntáruk'	=>	'0002000',
		'ntásó'	=>	'021000',
		'ntásvá'	=>	'0210000',
		'ntáti'	=>	'021000',
		'ntátl'	=>	'021000',
		'ntátr'	=>	'021000',
		'ntáts'	=>	'021000',
		'ntátv'	=>	'021000',
		'ntázsi'	=>	'0002000',
		'ntbl'	=>	'00100',
		'ntbr'	=>	'00100',
		'ntdr'	=>	'00100',
		'ntebe'	=>	'001000',
		'ntedén'	=>	'0200000',
		'ntedi'	=>	'001000',
		'ntegá'	=>	'000300',
		'ntela'	=>	'021000',
		'ntelb'	=>	'021000',
		'ntelemé'	=>	'00000200',
		'ntelf'	=>	'001000',
		'nteljá'	=>	'0210000',
		'ntelk'	=>	'021000',
		'ntellen'	=>	'02100000',
		'ntelmél'	=>	'02000000',
		'ntelnö'	=>	'0200000',
		'ntelo'	=>	'021200',
		'ntelőá'	=>	'0002000',
		'ntelr'	=>	'021000',
		'ntelto'	=>	'0210000',
		'ntelvá'	=>	'0210000',
		'ntelz'	=>	'021000',
		'ntember'	=>	'02100000',
		'ntemel'	=>	'0212000',
		'nteml'	=>	'021000',
		'ntemu'	=>	'021000',
		'ntendr'	=>	'0210000',
		'ntent'	=>	'021000',
		'nterál'	=>	'0002000',
		'nterele'	=>	'00020000',
		'nterin'	=>	'0002100',
		'ntervel'	=>	'00002120',
		'nterz'	=>	'021000',
		'ntesth'	=>	'0210000',
		'nteszk'	=>	'0210000',
		'nteva'	=>	'021000',
		'ntevet'	=>	'0012000',
		'ntevez'	=>	'0012000',
		'ntégé'	=>	'001200',
		'ntékek'	=>	'0212000',
		'ntékes'	=>	'0002000',
		'ntéké'	=>	'000200',
		'ntéks'	=>	'021000',
		'ntéle'	=>	'021200',
		'ntélés'	=>	'0212000',
		'ntélm'	=>	'021000',
		'ntélt'	=>	'021000',
		'ntélű'	=>	'001000',
		'nténeke'	=>	'02120000',
		'ntépü'	=>	'021000',
		'ntérin'	=>	'0210000',
		'ntérmé'	=>	'0210000',
		'ntérté'	=>	'0210000',
		'ntérz'	=>	'021000',
		'ntéss'	=>	'000030',
		'ntéter'	=>	'0002000',
		'ntéven'	=>	'0212000',
		'ntévet'	=>	'0212000',
		'ntévéb'	=>	'0212000',
		'ntévén'	=>	'0212000',
		'ntévér'	=>	'0212000',
		'ntévét'	=>	'0212000',
		'ntévh'	=>	'001000',
		'ntévk'	=>	'001000',
		'ntévt'	=>	'001000',
		'ntfl'	=>	'00100',
		'ntfr'	=>	'00100',
		'ntgr'	=>	'00100',
		'nthon'	=>	'002000',
		'ntian'	=>	'000020',
		'ntiat'	=>	'000020',
		'ntido'	=>	'001000',
		'ntige'	=>	'021000',
		'ntikl'	=>	'000120',
		'ntille'	=>	'0210000',
		'ntimp'	=>	'021000',
		'ntinfo'	=>	'0210000',
		'ntinga'	=>	'0210000',
		'ntinté'	=>	'0210000',
		'ntió'	=>	'00001',
		'ntipar'	=>	'0002000',
		'ntirá'	=>	'021000',
		'ntiro'	=>	'021000',
		'ntisk'	=>	'021000',
		'ntism'	=>	'021000',
		'ntiste'	=>	'0210000',
		'ntivás'	=>	'0002000',
		'ntizo'	=>	'001000',
		'ntíg'	=>	'02100',
		'ntíj'	=>	'02100',
		'ntírá'	=>	'001000',
		'ntívb'	=>	'021000',
		'ntíz'	=>	'02120',
		'ntkl'	=>	'00100',
		'ntkr'	=>	'00100',
		'ntof'	=>	'02100',
		'ntoka'	=>	'000002',
		'ntokal'	=>	'0212100',
		'ntokl'	=>	'021000',
		'ntolda'	=>	'0210000',
		'ntoldó'	=>	'0210000',
		'ntoly'	=>	'021200',
		'ntome'	=>	'000212',
		'ntopc'	=>	'001000',
		'ntoras'	=>	'0002000',
		'ntorék'	=>	'0002000',
		'ntorin'	=>	'0002000',
		'ntormá'	=>	'0010000',
		'ntorro'	=>	'0010000',
		'ntoszl'	=>	'0210000',
		'ntoszt'	=>	'0210000',
		'ntotth'	=>	'0210000',
		'ntóp'	=>	'00010',
		'ntórá'	=>	'021200',
		'ntóri'	=>	'021200',
		'ntót'	=>	'00002',
		'ntótr'	=>	'000100',
		'ntökl'	=>	'001000',
		'ntökö'	=>	'001200',
		'ntölő'	=>	'001200',
		'ntönt'	=>	'001000',
		'ntörd'	=>	'021000',
		'ntőa'	=>	'00002',
		'ntőén'	=>	'000020',
		'ntőrb'	=>	'001000',
		'ntőrl'	=>	'001000',
		'ntőrn'	=>	'001000',
		'ntőz'	=>	'02100',
		'ntpl'	=>	'00100',
		'ntpr'	=>	'00100',
		'ntrans'	=>	'0020000',
		'ntransz'	=>	'00000001',
		'ntranszk'	=>	'000000002',
		'ntréf'	=>	'012000',
		'ntróf'	=>	'012000',
		'ntry'	=>	'00100',
		'ntsh'	=>	'00100',
		'ntsk'	=>	'00100',
		'ntsp'	=>	'00100',
		'ntst'	=>	'00100',
		'ntsz'	=>	'00002',
		'ntszámé'	=>	'00000210',
		'ntszv'	=>	'001000',
		'nttr'	=>	'00120',
		'ntudv'	=>	'021000',
		'ntug'	=>	'02100',
		'ntuj'	=>	'02100',
		'ntumor'	=>	'0002000',
		'ntun'	=>	'00020',
		'ntuna'	=>	'021000',
		'ntund'	=>	'001000',
		'ntuni'	=>	'000010',
		'nturá'	=>	'001200',
		'ntusza'	=>	'0002000',
		'ntutá'	=>	'001000',
		'ntúg'	=>	'02100',
		'ntúj'	=>	'02100',
		'ntúral'	=>	'0002000',
		'ntúran'	=>	'0002000',
		'ntúsz'	=>	'001200',
		'ntüg'	=>	'02100',
		'ntülő'	=>	'021200',
		'ntült'	=>	'001000',
		'ntüt'	=>	'02100',
		'ntüv'	=>	'02120',
		'ntyal'	=>	'020120',
		'ntyan'	=>	'020120',
		'ntyál'	=>	'020000',
		'ntyel'	=>	'020120',
		'ntyél'	=>	'020100',
		'ntyik'	=>	'020100',
		'ntyint'	=>	'0201000',
		'ntyiv'	=>	'020100',
		'ntyí'	=>	'02000',
		'ntyőr'	=>	'020120',
		'ntyut'	=>	'020000',
		'nu'	=>	'100',
		'nucc'	=>	'01000',
		'nuga'	=>	'00200',
		'nugo'	=>	'00200',
		'nujj'	=>	'21000',
		'nukla'	=>	'001200',
		'nuklu'	=>	'001000',
		'numü'	=>	'00200',
		'nund'	=>	'21000',
		'nuni'	=>	'21200',
		'nuno'	=>	'21200',
		'nunt'	=>	'21000',
		'nuram'	=>	'002000',
		'nurá'	=>	'00200',
		'nusal'	=>	'002000',
		'nusas'	=>	'002000',
		'nusav'	=>	'002100',
		'nuse'	=>	'00210',
		'nusérté'	=>	'00210000',
		'nusik'	=>	'002000',
		'nusol'	=>	'002000',
		'nuspo'	=>	'001200',
		'nuss'	=>	'00002',
		'nusszi'	=>	'0003000',
		'nuszab'	=>	'0020000',
		'nuszav'	=>	'0023000',
		'nuszir'	=>	'0020000',
		'nuszí'	=>	'002000',
		'nuszol'	=>	'0020100',
		'nutal'	=>	'002000',
		'nutat'	=>	'002000',
		'nutaz'	=>	'002000',
		'nutál'	=>	'002000',
		'nute'	=>	'00200',
		'nú'	=>	'100',
		'nújd'	=>	'01000',
		'nújí'	=>	'00200',
		'nújs'	=>	'21000',
		'núkész'	=>	'0000001',
		'núpr'	=>	'00100',
		'núrb'	=>	'21000',
		'núrh'	=>	'21000',
		'núrn'	=>	'21000',
		'núrr'	=>	'21000',
		'núrt'	=>	'21000',
		'núszá'	=>	'212000',
		'nútb'	=>	'20000',
		'núth'	=>	'20000',
		'nútj'	=>	'20000',
		'nútk'	=>	'21000',
		'nútn'	=>	'21000',
		'nútr'	=>	'20000',
		'núts'	=>	'21000',
		'nútt'	=>	'20000',
		'nútv'	=>	'21000',
		'nü'	=>	'100',
		'nübl'	=>	'00100',
		'nüdí'	=>	'21200',
		'nüdv'	=>	'21000',
		'nüfr'	=>	'00100',
		'nügg'	=>	'21000',
		'nügr'	=>	'00100',
		'nügyb'	=>	'210000',
		'nügyc'	=>	'210000',
		'nügyei'	=>	'2120000',
		'nügyek'	=>	'2120000',
		'nügyes'	=>	'2120000',
		'nügyet'	=>	'2120000',
		'nügyé'	=>	'212000',
		'nügyés'	=>	'0000100',
		'nügyh'	=>	'210000',
		'nügyi'	=>	'212000',
		'nügyk'	=>	'210000',
		'nügyl'	=>	'210000',
		'nügyn'	=>	'210000',
		'nügyr'	=>	'210000',
		'nüld'	=>	'21000',
		'nüpr'	=>	'00100',
		'nürí'	=>	'00200',
		'nüst'	=>	'00002',
		'nüstr'	=>	'001000',
		'nütem'	=>	'212000',
		'nütés'	=>	'002000',
		'nüti'	=>	'00200',
		'nütők'	=>	'002000',
		'nütős'	=>	'002000',
		'nütü'	=>	'00200',
		'nüvö'	=>	'00200',
		'nüzé'	=>	'00200',
		'nüzl'	=>	'21000',
		'nű'	=>	'100',
		'nűzé'	=>	'00200',
		'nűző'	=>	'00200',
		'nvasu'	=>	'000200',
		'nvágyad'	=>	'00000020',
		'nvágyada'	=>	'000201000',
		'nvágyón'	=>	'00020100',
		'nváral'	=>	'0002100',
		'nvát'	=>	'02100',
		'nventa'	=>	'0000200',
		'nvéda'	=>	'000210',
		'nvédőr'	=>	'0002120',
		'nvind'	=>	'001000',
		'nvonalút'	=>	'000002100',
		'nvos'	=>	'02100',
		'nvsk'	=>	'00100',
		'nxar'	=>	'00100',
		'ny'	=>	'020',
		'nya'	=>	'1000',
		'nyabl'	=>	'201000',
		'nyabr'	=>	'201000',
		'nyacél'	=>	'0002000',
		'nyadag'	=>	'2010000',
		'nyadás'	=>	'2000000',
		'nyadó'	=>	'200000',
		'nyadóz'	=>	'0002000',
		'nyaff'	=>	'200000',
		'nyagar'	=>	'0002000',
		'nyagáh'	=>	'2000000',
		'nyagár'	=>	'2000000',
		'nyagáv'	=>	'2000000',
		'nyagc'	=>	'200000',
		'nyagen'	=>	'0002000',
		'nyagi'	=>	'200000',
		'nyagj'	=>	'200000',
		'nyagm'	=>	'200000',
		'nyagos'	=>	'2000000',
		'nyagta'	=>	'2000000',
		'nyaguk'	=>	'2000000',
		'nyagú'	=>	'200000',
		'nyaján'	=>	'2000000',
		'nyajk'	=>	'200000',
		'nyajt'	=>	'200000',
		'nyakala'	=>	'00021000',
		'nyakara'	=>	'00020000',
		'nyakc'	=>	'200000',
		'nyakel'	=>	'0002000',
		'nyakék'	=>	'0002120',
		'nyakiz'	=>	'0002000',
		'nyaktá'	=>	'2000000',
		'nyaktb'	=>	'2000000',
		'nyakti'	=>	'2000000',
		'nyaktj'	=>	'2000000',
		'nyakto'	=>	'2000000',
		'nyaktu'	=>	'2000000',
		'nyalag'	=>	'2012000',
		'nyalakj'	=>	'20000000',
		'nyalakk'	=>	'20000000',
		'nyalakr'	=>	'20120000',
		'nyalany'	=>	'20000000',
		'nyalapb'	=>	'00020000',
		'nyalaph'	=>	'00020000',
		'nyalapo'	=>	'00020000',
		'nyalapp'	=>	'00020000',
		'nyalaps'	=>	'00020000',
		'nyalász'	=>	'20100000',
		'nyalb'	=>	'201000',
		'nyalép'	=>	'0010000',
		'nyalm'	=>	'201000',
		'nyalte'	=>	'0010000',
		'nyaltú'	=>	'2000000',
		'nyamal'	=>	'2000000',
		'nyanal'	=>	'2000000',
		'nyang'	=>	'200000',
		'nyant'	=>	'201000',
		'nyaot'	=>	'200000',
		'nyapad'	=>	'0012000',
		'nyapát'	=>	'0002000',
		'nyapp'	=>	'200000',
		'nyarén'	=>	'0002000',
		'nyarma'	=>	'2010000',
		'nyarz'	=>	'201000',
		'nyasp'	=>	'000100',
		'nyassz'	=>	'2000000',
		'nyaszt'	=>	'2000000',
		'nyatká'	=>	'2000000',
		'nyatrá'	=>	'0001000',
		'nyaty'	=>	'200000',
		'nyauk'	=>	'200000',
		'nyavat'	=>	'2000000',
		'nyá'	=>	'1000',
		'nyábr'	=>	'200000',
		'nyádná'	=>	'2000000',
		'nyádt'	=>	'200000',
		'nyáék'	=>	'200000',
		'nyág'	=>	'20100',
		'nyáld'	=>	'200000',
		'nyállí'	=>	'2000000',
		'nyálom'	=>	'0002000',
		'nyámék'	=>	'2000000',
		'nyámná'	=>	'2000000',
		'nyáp'	=>	'20000',
		'nyárad'	=>	'2012000',
		'nyárai'	=>	'2012000',
		'nyárak'	=>	'2012000',
		'nyáram'	=>	'2012000',
		'nyáras'	=>	'2000000',
		'nyárat'	=>	'2012000',
		'nyáráb'	=>	'0002000',
		'nyárán'	=>	'0002000',
		'nyárát'	=>	'0002000',
		'nyáráv'	=>	'0002000',
		'nyárc'	=>	'200000',
		'nyáre'	=>	'200000',
		'nyárh'	=>	'200000',
		'nyárj'	=>	'201000',
		'nyárk'	=>	'200000',
		'nyárp'	=>	'200000',
		'nyáru'	=>	'200200',
		'nyárú'	=>	'200000',
		'nyárv'	=>	'200000',
		'nyásó'	=>	'200000',
		'nyászak'	=>	'00020000',
		'nyászár'	=>	'00020000',
		'nyáta'	=>	'200000',
		'nyátá'	=>	'200000',
		'nyáté'	=>	'200000',
		'nyátf'	=>	'200000',
		'nyáth'	=>	'200000',
		'nyátk'	=>	'200000',
		'nyátm'	=>	'200000',
		'nyátn'	=>	'200000',
		'nyátö'	=>	'200000',
		'nyátr'	=>	'200000',
		'nyáts'	=>	'200000',
		'nyátt'	=>	'200000',
		'nyátü'	=>	'200000',
		'nyátv'	=>	'200000',
		'nybl'	=>	'00100',
		'nybr'	=>	'00100',
		'nycv'	=>	'00100',
		'nye'	=>	'1000',
		'nyedén'	=>	'2000000',
		'nyedzé'	=>	'2000000',
		'nyeff'	=>	'200000',
		'nyegyl'	=>	'2000000',
		'nyegys'	=>	'2000000',
		'nyekei'	=>	'2000000',
		'nyekéé'	=>	'2000000',
		'nyelb'	=>	'201000',
		'nyelc'	=>	'200000',
		'nyelef'	=>	'2000000',
		'nyelemz'	=>	'20000000',
		'nyelf'	=>	'201000',
		'nyelha'	=>	'0010000',
		'nyeljá'	=>	'2000000',
		'nyelk'	=>	'001000',
		'nyellá'	=>	'2010000',
		'nyelma'	=>	'0010000',
		'nyelnö'	=>	'2000000',
		'nyelőí'	=>	'2000000',
		'nyelőő'	=>	'2012000',
		'nyelőz'	=>	'2000000',
		'nyelr'	=>	'201000',
		'nyelső'	=>	'2000000',
		'nyeltá'	=>	'2010000',
		'nyeltér'	=>	'20000000',
		'nyelto'	=>	'2000000',
		'nyelül'	=>	'2010000',
		'nyelvesz'	=>	'000020000',
		'nyelvev'	=>	'20000000',
		'nyember'	=>	'20000000',
		'nyembl'	=>	'2000000',
		'nyembr'	=>	'2000000',
		'nyemel'	=>	'2000000',
		'nyemit'	=>	'2010000',
		'nyeml'	=>	'201000',
		'nyenc'	=>	'200000',
		'nyene'	=>	'200000',
		'nyeng'	=>	'201000',
		'nyep'	=>	'00010',
		'nyerdő'	=>	'2000000',
		'nyerej'	=>	'2000000',
		'nyerekl'	=>	'00020000',
		'nyerk'	=>	'201000',
		'nyerny'	=>	'2000000',
		'nyerőm'	=>	'2000000',
		'nyesemé'	=>	'20100000',
		'nyeser'	=>	'0010000',
		'nyeseté'	=>	'20000000',
		'nyesél'	=>	'2000000',
		'nyestj'	=>	'2000000',
		'nyeszk'	=>	'2000000',
		'nyetik'	=>	'2000000',
		'nyeve'	=>	'200000',
		'nyevez'	=>	'0002000',
		'nyevé'	=>	'200000',
		'nyevo'	=>	'200000',
		'nyevő'	=>	'200000',
		'nyex'	=>	'20100',
		'nyezr'	=>	'200000',
		'nyezüs'	=>	'2000000',
		'nyé'	=>	'1000',
		'nyébr'	=>	'201000',
		'nyéhen'	=>	'2000000',
		'nyéhes'	=>	'2000000',
		'nyéhs'	=>	'200000',
		'nyéjek'	=>	'0012000',
		'nyélet'	=>	'2000000',
		'nyélm'	=>	'200000',
		'nyéneke'	=>	'20000000',
		'nyéneké'	=>	'20120000',
		'nyénekn'	=>	'20120000',
		'nyép'	=>	'20100',
		'nyéres'	=>	'0002120',
		'nyérin'	=>	'2000000',
		'nyérői'	=>	'2000000',
		'nyérőt'	=>	'2000000',
		'nyérték'	=>	'20000000',
		'nyérü'	=>	'000002',
		'nyérzé'	=>	'2000000',
		'nyétel'	=>	'2000000',
		'nyétke'	=>	'2000000',
		'nyétl'	=>	'200000',
		'nyévb'	=>	'200000',
		'nyévei'	=>	'2000000',
		'nyévek'	=>	'2000000',
		'nyévem'	=>	'2000000',
		'nyéven'	=>	'2000000',
		'nyéves'	=>	'2000000',
		'nyévet'	=>	'2000000',
		'nyévez'	=>	'2000000',
		'nyévéb'	=>	'2000000',
		'nyévér'	=>	'2000000',
		'nyévét'	=>	'2000000',
		'nyévév'	=>	'2000000',
		'nyévf'	=>	'200000',
		'nyévi'	=>	'200000',
		'nyévk'	=>	'200000',
		'nyévm'	=>	'200000',
		'nyévn'	=>	'200000',
		'nyévr'	=>	'200000',
		'nyévs'	=>	'200000',
		'nyévt'	=>	'200000',
		'nyévü'	=>	'200000',
		'nyévű'	=>	'200000',
		'nyévv'	=>	'200000',
		'nyfl'	=>	'00100',
		'nyfr'	=>	'00120',
		'nygl'	=>	'00100',
		'nygr'	=>	'00100',
		'nyi'	=>	'1000',
		'nyibo'	=>	'200000',
		'nyideg'	=>	'2000000',
		'nyidej'	=>	'2000000',
		'nyidő'	=>	'200000',
		'nyiéb'	=>	'000020',
		'nyifjúb'	=>	'20000000',
		'nyifjúé'	=>	'20000000',
		'nyifjúi'	=>	'20000000',
		'nyifjúké'	=>	'200000000',
		'nyifjún'	=>	'20000000',
		'nyifjúr'	=>	'20000000',
		'nyifjús'	=>	'20000000',
		'nyifjút'	=>	'20000000',
		'nyifjúv'	=>	'20000000',
		'nyiga'	=>	'200000',
		'nyiha'	=>	'200000',
		'nyihl'	=>	'200000',
		'nyill'	=>	'201000',
		'nyima'	=>	'201000',
		'nyimá'	=>	'200000',
		'nyimb'	=>	'201000',
		'nyimp'	=>	'200000',
		'nyinas'	=>	'2000000',
		'nyinc'	=>	'200000',
		'nyind'	=>	'200000',
		'nyinf'	=>	'200000',
		'nyinj'	=>	'200000',
		'nyins'	=>	'200000',
		'nyint'	=>	'201000',
		'nyinv'	=>	'200000',
		'nyip'	=>	'20120',
		'nyirá'	=>	'200000',
		'nyiri'	=>	'200000',
		'nyirod'	=>	'2000000',
		'nyirt'	=>	'200000',
		'nyisko'	=>	'2000000',
		'nyism'	=>	'200000',
		'nyisp'	=>	'200000',
		'nyist'	=>	'200000',
		'nyivad'	=>	'2000000',
		'nyivás'	=>	'2000000',
		'nyivó'	=>	'200000',
		'nyizn'	=>	'201000',
		'nyizt'	=>	'201000',
		'nyí'	=>	'1000',
		'nyíg'	=>	'20100',
		'nyíj'	=>	'20100',
		'nyíl'	=>	'30000',
		'nyín'	=>	'20100',
		'nyív'	=>	'20100',
		'nyíz'	=>	'20100',
		'nyjéb'	=>	'100000',
		'nykaróra'	=>	'000001000',
		'nykk'	=>	'10000',
		'nykl'	=>	'00100',
		'nykn'	=>	'10000',
		'nykr'	=>	'00120',
		'nykv'	=>	'00120',
		'nymt'	=>	'10000',
		'nyo'	=>	'1000',
		'nyob'	=>	'20100',
		'nyodú'	=>	'200000',
		'nyof'	=>	'20100',
		'nyokke'	=>	'2010000',
		'nyokl'	=>	'201000',
		'nyokos'	=>	'2000000',
		'nyokoz'	=>	'2000000',
		'nyokta'	=>	'2000000',
		'nyolaj'	=>	'2012000',
		'nyolcc'	=>	'0000010',
		'nyolda'	=>	'2010000',
		'nyoldá'	=>	'2000000',
		'nyoldó'	=>	'2000000',
		'nyolló'	=>	'0010000',
		'nyoltár'	=>	'20100000',
		'nyoltás'	=>	'20000000',
		'nyolvas'	=>	'20000000',
		'nyomatk'	=>	'30000000',
		'nyomatom'	=>	'300000000',
		'nyomo'	=>	'300000',
		'nyomt'	=>	'300000',
		'nyop'	=>	'20100',
		'nyorc'	=>	'001000',
		'nyorm'	=>	'001000',
		'nyors'	=>	'001000',
		'nyorv'	=>	'001000',
		'nyosko'	=>	'2010000',
		'nyosto'	=>	'2000000',
		'nyoszl'	=>	'2000000',
		'nyoszt'	=>	'2000000',
		'nyott'	=>	'201000',
		'nyov'	=>	'20100',
		'nyox'	=>	'20100',
		'nyó'	=>	'1000',
		'nyóni'	=>	'001200',
		'nyórác'	=>	'0002000',
		'nyórán'	=>	'0002000',
		'nyóri'	=>	'200000',
		'nyósü'	=>	'000210',
		'nyö'	=>	'1000',
		'nyöb'	=>	'20100',
		'nyöc'	=>	'20100',
		'nyöl'	=>	'20120',
		'nyönt'	=>	'001000',
		'nyöv'	=>	'20100',
		'nyő'	=>	'1000',
		'nyőrs'	=>	'200000',
		'nypl'	=>	'00100',
		'nypr'	=>	'00100',
		'nyps'	=>	'00100',
		'nysc'	=>	'00100',
		'nysek'	=>	'300000',
		'nysh'	=>	'00100',
		'nysk'	=>	'00100',
		'nysl'	=>	'00100',
		'nysp'	=>	'00100',
		'nyst'	=>	'00020',
		'nysta'	=>	'001000',
		'nystá'	=>	'001000',
		'nyu'	=>	'1000',
		'nyud'	=>	'20000',
		'nyuj'	=>	'20000',
		'nyuká'	=>	'200000',
		'nyukrá'	=>	'2010000',
		'nyul'	=>	'30000',
		'nyuni'	=>	'200000',
		'nyuno'	=>	'200000',
		'nyurá'	=>	'001000',
		'nyut'	=>	'20000',
		'nyuta'	=>	'001200',
		'nyutá'	=>	'001200',
		'nyú'	=>	'1000',
		'nyújd'	=>	'200000',
		'nyújé'	=>	'200000',
		'nyújí'	=>	'200000',
		'nyújs'	=>	'200000',
		'nyúl'	=>	'30000',
		'nyúlő'	=>	'000200',
		'nyúrb'	=>	'200000',
		'nyúrh'	=>	'201000',
		'nyúri'	=>	'200000',
		'nyúrk'	=>	'200000',
		'nyúrn'	=>	'201000',
		'nyúro'	=>	'201200',
		'nyúrr'	=>	'200000',
		'nyúsz'	=>	'201200',
		'nyútb'	=>	'200000',
		'nyúté'	=>	'201000',
		'nyúth'	=>	'200000',
		'nyúti'	=>	'201000',
		'nyútj'	=>	'200000',
		'nyútk'	=>	'200000',
		'nyútl'	=>	'001000',
		'nyútm'	=>	'200000',
		'nyútn'	=>	'200000',
		'nyútp'	=>	'200000',
		'nyútr'	=>	'200000',
		'nyútt'	=>	'200000',
		'nyútv'	=>	'200000',
		'nyü'	=>	'1000',
		'nyüd'	=>	'20100',
		'nyüg'	=>	'20120',
		'nyüld'	=>	'201000',
		'nyüle'	=>	'001000',
		'nyünn'	=>	'200000',
		'nyür'	=>	'20100',
		'nyüt'	=>	'20100',
		'nyüze'	=>	'200000',
		'nyű'	=>	'1000',
		'nyűrb'	=>	'200000',
		'nyűré'	=>	'201000',
		'nyűrh'	=>	'201000',
		'nyűri'	=>	'201200',
		'nyűrj'	=>	'201000',
		'nyűrl'	=>	'201000',
		'nyűrn'	=>	'201000',
		'nyűrö'	=>	'201200',
		'nyűrr'	=>	'200000',
		'nyűrt'	=>	'201000',
		'nyűzé'	=>	'201200',
		'nyűzőb'	=>	'2000000',
		'nyűzően'	=>	'20000000',
		'nyűzőé'	=>	'2000000',
		'nyűzőh'	=>	'2000000',
		'nyűzők'	=>	'2000000',
		'nyűzőn'	=>	'2000000',
		'nyűzőr'	=>	'2000000',
		'nyűzőt'	=>	'2000000',
		'nyűzőv'	=>	'2000000',
		'nyvék'	=>	'002000',
		'nyvisk'	=>	'0021000',
		'nyvó'	=>	'00200',
		'nyvös'	=>	'002000',
		'nyvő'	=>	'00200',
		'nyvú'	=>	'00200',
		'nyzéke'	=>	'0000200',
		'nzac'	=>	'00020',
		'nzacé'	=>	'021000',
		'nzadá'	=>	'001000',
		'nzado'	=>	'001000',
		'nzadó'	=>	'001000',
		'nzaga'	=>	'001200',
		'nzagg'	=>	'001000',
		'nzajta'	=>	'0010000',
		'nzakc'	=>	'001000',
		'nzakk'	=>	'001000',
		'nzako'	=>	'000020',
		'nzakt'	=>	'021000',
		'nzald'	=>	'001000',
		'nzalk'	=>	'021000',
		'nzang'	=>	'001000',
		'nzany'	=>	'021200',
		'nzapp'	=>	'001000',
		'nzara'	=>	'001000',
		'nzará'	=>	'001000',
		'nzarc'	=>	'001000',
		'nzari'	=>	'001000',
		'nzaut'	=>	'001000',
		'nzágy'	=>	'001200',
		'nzáll'	=>	'001000',
		'nzárad'	=>	'0212000',
		'nzárny'	=>	'0010000',
		'nzáróra'	=>	'00021200',
		'nzáru'	=>	'021200',
		'nzáse'	=>	'000212',
		'nzásó'	=>	'001000',
		'nzáss'	=>	'000030',
		'nzáta'	=>	'001012',
		'nzdr'	=>	'00120',
		'nzeg'	=>	'02120',
		'nzelb'	=>	'021000',
		'nzeleme'	=>	'02020000',
		'nzelér'	=>	'0212000',
		'nzelf'	=>	'021000',
		'nzelha'	=>	'0210000',
		'nzelis'	=>	'0210000',
		'nzelk'	=>	'021000',
		'nzellá'	=>	'0210000',
		'nzellen'	=>	'00100000',
		'nzelm'	=>	'021000',
		'nzelny'	=>	'0210000',
		'nzelo'	=>	'021000',
		'nzelőá'	=>	'0212000',
		'nzelől'	=>	'0212000',
		'nzelőt'	=>	'0212000',
		'nzelőz'	=>	'0200000',
		'nzels'	=>	'021000',
		'nzelta'	=>	'0210000',
		'nzeltü'	=>	'0210000',
		'nzelver'	=>	'02100000',
		'nzelvé'	=>	'0210000',
		'nzelvo'	=>	'0210000',
		'nzember'	=>	'00100000',
		'nzemel'	=>	'0212000',
		'nzemés'	=>	'0012000',
		'nzemi'	=>	'021000',
		'nzeml'	=>	'001000',
		'nzener'	=>	'0200000',
		'nzerő'	=>	'001000',
		'nzerta'	=>	'0000212',
		'nzervad'	=>	'00002120',
		'nzervét'	=>	'00000020',
		'nzervéte'	=>	'000021000',
		'nzervi'	=>	'0000200',
		'nzesu'	=>	'000200',
		'nzeszk'	=>	'0010000',
		'nzez'	=>	'02100',
		'nzég'	=>	'02100',
		'nzékel'	=>	'0002100',
		'nzél'	=>	'02120',
		'nzérd'	=>	'021000',
		'nzérem'	=>	'0212000',
		'nzérk'	=>	'021000',
		'nzérm'	=>	'021000',
		'nzérté'	=>	'0210000',
		'nzérv'	=>	'021000',
		'nzérz'	=>	'021000',
		'nzétv'	=>	'001000',
		'nzgr'	=>	'00100',
		'nzia'	=>	'00020',
		'nziga'	=>	'021200',
		'nzigé'	=>	'021000',
		'nzill'	=>	'021000',
		'nzima'	=>	'000212',
		'nzimá'	=>	'000200',
		'nzimi'	=>	'000200',
		'nziná'	=>	'000212',
		'nzino'	=>	'000210',
		'nzinó'	=>	'000212',
		'nzip'	=>	'02120',
		'nzirá'	=>	'001000',
		'nzism'	=>	'001000',
		'nzist'	=>	'021000',
		'nzitár'	=>	'0002000',
		'nzite'	=>	'000002',
		'nzitel'	=>	'0002100',
		'nziten'	=>	'0002000',
		'nzíb'	=>	'02100',
		'nzíg'	=>	'00100',
		'nzín'	=>	'00100',
		'nzkl'	=>	'00100',
		'nzkr'	=>	'00100',
		'nzokl'	=>	'021000',
		'nzolin'	=>	'0002000',
		'nzoló'	=>	'000200',
		'nzona'	=>	'000210',
		'nzoné'	=>	'000200',
		'nzorin'	=>	'0002000',
		'nzosz'	=>	'021000',
		'nzókész'	=>	'00000001',
		'nzön'	=>	'02100',
		'nzör'	=>	'00020',
		'nzörö'	=>	'001000',
		'nzös'	=>	'02100',
		'nzöv'	=>	'02120',
		'nzöz'	=>	'02100',
		'nzpl'	=>	'00100',
		'nzpr'	=>	'00100',
		'nzsaj'	=>	'003000',
		'nzsár'	=>	'023000',
		'nzsát'	=>	'023000',
		'nzsáv'	=>	'020000',
		'nzseg'	=>	'003000',
		'nzser'	=>	'023000',
		'nzsik'	=>	'003000',
		'nzsis'	=>	'023000',
		'nzsod'	=>	'023000',
		'nzsor'	=>	'003000',
		'nzsó'	=>	'02300',
		'nzsp'	=>	'00320',
		'nzst'	=>	'00320',
		'nzsz'	=>	'00300',
		'nztárad'	=>	'00002120',
		'nztr'	=>	'00120',
		'nzuj'	=>	'02100',
		'nzula'	=>	'000210',
		'nzumé'	=>	'000200',
		'nzura'	=>	'001200',
		'nzusan'	=>	'0002000',
		'nzuss'	=>	'000030',
		'nzut'	=>	'02120',
		'nzúj'	=>	'00100',
		'nzút'	=>	'00120',
		'nzüd'	=>	'02100',
		'nzüg'	=>	'02120',
		'nzüs'	=>	'00100',
		'nzüv'	=>	'00100',
		'nzüz'	=>	'02120',
		'nzzs'	=>	'00300',
		'oa'	=>	'010',
		'oacé'	=>	'00200',
		'oafr'	=>	'00100',
		'oaki'	=>	'02000',
		'oakv'	=>	'02120',
		'oami'	=>	'02000',
		'oanali'	=>	'0020000',
		'oasi'	=>	'02000',
		'oaszó'	=>	'020000',
		'oá'	=>	'010',
		'oága'	=>	'00200',
		'oáran'	=>	'002120',
		'oáril'	=>	'002000',
		'oárí'	=>	'00200',
		'oárol'	=>	'002100',
		'oázs'	=>	'00200',
		'obab'	=>	'00012',
		'obad'	=>	'00012',
		'obalj'	=>	'021000',
		'obalta'	=>	'0000212',
		'obap'	=>	'00010',
		'obara'	=>	'001200',
		'obau'	=>	'00002',
		'obáss'	=>	'000030',
		'obátm'	=>	'001000',
		'obbeg'	=>	'002100',
		'obbö'	=>	'00200',
		'obeg'	=>	'02100',
		'obele'	=>	'001000',
		'obem'	=>	'02120',
		'oberő'	=>	'021000',
		'obez'	=>	'02100',
		'obég'	=>	'02120',
		'obérz'	=>	'021000',
		'obiki'	=>	'000200',
		'obikó'	=>	'000212',
		'obilin'	=>	'0002000',
		'obilip'	=>	'0002000',
		'obina'	=>	'000002',
		'obinal'	=>	'0002100',
		'obing'	=>	'021000',
		'obis'	=>	'02120',
		'obív'	=>	'00100',
		'objek'	=>	'100000',
		'obkl'	=>	'00100',
		'oboa'	=>	'12000',
		'oboll'	=>	'021000',
		'obora'	=>	'000210',
		'oborin'	=>	'0002000',
		'oboros'	=>	'0002100',
		'obotá'	=>	'000212',
		'obotin'	=>	'0002000',
		'obókész'	=>	'00000001',
		'obóné'	=>	'021200',
		'obórá'	=>	'001200',
		'oböt'	=>	'00100',
		'obpr'	=>	'00100',
		'obst'	=>	'10000',
		'obut'	=>	'02100',
		'obús'	=>	'02120',
		'obüg'	=>	'00100',
		'obür'	=>	'00100',
		'obüt'	=>	'00100',
		'obűr'	=>	'00100',
		'ocaké'	=>	'000200',
		'ocág'	=>	'02100',
		'ocál'	=>	'02100',
		'ocer'	=>	'00100',
		'océk'	=>	'00120',
		'ochok'	=>	'003000',
		'ochot'	=>	'003000',
		'ocia'	=>	'00030',
		'ocie'	=>	'00002',
		'ocikr'	=>	'000120',
		'oció'	=>	'00002',
		'ocip'	=>	'00010',
		'ocisz'	=>	'000102',
		'ockef'	=>	'012000',
		'ockél'	=>	'002120',
		'ockén'	=>	'000020',
		'ockéne'	=>	'0001000',
		'ockér'	=>	'012000',
		'ockét'	=>	'012000',
		'ockia'	=>	'002000',
		'ockig'	=>	'012000',
		'ockin'	=>	'012000',
		'ockit'	=>	'012000',
		'ockiv'	=>	'012000',
		'ockop'	=>	'002000',
		'ockosn'	=>	'0120000',
		'ockoso'	=>	'0120000',
		'ockosr'	=>	'0120000',
		'ockoss'	=>	'0120000',
		'ocpr'	=>	'00100',
		'ocsap'	=>	'023000',
		'ocsál'	=>	'020100',
		'ocsás'	=>	'000020',
		'ocsász'	=>	'0201000',
		'ocsáz'	=>	'020120',
		'ocse'	=>	'02012',
		'ocsér'	=>	'003000',
		'ocsiéra'	=>	'00000200',
		'ocsing'	=>	'0201000',
		'ocsizm'	=>	'0001000',
		'ocsí'	=>	'02002',
		'ocsín'	=>	'003000',
		'ocsop'	=>	'020000',
		'ocss'	=>	'00010',
		'ocst'	=>	'00010',
		'ocsuj'	=>	'020000',
		'ocsü'	=>	'02012',
		'ocsza'	=>	'003000',
		'ocszá'	=>	'000300',
		'ocsze'	=>	'003000',
		'oczs'	=>	'00300',
		'odaad'	=>	'020000',
		'odab'	=>	'00012',
		'odadj'	=>	'021000',
		'odadr'	=>	'000100',
		'odakk'	=>	'021000',
		'odalj'	=>	'021000',
		'odap'	=>	'00012',
		'odas'	=>	'00002',
		'odass'	=>	'021000',
		'odaszt'	=>	'0010000',
		'odat'	=>	'00002',
		'odatr'	=>	'000100',
		'odautó'	=>	'0010000',
		'odáb'	=>	'00002',
		'odállá'	=>	'0010000',
		'odáru'	=>	'020000',
		'odáskész'	=>	'000000001',
		'odáss'	=>	'000030',
		'odász'	=>	'000230',
		'odáz'	=>	'12000',
		'oded'	=>	'00100',
		'odel'	=>	'00020',
		'odella'	=>	'0000210',
		'odemin'	=>	'0002000',
		'odev'	=>	'00120',
		'odég'	=>	'02120',
		'odéne'	=>	'001200',
		'odép'	=>	'02100',
		'odérd'	=>	'021000',
		'odéte'	=>	'021200',
		'odéve'	=>	'021200',
		'odévé'	=>	'001200',
		'odéz'	=>	'20000',
		'odide'	=>	'001000',
		'odig'	=>	'00020',
		'odiga'	=>	'021000',
		'odikre'	=>	'0210000',
		'odile'	=>	'000210',
		'odilid'	=>	'0002000',
		'odilik'	=>	'0002000',
		'odilis'	=>	'0002100',
		'odint'	=>	'021000',
		'odiro'	=>	'021000',
		'odisp'	=>	'001000',
		'odíz'	=>	'00120',
		'odkl'	=>	'00100',
		'odobo'	=>	'001000',
		'odokt'	=>	'021000',
		'odop'	=>	'02100',
		'odorak'	=>	'0002000',
		'odorosz'	=>	'00020000',
		'odöl'	=>	'00120',
		'odör'	=>	'00120',
		'odőr'	=>	'00120',
		'odpr'	=>	'00100',
		'odram'	=>	'012000',
		'odráma'	=>	'0120000',
		'odst'	=>	'00100',
		'odulal'	=>	'0002120',
		'odur'	=>	'02120',
		'odún'	=>	'10000',
		'odüg'	=>	'00100',
		'odün'	=>	'00100',
		'odüz'	=>	'00100',
		'odváb'	=>	'100000',
		'odze'	=>	'00300',
		'odzo'	=>	'00300',
		'oe'	=>	'010',
		'oeir'	=>	'00200',
		'oele'	=>	'00200',
		'oemu'	=>	'00200',
		'oene'	=>	'00200',
		'oethe'	=>	'001200',
		'oeur'	=>	'00200',
		'oeuv'	=>	'00200',
		'oé'	=>	'010',
		'oéfa'	=>	'02000',
		'oéfá'	=>	'02000',
		'oéfo'	=>	'02000',
		'oéke'	=>	'02000',
		'oéki'	=>	'02000',
		'oéna'	=>	'00002',
		'oénal'	=>	'002100',
		'oénan'	=>	'002100',
		'oénar'	=>	'002100',
		'oéná'	=>	'00002',
		'oénár'	=>	'002100',
		'oénis'	=>	'002000',
		'oész'	=>	'02000',
		'oévi'	=>	'02000',
		'ofilad'	=>	'0002000',
		'ofilak'	=>	'0002000',
		'ofilá'	=>	'000210',
		'ofilel'	=>	'0002000',
		'ofilér'	=>	'0002000',
		'ofili'	=>	'000002',
		'ofiliga'	=>	'00021000',
		'ofiligá'	=>	'00021000',
		'ofilis'	=>	'0002000',
		'ofilosz'	=>	'00021000',
		'ofital'	=>	'0002000',
		'ofite'	=>	'000212',
		'ofla'	=>	'00200',
		'ofló'	=>	'00200',
		'ofona'	=>	'000002',
		'ofonal'	=>	'0002100',
		'ofonan'	=>	'0002000',
		'ofoná'	=>	'000210',
		'ofonn'	=>	'000030',
		'ofonó'	=>	'000212',
		'oformá'	=>	'0000212',
		'ofőre'	=>	'000210',
		'ofőrü'	=>	'000002',
		'ofrí'	=>	'00200',
		'ogabr'	=>	'001000',
		'ogag'	=>	'02120',
		'ogakar'	=>	'0002000',
		'ogaká'	=>	'021000',
		'ogala'	=>	'021200',
		'ogalá'	=>	'021200',
		'ogalj'	=>	'021000',
		'ogall'	=>	'001000',
		'ogalt'	=>	'001000',
		'ogalu'	=>	'001000',
		'ogany'	=>	'021200',
		'ogap'	=>	'02100',
		'ogaran'	=>	'0212000',
		'ogarc'	=>	'001000',
		'ogasz'	=>	'021200',
		'ogatag'	=>	'0002120',
		'ogate'	=>	'000212',
		'ogatin'	=>	'0002120',
		'ogaty'	=>	'001200',
		'ogaz'	=>	'20000',
		'ogág'	=>	'02120',
		'ogáll'	=>	'001000',
		'ogálm'	=>	'001000',
		'ogáp'	=>	'02100',
		'ogárak'	=>	'0212000',
		'ogáre'	=>	'021000',
		'ogárja'	=>	'0210000',
		'ogárját'	=>	'02100000',
		'ogárok'	=>	'0212000',
		'ogáros'	=>	'0002000',
		'ogáru'	=>	'021200',
		'ogáskész'	=>	'000000001',
		'ogásó'	=>	'020000',
		'ogáta'	=>	'021000',
		'ogáte'	=>	'021000',
		'ogátj'	=>	'021000',
		'ogátk'	=>	'021000',
		'ogátl'	=>	'021000',
		'ogátn'	=>	'021000',
		'ogáto'	=>	'021200',
		'ogátr'	=>	'021000',
		'ogáts'	=>	'021000',
		'ogátt'	=>	'021000',
		'ogátü'	=>	'001000',
		'ogátv'	=>	'021000',
		'ogbl'	=>	'00100',
		'ogdíjad'	=>	'00002120',
		'ogdr'	=>	'00100',
		'oged'	=>	'02120',
		'ogeg'	=>	'02120',
		'ogegész'	=>	'00000001',
		'ogel'	=>	'02120',
		'ogem'	=>	'02100',
		'ogep'	=>	'02120',
		'oger'	=>	'00020',
		'ogere'	=>	'001000',
		'ogern'	=>	'001000',
		'ogerő'	=>	'001000',
		'oges'	=>	'00020',
		'ogese'	=>	'021000',
		'ogev'	=>	'02120',
		'ogez'	=>	'02100',
		'ogég'	=>	'02120',
		'ogél'	=>	'02120',
		'ogénn'	=>	'000010',
		'ogép'	=>	'02120',
		'ogérte'	=>	'0010000',
		'ogérté'	=>	'0010000',
		'ogértő'	=>	'0210000',
		'ogérv'	=>	'021000',
		'ogés'	=>	'02100',
		'ogfl'	=>	'00100',
		'ogfr'	=>	'00100',
		'oggl'	=>	'00120',
		'ogic'	=>	'02100',
		'ogid'	=>	'02120',
		'ogif'	=>	'02100',
		'ogig'	=>	'00020',
		'ogiga'	=>	'021000',
		'ogigé'	=>	'021000',
		'ogill'	=>	'020000',
		'oginf'	=>	'001000',
		'oging'	=>	'021000',
		'ogins'	=>	'001000',
		'ogint'	=>	'021000',
		'ogip'	=>	'02100',
		'ogiro'	=>	'001200',
		'ogita'	=>	'001000',
		'ogíj'	=>	'02100',
		'ogín'	=>	'00100',
		'ogír'	=>	'00100',
		'ogív'	=>	'00100',
		'ogkl'	=>	'00100',
		'ogkr'	=>	'00100',
		'oglic'	=>	'012000',
		'ognai'	=>	'012000',
		'ogodv'	=>	'021000',
		'ogorg'	=>	'001000',
		'ogorr'	=>	'001000',
		'ogorz'	=>	'001000',
		'ogoszl'	=>	'0210000',
		'ogoszt'	=>	'0210000',
		'ogov'	=>	'02120',
		'ogöb'	=>	'00120',
		'ogöl'	=>	'00120',
		'ogör'	=>	'00120',
		'ogös'	=>	'00100',
		'ogőr'	=>	'00120',
		'ogpl'	=>	'00100',
		'ogpr'	=>	'00100',
		'ografi'	=>	'2000000',
		'ograp'	=>	'200000',
		'ográff'	=>	'2000000',
		'ográffa'	=>	'01200000',
		'ográfh'	=>	'0120000',
		'ográfj'	=>	'0120000',
		'ográfr'	=>	'0120000',
		'ográl'	=>	'012000',
		'ogsk'	=>	'00100',
		'ogsp'	=>	'00100',
		'ogst'	=>	'00120',
		'ogtr'	=>	'00100',
		'ogura'	=>	'001200',
		'oguru'	=>	'001200',
		'ogus'	=>	'02120',
		'ogut'	=>	'02120',
		'ogúj'	=>	'02100',
		'ogüg'	=>	'00120',
		'ogül'	=>	'00100',
		'ogür'	=>	'00100',
		'ogüt'	=>	'00100',
		'ogüz'	=>	'00100',
		'ogűz'	=>	'00100',
		'ogyac'	=>	'000120',
		'ogyap'	=>	'000120',
		'ogyos'	=>	'000100',
		'ogyóé'	=>	'000002',
		'ohamal'	=>	'0002000',
		'ohamel'	=>	'0002000',
		'ohames'	=>	'0002000',
		'ohamis'	=>	'0002000',
		'ohas'	=>	'00002',
		'ohasp'	=>	'000100',
		'ohág'	=>	'02100',
		'ohál'	=>	'02100',
		'ohányad'	=>	'00020000',
		'ohányan'	=>	'00020000',
		'oháre'	=>	'000210',
		'ohászi'	=>	'0002000',
		'ohászodv'	=>	'000201000',
		'oház'	=>	'02120',
		'ohec'	=>	'00120',
		'ohing'	=>	'001000',
		'ohni'	=>	'00200',
		'ohorr'	=>	'021000',
		'ohócsi'	=>	'0002000',
		'ohórá'	=>	'001000',
		'ohöv'	=>	'00120',
		'ohurá'	=>	'001000',
		'oi'	=>	'010',
		'oiae'	=>	'00200',
		'oiaf'	=>	'00200',
		'oian'	=>	'00200',
		'oiav'	=>	'00200',
		'oiába'	=>	'002000',
		'oida'	=>	'00001',
		'oidad'	=>	'002100',
		'oidan'	=>	'002000',
		'oidál'	=>	'002000',
		'oide'	=>	'00212',
		'oidol'	=>	'002000',
		'oidz'	=>	'00230',
		'oilet'	=>	'000002',
		'oina'	=>	'00002',
		'oinad'	=>	'002100',
		'oine'	=>	'00200',
		'oire'	=>	'00200',
		'oisel'	=>	'000002',
		'oizo'	=>	'00200',
		'oí'	=>	'010',
		'ojáras'	=>	'0002100',
		'ojáss'	=>	'000030',
		'ojász'	=>	'000030',
		'ojektá'	=>	'0000212',
		'ojektí'	=>	'0000212',
		'ojekto'	=>	'0000212',
		'ojin'	=>	'00100',
		'ojtára'	=>	'0021000',
		'ojtorják'	=>	'002100000',
		'ojtóá'	=>	'000002',
		'okabl'	=>	'001000',
		'okacé'	=>	'001200',
		'okadat'	=>	'0212000',
		'okadá'	=>	'021200',
		'okadó'	=>	'021200',
		'okakar'	=>	'0212000',
		'okakv'	=>	'001000',
		'okalj'	=>	'021000',
		'okalk'	=>	'021000',
		'okalm'	=>	'001000',
		'okalt'	=>	'001000',
		'okang'	=>	'001000',
		'okani'	=>	'001000',
		'okant'	=>	'021000',
		'okapl'	=>	'000120',
		'okapp'	=>	'001000',
		'okara'	=>	'001200',
		'okarc'	=>	'001000',
		'okaris'	=>	'0002000',
		'okasp'	=>	'021000',
		'okass'	=>	'021000',
		'okaszf'	=>	'0010000',
		'okaszt'	=>	'0010000',
		'okatt'	=>	'021000',
		'okaty'	=>	'021000',
		'okau'	=>	'00020',
		'okaut'	=>	'001000',
		'okava'	=>	'021000',
		'okág'	=>	'02100',
		'okájt'	=>	'001000',
		'okárad'	=>	'0010000',
		'okárak'	=>	'0212000',
		'okárul'	=>	'0002000',
		'okárv'	=>	'021000',
		'okásal'	=>	'0002000',
		'okásó'	=>	'001000',
		'okáss'	=>	'000030',
		'okász'	=>	'001000',
		'okáte'	=>	'021000',
		'okbl'	=>	'00100',
		'okbr'	=>	'00100',
		'okdr'	=>	'00100',
		'okeb'	=>	'00120',
		'okec'	=>	'02120',
		'oked'	=>	'00020',
		'okedé'	=>	'001000',
		'okeg'	=>	'02120',
		'okel'	=>	'02120',
		'okem'	=>	'02120',
		'okeré'	=>	'001000',
		'okerk'	=>	'001000',
		'okerő'	=>	'001200',
		'okes'	=>	'02020',
		'okesé'	=>	'001000',
		'okev'	=>	'02120',
		'okez'	=>	'00120',
		'okég'	=>	'02100',
		'okéke'	=>	'001200',
		'okéké'	=>	'001200',
		'okéles'	=>	'0012000',
		'okélet'	=>	'0012000',
		'okélé'	=>	'001200',
		'okéln'	=>	'001000',
		'okélt'	=>	'001000',
		'okéne'	=>	'021200',
		'okép'	=>	'00020',
		'oképá'	=>	'000300',
		'oképí'	=>	'001000',
		'oképü'	=>	'021000',
		'okérb'	=>	'021000',
		'okérc'	=>	'021000',
		'okérd'	=>	'021000',
		'okérg'	=>	'021000',
		'okérh'	=>	'021000',
		'okéri'	=>	'021200',
		'okérm'	=>	'021000',
		'okérr'	=>	'021000',
		'okértá'	=>	'0010000',
		'okérte'	=>	'0210000',
		'okérté'	=>	'0210000',
		'okértö'	=>	'0010000',
		'okérz'	=>	'021000',
		'okés'	=>	'00012',
		'okész'	=>	'000002',
		'okétk'	=>	'021000',
		'okétt'	=>	'021000',
		'okéve'	=>	'021200',
		'okfl'	=>	'00100',
		'okfr'	=>	'00100',
		'okgr'	=>	'00100',
		'okide'	=>	'021200',
		'okido'	=>	'021200',
		'okiga'	=>	'001200',
		'okigaz'	=>	'0000001',
		'okigá'	=>	'001000',
		'okigé'	=>	'021000',
		'okind'	=>	'001000',
		'okint'	=>	'021000',
		'okirá'	=>	'021200',
		'okiro'	=>	'021200',
		'okisk'	=>	'021000',
		'okism'	=>	'001000',
		'okisp'	=>	'021000',
		'okiste'	=>	'0010000',
		'okita'	=>	'021200',
		'okizm'	=>	'021000',
		'okíj'	=>	'00100',
		'okír'	=>	'00100',
		'okív'	=>	'00100',
		'okíz'	=>	'00100',
		'okkab'	=>	'002000',
		'okkad'	=>	'002120',
		'okkaj'	=>	'002100',
		'okkale'	=>	'0021000',
		'okkalk'	=>	'0001000',
		'okkas'	=>	'002100',
		'okkaz'	=>	'002000',
		'okkelh'	=>	'0001000',
		'okkelö'	=>	'0001000',
		'okkelő'	=>	'0001000',
		'okkelr'	=>	'0001000',
		'okkeré'	=>	'1000000',
		'okkes'	=>	'002100',
		'okképü'	=>	'0020000',
		'okkid'	=>	'002000',
		'okkló'	=>	'001000',
		'okkob'	=>	'002000',
		'okköss'	=>	'0001000',
		'okkövű'	=>	'0001200',
		'okkri'	=>	'001000',
		'okkud'	=>	'002000',
		'okkur'	=>	'002100',
		'oklí'	=>	'01200',
		'oklor'	=>	'002000',
		'okob'	=>	'02100',
		'okola'	=>	'000002',
		'okolár'	=>	'0002000',
		'okoltás'	=>	'02100000',
		'okonn'	=>	'000010',
		'okonoks'	=>	'00021000',
		'okora'	=>	'000200',
		'okorá'	=>	'000210',
		'okoril'	=>	'0002000',
		'okoris'	=>	'0002000',
		'okormú'	=>	'0210000',
		'okoro'	=>	'001200',
		'okosz'	=>	'021000',
		'okovaria'	=>	'001200000',
		'okovi'	=>	'021200',
		'oköb'	=>	'02100',
		'oköd'	=>	'02120',
		'okök'	=>	'00120',
		'oköl'	=>	'02100',
		'okön'	=>	'02100',
		'okör'	=>	'00020',
		'okös'	=>	'02100',
		'oköv'	=>	'02120',
		'oköz'	=>	'00120',
		'okőr'	=>	'00120',
		'okpl'	=>	'00100',
		'okpr'	=>	'00100',
		'okris'	=>	'012000',
		'okróm'	=>	'012000',
		'oksel'	=>	'002000',
		'oksp'	=>	'00100',
		'okszalm'	=>	'00001000',
		'okszan'	=>	'0020000',
		'okszes'	=>	'0020100',
		'okszis'	=>	'0020100',
		'oktán'	=>	'100000',
		'okud'	=>	'02100',
		'okug'	=>	'02100',
		'okuj'	=>	'02100',
		'okura'	=>	'001200',
		'okut'	=>	'02120',
		'okúrb'	=>	'001000',
		'okúrh'	=>	'001000',
		'okúrr'	=>	'001000',
		'okúsz'	=>	'001000',
		'okútb'	=>	'021000',
		'okúth'	=>	'021000',
		'okúti'	=>	'021200',
		'okútj'	=>	'021000',
		'okútk'	=>	'021000',
		'okútn'	=>	'021000',
		'okútr'	=>	'021000',
		'okútt'	=>	'021000',
		'okútu'	=>	'001000',
		'okútv'	=>	'020000',
		'oküg'	=>	'00100',
		'okül'	=>	'00120',
		'okün'	=>	'00100',
		'okür'	=>	'00100',
		'oküt'	=>	'00120',
		'oküv'	=>	'00120',
		'oküz'	=>	'00100',
		'okűz'	=>	'00100',
		'olabl'	=>	'001000',
		'olad'	=>	'00012',
		'olaf'	=>	'00012',
		'olajb'	=>	'120000',
		'olajf'	=>	'120000',
		'olajg'	=>	'120000',
		'olajh'	=>	'120000',
		'olaji'	=>	'120000',
		'olajj'	=>	'120000',
		'olajk'	=>	'120000',
		'olajm'	=>	'120000',
		'olajn'	=>	'120000',
		'olajp'	=>	'120000',
		'olajr'	=>	'120000',
		'olajs'	=>	'120000',
		'olajt'	=>	'020000',
		'olaju'	=>	'020000',
		'olajú'	=>	'120000',
		'olajv'	=>	'020000',
		'olakr'	=>	'000120',
		'olalg'	=>	'021000',
		'olalk'	=>	'001000',
		'olamn'	=>	'001000',
		'olanya'	=>	'0010000',
		'olap'	=>	'00012',
		'olasp'	=>	'000120',
		'olast'	=>	'000120',
		'olatala'	=>	'00021000',
		'olatany'	=>	'00001000',
		'olatál'	=>	'0002000',
		'olatáp'	=>	'0002000',
		'olaték'	=>	'0002000',
		'olatinf'	=>	'00021000',
		'olatív'	=>	'0002120',
		'olatol'	=>	'0002100',
		'olatorn'	=>	'00021000',
		'olatöl'	=>	'0002100',
		'olatüz'	=>	'0002000',
		'olaur'	=>	'000020',
		'olábrá'	=>	'0010000',
		'olág'	=>	'02120',
		'oláha'	=>	'000200',
		'oláll'	=>	'001000',
		'olárb'	=>	'021000',
		'olárh'	=>	'021000',
		'olária'	=>	'0212000',
		'oláriá'	=>	'0002000',
		'olárk'	=>	'021000',
		'olárn'	=>	'021000',
		'olárok'	=>	'0002000',
		'oláron'	=>	'0002000',
		'olárr'	=>	'021000',
		'olárt'	=>	'021000',
		'oláru'	=>	'021200',
		'olásza'	=>	'0002000',
		'oláti'	=>	'021200',
		'olátv'	=>	'021000',
		'olcaj'	=>	'002000',
		'olcal'	=>	'002000',
		'olcan'	=>	'000020',
		'olcany'	=>	'0001000',
		'olcek'	=>	'002120',
		'olcel'	=>	'002000',
		'olces'	=>	'002000',
		'olcév'	=>	'002100',
		'olch'	=>	'00230',
		'olciko'	=>	'0001000',
		'olcí'	=>	'00200',
		'olcó'	=>	'00200',
		'olcö'	=>	'00200',
		'olcsor'	=>	'0023000',
		'olcsű'	=>	'002000',
		'olcsz'	=>	'000300',
		'olcü'	=>	'00200',
		'olcz'	=>	'00200',
		'oldab'	=>	'002000',
		'oldalá'	=>	'1000000',
		'oldalb'	=>	'1000000',
		'oldale'	=>	'0000200',
		'oldalh'	=>	'1000000',
		'oldalk'	=>	'1000000',
		'oldall'	=>	'1000000',
		'oldaln'	=>	'1000000',
		'oldalo'	=>	'1000000',
		'oldalr'	=>	'1000000',
		'oldalt'	=>	'1000000',
		'oldalu'	=>	'1000000',
		'oldalú'	=>	'1000000',
		'oldany'	=>	'0021000',
		'oldap'	=>	'002000',
		'oldatel'	=>	'00002000',
		'oldau'	=>	'002100',
		'oldál'	=>	'002000',
		'oldeg'	=>	'002000',
		'oldelé'	=>	'0021000',
		'oldell'	=>	'0021000',
		'oldelv'	=>	'0021000',
		'oldemb'	=>	'0001000',
		'older'	=>	'002120',
		'oldes'	=>	'002120',
		'oldev'	=>	'002000',
		'oldez'	=>	'002000',
		'oldés'	=>	'002000',
		'oldéve'	=>	'0021000',
		'oldip'	=>	'002000',
		'oldis'	=>	'002100',
		'oldor'	=>	'002000',
		'oldós'	=>	'100000',
		'oldö'	=>	'00212',
		'oldud'	=>	'002000',
		'oldug'	=>	'002120',
		'oldü'	=>	'00210',
		'oldű'	=>	'00200',
		'oleg'	=>	'00120',
		'olel'	=>	'02120',
		'oléd'	=>	'02120',
		'olég'	=>	'02120',
		'olél'	=>	'02100',
		'olérd'	=>	'001000',
		'olére'	=>	'001200',
		'oléré'	=>	'001000',
		'olérh'	=>	'001000',
		'oléri'	=>	'001200',
		'olérj'	=>	'001000',
		'olérl'	=>	'001000',
		'olérn'	=>	'001000',
		'olérő'	=>	'001000',
		'olérs'	=>	'001000',
		'olérté'	=>	'0210000',
		'olérü'	=>	'001200',
		'olérv'	=>	'001000',
		'olérz'	=>	'021000',
		'olfak'	=>	'000020',
		'olfau'	=>	'002000',
		'olfár'	=>	'002100',
		'olfes'	=>	'002000',
		'olfet'	=>	'002000',
		'olfing'	=>	'0001000',
		'olfir'	=>	'002000',
		'olfis'	=>	'002000',
		'olfu'	=>	'00002',
		'olfut'	=>	'002100',
		'olfúj'	=>	'002000',
		'olgl'	=>	'00100',
		'olgr'	=>	'00120',
		'olib'	=>	'20000',
		'olidu'	=>	'021200',
		'oliga'	=>	'120000',
		'oligáz'	=>	'0002000',
		'oligé'	=>	'021000',
		'olill'	=>	'001000',
		'olimá'	=>	'021200',
		'olimp'	=>	'100000',
		'olinu'	=>	'000200',
		'olipa'	=>	'021200',
		'olipe'	=>	'000002',
		'olipet'	=>	'0002100',
		'olisk'	=>	'021000',
		'oliszál'	=>	'00020000',
		'ollagy'	=>	'0001200',
		'ollaj'	=>	'002100',
		'ollal'	=>	'000020',
		'ollala'	=>	'0021000',
		'ollalj'	=>	'0021000',
		'ollandó'	=>	'00000212',
		'ollany'	=>	'0001000',
		'ollatk'	=>	'0021000',
		'ollatt'	=>	'0001000',
		'ollág'	=>	'002120',
		'ollec'	=>	'002120',
		'ollege'	=>	'0001000',
		'ollegé'	=>	'0001000',
		'ollegy'	=>	'0021200',
		'olleh'	=>	'002120',
		'ollel'	=>	'000020',
		'ollele'	=>	'0001000',
		'ollemb'	=>	'0021000',
		'ollese'	=>	'0001000',
		'ollék'	=>	'002120',
		'olléri'	=>	'0021000',
		'ollinf'	=>	'0021000',
		'ollinge'	=>	'00010000',
		'ollingé'	=>	'00010000',
		'ollingi'	=>	'00010000',
		'ollingj'	=>	'00010000',
		'ollingn'	=>	'00010000',
		'ollingr'	=>	'00010000',
		'ollinj'	=>	'0001000',
		'ollins'	=>	'0020000',
		'ollint'	=>	'0021000',
		'ollisk'	=>	'0001000',
		'ollob'	=>	'002000',
		'ollor'	=>	'002000',
		'ollosz'	=>	'0021000',
		'ollö'	=>	'00210',
		'ollő'	=>	'00212',
		'olls'	=>	'00010',
		'ollub'	=>	'002000',
		'ollul'	=>	'002000',
		'ollus'	=>	'002120',
		'ollü'	=>	'00200',
		'ollyu'	=>	'003000',
		'olnike'	=>	'0001000',
		'olol'	=>	'02120',
		'olop'	=>	'02100',
		'olore'	=>	'000210',
		'olott'	=>	'001000',
		'olox'	=>	'02100',
		'olóedénn'	=>	'000030000',
		'olóf'	=>	'00012',
		'olóné'	=>	'021200',
		'olónn'	=>	'001000',
		'olóno'	=>	'001200',
		'olónr'	=>	'001000',
		'olónt'	=>	'001000',
		'olórái'	=>	'0002000',
		'olóráj'	=>	'0002000',
		'olórák'	=>	'0002000',
		'olórán'	=>	'0002000',
		'olórár'	=>	'0002000',
		'olórát'	=>	'0002000',
		'olóri'	=>	'001200',
		'olót'	=>	'00002',
		'olótr'	=>	'000100',
		'olöl'	=>	'00120',
		'olör'	=>	'00100',
		'olös'	=>	'00100',
		'olpl'	=>	'00120',
		'olpr'	=>	'00120',
		'olsk'	=>	'00100',
		'oltaj'	=>	'002100',
		'oltalm'	=>	'1000000',
		'oltalo'	=>	'1000000',
		'oltari'	=>	'0021000',
		'oltág'	=>	'002100',
		'oltáta'	=>	'0021000',
		'olteg'	=>	'002100',
		'oltem'	=>	'002100',
		'olter'	=>	'000020',
		'oltere'	=>	'0021000',
		'oltes'	=>	'000020',
		'oltev'	=>	'002120',
		'oltép'	=>	'002100',
		'oltérr'	=>	'0021000',
		'oltés'	=>	'002100',
		'oltid'	=>	'002000',
		'oltim'	=>	'002000',
		'oltis'	=>	'002000',
		'oltiz'	=>	'002000',
		'oltold'	=>	'0021000',
		'oltóé'	=>	'100000',
		'oltóh'	=>	'100000',
		'oltóké'	=>	'1000000',
		'oltólo'	=>	'1000000',
		'oltóm'	=>	'100000',
		'oltón'	=>	'100000',
		'oltör'	=>	'000020',
		'oltőr'	=>	'002100',
		'oltür'	=>	'002000',
		'olug'	=>	'02100',
		'olur'	=>	'02100',
		'olutá'	=>	'021200',
		'olús'	=>	'00100',
		'olüg'	=>	'00100',
		'olül'	=>	'00100',
		'olüv'	=>	'00100',
		'olüz'	=>	'00100',
		'olvad'	=>	'100000',
		'olvas'	=>	'100000',
		'olyabr'	=>	'0200000',
		'olyada'	=>	'0001000',
		'olyaggy'	=>	'00010000',
		'olyame'	=>	'0000002',
		'olyames'	=>	'00002000',
		'olyaszt'	=>	'00010000',
		'olyál'	=>	'020000',
		'olye'	=>	'02012',
		'olyéb'	=>	'120000',
		'olyéh'	=>	'120000',
		'olyéi'	=>	'120000',
		'olyél'	=>	'020000',
		'olyiér'	=>	'1200000',
		'olyim'	=>	'020000',
		'olyó'	=>	'20000',
		'olyö'	=>	'02010',
		'olyő'	=>	'02000',
		'olyug'	=>	'020000',
		'olyü'	=>	'02012',
		'olyű'	=>	'02012',
		'omabl'	=>	'021000',
		'omadat'	=>	'0012000',
		'omadm'	=>	'021000',
		'omadó'	=>	'021200',
		'omadt'	=>	'021000',
		'omaf'	=>	'00010',
		'omaga'	=>	'000002',
		'omagad'	=>	'0002100',
		'omagal'	=>	'0002000',
		'omagá'	=>	'000212',
		'omage'	=>	'000200',
		'omagi'	=>	'000002',
		'omagin'	=>	'0002100',
		'omagya'	=>	'0212000',
		'omagyú'	=>	'0010000',
		'omajá'	=>	'021000',
		'omajk'	=>	'021000',
		'omakré'	=>	'0001000',
		'omakt'	=>	'021000',
		'omalag'	=>	'0012000',
		'omalapo'	=>	'00020000',
		'omalapr'	=>	'00020000',
		'omalm'	=>	'021000',
		'omalt'	=>	'001000',
		'omalv'	=>	'001000',
		'omamb'	=>	'021000',
		'omang'	=>	'001000',
		'omann'	=>	'021000',
		'omapad'	=>	'0010000',
		'omapp'	=>	'021000',
		'omapr'	=>	'000100',
		'omara'	=>	'021200',
		'omarc'	=>	'021000',
		'omarg'	=>	'021000',
		'omatárak'	=>	'000210000',
		'omatká'	=>	'0210000',
		'omaty'	=>	'021000',
		'omau'	=>	'02100',
		'omazo'	=>	'001200',
		'omács'	=>	'000200',
		'omág'	=>	'00020',
		'omági'	=>	'001000',
		'omágo'	=>	'001000',
		'ományan'	=>	'00020000',
		'ományká'	=>	'00000002',
		'omáp'	=>	'02100',
		'omárai'	=>	'0212000',
		'omárak'	=>	'0012000',
		'omáram'	=>	'0012000',
		'omáras'	=>	'0010000',
		'omárá'	=>	'021200',
		'omárd'	=>	'021000',
		'omáre'	=>	'021000',
		'omárét'	=>	'0002000',
		'omárg'	=>	'021000',
		'omária'	=>	'0002000',
		'omáriá'	=>	'0002000',
		'omárm'	=>	'021000',
		'omáru'	=>	'021200',
		'omásí'	=>	'000200',
		'omáss'	=>	'000030',
		'omász'	=>	'000200',
		'omászó'	=>	'0000300',
		'omáte'	=>	'021210',
		'omáté'	=>	'001210',
		'omátk'	=>	'021000',
		'omátm'	=>	'021000',
		'omátol'	=>	'0010000',
		'omátr'	=>	'021000',
		'ombalo'	=>	'0021200',
		'ombág'	=>	'002000',
		'ombeg'	=>	'002100',
		'ombelh'	=>	'0001000',
		'ombelt'	=>	'0021000',
		'ombéne'	=>	'0001000',
		'ombéri'	=>	'0021000',
		'ombór'	=>	'000020',
		'ombóra'	=>	'0001000',
		'ombro'	=>	'001000',
		'ombuj'	=>	'002000',
		'omdio'	=>	'000002',
		'omdr'	=>	'00100',
		'omeb'	=>	'02120',
		'omece'	=>	'021200',
		'omedé'	=>	'021200',
		'omef'	=>	'00100',
		'omeg'	=>	'00020',
		'omegá'	=>	'000300',
		'omege'	=>	'001000',
		'omegé'	=>	'001000',
		'omegy'	=>	'021000',
		'omel'	=>	'00020',
		'omela'	=>	'021000',
		'omelá'	=>	'001000',
		'omelb'	=>	'001000',
		'omele'	=>	'021000',
		'omelé'	=>	'021000',
		'omelk'	=>	'001000',
		'omellá'	=>	'0010000',
		'omelm'	=>	'021000',
		'omeln'	=>	'021000',
		'omelo'	=>	'021000',
		'omelő'	=>	'021000',
		'omels'	=>	'021000',
		'omelte'	=>	'0010000',
		'omelu'	=>	'021000',
		'omelv'	=>	'021000',
		'omem'	=>	'02120',
		'omene'	=>	'001000',
		'omeng'	=>	'001000',
		'omeny'	=>	'001000',
		'omenz'	=>	'001000',
		'omeo'	=>	'00020',
		'omep'	=>	'02000',
		'omerd'	=>	'001000',
		'omered'	=>	'0212000',
		'omerei'	=>	'0212000',
		'omerny'	=>	'0210000',
		'omero'	=>	'001200',
		'omerő'	=>	'000200',
		'omerőb'	=>	'0210000',
		'omerőh'	=>	'0210000',
		'omerőn'	=>	'0210000',
		'omerőr'	=>	'0210000',
		'omerősí'	=>	'00100000',
		'omerőss'	=>	'00001000',
		'omerőt'	=>	'0210000',
		'omerőv'	=>	'0210000',
		'omerű'	=>	'001200',
		'omes'	=>	'00020',
		'omese'	=>	'001000',
		'omesé'	=>	'001000',
		'omess'	=>	'001000',
		'omest'	=>	'001000',
		'ometi'	=>	'021200',
		'ometn'	=>	'021000',
		'ometű'	=>	'021000',
		'omev'	=>	'02120',
		'omex'	=>	'02100',
		'omez'	=>	'00020',
		'omeze'	=>	'021000',
		'omezred'	=>	'02100000',
		'omébe'	=>	'021000',
		'oméde'	=>	'001200',
		'omég'	=>	'02100',
		'oméhe'	=>	'021200',
		'oméhs'	=>	'020000',
		'oméje'	=>	'001000',
		'oméke'	=>	'021200',
		'oméle'	=>	'021200',
		'omélé'	=>	'001000',
		'omélő'	=>	'001200',
		'omép'	=>	'02100',
		'omérb'	=>	'021000',
		'omérc'	=>	'021000',
		'omére'	=>	'021200',
		'oméré'	=>	'021200',
		'omérm'	=>	'021000',
		'omérő'	=>	'021200',
		'omérr'	=>	'021000',
		'omérte'	=>	'0210000',
		'omérté'	=>	'0210000',
		'omértő'	=>	'0210000',
		'omérv'	=>	'021000',
		'omés'	=>	'02120',
		'ométel'	=>	'0002000',
		'ométt'	=>	'021000',
		'oméve'	=>	'021000',
		'omévé'	=>	'001000',
		'omfl'	=>	'00120',
		'omgl'	=>	'00100',
		'omgr'	=>	'00100',
		'omide'	=>	'001000',
		'omidi'	=>	'000012',
		'omidő'	=>	'001200',
		'omig'	=>	'00020',
		'omiga'	=>	'021000',
		'omigé'	=>	'021000',
		'omiks'	=>	'001000',
		'omill'	=>	'021000',
		'omimá'	=>	'001000',
		'omime'	=>	'000002',
		'omimel'	=>	'0002000',
		'omimé'	=>	'000210',
		'omináb'	=>	'0002000',
		'omináv'	=>	'0002000',
		'omind'	=>	'021000',
		'ominf'	=>	'001000',
		'oming'	=>	'021000',
		'ominv'	=>	'001000',
		'omiono'	=>	'0212000',
		'omip'	=>	'02120',
		'omirá'	=>	'021000',
		'omiri'	=>	'021200',
		'omiro'	=>	'021000',
		'omirt'	=>	'021000',
		'omisk'	=>	'021000',
		'omism'	=>	'021000',
		'omiste'	=>	'0210000',
		'omiszá'	=>	'0002010',
		'omital'	=>	'0012000',
		'omitan'	=>	'0002000',
		'omitás'	=>	'0002100',
		'omite'	=>	'000210',
		'omitis'	=>	'0002000',
		'omizé'	=>	'001000',
		'omizo'	=>	'001000',
		'omizz'	=>	'001000',
		'omíj'	=>	'00100',
		'omír'	=>	'02100',
		'omív'	=>	'00120',
		'omíz'	=>	'00120',
		'omjó'	=>	'00002',
		'omjő'	=>	'00200',
		'omkl'	=>	'00100',
		'omkr'	=>	'00100',
		'omlábút'	=>	'00002100',
		'omodor'	=>	'0002000',
		'omokas'	=>	'0002000',
		'omoly'	=>	'200000',
		'omont'	=>	'021000',
		'omope'	=>	'001000',
		'omoras'	=>	'0002000',
		'omore'	=>	'000200',
		'omoriz'	=>	'0002000',
		'omorjá'	=>	'0210000',
		'omosto'	=>	'0010000',
		'omoszf'	=>	'0000020',
		'omoszt'	=>	'0210000',
		'omox'	=>	'02100',
		'omök'	=>	'00100',
		'omöl'	=>	'00120',
		'omön'	=>	'00100',
		'omör'	=>	'00120',
		'omös'	=>	'00100',
		'omöt'	=>	'00120',
		'omöv'	=>	'00100',
		'omöz'	=>	'00120',
		'omőr'	=>	'00120',
		'omős'	=>	'00120',
		'ompel'	=>	'002000',
		'ompla'	=>	'001000',
		'ompors'	=>	'0021000',
		'ompő'	=>	'00200',
		'omputá'	=>	'0021200',
		'omsk'	=>	'00100',
		'omsl'	=>	'00100',
		'omsp'	=>	'00100',
		'omst'	=>	'00100',
		'omtess'	=>	'0000020',
		'omtr'	=>	'00120',
		'omud'	=>	'02100',
		'omug'	=>	'02100',
		'omuj'	=>	'02100',
		'omun'	=>	'00020',
		'omuno'	=>	'021000',
		'omur'	=>	'02100',
		'omut'	=>	'02120',
		'omuz'	=>	'02120',
		'omúj'	=>	'02100',
		'omüd'	=>	'00100',
		'omüg'	=>	'00100',
		'omül'	=>	'00120',
		'omür'	=>	'00100',
		'omüs'	=>	'00100',
		'omüt'	=>	'00100',
		'omüv'	=>	'00100',
		'omüz'	=>	'00100',
		'oműr'	=>	'00100',
		'oműz'	=>	'00100',
		'omya'	=>	'00100',
		'onabl'	=>	'021000',
		'onacél'	=>	'0002000',
		'onadat'	=>	'0002000',
		'onadr'	=>	'000100',
		'onads'	=>	'001000',
		'onae'	=>	'00002',
		'onagg'	=>	'001000',
		'onagi'	=>	'001000',
		'onagó'	=>	'001000',
		'onagyh'	=>	'0010000',
		'onajn'	=>	'001000',
		'onajt'	=>	'021000',
		'onak'	=>	'20000',
		'onakc'	=>	'001000',
		'onakk'	=>	'021000',
		'onakn'	=>	'001000',
		'onakt'	=>	'021000',
		'onalen'	=>	'0002000',
		'onales'	=>	'0002120',
		'onalint'	=>	'00020000',
		'onalju'	=>	'0010000',
		'onalok'	=>	'0002000',
		'onalos'	=>	'0002000',
		'onani'	=>	'100000',
		'onano'	=>	'021200',
		'onant'	=>	'021000',
		'onapp'	=>	'001000',
		'onapr'	=>	'000100',
		'onaps'	=>	'000100',
		'onarác'	=>	'0002000',
		'onarádi'	=>	'00000002',
		'onasp'	=>	'000120',
		'onatál'	=>	'0002000',
		'onatü'	=>	'000002',
		'onatüz'	=>	'0002000',
		'onábr'	=>	'001000',
		'onác'	=>	'20000',
		'onág'	=>	'02100',
		'onállo'	=>	'0210000',
		'onállv'	=>	'0210000',
		'onáp'	=>	'02120',
		'onárad'	=>	'0010000',
		'onárak'	=>	'0212000',
		'onárat'	=>	'0012000',
		'onárb'	=>	'001000',
		'onárk'	=>	'021000',
		'onárn'	=>	'021000',
		'onáro'	=>	'021200',
		'onárt'	=>	'021000',
		'onáru'	=>	'021200',
		'onárú'	=>	'021200',
		'onárv'	=>	'001000',
		'onásza'	=>	'0212000',
		'onászokr'	=>	'021200000',
		'onátál'	=>	'0210000',
		'onátás'	=>	'0002000',
		'onátc'	=>	'021000',
		'onáte'	=>	'021000',
		'onátér'	=>	'0002100',
		'onátf'	=>	'021000',
		'onáthe'	=>	'0210000',
		'onátm'	=>	'021000',
		'onátre'	=>	'0210000',
		'onbl'	=>	'00100',
		'onbr'	=>	'00100',
		'oncal'	=>	'002000',
		'oncál'	=>	'002100',
		'onceg'	=>	'002120',
		'onces'	=>	'000020',
		'oncez'	=>	'002100',
		'oncék'	=>	'002100',
		'oncéré'	=>	'0021000',
		'onche'	=>	'002000',
		'oncid'	=>	'002000',
		'oncikr'	=>	'0021000',
		'oncill'	=>	'0001000',
		'oncös'	=>	'002000',
		'oncság'	=>	'0003000',
		'oncseg'	=>	'0020000',
		'oncsemb'	=>	'00001000',
		'oncség'	=>	'0000100',
		'oncsikk'	=>	'00030000',
		'oncsim'	=>	'0020100',
		'oncú'	=>	'00200',
		'oncü'	=>	'00200',
		'ondiko'	=>	'0001000',
		'ondokos'	=>	'00212000',
		'ondoksá'	=>	'00010000',
		'ondosz'	=>	'0021000',
		'ondoz'	=>	'200000',
		'ondöl'	=>	'002100',
		'oneb'	=>	'00120',
		'oned'	=>	'02120',
		'onege'	=>	'001200',
		'onegg'	=>	'001000',
		'onegy'	=>	'021200',
		'oneh'	=>	'00120',
		'onel'	=>	'00020',
		'onela'	=>	'021000',
		'onele'	=>	'021000',
		'onelé'	=>	'001010',
		'onelh'	=>	'021000',
		'onelj'	=>	'001000',
		'onelm'	=>	'021000',
		'oneln'	=>	'021000',
		'onelo'	=>	'021000',
		'onelő'	=>	'001000',
		'onelr'	=>	'021000',
		'onels'	=>	'001000',
		'onelt'	=>	'001000',
		'onelv'	=>	'021000',
		'onem'	=>	'02120',
		'onen'	=>	'00020',
		'onene'	=>	'001000',
		'onerj'	=>	'001000',
		'onerk'	=>	'001000',
		'oners'	=>	'001000',
		'ones'	=>	'00020',
		'onese'	=>	'021000',
		'oness'	=>	'000020',
		'onest'	=>	'001000',
		'onev'	=>	'02120',
		'onex'	=>	'02100',
		'onéb'	=>	'20000',
		'onéd'	=>	'00020',
		'onéde'	=>	'001000',
		'onég'	=>	'02120',
		'onéhe'	=>	'021200',
		'onéke'	=>	'001200',
		'onéks'	=>	'001000',
		'onél'	=>	'02120',
		'onéne'	=>	'001200',
		'onép'	=>	'02120',
		'onérbe'	=>	'0210000',
		'onérc'	=>	'021000',
		'onérd'	=>	'020000',
		'onéri'	=>	'021000',
		'onérl'	=>	'021000',
		'onérm'	=>	'021000',
		'onérp'	=>	'021000',
		'onérs'	=>	'021000',
		'onérte'	=>	'0210000',
		'onérv'	=>	'021000',
		'onévad'	=>	'0200000',
		'onévb'	=>	'021000',
		'onéve'	=>	'021200',
		'onévi'	=>	'001200',
		'onévk'	=>	'021000',
		'onévn'	=>	'021000',
		'onévr'	=>	'001000',
		'ongáll'	=>	'0021000',
		'ongáss'	=>	'0000010',
		'ongec'	=>	'002120',
		'onged'	=>	'002000',
		'ongeg'	=>	'002100',
		'ongel'	=>	'002120',
		'ongik'	=>	'002000',
		'ongló'	=>	'001200',
		'ongü'	=>	'00200',
		'ongyad'	=>	'0020000',
		'ongyő'	=>	'002000',
		'onháro'	=>	'0000002',
		'onhárom'	=>	'00000001',
		'onid'	=>	'02120',
		'onig'	=>	'00020',
		'oniga'	=>	'021000',
		'onige'	=>	'021000',
		'onigé'	=>	'021000',
		'onij'	=>	'02100',
		'onike'	=>	'001200',
		'onill'	=>	'021000',
		'oninb'	=>	'021000',
		'onind'	=>	'001000',
		'oninf'	=>	'021000',
		'oning'	=>	'021000',
		'oninj'	=>	'021000',
		'oninn'	=>	'021000',
		'oninr'	=>	'021000',
		'onins'	=>	'021000',
		'onint'	=>	'021000',
		'onip'	=>	'02120',
		'onirá'	=>	'001200',
		'oniro'	=>	'021000',
		'onirt'	=>	'021000',
		'onisk'	=>	'021000',
		'onism'	=>	'021000',
		'oniste'	=>	'0010000',
		'onita'	=>	'000002',
		'onizé'	=>	'021200',
		'onizo'	=>	'001000',
		'onizz'	=>	'021000',
		'oníg'	=>	'00100',
		'onín'	=>	'02100',
		'onív'	=>	'02100',
		'oníz'	=>	'00100',
		'onkáll'	=>	'0001000',
		'onkét'	=>	'000021',
		'onnyár'	=>	'0030000',
		'onnye'	=>	'003000',
		'onnyo'	=>	'003000',
		'onnyú'	=>	'003000',
		'onnyü'	=>	'003000',
		'onob'	=>	'02100',
		'onográfn'	=>	'000120000',
		'onoka'	=>	'000002',
		'onokal'	=>	'0012000',
		'onokos'	=>	'0012000',
		'onokta'	=>	'0210000',
		'onold'	=>	'021000',
		'onoll'	=>	'001000',
		'onopt'	=>	'001000',
		'onoszl'	=>	'0010000',
		'onosztr'	=>	'00010000',
		'onov'	=>	'02120',
		'onox'	=>	'02100',
		'onóri'	=>	'021000',
		'onósak'	=>	'0002000',
		'onósi'	=>	'000200',
		'onószen'	=>	'00020000',
		'onöb'	=>	'00100',
		'onöl'	=>	'00100',
		'onön'	=>	'00100',
		'onör'	=>	'00100',
		'onös'	=>	'00100',
		'onöt'	=>	'00120',
		'onöv'	=>	'00120',
		'onöz'	=>	'00120',
		'onős'	=>	'00120',
		'onpl'	=>	'00100',
		'onpr'	=>	'00100',
		'onps'	=>	'00100',
		'onsavam'	=>	'00002120',
		'onsk'	=>	'00120',
		'onsl'	=>	'00100',
		'onsm'	=>	'00120',
		'onspe'	=>	'001000',
		'onspo'	=>	'001000',
		'onspr'	=>	'001000',
		'onsr'	=>	'00100',
		'onsto'	=>	'001000',
		'onsz'	=>	'00002',
		'onszf'	=>	'001000',
		'onszt'	=>	'001000',
		'ontagy'	=>	'0001000',
		'ontaj'	=>	'002100',
		'ontalk'	=>	'0021000',
		'ontara'	=>	'0021000',
		'ontatr'	=>	'0021000',
		'ontaz'	=>	'002000',
		'ontáll'	=>	'0021000',
		'ontárv'	=>	'0001000',
		'onteb'	=>	'002000',
		'onted'	=>	'002100',
		'onteg'	=>	'002120',
		'ontelá'	=>	'0001000',
		'onteld'	=>	'0001000',
		'ontelh'	=>	'0001000',
		'ontell'	=>	'0001000',
		'ontelm'	=>	'0001000',
		'onteln'	=>	'0020000',
		'ontelő'	=>	'0021000',
		'ontelt'	=>	'0001000',
		'ontelv'	=>	'0001000',
		'ontemb'	=>	'0001000',
		'ontes'	=>	'000020',
		'ontese'	=>	'0021000',
		'ontéké'	=>	'0001000',
		'ontél'	=>	'002000',
		'ontigé'	=>	'0020000',
		'ontiko'	=>	'0021200',
		'ontikr'	=>	'0001000',
		'ontim'	=>	'002120',
		'ontinf'	=>	'0021000',
		'ontint'	=>	'0021000',
		'ontisz'	=>	'0000200',
		'ontiszo'	=>	'00010000',
		'ontiz'	=>	'002100',
		'ontív'	=>	'002120',
		'ontoml'	=>	'0021000',
		'ontors'	=>	'0021000',
		'ontóni'	=>	'0001000',
		'ontóst'	=>	'1000000',
		'ontös'	=>	'002100',
		'ontöz'	=>	'002100',
		'ontül'	=>	'002000',
		'ontür'	=>	'002000',
		'ontüz'	=>	'002100',
		'ontye'	=>	'002000',
		'onud'	=>	'02100',
		'onug'	=>	'02100',
		'onuj'	=>	'02100',
		'onun'	=>	'00020',
		'onuna'	=>	'021000',
		'onur'	=>	'02120',
		'onut'	=>	'02120',
		'onúj'	=>	'02100',
		'onús'	=>	'02120',
		'onút'	=>	'00020',
		'onútb'	=>	'001000',
		'onúté'	=>	'001000',
		'onúth'	=>	'001000',
		'onúti'	=>	'001000',
		'onútj'	=>	'001000',
		'onúto'	=>	'001000',
		'onútr'	=>	'001000',
		'onútt'	=>	'001000',
		'onüc'	=>	'00120',
		'onüg'	=>	'02120',
		'onül'	=>	'00120',
		'onün'	=>	'02100',
		'onür'	=>	'02100',
		'onüt'	=>	'02120',
		'onüv'	=>	'00120',
		'onüz'	=>	'02120',
		'onűr'	=>	'00100',
		'onűz'	=>	'00100',
		'onyacé'	=>	'0201000',
		'onyadó'	=>	'0001200',
		'onyakc'	=>	'0001000',
		'onyalj'	=>	'0001000',
		'onyalk'	=>	'0201000',
		'onyalt'	=>	'0001000',
		'onyanya'	=>	'00010000',
		'onyap'	=>	'000012',
		'onyapó'	=>	'0201000',
		'onyál'	=>	'020100',
		'onyárk'	=>	'0001000',
		'onyárn'	=>	'0201000',
		'onyázó'	=>	'0001000',
		'onyec'	=>	'000120',
		'onyeg'	=>	'000120',
		'onyel'	=>	'020120',
		'onyem'	=>	'020120',
		'onyen'	=>	'020000',
		'onyer'	=>	'020120',
		'onyes'	=>	'000120',
		'onyég'	=>	'020100',
		'onyéj'	=>	'020120',
		'onyék'	=>	'020120',
		'onyél'	=>	'020100',
		'onyéne'	=>	'0201200',
		'onyéré'	=>	'0200000',
		'onygóc'	=>	'0000001',
		'onyigé'	=>	'0200000',
		'onyiko'	=>	'0001000',
		'onying'	=>	'0001000',
		'onyita'	=>	'0200000',
		'onyitók'	=>	'02000000',
		'onyír'	=>	'020120',
		'onyold'	=>	'0001000',
		'onyoml'	=>	'0001000',
		'onyor'	=>	'020120',
		'onyosz'	=>	'0200000',
		'onyór'	=>	'000120',
		'onyö'	=>	'02010',
		'onyő'	=>	'02012',
		'onyug'	=>	'020000',
		'onyur'	=>	'020100',
		'onyü'	=>	'02012',
		'onzabl'	=>	'0001000',
		'onzag'	=>	'002000',
		'onzajtó'	=>	'00010000',
		'onzar'	=>	'002000',
		'onzág'	=>	'002000',
		'onzál'	=>	'002120',
		'onzed'	=>	'002100',
		'onzel'	=>	'002120',
		'onzem'	=>	'002120',
		'onzes'	=>	'002100',
		'onzék'	=>	'002100',
		'onzére'	=>	'0021000',
		'onzim'	=>	'002100',
		'onzing'	=>	'0001000',
		'onzsel'	=>	'0003000',
		'onzü'	=>	'00200',
		'oo'	=>	'010',
		'ooib'	=>	'00200',
		'ooin'	=>	'00200',
		'oope'	=>	'00200',
		'oore'	=>	'00200',
		'ooxi'	=>	'00200',
		'oó'	=>	'010',
		'oö'	=>	'010',
		'oő'	=>	'010',
		'opab'	=>	'02120',
		'opad'	=>	'02120',
		'opal'	=>	'02000',
		'opala'	=>	'001200',
		'opany'	=>	'021000',
		'opapo'	=>	'001200',
		'opar'	=>	'00120',
		'opau'	=>	'00020',
		'opaz'	=>	'02120',
		'opál'	=>	'02000',
		'opám'	=>	'02100',
		'opárat'	=>	'0212000',
		'opáskész'	=>	'000000001',
		'opáth'	=>	'021000',
		'opátl'	=>	'021000',
		'opátm'	=>	'021000',
		'opbl'	=>	'00100',
		'opedé'	=>	'001200',
		'opeg'	=>	'00120',
		'opejt'	=>	'001000',
		'opelő'	=>	'001000',
		'opem'	=>	'00100',
		'operas'	=>	'0000010',
		'operasz'	=>	'00000002',
		'operd'	=>	'001000',
		'operk'	=>	'001000',
		'operő'	=>	'001000',
		'opes'	=>	'00100',
		'opet'	=>	'00120',
		'opél'	=>	'02120',
		'opén'	=>	'02120',
		'opgr'	=>	'00100',
		'opiko'	=>	'001200',
		'opikr'	=>	'001000',
		'opim'	=>	'02100',
		'opind'	=>	'001000',
		'oping'	=>	'021000',
		'opip'	=>	'02120',
		'opiram'	=>	'0200000',
		'opirá'	=>	'021200',
		'opisi'	=>	'001000',
		'opist'	=>	'001000',
		'opita'	=>	'021200',
		'opiz'	=>	'00020',
		'opizo'	=>	'001000',
		'opizz'	=>	'001000',
		'opív'	=>	'00100',
		'opkl'	=>	'00100',
		'opkr'	=>	'00100',
		'opob'	=>	'02100',
		'opol'	=>	'20000',
		'oporj'	=>	'021000',
		'oporr'	=>	'021000',
		'oporta'	=>	'0000212',
		'oportá'	=>	'0000212',
		'oporte'	=>	'0000212',
		'oportérd'	=>	'000021000',
		'oportö'	=>	'0000200',
		'oporzó'	=>	'0210000',
		'oposzf'	=>	'0000020',
		'opov'	=>	'02100',
		'opös'	=>	'00100',
		'oppé'	=>	'00200',
		'oppis'	=>	'002100',
		'oppy'	=>	'00100',
		'opro'	=>	'20000',
		'oproc'	=>	'002000',
		'oprod'	=>	'002000',
		'opsl'	=>	'00100',
		'opsp'	=>	'00100',
		'opsr'	=>	'00100',
		'opst'	=>	'00120',
		'opud'	=>	'02100',
		'opur'	=>	'02120',
		'oput'	=>	'02120',
		'opúj'	=>	'00100',
		'opús'	=>	'02100',
		'opüd'	=>	'00100',
		'opüg'	=>	'00100',
		'opüt'	=>	'00100',
		'opüz'	=>	'00100',
		'orabl'	=>	'021000',
		'orabr'	=>	'021000',
		'oradat'	=>	'0002000',
		'oradá'	=>	'021200',
		'oradm'	=>	'001000',
		'oradó'	=>	'021200',
		'oraff'	=>	'001000',
		'oragg'	=>	'001000',
		'oragó'	=>	'001200',
		'orakad'	=>	'0002000',
		'orakas'	=>	'0002000',
		'orakc'	=>	'021000',
		'orakl'	=>	'000100',
		'orakol'	=>	'0002000',
		'orakt'	=>	'021000',
		'oralg'	=>	'001000',
		'oralj'	=>	'021000',
		'oralk'	=>	'001000',
		'oralm'	=>	'021000',
		'oralt'	=>	'021000',
		'oralv'	=>	'021000',
		'oramp'	=>	'001000',
		'orana'	=>	'021000',
		'orane'	=>	'021000',
		'orank'	=>	'021000',
		'orano'	=>	'021200',
		'orant'	=>	'021000',
		'oranya'	=>	'0012000',
		'oraó'	=>	'00002',
		'orapp'	=>	'001000',
		'orará'	=>	'021200',
		'orarc'	=>	'021000',
		'orari'	=>	'001200',
		'oraszk'	=>	'0010000',
		'oratk'	=>	'021000',
		'oratl'	=>	'021000',
		'oratt'	=>	'001000',
		'oraty'	=>	'001000',
		'orazo'	=>	'021200',
		'orábr'	=>	'021000',
		'orács'	=>	'000200',
		'orácsa'	=>	'0010000',
		'orácso'	=>	'0010000',
		'orág'	=>	'02120',
		'orále'	=>	'000200',
		'orálló'	=>	'0010000',
		'orállv'	=>	'0210000',
		'orálö'	=>	'000200',
		'oráp'	=>	'02120',
		'orárak'	=>	'0212000',
		'orárá'	=>	'021000',
		'orárb'	=>	'021000',
		'orárk'	=>	'021000',
		'oráro'	=>	'021200',
		'orárp'	=>	'021000',
		'orárr'	=>	'021000',
		'orárt'	=>	'021000',
		'oráru'	=>	'001200',
		'orárú'	=>	'001000',
		'orárv'	=>	'021000',
		'orásv'	=>	'021000',
		'orásze'	=>	'0002000',
		'oráta'	=>	'021000',
		'oráte'	=>	'021212',
		'orátf'	=>	'021000',
		'oráth'	=>	'021000',
		'orátj'	=>	'021000',
		'orátk'	=>	'021000',
		'orátm'	=>	'021000',
		'orátr'	=>	'021000',
		'oráts'	=>	'021000',
		'orátt'	=>	'021000',
		'orátv'	=>	'021000',
		'orbl'	=>	'00100',
		'orbr'	=>	'00100',
		'orcal'	=>	'002120',
		'orcar'	=>	'002000',
		'orcád'	=>	'100000',
		'orchá'	=>	'002000',
		'orché'	=>	'002300',
		'orcho'	=>	'002300',
		'orcság'	=>	'0003000',
		'orcseb'	=>	'0023000',
		'orcsé'	=>	'002300',
		'orcú'	=>	'00200',
		'orcz'	=>	'00200',
		'ordau'	=>	'002100',
		'ordeme'	=>	'0001000',
		'ordeső'	=>	'0001200',
		'ordex'	=>	'002000',
		'ording'	=>	'0021000',
		'orea'	=>	'20000',
		'oreá'	=>	'03000',
		'oreb'	=>	'02120',
		'orecs'	=>	'001000',
		'ored'	=>	'02120',
		'oref'	=>	'02100',
		'orege'	=>	'001200',
		'oregé'	=>	'001200',
		'oregy'	=>	'021200',
		'orek'	=>	'20020',
		'oreke'	=>	'001000',
		'oreké'	=>	'001000',
		'orel'	=>	'00020',
		'orela'	=>	'001000',
		'orele'	=>	'001000',
		'orelh'	=>	'001000',
		'orelj'	=>	'001000',
		'orelm'	=>	'001000',
		'oreln'	=>	'001000',
		'orelo'	=>	'001000',
		'orelő'	=>	'001000',
		'orelr'	=>	'001000',
		'orels'	=>	'001000',
		'orelt'	=>	'001000',
		'orelv'	=>	'001000',
		'orem'	=>	'02120',
		'oren'	=>	'00020',
		'orene'	=>	'001000',
		'oreng'	=>	'021000',
		'oreny'	=>	'001000',
		'orep'	=>	'02100',
		'oreró'	=>	'001000',
		'ores'	=>	'00020',
		'orese'	=>	'001000',
		'oresé'	=>	'001000',
		'oreső'	=>	'001000',
		'oress'	=>	'021000',
		'oresze'	=>	'0210000',
		'orev'	=>	'02120',
		'orez'	=>	'00100',
		'oréd'	=>	'02120',
		'orég'	=>	'02120',
		'oréj'	=>	'02120',
		'orékás'	=>	'0002000',
		'oréke'	=>	'000212',
		'orékné'	=>	'0010000',
		'orél'	=>	'02120',
		'orém'	=>	'02120',
		'oréne'	=>	'021200',
		'orép'	=>	'02100',
		'oréré'	=>	'021000',
		'oréte'	=>	'021200',
		'orétk'	=>	'021000',
		'oréve'	=>	'021200',
		'orévé'	=>	'021200',
		'orévi'	=>	'021200',
		'orévn'	=>	'021000',
		'orévr'	=>	'021000',
		'orfélév'	=>	'00002120',
		'orfiúér'	=>	'00002000',
		'orgiai'	=>	'2000000',
		'orgl'	=>	'00100',
		'oribo'	=>	'021000',
		'oride'	=>	'021200',
		'oridé'	=>	'021200',
		'oridi'	=>	'000002',
		'oridio'	=>	'0002100',
		'orie'	=>	'12000',
		'orifj'	=>	'021000',
		'origa'	=>	'021200',
		'origá'	=>	'021200',
		'origy'	=>	'021200',
		'oriha'	=>	'001000',
		'orimá'	=>	'021200',
		'orinas'	=>	'0200000',
		'orinán'	=>	'0212000',
		'orinát'	=>	'0212000',
		'orináv'	=>	'0012000',
		'orind'	=>	'021000',
		'orinf'	=>	'021000',
		'oringc'	=>	'0210000',
		'oringé'	=>	'0210000',
		'oringi'	=>	'0210000',
		'oringn'	=>	'0210000',
		'oringr'	=>	'0210000',
		'orings'	=>	'0210000',
		'orinh'	=>	'001000',
		'orinj'	=>	'021000',
		'orins'	=>	'021000',
		'orinta'	=>	'0000212',
		'orintel'	=>	'00002000',
		'orintő'	=>	'0000210',
		'oriog'	=>	'000200',
		'orip'	=>	'02120',
		'orisi'	=>	'021200',
		'orism'	=>	'021000',
		'orisp'	=>	'001000',
		'oriste'	=>	'0210000',
		'oriszá'	=>	'0212000',
		'oritan'	=>	'0002000',
		'orizé'	=>	'021200',
		'oríg'	=>	'02100',
		'oríj'	=>	'02120',
		'orín'	=>	'02120',
		'orír'	=>	'02100',
		'orív'	=>	'02120',
		'oríz'	=>	'02120',
		'orjaia'	=>	'1000000',
		'orjaié'	=>	'1000000',
		'orjá'	=>	'00300',
		'orkl'	=>	'00120',
		'orközep'	=>	'00002120',
		'orkv'	=>	'00120',
		'ormapp'	=>	'0021000',
		'ormatre'	=>	'00001200',
		'ormatt'	=>	'0021000',
		'ormazo'	=>	'0021000',
		'ormeb'	=>	'002100',
		'ormeg'	=>	'000020',
		'ormegy'	=>	'0021000',
		'ormeli'	=>	'0001000',
		'ormelv'	=>	'0001000',
		'ormerők'	=>	'00010000',
		'ormesz'	=>	'0001000',
		'ormét'	=>	'000020',
		'orméte'	=>	'0021000',
		'ormosz'	=>	'0021000',
		'ormóv'	=>	'002000',
		'ormö'	=>	'00210',
		'ormő'	=>	'00210',
		'ormü'	=>	'00200',
		'orniss'	=>	'0000010',
		'oroá'	=>	'02120',
		'orogkész'	=>	'000000001',
		'oroká'	=>	'000212',
		'orokor'	=>	'0002000',
		'orolda'	=>	'0210000',
		'oroli'	=>	'021200',
		'oroltól'	=>	'02000000',
		'orontób'	=>	'02100000',
		'orontóé'	=>	'00100000',
		'orontóig'	=>	'001000000',
		'orontój'	=>	'02100000',
		'orontón'	=>	'02100000',
		'orontór'	=>	'02100000',
		'orontót'	=>	'02100000',
		'orontóv'	=>	'02100000',
		'oronya'	=>	'0002000',
		'oronyo'	=>	'0002000',
		'orope'	=>	'001000',
		'oropt'	=>	'001000',
		'oror'	=>	'02120',
		'orosko'	=>	'0210000',
		'orosto'	=>	'0210000',
		'oroszi'	=>	'1200000',
		'oroszr'	=>	'1200000',
		'orosztá'	=>	'02000000',
		'orox'	=>	'02120',
		'oróia'	=>	'001200',
		'oróni'	=>	'001200',
		'orórá'	=>	'001200',
		'oróri'	=>	'001000',
		'orósá'	=>	'001200',
		'orósor'	=>	'0000020',
		'orósoro'	=>	'00020000',
		'oröb'	=>	'00120',
		'oröc'	=>	'00120',
		'oröl'	=>	'00120',
		'orön'	=>	'00100',
		'orör'	=>	'00100',
		'orös'	=>	'00100',
		'oröt'	=>	'00100',
		'oröv'	=>	'00100',
		'oröz'	=>	'00120',
		'orőr'	=>	'00120',
		'orős'	=>	'00120',
		'orph'	=>	'00100',
		'orpl'	=>	'00100',
		'orpn'	=>	'00120',
		'orpr'	=>	'00120',
		'orrabl'	=>	'0001000',
		'orrar'	=>	'002120',
		'orráta'	=>	'0021000',
		'orrb'	=>	'10000',
		'orrin'	=>	'002000',
		'orriz'	=>	'002000',
		'orrk'	=>	'10000',
		'orruk'	=>	'100000',
		'orrúc'	=>	'100000',
		'orsad'	=>	'002120',
		'orsajtók'	=>	'002100000',
		'orsalk'	=>	'0001000',
		'orsass'	=>	'0001000',
		'orsál'	=>	'002100',
		'orsed'	=>	'002000',
		'orses'	=>	'002120',
		'orséne'	=>	'0021200',
		'orsérte'	=>	'00200000',
		'orsétát'	=>	'00012000',
		'orsír'	=>	'002120',
		'orsön'	=>	'002000',
		'orső'	=>	'00200',
		'orsrá'	=>	'001000',
		'orstab'	=>	'0012000',
		'orsült'	=>	'0001000',
		'orsütő'	=>	'0001200',
		'ország'	=>	'1000000',
		'orszil'	=>	'0000021',
		'orszóná'	=>	'00030000',
		'orszt'	=>	'001020',
		'ortagg'	=>	'0021000',
		'ortalm'	=>	'0021000',
		'ortana'	=>	'0020000',
		'ortanác'	=>	'00002120',
		'ortaré'	=>	'0021000',
		'ortág'	=>	'002000',
		'ortárad'	=>	'00010000',
		'ortáram'	=>	'00012000',
		'ortárán'	=>	'00012000',
		'ortárár'	=>	'00012000',
		'ortárbe'	=>	'00010000',
		'ortárná'	=>	'00010000',
		'ortáruk'	=>	'00012000',
		'ortárú'	=>	'0021200',
		'orteg'	=>	'002120',
		'ortejt'	=>	'0001000',
		'ortela'	=>	'0021000',
		'ortelem'	=>	'00012000',
		'ortelé'	=>	'0021000',
		'ortell'	=>	'0021000',
		'ortelm'	=>	'0021000',
		'orteln'	=>	'0021000',
		'ortelo'	=>	'0021000',
		'ortelő'	=>	'0021000',
		'ortelt'	=>	'0021000',
		'ortelv'	=>	'0001000',
		'ortemb'	=>	'0001000',
		'ortene'	=>	'0020000',
		'ortera'	=>	'0000210',
		'ortess'	=>	'0021000',
		'orteti'	=>	'0001000',
		'ortéle'	=>	'0001000',
		'ortélé'	=>	'0001000',
		'ortélt'	=>	'0001000',
		'ortélv'	=>	'0001000',
		'ortérm'	=>	'0021000',
		'ortid'	=>	'002000',
		'ortiku'	=>	'0001200',
		'ortint'	=>	'0021000',
		'ortist'	=>	'0021000',
		'ortita'	=>	'0021000',
		'ortít'	=>	'002000',
		'ortokm'	=>	'0021000',
		'ortokol'	=>	'00212000',
		'ortokta'	=>	'00210000',
		'ortold'	=>	'0021000',
		'ortorm'	=>	'0021000',
		'ortott'	=>	'0021000',
		'ortór'	=>	'002120',
		'ortön'	=>	'002100',
		'ortös'	=>	'002100',
		'ortöv'	=>	'002120',
		'ortura'	=>	'0001000',
		'ortüzér'	=>	'00212000',
		'orud'	=>	'02100',
		'orug'	=>	'02120',
		'orur'	=>	'02120',
		'orut'	=>	'02120',
		'orútb'	=>	'021000',
		'orúth'	=>	'021000',
		'orúti'	=>	'021200',
		'orútj'	=>	'021000',
		'orútn'	=>	'021000',
		'orúton'	=>	'0212000',
		'orútr'	=>	'021000',
		'orúts'	=>	'001000',
		'orútt'	=>	'021000',
		'orüd'	=>	'00100',
		'orüg'	=>	'00120',
		'orül'	=>	'00120',
		'orün'	=>	'00100',
		'orür'	=>	'00100',
		'orüs'	=>	'00120',
		'orüt'	=>	'00100',
		'orüv'	=>	'00120',
		'orüz'	=>	'00100',
		'orűr'	=>	'00100',
		'orvan'	=>	'002120',
		'orvá'	=>	'20000',
		'orvisi'	=>	'0001000',
		'orvos'	=>	'100000',
		'orvő'	=>	'00200',
		'orvv'	=>	'10000',
		'orzec'	=>	'002120',
		'orzes'	=>	'002000',
		'orzsan'	=>	'0020000',
		'orzz'	=>	'00010',
		'osabl'	=>	'021000',
		'osada'	=>	'021200',
		'osadó'	=>	'021200',
		'osakc'	=>	'021000',
		'osal'	=>	'02120',
		'osan'	=>	'00020',
		'osang'	=>	'021000',
		'osant'	=>	'021000',
		'osany'	=>	'021000',
		'osap'	=>	'02120',
		'osarc'	=>	'001000',
		'osassz'	=>	'0010000',
		'osaty'	=>	'001200',
		'osau'	=>	'02100',
		'osábr'	=>	'021000',
		'oság'	=>	'02120',
		'osáld'	=>	'001000',
		'osáll'	=>	'021000',
		'osálom'	=>	'0012000',
		'osára'	=>	'000002',
		'osárak'	=>	'0002000',
		'osári'	=>	'000002',
		'osárik'	=>	'0002000',
		'osárok'	=>	'0002000',
		'osáru'	=>	'021000',
		'osáss'	=>	'000010',
		'osáta'	=>	'001210',
		'osáté'	=>	'001000',
		'osátj'	=>	'001000',
		'osátk'	=>	'001000',
		'osátr'	=>	'021000',
		'osed'	=>	'00120',
		'oseg'	=>	'02120',
		'osel'	=>	'02120',
		'osemb'	=>	'001000',
		'osen'	=>	'00120',
		'oser'	=>	'02100',
		'oses'	=>	'02100',
		'oset'	=>	'00120',
		'osex'	=>	'00100',
		'osez'	=>	'00100',
		'oség'	=>	'02120',
		'osél'	=>	'02120',
		'osép'	=>	'02100',
		'osérd'	=>	'021000',
		'osérte'	=>	'0210000',
		'osérté'	=>	'0210000',
		'osgé'	=>	'00002',
		'oside'	=>	'021000',
		'osif'	=>	'02100',
		'osig'	=>	'00020',
		'osiga'	=>	'001000',
		'osikr'	=>	'001000',
		'osinf'	=>	'001000',
		'osint'	=>	'021000',
		'osip'	=>	'02120',
		'osirá'	=>	'021200',
		'osiro'	=>	'001000',
		'osirt'	=>	'001000',
		'osism'	=>	'021000',
		'osisp'	=>	'001000',
		'osiste'	=>	'0010000',
		'osisz'	=>	'021200',
		'osíj'	=>	'02100',
		'osír'	=>	'02120',
		'osíz'	=>	'02120',
		'oskl'	=>	'00100',
		'oskró'	=>	'001000',
		'osok'	=>	'20000',
		'osonh'	=>	'020000',
		'osonn'	=>	'020000',
		'osono'	=>	'020000',
		'osont'	=>	'120000',
		'osonu'	=>	'020000',
		'osonv'	=>	'100000',
		'osor'	=>	'02120',
		'ososz'	=>	'001000',
		'osóp'	=>	'00010',
		'osök'	=>	'00100',
		'osöl'	=>	'00120',
		'osön'	=>	'00100',
		'osöv'	=>	'00120',
		'osőr'	=>	'00120',
		'ospl'	=>	'00120',
		'ospr'	=>	'00120',
		'osps'	=>	'00100',
		'ossta'	=>	'001000',
		'ossu'	=>	'00002',
		'ossur'	=>	'002100',
		'osszáll'	=>	'00001000',
		'osszáro'	=>	'00001200',
		'osszes'	=>	'0000100',
		'osszíj'	=>	'0000100',
		'osszó'	=>	'000002',
		'ossző'	=>	'003000',
		'ostete'	=>	'0001200',
		'ostip'	=>	'002000',
		'ostir'	=>	'002000',
		'ostiz'	=>	'002000',
		'ostob'	=>	'100000',
		'ostold'	=>	'0001000',
		'ostös'	=>	'002100',
		'ostu'	=>	'20000',
		'ostü'	=>	'00212',
		'ostya'	=>	'100000',
		'osud'	=>	'02100',
		'osuj'	=>	'02100',
		'osur'	=>	'02120',
		'osut'	=>	'02120',
		'osús'	=>	'02120',
		'osüg'	=>	'02100',
		'osün'	=>	'02100',
		'osüv'	=>	'02120',
		'osüz'	=>	'02100',
		'oszabá'	=>	'0030000',
		'oszaj'	=>	'020000',
		'oszalá'	=>	'0001000',
		'oszalk'	=>	'0001000',
		'oszalt'	=>	'0001000',
		'oszan'	=>	'000020',
		'oszany'	=>	'0001000',
		'oszar'	=>	'020000',
		'oszaré'	=>	'0001000',
		'oszate'	=>	'0000212',
		'oszál'	=>	'020100',
		'oszed'	=>	'020100',
		'oszeg'	=>	'020120',
		'oszel'	=>	'020120',
		'oszen'	=>	'023000',
		'oszep'	=>	'000100',
		'oszes'	=>	'000100',
		'oszég'	=>	'020000',
		'oszéj'	=>	'020000',
		'oszél'	=>	'020120',
		'oszép'	=>	'020120',
		'oszés'	=>	'020100',
		'oszige'	=>	'0200000',
		'oszing'	=>	'0001000',
		'oszism'	=>	'0001000',
		'oszist'	=>	'0001000',
		'oszí'	=>	'00002',
		'oszív'	=>	'000100',
		'oszkl'	=>	'010000',
		'oszoro'	=>	'0201200',
		'oszors'	=>	'0001000',
		'oszorz'	=>	'0201000',
		'oszón'	=>	'003000',
		'oszór'	=>	'000120',
		'oszö'	=>	'02000',
		'oszöl'	=>	'003000',
		'osztalm'	=>	'00021000',
		'osztany'	=>	'00001000',
		'osztapo'	=>	'00021000',
		'osztárn'	=>	'00021000',
		'oszted'	=>	'0002000',
		'osztell'	=>	'00020000',
		'osztem'	=>	'0002100',
		'osztér'	=>	'0000020',
		'osztéré'	=>	'00021000',
		'osztív'	=>	'0002100',
		'osztosz'	=>	'00021000',
		'oszur'	=>	'020000',
		'oszúr'	=>	'000100',
		'oszü'	=>	'02000',
		'oszüg'	=>	'000100',
		'oszül'	=>	'003000',
		'otabl'	=>	'001000',
		'otada'	=>	'001200',
		'otag'	=>	'00002',
		'otagr'	=>	'000100',
		'otak'	=>	'00010',
		'otana'	=>	'001000',
		'otant'	=>	'021000',
		'otany'	=>	'001200',
		'otap'	=>	'00012',
		'otarc'	=>	'001000',
		'otarz'	=>	'001000',
		'otass'	=>	'001000',
		'otaz'	=>	'02120',
		'otábr'	=>	'001000',
		'otág'	=>	'02120',
		'otárak'	=>	'0012000',
		'otárá'	=>	'021200',
		'otárb'	=>	'021000',
		'otáré'	=>	'021200',
		'otárn'	=>	'001000',
		'otbl'	=>	'00100',
		'oteb'	=>	'02000',
		'oteg'	=>	'02120',
		'otela'	=>	'000010',
		'otelá'	=>	'000210',
		'otelel'	=>	'0002000',
		'otelő'	=>	'000200',
		'otemá'	=>	'000210',
		'otemo'	=>	'000210',
		'otev'	=>	'00120',
		'otél'	=>	'02120',
		'otép'	=>	'02100',
		'otérté'	=>	'0210000',
		'otérz'	=>	'021000',
		'otfr'	=>	'00100',
		'otgr'	=>	'00100',
		'othr'	=>	'00020',
		'otid'	=>	'02100',
		'otim'	=>	'02100',
		'otina'	=>	'000002',
		'otinar'	=>	'0002000',
		'otinár'	=>	'0002000',
		'otind'	=>	'021000',
		'otinká'	=>	'0000002',
		'otipa'	=>	'200000',
		'otipi'	=>	'200000',
		'otipn'	=>	'200000',
		'otipt'	=>	'200000',
		'otirá'	=>	'021000',
		'otis'	=>	'02100',
		'otizé'	=>	'021000',
		'otíj'	=>	'00100',
		'otín'	=>	'00100',
		'otkl'	=>	'00100',
		'otkr'	=>	'00120',
		'otob'	=>	'02100',
		'otogram'	=>	'00010000',
		'otola'	=>	'001000',
		'otona'	=>	'000002',
		'otoná'	=>	'000210',
		'otonis'	=>	'0002000',
		'otonn'	=>	'000030',
		'otorak'	=>	'0002000',
		'otorál'	=>	'0002000',
		'otorár'	=>	'0002000',
		'otore'	=>	'000200',
		'otorim'	=>	'0002000',
		'otorin'	=>	'0002000',
		'otorol'	=>	'0002000',
		'otoszf'	=>	'0000020',
		'otóf'	=>	'00012',
		'otóp'	=>	'20000',
		'otópan'	=>	'0002000',
		'otópas'	=>	'0002000',
		'otópin'	=>	'0002000',
		'otóposz'	=>	'00021000',
		'otósétá'	=>	'00020000',
		'otóss'	=>	'000030',
		'otósta'	=>	'0001000',
		'otósz'	=>	'000100',
		'otószár'	=>	'00023000',
		'otót'	=>	'00002',
		'otótr'	=>	'000100',
		'otöl'	=>	'00120',
		'otös'	=>	'00100',
		'otpl'	=>	'00100',
		'otpr'	=>	'00100',
		'otps'	=>	'00100',
		'otrag'	=>	'012000',
		'otsp'	=>	'00100',
		'otsr'	=>	'00100',
		'otst'	=>	'00100',
		'ottag'	=>	'000012',
		'ottég'	=>	'002120',
		'ottl'	=>	'10000',
		'otura'	=>	'001000',
		'otusz'	=>	'001200',
		'otúj'	=>	'02100',
		'otúri'	=>	'001000',
		'otül'	=>	'00120',
		'otüt'	=>	'00100',
		'otüz'	=>	'00120',
		'otűr'	=>	'00100',
		'otvak'	=>	'000012',
		'otya'	=>	'00001',
		'ou'	=>	'010',
		'ouag'	=>	'00200',
		'ouil'	=>	'00200',
		'oule'	=>	'00200',
		'oú'	=>	'010',
		'oü'	=>	'010',
		'oű'	=>	'010',
		'ovaga'	=>	'000200',
		'ovagin'	=>	'0002120',
		'ovaran'	=>	'0002100',
		'ovarát'	=>	'0002000',
		'ovarel'	=>	'0002100',
		'ovarék'	=>	'0002000',
		'ovarés'	=>	'0002000',
		'ovaris'	=>	'0002000',
		'ovass'	=>	'000030',
		'ovau'	=>	'00002',
		'ovábbo'	=>	'0000210',
		'ovásárá'	=>	'00021200',
		'ovásik'	=>	'0002000',
		'ovio'	=>	'00002',
		'owel'	=>	'00100',
		'oxidb'	=>	'100000',
		'oxidr'	=>	'100000',
		'oxigé'	=>	'020000',
		'oxilc'	=>	'100000',
		'oyce'	=>	'00200',
		'ozag'	=>	'00020',
		'ozaga'	=>	'000010',
		'ozagi'	=>	'001000',
		'ozal'	=>	'02120',
		'ozamal'	=>	'0002000',
		'ozame'	=>	'000212',
		'ozamérté'	=>	'000210000',
		'ozamin'	=>	'0002000',
		'ozan'	=>	'00020',
		'ozany'	=>	'021000',
		'ozar'	=>	'00020',
		'ozara'	=>	'001000',
		'ozatat'	=>	'0002000',
		'ozatál'	=>	'0002000',
		'ozate'	=>	'000212',
		'ozatés'	=>	'0002000',
		'ozatéte'	=>	'00021200',
		'ozatill'	=>	'00001000',
		'ozatí'	=>	'000212',
		'ozatol'	=>	'0002100',
		'ozau'	=>	'02100',
		'ozág'	=>	'02120',
		'ozáke'	=>	'000200',
		'ozáll'	=>	'001000',
		'ozáro'	=>	'021200',
		'ozáru'	=>	'021000',
		'ozáse'	=>	'000210',
		'ozáss'	=>	'000030',
		'ozász'	=>	'000230',
		'ozátl'	=>	'021000',
		'ozeg'	=>	'00120',
		'ozem'	=>	'00120',
		'ozen'	=>	'00100',
		'ozéke'	=>	'000212',
		'ozél'	=>	'02120',
		'ozép'	=>	'02120',
		'ozéré'	=>	'021200',
		'ozido'	=>	'001200',
		'ozipar'	=>	'0212000',
		'oziro'	=>	'001000',
		'ozisaj'	=>	'0002100',
		'ozisl'	=>	'000100',
		'ozist'	=>	'000100',
		'ozisz'	=>	'000102',
		'ozita'	=>	'000212',
		'ozín'	=>	'00120',
		'ozor'	=>	'02000',
		'ozors'	=>	'001000',
		'ozosz'	=>	'021000',
		'ozóegyez'	=>	'000000001',
		'ozófia'	=>	'2000000',
		'ozófiáb'	=>	'20000000',
		'ozófiáh'	=>	'20000000',
		'ozófiája'	=>	'200000000',
		'ozófiána'	=>	'200000000',
		'ozófiár'	=>	'20000000',
		'ozófiátó'	=>	'200000000',
		'ozófiáva'	=>	'200000000',
		'ozótan'	=>	'0002000',
		'ozpr'	=>	'00120',
		'ozsal'	=>	'020120',
		'ozsan'	=>	'000020',
		'ozsany'	=>	'0001000',
		'ozső'	=>	'02010',
		'ozss'	=>	'00010',
		'ozsü'	=>	'02000',
		'ozün'	=>	'00100',
		'ozüz'	=>	'00120',
		'ozűr'	=>	'00100',
		'ozzás'	=>	'000012',
		'óa'	=>	'010',
		'óacé'	=>	'00200',
		'óadag'	=>	'002000',
		'óadá'	=>	'00200',
		'óado'	=>	'00200',
		'óadó'	=>	'00200',
		'óaga'	=>	'00200',
		'óagi'	=>	'00200',
		'óagy'	=>	'00200',
		'óajá'	=>	'00200',
		'óajtói'	=>	'0000002',
		'óakad'	=>	'002000',
		'óakar'	=>	'002000',
		'óaká'	=>	'00200',
		'óaku'	=>	'00200',
		'óala'	=>	'00200',
		'óalag'	=>	'000021',
		'óalá'	=>	'00200',
		'óale'	=>	'00210',
		'óalmana'	=>	'00000002',
		'óalmanac'	=>	'000000003',
		'óalo'	=>	'00200',
		'óalos'	=>	'000100',
		'óalu'	=>	'00200',
		'óama'	=>	'00200',
		'óana'	=>	'00200',
		'óanó'	=>	'00200',
		'óany'	=>	'00200',
		'óapá'	=>	'00200',
		'óapo'	=>	'00200',
		'óapó'	=>	'00200',
		'óapu'	=>	'00200',
		'óara'	=>	'00200',
		'óará'	=>	'00200',
		'óaré'	=>	'00200',
		'óari'	=>	'00200',
		'óaro'	=>	'00200',
		'óato'	=>	'00202',
		'óatom'	=>	'000001',
		'óaty'	=>	'00200',
		'óauk'	=>	'00200',
		'óaur'	=>	'00200',
		'óaut'	=>	'00200',
		'óava'	=>	'00200',
		'óaxi'	=>	'00200',
		'óazo'	=>	'00200',
		'óá'	=>	'010',
		'óábé'	=>	'00200',
		'óács'	=>	'00200',
		'óága'	=>	'00200',
		'óági'	=>	'00200',
		'óágo'	=>	'00200',
		'óágyú'	=>	'002000',
		'óáhí'	=>	'00200',
		'óála'	=>	'00200',
		'óálo'	=>	'00200',
		'óápo'	=>	'00200',
		'óárá'	=>	'00200',
		'óáru'	=>	'00200',
		'óárú'	=>	'00200',
		'óása'	=>	'00200',
		'óásó'	=>	'00200',
		'óász'	=>	'00200',
		'óáta'	=>	'00200',
		'óátá'	=>	'00200',
		'óáte'	=>	'00212',
		'óáté'	=>	'00200',
		'óáti'	=>	'00212',
		'óátí'	=>	'00200',
		'óáto'	=>	'00200',
		'óátö'	=>	'00210',
		'óátu'	=>	'00200',
		'óátú'	=>	'00200',
		'óátü'	=>	'00200',
		'óbab'	=>	'20000',
		'óbaj'	=>	'20000',
		'óbak'	=>	'20000',
		'óbal'	=>	'20000',
		'óband'	=>	'200000',
		'óbank'	=>	'200000',
		'óbap'	=>	'00012',
		'óbará'	=>	'200000',
		'óbark'	=>	'200000',
		'óbarna'	=>	'2000000',
		'óbas'	=>	'00002',
		'óbatr'	=>	'000120',
		'óbau'	=>	'00002',
		'óbec'	=>	'20000',
		'óbef'	=>	'20000',
		'óbeg'	=>	'20000',
		'óbeh'	=>	'20000',
		'óbej'	=>	'20000',
		'óbek'	=>	'20000',
		'óbele'	=>	'200000',
		'óbelé'	=>	'200000',
		'óbels'	=>	'200000',
		'óbem'	=>	'20000',
		'óbeo'	=>	'20000',
		'óber'	=>	'20000',
		'óbet'	=>	'20000',
		'óbev'	=>	'20000',
		'óbez'	=>	'20000',
		'óbég'	=>	'02000',
		'óbil'	=>	'20000',
		'óbio'	=>	'20000',
		'óbir'	=>	'20000',
		'óbit'	=>	'20000',
		'óbiz'	=>	'20000',
		'óble'	=>	'01200',
		'óblo'	=>	'01200',
		'óbój'	=>	'20000',
		'óbólé'	=>	'200000',
		'óbrá'	=>	'00200',
		'óbro'	=>	'01200',
		'óbrók'	=>	'002000',
		'óbru'	=>	'01200',
		'óbudaik'	=>	'00000200',
		'óbuszt'	=>	'0000002',
		'óbuszú'	=>	'0002010',
		'ócaj'	=>	'02100',
		'ócakr'	=>	'021000',
		'ócala'	=>	'001200',
		'ócalk'	=>	'001000',
		'ócar'	=>	'02100',
		'ócass'	=>	'021000',
		'ócatt'	=>	'001000',
		'ócál'	=>	'02100',
		'óceá'	=>	'12000',
		'óceg'	=>	'02120',
		'ócel'	=>	'00020',
		'ócele'	=>	'001000',
		'ócelm'	=>	'001000',
		'ócelő'	=>	'001000',
		'ócemb'	=>	'001000',
		'ócev'	=>	'02120',
		'ócép'	=>	'02100',
		'ócét'	=>	'02100',
		'óchá'	=>	'00300',
		'óche'	=>	'00300',
		'ócho'	=>	'00300',
		'ócim'	=>	'00020',
		'ócimi'	=>	'001000',
		'ócing'	=>	'001000',
		'ócipa'	=>	'021200',
		'ócis'	=>	'02100',
		'óclu'	=>	'00200',
		'ócor'	=>	'02100',
		'ócosz'	=>	'021000',
		'ócór'	=>	'00120',
		'ócpr'	=>	'00100',
		'ócsa'	=>	'20000',
		'ócság'	=>	'003000',
		'ócsáru'	=>	'0201000',
		'ócse'	=>	'20000',
		'ócsé'	=>	'20000',
		'ócsi'	=>	'20000',
		'ócsit'	=>	'020000',
		'ócsí'	=>	'20000',
		'ócso'	=>	'20000',
		'ócsö'	=>	'20000',
		'ócső'	=>	'20000',
		'ócsp'	=>	'00010',
		'ócspá'	=>	'003200',
		'ócsz'	=>	'00300',
		'óctr'	=>	'00100',
		'ócud'	=>	'02100',
		'ócün'	=>	'00100',
		'ócüz'	=>	'00100',
		'ócza'	=>	'00300',
		'ócze'	=>	'00300',
		'óczu'	=>	'00300',
		'ódada'	=>	'001000',
		'ódadá'	=>	'001200',
		'ódaj'	=>	'00020',
		'ódajá'	=>	'001000',
		'ódakt'	=>	'001000',
		'ódala'	=>	'200000',
		'ódalg'	=>	'001000',
		'ódam'	=>	'02100',
		'ódana'	=>	'001000',
		'ódarabk'	=>	'20000000',
		'ódará'	=>	'200000',
		'ódaut'	=>	'001000',
		'ódazo'	=>	'001000',
		'ódáf'	=>	'02100',
		'ódág'	=>	'02100',
		'ódál'	=>	'02100',
		'ódáp'	=>	'02100',
		'ódárn'	=>	'021000',
		'ódáru'	=>	'001200',
		'ódáss'	=>	'000030',
		'ódbl'	=>	'00100',
		'ódbr'	=>	'00100',
		'óded'	=>	'02120',
		'ódeg'	=>	'02120',
		'ódelem'	=>	'0012000',
		'ódelh'	=>	'021000',
		'ódelj'	=>	'001000',
		'ódell'	=>	'021000',
		'ódelm'	=>	'021000',
		'ódelo'	=>	'021000',
		'ódelő'	=>	'001000',
		'ódelr'	=>	'001000',
		'ódelv'	=>	'021000',
		'ódemb'	=>	'001000',
		'ódeme'	=>	'001000',
		'ódep'	=>	'00100',
		'ódera'	=>	'000200',
		'óderő'	=>	'001000',
		'ódesés'	=>	'0002000',
		'ódev'	=>	'02120',
		'ódez'	=>	'02100',
		'ódég'	=>	'02120',
		'ódép'	=>	'02100',
		'ódérte'	=>	'0210000',
		'ódérz'	=>	'021000',
		'ódfr'	=>	'00100',
		'ódgl'	=>	'00100',
		'ódid'	=>	'02120',
		'ódigé'	=>	'021000',
		'ódint'	=>	'021000',
		'ódip'	=>	'00020',
		'ódipa'	=>	'021000',
		'ódiro'	=>	'021000',
		'ódisz'	=>	'000200',
		'ódizo'	=>	'001000',
		'ódír'	=>	'02100',
		'ódkl'	=>	'00100',
		'ódkr'	=>	'00100',
		'ódkv'	=>	'00100',
		'ódob'	=>	'20000',
		'ódoga'	=>	'000200',
		'ódok'	=>	'20000',
		'ódol'	=>	'20000',
		'ódom'	=>	'20000',
		'ódop'	=>	'02100',
		'ódosz'	=>	'021000',
		'ódox'	=>	'02120',
		'ódókész'	=>	'00000001',
		'ódórá'	=>	'001000',
		'ódöl'	=>	'02120',
		'ódös'	=>	'00100',
		'ódöt'	=>	'02100',
		'ódöv'	=>	'02100',
		'ódőr'	=>	'00100',
		'ódpr'	=>	'00100',
		'ódram'	=>	'212000',
		'ódrá'	=>	'20000',
		'ódrám'	=>	'002000',
		'ódrog'	=>	'012000',
		'ódrót'	=>	'012000',
		'ódruk'	=>	'002000',
		'ódsp'	=>	'00100',
		'ódst'	=>	'00100',
		'ódug'	=>	'20000',
		'ódur'	=>	'00020',
		'ódura'	=>	'021000',
		'óduss'	=>	'000030',
		'ódusz'	=>	'000230',
		'ódut'	=>	'02120',
		'ódúj'	=>	'02100',
		'ódüg'	=>	'00100',
		'ódür'	=>	'02100',
		'ódüv'	=>	'00100',
		'ódüz'	=>	'00100',
		'ódzár'	=>	'003000',
		'ódze'	=>	'02300',
		'ódzso'	=>	'003000',
		'óe'	=>	'010',
		'óebé'	=>	'00200',
		'óech'	=>	'00200',
		'óecs'	=>	'00200',
		'óedé'	=>	'00200',
		'óedz'	=>	'00200',
		'óege'	=>	'00200',
		'óegé'	=>	'00200',
		'óegész'	=>	'0000001',
		'óegy'	=>	'00200',
		'óeke'	=>	'00200',
		'óeké'	=>	'00200',
		'óela'	=>	'00212',
		'óelá'	=>	'00212',
		'óele'	=>	'00200',
		'óelen'	=>	'000100',
		'óelé'	=>	'00200',
		'óelér'	=>	'000100',
		'óeli'	=>	'00220',
		'óelí'	=>	'00212',
		'óelo'	=>	'00200',
		'óelő'	=>	'00200',
		'óelü'	=>	'00200',
		'óemberék'	=>	'000002100',
		'óeme'	=>	'00200',
		'óemé'	=>	'00200',
		'óemu'	=>	'00200',
		'óene'	=>	'00200',
		'óepé'	=>	'00200',
		'óepi'	=>	'00200',
		'óepo'	=>	'00200',
		'óere'	=>	'00200',
		'óeré'	=>	'00200',
		'óeró'	=>	'00200',
		'óerő'	=>	'00200',
		'óese'	=>	'00200',
		'óesé'	=>	'00200',
		'óeső'	=>	'00200',
		'óesz'	=>	'00200',
		'óete'	=>	'00200',
		'óeti'	=>	'00200',
		'óetű'	=>	'00200',
		'óeve'	=>	'00200',
		'óevé'	=>	'00200',
		'óevő'	=>	'00200',
		'óezü'	=>	'00200',
		'óé'	=>	'010',
		'óébe'	=>	'00200',
		'óége'	=>	'00200',
		'óégé'	=>	'00200',
		'óégő'	=>	'00200',
		'óéhe'	=>	'20200',
		'óéhs'	=>	'20000',
		'óéke'	=>	'00200',
		'óéké'	=>	'00200',
		'óékí'	=>	'00200',
		'óéle'	=>	'00200',
		'óélé'	=>	'00200',
		'óélő'	=>	'00200',
		'óéne'	=>	'20200',
		'óépí'	=>	'00200',
		'óépü'	=>	'00200',
		'óérd'	=>	'20000',
		'óére'	=>	'20200',
		'óéré'	=>	'20200',
		'óéri'	=>	'00200',
		'óérő'	=>	'00200',
		'óérte'	=>	'200000',
		'óérté'	=>	'200000',
		'óérz'	=>	'20000',
		'óéte'	=>	'00200',
		'óétk'	=>	'20000',
		'óéve'	=>	'00200',
		'óévé'	=>	'00200',
		'óévi'	=>	'00200',
		'óévü'	=>	'00200',
		'ófaa'	=>	'20000',
		'ófaá'	=>	'20000',
		'ófab'	=>	'20000',
		'ófac'	=>	'20000',
		'ófad'	=>	'20000',
		'ófae'	=>	'20000',
		'ófaf'	=>	'20000',
		'ófag'	=>	'20000',
		'ófah'	=>	'20000',
		'ófak'	=>	'20000',
		'ófal'	=>	'20000',
		'ófao'	=>	'20000',
		'ófap'	=>	'20000',
		'ófar'	=>	'20000',
		'ófas'	=>	'20000',
		'ófast'	=>	'000100',
		'ófat'	=>	'20012',
		'ófaü'	=>	'20000',
		'ófav'	=>	'20000',
		'ófaz'	=>	'20000',
		'ófelem'	=>	'0002100',
		'ófelen'	=>	'0002000',
		'ófev'	=>	'02100',
		'ófék'	=>	'20000',
		'ófélő'	=>	'200000',
		'ófélt'	=>	'200000',
		'ófén'	=>	'20000',
		'ófiab'	=>	'000200',
		'ófiad'	=>	'000200',
		'ófiag'	=>	'000200',
		'ófla'	=>	'01200',
		'óflo'	=>	'01200',
		'ófló'	=>	'00200',
		'óflö'	=>	'00200',
		'óflu'	=>	'00200',
		'ófoc'	=>	'20000',
		'ófog'	=>	'20000',
		'ófok'	=>	'20000',
		'ófol'	=>	'20000',
		'óford'	=>	'200000',
		'óforg'	=>	'200000',
		'óformác'	=>	'20000000',
		'óformáj'	=>	'20000000',
		'óformál'	=>	'20000000',
		'óforr'	=>	'200000',
		'ófos'	=>	'20000',
		'ófot'	=>	'20000',
		'ófov'	=>	'02100',
		'ófrak'	=>	'012000',
		'ófri'	=>	'01200',
		'ófrí'	=>	'01200',
		'ófro'	=>	'01200',
		'ófrö'	=>	'01200',
		'ófud'	=>	'02100',
		'ófur'	=>	'00020',
		'ófura'	=>	'001000',
		'ófúrn'	=>	'001000',
		'ógap'	=>	'00010',
		'ógdr'	=>	'00100',
		'ógeo'	=>	'00020',
		'ógépip'	=>	'0002120',
		'óggy'	=>	'00300',
		'ógial'	=>	'000200',
		'ógír'	=>	'00100',
		'ógla'	=>	'00200',
		'ógle'	=>	'00200',
		'ógoras'	=>	'0002000',
		'ógraf'	=>	'012000',
		'ógrán'	=>	'002000',
		'ógusab'	=>	'0002000',
		'ógusz'	=>	'000230',
		'ógyel'	=>	'020100',
		'ógyes'	=>	'020100',
		'ógyint'	=>	'0001000',
		'ógyökérb'	=>	'000021000',
		'ógytaná'	=>	'00000212',
		'ógytea'	=>	'0000020',
		'ógyús'	=>	'000100',
		'óhade'	=>	'000200',
		'óhal'	=>	'20000',
		'óhan'	=>	'20000',
		'óhas'	=>	'20000',
		'óhat'	=>	'20000',
		'óházad'	=>	'0000020',
		'óházada'	=>	'00021000',
		'óhon'	=>	'20000',
		'óhor'	=>	'20000',
		'óhos'	=>	'20000',
		'óhúss'	=>	'000010',
		'ói'	=>	'010',
		'óide'	=>	'20200',
		'óidé'	=>	'20000',
		'óidén'	=>	'002000',
		'óidi'	=>	'00200',
		'óidom'	=>	'202000',
		'óidő'	=>	'20200',
		'óiga'	=>	'20200',
		'óige'	=>	'20200',
		'óigé'	=>	'20000',
		'óigéb'	=>	'002000',
		'óigéi'	=>	'002000',
		'óigéj'	=>	'002000',
		'óigék'	=>	'002000',
		'óigén'	=>	'002000',
		'óigér'	=>	'002000',
		'óigét'	=>	'002000',
		'óigév'	=>	'002000',
		'óikonb'	=>	'0020000',
		'óikonj'	=>	'2020000',
		'óikonn'	=>	'2020000',
		'óikono'	=>	'2020000',
		'óikonr'	=>	'0020000',
		'óikont'	=>	'0020000',
		'óile'	=>	'00002',
		'óill'	=>	'20000',
		'óimá'	=>	'20200',
		'óimi'	=>	'00200',
		'óimp'	=>	'20000',
		'óinai'	=>	'002000',
		'óinaka'	=>	'0020000',
		'óinas'	=>	'002000',
		'óinat'	=>	'002000',
		'óinán'	=>	'002000',
		'óinár'	=>	'002000',
		'óinát'	=>	'002000',
		'óind'	=>	'20000',
		'óinf'	=>	'20000',
		'óing'	=>	'20000',
		'óini'	=>	'20200',
		'óinj'	=>	'20000',
		'óinp'	=>	'20000',
		'óint'	=>	'20000',
		'óinv'	=>	'20000',
		'óipa'	=>	'00200',
		'óirat'	=>	'202000',
		'óirá'	=>	'20200',
		'óiro'	=>	'20200',
		'óisz'	=>	'00200',
		'óita'	=>	'20200',
		'óitók'	=>	'002000',
		'óivad'	=>	'002000',
		'óizé'	=>	'00200',
		'óizo'	=>	'00200',
		'óí'	=>	'010',
		'óírá'	=>	'00200',
		'óíri'	=>	'00200',
		'óíro'	=>	'00200',
		'óíró'	=>	'00200',
		'óíté'	=>	'00200',
		'óívé'	=>	'00200',
		'óívü'	=>	'00200',
		'óívű'	=>	'00200',
		'óíze'	=>	'00200',
		'óízé'	=>	'00200',
		'óízi'	=>	'00200',
		'óízü'	=>	'00200',
		'óízű'	=>	'00200',
		'ójag'	=>	'00012',
		'ójakr'	=>	'000020',
		'ójam'	=>	'20000',
		'ójap'	=>	'00012',
		'ójav'	=>	'20000',
		'ójárá'	=>	'200000',
		'ójárm'	=>	'200000',
		'ójáru'	=>	'200000',
		'ójárv'	=>	'200000',
		'ójáté'	=>	'200000',
		'ójáts'	=>	'200000',
		'ójegyá'	=>	'0002012',
		'ójut'	=>	'20000',
		'ókab'	=>	'20000',
		'ókada'	=>	'001200',
		'ókajt'	=>	'001000',
		'ókakó'	=>	'021000',
		'ókalj'	=>	'021000',
		'ókalko'	=>	'0010000',
		'ókaló'	=>	'200000',
		'ókamp'	=>	'200000',
		'ókamr'	=>	'200000',
		'ókapa'	=>	'200000',
		'ókapc'	=>	'200000',
		'ókaps'	=>	'200000',
		'ókara'	=>	'200000',
		'ókarr'	=>	'200000',
		'ókart'	=>	'200000',
		'ókata'	=>	'200000',
		'ókate'	=>	'200000',
		'ókatr'	=>	'000120',
		'ókaut'	=>	'001000',
		'ókav'	=>	'20000',
		'ókaz'	=>	'20000',
		'ókáll'	=>	'021000',
		'ókárad'	=>	'0010000',
		'ókári'	=>	'021200',
		'ókárn'	=>	'021000',
		'ókáru'	=>	'021000',
		'óked'	=>	'20020',
		'ókedz'	=>	'021000',
		'ókegé'	=>	'001000',
		'ókem'	=>	'20000',
		'ókemb'	=>	'021000',
		'óker'	=>	'20000',
		'ókereste'	=>	'000010000',
		'ókerékné'	=>	'000210000',
		'ókerig'	=>	'0002000',
		'ókerő'	=>	'021200',
		'ókerüg'	=>	'0002100',
		'ókesz'	=>	'000200',
		'ókesze'	=>	'0010000',
		'óket'	=>	'00020',
		'ókete'	=>	'001000',
		'ókev'	=>	'20000',
		'ókez'	=>	'20000',
		'ókél'	=>	'02120',
		'ókém'	=>	'20000',
		'ókény'	=>	'200000',
		'óképb'	=>	'200000',
		'óképe'	=>	'200000',
		'óképel'	=>	'0002120',
		'óképé'	=>	'200000',
		'óképl'	=>	'200000',
		'óképn'	=>	'200000',
		'óképpel'	=>	'20000000',
		'óképr'	=>	'200000',
		'óképt'	=>	'200000',
		'óképz'	=>	'200000',
		'ókérd'	=>	'200000',
		'ókére'	=>	'200000',
		'ókéré'	=>	'200000',
		'ókérő'	=>	'200000',
		'ókés'	=>	'20000',
		'ókétt'	=>	'021000',
		'ókétv'	=>	'001000',
		'ókgr'	=>	'00100',
		'ókhiá'	=>	'002000',
		'ókia'	=>	'20000',
		'ókiá'	=>	'20000',
		'ókic'	=>	'20000',
		'ókie'	=>	'20002',
		'ókié'	=>	'20000',
		'ókif'	=>	'20000',
		'ókig'	=>	'00020',
		'ókiga'	=>	'001000',
		'ókigé'	=>	'021000',
		'ókií'	=>	'20000',
		'ókij'	=>	'20000',
		'ókill'	=>	'001000',
		'ókim'	=>	'20000',
		'ókimi'	=>	'001000',
		'ókinc'	=>	'200000',
		'ókine'	=>	'200000',
		'ókint'	=>	'021000',
		'ókiny'	=>	'200000',
		'ókio'	=>	'20000',
		'ókisk'	=>	'021000',
		'ókist'	=>	'021000',
		'ókisz'	=>	'200000',
		'ókit'	=>	'20000',
		'ókiv'	=>	'20000',
		'ókiva'	=>	'001200',
		'ókkr'	=>	'00120',
		'óklim'	=>	'002000',
		'óklí'	=>	'01200',
		'ókló'	=>	'21200',
		'óklu'	=>	'21200',
		'ókock'	=>	'200000',
		'ókoco'	=>	'200000',
		'ókoe'	=>	'20000',
		'ókoh'	=>	'20000',
		'ókoll'	=>	'200000',
		'ókomé'	=>	'200000',
		'ókomf'	=>	'200000',
		'ókomp'	=>	'200000',
		'ókonc'	=>	'200000',
		'ókonf'	=>	'200000',
		'ókonj'	=>	'200000',
		'ókons'	=>	'200000',
		'ókont'	=>	'200000',
		'ókony'	=>	'200000',
		'ókonz'	=>	'200000',
		'ókoo'	=>	'20000',
		'ókop'	=>	'20000',
		'ókorá'	=>	'200000',
		'ókorás'	=>	'0002120',
		'ókorb'	=>	'200000',
		'ókore'	=>	'200000',
		'ókorg'	=>	'021000',
		'ókori'	=>	'200000',
		'ókorl'	=>	'200000',
		'ókorm'	=>	'200000',
		'ókorn'	=>	'200000',
		'ókoro'	=>	'200000',
		'ókorr'	=>	'200000',
		'ókors'	=>	'200000',
		'ókoru'	=>	'200000',
		'ókoszl'	=>	'0210000',
		'ókód'	=>	'20000',
		'ókól'	=>	'00120',
		'ókór'	=>	'20000',
		'ókóv'	=>	'02100',
		'óköl'	=>	'20000',
		'ókölé'	=>	'001200',
		'ókölő'	=>	'001200',
		'ókörd'	=>	'001000',
		'ókötl'	=>	'001000',
		'ókpl'	=>	'00100',
		'ókpr'	=>	'00100',
		'ókrá'	=>	'01200',
		'ókreá'	=>	'002000',
		'ókrém'	=>	'212000',
		'ókrét'	=>	'002000',
		'ókri'	=>	'21200',
		'ókrí'	=>	'01200',
		'ókron'	=>	'002000',
		'ókros'	=>	'002000',
		'ókrón'	=>	'212000',
		'óksk'	=>	'00100',
		'ókst'	=>	'00100',
		'ókug'	=>	'02100',
		'ókum'	=>	'02000',
		'ókup'	=>	'20000',
		'ókur'	=>	'20000',
		'ókuszál'	=>	'00020100',
		'ókusze'	=>	'0002000',
		'ókut'	=>	'20000',
		'ókúr'	=>	'20000',
		'óküg'	=>	'02100',
		'ókül'	=>	'20000',
		'óküs'	=>	'20000',
		'óküzl'	=>	'001000',
		'ókvó'	=>	'21200',
		'ólajt'	=>	'001000',
		'ólaman'	=>	'0002000',
		'ólapa'	=>	'000200',
		'ólapál'	=>	'0212000',
		'ólapol'	=>	'0002000',
		'ólaposz'	=>	'00021000',
		'ólará'	=>	'001200',
		'ólazo'	=>	'001000',
		'ólábút'	=>	'0002100',
		'ólál'	=>	'12000',
		'óláss'	=>	'000030',
		'ólásü'	=>	'000200',
		'ólátl'	=>	'001000',
		'óleí'	=>	'00002',
		'ólese'	=>	'001200',
		'ólesé'	=>	'001200',
		'ólesh'	=>	'001000',
		'ólesn'	=>	'001000',
		'óless'	=>	'001000',
		'ólest'	=>	'001000',
		'óleta'	=>	'000200',
		'ólete'	=>	'000002',
		'óletev'	=>	'0002100',
		'ólérz'	=>	'021000',
		'ólétel'	=>	'0002000',
		'ólétés'	=>	'0002000',
		'óliako'	=>	'0002000',
		'óliam'	=>	'000200',
		'ólis'	=>	'00020',
		'óliszo'	=>	'0010000',
		'ólín'	=>	'00100',
		'óloma'	=>	'000002',
		'ólomal'	=>	'0002100',
		'ólomá'	=>	'000210',
		'ólome'	=>	'000210',
		'ólomis'	=>	'0002000',
		'ólomr'	=>	'120000',
		'ólosz'	=>	'021000',
		'ólóá'	=>	'00002',
		'ólósl'	=>	'000100',
		'ólósp'	=>	'000100',
		'ólót'	=>	'00002',
		'ólöl'	=>	'02100',
		'ólör'	=>	'02100',
		'ólös'	=>	'02100',
		'ólöz'	=>	'02120',
		'ólpr'	=>	'00120',
		'ólume'	=>	'000210',
		'óluss'	=>	'000030',
		'óluszá'	=>	'0002000',
		'ólüt'	=>	'00100',
		'ólüv'	=>	'00100',
		'ólyaga'	=>	'0000200',
		'ólyagg'	=>	'0000010',
		'ólyá'	=>	'00020',
		'ómabl'	=>	'001000',
		'ómacé'	=>	'021200',
		'ómagn'	=>	'200000',
		'ómakn'	=>	'001000',
		'ómall'	=>	'001000',
		'óman'	=>	'20000',
		'ómara'	=>	'200000',
		'ómarc'	=>	'200000',
		'ómaren'	=>	'0000002',
		'ómarh'	=>	'200000',
		'ómark'	=>	'200000',
		'ómas'	=>	'00002',
		'ómasp'	=>	'000100',
		'ómass'	=>	'200000',
		'ómate'	=>	'200000',
		'ómato'	=>	'001200',
		'ómau'	=>	'02100',
		'ómax'	=>	'20000',
		'ómág'	=>	'20000',
		'ómáll'	=>	'001000',
		'ómárk'	=>	'200000',
		'ómárt'	=>	'200000',
		'ómáz'	=>	'20000',
		'ómbr'	=>	'00120',
		'ómegy'	=>	'001200',
		'óméd'	=>	'20000',
		'ómél'	=>	'20000',
		'óméle'	=>	'001000',
		'ómép'	=>	'02100',
		'ómére'	=>	'200000',
		'óméré'	=>	'200000',
		'ómérg'	=>	'200000',
		'ómérk'	=>	'200000',
		'ómérn'	=>	'200000',
		'ómérő'	=>	'200000',
		'ómérs'	=>	'200000',
		'ómérté'	=>	'2000000',
		'ómiac'	=>	'000001',
		'ómias'	=>	'000200',
		'ómib'	=>	'02120',
		'ómig'	=>	'00020',
		'ómigé'	=>	'021000',
		'ómik'	=>	'20020',
		'ómiko'	=>	'001000',
		'ómin'	=>	'20000',
		'ómiono'	=>	'0212000',
		'ómiont'	=>	'0212000',
		'ómip'	=>	'02120',
		'ómis'	=>	'20000',
		'ómisk'	=>	'021000',
		'ómist'	=>	'021000',
		'ómisz'	=>	'000200',
		'ómiz'	=>	'02120',
		'ómod'	=>	'20000',
		'ómog'	=>	'20000',
		'ómoh'	=>	'20000',
		'ómola'	=>	'021000',
		'ómold'	=>	'021000',
		'ómond'	=>	'200000',
		'ómoni'	=>	'200000',
		'ómono'	=>	'200000',
		'ómont'	=>	'200000',
		'ómor'	=>	'20000',
		'ómos'	=>	'20000',
		'ómosz'	=>	'021000',
		'ómot'	=>	'20000',
		'ómox'	=>	'02100',
		'ómoz'	=>	'20000',
		'ómöt'	=>	'00100',
		'ómőr'	=>	'00100',
		'ómpr'	=>	'00100',
		'ómüt'	=>	'00100',
		'ómüz'	=>	'00100',
		'óműt'	=>	'00002',
		'ónad'	=>	'20000',
		'ónag'	=>	'20000',
		'ónakás'	=>	'0002000',
		'ónake'	=>	'000212',
		'ónakol'	=>	'0002000',
		'ónaljak'	=>	'00100000',
		'ónaljá'	=>	'0010000',
		'ónaljo'	=>	'0010000',
		'ónalju'	=>	'0010000',
		'ónap'	=>	'20000',
		'ónapá'	=>	'000200',
		'ónapába'	=>	'02100000',
		'ónape'	=>	'000200',
		'ónarc'	=>	'001000',
		'ónasp'	=>	'021000',
		'ónaszt'	=>	'0010000',
		'ónat'	=>	'00012',
		'ónav'	=>	'20000',
		'ónál'	=>	'00020',
		'ónáll'	=>	'021000',
		'ónálo'	=>	'021000',
		'ónáss'	=>	'000010',
		'ónbr'	=>	'00100',
		'óned'	=>	'00020',
		'ónez'	=>	'00100',
		'ónéé'	=>	'12000',
		'óném'	=>	'20000',
		'ónépí'	=>	'001000',
		'ónéra'	=>	'120000',
		'ónérc'	=>	'001000',
		'ónérd'	=>	'020000',
		'ónéró'	=>	'120000',
		'ónévá'	=>	'000210',
		'ónéz'	=>	'20000',
		'ónig'	=>	'00020',
		'ónigé'	=>	'021000',
		'ónist'	=>	'021000',
		'ónodv'	=>	'001000',
		'ónokul'	=>	'1200000',
		'ónor'	=>	'20000',
		'ónox'	=>	'00100',
		'ónön'	=>	'00100',
		'ónör'	=>	'02100',
		'ónöt'	=>	'00100',
		'ónőéh'	=>	'000020',
		'ónpr'	=>	'00100',
		'ónut'	=>	'02120',
		'ónür'	=>	'00100',
		'ónya'	=>	'20000',
		'ónye'	=>	'20000',
		'ónyil'	=>	'200000',
		'ónyitá'	=>	'2000000',
		'ónyí'	=>	'20000',
		'ónyo'	=>	'20000',
		'ónyu'	=>	'20000',
		'ónyú'	=>	'20000',
		'óo'	=>	'010',
		'óodú'	=>	'00200',
		'óoka'	=>	'00200',
		'óoká'	=>	'00200',
		'óoki'	=>	'00212',
		'óoku'	=>	'00200',
		'óola'	=>	'00200',
		'óoli'	=>	'00200',
		'óope'	=>	'00200',
		'óora'	=>	'00200',
		'óori'	=>	'00200',
		'óoro'	=>	'00200',
		'óovi'	=>	'00200',
		'óoxi'	=>	'00200',
		'óó'	=>	'010',
		'óóla'	=>	'00200',
		'óólá'	=>	'00200',
		'óóli'	=>	'00200',
		'óólo'	=>	'00200',
		'óóra'	=>	'00200',
		'óóri'	=>	'00200',
		'óósá'	=>	'00200',
		'óóvá'	=>	'00200',
		'óóvo'	=>	'00200',
		'óóvó'	=>	'00200',
		'óö'	=>	'010',
		'óöbö'	=>	'00200',
		'óöko'	=>	'00200',
		'óökö'	=>	'00200',
		'óölé'	=>	'00200',
		'óölő'	=>	'00200',
		'óörö'	=>	'00200',
		'óöve'	=>	'00200',
		'óözö'	=>	'00200',
		'óő'	=>	'010',
		'óőre'	=>	'00200',
		'óőré'	=>	'00200',
		'óőri'	=>	'00200',
		'óőrö'	=>	'00200',
		'óőrü'	=>	'00200',
		'óősé'	=>	'00200',
		'óősö'	=>	'00200',
		'ópada'	=>	'021200',
		'ópalk'	=>	'021000',
		'ópanal'	=>	'0010000',
		'ópano'	=>	'021200',
		'ópant'	=>	'001000',
		'ópany'	=>	'021000',
		'óparán'	=>	'0012000',
		'ópáll'	=>	'001000',
		'ópcsap'	=>	'0000021',
		'ópef'	=>	'02100',
		'ópeg'	=>	'02120',
		'ópelo'	=>	'001000',
		'ópid'	=>	'02100',
		'ópind'	=>	'001000',
		'ópio'	=>	'02120',
		'ópirá'	=>	'001200',
		'óplak'	=>	'012000',
		'óplas'	=>	'012000',
		'óplu'	=>	'01200',
		'ópob'	=>	'02100',
		'ópola'	=>	'021200',
		'óporad'	=>	'0002000',
		'ópóra'	=>	'001000',
		'ópri'	=>	'01200',
		'óprod'	=>	'002000',
		'óprop'	=>	'002000',
		'óprób'	=>	'010000',
		'óptr'	=>	'00120',
		'ópuss'	=>	'000030',
		'ópúj'	=>	'02100',
		'ópüv'	=>	'00100',
		'órabé'	=>	'020000',
		'órace'	=>	'001000',
		'órada'	=>	'200000',
		'óradat'	=>	'0002000',
		'óraib'	=>	'020000',
		'óraié'	=>	'020000',
		'óraiér'	=>	'0002000',
		'óraih'	=>	'020000',
		'óraii'	=>	'020000',
		'óraij'	=>	'020000',
		'óraik'	=>	'020000',
		'óraiké'	=>	'0002000',
		'óraiko'	=>	'0002000',
		'óraim'	=>	'020000',
		'órain'	=>	'020000',
		'óraip'	=>	'020000',
		'órais'	=>	'020000',
		'órait'	=>	'020000',
		'óraiv'	=>	'020000',
		'óraje'	=>	'120000',
		'órajo'	=>	'200000',
		'órajz'	=>	'200000',
		'órakv'	=>	'000100',
		'órala'	=>	'020000',
		'óralk'	=>	'001000',
		'óramo'	=>	'020000',
		'órani'	=>	'021000',
		'órant'	=>	'001000',
		'órapl'	=>	'000120',
		'órarc'	=>	'001000',
		'órare'	=>	'100000',
		'órasp'	=>	'000120',
		'óratom'	=>	'0212000',
		'óraü'	=>	'12000',
		'óráén'	=>	'100000',
		'órágg'	=>	'001000',
		'órágy'	=>	'001200',
		'órákh'	=>	'100000',
		'óráki'	=>	'120000',
		'órál'	=>	'02100',
		'órámé'	=>	'120000',
		'órámo'	=>	'120000',
		'órámr'	=>	'100000',
		'óráp'	=>	'02120',
		'óráse'	=>	'000200',
		'óráta'	=>	'200000',
		'órátv'	=>	'001000',
		'órbr'	=>	'00100',
		'órege'	=>	'001000',
		'óregy'	=>	'021200',
		'órele'	=>	'021200',
		'órell'	=>	'001000',
		'órelm'	=>	'001000',
		'órelo'	=>	'021000',
		'órelő'	=>	'021200',
		'órelv'	=>	'001000',
		'óremb'	=>	'001000',
		'óreml'	=>	'001000',
		'órer'	=>	'02120',
		'óreset'	=>	'0212000',
		'óretá'	=>	'021200',
		'óreté'	=>	'021200',
		'órezü'	=>	'020000',
		'óréje'	=>	'001200',
		'órél'	=>	'02120',
		'óréri'	=>	'001200',
		'órévek'	=>	'0002000',
		'órfl'	=>	'00100',
		'órházot'	=>	'00002000',
		'óriaka'	=>	'0002000',
		'órial'	=>	'000200',
		'óriási'	=>	'0200000',
		'óriáss'	=>	'0000030',
		'órich'	=>	'000200',
		'órid'	=>	'02100',
		'órint'	=>	'021000',
		'órionn'	=>	'0012000',
		'óriono'	=>	'0012000',
		'órip'	=>	'20000',
		'óripa'	=>	'021200',
		'órisi'	=>	'021200',
		'órisme'	=>	'0210000',
		'órit'	=>	'20000',
		'óriz'	=>	'00020',
		'órizo'	=>	'001000',
		'óríj'	=>	'00120',
		'órír'	=>	'02100',
		'óríz'	=>	'00120',
		'órkl'	=>	'00100',
		'órmés'	=>	'000020',
		'óroká'	=>	'001200',
		'óroké'	=>	'030000',
		'óroki'	=>	'001200',
		'órokok'	=>	'0002000',
		'órokoz'	=>	'0002000',
		'óroku'	=>	'001200',
		'órokú'	=>	'001000',
		'órosz'	=>	'021000',
		'órox'	=>	'02120',
		'óróda'	=>	'021000',
		'óródáj'	=>	'0002000',
		'óróiko'	=>	'0000200',
		'óróp'	=>	'00010',
		'órósá'	=>	'001000',
		'óróz'	=>	'20000',
		'óröl'	=>	'02120',
		'óröml'	=>	'021000',
		'órös'	=>	'02100',
		'óröt'	=>	'02100',
		'órőr'	=>	'00100',
		'órpr'	=>	'00120',
		'órtrá'	=>	'001000',
		'órumag'	=>	'0002000',
		'órume'	=>	'000200',
		'órur'	=>	'02120',
		'órusab'	=>	'0002000',
		'órusan'	=>	'0002000',
		'óruse'	=>	'000200',
		'óruss'	=>	'000030',
		'órusü'	=>	'000200',
		'órusz'	=>	'000230',
		'óruta'	=>	'021000',
		'órús'	=>	'02120',
		'órút'	=>	'02100',
		'órün'	=>	'00100',
		'órüv'	=>	'00120',
		'órüz'	=>	'00100',
		'ósabl'	=>	'200000',
		'ósad'	=>	'02120',
		'ósag'	=>	'02120',
		'ósalj'	=>	'021000',
		'ósalt'	=>	'001000',
		'ósamn'	=>	'001000',
		'ósapr'	=>	'021000',
		'ósar'	=>	'20000',
		'ósarcot'	=>	'02100000',
		'ósasp'	=>	'021000',
		'ósass'	=>	'001000',
		'ósatl'	=>	'021000',
		'ósau'	=>	'02100',
		'ósavo'	=>	'000200',
		'ósábr'	=>	'021000',
		'ósáf'	=>	'02100',
		'óságg'	=>	'000010',
		'ósáll'	=>	'021000',
		'ósálo'	=>	'001200',
		'ósáro'	=>	'021200',
		'ósáti'	=>	'001000',
		'ósáto'	=>	'200000',
		'ósbl'	=>	'00100',
		'ósbr'	=>	'00100',
		'óscsapá'	=>	'00000012',
		'óseb'	=>	'20000',
		'ósegy'	=>	'001200',
		'ósej'	=>	'20000',
		'óselj'	=>	'001000',
		'óselm'	=>	'001000',
		'óselő'	=>	'001200',
		'ósels'	=>	'001000',
		'óselv'	=>	'001000',
		'ósem'	=>	'00020',
		'ósemb'	=>	'001000',
		'ósemi'	=>	'001000',
		'ósen'	=>	'02100',
		'ósep'	=>	'00020',
		'ósepo'	=>	'001000',
		'óserő'	=>	'001000',
		'óses'	=>	'02100',
		'óset'	=>	'02120',
		'ósez'	=>	'02100',
		'ósél'	=>	'02120',
		'ósém'	=>	'20000',
		'óséne'	=>	'001200',
		'ósép'	=>	'02100',
		'ósérte'	=>	'0210000',
		'ósét'	=>	'20000',
		'ósétáka'	=>	'00020000',
		'óséte'	=>	'021200',
		'ósétk'	=>	'001000',
		'ósétt'	=>	'001000',
		'ósfr'	=>	'00100',
		'ósid'	=>	'02120',
		'ósig'	=>	'00020',
		'ósige'	=>	'001000',
		'ósikerb'	=>	'00020000',
		'ósikl'	=>	'200000',
		'ósind'	=>	'001000',
		'ósinf'	=>	'001000',
		'ósip'	=>	'00020',
		'ósipa'	=>	'001000',
		'ósiro'	=>	'001000',
		'ósisk'	=>	'021000',
		'ósist'	=>	'001000',
		'ósík'	=>	'20000',
		'ósính'	=>	'021000',
		'ósírá'	=>	'001200',
		'ósíró'	=>	'001200',
		'óskat'	=>	'012000',
		'óskic'	=>	'002000',
		'óskis'	=>	'000020',
		'óskl'	=>	'00100',
		'óskv'	=>	'00100',
		'óslag'	=>	'002000',
		'óslá'	=>	'20000',
		'ósni'	=>	'01200',
		'ósokas'	=>	'2000000',
		'ósokko'	=>	'2000000',
		'ósoks'	=>	'200000',
		'ósoli'	=>	'001000',
		'ósor'	=>	'20000',
		'ósorg'	=>	'021000',
		'ósorj'	=>	'021000',
		'ósorm'	=>	'021000',
		'ósott'	=>	'021000',
		'ósov'	=>	'02100',
		'ósór'	=>	'02120',
		'ósöl'	=>	'02120',
		'ósös'	=>	'02100',
		'ósöt'	=>	'02100',
		'ósőr'	=>	'00100',
		'óspec'	=>	'012000',
		'óspek'	=>	'212000',
		'óspir'	=>	'212000',
		'óspl'	=>	'00100',
		'óspu'	=>	'01200',
		'óssk'	=>	'00120',
		'óssp'	=>	'00120',
		'óssze'	=>	'003000',
		'ósszö'	=>	'003000',
		'óstab'	=>	'212000',
		'óstad'	=>	'012000',
		'óstaf'	=>	'012000',
		'óstand'	=>	'2100000',
		'óstat'	=>	'212000',
		'óstá'	=>	'20000',
		'óstább'	=>	'0020000',
		'óstád'	=>	'012000',
		'óstát'	=>	'012000',
		'óstég'	=>	'012000',
		'óstí'	=>	'20000',
		'óstopo'	=>	'0020000',
		'óstr'	=>	'20020',
		'óstré'	=>	'001000',
		'óstri'	=>	'001000',
		'óstru'	=>	'010000',
		'óstú'	=>	'20000',
		'ósug'	=>	'20000',
		'ósur'	=>	'02120',
		'ósut'	=>	'02120',
		'ósúri'	=>	'001200',
		'ósúrn'	=>	'001000',
		'ósül'	=>	'20000',
		'ósür'	=>	'20000',
		'ósüs'	=>	'02100',
		'ósüz'	=>	'02100',
		'ósűrí'	=>	'200000',
		'ósza'	=>	'20000',
		'ószac'	=>	'023000',
		'ószakü'	=>	'0000210',
		'ószalap'	=>	'02012000',
		'ószá'	=>	'20000',
		'ószágol'	=>	'00002000',
		'ószed'	=>	'200000',
		'ószeg'	=>	'200000',
		'ószegű'	=>	'0201200',
		'ószek'	=>	'200000',
		'ószel'	=>	'200000',
		'ószem'	=>	'200000',
		'ószen'	=>	'200000',
		'ószere'	=>	'2000000',
		'ószerepé'	=>	'000021200',
		'ószerk'	=>	'2000000',
		'ószerv'	=>	'2000000',
		'ószerz'	=>	'2000000',
		'ószez'	=>	'200000',
		'ószé'	=>	'20000',
		'ószéné'	=>	'0000212',
		'ószi'	=>	'20000',
		'ószima'	=>	'0200000',
		'ószí'	=>	'20000',
		'ószk'	=>	'20000',
		'ószl'	=>	'00020',
		'ószob'	=>	'200000',
		'ószoc'	=>	'200000',
		'ószof'	=>	'200000',
		'ószol'	=>	'200000',
		'ószon'	=>	'200000',
		'ószó'	=>	'20000',
		'ószö'	=>	'20000',
		'ószös'	=>	'020100',
		'ósző'	=>	'20000',
		'ószp'	=>	'20000',
		'ószs'	=>	'00300',
		'ószt'	=>	'20000',
		'ósztá'	=>	'010200',
		'ósztrá'	=>	'0000200',
		'ószú'	=>	'20000',
		'ószü'	=>	'20000',
		'ószüg'	=>	'020100',
		'ószűk'	=>	'200000',
		'ószűré'	=>	'2000000',
		'ószűrő'	=>	'2000000',
		'ószűrt'	=>	'0230000',
		'ószv'	=>	'00020',
		'ótadó'	=>	'001000',
		'ótaga'	=>	'200000',
		'ótagal'	=>	'0002000',
		'ótagb'	=>	'200000',
		'ótagg'	=>	'200010',
		'ótagi'	=>	'200000',
		'ótagj'	=>	'200000',
		'ótagk'	=>	'200000',
		'ótagn'	=>	'200000',
		'ótago'	=>	'200000',
		'ótags'	=>	'200000',
		'ótagu'	=>	'200000',
		'ótajk'	=>	'001000',
		'ótalap'	=>	'2000000',
		'ótalá'	=>	'200000',
		'ótalk'	=>	'001000',
		'ótalm'	=>	'021000',
		'ótan'	=>	'20000',
		'ótanti'	=>	'0010000',
		'ótap'	=>	'20000',
		'ótar'	=>	'20000',
		'ótas'	=>	'00002',
		'ótass'	=>	'021000',
		'ótat'	=>	'20000',
		'ótaur'	=>	'001200',
		'ótax'	=>	'20000',
		'ótág'	=>	'20000',
		'ótága'	=>	'001200',
		'ótágg'	=>	'001000',
		'ótáp'	=>	'20000',
		'ótárad'	=>	'0000020',
		'ótárada'	=>	'00021000',
		'ótáro'	=>	'200000',
		'ótárs'	=>	'200000',
		'ótávc'	=>	'200000',
		'ótávi'	=>	'200002',
		'ótávir'	=>	'0002100',
		'ótáví'	=>	'200000',
		'ótávk'	=>	'200000',
		'óteg'	=>	'02120',
		'ótelh'	=>	'021000',
		'ótelő'	=>	'021200',
		'ótemb'	=>	'021000',
		'óterd'	=>	'020000',
		'ótégé'	=>	'001000',
		'ótéké'	=>	'021200',
		'ótétö'	=>	'000212',
		'ótfr'	=>	'00100',
		'ótid'	=>	'02120',
		'ótig'	=>	'00020',
		'ótigé'	=>	'021000',
		'ótill'	=>	'001000',
		'ótim'	=>	'02100',
		'óting'	=>	'021000',
		'ótipa'	=>	'001200',
		'ótisz'	=>	'000200',
		'ótír'	=>	'02120',
		'ótív'	=>	'02120',
		'ótíz'	=>	'02100',
		'ótkr'	=>	'00100',
		'ótléke'	=>	'0000200',
		'ótoj'	=>	'20000',
		'ótol'	=>	'20000',
		'ótollad'	=>	'00002120',
		'ótoml'	=>	'001000',
		'óton'	=>	'20000',
		'ótor'	=>	'20000',
		'ótors'	=>	'021000',
		'ótov'	=>	'20000',
		'ótón'	=>	'20000',
		'ótöko'	=>	'001000',
		'ótőe'	=>	'00002',
		'ótrad'	=>	'002000',
		'ótraf'	=>	'002000',
		'ótrak'	=>	'002000',
		'ótran'	=>	'002000',
		'ótrén'	=>	'002000',
		'ótrik'	=>	'002000',
		'ótril'	=>	'002000',
		'ótrió'	=>	'002000',
		'ótrom'	=>	'002000',
		'ótsl'	=>	'00100',
		'ótsp'	=>	'00100',
		'ótszerep'	=>	'000002100',
		'ótusze'	=>	'0002000',
		'ótülé'	=>	'001000',
		'ótülő'	=>	'001200',
		'ótüst'	=>	'001000',
		'ótüv'	=>	'02120',
		'ótűzs'	=>	'000230',
		'óu'	=>	'010',
		'óubo'	=>	'00200',
		'óuga'	=>	'00200',
		'óugráss'	=>	'00000010',
		'óujjada'	=>	'00021200',
		'óuni'	=>	'00200',
		'óuno'	=>	'00200',
		'óura'	=>	'00200',
		'óusz'	=>	'00200',
		'óuta'	=>	'00200',
		'óutá'	=>	'00200',
		'óuto'	=>	'00200',
		'óutó'	=>	'00200',
		'óutu'	=>	'00200',
		'óú'	=>	'010',
		'óújí'	=>	'00200',
		'óúré'	=>	'00200',
		'óúsz'	=>	'00200',
		'óúti'	=>	'00200',
		'óúto'	=>	'00200',
		'óü'	=>	'010',
		'óügy'	=>	'00200',
		'óüle'	=>	'00200',
		'óülé'	=>	'00200',
		'óülő'	=>	'00200',
		'óünő'	=>	'00200',
		'óüre'	=>	'00200',
		'óürí'	=>	'00200',
		'óürü'	=>	'00200',
		'óüsz'	=>	'00200',
		'óüte'	=>	'00200',
		'óüté'	=>	'00200',
		'óütő'	=>	'00200',
		'óüve'	=>	'00200',
		'óüze'	=>	'00200',
		'óű'	=>	'010',
		'óűző'	=>	'00200',
		'óvad'	=>	'20000',
		'óvag'	=>	'20000',
		'óvaj'	=>	'20000',
		'óvaks'	=>	'200000',
		'óvaku'	=>	'200000',
		'óvaló'	=>	'200000',
		'óvar'	=>	'20000',
		'óvas'	=>	'20000',
		'óvat'	=>	'02000',
		'óvág'	=>	'20000',
		'óvák'	=>	'20000',
		'óvál'	=>	'20000',
		'óván'	=>	'20000',
		'óváral'	=>	'0002100',
		'óvárosih'	=>	'000000020',
		'óvása'	=>	'020000',
		'óvási'	=>	'120000',
		'óváso'	=>	'020000',
		'óvásr'	=>	'120000',
		'óváss'	=>	'120000',
		'óvást'	=>	'120000',
		'óváz'	=>	'20000',
		'óvera'	=>	'000210',
		'óveri'	=>	'000002',
		'óverip'	=>	'0002000',
		'óvin'	=>	'00100',
		'óvod'	=>	'12000',
		'óvom'	=>	'02000',
		'óvon'	=>	'20000',
		'ózad'	=>	'00012',
		'ózadá'	=>	'001200',
		'ózadó'	=>	'001200',
		'ózaj'	=>	'20000',
		'ózakc'	=>	'001000',
		'ózakr'	=>	'000100',
		'ózakt'	=>	'001000',
		'ózala'	=>	'001200',
		'ózarc'	=>	'001000',
		'ózas'	=>	'00010',
		'ózatal'	=>	'0002120',
		'ózatan'	=>	'0002000',
		'ózatál'	=>	'0002000',
		'ózatés'	=>	'0002000',
		'ózatold'	=>	'00020000',
		'ózatü'	=>	'000212',
		'ózav'	=>	'20000',
		'ózág'	=>	'02120',
		'ózáll'	=>	'001000',
		'ózáru'	=>	'021200',
		'ózárú'	=>	'021200',
		'ózbl'	=>	'00100',
		'ózdi'	=>	'10000',
		'ózeg'	=>	'02120',
		'ózel'	=>	'02100',
		'ózem'	=>	'00100',
		'ózerő'	=>	'001000',
		'ózex'	=>	'02100',
		'ózez'	=>	'00100',
		'ózél'	=>	'02120',
		'ózéte'	=>	'021200',
		'ózfl'	=>	'00100',
		'ózfr'	=>	'00100',
		'ózhajói'	=>	'00000002',
		'ózimp'	=>	'001000',
		'ózing'	=>	'001000',
		'ózip'	=>	'02120',
		'ózise'	=>	'000212',
		'ózisir'	=>	'0002000',
		'óziss'	=>	'000030',
		'ózisz'	=>	'000230',
		'ózold'	=>	'021000',
		'ózona'	=>	'000212',
		'ózoná'	=>	'000210',
		'ózoni'	=>	'000200',
		'ózós'	=>	'00002',
		'ózósp'	=>	'000100',
		'ózőr'	=>	'00100',
		'ózpr'	=>	'00100',
		'ózsak'	=>	'000012',
		'ózser'	=>	'023000',
		'ózsor'	=>	'003000',
		'ózsz'	=>	'00300',
		'óztr'	=>	'00120',
		'ózuh'	=>	'20000',
		'ózur'	=>	'02120',
		'ózut'	=>	'02120',
		'ózús'	=>	'00120',
		'ózút'	=>	'02100',
		'ózüg'	=>	'00120',
		'ózül'	=>	'00100',
		'ózüz'	=>	'00120',
		'öa'	=>	'010',
		'öá'	=>	'010',
		'öban'	=>	'00120',
		'öbál'	=>	'00100',
		'öbár'	=>	'00120',
		'öbát'	=>	'00100',
		'öbba'	=>	'00212',
		'öbbá'	=>	'00212',
		'öbbeg'	=>	'002100',
		'öbbel'	=>	'000020',
		'öbbele'	=>	'0021000',
		'öbbem'	=>	'000020',
		'öbbeme'	=>	'0001000',
		'öbber'	=>	'002120',
		'öbbesz'	=>	'0021000',
		'öbbeve'	=>	'0001000',
		'öbbél'	=>	'002000',
		'öbbid'	=>	'002000',
		'öbbis'	=>	'002100',
		'öbbí'	=>	'00200',
		'öbbol'	=>	'002100',
		'öbbos'	=>	'002100',
		'öbbot'	=>	'002000',
		'öbbó'	=>	'00200',
		'öbbö'	=>	'00200',
		'öbbü'	=>	'00002',
		'öbbül'	=>	'002100',
		'öbef'	=>	'02100',
		'öbeg'	=>	'02100',
		'öbel'	=>	'02120',
		'öbem'	=>	'02120',
		'öben'	=>	'02120',
		'öber'	=>	'02100',
		'öbél'	=>	'02100',
		'öbérté'	=>	'0210000',
		'öbérz'	=>	'021000',
		'öbfr'	=>	'00100',
		'öbid'	=>	'02120',
		'öbing'	=>	'021000',
		'öbint'	=>	'021000',
		'öbli'	=>	'10000',
		'öblö'	=>	'10000',
		'öbor'	=>	'00100',
		'öbón'	=>	'00100',
		'öböll'	=>	'020000',
		'öböltő'	=>	'1000000',
		'öcaj'	=>	'00100',
		'öccsa'	=>	'000012',
		'öccsi'	=>	'000010',
		'öcép'	=>	'02100',
		'öcéve'	=>	'021000',
		'öche'	=>	'00300',
		'öchö'	=>	'00300',
		'öció'	=>	'00002',
		'öcőr'	=>	'00100',
		'öcsa'	=>	'02010',
		'öcséj'	=>	'000100',
		'öcsék'	=>	'000100',
		'öcséte'	=>	'0201200',
		'öcsiz'	=>	'020000',
		'öcsizz'	=>	'0001000',
		'öcsó'	=>	'00010',
		'öcsöl'	=>	'020120',
		'öcsűr'	=>	'000120',
		'öcsz'	=>	'00300',
		'ödal'	=>	'00120',
		'ödan'	=>	'00120',
		'ödar'	=>	'00100',
		'ödál'	=>	'00120',
		'ödár'	=>	'00100',
		'ödef'	=>	'02100',
		'ödell'	=>	'001000',
		'ödem'	=>	'02100',
		'ödevé'	=>	'001200',
		'ödémo'	=>	'000210',
		'ödésa'	=>	'000200',
		'ödéss'	=>	'000030',
		'ödész'	=>	'000230',
		'ödéves'	=>	'0212000',
		'ödévén'	=>	'0012000',
		'ödévér'	=>	'0012000',
		'ödgr'	=>	'00100',
		'ödíz'	=>	'00100',
		'ödos'	=>	'00100',
		'ödóc'	=>	'00100',
		'ödór'	=>	'00120',
		'ödsp'	=>	'00100',
		'ödus'	=>	'00120',
		'ödúj'	=>	'00100',
		'ödús'	=>	'00120',
		'ödüv'	=>	'02100',
		'ödűz'	=>	'02100',
		'ödzá'	=>	'00300',
		'ödzáró'	=>	'0000002',
		'ödzu'	=>	'00300',
		'öe'	=>	'010',
		'öé'	=>	'010',
		'öféss'	=>	'000030',
		'ögab'	=>	'00100',
		'ögac'	=>	'00120',
		'ögad'	=>	'00120',
		'ögag'	=>	'00100',
		'ögak'	=>	'00120',
		'ögal'	=>	'00120',
		'ögan'	=>	'00120',
		'ögap'	=>	'00100',
		'ögar'	=>	'00100',
		'ögas'	=>	'00100',
		'ögat'	=>	'00120',
		'ögáb'	=>	'00100',
		'ögág'	=>	'00100',
		'ögál'	=>	'00120',
		'ögár'	=>	'00120',
		'ögát'	=>	'00100',
		'ögdr'	=>	'00100',
		'ögeg'	=>	'02120',
		'ögekéi'	=>	'0212000',
		'ögelb'	=>	'001000',
		'ögeleme'	=>	'02020000',
		'ögelf'	=>	'021000',
		'ögelha'	=>	'0210000',
		'ögelm'	=>	'021000',
		'ögelo'	=>	'021000',
		'ögemel'	=>	'0200000',
		'öger'	=>	'02100',
		'ögesz'	=>	'021000',
		'ögevé'	=>	'001200',
		'ögég'	=>	'02120',
		'ögékt'	=>	'001000',
		'ögép'	=>	'02120',
		'ögérs'	=>	'021000',
		'ögérté'	=>	'0010000',
		'ögéss'	=>	'000030',
		'ögfr'	=>	'00100',
		'ögid'	=>	'02100',
		'ögim'	=>	'02120',
		'öginf'	=>	'001000',
		'ögist'	=>	'021000',
		'ögiva'	=>	'021000',
		'ögiz'	=>	'02120',
		'ögín'	=>	'00100',
		'ögír'	=>	'00100',
		'ögív'	=>	'00100',
		'ögkr'	=>	'00100',
		'ögol'	=>	'00120',
		'ögop'	=>	'00100',
		'ögor'	=>	'00120',
		'ögos'	=>	'00100',
		'ögór'	=>	'00120',
		'ögöli'	=>	'001000',
		'ögölö'	=>	'001000',
		'ögöv'	=>	'02100',
		'ögpr'	=>	'00100',
		'ögrep'	=>	'000012',
		'ögsk'	=>	'00100',
		'ögsp'	=>	'00100',
		'ögtr'	=>	'00100',
		'ögud'	=>	'00100',
		'ögun'	=>	'00120',
		'ögut'	=>	'00120',
		'ögüg'	=>	'02100',
		'ögüs'	=>	'02100',
		'ögüt'	=>	'02100',
		'ögüv'	=>	'02100',
		'ögüz'	=>	'02100',
		'ögűz'	=>	'02100',
		'ögya'	=>	'00300',
		'öi'	=>	'010',
		'öí'	=>	'010',
		'öjtél'	=>	'002000',
		'öjto'	=>	'00210',
		'ökab'	=>	'00100',
		'ökag'	=>	'00120',
		'ökak'	=>	'00120',
		'ökal'	=>	'00120',
		'ökan'	=>	'00120',
		'ökap'	=>	'00120',
		'ökar'	=>	'00100',
		'ökas'	=>	'00100',
		'ökat'	=>	'00120',
		'ökau'	=>	'00100',
		'ökav'	=>	'00120',
		'ökág'	=>	'00100',
		'ökál'	=>	'00100',
		'ökáp'	=>	'00120',
		'ökár'	=>	'00120',
		'ökát'	=>	'00100',
		'ökáz'	=>	'00100',
		'ökdr'	=>	'00100',
		'öked'	=>	'02120',
		'ökeg'	=>	'02120',
		'ökeke'	=>	'021000',
		'ökel'	=>	'00020',
		'ökela'	=>	'001000',
		'ökele'	=>	'001000',
		'ökelh'	=>	'001000',
		'ökelm'	=>	'001000',
		'ökeln'	=>	'001000',
		'ökelő'	=>	'001000',
		'ökelv'	=>	'001000',
		'ökem'	=>	'02120',
		'ökené'	=>	'000200',
		'ökens'	=>	'000010',
		'ökerd'	=>	'001000',
		'ökeresz'	=>	'02120000',
		'ökerő'	=>	'021200',
		'ökes'	=>	'02100',
		'ökevés'	=>	'0002000',
		'ökez'	=>	'02100',
		'ökég'	=>	'02100',
		'ökékn'	=>	'021000',
		'ökéks'	=>	'001000',
		'ökéles'	=>	'0012000',
		'ökép'	=>	'02100',
		'ökérel'	=>	'0002120',
		'ökérem'	=>	'0002100',
		'ökérez'	=>	'0212000',
		'ökérés'	=>	'0212000',
		'ökéss'	=>	'000030',
		'ökéte'	=>	'021200',
		'ökévek'	=>	'0212000',
		'ökévet'	=>	'0012000',
		'ökfr'	=>	'00100',
		'ökgl'	=>	'00100',
		'ökid'	=>	'00020',
		'ökide'	=>	'001000',
		'ökido'	=>	'001000',
		'ökig'	=>	'00020',
		'ökiga'	=>	'001000',
		'ökigé'	=>	'021000',
		'ökikt'	=>	'021000',
		'ökina'	=>	'021200',
		'ökind'	=>	'001000',
		'öking'	=>	'021000',
		'ökint'	=>	'021000',
		'ökio'	=>	'02120',
		'ökip'	=>	'02120',
		'ökiro'	=>	'021000',
		'ökis'	=>	'02100',
		'ökiz'	=>	'02100',
		'ökíj'	=>	'00100',
		'ökír'	=>	'02100',
		'ökív'	=>	'00100',
		'ökíz'	=>	'00100',
		'ökkl'	=>	'00100',
		'ökkr'	=>	'00120',
		'öklű'	=>	'10000',
		'ökok'	=>	'00100',
		'ökold'	=>	'001000',
		'ökoló'	=>	'100000',
		'ökon'	=>	'10000',
		'ökop'	=>	'00120',
		'ökoro'	=>	'001200',
		'ökorr'	=>	'001000',
		'ökors'	=>	'001000',
		'ökov'	=>	'00120',
		'ökór'	=>	'00120',
		'ökóv'	=>	'00100',
		'ökörö'	=>	'000200',
		'ökőárad'	=>	'00000120',
		'ökőé'	=>	'00002',
		'ökpr'	=>	'00100',
		'ökrös'	=>	'100000',
		'ökrü'	=>	'10000',
		'ökrű'	=>	'10000',
		'öksp'	=>	'00100',
		'öksr'	=>	'00100',
		'ökszil'	=>	'0000021',
		'öktr'	=>	'00120',
		'ökun'	=>	'00120',
		'ökur'	=>	'00120',
		'ökus'	=>	'00100',
		'ökut'	=>	'00120',
		'ökúj'	=>	'00100',
		'ökúr'	=>	'00100',
		'ökút'	=>	'00100',
		'öküg'	=>	'02100',
		'ökül'	=>	'00020',
		'ökülé'	=>	'021000',
		'ökült'	=>	'021000',
		'öküt'	=>	'02120',
		'öküv'	=>	'02120',
		'öküz'	=>	'02100',
		'ölad'	=>	'00120',
		'ölag'	=>	'00100',
		'ölaj'	=>	'00120',
		'ölak'	=>	'00120',
		'ölal'	=>	'00100',
		'ölap'	=>	'00100',
		'ölar'	=>	'00120',
		'ölau'	=>	'00100',
		'ölav'	=>	'00120',
		'ölág'	=>	'00120',
		'ölál'	=>	'00100',
		'ölám'	=>	'00120',
		'öláp'	=>	'00120',
		'ölár'	=>	'00120',
		'ölás'	=>	'00120',
		'ölát'	=>	'00100',
		'öláz'	=>	'00120',
		'ölbr'	=>	'00100',
		'ölcsal'	=>	'0000020',
		'ölcsáp'	=>	'0000120',
		'ölcsár'	=>	'0000120',
		'ölcsell'	=>	'00001000',
		'ölcsev'	=>	'0020000',
		'ölcsid'	=>	'0020000',
		'ölcsiz'	=>	'0020000',
		'ölcsok'	=>	'0020100',
		'ölcsol'	=>	'0000100',
		'ölcsos'	=>	'0020000',
		'ölcsüg'	=>	'0020000',
		'ölcsül'	=>	'0020000',
		'öldab'	=>	'002000',
		'öldad'	=>	'002120',
		'öldak'	=>	'002120',
		'öldala'	=>	'0021200',
		'öldalj'	=>	'0021000',
		'öldalk'	=>	'0021000',
		'öldan'	=>	'002120',
		'öldap'	=>	'002000',
		'öldas'	=>	'002100',
		'öldá'	=>	'00212',
		'öldeg'	=>	'002000',
		'öldep'	=>	'002000',
		'öldev'	=>	'002000',
		'öldéd'	=>	'002100',
		'öldél'	=>	'002000',
		'ölding'	=>	'0021000',
		'öldip'	=>	'002000',
		'öldor'	=>	'002120',
		'öldos'	=>	'002000',
		'öldó'	=>	'00212',
		'öldő'	=>	'00002',
		'öldőr'	=>	'002000',
		'öldős'	=>	'002000',
		'öldró'	=>	'001000',
		'öldur'	=>	'002000',
		'öldz'	=>	'00230',
		'öleb'	=>	'12120',
		'ölegel'	=>	'0002000',
		'ölegg'	=>	'000010',
		'ölel'	=>	'02000',
		'öler'	=>	'02120',
		'ölesü'	=>	'032300',
		'öletá'	=>	'000212',
		'öletel'	=>	'0002100',
		'öleto'	=>	'000200',
		'öletu'	=>	'000210',
		'ölev'	=>	'02120',
		'öléd'	=>	'00020',
		'öléde'	=>	'021000',
		'öléé'	=>	'12000',
		'ölég'	=>	'02120',
		'ölékes'	=>	'0212000',
		'ölékí'	=>	'021000',
		'öléle'	=>	'021200',
		'ölélé'	=>	'021200',
		'ölélh'	=>	'021000',
		'öléli'	=>	'021200',
		'ölélj'	=>	'021000',
		'öléln'	=>	'021000',
		'öléls'	=>	'021000',
		'ölélt'	=>	'021000',
		'ölélv'	=>	'021000',
		'öléme'	=>	'021000',
		'öléneke'	=>	'02120000',
		'ölép'	=>	'02120',
		'öléred'	=>	'0212000',
		'ölérek'	=>	'0212000',
		'ölérezn'	=>	'02120000',
		'öléré'	=>	'021000',
		'ölérh'	=>	'021000',
		'öléri'	=>	'021200',
		'ölérj'	=>	'021000',
		'ölérk'	=>	'021000',
		'ölérl'	=>	'021000',
		'ölérn'	=>	'021000',
		'ölérs'	=>	'021000',
		'ölérte'	=>	'0210000',
		'ölérté'	=>	'0210000',
		'ölértü'	=>	'0210000',
		'ölérü'	=>	'021200',
		'ölérv'	=>	'021000',
		'ölérz'	=>	'021000',
		'öléss'	=>	'000030',
		'ölétet'	=>	'0212000',
		'ölfr'	=>	'00100',
		'ölgyá'	=>	'000002',
		'ölgyer'	=>	'0020000',
		'ölid'	=>	'02120',
		'ölig'	=>	'00020',
		'öliga'	=>	'021000',
		'öligé'	=>	'021000',
		'öligy'	=>	'021000',
		'ölij'	=>	'02100',
		'ölil'	=>	'02100',
		'ölim'	=>	'02100',
		'ölin'	=>	'02120',
		'ölip'	=>	'02120',
		'ölir'	=>	'02120',
		'ölis'	=>	'02120',
		'ölita'	=>	'021200',
		'ölitt'	=>	'021000',
		'öliz'	=>	'02100',
		'ölír'	=>	'00120',
		'ölív'	=>	'00120',
		'öloc'	=>	'00120',
		'ölok'	=>	'00120',
		'ölol'	=>	'00100',
		'ölor'	=>	'00100',
		'ölos'	=>	'00120',
		'ölóv'	=>	'00120',
		'ölöki'	=>	'000200',
		'ölökl'	=>	'021000',
		'ölöl'	=>	'02100',
		'ölönt'	=>	'001000',
		'ölör'	=>	'02100',
		'ölöv'	=>	'02120',
		'ölőrl'	=>	'001000',
		'ölőrö'	=>	'001000',
		'ölpárba'	=>	'00000002',
		'ölpr'	=>	'00120',
		'ölsk'	=>	'00100',
		'ölsr'	=>	'00100',
		'ölst'	=>	'00100',
		'öltad'	=>	'002100',
		'öltaj'	=>	'002000',
		'öltala'	=>	'0001000',
		'öltalj'	=>	'0001000',
		'öltan'	=>	'000020',
		'öltid'	=>	'002000',
		'öltil'	=>	'002000',
		'öltí'	=>	'00200',
		'öltro'	=>	'001000',
		'öltur'	=>	'002000',
		'ölug'	=>	'00120',
		'öluj'	=>	'00100',
		'ölus'	=>	'00120',
		'ölut'	=>	'00120',
		'ölúj'	=>	'00100',
		'ölús'	=>	'00100',
		'ölüd'	=>	'02100',
		'ölüg'	=>	'02100',
		'ölüle'	=>	'000200',
		'ölülté'	=>	'0010000',
		'ölültö'	=>	'0210000',
		'ölülve'	=>	'0210000',
		'ölüs'	=>	'02100',
		'ölüt'	=>	'02100',
		'ölüv'	=>	'02100',
		'ölüz'	=>	'02100',
		'ölűz'	=>	'02100',
		'ölya'	=>	'02012',
		'ölyá'	=>	'02010',
		'ölyeg'	=>	'000120',
		'ölyel'	=>	'020000',
		'ölyföl'	=>	'0002000',
		'ömad'	=>	'00120',
		'ömag'	=>	'00120',
		'ömal'	=>	'00100',
		'öman'	=>	'00120',
		'ömap'	=>	'00120',
		'ömar'	=>	'00100',
		'ömau'	=>	'00100',
		'ömáb'	=>	'00100',
		'ömág'	=>	'00100',
		'ömáh'	=>	'00100',
		'ömál'	=>	'00100',
		'ömáp'	=>	'00100',
		'ömár'	=>	'00120',
		'ömát'	=>	'00120',
		'ömáz'	=>	'00100',
		'ömbac'	=>	'002120',
		'ömbak'	=>	'002100',
		'ömbal'	=>	'000020',
		'ömban'	=>	'002120',
		'ömbaz'	=>	'002000',
		'ömbá'	=>	'00210',
		'ömbec'	=>	'002000',
		'ömbele'	=>	'0001000',
		'ömbem'	=>	'002120',
		'ömbes'	=>	'002100',
		'ömbék'	=>	'002000',
		'ömbid'	=>	'002120',
		'ömbin'	=>	'002000',
		'ömbí'	=>	'00200',
		'ömbos'	=>	'002100',
		'ömbó'	=>	'00212',
		'ömbú'	=>	'00200',
		'ömbür'	=>	'002000',
		'ömeb'	=>	'02120',
		'ömega'	=>	'000212',
		'ömeger'	=>	'0000120',
		'ömegesz'	=>	'00020000',
		'ömegék'	=>	'0002100',
		'ömegép'	=>	'0002000',
		'ömegg'	=>	'000030',
		'ömegy'	=>	'001000',
		'ömel'	=>	'02120',
		'ömember'	=>	'02100000',
		'ömemel'	=>	'0210000',
		'ömer'	=>	'02120',
		'ömes'	=>	'00020',
		'ömese'	=>	'021000',
		'ömeste'	=>	'0210000',
		'ömég'	=>	'02100',
		'öméhs'	=>	'020000',
		'ömél'	=>	'02120',
		'öménekb'	=>	'00120000',
		'öméneke'	=>	'02120000',
		'öméneké'	=>	'02120000',
		'öménekh'	=>	'00120000',
		'öménekk'	=>	'02120000',
		'öménekr'	=>	'02120000',
		'öményü'	=>	'0002010',
		'ömép'	=>	'02100',
		'ömérte'	=>	'0210000',
		'ömérté'	=>	'0210000',
		'öméss'	=>	'000030',
		'ömgr'	=>	'00100',
		'ömig'	=>	'00020',
		'ömigé'	=>	'021000',
		'ömin'	=>	'02100',
		'ömip'	=>	'02120',
		'ömita'	=>	'021200',
		'ömitt'	=>	'021000',
		'ömizm'	=>	'021000',
		'ömizo'	=>	'021200',
		'ömíz'	=>	'00120',
		'ömkész'	=>	'0000001',
		'ömkl'	=>	'00100',
		'ömkr'	=>	'00100',
		'ömléss'	=>	'0000030',
		'ömlöt'	=>	'100000',
		'ömok'	=>	'00120',
		'ömol'	=>	'00120',
		'ömor'	=>	'00100',
		'ömos'	=>	'00100',
		'ömód'	=>	'00120',
		'ömór'	=>	'00120',
		'ömönt'	=>	'021000',
		'ömpr'	=>	'00120',
		'ömsp'	=>	'00100',
		'ömst'	=>	'00100',
		'ömtr'	=>	'00100',
		'ömug'	=>	'00120',
		'ömuj'	=>	'00100',
		'ömut'	=>	'00120',
		'ömüg'	=>	'02100',
		'ömünn'	=>	'021000',
		'ömüv'	=>	'02100',
		'ömüz'	=>	'02100',
		'öműz'	=>	'02100',
		'önab'	=>	'00100',
		'önad'	=>	'00120',
		'önag'	=>	'00120',
		'önaj'	=>	'00120',
		'önak'	=>	'00120',
		'önal'	=>	'00120',
		'önam'	=>	'00100',
		'önan'	=>	'00120',
		'önap'	=>	'00120',
		'önar'	=>	'00100',
		'önas'	=>	'00100',
		'önat'	=>	'00100',
		'önau'	=>	'00100',
		'önav'	=>	'00120',
		'önaz'	=>	'00100',
		'önáb'	=>	'00100',
		'önág'	=>	'00100',
		'önál'	=>	'00100',
		'önám'	=>	'00100',
		'önáp'	=>	'00120',
		'önár'	=>	'00120',
		'önát'	=>	'00120',
		'önáté'	=>	'000010',
		'önáz'	=>	'00100',
		'önbl'	=>	'00100',
		'öncál'	=>	'002100',
		'önch'	=>	'00200',
		'öncő'	=>	'00200',
		'öncség'	=>	'0003000',
		'öncsz'	=>	'000300',
		'öncz'	=>	'00200',
		'öndab'	=>	'002000',
		'öndap'	=>	'002000',
		'öndem'	=>	'000020',
		'öndérn'	=>	'0021000',
		'öndérr'	=>	'0021000',
		'öndértő'	=>	'00210000',
		'öndor'	=>	'002100',
		'öndő'	=>	'00210',
		'öndz'	=>	'00200',
		'öneb'	=>	'02100',
		'öned'	=>	'02120',
		'önef'	=>	'02100',
		'öneg'	=>	'02120',
		'önel'	=>	'02120',
		'önem'	=>	'02120',
		'önen'	=>	'00020',
		'önene'	=>	'001000',
		'öner'	=>	'02120',
		'önes'	=>	'02100',
		'önev'	=>	'00120',
		'önex'	=>	'00100',
		'önég'	=>	'00120',
		'önéj'	=>	'02100',
		'önék'	=>	'02120',
		'önél'	=>	'02120',
		'önép'	=>	'02120',
		'önérd'	=>	'020000',
		'önéri'	=>	'001000',
		'önérl'	=>	'001000',
		'önérte'	=>	'0010000',
		'önérv'	=>	'001000',
		'önéss'	=>	'000030',
		'önész'	=>	'001000',
		'önéte'	=>	'021000',
		'önétt'	=>	'021000',
		'önéves'	=>	'0210000',
		'önévet'	=>	'0010000',
		'önévér'	=>	'0212000',
		'önévét'	=>	'0212000',
		'önévv'	=>	'021000',
		'önfelem'	=>	'00002000',
		'önfr'	=>	'00120',
		'öngl'	=>	'00120',
		'öngr'	=>	'00120',
		'öngyas'	=>	'0000100',
		'öngyék'	=>	'0020000',
		'öngyór'	=>	'0000120',
		'öngyö'	=>	'200000',
		'öngyő'	=>	'002000',
		'önid'	=>	'02120',
		'önif'	=>	'00100',
		'önig'	=>	'00020',
		'öniga'	=>	'021000',
		'önige'	=>	'001000',
		'önigé'	=>	'021000',
		'önill'	=>	'001000',
		'önim'	=>	'02100',
		'önin'	=>	'02100',
		'önip'	=>	'02120',
		'önir'	=>	'02120',
		'önis'	=>	'02100',
		'önita'	=>	'001000',
		'öniz'	=>	'02120',
		'öníj'	=>	'00100',
		'önír'	=>	'02100',
		'öníz'	=>	'02100',
		'önkag'	=>	'002100',
		'önkany'	=>	'0021000',
		'önkáru'	=>	'0001000',
		'önkát'	=>	'002000',
		'önkolt'	=>	'0001000',
		'önkú'	=>	'00210',
		'önkü'	=>	'00002',
		'önmegg'	=>	'0000010',
		'önnak'	=>	'000020',
		'önná'	=>	'00210',
		'önnyad'	=>	'0000120',
		'önnyá'	=>	'000010',
		'önnyedz'	=>	'00001200',
		'önnyú'	=>	'003000',
		'önod'	=>	'00120',
		'önok'	=>	'00120',
		'önop'	=>	'00100',
		'önor'	=>	'00100',
		'önos'	=>	'00100',
		'önox'	=>	'00100',
		'önóc'	=>	'00120',
		'önór'	=>	'00120',
		'önóv'	=>	'00100',
		'önöb'	=>	'00100',
		'önör'	=>	'02100',
		'önöv'	=>	'02120',
		'önőr'	=>	'00100',
		'önőre'	=>	'000200',
		'önőz'	=>	'00100',
		'önpl'	=>	'00100',
		'önpr'	=>	'00100',
		'önps'	=>	'00100',
		'önségüké'	=>	'000000200',
		'önsp'	=>	'00120',
		'önst'	=>	'00122',
		'önsz'	=>	'00002',
		'öntell'	=>	'0021000',
		'öntgenn'	=>	'00000010',
		'öntöss'	=>	'0000030',
		'öntöz'	=>	'100000',
		'öntra'	=>	'001200',
		'öntrá'	=>	'001200',
		'öntré'	=>	'001200',
		'önud'	=>	'00100',
		'önun'	=>	'00100',
		'önur'	=>	'00120',
		'önus'	=>	'00120',
		'önut'	=>	'00120',
		'önúj'	=>	'00100',
		'önús'	=>	'00120',
		'önút'	=>	'00100',
		'önüd'	=>	'00100',
		'önüg'	=>	'02120',
		'önür'	=>	'02100',
		'önüt'	=>	'02120',
		'önüz'	=>	'02100',
		'önya'	=>	'02012',
		'önyá'	=>	'02010',
		'önyd'	=>	'00010',
		'önyel'	=>	'020100',
		'önyid'	=>	'020100',
		'önyin'	=>	'020100',
		'önyí'	=>	'02000',
		'önyo'	=>	'02010',
		'önyüz'	=>	'020000',
		'önyvaj'	=>	'0002000',
		'önyval'	=>	'0002120',
		'önyvan'	=>	'0002000',
		'önyvár'	=>	'0002120',
		'önyveg'	=>	'0002120',
		'önyver'	=>	'0002100',
		'önyvesz'	=>	'00021000',
		'önyvev'	=>	'0002000',
		'önyvég'	=>	'0002100',
		'önyvél'	=>	'0002000',
		'önyvill'	=>	'00021000',
		'önyví'	=>	'000210',
		'önyvo'	=>	'000210',
		'öo'	=>	'010',
		'öó'	=>	'010',
		'öö'	=>	'010',
		'öő'	=>	'010',
		'öpaj'	=>	'00100',
		'öpal'	=>	'00120',
		'öpál'	=>	'00100',
		'öpel'	=>	'00120',
		'öpenyá'	=>	'0002000',
		'öper'	=>	'00120',
		'öpép'	=>	'02100',
		'öpölő'	=>	'001200',
		'örab'	=>	'00100',
		'örac'	=>	'00120',
		'örad'	=>	'00120',
		'örag'	=>	'00120',
		'öraj'	=>	'00100',
		'örak'	=>	'00120',
		'öral'	=>	'00120',
		'öran'	=>	'00120',
		'örar'	=>	'00120',
		'öras'	=>	'00100',
		'örat'	=>	'00120',
		'örau'	=>	'00120',
		'örax'	=>	'00120',
		'öraz'	=>	'00120',
		'öráb'	=>	'00100',
		'örác'	=>	'00120',
		'örág'	=>	'00120',
		'örál'	=>	'00120',
		'örár'	=>	'00120',
		'örás'	=>	'00120',
		'örát'	=>	'00120',
		'örbr'	=>	'00100',
		'örcsál'	=>	'0000100',
		'örcsell'	=>	'00001000',
		'örcskész'	=>	'000000001',
		'örcsos'	=>	'0020000',
		'ördí'	=>	'20000',
		'ördr'	=>	'00120',
		'ördü'	=>	'20000',
		'örec'	=>	'02120',
		'öredz'	=>	'001200',
		'öref'	=>	'02100',
		'örega'	=>	'000200',
		'öregék'	=>	'0002100',
		'öregy'	=>	'001200',
		'örejá'	=>	'000210',
		'örekesz'	=>	'00021200',
		'öreké'	=>	'000002',
		'örel'	=>	'02120',
		'örem'	=>	'02100',
		'örenc'	=>	'001000',
		'örep'	=>	'02120',
		'örer'	=>	'02120',
		'örese'	=>	'001200',
		'öretető'	=>	'02120000',
		'örev'	=>	'02120',
		'örex'	=>	'02100',
		'örez'	=>	'02100',
		'öréde'	=>	'021200',
		'örég'	=>	'02120',
		'öréks'	=>	'001000',
		'örél'	=>	'02120',
		'öréneke'	=>	'02100000',
		'örép'	=>	'02100',
		'öréré'	=>	'021000',
		'öréri'	=>	'021200',
		'örésel'	=>	'0002000',
		'öréteg'	=>	'0002120',
		'örétv'	=>	'021000',
		'örévk'	=>	'021000',
		'örfá'	=>	'00200',
		'örfév'	=>	'002100',
		'örfip'	=>	'002120',
		'örfis'	=>	'002000',
		'örfos'	=>	'002100',
		'örfőr'	=>	'002000',
		'örgr'	=>	'00120',
		'örid'	=>	'02120',
		'örig'	=>	'00020',
		'öriga'	=>	'021000',
		'örigá'	=>	'021000',
		'örik'	=>	'00020',
		'öriko'	=>	'001000',
		'örill'	=>	'021000',
		'örim'	=>	'02100',
		'örind'	=>	'021000',
		'öring'	=>	'021000',
		'örinj'	=>	'021000',
		'örink'	=>	'021000',
		'örint'	=>	'021000',
		'örinv'	=>	'021000',
		'örip'	=>	'02120',
		'örira'	=>	'021000',
		'öris'	=>	'02120',
		'örita'	=>	'021200',
		'öritt'	=>	'001000',
		'örivá'	=>	'021000',
		'örizo'	=>	'001200',
		'örír'	=>	'02100',
		'örív'	=>	'02120',
		'öríz'	=>	'02120',
		'örkl'	=>	'00120',
		'örköltő'	=>	'00210000',
		'örkr'	=>	'00120',
		'örleta'	=>	'0000200',
		'örlin'	=>	'002100',
		'örnyal'	=>	'0000120',
		'örnyan'	=>	'0000120',
		'örnyas'	=>	'0000100',
		'örnyel'	=>	'0000020',
		'örnyele'	=>	'00001000',
		'örnyer'	=>	'0020100',
		'örnyéj'	=>	'0020000',
		'örnyés'	=>	'0020000',
		'örnyír'	=>	'0000120',
		'örnyó'	=>	'002000',
		'örob'	=>	'00100',
		'örok'	=>	'00120',
		'örol'	=>	'00120',
		'örop'	=>	'00100',
		'öror'	=>	'00120',
		'öros'	=>	'00100',
		'örór'	=>	'00120',
		'örög'	=>	'20000',
		'öröge'	=>	'000320',
		'örömü'	=>	'100000',
		'örönt'	=>	'021000',
		'örör'	=>	'02100',
		'örössze'	=>	'02000000',
		'örösz'	=>	'021000',
		'örpet'	=>	'000012',
		'örsp'	=>	'00120',
		'örsv'	=>	'00120',
		'örtar'	=>	'000020',
		'örtáv'	=>	'000021',
		'örtéks'	=>	'0021000',
		'örtél'	=>	'000020',
		'örtélé'	=>	'0021000',
		'örtélő'	=>	'0021000',
		'örtérne'	=>	'00010000',
		'örtész'	=>	'0000200',
		'örtív'	=>	'002000',
		'örtok'	=>	'002100',
		'örtop'	=>	'002000',
		'örud'	=>	'00100',
		'öruj'	=>	'00100',
		'örun'	=>	'00120',
		'örur'	=>	'00120',
		'örus'	=>	'00120',
		'örut'	=>	'00120',
		'örúj'	=>	'00100',
		'örúr'	=>	'00100',
		'örút'	=>	'00120',
		'örüd'	=>	'02100',
		'örüg'	=>	'02120',
		'örülék'	=>	'0002100',
		'örür'	=>	'02100',
		'örüs'	=>	'02100',
		'örüt'	=>	'02100',
		'örüv'	=>	'02120',
		'örüz'	=>	'02100',
		'örvas'	=>	'000020',
		'örvb'	=>	'10000',
		'örvek'	=>	'100000',
		'örvem'	=>	'100000',
		'örvet'	=>	'100000',
		'örvéb'	=>	'100000',
		'örvéh'	=>	'100000',
		'örvév'	=>	'100000',
		'örvh'	=>	'10000',
		'örvn'	=>	'10000',
		'örvr'	=>	'10000',
		'örvt'	=>	'10000',
		'örvü'	=>	'10000',
		'örvű'	=>	'10000',
		'örvv'	=>	'10000',
		'örzs'	=>	'00040',
		'örzsá'	=>	'002012',
		'örzsel'	=>	'0020120',
		'örzsid'	=>	'0020000',
		'örzsin'	=>	'0020000',
		'örzsir'	=>	'0020000',
		'örzsí'	=>	'002012',
		'örzso'	=>	'002010',
		'örzsó'	=>	'002000',
		'örzsu'	=>	'002000',
		'örzsú'	=>	'002000',
		'ösag'	=>	'00120',
		'ösal'	=>	'00100',
		'ösár'	=>	'00100',
		'ösel'	=>	'02100',
		'ösess'	=>	'000030',
		'ösez'	=>	'02100',
		'ösié'	=>	'00002',
		'ösip'	=>	'02120',
		'öskr'	=>	'00120',
		'ösol'	=>	'00120',
		'ösor'	=>	'00120',
		'összár'	=>	'0000020',
		'összeg'	=>	'1000000',
		'összemb'	=>	'00001000',
		'összes'	=>	'1000000',
		'összí'	=>	'003000',
		'östarc'	=>	'0001000',
		'ösüv'	=>	'02120',
		'ösza'	=>	'02012',
		'öszer'	=>	'000120',
		'öszis'	=>	'000020',
		'öszisz'	=>	'0001000',
		'öszo'	=>	'02012',
		'ösző'	=>	'02010',
		'ösztell'	=>	'00021000',
		'ötab'	=>	'00100',
		'ötaj'	=>	'00100',
		'ötak'	=>	'00120',
		'ötal'	=>	'00120',
		'ötam'	=>	'00100',
		'ötas'	=>	'00100',
		'ötat'	=>	'00120',
		'ötáb'	=>	'00100',
		'ötág'	=>	'00100',
		'ötál'	=>	'00100',
		'ötár'	=>	'00100',
		'ötás'	=>	'00120',
		'öteké'	=>	'001000',
		'ötem'	=>	'00120',
		'ötep'	=>	'00100',
		'ötes'	=>	'00100',
		'öteta'	=>	'000212',
		'ötetel'	=>	'0002000',
		'öteu'	=>	'00020',
		'ötev'	=>	'00120',
		'ötez'	=>	'00120',
		'ötélé'	=>	'000002',
		'ötélék'	=>	'0002000',
		'ötélo'	=>	'000210',
		'ötérté'	=>	'0010000',
		'ötérz'	=>	'001000',
		'ötéss'	=>	'000030',
		'ötéves'	=>	'0012000',
		'ötfl'	=>	'00100',
		'ötfr'	=>	'00100',
		'ötgr'	=>	'00100',
		'ötir'	=>	'00120',
		'ötív'	=>	'00120',
		'ötkr'	=>	'00100',
		'ötlet'	=>	'100000',
		'ötletá'	=>	'0000210',
		'ötlé'	=>	'10000',
		'ötok'	=>	'00100',
		'ötol'	=>	'00100',
		'ötor'	=>	'00100',
		'ötos'	=>	'00100',
		'ötór'	=>	'00120',
		'ötödb'	=>	'020000',
		'ötödd'	=>	'120000',
		'ötödne'	=>	'1200000',
		'ötödöt'	=>	'1000000',
		'ötödr'	=>	'120000',
		'ötödü'	=>	'100000',
		'ötös'	=>	'02000',
		'ötőa'	=>	'00002',
		'ötőe'	=>	'00002',
		'ötőé'	=>	'00002',
		'ötpr'	=>	'00100',
		'ötsc'	=>	'00100',
		'ötst'	=>	'00100',
		'öttac'	=>	'002120',
		'öttar'	=>	'002000',
		'öttas'	=>	'002100',
		'öttál'	=>	'002100',
		'öttár'	=>	'000020',
		'ötterk'	=>	'0001000',
		'öttérte'	=>	'00010000',
		'öttut'	=>	'002100',
		'ötuj'	=>	'00100',
		'ötun'	=>	'00100',
		'ötut'	=>	'00120',
		'ötül'	=>	'00120',
		'ötvenez'	=>	'00002100',
		'öu'	=>	'010',
		'öú'	=>	'010',
		'öü'	=>	'010',
		'öű'	=>	'010',
		'övab'	=>	'00100',
		'övak'	=>	'00100',
		'övár'	=>	'00120',
		'övedz'	=>	'001200',
		'övega'	=>	'000212',
		'övegés'	=>	'0000100',
		'övegg'	=>	'000010',
		'övego'	=>	'000200',
		'över'	=>	'00120',
		'öveta'	=>	'000212',
		'öveteg'	=>	'0002000',
		'övetél'	=>	'0002120',
		'öveto'	=>	'000200',
		'övetú'	=>	'000210',
		'övetül'	=>	'0000020',
		'övetülé'	=>	'00021000',
		'övég'	=>	'00100',
		'övéj'	=>	'00120',
		'övényel'	=>	'00020000',
		'övényer'	=>	'00020000',
		'övényö'	=>	'0002000',
		'övésza'	=>	'0002000',
		'övészá'	=>	'0002000',
		'övészer'	=>	'00020000',
		'övészo'	=>	'0002000',
		'övészö'	=>	'0002000',
		'övészül'	=>	'00020000',
		'övidá'	=>	'000200',
		'övih'	=>	'02000',
		'öviss'	=>	'000030',
		'öviv'	=>	'02000',
		'övor'	=>	'00100',
		'övód'	=>	'00120',
		'övölt'	=>	'001000',
		'övőréss'	=>	'00000030',
		'övut'	=>	'00100',
		'özab'	=>	'00100',
		'özac'	=>	'00120',
		'özad'	=>	'00120',
		'özaj'	=>	'00120',
		'özak'	=>	'00120',
		'özal'	=>	'00120',
		'özam'	=>	'00120',
		'özan'	=>	'00120',
		'özap'	=>	'00120',
		'özar'	=>	'00120',
		'özat'	=>	'00100',
		'özau'	=>	'00100',
		'özaz'	=>	'00100',
		'özág'	=>	'00120',
		'özál'	=>	'00100',
		'özám'	=>	'00120',
		'özáp'	=>	'00120',
		'özár'	=>	'00120',
		'özát'	=>	'00120',
		'özáté'	=>	'000010',
		'özdr'	=>	'00120',
		'özeb'	=>	'02120',
		'özed'	=>	'02120',
		'özegel'	=>	'0002000',
		'özegés'	=>	'0210000',
		'özegész'	=>	'00000001',
		'özegy'	=>	'021200',
		'özela'	=>	'021000',
		'özeleme'	=>	'00020000',
		'özem'	=>	'02120',
		'özeng'	=>	'001000',
		'özent'	=>	'001000',
		'özepr'	=>	'001000',
		'özer'	=>	'02100',
		'özes'	=>	'02100',
		'özeték'	=>	'0002120',
		'özető'	=>	'000002',
		'özetőr'	=>	'0002100',
		'özev'	=>	'02120',
		'özég'	=>	'02100',
		'özéje'	=>	'021200',
		'özékel'	=>	'0002120',
		'özélel'	=>	'0010000',
		'özélé'	=>	'001200',
		'özélm'	=>	'001000',
		'özélt'	=>	'001000',
		'özém'	=>	'00020',
		'özéme'	=>	'001000',
		'özépa'	=>	'000210',
		'özépel'	=>	'0002100',
		'özépem'	=>	'0002100',
		'özépí'	=>	'000200',
		'özépít'	=>	'0010000',
		'özépo'	=>	'000210',
		'özérb'	=>	'021000',
		'özérd'	=>	'021000',
		'özérh'	=>	'021000',
		'özéri'	=>	'021200',
		'özérteh'	=>	'00002120',
		'özértele'	=>	'021000000',
		'özérté'	=>	'0210000',
		'özértő'	=>	'0210000',
		'özérv'	=>	'021000',
		'özérz'	=>	'021000',
		'özétk'	=>	'001000',
		'özfr'	=>	'00100',
		'özig'	=>	'00020',
		'öziga'	=>	'021000',
		'özigaz'	=>	'0000001',
		'özigá'	=>	'021000',
		'özigé'	=>	'021000',
		'özigy'	=>	'021000',
		'öziko'	=>	'021200',
		'özikt'	=>	'021000',
		'özill'	=>	'021000',
		'özim'	=>	'02120',
		'özinf'	=>	'021000',
		'özing'	=>	'021000',
		'özinp'	=>	'021000',
		'özint'	=>	'021000',
		'özinú'	=>	'021000',
		'özinv'	=>	'021000',
		'özira'	=>	'021000',
		'özirá'	=>	'001000',
		'öziri'	=>	'021200',
		'öziro'	=>	'001000',
		'öziró'	=>	'021000',
		'özisko'	=>	'0010000',
		'özism'	=>	'021000',
		'özisp'	=>	'021000',
		'özisz'	=>	'021200',
		'öziz'	=>	'02100',
		'özír'	=>	'00100',
		'özíz'	=>	'00100',
		'özmegg'	=>	'0000010',
		'özob'	=>	'00100',
		'özok'	=>	'00120',
		'özol'	=>	'00100',
		'özop'	=>	'00100',
		'özos'	=>	'00100',
		'özov'	=>	'00100',
		'özóh'	=>	'00120',
		'özón'	=>	'00100',
		'özönt'	=>	'100000',
		'özör'	=>	'02120',
		'özössz'	=>	'0010000',
		'özöv'	=>	'02100',
		'özőa'	=>	'00002',
		'özőer'	=>	'000020',
		'özőrk'	=>	'001000',
		'özőrö'	=>	'001200',
		'özpl'	=>	'00100',
		'özpr'	=>	'00120',
		'özsa'	=>	'00300',
		'özsá'	=>	'00300',
		'özse'	=>	'00300',
		'özsé'	=>	'00300',
		'özsk'	=>	'00320',
		'özso'	=>	'00300',
		'özsp'	=>	'00320',
		'özsú'	=>	'00300',
		'özsz'	=>	'00300',
		'öztr'	=>	'00120',
		'özug'	=>	'00100',
		'özun'	=>	'00120',
		'özur'	=>	'00100',
		'özut'	=>	'00100',
		'özúr'	=>	'00120',
		'özút'	=>	'00100',
		'özüd'	=>	'02100',
		'özüg'	=>	'02120',
		'özünn'	=>	'001000',
		'özüt'	=>	'02100',
		'özüv'	=>	'02100',
		'özüz'	=>	'02120',
		'özzs'	=>	'00300',
		'őa'	=>	'010',
		'őada'	=>	'00200',
		'őadá'	=>	'00200',
		'őadáss'	=>	'0000010',
		'őadász'	=>	'0000200',
		'őado'	=>	'00200',
		'őadó'	=>	'00200',
		'őadu'	=>	'00200',
		'őaga'	=>	'00200',
		'őagá'	=>	'00200',
		'őagi'	=>	'00200',
		'őagy'	=>	'00200',
		'őagyag'	=>	'0000001',
		'őaja'	=>	'00200',
		'őajá'	=>	'00200',
		'őaka'	=>	'00200',
		'őaká'	=>	'00200',
		'őakó'	=>	'00200',
		'őala'	=>	'00200',
		'őalag'	=>	'000021',
		'őale'	=>	'00210',
		'őalo'	=>	'00200',
		'őamő'	=>	'00200',
		'őana'	=>	'00200',
		'őano'	=>	'00200',
		'őanó'	=>	'00200',
		'őanyá'	=>	'002000',
		'őapa'	=>	'00200',
		'őapar'	=>	'020000',
		'őapá'	=>	'00200',
		'őapo'	=>	'00200',
		'őapó'	=>	'00200',
		'őapu'	=>	'00200',
		'őara'	=>	'00200',
		'őará'	=>	'00200',
		'őari'	=>	'00200',
		'őaro'	=>	'00200',
		'őasz'	=>	'00200',
		'őato'	=>	'00200',
		'őaty'	=>	'00200',
		'őaul'	=>	'00200',
		'őaur'	=>	'00200',
		'őaut'	=>	'00200',
		'őautóik'	=>	'00000020',
		'őava'	=>	'00200',
		'őaxi'	=>	'00200',
		'őazo'	=>	'00200',
		'őá'	=>	'010',
		'őács'	=>	'00200',
		'őágai'	=>	'002000',
		'őágak'	=>	'002000',
		'őágas'	=>	'002000',
		'őágat'	=>	'002000',
		'őágá'	=>	'00200',
		'őágé'	=>	'00200',
		'őági'	=>	'00200',
		'őágo'	=>	'00200',
		'őágú'	=>	'00200',
		'őágy'	=>	'00200',
		'őáhí'	=>	'00200',
		'őála'	=>	'00200',
		'őálo'	=>	'00200',
		'őámí'	=>	'00200',
		'őápo'	=>	'00200',
		'őára'	=>	'00200',
		'őárá'	=>	'00200',
		'őáre'	=>	'00202',
		'őárem'	=>	'000100',
		'őári'	=>	'00200',
		'őáro'	=>	'00200',
		'őáru'	=>	'00200',
		'őárú'	=>	'00200',
		'őása'	=>	'00200',
		'őásá'	=>	'00200',
		'őáso'	=>	'00200',
		'őásó'	=>	'00200',
		'őásu'	=>	'00200',
		'őász'	=>	'00200',
		'őáta'	=>	'00200',
		'őátá'	=>	'00212',
		'őáte'	=>	'00212',
		'őáté'	=>	'00200',
		'őátí'	=>	'00200',
		'őátü'	=>	'00200',
		'őávó'	=>	'00200',
		'őbap'	=>	'00010',
		'őble'	=>	'00200',
		'őblo'	=>	'00200',
		'őbri'	=>	'00200',
		'őbro'	=>	'00200',
		'őbró'	=>	'00200',
		'őbru'	=>	'00200',
		'őcap'	=>	'00100',
		'őccso'	=>	'003000',
		'őcgr'	=>	'00100',
		'őchá'	=>	'00300',
		'őché'	=>	'00300',
		'őchö'	=>	'00300',
		'őclu'	=>	'00200',
		'őcsala'	=>	'0201000',
		'őcsapág'	=>	'00002120',
		'őcséj'	=>	'020120',
		'őcsérü'	=>	'0201200',
		'őcsőst'	=>	'0001000',
		'őcss'	=>	'00010',
		'őcsz'	=>	'00300',
		'ődada'	=>	'001200',
		'ődadá'	=>	'001200',
		'ődalap'	=>	'0212000',
		'ődau'	=>	'02100',
		'ődál'	=>	'00100',
		'ődáz'	=>	'00120',
		'ődea'	=>	'00002',
		'ődeg'	=>	'02120',
		'ődeld'	=>	'001000',
		'ődelj'	=>	'001000',
		'ődelk'	=>	'001000',
		'ődelő'	=>	'001200',
		'ődels'	=>	'001000',
		'ődép'	=>	'02100',
		'ődérte'	=>	'0210000',
		'ődérz'	=>	'021000',
		'ődésa'	=>	'000200',
		'ődéso'	=>	'000200',
		'ődéss'	=>	'000030',
		'ődész'	=>	'000230',
		'ődid'	=>	'02100',
		'ődig'	=>	'00020',
		'ődiga'	=>	'021000',
		'ődind'	=>	'001000',
		'ődint'	=>	'001000',
		'ődisk'	=>	'021000',
		'ődop'	=>	'02100',
		'ődost'	=>	'001000',
		'ődöl'	=>	'02120',
		'ődöv'	=>	'02100',
		'ődőré'	=>	'001200',
		'ődőrn'	=>	'001000',
		'ődőrr'	=>	'001000',
		'ődőrt'	=>	'001000',
		'ődőst'	=>	'021000',
		'ődpr'	=>	'00100',
		'ődram'	=>	'002000',
		'ődrap'	=>	'002000',
		'ődrá'	=>	'01200',
		'ődres'	=>	'012000',
		'ődrog'	=>	'012000',
		'ődró'	=>	'01200',
		'ődru'	=>	'01200',
		'ődst'	=>	'00100',
		'ődtr'	=>	'00120',
		'ődüg'	=>	'02100',
		'ődüz'	=>	'02100',
		'ődzá'	=>	'02300',
		'őe'	=>	'010',
		'őece'	=>	'00200',
		'őecs'	=>	'00200',
		'őedé'	=>	'00200',
		'őedz'	=>	'00200',
		'őege'	=>	'00200',
		'őegé'	=>	'00200',
		'őegy'	=>	'00200',
		'őekék'	=>	'002000',
		'őela'	=>	'00200',
		'őelá'	=>	'00212',
		'őelek'	=>	'002000',
		'őelemé'	=>	'0020000',
		'őelemg'	=>	'0020000',
		'őelemh'	=>	'0020000',
		'őelemm'	=>	'0020000',
		'őelemn'	=>	'0020000',
		'őelemr'	=>	'0020000',
		'őelemü'	=>	'0020000',
		'őeli'	=>	'00200',
		'őelo'	=>	'00200',
		'őelö'	=>	'00200',
		'őelőd'	=>	'002000',
		'őelü'	=>	'00200',
		'őema'	=>	'00200',
		'őeme'	=>	'00200',
		'őemé'	=>	'00200',
		'őemu'	=>	'00200',
		'őene'	=>	'00200',
		'őepi'	=>	'00200',
		'őepo'	=>	'00200',
		'őere'	=>	'00200',
		'őeré'	=>	'00200',
		'őerőd'	=>	'002000',
		'őerőé'	=>	'002000',
		'őerőh'	=>	'002000',
		'őerők'	=>	'002000',
		'őerőm'	=>	'002000',
		'őerőrő'	=>	'0020000',
		'őerü'	=>	'00200',
		'őesé'	=>	'00200',
		'őesi'	=>	'00200',
		'őeső'	=>	'00200',
		'őeta'	=>	'00200',
		'őete'	=>	'00200',
		'őeti'	=>	'00200',
		'őeun'	=>	'00200',
		'őevé'	=>	'00200',
		'őevi'	=>	'00200',
		'őevo'	=>	'00200',
		'őevő'	=>	'00200',
		'őeze'	=>	'00200',
		'őé'	=>	'010',
		'őéde'	=>	'00200',
		'őéet'	=>	'00200',
		'őége'	=>	'00200',
		'őégé'	=>	'00200',
		'őégi'	=>	'00200',
		'őégő'	=>	'00200',
		'őéhem'	=>	'002000',
		'őéhes'	=>	'002000',
		'őéji'	=>	'00200',
		'őéke'	=>	'00200',
		'őéké'	=>	'00200',
		'őékí'	=>	'00200',
		'őélé'	=>	'00200',
		'őélő'	=>	'00200',
		'őélű'	=>	'00200',
		'őénekb'	=>	'0020000',
		'őéneke'	=>	'0020000',
		'őénekest'	=>	'000020000',
		'őéneké'	=>	'0020000',
		'őénekk'	=>	'0020000',
		'őénekr'	=>	'0020000',
		'őépí'	=>	'00200',
		'őépü'	=>	'00200',
		'őérem'	=>	'002000',
		'őéren'	=>	'002000',
		'őérez'	=>	'002000',
		'őéré'	=>	'00200',
		'őéri'	=>	'00200',
		'őétek'	=>	'002000',
		'őéva'	=>	'00200',
		'őévek'	=>	'002000',
		'őéves'	=>	'002000',
		'őévet'	=>	'002000',
		'őévéb'	=>	'002000',
		'őévén'	=>	'002000',
		'őévér'	=>	'002000',
		'őévét'	=>	'002000',
		'őévi'	=>	'00200',
		'őfalad'	=>	'0002120',
		'őfla'	=>	'00200',
		'őfle'	=>	'00200',
		'őflo'	=>	'00200',
		'őfló'	=>	'00200',
		'őflö'	=>	'00200',
		'őflu'	=>	'00200',
		'őfokál'	=>	'0002000',
		'őfokér'	=>	'0002000',
		'őfokin'	=>	'0002000',
		'őfra'	=>	'00200',
		'őfrá'	=>	'00200',
		'őfri'	=>	'00200',
		'őfro'	=>	'01200',
		'őfrö'	=>	'00200',
		'őgépel'	=>	'0002120',
		'őgépül'	=>	'0000020',
		'őgépülé'	=>	'00001000',
		'őgéss'	=>	'000030',
		'őgle'	=>	'00200',
		'őgló'	=>	'00200',
		'őgnó'	=>	'00200',
		'őgöl'	=>	'02120',
		'őgra'	=>	'00200',
		'őgrá'	=>	'00200',
		'őgri'	=>	'00200',
		'őgró'	=>	'00200',
		'őguba'	=>	'000002',
		'őgyala'	=>	'0001200',
		'őgyart'	=>	'0001000',
		'őgyeg'	=>	'020000',
		'őgyel'	=>	'020000',
		'őgyelő'	=>	'0001200',
		'őgyelv'	=>	'0001000',
		'őgyelz'	=>	'0001000',
		'őgyin'	=>	'020000',
		'őgyör'	=>	'020100',
		'őhangá'	=>	'0000002',
		'őhangára'	=>	'000021000',
		'ői'	=>	'010',
		'őidea'	=>	'002000',
		'őideá'	=>	'002000',
		'őideg'	=>	'002000',
		'őideo'	=>	'002000',
		'őidén'	=>	'002000',
		'őido'	=>	'00200',
		'őidő'	=>	'00200',
		'őiga'	=>	'00200',
		'őige'	=>	'00200',
		'őigé'	=>	'00200',
		'őigy'	=>	'00200',
		'őiko'	=>	'00200',
		'őima'	=>	'00200',
		'őimá'	=>	'00200',
		'őimi'	=>	'00200',
		'őimpl'	=>	'000120',
		'őinas'	=>	'002000',
		'őion'	=>	'00200',
		'őipa'	=>	'00200',
		'őira'	=>	'00200',
		'őirá'	=>	'00200',
		'őiri'	=>	'00200',
		'őiro'	=>	'00200',
		'őiru'	=>	'02000',
		'őisi'	=>	'00200',
		'őisz'	=>	'00200',
		'őitala'	=>	'0020000',
		'őitalá'	=>	'0020000',
		'őitalé'	=>	'0020000',
		'őitali'	=>	'0020000',
		'őitall'	=>	'0020000',
		'őiva'	=>	'00200',
		'őivá'	=>	'00200',
		'őivó'	=>	'00200',
		'őizé'	=>	'00200',
		'őizo'	=>	'00200',
		'őí'	=>	'010',
		'őígé'	=>	'00200',
		'őíja'	=>	'00200',
		'őíra'	=>	'00200',
		'őírá'	=>	'00200',
		'őíro'	=>	'00200',
		'őíró'	=>	'00200',
		'őíru'	=>	'00200',
		'őívá'	=>	'00200',
		'őíve'	=>	'00200',
		'őívé'	=>	'00200',
		'őívi'	=>	'00200',
		'őívükb'	=>	'0020000',
		'őívüke'	=>	'0020000',
		'őívün'	=>	'002000',
		'őívű'	=>	'00200',
		'őíze'	=>	'00200',
		'őízü'	=>	'00200',
		'őízű'	=>	'00200',
		'őjegyá'	=>	'0002012',
		'őjobbol'	=>	'00002100',
		'őjobbó'	=>	'0000210',
		'őjogászi'	=>	'000002000',
		'őkek'	=>	'00012',
		'őkep'	=>	'00012',
		'őkes'	=>	'00002',
		'őkesp'	=>	'000100',
		'őkest'	=>	'000100',
		'őképel'	=>	'0002100',
		'őkésel'	=>	'0002100',
		'őkiá'	=>	'00002',
		'őkie'	=>	'00002',
		'őkla'	=>	'00200',
		'őkle'	=>	'00200',
		'őkli'	=>	'00200',
		'őklí'	=>	'00200',
		'őkló'	=>	'00200',
		'őklu'	=>	'00200',
		'őkóro'	=>	'000002',
		'őkra'	=>	'01200',
		'őkrá'	=>	'01200',
		'őkreá'	=>	'012000',
		'őkred'	=>	'002000',
		'őkré'	=>	'01200',
		'őkri'	=>	'01200',
		'őkrí'	=>	'01200',
		'őkro'	=>	'01200',
		'őkró'	=>	'01200',
		'őkva'	=>	'00200',
		'őleí'	=>	'00002',
		'őléss'	=>	'000030',
		'őlőér'	=>	'000020',
		'őlőt'	=>	'00002',
		'őlőtr'	=>	'000100',
		'őmagár'	=>	'0002000',
		'őmagg'	=>	'000010',
		'őmagó'	=>	'000212',
		'őműéh'	=>	'000020',
		'őműén'	=>	'000020',
		'őműt'	=>	'00002',
		'őneke'	=>	'021200',
		'őnems'	=>	'001000',
		'őnéve'	=>	'000002',
		'őnéves'	=>	'0000100',
		'őnyad'	=>	'020120',
		'őnyag'	=>	'000020',
		'őnyaga'	=>	'0201000',
		'őnyala'	=>	'0001200',
		'őnyára'	=>	'0001000',
		'őnyáro'	=>	'0001200',
		'őnyát'	=>	'020000',
		'őnyef'	=>	'020000',
		'őnyelem'	=>	'00002000',
		'őnyelh'	=>	'0201000',
		'őnyell'	=>	'0201000',
		'őnyelo'	=>	'0201000',
		'őnyem'	=>	'020100',
		'őnyélv'	=>	'0201000',
		'őnyő'	=>	'02010',
		'őnyüz'	=>	'020000',
		'őo'	=>	'010',
		'őoáz'	=>	'00200',
		'őobe'	=>	'00200',
		'őodú'	=>	'00200',
		'őoká'	=>	'00200',
		'őoki'	=>	'00212',
		'őokí'	=>	'00200',
		'őoko'	=>	'00200',
		'őola'	=>	'00200',
		'őolajár'	=>	'00002120',
		'őolaje'	=>	'0000200',
		'őope'	=>	'00200',
		'őorá'	=>	'00200',
		'őori'	=>	'00200',
		'őoro'	=>	'00200',
		'őoso'	=>	'00200',
		'őove'	=>	'00200',
		'őoxi'	=>	'00200',
		'őó'	=>	'010',
		'őóce'	=>	'00200',
		'őóha'	=>	'00200',
		'őóno'	=>	'00200',
		'őónu'	=>	'00200',
		'őóra'	=>	'00200',
		'őórá'	=>	'00200',
		'őóri'	=>	'00200',
		'őóva'	=>	'00200',
		'őóvó'	=>	'00200',
		'őö'	=>	'010',
		'őöbö'	=>	'00200',
		'őödé'	=>	'00200',
		'őöko'	=>	'00200',
		'őökö'	=>	'00200',
		'őölé'	=>	'00200',
		'őölő'	=>	'00200',
		'őöna'	=>	'00200',
		'őöre'	=>	'00200',
		'őörö'	=>	'00200',
		'őöve'	=>	'00200',
		'őövé'	=>	'00200',
		'őövi'	=>	'00200',
		'őövö'	=>	'00200',
		'őözö'	=>	'00200',
		'őő'	=>	'010',
		'őőre'	=>	'00200',
		'őőré'	=>	'00200',
		'őőri'	=>	'00200',
		'őőrö'	=>	'00200',
		'őőrségb'	=>	'00021000',
		'őőrségn'	=>	'00021000',
		'őőse'	=>	'00200',
		'őősi'	=>	'00200',
		'őpárbajo'	=>	'000000200',
		'őpla'	=>	'00200',
		'őple'	=>	'00200',
		'őplé'	=>	'00200',
		'őpne'	=>	'00200',
		'őponc'	=>	'000001',
		'őporal'	=>	'0002000',
		'őpre'	=>	'00200',
		'őpré'	=>	'00200',
		'őpréss'	=>	'0000010',
		'őpri'	=>	'00200',
		'őpro'	=>	'00200',
		'őpró'	=>	'00200',
		'őpsz'	=>	'00200',
		'őradó'	=>	'001200',
		'őragá'	=>	'001200',
		'őragg'	=>	'001000',
		'őrajk'	=>	'001000',
		'őrajtól'	=>	'00002100',
		'őrakc'	=>	'001000',
		'őral'	=>	'02120',
		'őrale'	=>	'000010',
		'őran'	=>	'00020',
		'őrany'	=>	'001000',
		'őrap'	=>	'00100',
		'őrar'	=>	'02120',
		'őras'	=>	'02120',
		'őrat'	=>	'02100',
		'őrau'	=>	'02100',
		'őraz'	=>	'02120',
		'őráb'	=>	'12100',
		'őrádiók'	=>	'00000200',
		'őrágy'	=>	'001000',
		'őráke'	=>	'000210',
		'őrál'	=>	'02120',
		'őráp'	=>	'02120',
		'őráru'	=>	'001200',
		'őrbí'	=>	'10000',
		'őrbl'	=>	'10100',
		'őrbr'	=>	'10100',
		'őrea'	=>	'20000',
		'őreáli'	=>	'0000200',
		'őree'	=>	'00002',
		'őreget'	=>	'0002000',
		'őregye'	=>	'0012000',
		'őreig'	=>	'000020',
		'őrekc'	=>	'021000',
		'őrekh'	=>	'021000',
		'őrelem'	=>	'0002000',
		'őrelh'	=>	'001000',
		'őrell'	=>	'021000',
		'őrelőa'	=>	'0012000',
		'őrels'	=>	'001000',
		'őrelt'	=>	'001000',
		'őrelv'	=>	'021000',
		'őremb'	=>	'021000',
		'őreml'	=>	'001000',
		'őrendő'	=>	'0000212',
		'őrenz'	=>	'001000',
		'őreo'	=>	'00002',
		'őreprog'	=>	'00010000',
		'őreső'	=>	'021200',
		'őreu'	=>	'00002',
		'őreü'	=>	'00002',
		'őrex'	=>	'02100',
		'őrezr'	=>	'100000',
		'őrégn'	=>	'100000',
		'őrégt'	=>	'101000',
		'őrékh'	=>	'121000',
		'őrékné'	=>	'0010000',
		'őréks'	=>	'001000',
		'őrél'	=>	'02120',
		'őrépü'	=>	'001000',
		'őréri'	=>	'021200',
		'őrésa'	=>	'000200',
		'őrésza'	=>	'0002000',
		'őréü'	=>	'12000',
		'őrévek'	=>	'0012000',
		'őrfl'	=>	'00100',
		'őrfő'	=>	'10000',
		'őrfr'	=>	'00100',
		'őrgr'	=>	'00120',
		'őrid'	=>	'02120',
		'őrif'	=>	'02100',
		'őriga'	=>	'021200',
		'őrigá'	=>	'021200',
		'őriha'	=>	'001000',
		'őrill'	=>	'001000',
		'őrim'	=>	'02000',
		'őrimi'	=>	'001000',
		'őrina'	=>	'001200',
		'őrind'	=>	'001000',
		'őrinf'	=>	'021000',
		'őrint'	=>	'021000',
		'őripa'	=>	'001200',
		'őrisá'	=>	'000210',
		'őrivá'	=>	'001000',
		'őrizg'	=>	'020000',
		'őrizm'	=>	'001000',
		'őrizo'	=>	'001200',
		'őrír'	=>	'00100',
		'őrjö'	=>	'10000',
		'őrkl'	=>	'00120',
		'őrkr'	=>	'00120',
		'őrlö'	=>	'10000',
		'őrokt'	=>	'021000',
		'őrold'	=>	'001000',
		'őroli'	=>	'121200',
		'őroll'	=>	'001000',
		'őror'	=>	'02100',
		'őrosz'	=>	'021000',
		'őrór'	=>	'02120',
		'őrög'	=>	'03000',
		'őrökü'	=>	'120000',
		'őröl'	=>	'02000',
		'őrömü'	=>	'100000',
		'őröng'	=>	'001000',
		'őrör'	=>	'02100',
		'őrössze'	=>	'02100000',
		'őrőr'	=>	'12100',
		'őrős'	=>	'02120',
		'őrősr'	=>	'100000',
		'őrőz'	=>	'02120',
		'őrpl'	=>	'00100',
		'őrpr'	=>	'00120',
		'őrps'	=>	'10120',
		'őrsál'	=>	'002100',
		'őrsí'	=>	'10000',
		'őrsö'	=>	'10000',
		'őrspe'	=>	'001200',
		'őrspi'	=>	'001000',
		'őrsrá'	=>	'001000',
		'őrss'	=>	'00030',
		'őrsz'	=>	'00102',
		'őrszen'	=>	'1000000',
		'őrszöm'	=>	'0023000',
		'őrtr'	=>	'10120',
		'őrun'	=>	'12100',
		'őrur'	=>	'12120',
		'őrutá'	=>	'001000',
		'őrúj'	=>	'02100',
		'őrúr'	=>	'00100',
		'őrút'	=>	'02100',
		'őrüd'	=>	'02100',
		'őrüld'	=>	'001000',
		'őrüle'	=>	'120000',
		'őrüs'	=>	'02100',
		'őrüt'	=>	'02100',
		'őrüz'	=>	'02100',
		'őrzősö'	=>	'2000000',
		'ősad'	=>	'02100',
		'ősag'	=>	'02120',
		'ősajtób'	=>	'00100000',
		'ősajtók'	=>	'02100000',
		'ősan'	=>	'00020',
		'ősana'	=>	'001000',
		'ősap'	=>	'00020',
		'ősarc'	=>	'001000',
		'ősass'	=>	'001000',
		'ősau'	=>	'00100',
		'ősáb'	=>	'02100',
		'őság'	=>	'02120',
		'ősál'	=>	'00020',
		'ősáll'	=>	'001000',
		'ősára'	=>	'001000',
		'ősárv'	=>	'001000',
		'ősdr'	=>	'00100',
		'ősed'	=>	'00120',
		'ősege'	=>	'021200',
		'ősegy'	=>	'021200',
		'őselm'	=>	'001000',
		'őselő'	=>	'001200',
		'őselv'	=>	'001000',
		'ősem'	=>	'02120',
		'ősen'	=>	'00020',
		'ősene'	=>	'001000',
		'ősep'	=>	'00020',
		'ősepi'	=>	'001000',
		'ősepo'	=>	'001000',
		'őserej'	=>	'0012000',
		'őserő'	=>	'001000',
		'ősess'	=>	'001000',
		'ősesz'	=>	'001000',
		'ősetn'	=>	'001000',
		'ősev'	=>	'02120',
		'ősez'	=>	'02100',
		'őségel'	=>	'0002120',
		'őséger'	=>	'0210000',
		'őségés'	=>	'0002000',
		'ősék'	=>	'02100',
		'ősél'	=>	'02120',
		'ősép'	=>	'00100',
		'ősfl'	=>	'00100',
		'ősfr'	=>	'00100',
		'ősgn'	=>	'00100',
		'ősgr'	=>	'00100',
		'ősid'	=>	'02120',
		'ősif'	=>	'02100',
		'ősig'	=>	'00020',
		'ősiga'	=>	'001000',
		'ősima'	=>	'001200',
		'ősimá'	=>	'001200',
		'ősimi'	=>	'001000',
		'ősinf'	=>	'001000',
		'ősing'	=>	'001000',
		'ősint'	=>	'001000',
		'ősipa'	=>	'021200',
		'ősira'	=>	'001200',
		'ősist'	=>	'001000',
		'ősisz'	=>	'001200',
		'ősiz'	=>	'02120',
		'ősíka'	=>	'000200',
		'ősíró'	=>	'001200',
		'ősíz'	=>	'00120',
		'őskál'	=>	'002000',
		'őskl'	=>	'00100',
		'őskr'	=>	'00120',
		'őskv'	=>	'00100',
		'őslat'	=>	'002000',
		'ősnit'	=>	'002000',
		'ősob'	=>	'00100',
		'ősok'	=>	'00020',
		'ősoko'	=>	'001000',
		'ősol'	=>	'02120',
		'ősop'	=>	'02100',
		'ősorg'	=>	'021000',
		'ősos'	=>	'02100',
		'ősóc'	=>	'00100',
		'ősóri'	=>	'001000',
		'ősöl'	=>	'02120',
		'ősönz'	=>	'001000',
		'ősör'	=>	'00020',
		'ősörd'	=>	'001000',
		'ősöre'	=>	'001000',
		'ősörö'	=>	'001000',
		'ősörv'	=>	'001000',
		'ősöz'	=>	'02120',
		'ősőr'	=>	'00100',
		'ősős'	=>	'00120',
		'őspec'	=>	'002000',
		'őspek'	=>	'002000',
		'őspl'	=>	'00120',
		'őspór'	=>	'002000',
		'őspr'	=>	'00020',
		'ősrác'	=>	'002000',
		'őssk'	=>	'00100',
		'őssp'	=>	'00120',
		'ősst'	=>	'00120',
		'őssz'	=>	'00002',
		'őssza'	=>	'003000',
		'ősszá'	=>	'003000',
		'ősszeg'	=>	'0030000',
		'ősszek'	=>	'0030000',
		'ősszell'	=>	'00300000',
		'ősszem'	=>	'0030000',
		'ősszen'	=>	'0030000',
		'ősszer'	=>	'0030000',
		'ősszes'	=>	'0030000',
		'ősszék'	=>	'0030000',
		'ősszén'	=>	'0030000',
		'ősszf'	=>	'003000',
		'ősszi'	=>	'003000',
		'ősszí'	=>	'003000',
		'ősszl'	=>	'003000',
		'ősszo'	=>	'003000',
		'ősszó'	=>	'003000',
		'ősszö'	=>	'003000',
		'őssző'	=>	'003000',
		'ősszu'	=>	'003000',
		'ősszü'	=>	'003000',
		'őstad'	=>	'002000',
		'őstat'	=>	'002000',
		'őstát'	=>	'012000',
		'ősteri'	=>	'0120000',
		'őstég'	=>	'002000',
		'őstil'	=>	'002000',
		'őstr'	=>	'00020',
		'őstre'	=>	'001000',
		'ősun'	=>	'00100',
		'ősut'	=>	'00020',
		'ősuta'	=>	'001000',
		'ősús'	=>	'00120',
		'őszake'	=>	'0000210',
		'őszakü'	=>	'0000210',
		'őszelő'	=>	'0001200',
		'őszerk'	=>	'2000000',
		'őszerő'	=>	'0200000',
		'őszest'	=>	'0001000',
		'őszili'	=>	'0000212',
		'őszill'	=>	'0001000',
		'őszist'	=>	'0001000',
		'őszöl'	=>	'000020',
		'őszölé'	=>	'0001000',
		'őszölő'	=>	'0001000',
		'őszölt'	=>	'0001000',
		'őszse'	=>	'003000',
		'őszsir'	=>	'0003000',
		'őszt'	=>	'00002',
		'őszűrű'	=>	'0230000',
		'őtermo'	=>	'0000001',
		'őtermosz'	=>	'000000002',
		'őtestő'	=>	'0000210',
		'őtollad'	=>	'00002120',
		'őtra'	=>	'01200',
		'őtré'	=>	'01200',
		'őtri'	=>	'01200',
		'őtro'	=>	'00200',
		'őtró'	=>	'01200',
		'őttess'	=>	'0000030',
		'őttés'	=>	'002000',
		'őttint'	=>	'0001000',
		'őtto'	=>	'00212',
		'őttu'	=>	'00212',
		'őtűfé'	=>	'000002',
		'őtűfél'	=>	'0000001',
		'őu'	=>	'010',
		'őugo'	=>	'00200',
		'őuni'	=>	'00200',
		'őura'	=>	'00200',
		'őurá'	=>	'00200',
		'őuru'	=>	'00200',
		'őuta'	=>	'00200',
		'őutó'	=>	'00200',
		'őutu'	=>	'00200',
		'őú'	=>	'010',
		'őújo'	=>	'00200',
		'őúré'	=>	'00200',
		'őúri'	=>	'00200',
		'őúro'	=>	'00200',
		'őúsz'	=>	'00200',
		'őúté'	=>	'00200',
		'őúti'	=>	'00200',
		'őúto'	=>	'00200',
		'őü'	=>	'010',
		'őüdü'	=>	'00200',
		'őüge'	=>	'00200',
		'őügy'	=>	'00200',
		'őüle'	=>	'00200',
		'őüre'	=>	'00200',
		'őürí'	=>	'00200',
		'őüsz'	=>	'00200',
		'őüte'	=>	'00200',
		'őüté'	=>	'00200',
		'őüti'	=>	'00200',
		'őütö'	=>	'00200',
		'őütő'	=>	'00200',
		'őüve'	=>	'00200',
		'őüvö'	=>	'00200',
		'őüze'	=>	'00200',
		'őüzé'	=>	'00200',
		'őű'	=>	'010',
		'őűré'	=>	'00200',
		'őűri'	=>	'00200',
		'őűrö'	=>	'00200',
		'őűzé'	=>	'00200',
		'őűző'	=>	'00200',
		'ővasfé'	=>	'0000002',
		'ővasfél'	=>	'00000001',
		'őváral'	=>	'0000100',
		'ővera'	=>	'000210',
		'ővet'	=>	'20000',
		'ővéres'	=>	'0002000',
		'ővéret'	=>	'0002000',
		'őzabs'	=>	'001000',
		'őzad'	=>	'02120',
		'őzag'	=>	'00120',
		'őzak'	=>	'02100',
		'őzal'	=>	'02120',
		'őzat'	=>	'02120',
		'őzau'	=>	'02100',
		'őzál'	=>	'02100',
		'őzáte'	=>	'001212',
		'őzbl'	=>	'00100',
		'őzegg'	=>	'000010',
		'őzegi'	=>	'000210',
		'őzegy'	=>	'001200',
		'őzekn'	=>	'120000',
		'őzelo'	=>	'001000',
		'őzels'	=>	'001000',
		'őzelv'	=>	'001000',
		'őzem'	=>	'02000',
		'őzemb'	=>	'001000',
		'őzemel'	=>	'0012000',
		'őzer'	=>	'02120',
		'őzeta'	=>	'000212',
		'őzeteg'	=>	'0002100',
		'őzetel'	=>	'0002100',
		'őzeter'	=>	'0002000',
		'őzeto'	=>	'000210',
		'őzérem'	=>	'0002000',
		'őzéri'	=>	'021200',
		'őzérl'	=>	'021000',
		'őzérté'	=>	'0010000',
		'őzié'	=>	'12000',
		'őzig'	=>	'02020',
		'őzigé'	=>	'001000',
		'őzin'	=>	'02100',
		'őziz'	=>	'02100',
		'őzkr'	=>	'00120',
		'őzok'	=>	'00120',
		'őzol'	=>	'00100',
		'őzos'	=>	'00100',
		'őzössz'	=>	'0010000',
		'őzőa'	=>	'00002',
		'őzőel'	=>	'000020',
		'őzőer'	=>	'000020',
		'őzpr'	=>	'00120',
		'őzsaj'	=>	'003000',
		'őzsap'	=>	'003000',
		'őzsát'	=>	'003000',
		'őzsik'	=>	'003000',
		'őzsis'	=>	'003000',
		'őzst'	=>	'00320',
		'őzsü'	=>	'02300',
		'őzsz'	=>	'00300',
		'őztr'	=>	'00120',
		'őzút'	=>	'00100',
		'őzüg'	=>	'00100',
		'őzüs'	=>	'02100',
		'őzüz'	=>	'02120',
		'őzűz'	=>	'00120',
		'pa'	=>	'100',
		'pabl'	=>	'21000',
		'pacem'	=>	'002000',
		'pach'	=>	'00200',
		'pacl'	=>	'00100',
		'pacsú'	=>	'002000',
		'padag'	=>	'012000',
		'padala'	=>	'0001000',
		'padas'	=>	'002100',
		'padál'	=>	'002120',
		'pade'	=>	'00002',
		'padel'	=>	'002100',
		'padem'	=>	'002100',
		'padid'	=>	'002100',
		'padiga'	=>	'0021000',
		'padott'	=>	'0120000',
		'padut'	=>	'002000',
		'padül'	=>	'002000',
		'paer'	=>	'00020',
		'paér'	=>	'00020',
		'pafl'	=>	'00100',
		'pafr'	=>	'00120',
		'paidé'	=>	'000200',
		'pajtó'	=>	'210000',
		'pakad'	=>	'002000',
		'pakaró'	=>	'0000210',
		'pakem'	=>	'002120',
		'pakku'	=>	'200000',
		'paklu'	=>	'001000',
		'pakó'	=>	'00212',
		'pakré'	=>	'001200',
		'paktal'	=>	'0002000',
		'paktel'	=>	'0002120',
		'paktes'	=>	'0002100',
		'paktev'	=>	'0002120',
		'pakti'	=>	'210000',
		'paktorr'	=>	'00021000',
		'paktos'	=>	'0002000',
		'palag'	=>	'200000',
		'palagú'	=>	'0000210',
		'palapí'	=>	'0020000',
		'palázad'	=>	'00000020',
		'palázadá'	=>	'000021000',
		'palél'	=>	'002120',
		'palf'	=>	'21000',
		'palg'	=>	'21000',
		'palle'	=>	'210000',
		'palmá'	=>	'210000',
		'palud'	=>	'000100',
		'pamass'	=>	'0001000',
		'pamur'	=>	'002100',
		'pamuta'	=>	'0000200',
		'panad'	=>	'000020',
		'panag'	=>	'002100',
		'panal'	=>	'002000',
		'panala'	=>	'0001000',
		'panár'	=>	'002120',
		'panáss'	=>	'0000010',
		'pand'	=>	'00012',
		'pangg'	=>	'000010',
		'panil'	=>	'002100',
		'pankro'	=>	'0001000',
		'panny'	=>	'010000',
		'panol'	=>	'002000',
		'pans'	=>	'00002',
		'pansz'	=>	'000002',
		'panszt'	=>	'0001000',
		'panü'	=>	'00200',
		'panya'	=>	'212000',
		'panyu'	=>	'012000',
		'papad'	=>	'002100',
		'papapa'	=>	'0021200',
		'papar'	=>	'000020',
		'papara'	=>	'0001000',
		'papaszt'	=>	'00210000',
		'papáll'	=>	'0001000',
		'papil'	=>	'002100',
		'papip'	=>	'002120',
		'papoku'	=>	'0021200',
		'papö'	=>	'00200',
		'papp'	=>	'00012',
		'papur'	=>	'002100',
		'paput'	=>	'002120',
		'papú'	=>	'00200',
		'paraje'	=>	'0000200',
		'parala'	=>	'0001200',
		'parann'	=>	'2000000',
		'parany'	=>	'2120000',
		'parar'	=>	'202120',
		'parágá'	=>	'0021000',
		'parágn'	=>	'0021000',
		'parágo'	=>	'0021000',
		'parágv'	=>	'0021000',
		'paráh'	=>	'200000',
		'paráj'	=>	'212000',
		'paráll'	=>	'0001000',
		'parár'	=>	'200000',
		'paráv'	=>	'200000',
		'parb'	=>	'20000',
		'parca'	=>	'210000',
		'parcc'	=>	'210000',
		'parch'	=>	'210000',
		'parci'	=>	'200000',
		'parco'	=>	'210000',
		'parct'	=>	'210000',
		'parcu'	=>	'210000',
		'parcú'	=>	'210000',
		'parel'	=>	'002100',
		'parél'	=>	'002120',
		'parig'	=>	'200000',
		'paril'	=>	'200000',
		'parill'	=>	'0021000',
		'parisk'	=>	'0001000',
		'parkal'	=>	'0002120',
		'parká'	=>	'000210',
		'parkel'	=>	'0002000',
		'parking'	=>	'00021000',
		'parkov'	=>	'0002000',
		'parkó'	=>	'000200',
		'parkön'	=>	'0002000',
		'parköv'	=>	'0002120',
		'parkő'	=>	'000212',
		'parkü'	=>	'000210',
		'parosi'	=>	'2000000',
		'paroso'	=>	'2000000',
		'parö'	=>	'00200',
		'parő'	=>	'00200',
		'parr'	=>	'20000',
		'pars'	=>	'00002',
		'partem'	=>	'0002000',
		'partol'	=>	'0002100',
		'partő'	=>	'000212',
		'parü'	=>	'00212',
		'parű'	=>	'00200',
		'past'	=>	'00002',
		'paszalj'	=>	'00001000',
		'paszalt'	=>	'00001000',
		'paszas'	=>	'0020000',
		'patada'	=>	'0001000',
		'patakö'	=>	'0000002',
		'patalk'	=>	'0021000',
		'patanya'	=>	'00010000',
		'patara'	=>	'0021000',
		'patálc'	=>	'0001000',
		'patárk'	=>	'0021000',
		'pateg'	=>	'002120',
		'patell'	=>	'0021000',
		'pates'	=>	'000020',
		'patél'	=>	'002000',
		'patérd'	=>	'0021000',
		'patére'	=>	'0021000',
		'patérte'	=>	'00210000',
		'patid'	=>	'002000',
		'patint'	=>	'0021000',
		'patir'	=>	'002000',
		'patkánk'	=>	'21000000',
		'patold'	=>	'0021000',
		'patolt'	=>	'0021000',
		'patombe'	=>	'20000000',
		'patosz'	=>	'0021000',
		'patotth'	=>	'00210000',
		'patut'	=>	'002100',
		'patús'	=>	'002000',
		'patü'	=>	'00002',
		'patüz'	=>	'002100',
		'patya'	=>	'212000',
		'patyá'	=>	'212000',
		'paur'	=>	'20000',
		'paura'	=>	'000200',
		'pavat'	=>	'012000',
		'pawh'	=>	'00100',
		'paxi'	=>	'21200',
		'pá'	=>	'100',
		'pábé'	=>	'21200',
		'pábr'	=>	'21000',
		'páca'	=>	'20000',
		'pácá'	=>	'20000',
		'páce'	=>	'00210',
		'pácé'	=>	'00002',
		'pách'	=>	'00230',
		'pácsó'	=>	'002300',
		'pácsö'	=>	'002000',
		'pácsü'	=>	'002000',
		'pága'	=>	'21200',
		'págg'	=>	'21000',
		'págyac'	=>	'2120000',
		'págyad'	=>	'2120000',
		'págyaib'	=>	'00200000',
		'págyaid'	=>	'00200000',
		'págyaih'	=>	'00200000',
		'págyaik'	=>	'00200000',
		'págyaim'	=>	'00200000',
		'págyain'	=>	'21200000',
		'págyair'	=>	'00200000',
		'págyakb'	=>	'01200000',
		'págyaké'	=>	'00200000',
		'págyaki'	=>	'00200000',
		'págyako'	=>	'01200000',
		'págyakr'	=>	'21200000',
		'págyakt'	=>	'00200000',
		'págyal'	=>	'2120000',
		'págyam'	=>	'2120000',
		'págyan'	=>	'2120000',
		'págyast'	=>	'00200000',
		'págyaz'	=>	'2100000',
		'págyáb'	=>	'2120000',
		'págyál'	=>	'2100000',
		'págyán'	=>	'2120000',
		'págyátó'	=>	'00200000',
		'págyáv'	=>	'2120000',
		'págyb'	=>	'210000',
		'págyc'	=>	'210000',
		'págye'	=>	'210000',
		'págyé'	=>	'212000',
		'págyf'	=>	'210000',
		'págyga'	=>	'2100000',
		'págygo'	=>	'2100000',
		'págyh'	=>	'210000',
		'págyi'	=>	'212000',
		'págyj'	=>	'210000',
		'págyk'	=>	'210000',
		'págyl'	=>	'210000',
		'págym'	=>	'210000',
		'págyná'	=>	'2100000',
		'págyos'	=>	'2120000',
		'págyö'	=>	'212000',
		'págyp'	=>	'210000',
		'págyr'	=>	'210000',
		'págys'	=>	'210000',
		'págyt'	=>	'210000',
		'págyu'	=>	'212000',
		'págyú'	=>	'002000',
		'págyü'	=>	'210000',
		'págyv'	=>	'210000',
		'págyz'	=>	'210000',
		'pájt'	=>	'21000',
		'pála'	=>	'00002',
		'pálab'	=>	'002000',
		'pálac'	=>	'002000',
		'pálar'	=>	'210000',
		'páldo'	=>	'210000',
		'pále'	=>	'00200',
		'pállap'	=>	'2000000',
		'pállí'	=>	'210000',
		'pállom'	=>	'2100000',
		'pállv'	=>	'210000',
		'pálmo'	=>	'200000',
		'pálü'	=>	'00200',
		'pály'	=>	'02000',
		'pályas'	=>	'0000010',
		'pámi'	=>	'20000',
		'pámí'	=>	'21200',
		'pámu'	=>	'00200',
		'pána'	=>	'00002',
		'pánaf'	=>	'002000',
		'pánam'	=>	'002100',
		'pánan'	=>	'002100',
		'pánar'	=>	'002000',
		'pánas'	=>	'002100',
		'pánár'	=>	'002000',
		'páne'	=>	'00212',
		'pánék'	=>	'002000',
		'pánil'	=>	'002000',
		'pánir'	=>	'002000',
		'pánis'	=>	'002000',
		'pání'	=>	'00200',
		'pánkré'	=>	'0001000',
		'pánkt'	=>	'200000',
		'pánó'	=>	'00212',
		'pánö'	=>	'00200',
		'pánő'	=>	'00200',
		'pánsz'	=>	'000100',
		'pánte'	=>	'000002',
		'pántek'	=>	'0002000',
		'pántel'	=>	'0002100',
		'pánü'	=>	'00200',
		'pányad'	=>	'0020100',
		'pányal'	=>	'0020120',
		'pányan'	=>	'0020120',
		'pányar'	=>	'0020000',
		'pányat'	=>	'0020000',
		'pányau'	=>	'0020000',
		'pányaz'	=>	'0020000',
		'pánye'	=>	'002012',
		'pányérd'	=>	'00200000',
		'pányim'	=>	'0020000',
		'pányö'	=>	'002000',
		'pápo'	=>	'21200',
		'páradó'	=>	'0001000',
		'páras'	=>	'200000',
		'páráé'	=>	'200000',
		'párda'	=>	'000212',
		'párdel'	=>	'0002000',
		'páre'	=>	'00212',
		'párip'	=>	'002120',
		'párő'	=>	'00200',
		'párs'	=>	'00012',
		'pártag'	=>	'0002100',
		'pártal'	=>	'2000000',
		'pártany'	=>	'00001000',
		'pártari'	=>	'00020000',
		'pártál'	=>	'0002000',
		'párte'	=>	'000002',
		'pártel'	=>	'0002100',
		'pártem'	=>	'0002000',
		'pártes'	=>	'0002000',
		'pártet'	=>	'0002000',
		'pártél'	=>	'0002000',
		'pártéte'	=>	'00021200',
		'pártiz'	=>	'0002000',
		'pártott'	=>	'00020000',
		'pártö'	=>	'000002',
		'pártök'	=>	'0002000',
		'pártő'	=>	'000210',
		'pártus'	=>	'0002000',
		'pártü'	=>	'000002',
		'pártüz'	=>	'0002100',
		'páruh'	=>	'002000',
		'páruk'	=>	'002000',
		'párut'	=>	'000020',
		'párutu'	=>	'0001000',
		'párún'	=>	'002000',
		'párü'	=>	'00200',
		'pásás'	=>	'212000',
		'páse'	=>	'00210',
		'pásir'	=>	'002000',
		'páső'	=>	'00200',
		'páss'	=>	'00030',
		'pásü'	=>	'00212',
		'pásván'	=>	'2100000',
		'páta'	=>	'00212',
		'pátá'	=>	'00200',
		'pátel'	=>	'002000',
		'pátem'	=>	'002120',
		'pátis'	=>	'002000',
		'pátkát'	=>	'2100000',
		'pátkáv'	=>	'2100000',
		'pátlag'	=>	'0100000',
		'pátló'	=>	'210000',
		'pátor'	=>	'002100',
		'pátrak'	=>	'2100000',
		'pátté'	=>	'210000',
		'pátuk'	=>	'002100',
		'pátúrt'	=>	'0001000',
		'pátü'	=>	'00200',
		'pátvét'	=>	'2100000',
		'pbal'	=>	'00021',
		'pbérel'	=>	'0002120',
		'pblo'	=>	'00200',
		'pbra'	=>	'00200',
		'pbri'	=>	'00200',
		'pbro'	=>	'00200',
		'pciófo'	=>	'0002000',
		'pcsapág'	=>	'00002120',
		'pcsősorr'	=>	'000021000',
		'pdalad'	=>	'0002100',
		'pdalan'	=>	'0000100',
		'pdaleg'	=>	'0002000',
		'pdalel'	=>	'0002000',
		'pdales'	=>	'0002100',
		'pdalén'	=>	'0002000',
		'pdalí'	=>	'000212',
		'pdra'	=>	'00200',
		'pdrá'	=>	'00200',
		'pdro'	=>	'00200',
		'pdró'	=>	'00200',
		'pe'	=>	'100',
		'peap'	=>	'00020',
		'pear'	=>	'00020',
		'peca'	=>	'00001',
		'pecc'	=>	'00030',
		'pecz'	=>	'00200',
		'peed'	=>	'00200',
		'peff'	=>	'21000',
		'pefl'	=>	'00100',
		'pegese'	=>	'2120000',
		'pegész'	=>	'0000001',
		'pegr'	=>	'00120',
		'pegz'	=>	'21000',
		'pekei'	=>	'212000',
		'pekré'	=>	'001200',
		'pektr'	=>	'200000',
		'pelál'	=>	'002000',
		'pelár'	=>	'002000',
		'pelekt'	=>	'0020000',
		'pelemb'	=>	'2000000',
		'pelemek'	=>	'20200000',
		'pelemet'	=>	'00200000',
		'pelemé'	=>	'2120000',
		'pelemg'	=>	'2120000',
		'pelemh'	=>	'2120000',
		'pelemi'	=>	'2120000',
		'pelemk'	=>	'2120000',
		'pelemm'	=>	'2120000',
		'pelemn'	=>	'2120000',
		'pelemr'	=>	'2000000',
		'pelemz'	=>	'2120000',
		'peleró'	=>	'0001000',
		'pelet'	=>	'000020',
		'pelete'	=>	'0001000',
		'pelgo'	=>	'210000',
		'pelha'	=>	'210000',
		'pelhel'	=>	'2100000',
		'peljá'	=>	'200000',
		'pelleb'	=>	'2100000',
		'pelnev'	=>	'2100000',
		'pelny'	=>	'210000',
		'pelos'	=>	'002000',
		'pelö'	=>	'21200',
		'pelőa'	=>	'212000',
		'pelőá'	=>	'212000',
		'pelőe'	=>	'212000',
		'pelőg'	=>	'002000',
		'pelőh'	=>	'212000',
		'pelőí'	=>	'002000',
		'pelőjá'	=>	'2120000',
		'pelőjeg'	=>	'21200000',
		'pelől'	=>	'212000',
		'pelőz'	=>	'212000',
		'pelren'	=>	'2100000',
		'pelsö'	=>	'210000',
		'peltá'	=>	'210000',
		'pelto'	=>	'210000',
		'pelu'	=>	'20000',
		'pelvá'	=>	'210000',
		'pelvel'	=>	'0002100',
		'pelven'	=>	'2100000',
		'pelvh'	=>	'210000',
		'pelvi'	=>	'210000',
		'pelvo'	=>	'210000',
		'pelvű'	=>	'210000',
		'pely'	=>	'30000',
		'pelz'	=>	'21000',
		'pember'	=>	'2100000',
		'pemel'	=>	'212000',
		'pemés'	=>	'212000',
		'peml'	=>	'21000',
		'pems'	=>	'21000',
		'pemu'	=>	'21200',
		'pener'	=>	'212000',
		'penged'	=>	'2000000',
		'pennyb'	=>	'0003000',
		'pennyér'	=>	'00000100',
		'pennyh'	=>	'0003000',
		'pennyj'	=>	'0003000',
		'pennyk'	=>	'0003000',
		'pennym'	=>	'0003000',
		'pennyn'	=>	'0003000',
		'pennyr'	=>	'0003000',
		'pennyt'	=>	'0003000',
		'pennyv'	=>	'0003000',
		'penya'	=>	'002000',
		'penyá'	=>	'000002',
		'penyel'	=>	'0020120',
		'penyer'	=>	'0020120',
		'peol'	=>	'00020',
		'peop'	=>	'00020',
		'peór'	=>	'00020',
		'pepé'	=>	'21200',
		'pepr'	=>	'00120',
		'perakt'	=>	'0021000',
		'perall'	=>	'0001000',
		'perap'	=>	'000012',
		'percc'	=>	'000010',
		'percel'	=>	'0002100',
		'percin'	=>	'0002100',
		'perdő'	=>	'200000',
		'perecc'	=>	'0000010',
		'peregyez'	=>	'000000001',
		'perej'	=>	'012000',
		'perelk'	=>	'0021000',
		'perelőf'	=>	'00212000',
		'perelőké'	=>	'002120000',
		'peremért'	=>	'000020000',
		'perevé'	=>	'0001000',
		'perfa'	=>	'200000',
		'perid'	=>	'002000',
		'peril'	=>	'002100',
		'perina'	=>	'0021200',
		'periná'	=>	'0021200',
		'perind'	=>	'0021000',
		'pering'	=>	'0021000',
		'perí'	=>	'00200',
		'perk'	=>	'00012',
		'perl'	=>	'02000',
		'perokt'	=>	'0001000',
		'peros'	=>	'002100',
		'perox'	=>	'002120',
		'perór'	=>	'002120',
		'perőd'	=>	'002000',
		'perőf'	=>	'002000',
		'perői'	=>	'002000',
		'perőm'	=>	'002000',
		'perőn'	=>	'002000',
		'perőr'	=>	'002000',
		'perős'	=>	'212000',
		'perőt'	=>	'002000',
		'perőv'	=>	'002000',
		'perst'	=>	'000100',
		'persz'	=>	'000002',
		'perú'	=>	'00200',
		'perüg'	=>	'002120',
		'perül'	=>	'000020',
		'perülő'	=>	'0001000',
		'perült'	=>	'0001000',
		'perz'	=>	'02000',
		'pesebbel'	=>	'002100000',
		'pesebbő'	=>	'00210000',
		'pesésig'	=>	'00200000',
		'pesésű'	=>	'2120000',
		'pesői'	=>	'002000',
		'pesp'	=>	'00120',
		'pesszév'	=>	'21000000',
		'pesta'	=>	'000212',
		'pester'	=>	'0002100',
		'peszak'	=>	'0020000',
		'peszál'	=>	'0020100',
		'peszell'	=>	'00001000',
		'peszelv'	=>	'00201000',
		'peszem'	=>	'0000020',
		'peszeme'	=>	'00200000',
		'peszu'	=>	'002000',
		'peszül'	=>	'0020120',
		'petal'	=>	'002000',
		'petan'	=>	'002120',
		'petá'	=>	'00020',
		'petet'	=>	'000002',
		'petete'	=>	'2000000',
		'peteté'	=>	'2000000',
		'petető'	=>	'2120000',
		'petika'	=>	'2120000',
		'petim'	=>	'200000',
		'peto'	=>	'21200',
		'petti'	=>	'000210',
		'petűd'	=>	'002000',
		'peug'	=>	'00200',
		'pevő'	=>	'00200',
		'pezr'	=>	'21000',
		'pé'	=>	'100',
		'pécsu'	=>	'002000',
		'pédü'	=>	'00002',
		'pédülé'	=>	'0021000',
		'pééb'	=>	'20000',
		'pééi'	=>	'20000',
		'péén'	=>	'20000',
		'pége'	=>	'21200',
		'pégé'	=>	'21200',
		'pégéss'	=>	'0000030',
		'péhen'	=>	'212000',
		'péhes'	=>	'212000',
		'péhet'	=>	'212000',
		'péhs'	=>	'21000',
		'péje'	=>	'00002',
		'péjeg'	=>	'002100',
		'péji'	=>	'21200',
		'péjj'	=>	'21000',
		'pékas'	=>	'002100',
		'pékau'	=>	'002100',
		'péká'	=>	'00212',
		'péker'	=>	'002100',
		'pékék'	=>	'002100',
		'pékél'	=>	'002120',
		'pékét'	=>	'000020',
		'pékéte'	=>	'0021000',
		'pékin'	=>	'002120',
		'pékis'	=>	'002000',
		'pélb'	=>	'21000',
		'pélei'	=>	'002000',
		'pélek'	=>	'002000',
		'pélel'	=>	'000020',
		'pélele'	=>	'0001000',
		'pélelmei'	=>	'000100000',
		'pélen'	=>	'002000',
		'pélet'	=>	'002000',
		'pélé'	=>	'21200',
		'pélm'	=>	'20000',
		'péln'	=>	'21000',
		'pélő'	=>	'21200',
		'pélt'	=>	'21000',
		'pélű'	=>	'21200',
		'pélv'	=>	'21000',
		'péneka'	=>	'2000000',
		'pénekb'	=>	'2120000',
		'pénekd'	=>	'2000000',
		'péneké'	=>	'2120000',
		'pénekf'	=>	'2000000',
		'pénekg'	=>	'2000000',
		'péneki'	=>	'2120000',
		'pénekí'	=>	'2000000',
		'pénekj'	=>	'2000000',
		'pénekk'	=>	'2120000',
		'pénekn'	=>	'2120000',
		'pénekr'	=>	'2120000',
		'pénekt'	=>	'2120000',
		'pénekü'	=>	'2120000',
		'pényel'	=>	'0020100',
		'pénza'	=>	'000210',
		'pénzá'	=>	'000212',
		'pénzs'	=>	'000200',
		'pépip'	=>	'002120',
		'pépí'	=>	'21200',
		'pépü'	=>	'20000',
		'pérc'	=>	'21000',
		'pérd'	=>	'21000',
		'péré'	=>	'21200',
		'pérh'	=>	'21000',
		'périg'	=>	'002000',
		'périn'	=>	'212000',
		'pérm'	=>	'21000',
		'pérn'	=>	'21000',
		'pérr'	=>	'21000',
		'pérte'	=>	'210000',
		'pérté'	=>	'210000',
		'pértő'	=>	'210000',
		'pérv'	=>	'21000',
		'pérz'	=>	'21000',
		'pésaj'	=>	'002100',
		'pésal'	=>	'002000',
		'pésel'	=>	'002120',
		'pésés'	=>	'002000',
		'péskész'	=>	'00000001',
		'péso'	=>	'00200',
		'péssza'	=>	'0003000',
		'pésüt'	=>	'002120',
		'pésza'	=>	'002000',
		'pészaj'	=>	'0003000',
		'pészak'	=>	'0000100',
		'pészav'	=>	'0003000',
		'pészá'	=>	'002012',
		'pészemb'	=>	'00201000',
		'pészéné'	=>	'21200000',
		'pészin'	=>	'0020000',
		'pészo'	=>	'002010',
		'pészö'	=>	'002010',
		'pészs'	=>	'000030',
		'pészu'	=>	'002000',
		'pészú'	=>	'002000',
		'pészű'	=>	'002010',
		'péta'	=>	'00001',
		'pétel'	=>	'002000',
		'pétk'	=>	'21000',
		'pétl'	=>	'20000',
		'pétla'	=>	'010000',
		'pétr'	=>	'21000',
		'pétv'	=>	'21000',
		'pévb'	=>	'21000',
		'pévei'	=>	'200000',
		'pévek'	=>	'212000',
		'péven'	=>	'002000',
		'péves'	=>	'002000',
		'pévet'	=>	'212000',
		'pévf'	=>	'21000',
		'pévh'	=>	'21000',
		'pévk'	=>	'01000',
		'pévn'	=>	'21000',
		'pévr'	=>	'21000',
		'pévs'	=>	'21000',
		'pévt'	=>	'21000',
		'pévv'	=>	'21000',
		'pézak'	=>	'002000',
		'pézár'	=>	'002100',
		'pézel'	=>	'002000',
		'pézem'	=>	'002120',
		'pézi'	=>	'00002',
		'pézid'	=>	'002000',
		'pézin'	=>	'002000',
		'péziz'	=>	'002000',
		'pézol'	=>	'002000',
		'pézsa'	=>	'002000',
		'pézu'	=>	'00200',
		'pfép'	=>	'02100',
		'pfiúé'	=>	'000200',
		'pfiúkér'	=>	'00020000',
		'pflo'	=>	'00200',
		'pfló'	=>	'00200',
		'pflu'	=>	'00200',
		'pfrá'	=>	'00200',
		'pfre'	=>	'01200',
		'pfri'	=>	'01200',
		'pfrí'	=>	'01200',
		'pfro'	=>	'01200',
		'pfru'	=>	'00200',
		'pfst'	=>	'00100',
		'pgra'	=>	'00200',
		'pgru'	=>	'00200',
		'pgrü'	=>	'00200',
		'phade'	=>	'000200',
		'phai'	=>	'02020',
		'phanész'	=>	'10000000',
		'phed'	=>	'12000',
		'phelyükü'	=>	'000000200',
		'phia'	=>	'12002',
		'phic'	=>	'02000',
		'phila'	=>	'100000',
		'phoi'	=>	'12000',
		'phói'	=>	'00020',
		'pi'	=>	'100',
		'piaa'	=>	'00200',
		'piaá'	=>	'00200',
		'piaba'	=>	'002000',
		'piacel'	=>	'0002000',
		'piacél'	=>	'0002000',
		'piacik'	=>	'0002000',
		'piacse'	=>	'0002300',
		'piad'	=>	'00200',
		'piae'	=>	'00200',
		'piaé'	=>	'00200',
		'piag'	=>	'00200',
		'piah'	=>	'00200',
		'piaj'	=>	'00200',
		'pial'	=>	'00200',
		'piam'	=>	'00200',
		'piao'	=>	'00200',
		'piaö'	=>	'00200',
		'piap'	=>	'00200',
		'piaré'	=>	'002000',
		'piasza'	=>	'0020000',
		'piat'	=>	'00200',
		'piaú'	=>	'00200',
		'piaü'	=>	'00200',
		'piave'	=>	'002000',
		'piaz'	=>	'00200',
		'picc'	=>	'20000',
		'picl'	=>	'20000',
		'pida'	=>	'00002',
		'pidan'	=>	'002000',
		'pidea'	=>	'002000',
		'pideá'	=>	'002000',
		'pidei'	=>	'002000',
		'piden'	=>	'002000',
		'pideo'	=>	'002000',
		'pidom'	=>	'212000',
		'pidő'	=>	'21200',
		'pidu'	=>	'21200',
		'pieg'	=>	'00200',
		'pier'	=>	'00200',
		'piég'	=>	'00200',
		'pifr'	=>	'00100',
		'piga'	=>	'21200',
		'pige'	=>	'21200',
		'pigé'	=>	'21200',
		'pigo'	=>	'20000',
		'pihl'	=>	'21000',
		'pikö'	=>	'00210',
		'pili'	=>	'00020',
		'piliss'	=>	'0000030',
		'pilles'	=>	'2000000',
		'pillet'	=>	'2100000',
		'pillés'	=>	'2000000',
		'pillu'	=>	'200000',
		'pily'	=>	'21200',
		'pimá'	=>	'21200',
		'pimi'	=>	'21200',
		'pimm'	=>	'21000',
		'pinak'	=>	'000002',
		'pinap'	=>	'000010',
		'pind'	=>	'20000',
		'pinf'	=>	'21000',
		'pingas'	=>	'0002000',
		'pingár'	=>	'0002120',
		'pingelj'	=>	'00020000',
		'pingép'	=>	'0002000',
		'pingos'	=>	'0002000',
		'pingó'	=>	'210000',
		'pinj'	=>	'20000',
		'pinp'	=>	'21000',
		'pintác'	=>	'0002000',
		'pintor'	=>	'0002100',
		'pintőr'	=>	'0002000',
		'pintu'	=>	'000002',
		'pintur'	=>	'0002000',
		'pinü'	=>	'00200',
		'pinv'	=>	'21000',
		'pinz'	=>	'21000',
		'pionn'	=>	'000010',
		'pióa'	=>	'00200',
		'pióá'	=>	'00200',
		'pióe'	=>	'00200',
		'pióf'	=>	'00200',
		'pióg'	=>	'00200',
		'pióki'	=>	'002000',
		'piól'	=>	'00200',
		'pióma'	=>	'002000',
		'piómé'	=>	'002000',
		'pióo'	=>	'00200',
		'pióp'	=>	'00200',
		'pipai'	=>	'200000',
		'pipará'	=>	'2120000',
		'piparb'	=>	'2000000',
		'piparh'	=>	'2000000',
		'piparn'	=>	'2000000',
		'piparr'	=>	'2000000',
		'pirh'	=>	'21000',
		'pirod'	=>	'212000',
		'pisau'	=>	'000002',
		'pisko'	=>	'200000',
		'pisop'	=>	'002100',
		'piste'	=>	'210000',
		'pisza'	=>	'210000',
		'piszkoss'	=>	'000000010',
		'pitaj'	=>	'002100',
		'pitala'	=>	'0020000',
		'pitall'	=>	'0020000',
		'pitan'	=>	'002120',
		'pitáp'	=>	'002120',
		'pitä'	=>	'00100',
		'pithe'	=>	'001000',
		'pitoss'	=>	'0000010',
		'pitü'	=>	'00212',
		'pivás'	=>	'002000',
		'pizé'	=>	'21200',
		'pí'	=>	'100',
		'pígé'	=>	'00200',
		'píjá'	=>	'00200',
		'píné'	=>	'00200',
		'píra'	=>	'00212',
		'pírá'	=>	'00200',
		'pírál'	=>	'000100',
		'pírár'	=>	'000120',
		'pírás'	=>	'210000',
		'píre'	=>	'00212',
		'pírin'	=>	'002100',
		'píris'	=>	'000120',
		'pírí'	=>	'00200',
		'pírol'	=>	'002000',
		'píró'	=>	'21200',
		'pírö'	=>	'00212',
		'pírs'	=>	'00010',
		'pírt'	=>	'00002',
		'pírtr'	=>	'000100',
		'pírü'	=>	'00200',
		'pírű'	=>	'00200',
		'pítél'	=>	'200000',
		'pítm'	=>	'20000',
		'pítőa'	=>	'000002',
		'pítőel'	=>	'0000020',
		'píve'	=>	'00200',
		'píze'	=>	'00200',
		'pízé'	=>	'00200',
		'pízü'	=>	'00200',
		'pízű'	=>	'00200',
		'pkep'	=>	'00012',
		'pkes'	=>	'00012',
		'pkéss'	=>	'000010',
		'pkia'	=>	'00002',
		'pkiá'	=>	'00002',
		'pkie'	=>	'00002',
		'pkla'	=>	'00200',
		'pkli'	=>	'00200',
		'pklí'	=>	'00200',
		'pklu'	=>	'00200',
		'pkrá'	=>	'00200',
		'pkre'	=>	'00200',
		'pkré'	=>	'00200',
		'pkri'	=>	'00200',
		'pkro'	=>	'00200',
		'pkró'	=>	'00200',
		'pkva'	=>	'00200',
		'pkvó'	=>	'00200',
		'placc'	=>	'020000',
		'plakl'	=>	'000120',
		'plapal'	=>	'0002000',
		'plapáll'	=>	'00001000',
		'plaposz'	=>	'00021000',
		'platf'	=>	'020000',
		'plazmá'	=>	'1000000',
		'pleí'	=>	'00002',
		'pletan'	=>	'0002120',
		'pletel'	=>	'0002120',
		'pléé'	=>	'00002',
		'pléhas'	=>	'0002000',
		'pliszá'	=>	'0002300',
		'plome'	=>	'000210',
		'plomén'	=>	'0002000',
		'plomol'	=>	'0000100',
		'plót'	=>	'00002',
		'plótr'	=>	'000100',
		'plősa'	=>	'000200',
		'plőstá'	=>	'0001000',
		'plőszár'	=>	'00020000',
		'plume'	=>	'000210',
		'plur'	=>	'02000',
		'pmáss'	=>	'000010',
		'pmegg'	=>	'000010',
		'po'	=>	'100',
		'pobe'	=>	'00200',
		'pocsi'	=>	'000002',
		'pocsiz'	=>	'0020100',
		'podz'	=>	'00200',
		'pogáss'	=>	'0000010',
		'poin'	=>	'00200',
		'poki'	=>	'00002',
		'pokir'	=>	'212100',
		'pokí'	=>	'00200',
		'pokle'	=>	'210000',
		'pokló'	=>	'001200',
		'pokm'	=>	'21000',
		'pokola'	=>	'0000200',
		'pokoll'	=>	'0000010',
		'pokta'	=>	'210000',
		'poktá'	=>	'210000',
		'poláss'	=>	'0000010',
		'polcan'	=>	'0002000',
		'polcc'	=>	'000030',
		'polcs'	=>	'000230',
		'polda'	=>	'210000',
		'polóá'	=>	'000002',
		'poltár'	=>	'2000000',
		'poltás'	=>	'2100000',
		'polti'	=>	'210000',
		'poltó'	=>	'210000',
		'polvas'	=>	'2000000',
		'pona'	=>	'00210',
		'poncso'	=>	'0002300',
		'ponel'	=>	'002000',
		'ponge'	=>	'000210',
		'poni'	=>	'00002',
		'poniz'	=>	'002000',
		'ponn'	=>	'00030',
		'ponosz'	=>	'0021000',
		'pontad'	=>	'0002120',
		'pontag'	=>	'0002000',
		'pontal'	=>	'0002120',
		'pontany'	=>	'00001000',
		'pontál'	=>	'0002000',
		'pontár'	=>	'0002000',
		'ponte'	=>	'000002',
		'pontel'	=>	'0002100',
		'pontem'	=>	'0002000',
		'ponten'	=>	'0002000',
		'pontes'	=>	'0002000',
		'ponték'	=>	'0002000',
		'pontéte'	=>	'00021000',
		'pontisz'	=>	'00020000',
		'pontí'	=>	'000200',
		'pontő'	=>	'000212',
		'ponz'	=>	'20000',
		'pool'	=>	'00200',
		'popa'	=>	'00212',
		'popá'	=>	'00212',
		'popc'	=>	'20000',
		'pope'	=>	'20200',
		'popel'	=>	'000100',
		'popi'	=>	'00002',
		'popik'	=>	'002000',
		'popin'	=>	'002100',
		'popir'	=>	'002100',
		'popis'	=>	'002000',
		'popol'	=>	'002120',
		'popp'	=>	'00012',
		'pops'	=>	'00010',
		'popsz'	=>	'000002',
		'popt'	=>	'20012',
		'popú'	=>	'00200',
		'popü'	=>	'00200',
		'porac'	=>	'002120',
		'porag'	=>	'002100',
		'porakk'	=>	'0020000',
		'porala'	=>	'0001000',
		'porall'	=>	'0001000',
		'poram'	=>	'002000',
		'poran'	=>	'000020',
		'porany'	=>	'0001000',
		'porar'	=>	'002120',
		'porat'	=>	'002000',
		'porács'	=>	'0001000',
		'poráll'	=>	'0001000',
		'porcan'	=>	'0002000',
		'porch'	=>	'000230',
		'porcsí'	=>	'0002300',
		'pore'	=>	'00002',
		'porec'	=>	'002000',
		'pores'	=>	'002000',
		'porf'	=>	'00012',
		'porg'	=>	'00012',
		'porid'	=>	'002000',
		'porie'	=>	'200000',
		'porih'	=>	'002000',
		'poril'	=>	'002100',
		'porim'	=>	'002120',
		'porin'	=>	'002100',
		'pork'	=>	'00012',
		'porö'	=>	'00200',
		'porő'	=>	'00200',
		'portamb'	=>	'00020000',
		'portau'	=>	'0002100',
		'portárá'	=>	'00021200',
		'portárb'	=>	'00020000',
		'portárn'	=>	'00020000',
		'portej'	=>	'0002000',
		'portem'	=>	'0002100',
		'portet'	=>	'0002000',
		'portél'	=>	'0002000',
		'portérk'	=>	'00021000',
		'portik'	=>	'0002120',
		'portiz'	=>	'0002000',
		'portív'	=>	'0002100',
		'portur'	=>	'0002000',
		'portusz'	=>	'00021000',
		'portut'	=>	'0002000',
		'portúr'	=>	'0002000',
		'portű'	=>	'000200',
		'porü'	=>	'00200',
		'porvo'	=>	'210000',
		'posszo'	=>	'0003000',
		'posszö'	=>	'0003000',
		'postol'	=>	'2000000',
		'posty'	=>	'210000',
		'posü'	=>	'00200',
		'posze'	=>	'002000',
		'poszí'	=>	'002000',
		'poszl'	=>	'210000',
		'posztü'	=>	'0000200',
		'potab'	=>	'002000',
		'potad'	=>	'002000',
		'potal'	=>	'002120',
		'potan'	=>	'002000',
		'potau'	=>	'002120',
		'potel'	=>	'002120',
		'potinf'	=>	'0021000',
		'potip'	=>	'002100',
		'potí'	=>	'00212',
		'potol'	=>	'002000',
		'potö'	=>	'00200',
		'potus'	=>	'002000',
		'potü'	=>	'00200',
		'povi'	=>	'00200',
		'pó'	=>	'100',
		'póce'	=>	'00200',
		'pófr'	=>	'00100',
		'póig'	=>	'00020',
		'pókass'	=>	'0021000',
		'pókau'	=>	'002000',
		'pókel'	=>	'002120',
		'pókem'	=>	'002000',
		'póket'	=>	'002000',
		'pókid'	=>	'002100',
		'pókim'	=>	'002000',
		'pókis'	=>	'000020',
		'pókisz'	=>	'0001000',
		'pókiv'	=>	'002000',
		'pókös'	=>	'002100',
		'pókú'	=>	'00210',
		'pólan'	=>	'002100',
		'pólá'	=>	'00210',
		'pólom'	=>	'002000',
		'pópr'	=>	'00120',
		'pórad'	=>	'012000',
		'pórász'	=>	'0001200',
		'póre'	=>	'00002',
		'póreg'	=>	'002000',
		'pórem'	=>	'002000',
		'póriá'	=>	'012000',
		'pórö'	=>	'00200',
		'pósor'	=>	'002100',
		'póss'	=>	'00030',
		'pósüv'	=>	'002120',
		'póta'	=>	'00002',
		'pótad'	=>	'002100',
		'pótal'	=>	'002000',
		'pótan'	=>	'002100',
		'pótér'	=>	'000020',
		'pótil'	=>	'002000',
		'pótü'	=>	'00002',
		'pótül'	=>	'002000',
		'póün'	=>	'20000',
		'póvó'	=>	'21200',
		'póze'	=>	'00200',
		'pózsá'	=>	'002300',
		'pö'	=>	'100',
		'pöka'	=>	'00200',
		'pöká'	=>	'00200',
		'pökel'	=>	'002000',
		'pöker'	=>	'002000',
		'pökid'	=>	'002000',
		'pöko'	=>	'01200',
		'pöku'	=>	'00200',
		'pökú'	=>	'00200',
		'pölye'	=>	'002000',
		'pönt'	=>	'20000',
		'pöra'	=>	'00200',
		'pördö'	=>	'010000',
		'pöres'	=>	'002000',
		'pörg'	=>	'30000',
		'pöro'	=>	'00200',
		'pörő'	=>	'00210',
		'pörú'	=>	'00200',
		'pöss'	=>	'21000',
		'pötl'	=>	'01000',
		'pöttyin'	=>	'00000100',
		'pötv'	=>	'21000',
		'pöve'	=>	'00200',
		'pő'	=>	'100',
		'pőan'	=>	'00020',
		'pőág'	=>	'00020',
		'pőbl'	=>	'00100',
		'pődro'	=>	'001000',
		'pőer'	=>	'00020',
		'pőéh'	=>	'00020',
		'pőél'	=>	'00020',
		'pőkl'	=>	'00100',
		'pőpl'	=>	'00100',
		'pőpr'	=>	'00100',
		'pőrj'	=>	'01000',
		'pőrl'	=>	'01000',
		'pőrn'	=>	'21000',
		'pőrs'	=>	'01000',
		'pőrt'	=>	'21000',
		'pőrü'	=>	'01200',
		'pőrz'	=>	'21000',
		'pősz'	=>	'00100',
		'ppada'	=>	'001000',
		'ppai'	=>	'00002',
		'ppaj'	=>	'00020',
		'ppajá'	=>	'001000',
		'ppakk'	=>	'001000',
		'ppanad'	=>	'0002000',
		'ppanell'	=>	'00021000',
		'ppank'	=>	'000012',
		'ppany'	=>	'001000',
		'pparc'	=>	'001000',
		'ppas'	=>	'00010',
		'ppáll'	=>	'001000',
		'ppárj'	=>	'021000',
		'ppárok'	=>	'0212000',
		'ppátm'	=>	'001000',
		'ppáto'	=>	'021200',
		'ppátv'	=>	'001000',
		'ppegy'	=>	'021200',
		'ppekéh'	=>	'0212000',
		'ppelo'	=>	'021000',
		'ppelr'	=>	'021000',
		'ppera'	=>	'000210',
		'pperó'	=>	'000200',
		'ppég'	=>	'02100',
		'ppéks'	=>	'021000',
		'pphó'	=>	'00200',
		'ppinge'	=>	'0000212',
		'ppíg'	=>	'00100',
		'ppkl'	=>	'00100',
		'pplas'	=>	'002000',
		'pplat'	=>	'002000',
		'ppoly'	=>	'001200',
		'pporom'	=>	'0212000',
		'pportár'	=>	'00002120',
		'pporte'	=>	'0000212',
		'pportő'	=>	'0000212',
		'ppól'	=>	'02120',
		'ppórá'	=>	'001000',
		'ppön'	=>	'00100',
		'ppöv'	=>	'00100',
		'ppöz'	=>	'00120',
		'ppref'	=>	'012000',
		'pprem'	=>	'012000',
		'pprez'	=>	'012000',
		'pprém'	=>	'012000',
		'pprin'	=>	'002000',
		'pprio'	=>	'002000',
		'pproc'	=>	'012000',
		'pprod'	=>	'012000',
		'pprof'	=>	'010000',
		'pprog'	=>	'010000',
		'pproj'	=>	'010000',
		'ppros'	=>	'012000',
		'pprot'	=>	'012000',
		'pprób'	=>	'002000',
		'ppsp'	=>	'00100',
		'ppúg'	=>	'02100',
		'ppví'	=>	'00002',
		'ppvíz'	=>	'000001',
		'prax'	=>	'12000',
		'premi'	=>	'020000',
		'prepa'	=>	'120000',
		'presszb'	=>	'00000020',
		'pret'	=>	'20000',
		'pretá'	=>	'000020',
		'prédi'	=>	'120000',
		'prép'	=>	'02000',
		'présa'	=>	'000200',
		'prészá'	=>	'0002300',
		'priccs'	=>	'0200000',
		'prius'	=>	'020000',
		'prizm'	=>	'020000',
		'prímel'	=>	'0002120',
		'prímem'	=>	'0002000',
		'probl'	=>	'100000',
		'proce'	=>	'120000',
		'prof'	=>	'02000',
		'profe'	=>	'100000',
		'prog'	=>	'02000',
		'proj'	=>	'02000',
		'proje'	=>	'100000',
		'promo'	=>	'000200',
		'propa'	=>	'020000',
		'prote'	=>	'120000',
		'proté'	=>	'100000',
		'proto'	=>	'120000',
		'provo'	=>	'120000',
		'próbá'	=>	'100000',
		'próde'	=>	'000210',
		'pródz'	=>	'000200',
		'próza'	=>	'120000',
		'pruság'	=>	'0002100',
		'pruse'	=>	'000200',
		'prüs'	=>	'12000',
		'psad'	=>	'02120',
		'pségel'	=>	'0002000',
		'psiha'	=>	'001200',
		'psíze'	=>	'001200',
		'pská'	=>	'01200',
		'psmi'	=>	'01200',
		'psón'	=>	'02100',
		'psöz'	=>	'02120',
		'pspe'	=>	'01200',
		'pspi'	=>	'00200',
		'pspo'	=>	'01200',
		'pspr'	=>	'00100',
		'psrá'	=>	'00200',
		'psszó'	=>	'003000',
		'pstá'	=>	'01200',
		'psti'	=>	'00200',
		'pstí'	=>	'01200',
		'psto'	=>	'00200',
		'pstr'	=>	'01020',
		'pstu'	=>	'00200',
		'pstú'	=>	'01200',
		'pszakü'	=>	'0000210',
		'pszany'	=>	'0001000',
		'pszas'	=>	'020100',
		'pszatl'	=>	'0001000',
		'pszág'	=>	'020100',
		'pszáp'	=>	'003000',
		'pszég'	=>	'020000',
		'pszfé'	=>	'000200',
		'pszic'	=>	'120000',
		'pszill'	=>	'0201000',
		'psziss'	=>	'0000030',
		'pszk'	=>	'00012',
		'pszold'	=>	'0001000',
		'pszorn'	=>	'0001000',
		'pszön'	=>	'020100',
		'pszös'	=>	'020100',
		'pszs'	=>	'00030',
		'ptad'	=>	'00020',
		'ptada'	=>	'001000',
		'ptanás'	=>	'0002120',
		'ptane'	=>	'000200',
		'ptáraj'	=>	'0002000',
		'ptáró'	=>	'000002',
		'ptárór'	=>	'0002000',
		'pteg'	=>	'02100',
		'ptelő'	=>	'021200',
		'ptels'	=>	'021000',
		'pterál'	=>	'0002000',
		'ptéká'	=>	'000200',
		'ptékel'	=>	'0002100',
		'ptérd'	=>	'021000',
		'ptin'	=>	'02120',
		'ptio'	=>	'02120',
		'ptir'	=>	'02120',
		'ptír'	=>	'02120',
		'ptkl'	=>	'00100',
		'ptöt'	=>	'02100',
		'ptrag'	=>	'012000',
		'ptran'	=>	'012000',
		'ptrá'	=>	'01200',
		'ptré'	=>	'00200',
		'ptusze'	=>	'0002000',
		'ptuszi'	=>	'0002000',
		'ptúrr'	=>	'021000',
		'ptüt'	=>	'02100',
		'pu'	=>	'100',
		'puad'	=>	'00020',
		'pucsor'	=>	'0020000',
		'puel'	=>	'00020',
		'pugr'	=>	'21000',
		'puká'	=>	'20000',
		'pultas'	=>	'0002000',
		'puni'	=>	'21200',
		'puno'	=>	'20000',
		'punó'	=>	'21200',
		'puor'	=>	'00020',
		'pupr'	=>	'00100',
		'purak'	=>	'002000',
		'pural'	=>	'002000',
		'pusad'	=>	'002000',
		'pusal'	=>	'002000',
		'pusan'	=>	'000020',
		'pusany'	=>	'0001000',
		'pusap'	=>	'002000',
		'pusál'	=>	'002000',
		'pusátl'	=>	'0021000',
		'puse'	=>	'00212',
		'pusérté'	=>	'00210000',
		'pusik'	=>	'002000',
		'pusis'	=>	'002000',
		'pusí'	=>	'00200',
		'pusol'	=>	'002000',
		'pusö'	=>	'00200',
		'puső'	=>	'00200',
		'puss'	=>	'00002',
		'pussz'	=>	'000002',
		'pust'	=>	'00002',
		'pusü'	=>	'00200',
		'puszag'	=>	'0020000',
		'puszal'	=>	'0020000',
		'puszép'	=>	'0000120',
		'puszö'	=>	'002000',
		'putab'	=>	'002000',
		'putad'	=>	'002120',
		'putak'	=>	'002000',
		'putan'	=>	'000020',
		'putaz'	=>	'212000',
		'puting'	=>	'0001000',
		'putol'	=>	'002000',
		'putód'	=>	'002000',
		'putóp'	=>	'212000',
		'putrá'	=>	'001000',
		'pú'	=>	'100',
		'púrf'	=>	'21000',
		'púsz'	=>	'00200',
		'pútb'	=>	'21000',
		'púté'	=>	'00200',
		'púti'	=>	'21200',
		'pútj'	=>	'21000',
		'pútk'	=>	'21000',
		'pútn'	=>	'21000',
		'púto'	=>	'21200',
		'pútp'	=>	'21000',
		'pútr'	=>	'21000',
		'pútt'	=>	'21000',
		'pútv'	=>	'21000',
		'pü'	=>	'100',
		'püge'	=>	'00200',
		'pügy'	=>	'00200',
		'pükü'	=>	'00200',
		'püle'	=>	'20000',
		'pületo'	=>	'0000210',
		'pünn'	=>	'21000',
		'püre'	=>	'00200',
		'pürí'	=>	'21200',
		'püst'	=>	'21000',
		'püte'	=>	'21200',
		'püté'	=>	'00200',
		'pütk'	=>	'21000',
		'pütö'	=>	'21200',
		'püve'	=>	'00200',
		'püze'	=>	'00200',
		'pű'	=>	'100',
		'pűző'	=>	'00200',
		'pváral'	=>	'0002100',
		'pwhi'	=>	'00200',
		'pwhisky'	=>	'00000002',
		'pyba'	=>	'00200',
		'pybó'	=>	'00200',
		'pydo'	=>	'00200',
		'pyho'	=>	'00200',
		'pyja'	=>	'00200',
		'pyjá'	=>	'00200',
		'pyka'	=>	'00200',
		'pyké'	=>	'00200',
		'pyki'	=>	'00200',
		'pyko'	=>	'00200',
		'pyma'	=>	'00200',
		'pyna'	=>	'00200',
		'pyná'	=>	'00200',
		'pyra'	=>	'00200',
		'pyró'	=>	'00200',
		'pyth'	=>	'00120',
		'pytó'	=>	'00200',
		'pyva'	=>	'00200',
		'pyvá'	=>	'00200',
		'pzeta'	=>	'000212',
		'pzetá'	=>	'000212',
		'pzeter'	=>	'0002120',
		'pzőa'	=>	'00002',
		'pzőe'	=>	'00002',
		'pzőé'	=>	'00002',
		'qa'	=>	'100',
		'qá'	=>	'100',
		'qe'	=>	'100',
		'qé'	=>	'100',
		'qi'	=>	'100',
		'qí'	=>	'100',
		'qo'	=>	'100',
		'qó'	=>	'100',
		'qö'	=>	'100',
		'qő'	=>	'100',
		'qu'	=>	'100',
		'quae'	=>	'00200',
		'quat'	=>	'00200',
		'quer'	=>	'00200',
		'quez'	=>	'00200',
		'quezi'	=>	'000200',
		'québ'	=>	'00200',
		'quie'	=>	'00200',
		'quij'	=>	'00200',
		'quil'	=>	'00200',
		'quin'	=>	'00200',
		'quis'	=>	'00200',
		'quod'	=>	'00200',
		'qú'	=>	'100',
		'qü'	=>	'100',
		'qű'	=>	'100',
		'ra'	=>	'100',
		'raad'	=>	'00020',
		'raátad'	=>	'0000020',
		'rabad'	=>	'002000',
		'rabasz'	=>	'0001000',
		'rabára'	=>	'0001200',
		'rabárb'	=>	'0001000',
		'rabárr'	=>	'0001000',
		'rabát'	=>	'002100',
		'rabele'	=>	'0021000',
		'rabell'	=>	'0021000',
		'rabid'	=>	'002000',
		'rabig'	=>	'000020',
		'rabiga'	=>	'0021000',
		'rabigá'	=>	'0021000',
		'rabim'	=>	'002100',
		'rabiná'	=>	'0021200',
		'rabind'	=>	'0020000',
		'rabint'	=>	'0021000',
		'rabla'	=>	'200000',
		'rabri'	=>	'001000',
		'rabuj'	=>	'002000',
		'racaj'	=>	'002100',
		'raccsa'	=>	'0003000',
		'racet'	=>	'002000',
		'racha'	=>	'002000',
		'rachig'	=>	'0003000',
		'rachok'	=>	'0023000',
		'rachos'	=>	'0023000',
		'rachot'	=>	'0023000',
		'racid'	=>	'212000',
		'rackar'	=>	'0002000',
		'rackit'	=>	'0002000',
		'rackö'	=>	'000212',
		'rackü'	=>	'000200',
		'radag'	=>	'002000',
		'radalé'	=>	'0020000',
		'radarad'	=>	'00002000',
		'radaté'	=>	'2000000',
		'radáss'	=>	'0000010',
		'radí'	=>	'02300',
		'radíc'	=>	'200000',
		'radm'	=>	'20000',
		'radóz'	=>	'212000',
		'radrá'	=>	'001000',
		'radru'	=>	'001000',
		'radus'	=>	'002000',
		'raer'	=>	'00020',
		'raéderb'	=>	'00020000',
		'raédere'	=>	'00020000',
		'raéderh'	=>	'00020000',
		'raédern'	=>	'00020000',
		'raéderr'	=>	'00020000',
		'raédert'	=>	'00020000',
		'raér'	=>	'00020',
		'rafikuss'	=>	'000000010',
		'rafl'	=>	'00100',
		'ragak'	=>	'002000',
		'ragalo'	=>	'0001000',
		'ragác'	=>	'002100',
		'ragáé'	=>	'002000',
		'ragán'	=>	'212000',
		'ragde'	=>	'000200',
		'ragdi'	=>	'000002',
		'ragdin'	=>	'0002000',
		'ragel'	=>	'002000',
		'ragyat'	=>	'0020000',
		'ragyn'	=>	'210000',
		'ragyon'	=>	'0020000',
		'ragyr'	=>	'210000',
		'raio'	=>	'00020',
		'raizá'	=>	'200000',
		'raizi'	=>	'200000',
		'raizn'	=>	'200000',
		'raizó'	=>	'200000',
		'raizu'	=>	'200000',
		'rajad'	=>	'002120',
		'rajau'	=>	'002100',
		'rajáru'	=>	'0021200',
		'rajes'	=>	'002100',
		'rajin'	=>	'002000',
		'rajkáró'	=>	'20000000',
		'rajkú'	=>	'210000',
		'rajob'	=>	'000002',
		'rajtel'	=>	'0002120',
		'rajten'	=>	'0002100',
		'rajzat'	=>	'0002000',
		'rajze'	=>	'000210',
		'rajzón'	=>	'0002100',
		'rajzs'	=>	'000230',
		'rakara'	=>	'2120000',
		'rakkép'	=>	'0002000',
		'rakkis'	=>	'0002000',
		'rakli'	=>	'001200',
		'raklo'	=>	'001000',
		'rakló'	=>	'001000',
		'raklu'	=>	'001000',
		'raknáb'	=>	'2000000',
		'raknái'	=>	'2000000',
		'rakóz'	=>	'012000',
		'rakre'	=>	'000200',
		'rakré'	=>	'001200',
		'rakri'	=>	'001200',
		'rakrom'	=>	'0002000',
		'raktuss'	=>	'00000010',
		'rakus'	=>	'212000',
		'ralab'	=>	'020000',
		'ralag'	=>	'212021',
		'ralaku'	=>	'2020000',
		'ralapa'	=>	'0020000',
		'ralapú'	=>	'0120000',
		'ralázá'	=>	'0020000',
		'ralázó'	=>	'0020000',
		'ralb'	=>	'21000',
		'ralji'	=>	'210000',
		'ralk'	=>	'20000',
		'rallak'	=>	'0000020',
		'rallakó'	=>	'00021000',
		'rallat'	=>	'0002100',
		'rallá'	=>	'000002',
		'rallág'	=>	'0002000',
		'rallál'	=>	'0002000',
		'rallev'	=>	'0002000',
		'ralome'	=>	'0000210',
		'ramab'	=>	'002000',
		'ramada'	=>	'0001000',
		'ramai'	=>	'200000',
		'ramakk'	=>	'0001000',
		'ramal'	=>	'000020',
		'ramala'	=>	'0001000',
		'ramany'	=>	'0021000',
		'ramáll'	=>	'0001000',
		'ramárá'	=>	'0021000',
		'ramárb'	=>	'0021000',
		'ramáre'	=>	'0021000',
		'ramárh'	=>	'0021000',
		'ramárn'	=>	'0021000',
		'ramárr'	=>	'0021000',
		'ramb'	=>	'00010',
		'raméhe'	=>	'0021000',
		'ramide'	=>	'0001000',
		'ramiko'	=>	'0001200',
		'ramill'	=>	'0001000',
		'ramim'	=>	'002100',
		'ramina'	=>	'0001000',
		'raminf'	=>	'0001000',
		'raming'	=>	'0001000',
		'raminj'	=>	'0001000',
		'ramip'	=>	'002120',
		'rammb'	=>	'200000',
		'rammet'	=>	'2000000',
		'rammi'	=>	'200000',
		'rammj'	=>	'200000',
		'rammn'	=>	'200000',
		'rammr'	=>	'200000',
		'rammt'	=>	'200000',
		'ramosz'	=>	'0021000',
		'ramór'	=>	'002120',
		'ramö'	=>	'00200',
		'ramő'	=>	'00200',
		'ramü'	=>	'00200',
		'ranal'	=>	'212000',
		'ranat'	=>	'212000',
		'ranáss'	=>	'0000010',
		'rancsal'	=>	'00020000',
		'rancság'	=>	'00000100',
		'rancse'	=>	'0002000',
		'rancsik'	=>	'00020000',
		'rancső'	=>	'0002000',
		'rancsz'	=>	'0000030',
		'randat'	=>	'0002000',
		'randau'	=>	'0002100',
		'randj'	=>	'200000',
		'randz'	=>	'000200',
		'ranek'	=>	'002000',
		'ranga'	=>	'000212',
		'rangá'	=>	'000210',
		'range'	=>	'000200',
		'rangel'	=>	'0000120',
		'rangó'	=>	'000212',
		'rangye'	=>	'0002000',
		'ranil'	=>	'002000',
		'ranim'	=>	'002000',
		'ranka'	=>	'200000',
		'ranszál'	=>	'00020000',
		'ransze'	=>	'0002000',
		'ranszomb'	=>	'000001000',
		'ranyag'	=>	'0020000',
		'ranyala'	=>	'00001200',
		'ranyan'	=>	'0020120',
		'ranyap'	=>	'0020000',
		'ranyar'	=>	'0020100',
		'ranyáit'	=>	'01200000',
		'ranyáka'	=>	'01200000',
		'ranyákh'	=>	'01200000',
		'ranyákk'	=>	'01200000',
		'ranyál'	=>	'0020100',
		'ranyás'	=>	'0020000',
		'ranyb'	=>	'200000',
		'ranyes'	=>	'0020120',
		'ranyé'	=>	'200000',
		'ranyél'	=>	'0020000',
		'ranyh'	=>	'200000',
		'ranyid'	=>	'0020000',
		'ranyin'	=>	'0020000',
		'ranyir'	=>	'0020000',
		'ranyír'	=>	'0000120',
		'ranyk'	=>	'200000',
		'ranyn'	=>	'200000',
		'ranyol'	=>	'0020100',
		'ranyó'	=>	'202000',
		'ranyór'	=>	'0000120',
		'ranyö'	=>	'002000',
		'ranyr'	=>	'200000',
		'ranys'	=>	'200000',
		'ranyt'	=>	'200000',
		'ranyü'	=>	'002010',
		'ranza'	=>	'200000',
		'raóa'	=>	'00200',
		'raóá'	=>	'00200',
		'raóf'	=>	'00200',
		'raólá'	=>	'002000',
		'raóm'	=>	'00200',
		'raóp'	=>	'00200',
		'raósz'	=>	'002000',
		'rapák'	=>	'002000',
		'rapp'	=>	'20000',
		'rappin'	=>	'0002000',
		'rapre'	=>	'001200',
		'rapré'	=>	'001000',
		'rapri'	=>	'001200',
		'rapro'	=>	'001200',
		'rarann'	=>	'2000000',
		'raranyá'	=>	'21200000',
		'raranyb'	=>	'20000000',
		'raranyn'	=>	'20000000',
		'raranyr'	=>	'20000000',
		'raranyt'	=>	'21000000',
		'rarat'	=>	'002000',
		'rarco'	=>	'210000',
		'rarén'	=>	'002000',
		'rart'	=>	'21000',
		'rarz'	=>	'21000',
		'raská'	=>	'001200',
		'rasl'	=>	'00120',
		'raspe'	=>	'001200',
		'raspo'	=>	'001200',
		'rassze'	=>	'0000010',
		'rasszoc'	=>	'20000000',
		'rast'	=>	'00002',
		'rasta'	=>	'001200',
		'rastá'	=>	'001000',
		'rastr'	=>	'001000',
		'raszabl'	=>	'00201000',
		'raszaj'	=>	'0020100',
		'raszas'	=>	'0020000',
		'raszat'	=>	'0020000',
		'raszág'	=>	'0020000',
		'raszárr'	=>	'00201000',
		'raszemb'	=>	'00001000',
		'raszétt'	=>	'00201000',
		'raszób'	=>	'0020000',
		'raszói'	=>	'0020000',
		'raszón'	=>	'0020000',
		'raszös'	=>	'0020000',
		'rasztany'	=>	'000021200',
		'rasztel'	=>	'00002100',
		'rasztéte'	=>	'000021200',
		'rasztö'	=>	'0000200',
		'rasztü'	=>	'0000200',
		'ratad'	=>	'002120',
		'ratajt'	=>	'0001000',
		'ratala'	=>	'0001200',
		'ratalt'	=>	'0001000',
		'ratará'	=>	'0001000',
		'ratád'	=>	'212000',
		'ratáll'	=>	'0001000',
		'ratárad'	=>	'00210000',
		'ratárai'	=>	'00212000',
		'ratárak'	=>	'00212000',
		'ratárb'	=>	'0021000',
		'ratárv'	=>	'0021000',
		'ratáta'	=>	'0000012',
		'ratávi'	=>	'0000200',
		'rateg'	=>	'002120',
		'ratelk'	=>	'0021000',
		'ratell'	=>	'0021000',
		'ratég'	=>	'200000',
		'ratége'	=>	'0001000',
		'ratérd'	=>	'0021000',
		'ratérke'	=>	'00010000',
		'ratérte'	=>	'00200000',
		'ratérv'	=>	'0021000',
		'rating'	=>	'0001000',
		'ratír'	=>	'002100',
		'ratíve'	=>	'0021000',
		'ratká'	=>	'210000',
		'ratlé'	=>	'200000',
		'ratran'	=>	'0012000',
		'rattr'	=>	'210000',
		'ratür'	=>	'002000',
		'raty'	=>	'20000',
		'ratya'	=>	'002000',
		'ratyá'	=>	'002000',
		'ratyu'	=>	'002000',
		'raudi'	=>	'002000',
		'rauk'	=>	'21200',
		'raulá'	=>	'002000',
		'raum'	=>	'20000',
		'raun'	=>	'00020',
		'rauta'	=>	'000200',
		'rautá'	=>	'000200',
		'rauto'	=>	'002000',
		'rautó'	=>	'210000',
		'rautóé'	=>	'0000002',
		'raüt'	=>	'00020',
		'raüz'	=>	'00020',
		'ravató'	=>	'2000000',
		'ravú'	=>	'20000',
		'raxü'	=>	'00200',
		'raye'	=>	'00100',
		'rayé'	=>	'00100',
		'razajt'	=>	'0001000',
		'razan'	=>	'000020',
		'razany'	=>	'0021000',
		'razel'	=>	'002000',
		'razolt'	=>	'0021000',
		'razono'	=>	'0020000',
		'rá'	=>	'100',
		'rábre'	=>	'001000',
		'rácal'	=>	'002000',
		'ráce'	=>	'00210',
		'rách'	=>	'00230',
		'rácin'	=>	'002120',
		'rációf'	=>	'0000200',
		'rácö'	=>	'00200',
		'rácsala'	=>	'00200000',
		'rácság'	=>	'0003000',
		'rácsét'	=>	'0020000',
		'rácsir'	=>	'0020000',
		'rácsis'	=>	'0020100',
		'rácú'	=>	'00200',
		'rácü'	=>	'00200',
		'rádany'	=>	'0021000',
		'rádáh'	=>	'200000',
		'ráddá'	=>	'200000',
		'rádju'	=>	'200000',
		'ráfha'	=>	'200000',
		'ráfhe'	=>	'200000',
		'ráfhi'	=>	'200000',
		'ráfid'	=>	'200000',
		'ráfre'	=>	'200000',
		'rágad'	=>	'000100',
		'rágam'	=>	'200000',
		'rágaz'	=>	'212000',
		'rágázá'	=>	'0001200',
		'rágia'	=>	'002000',
		'rágil'	=>	'002000',
		'rágim'	=>	'002000',
		'rágis'	=>	'002000',
		'rágí'	=>	'20000',
		'rágosz'	=>	'0021000',
		'rágus'	=>	'000004',
		'rágü'	=>	'00200',
		'rágya'	=>	'200000',
		'rágyáb'	=>	'2000000',
		'rágyáé'	=>	'2000000',
		'rágyáh'	=>	'2000000',
		'rágyái'	=>	'2000000',
		'rágyáj'	=>	'2000000',
		'rágyák'	=>	'2000000',
		'rágyán'	=>	'2000000',
		'rágyár'	=>	'2000000',
		'rágyás'	=>	'2000000',
		'rágyát'	=>	'2000000',
		'rágyáv'	=>	'2000000',
		'rágyu'	=>	'002000',
		'ráír'	=>	'00020',
		'rájka'	=>	'000212',
		'rájkel'	=>	'0002000',
		'rájkó'	=>	'000212',
		'rájü'	=>	'00200',
		'rákát'	=>	'002000',
		'rákered'	=>	'00210000',
		'rákes'	=>	'002120',
		'rákla'	=>	'001000',
		'rákog'	=>	'200000',
		'rákosz'	=>	'0021000',
		'rákón'	=>	'002100',
		'rákór'	=>	'002120',
		'rákrá'	=>	'001000',
		'rákrét'	=>	'0010000',
		'rálak'	=>	'002100',
		'rálal'	=>	'002120',
		'rálana'	=>	'0020000',
		'rálar'	=>	'210000',
		'rálate'	=>	'0000210',
		'rálál'	=>	'002000',
		'rálátl'	=>	'0001000',
		'rálcá'	=>	'010000',
		'ráldá'	=>	'210000',
		'rálid'	=>	'002000',
		'rálim'	=>	'002000',
		'rálí'	=>	'00200',
		'rállam'	=>	'2100000',
		'rállap'	=>	'2100000',
		'rállat'	=>	'2100000',
		'rállí'	=>	'210000',
		'rállom'	=>	'2100000',
		'rálma'	=>	'210000',
		'rálü'	=>	'00200',
		'rályal'	=>	'0020000',
		'rályan'	=>	'0020120',
		'rályap'	=>	'0020000',
		'rályas'	=>	'0020100',
		'rályav'	=>	'0020000',
		'rályús'	=>	'0020000',
		'rályút'	=>	'0020000',
		'rámö'	=>	'00200',
		'ránal'	=>	'002000',
		'ránan'	=>	'002120',
		'ránat'	=>	'002120',
		'ránár'	=>	'002100',
		'ránás'	=>	'002000',
		'ráncc'	=>	'000010',
		'ránék'	=>	'002000',
		'rángál'	=>	'0002000',
		'rániz'	=>	'002000',
		'rání'	=>	'00200',
		'ránkl'	=>	'000100',
		'ránol'	=>	'002000',
		'ránot'	=>	'002000',
		'ránó'	=>	'00212',
		'ránsav'	=>	'0002000',
		'ránss'	=>	'000030',
		'rántak'	=>	'0002100',
		'ránü'	=>	'00200',
		'rányad'	=>	'0020120',
		'rányag'	=>	'0020000',
		'rányako'	=>	'00200000',
		'rányalt'	=>	'00001000',
		'rányan'	=>	'0020120',
		'rányap'	=>	'0020100',
		'rányar'	=>	'0020000',
		'rányaz'	=>	'0020000',
		'rányérm'	=>	'00200000',
		'rányérz'	=>	'00200000',
		'rányír'	=>	'0020120',
		'rányol'	=>	'0020000',
		'rányó'	=>	'002000',
		'rápl'	=>	'00120',
		'rápo'	=>	'20000',
		'rápol'	=>	'002000',
		'rápr'	=>	'00120',
		'rárad'	=>	'212000',
		'ráradá'	=>	'0001200',
		'rárai'	=>	'212000',
		'ráram'	=>	'212000',
		'ráras'	=>	'212000',
		'rárat'	=>	'212000',
		'ráraz'	=>	'002000',
		'ráráb'	=>	'002000',
		'ráráh'	=>	'002000',
		'rárál'	=>	'002100',
		'rárár'	=>	'002000',
		'rárát'	=>	'002000',
		'ráráv'	=>	'002000',
		'rárem'	=>	'002100',
		'rárér'	=>	'002000',
		'rárh'	=>	'21000',
		'ráriai'	=>	'0020000',
		'ráriá'	=>	'212000',
		'rárin'	=>	'002000',
		'rárj'	=>	'21000',
		'rárl'	=>	'21000',
		'rárn'	=>	'21000',
		'rárol'	=>	'002100',
		'rártó'	=>	'010000',
		'ráru'	=>	'20000',
		'rárul'	=>	'002000',
		'rárun'	=>	'002000',
		'rárú'	=>	'20000',
		'rárút'	=>	'002000',
		'rárúv'	=>	'002000',
		'rásad'	=>	'002120',
		'rásakn'	=>	'0021000',
		'rásal'	=>	'002000',
		'rásar'	=>	'000020',
		'rásará'	=>	'0001000',
		'rásas'	=>	'002100',
		'rásatá'	=>	'2000000',
		'rásato'	=>	'0001200',
		'rásaz'	=>	'002000',
		'rásága'	=>	'0001200',
		'rásárad'	=>	'00210000',
		'rásárak'	=>	'00210000',
		'rásárá'	=>	'0021200',
		'rásáré'	=>	'0021200',
		'rásás'	=>	'002000',
		'ráser'	=>	'002000',
		'rásis'	=>	'002000',
		'rásol'	=>	'002100',
		'rásób'	=>	'200000',
		'rásóé'	=>	'200000',
		'rásóg'	=>	'200000',
		'rásóh'	=>	'212000',
		'rásói'	=>	'200000',
		'rásój'	=>	'200000',
		'rásók'	=>	'200000',
		'rásón'	=>	'200000',
		'rásóra'	=>	'0001200',
		'rásóró'	=>	'2000000',
		'rásós'	=>	'210000',
		'rásót'	=>	'200000',
		'rásóv'	=>	'210000',
		'ráső'	=>	'00200',
		'rást'	=>	'00002',
		'rástr'	=>	'000100',
		'rásut'	=>	'002000',
		'rászan'	=>	'0020000',
		'rászas'	=>	'0020000',
		'rászáru'	=>	'00201200',
		'rásziv'	=>	'0020000',
		'rászón'	=>	'0003000',
		'rátad'	=>	'002000',
		'rátada'	=>	'0001200',
		'rátala'	=>	'0001000',
		'rátál'	=>	'012000',
		'rátég'	=>	'002000',
		'rátél'	=>	'002000',
		'rátép'	=>	'200000',
		'rátio'	=>	'002120',
		'rátí'	=>	'00200',
		'rátlé'	=>	'210000',
		'rátri'	=>	'001000',
		'rátro'	=>	'001000',
		'rátuss'	=>	'0000010',
		'rátú'	=>	'00002',
		'rátúr'	=>	'002000',
		'rátül'	=>	'212000',
		'rázal'	=>	'002000',
		'rázisb'	=>	'2000000',
		'rázisé'	=>	'2000000',
		'rázish'	=>	'2000000',
		'rázisk'	=>	'2000000',
		'rázisn'	=>	'2000000',
		'rázisr'	=>	'2000000',
		'ráziss'	=>	'2000000',
		'rázist'	=>	'2000000',
		'rázisz'	=>	'0000200',
		'rázsal'	=>	'0020000',
		'rázsá'	=>	'000400',
		'rázse'	=>	'000012',
		'rázsé'	=>	'000002',
		'rázsén'	=>	'0020000',
		'rázsia'	=>	'0000020',
		'rázsis'	=>	'0020000',
		'rázsó'	=>	'002000',
		'rázsü'	=>	'000012',
		'rbaje'	=>	'000210',
		'rbajokt'	=>	'00020000',
		'rbaná'	=>	'000210',
		'rbátyát'	=>	'00000020',
		'rbátyáto'	=>	'000201000',
		'rbell'	=>	'021000',
		'rbla'	=>	'01200',
		'rblo'	=>	'01200',
		'rblú'	=>	'00200',
		'rbocc'	=>	'000010',
		'rbolda'	=>	'0210000',
		'rbona'	=>	'000212',
		'rbra'	=>	'01200',
		'rbrá'	=>	'01200',
		'rbri'	=>	'00200',
		'rbro'	=>	'00200',
		'rbró'	=>	'01200',
		'rbru'	=>	'00200',
		'rbute'	=>	'000210',
		'rcadá'	=>	'001000',
		'rcajt'	=>	'001000',
		'rcalak'	=>	'0002000',
		'rcalk'	=>	'021000',
		'rcana'	=>	'021000',
		'rcanya'	=>	'0010000',
		'rcap'	=>	'00010',
		'rcara'	=>	'001000',
		'rcará'	=>	'001000',
		'rcass'	=>	'001000',
		'rcato'	=>	'001200',
		'rcág'	=>	'02100',
		'rcál'	=>	'02120',
		'rcári'	=>	'021000',
		'rcárn'	=>	'021000',
		'rcáro'	=>	'021200',
		'rcárr'	=>	'021000',
		'rcárt'	=>	'021000',
		'rcáru'	=>	'021200',
		'rccsi'	=>	'003000',
		'rccsí'	=>	'003000',
		'rccso'	=>	'003000',
		'rccsó'	=>	'003000',
		'rccsö'	=>	'003000',
		'rcega'	=>	'000212',
		'rcegg'	=>	'000010',
		'rcegy'	=>	'001000',
		'rceleg'	=>	'0012000',
		'rcelk'	=>	'001000',
		'rcelőd'	=>	'0012000',
		'rcels'	=>	'021000',
		'rcember'	=>	'02100000',
		'rcepe'	=>	'021000',
		'rceve'	=>	'001200',
		'rcex'	=>	'02100',
		'rcez'	=>	'02100',
		'rcékét'	=>	'0012000',
		'rcéle'	=>	'021000',
		'rcélé'	=>	'021200',
		'rcéli'	=>	'021200',
		'rcélm'	=>	'021000',
		'rcélü'	=>	'021000',
		'rcép'	=>	'02100',
		'rcérb'	=>	'021000',
		'rcéri'	=>	'021200',
		'rcérr'	=>	'021000',
		'rcész'	=>	'001000',
		'rcfr'	=>	'00100',
		'rcgr'	=>	'00100',
		'rchas'	=>	'023000',
		'rchel'	=>	'003000',
		'rchen'	=>	'020000',
		'rchig'	=>	'020000',
		'rchom'	=>	'020000',
		'rchu'	=>	'00300',
		'rchú'	=>	'02300',
		'rchű'	=>	'02300',
		'rcid'	=>	'00020',
		'rcide'	=>	'021000',
		'rciko'	=>	'021200',
		'rcikr'	=>	'021000',
		'rcill'	=>	'001000',
		'rcimá'	=>	'020000',
		'rcimi'	=>	'021000',
		'rcináb'	=>	'0002000',
		'rcináé'	=>	'0002000',
		'rcinár'	=>	'0012000',
		'rcinát'	=>	'0212000',
		'rcind'	=>	'021000',
		'rcioni'	=>	'0012000',
		'rcipa'	=>	'021200',
		'rcisi'	=>	'021000',
		'rcisk'	=>	'021000',
		'rcist'	=>	'021000',
		'rcizm'	=>	'001000',
		'rcizo'	=>	'001200',
		'rcíj'	=>	'02100',
		'rcív'	=>	'02100',
		'rckéh'	=>	'012000',
		'rckéi'	=>	'012000',
		'rckét'	=>	'012000',
		'rckia'	=>	'012000',
		'rckig'	=>	'012000',
		'rckok'	=>	'012000',
		'rckré'	=>	'001200',
		'rckv'	=>	'00100',
		'rclu'	=>	'01200',
		'rcop'	=>	'02100',
		'rcor'	=>	'02120',
		'rcosz'	=>	'021000',
		'rcón'	=>	'00100',
		'rcór'	=>	'00120',
		'rcóv'	=>	'00100',
		'rcöb'	=>	'02100',
		'rcön'	=>	'02100',
		'rcör'	=>	'02100',
		'rcös'	=>	'02100',
		'rcőr'	=>	'00100',
		'rcpl'	=>	'00100',
		'rcpr'	=>	'00100',
		'rcsabl'	=>	'0001000',
		'rcsalak'	=>	'00010000',
		'rcsapág'	=>	'00002120',
		'rcsara'	=>	'0230000',
		'rcsarl'	=>	'0200000',
		'rcsáp'	=>	'023000',
		'rcsáru'	=>	'0001000',
		'rcsej'	=>	'023000',
		'rcseleme'	=>	'020000000',
		'rcselr'	=>	'0201000',
		'rcsérb'	=>	'0201000',
		'rcsikr'	=>	'0200000',
		'rcsírás'	=>	'00010000',
		'rcská'	=>	'003200',
		'rcsora'	=>	'0230000',
		'rcsoro'	=>	'0230000',
		'rcsónaká'	=>	'000000212',
		'rcsp'	=>	'00010',
		'rcspi'	=>	'003200',
		'rcss'	=>	'00010',
		'rcsto'	=>	'003000',
		'rcsz'	=>	'00300',
		'rctr'	=>	'00100',
		'rcud'	=>	'02100',
		'rcur'	=>	'02100',
		'rcut'	=>	'02100',
		'rcúj'	=>	'02100',
		'rcüg'	=>	'00100',
		'rcür'	=>	'02100',
		'rcüs'	=>	'02100',
		'rcüt'	=>	'02100',
		'rcüv'	=>	'00100',
		'rcüz'	=>	'00100',
		'rcűz'	=>	'00100',
		'rczá'	=>	'02300',
		'rczó'	=>	'00300',
		'rczs'	=>	'00300',
		'rczu'	=>	'00300',
		'rczú'	=>	'00300',
		'rdacél'	=>	'0002000',
		'rdadat'	=>	'0012000',
		'rdakc'	=>	'021000',
		'rdalí'	=>	'000212',
		'rdalka'	=>	'0010000',
		'rdalko'	=>	'0010000',
		'rdanya'	=>	'0212000',
		'rdap'	=>	'00010',
		'rdarán'	=>	'0012000',
		'rdarc'	=>	'021000',
		'rdaszt'	=>	'0010000',
		'rdazo'	=>	'021000',
		'rdárak'	=>	'0012000',
		'rdárat'	=>	'0010000',
		'rdáron'	=>	'0012000',
		'rdárv'	=>	'021000',
		'rdáss'	=>	'000010',
		'rdbl'	=>	'00100',
		'rddz'	=>	'00300',
		'rdeg'	=>	'02120',
		'rdeka'	=>	'000212',
		'rdeker'	=>	'0002000',
		'rdekék'	=>	'0002000',
		'rdekol'	=>	'0002000',
		'rdekö'	=>	'000212',
		'rdela'	=>	'021000',
		'rdesőt'	=>	'0002000',
		'rdexp'	=>	'001000',
		'rdezőp'	=>	'0000023',
		'rdég'	=>	'02120',
		'rdélé'	=>	'001200',
		'rdélr'	=>	'001000',
		'rdélt'	=>	'001000',
		'rdélü'	=>	'001200',
		'rdép'	=>	'02100',
		'rdérd'	=>	'021000',
		'rdéri'	=>	'021200',
		'rdésa'	=>	'000200',
		'rdésza'	=>	'0002000',
		'rdévé'	=>	'021200',
		'rdfr'	=>	'00100',
		'rdid'	=>	'02120',
		'rdiga'	=>	'021200',
		'rdigé'	=>	'021000',
		'rdima'	=>	'021000',
		'rdinai'	=>	'0212000',
		'rdiox'	=>	'000020',
		'rdizo'	=>	'001000',
		'rdíg'	=>	'02100',
		'rdíz'	=>	'02100',
		'rdkl'	=>	'00100',
		'rdokta'	=>	'0210000',
		'rdold'	=>	'021000',
		'rdorr'	=>	'001000',
		'rdosz'	=>	'021000',
		'rdou'	=>	'02100',
		'rdóa'	=>	'00002',
		'rdórá'	=>	'001200',
		'rdögöl'	=>	'0002100',
		'rdöl'	=>	'02100',
		'rdös'	=>	'02100',
		'rdöv'	=>	'00100',
		'rdősorr'	=>	'00021000',
		'rdpr'	=>	'00100',
		'rdram'	=>	'012000',
		'rdrap'	=>	'002000',
		'rdraz'	=>	'012000',
		'rdrog'	=>	'002000',
		'rdrót'	=>	'012000',
		'rdsk'	=>	'00100',
		'rdsp'	=>	'00100',
		'rdst'	=>	'00100',
		'rdszak'	=>	'0000021',
		'rdtr'	=>	'00120',
		'rdudv'	=>	'001000',
		'rdurá'	=>	'021000',
		'rdüg'	=>	'00100',
		'rdüt'	=>	'02100',
		'rdza'	=>	'02300',
		'rdzá'	=>	'02300',
		'rdzo'	=>	'00300',
		'rdzó'	=>	'00300',
		'rdzö'	=>	'02300',
		'rdzsí'	=>	'003000',
		'rdzú'	=>	'02300',
		're'	=>	'100',
		'read'	=>	'00020',
		'reaj'	=>	'00020',
		'reaka'	=>	'000200',
		'reala'	=>	'000200',
		'rear'	=>	'00020',
		'reálá'	=>	'200000',
		'reáló'	=>	'200000',
		'rebbő'	=>	'210000',
		'rebegy'	=>	'0001000',
		'rebéd'	=>	'212000',
		'rebh'	=>	'21000',
		'rebk'	=>	'21000',
		'rebm'	=>	'21000',
		'rebn'	=>	'21000',
		'rebs'	=>	'21000',
		'rebv'	=>	'21000',
		'recaj'	=>	'002000',
		'recal'	=>	'002000',
		'recá'	=>	'00200',
		'recets'	=>	'2000000',
		'rech'	=>	'00200',
		'recsar'	=>	'0003000',
		'recset'	=>	'2120000',
		'recsor'	=>	'0003000',
		'recz'	=>	'00200',
		'redan'	=>	'002000',
		'redelv'	=>	'0001000',
		'redend'	=>	'2000000',
		'reder'	=>	'002120',
		'redeti'	=>	'2000000',
		'redetű'	=>	'2000000',
		'redény'	=>	'2000000',
		'redéves'	=>	'00212000',
		'redir'	=>	'002000',
		'redor'	=>	'002000',
		'redzőb'	=>	'2100000',
		'redzőj'	=>	'2000000',
		'redzők'	=>	'2120000',
		'redzőr'	=>	'2000000',
		'redzőt'	=>	'2120000',
		'redzőv'	=>	'2000000',
		'reet'	=>	'00200',
		'reew'	=>	'00200',
		'reff'	=>	'20000',
		'regap'	=>	'002000',
		'regas'	=>	'002000',
		'regáll'	=>	'0001000',
		'regár'	=>	'002000',
		'regele'	=>	'0001200',
		'regelh'	=>	'0001000',
		'regell'	=>	'0001000',
		'regelr'	=>	'0021000',
		'regelv'	=>	'0001000',
		'regeng'	=>	'0001000',
		'regetető'	=>	'000120000',
		'regevé'	=>	'0001200',
		'regész'	=>	'0000001',
		'regid'	=>	'002000',
		'reginj'	=>	'0001000',
		'regiz'	=>	'002000',
		'regóc'	=>	'002000',
		'regóv'	=>	'000200',
		'regú'	=>	'00200',
		'regül'	=>	'000020',
		'regülé'	=>	'0021000',
		'regyb'	=>	'210000',
		'regyed'	=>	'0020000',
		'regyen'	=>	'0020000',
		'regyes'	=>	'2120000',
		'regyet'	=>	'0020000',
		'regyez'	=>	'2120000',
		'regyé'	=>	'212000',
		'regyh'	=>	'210000',
		'regyk'	=>	'210000',
		'regyl'	=>	'210000',
		'regyn'	=>	'210000',
		'regyr'	=>	'210000',
		'regys'	=>	'210000',
		'regyt'	=>	'210000',
		'regyün'	=>	'0020000',
		'regyv'	=>	'010000',
		'reirá'	=>	'000200',
		'reja'	=>	'00200',
		'rejéé'	=>	'200000',
		'rejűe'	=>	'200000',
		'rejűn'	=>	'200000',
		'rejűr'	=>	'200000',
		'rejűt'	=>	'200000',
		'rekag'	=>	'002100',
		'rekará'	=>	'0021000',
		'rekasz'	=>	'0021000',
		'rekál'	=>	'002120',
		'rekáp'	=>	'002120',
		'rekás'	=>	'002000',
		'rekelh'	=>	'0001000',
		'rekelt'	=>	'0001000',
		'rekelü'	=>	'0001000',
		'rekerd'	=>	'0001000',
		'rekerő'	=>	'0021200',
		'rekeszá'	=>	'00002010',
		'rekééh'	=>	'2000000',
		'rekéj'	=>	'002000',
		'rekék'	=>	'002000',
		'rekékh'	=>	'0001000',
		'rekél'	=>	'002000',
		'rekénk'	=>	'2120000',
		'rekérd'	=>	'0021000',
		'rekérte'	=>	'00210000',
		'rekéss'	=>	'0021000',
		'rekid'	=>	'002100',
		'rekij'	=>	'002000',
		'rekil'	=>	'002000',
		'reking'	=>	'0021000',
		'rekint'	=>	'0021000',
		'rekip'	=>	'002100',
		'rekír'	=>	'002000',
		'rekk'	=>	'00012',
		'reklu'	=>	'001000',
		'rekok'	=>	'002100',
		'rekold'	=>	'0021000',
		'rekopt'	=>	'0001000',
		'rekos'	=>	'002100',
		'rekott'	=>	'0001000',
		'rekór'	=>	'002000',
		'rekök'	=>	'002000',
		'rekötl'	=>	'0020000',
		'rekő'	=>	'00200',
		'reks'	=>	'00010',
		'reksz'	=>	'000002',
		'rekus'	=>	'002120',
		'reküd'	=>	'002000',
		'reküg'	=>	'002100',
		'rekül'	=>	'000020',
		'rekülé'	=>	'0021000',
		'rekülő'	=>	'0021000',
		'reküt'	=>	'002000',
		'relad'	=>	'210000',
		'relág'	=>	'212000',
		'relbí'	=>	'210000',
		'relbo'	=>	'210000',
		'relc'	=>	'21000',
		'reldo'	=>	'210000',
		'relef'	=>	'212000',
		'relektr'	=>	'20000000',
		'relema'	=>	'0000200',
		'relemed'	=>	'21200000',
		'relemeg'	=>	'00002000',
		'relemei'	=>	'20000000',
		'relemek'	=>	'20200000',
		'relememe'	=>	'212000000',
		'relememm'	=>	'200000000',
		'relemen'	=>	'21200000',
		'relemer'	=>	'00002100',
		'relemese'	=>	'212000000',
		'relemesn'	=>	'200000000',
		'relemet'	=>	'21200000',
		'relemezé'	=>	'002000000',
		'relemtel'	=>	'212000000',
		'relemük'	=>	'20000000',
		'relemünk'	=>	'200000000',
		'relemzé'	=>	'20000000',
		'relemző'	=>	'20000000',
		'releng'	=>	'2121000',
		'relér'	=>	'200000',
		'relf'	=>	'21000',
		'relha'	=>	'210000',
		'relhá'	=>	'210000',
		'relhel'	=>	'2100000',
		'relhú'	=>	'210000',
		'reljá'	=>	'210000',
		'relké'	=>	'210000',
		'rella'	=>	'000002',
		'rellan'	=>	'0002100',
		'rellá'	=>	'210000',
		'rellő'	=>	'210000',
		'relma'	=>	'210000',
		'relmééé'	=>	'21000000',
		'relmééh'	=>	'20000000',
		'relmél'	=>	'2000000',
		'relméte'	=>	'20000000',
		'relnev'	=>	'2100000',
		'relnö'	=>	'210000',
		'relny'	=>	'210000',
		'relos'	=>	'212000',
		'relőad'	=>	'2120000',
		'relődei'	=>	'20000000',
		'relődök'	=>	'21200000',
		'relőnn'	=>	'2000000',
		'relőnye'	=>	'21000000',
		'relőzm'	=>	'2000000',
		'relso'	=>	'210000',
		'relszá'	=>	'2100000',
		'relta'	=>	'210000',
		'reltár'	=>	'0002000',
		'reltáv'	=>	'2100000',
		'reltettk'	=>	'200000000',
		'reltéré'	=>	'21000000',
		'reltév'	=>	'2100000',
		'relú'	=>	'20000',
		'relül'	=>	'212100',
		'relű'	=>	'20000',
		'relvá'	=>	'210000',
		'relvb'	=>	'210000',
		'relved'	=>	'2000000',
		'relvei'	=>	'2100000',
		'relvek'	=>	'2100000',
		'relvem'	=>	'2100000',
		'relven'	=>	'2100000',
		'relves'	=>	'2100000',
		'relvéne'	=>	'21000000',
		'relvér'	=>	'2100000',
		'relvéü'	=>	'2100000',
		'relvév'	=>	'2100000',
		'relvh'	=>	'210000',
		'relvi'	=>	'210000',
		'relvk'	=>	'210000',
		'relvn'	=>	'210000',
		'relvo'	=>	'210000',
		'relvr'	=>	'210000',
		'relvs'	=>	'210000',
		'relvt'	=>	'210000',
		'relvü'	=>	'210000',
		'relvű'	=>	'210000',
		'relvv'	=>	'210000',
		'relz'	=>	'21000',
		'remad'	=>	'002120',
		'remasz'	=>	'0021000',
		'remaz'	=>	'002000',
		'remál'	=>	'002100',
		'remát'	=>	'002000',
		'rembar'	=>	'2000000',
		'remberb'	=>	'21000000',
		'rembered'	=>	'200000000',
		'remberei'	=>	'210000000',
		'remberek'	=>	'210000000',
		'remberes'	=>	'210000000',
		'remberé'	=>	'21000000',
		'remberh'	=>	'21000000',
		'remberi'	=>	'21000000',
		'remberk'	=>	'21000000',
		'rembern'	=>	'21000000',
		'remberr'	=>	'21000000',
		'rembers'	=>	'20000000',
		'rembert'	=>	'21000000',
		'remberü'	=>	'21000000',
		'remble'	=>	'0001000',
		'rembó'	=>	'010000',
		'rembr'	=>	'200000',
		'remel'	=>	'002000',
		'remelem'	=>	'00012000',
		'remelé'	=>	'2100000',
		'remelg'	=>	'2100000',
		'remelk'	=>	'0100000',
		'remelőd'	=>	'00010000',
		'remels'	=>	'0001000',
		'remeng'	=>	'0021000',
		'remesz'	=>	'0021000',
		'remérm'	=>	'0021000',
		'reméte'	=>	'0021200',
		'remigr'	=>	'0020000',
		'remór'	=>	'002100',
		'remö'	=>	'00200',
		'remőr'	=>	'002120',
		'remp'	=>	'00012',
		'remuk'	=>	'200000',
		'remul'	=>	'212000',
		'remur'	=>	'000100',
		'remus'	=>	'212000',
		'rencik'	=>	'2100000',
		'render'	=>	'0002120',
		'rendég'	=>	'0002100',
		'rendéj'	=>	'0002000',
		'rendék'	=>	'0002000',
		'rendo'	=>	'000210',
		'rendö'	=>	'000210',
		'rendős'	=>	'0002120',
		'rener'	=>	'212000',
		'renéss'	=>	'0000030',
		'renged'	=>	'2100000',
		'rení'	=>	'20000',
		'renség'	=>	'0002100',
		'renss'	=>	'000030',
		'reof'	=>	'00200',
		'reóa'	=>	'00200',
		'reóc'	=>	'00200',
		'reóe'	=>	'00200',
		'reóé'	=>	'00200',
		'reóf'	=>	'00200',
		'reóka'	=>	'002000',
		'reól'	=>	'00200',
		'reóo'	=>	'00200',
		'reóp'	=>	'00200',
		'reósá'	=>	'002000',
		'reósz'	=>	'002000',
		'repaj'	=>	'002100',
		'repana'	=>	'0001000',
		'repasz'	=>	'0001000',
		'repau'	=>	'002000',
		'repaz'	=>	'002000',
		'repáll'	=>	'0001000',
		'repálm'	=>	'0001000',
		'repás'	=>	'002000',
		'repát'	=>	'002000',
		'repeg'	=>	'002120',
		'repelf'	=>	'0021000',
		'repelk'	=>	'0021000',
		'repell'	=>	'0021000',
		'repelm'	=>	'0020000',
		'repeng'	=>	'0021000',
		'repep'	=>	'002100',
		'reperk'	=>	'0021000',
		'repéd'	=>	'200000',
		'repéj'	=>	'000120',
		'repénk'	=>	'2000000',
		'repés'	=>	'212000',
		'repid'	=>	'002120',
		'repille'	=>	'00010000',
		'repint'	=>	'0001000',
		'repok'	=>	'002000',
		'reposztó'	=>	'000100000',
		'repö'	=>	'00002',
		'repörö'	=>	'0021000',
		'reppl'	=>	'000100',
		'reppr'	=>	'000100',
		'repú'	=>	'00200',
		'rerd'	=>	'21000',
		'rerei'	=>	'002000',
		'rerej'	=>	'002000',
		'reres'	=>	'002000',
		'rerez'	=>	'002000',
		'rerg'	=>	'21000',
		'reróz'	=>	'002000',
		'rerő'	=>	'21200',
		'rers'	=>	'21000',
		'resas'	=>	'002000',
		'resc'	=>	'00120',
		'resemé'	=>	'2100000',
		'resepr'	=>	'0001000',
		'resetel'	=>	'00002120',
		'resél'	=>	'210000',
		'reskü'	=>	'200000',
		'ressi'	=>	'010000',
		'reszaj'	=>	'0020000',
		'reszet'	=>	'2120000',
		'reszív'	=>	'0000100',
		'reszkö'	=>	'2000000',
		'reszm'	=>	'200000',
		'reszta'	=>	'0000002',
		'resztan'	=>	'00002100',
		'resztál'	=>	'00002000',
		'resztár'	=>	'00002100',
		'resztív'	=>	'00002120',
		'resztor'	=>	'00002120',
		'resztos'	=>	'00002100',
		'reszűe'	=>	'2120000',
		'retab'	=>	'002100',
		'retakt'	=>	'0021000',
		'retal'	=>	'002000',
		'retala'	=>	'0001200',
		'retant'	=>	'0020000',
		'retany'	=>	'0021200',
		'retág'	=>	'002000',
		'retára'	=>	'0021000',
		'retáro'	=>	'0021000',
		'retátf'	=>	'0001000',
		'retelb'	=>	'0021000',
		'retell'	=>	'0021000',
		'retelm'	=>	'0020000',
		'retemel'	=>	'00010000',
		'reterk'	=>	'0021000',
		'reteszá'	=>	'00002010',
		'retetésé'	=>	'212000000',
		'retetésn'	=>	'200000000',
		'reték'	=>	'002120',
		'retél'	=>	'002100',
		'retérb'	=>	'0021000',
		'retérd'	=>	'0021000',
		'retid'	=>	'002000',
		'retika'	=>	'2120000',
		'retiká'	=>	'0020000',
		'retill'	=>	'0001000',
		'retilt'	=>	'0120000',
		'reting'	=>	'0021000',
		'retint'	=>	'0021000',
		'retis'	=>	'002000',
		'retnik'	=>	'0100000',
		'retok'	=>	'002100',
		'retold'	=>	'0021000',
		'retos'	=>	'002100',
		'retór'	=>	'002000',
		'retörö'	=>	'0021000',
		'retöv'	=>	'002120',
		'rettest'	=>	'00021000',
		'retténe'	=>	'00020000',
		'rettin'	=>	'0002100',
		'retut'	=>	'002100',
		'retült'	=>	'0021000',
		'retűd'	=>	'002000',
		'reud'	=>	'00200',
		'reute'	=>	'002000',
		'revező'	=>	'0020000',
		'revő'	=>	'21200',
		'rexp'	=>	'21000',
		'rezetn'	=>	'2000000',
		'rezetü'	=>	'2000000',
		'rezor'	=>	'200000',
		'rezőkh'	=>	'2000000',
		'rezr'	=>	'21000',
		'rezüs'	=>	'200000',
		'ré'	=>	'100',
		'rébá'	=>	'00200',
		'rébis'	=>	'002000',
		'rébiv'	=>	'002000',
		'rébí'	=>	'00200',
		'rébres'	=>	'2000000',
		'rébü'	=>	'00200',
		'rédes'	=>	'212000',
		'réfá'	=>	'20000',
		'régb'	=>	'21000',
		'régét'	=>	'002000',
		'régn'	=>	'21000',
		'régó'	=>	'00212',
		'régő'	=>	'00200',
		'régt'	=>	'20000',
		'réhen'	=>	'212000',
		'réhes'	=>	'212000',
		'réhet'	=>	'212000',
		'réhs'	=>	'21000',
		'réht'	=>	'21000',
		'réjen'	=>	'002000',
		'réjet'	=>	'212000',
		'réjün'	=>	'212000',
		'rékab'	=>	'002100',
		'rékac'	=>	'002000',
		'rékag'	=>	'002120',
		'rékan'	=>	'002120',
		'rékau'	=>	'002100',
		'rékásá'	=>	'0001200',
		'rékeb'	=>	'002120',
		'rékeg'	=>	'002100',
		'rékel'	=>	'002000',
		'rékele'	=>	'0001000',
		'rékelő'	=>	'0001000',
		'rékelr'	=>	'0001000',
		'rékels'	=>	'0001000',
		'rékesz'	=>	'0021000',
		'rékéte'	=>	'0021000',
		'rékik'	=>	'002000',
		'rékin'	=>	'002000',
		'rékit'	=>	'002000',
		'rékola'	=>	'0001000',
		'rékold'	=>	'0001000',
		'rékör'	=>	'002000',
		'réköv'	=>	'002120',
		'réköz'	=>	'002000',
		'rékő'	=>	'00200',
		'réku'	=>	'00002',
		'rékut'	=>	'002100',
		'rékú'	=>	'00210',
		'réletb'	=>	'0020000',
		'rélete'	=>	'2120000',
		'réleté'	=>	'0020000',
		'réleth'	=>	'0020000',
		'réletn'	=>	'0020000',
		'réletr'	=>	'0020000',
		'rélett'	=>	'0020000',
		'réletü'	=>	'0020000',
		'rélf'	=>	'21000',
		'rélm'	=>	'21000',
		'rély'	=>	'20000',
		'rémad'	=>	'002000',
		'rémal'	=>	'002120',
		'réman'	=>	'002100',
		'rémar'	=>	'002000',
		'rémau'	=>	'002000',
		'rémál'	=>	'002100',
		'rémár'	=>	'002000',
		'rémel'	=>	'002000',
		'rémele'	=>	'0001200',
		'rémer'	=>	'002000',
		'réméré'	=>	'0021200',
		'rémil'	=>	'002000',
		'rémist'	=>	'0021000',
		'rémos'	=>	'002000',
		'rémó'	=>	'00200',
		'rémö'	=>	'00200',
		'rémtu'	=>	'200000',
		'rénap'	=>	'000012',
		'rénekh'	=>	'2120000',
		'réneki'	=>	'2120000',
		'rénekl'	=>	'2000000',
		'rénekü'	=>	'2120000',
		'rénel'	=>	'002000',
		'réner'	=>	'200000',
		'rénéj'	=>	'002120',
		'rénö'	=>	'00200',
		'rényel'	=>	'0020120',
		'réped'	=>	'002100',
		'répeg'	=>	'002000',
		'répes'	=>	'002000',
		'répi'	=>	'00002',
		'répip'	=>	'002100',
		'répí'	=>	'21200',
		'répol'	=>	'002000',
		'répö'	=>	'00200',
		'répü'	=>	'00200',
		'répül'	=>	'210000',
		'rérb'	=>	'21000',
		'rérc'	=>	'21000',
		'rérd'	=>	'21000',
		'réret'	=>	'212000',
		'rérez'	=>	'212000',
		'réréb'	=>	'002000',
		'rérén'	=>	'002000',
		'rérér'	=>	'002000',
		'rérése'	=>	'0020000',
		'rérésé'	=>	'0020000',
		'rérésh'	=>	'0020000',
		'rérési'	=>	'0020000',
		'rérésk'	=>	'0020000',
		'rérésn'	=>	'0020000',
		'rérésr'	=>	'0020000',
		'réréss'	=>	'0020000',
		'rérést'	=>	'0020000',
		'rérésü'	=>	'0020000',
		'rérét'	=>	'002000',
		'rérf'	=>	'21000',
		'rérh'	=>	'21000',
		'rérie'	=>	'002000',
		'rérig'	=>	'002000',
		'rérk'	=>	'21000',
		'rérl'	=>	'21000',
		'rérm'	=>	'21000',
		'rérn'	=>	'21000',
		'rérők'	=>	'002000',
		'rérr'	=>	'21000',
		'rértá'	=>	'210000',
		'rérte'	=>	'210000',
		'rérté'	=>	'210000',
		'rértí'	=>	'210000',
		'rértő'	=>	'210000',
		'rérü'	=>	'21200',
		'rérv'	=>	'21000',
		'rérz'	=>	'21000',
		'résa'	=>	'00002',
		'résal'	=>	'002000',
		'résar'	=>	'002000',
		'résár'	=>	'002100',
		'résát'	=>	'002000',
		'réseg'	=>	'002000',
		'résell'	=>	'0001000',
		'réser'	=>	'002100',
		'résés'	=>	'002000',
		'réső'	=>	'00212',
		'réssza'	=>	'0003000',
		'résú'	=>	'00200',
		'résüt'	=>	'002120',
		'résüv'	=>	'002120',
		'részal'	=>	'0000120',
		'részan'	=>	'0020000',
		'részav'	=>	'0003000',
		'részál'	=>	'0000100',
		'részeml'	=>	'00201000',
		'részesz'	=>	'00201200',
		'részék'	=>	'0020120',
		'részinte'	=>	'002000000',
		'részív'	=>	'0000120',
		'részok'	=>	'0020000',
		'részol'	=>	'0020000',
		'részó'	=>	'002000',
		'részór'	=>	'0000120',
		'részőr'	=>	'0020000',
		'részs'	=>	'000030',
		'résztr'	=>	'0000120',
		'részu'	=>	'002000',
		'részú'	=>	'002000',
		'részül'	=>	'0000020',
		'részülő'	=>	'00201000',
		'rétáz'	=>	'200000',
		'rétegy'	=>	'0021000',
		'rétel'	=>	'202000',
		'rételm'	=>	'0001000',
		'réter'	=>	'200000',
		'rétesz'	=>	'0021200',
		'rétető'	=>	'2120000',
		'réték'	=>	'002120',
		'rétiz'	=>	'002000',
		'rétol'	=>	'002000',
		'rétos'	=>	'002100',
		'rétré'	=>	'001000',
		'rétud'	=>	'002000',
		'révá'	=>	'00002',
		'révát'	=>	'002000',
		'révei'	=>	'200000',
		'réveké'	=>	'0001000',
		'révél'	=>	'002120',
		'révéri'	=>	'0021000',
		'révét'	=>	'200020',
		'révéte'	=>	'0021000',
		'révév'	=>	'212000',
		'révf'	=>	'20000',
		'révh'	=>	'20000',
		'révt'	=>	'20000',
		'révú'	=>	'00200',
		'révv'	=>	'20000',
		'réza'	=>	'00212',
		'rézá'	=>	'00002',
		'rézár'	=>	'002100',
		'rézeg'	=>	'002120',
		'rézel'	=>	'000020',
		'rézelő'	=>	'0001000',
		'rézer'	=>	'002000',
		'rézes'	=>	'002000',
		'rézet'	=>	'000020',
		'rézete'	=>	'0001000',
		'rézid'	=>	'002000',
		'rézin'	=>	'002000',
		'rézio'	=>	'002000',
		'rézip'	=>	'002000',
		'rézisz'	=>	'0001000',
		'rézos'	=>	'002000',
		'rézó'	=>	'00002',
		'rézór'	=>	'002100',
		'rézö'	=>	'00200',
		'rézsa'	=>	'002000',
		'rézsá'	=>	'002300',
		'rézse'	=>	'002300',
		'rézsi'	=>	'002300',
		'rézsí'	=>	'002000',
		'rézso'	=>	'002000',
		'rézsu'	=>	'002000',
		'rfál'	=>	'00100',
		'rfép'	=>	'02100',
		'rfésza'	=>	'0002000',
		'rfészá'	=>	'0002000',
		'rffl'	=>	'00100',
		'rfian'	=>	'000020',
		'rfib'	=>	'00012',
		'rfid'	=>	'00002',
		'rfii'	=>	'00002',
		'rfik'	=>	'00002',
		'rfikr'	=>	'000100',
		'rfind'	=>	'001000',
		'rfisk'	=>	'001000',
		'rfisz'	=>	'000102',
		'rfit'	=>	'00002',
		'rfitr'	=>	'000100',
		'rfkl'	=>	'00100',
		'rfkr'	=>	'00100',
		'rfla'	=>	'00200',
		'rflo'	=>	'00200',
		'rfló'	=>	'00200',
		'rflu'	=>	'00200',
		'rfokt'	=>	'001000',
		'rfőrü'	=>	'001000',
		'rfpr'	=>	'00100',
		'rfrá'	=>	'01200',
		'rfrí'	=>	'00200',
		'rfrö'	=>	'01200',
		'rfsp'	=>	'00100',
		'rfst'	=>	'00100',
		'rfút'	=>	'02100',
		'rgak'	=>	'00012',
		'rgácsal'	=>	'00020000',
		'rgácsan'	=>	'00020000',
		'rgácsav'	=>	'00020000',
		'rgázé'	=>	'000210',
		'rgeo'	=>	'00020',
		'rgera'	=>	'000210',
		'rgéss'	=>	'000030',
		'rgiaia'	=>	'0002000',
		'rgiako'	=>	'0002000',
		'rgial'	=>	'000200',
		'rgiaso'	=>	'0002000',
		'rgil'	=>	'00200',
		'rgla'	=>	'00200',
		'rgle'	=>	'00200',
		'rglo'	=>	'00200',
		'rgló'	=>	'00200',
		'rgnó'	=>	'01200',
		'rgöl'	=>	'00200',
		'rgöle'	=>	'000300',
		'rgőcsa'	=>	'0000002',
		'rgőzölt'	=>	'00021000',
		'rgőzős'	=>	'0002100',
		'rgrá'	=>	'01200',
		'rgru'	=>	'01200',
		'rgyado'	=>	'0200000',
		'rgyaj'	=>	'020100',
		'rgyalak'	=>	'02000000',
		'rgyalap'	=>	'02010000',
		'rgyalgá'	=>	'02010000',
		'rgyalk'	=>	'0201000',
		'rgyany'	=>	'0201000',
		'rgyap'	=>	'020000',
		'rgyarc'	=>	'0200000',
		'rgyasz'	=>	'0201000',
		'rgyau'	=>	'020000',
		'rgyaz'	=>	'020100',
		'rgyál'	=>	'020000',
		'rgyáz'	=>	'020120',
		'rgyeg'	=>	'020100',
		'rgyel'	=>	'020120',
		'rgyenc'	=>	'0201000',
		'rgyes'	=>	'020120',
		'rgyés'	=>	'020100',
		'rgyévé'	=>	'0200000',
		'rgyim'	=>	'020000',
		'rgyint'	=>	'0201000',
		'rgyip'	=>	'020000',
		'rgyira'	=>	'0001000',
		'rgyok'	=>	'020100',
		'rgyöz'	=>	'020100',
		'rgyőr'	=>	'020000',
		'rhajóér'	=>	'00000020',
		'rhatásút'	=>	'000002100',
		'rházad'	=>	'0000020',
		'rházada'	=>	'00021000',
		'rházal'	=>	'0002000',
		'rházip'	=>	'0002000',
		'rházs'	=>	'000230',
		'rhitköz'	=>	'00000001',
		'rhoeá'	=>	'100000',
		'ri'	=>	'100',
		'riaa'	=>	'00200',
		'riaá'	=>	'00200',
		'riab'	=>	'00010',
		'riaba'	=>	'002000',
		'riabá'	=>	'002000',
		'riabo'	=>	'002000',
		'riac'	=>	'00200',
		'riae'	=>	'00200',
		'riaé'	=>	'00200',
		'riaf'	=>	'00010',
		'riafag'	=>	'0020000',
		'riafr'	=>	'002000',
		'riag'	=>	'00212',
		'riah'	=>	'00200',
		'riaik'	=>	'002020',
		'riaí'	=>	'00200',
		'riaj'	=>	'00200',
		'riakó'	=>	'002000',
		'riala'	=>	'002000',
		'rialá'	=>	'002000',
		'rialu'	=>	'002000',
		'riam'	=>	'00200',
		'riana'	=>	'002000',
		'riao'	=>	'00200',
		'riaó'	=>	'00200',
		'riaö'	=>	'00200',
		'riaő'	=>	'00200',
		'riap'	=>	'00212',
		'riará'	=>	'002000',
		'riaré'	=>	'002000',
		'riasza'	=>	'0020000',
		'riaszá'	=>	'0020000',
		'riaszi'	=>	'0020000',
		'riaszo'	=>	'0020000',
		'riaté'	=>	'002000',
		'riato'	=>	'002000',
		'riatr'	=>	'002120',
		'riau'	=>	'00200',
		'riaú'	=>	'00200',
		'riaü'	=>	'00200',
		'riav'	=>	'00200',
		'riaz'	=>	'00200',
		'riásá'	=>	'200000',
		'riász'	=>	'200000',
		'riázós'	=>	'0120000',
		'ribé'	=>	'20000',
		'ribol'	=>	'002000',
		'ribr'	=>	'21000',
		'ribü'	=>	'20000',
		'ricel'	=>	'002120',
		'ricsil'	=>	'0000100',
		'ridal'	=>	'002120',
		'ridál'	=>	'002000',
		'ridd'	=>	'00010',
		'rideá'	=>	'212000',
		'ridei'	=>	'002000',
		'ridej'	=>	'200000',
		'ridel'	=>	'002000',
		'rideo'	=>	'002000',
		'ridere'	=>	'0001000',
		'ridesz'	=>	'0021000',
		'ridil'	=>	'200000',
		'ridom'	=>	'212000',
		'ridő'	=>	'21200',
		'ridu'	=>	'00200',
		'ried'	=>	'00200',
		'riel'	=>	'30020',
		'rier'	=>	'30000',
		'rifl'	=>	'00100',
		'rifrá'	=>	'001200',
		'rigé'	=>	'21200',
		'rigi'	=>	'20000',
		'rigla'	=>	'001000',
		'rigr'	=>	'21000',
		'rihar'	=>	'002000',
		'rihl'	=>	'21000',
		'rihó'	=>	'00002',
		'rihón'	=>	'000001',
		'rijes'	=>	'200000',
		'riklo'	=>	'001000',
		'rikló'	=>	'001200',
		'rikri'	=>	'001200',
		'rilal'	=>	'002000',
		'rilleh'	=>	'0002120',
		'rillét'	=>	'0002000',
		'rillin'	=>	'0002100',
		'rillő'	=>	'000210',
		'rillu'	=>	'200000',
		'rillú'	=>	'200000',
		'riló'	=>	'20000',
		'rimáda'	=>	'2000000',
		'rimádá'	=>	'2000000',
		'rimp'	=>	'21000',
		'rinad'	=>	'002120',
		'rinai'	=>	'212000',
		'rinaj'	=>	'002000',
		'rinal'	=>	'002120',
		'rinan'	=>	'002120',
		'rinar'	=>	'002120',
		'rinasá'	=>	'2120000',
		'rinasn'	=>	'2000000',
		'rinaso'	=>	'2120000',
		'rinass'	=>	'0020000',
		'rinast'	=>	'2120000',
		'rinasz'	=>	'0000102',
		'rinca'	=>	'000210',
		'rincá'	=>	'000200',
		'rincc'	=>	'000030',
		'rinceg'	=>	'0002100',
		'rincel'	=>	'0002000',
		'rincer'	=>	'0002000',
		'rinco'	=>	'000200',
		'rincsér'	=>	'00020000',
		'rincsi'	=>	'0002000',
		'rinde'	=>	'210000',
		'rindu'	=>	'210000',
		'rineg'	=>	'002000',
		'rinfl'	=>	'200000',
		'ringál'	=>	'0002000',
		'ringel'	=>	'0002000',
		'ringét'	=>	'2100000',
		'ringül'	=>	'0002000',
		'rinha'	=>	'210000',
		'rinic'	=>	'212000',
		'rinil'	=>	'002000',
		'rinip'	=>	'002100',
		'rinjek'	=>	'2100000',
		'rinkré'	=>	'0001000',
		'rinn'	=>	'00030',
		'rinsp'	=>	'210000',
		'rinst'	=>	'210000',
		'rintad'	=>	'0002100',
		'rintár'	=>	'0000020',
		'rintára'	=>	'00020000',
		'rintáro'	=>	'00020000',
		'rintárs'	=>	'00020000',
		'rinten'	=>	'2000000',
		'rinterf'	=>	'20000000',
		'rintér'	=>	'0000020',
		'rintéré'	=>	'00021000',
		'rintéri'	=>	'00021000',
		'rintők'	=>	'2000000',
		'rinül'	=>	'002000',
		'riok'	=>	'00212',
		'riolok'	=>	'0002000',
		'riom'	=>	'00200',
		'rionn'	=>	'200000',
		'riono'	=>	'200000',
		'riox'	=>	'20000',
		'rióa'	=>	'00200',
		'rióá'	=>	'00200',
		'rióc'	=>	'00200',
		'riódar'	=>	'0020000',
		'rióe'	=>	'00200',
		'rióg'	=>	'00200',
		'rióke'	=>	'002000',
		'riól'	=>	'00200',
		'riómá'	=>	'002000',
		'riómé'	=>	'002000',
		'rióo'	=>	'00200',
		'rióp'	=>	'00210',
		'rióü'	=>	'00200',
		'ripai'	=>	'212000',
		'ripara'	=>	'2100000',
		'ripará'	=>	'2120000',
		'riparb'	=>	'2000000',
		'riparé'	=>	'2000000',
		'riparh'	=>	'2000000',
		'riparil'	=>	'20000000',
		'riparin'	=>	'20000000',
		'riparn'	=>	'2000000',
		'riparr'	=>	'2000000',
		'ripars'	=>	'2000000',
		'riparte'	=>	'20000000',
		'ripartó'	=>	'20000000',
		'riparu'	=>	'2000000',
		'ripl'	=>	'20000',
		'riporta'	=>	'00000200',
		'riram'	=>	'212000',
		'rirat'	=>	'212000',
		'rirá'	=>	'21200',
		'rirh'	=>	'21000',
		'riri'	=>	'21200',
		'riro'	=>	'21200',
		'rirón'	=>	'212000',
		'rirr'	=>	'21000',
		'rirt'	=>	'21000',
		'risar'	=>	'002100',
		'risas'	=>	'002100',
		'risál'	=>	'002100',
		'risáp'	=>	'002000',
		'risel'	=>	'002120',
		'risemb'	=>	'0021000',
		'riser'	=>	'002120',
		'risid'	=>	'002000',
		'risii'	=>	'002000',
		'risil'	=>	'002000',
		'risis'	=>	'002100',
		'rismérv'	=>	'20000000',
		'risort'	=>	'0021000',
		'rispá'	=>	'210000',
		'ristál'	=>	'2000000',
		'risut'	=>	'002000',
		'risüté'	=>	'0001000',
		'risüv'	=>	'002120',
		'riszák'	=>	'2120000',
		'ritad'	=>	'002120',
		'rital'	=>	'002000',
		'ritalb'	=>	'2100000',
		'ritalk'	=>	'0001000',
		'ritall'	=>	'2100000',
		'ritaln'	=>	'2000000',
		'ritalo'	=>	'2100000',
		'ritalr'	=>	'2000000',
		'ritalt'	=>	'2100000',
		'ritany'	=>	'0001200',
		'ritág'	=>	'002000',
		'ritell'	=>	'0001000',
		'ritio'	=>	'002120',
		'rití'	=>	'00210',
		'riuméne'	=>	'00020000',
		'riumhid'	=>	'00000002',
		'riumhidr'	=>	'000000001',
		'riumio'	=>	'0002120',
		'rivad'	=>	'212000',
		'rivar'	=>	'002000',
		'rivás'	=>	'212000',
		'rivo'	=>	'20000',
		'rivó'	=>	'21200',
		'rixe'	=>	'00002',
		'rixel'	=>	'002100',
		'rixí'	=>	'00200',
		'rixö'	=>	'00200',
		'riza'	=>	'20000',
		'rizét'	=>	'012000',
		'rizmi'	=>	'210000',
		'rizmo'	=>	'210000',
		'rizmuk'	=>	'2000000',
		'rizmú'	=>	'200000',
		'rizsar'	=>	'0020000',
		'rizseb'	=>	'0020000',
		'rizsel'	=>	'0020000',
		'rizza'	=>	'210000',
		'rizzó'	=>	'210000',
		'rí'	=>	'100',
		'rígé'	=>	'00200',
		'ríjai'	=>	'002000',
		'ríjak'	=>	'002000',
		'ríjam'	=>	'002000',
		'ríjas'	=>	'002000',
		'ríjá'	=>	'20000',
		'ríján'	=>	'002000',
		'ríját'	=>	'002000',
		'ríjáv'	=>	'002000',
		'ríjh'	=>	'21000',
		'ríjj'	=>	'21000',
		'ríjl'	=>	'21000',
		'ríjr'	=>	'21000',
		'ríjv'	=>	'21000',
		'rímal'	=>	'002120',
		'rímá'	=>	'20000',
		'rímemb'	=>	'0001000',
		'rímo'	=>	'00200',
		'rímö'	=>	'00200',
		'ríné'	=>	'00200',
		'ríns'	=>	'21000',
		'ríra'	=>	'00200',
		'rírá'	=>	'01200',
		'ríró'	=>	'01200',
		'rítél'	=>	'200000',
		'rítéss'	=>	'0000030',
		'rítőa'	=>	'000002',
		'rítőe'	=>	'000002',
		'rítőkész'	=>	'000000001',
		'ríva'	=>	'00002',
		'rívb'	=>	'21000',
		'ríve'	=>	'21200',
		'rívé'	=>	'21200',
		'rívh'	=>	'21000',
		'rívi'	=>	'00200',
		'rívü'	=>	'01200',
		'rívű'	=>	'00200',
		'rívv'	=>	'21000',
		'ríza'	=>	'00200',
		'rízel'	=>	'002100',
		'ríziss'	=>	'0000030',
		'rízo'	=>	'00200',
		'rjado'	=>	'021000',
		'rjany'	=>	'001000',
		'rjág'	=>	'02100',
		'rjáp'	=>	'02100',
		'rjet'	=>	'00002',
		'rjid'	=>	'02100',
		'rjös'	=>	'02100',
		'rjur'	=>	'02120',
		'rkab'	=>	'00010',
		'rkang'	=>	'001000',
		'rkapr'	=>	'000100',
		'rkaros'	=>	'0000003',
		'rkarór'	=>	'0002020',
		'rkasüv'	=>	'0002120',
		'rkatr'	=>	'000120',
		'rkácsá'	=>	'0002000',
		'rkáne'	=>	'000200',
		'rkári'	=>	'021200',
		'rkárom'	=>	'0000100',
		'rkáru'	=>	'021200',
		'rkedz'	=>	'021200',
		'rkelem'	=>	'0012000',
		'rkelm'	=>	'002000',
		'rkeltá'	=>	'0210000',
		'rkep'	=>	'00010',
		'rkerd'	=>	'021000',
		'rkeredő'	=>	'00100000',
		'rkerei'	=>	'0212000',
		'rkerez'	=>	'0212000',
		'rkerő'	=>	'021200',
		'rkeszö'	=>	'0002000',
		'rkex'	=>	'02100',
		'rképel'	=>	'0002120',
		'rképéss'	=>	'00021000',
		'rkérté'	=>	'0210000',
		'rkétt'	=>	'021000',
		'rkhé'	=>	'01200',
		'rkhón'	=>	'002000',
		'rkia'	=>	'00002',
		'rkie'	=>	'00002',
		'rkig'	=>	'00020',
		'rkiga'	=>	'001000',
		'rkigaz'	=>	'0000001',
		'rkilenc'	=>	'00000001',
		'rkimi'	=>	'021000',
		'rkinga'	=>	'0010000',
		'rkisem'	=>	'0002000',
		'rkiza'	=>	'000210',
		'rkizo'	=>	'001000',
		'rkkl'	=>	'00100',
		'rklie'	=>	'010000',
		'rklí'	=>	'01200',
		'rklo'	=>	'01200',
		'rkló'	=>	'01200',
		'rkolaj'	=>	'0012000',
		'rkonya'	=>	'0002000',
		'rkovit'	=>	'0002000',
		'rkóné'	=>	'021000',
		'rkórá'	=>	'001200',
		'rkóri'	=>	'001200',
		'rköltési'	=>	'021000000',
		'rkötl'	=>	'021000',
		'rköző'	=>	'000200',
		'rkőré'	=>	'001200',
		'rkőrk'	=>	'001000',
		'rkőrn'	=>	'001000',
		'rkőrö'	=>	'001200',
		'rkőrr'	=>	'001000',
		'rkőrs'	=>	'001000',
		'rkőrt'	=>	'001000',
		'rkrém'	=>	'002000',
		'rkri'	=>	'01200',
		'rkrí'	=>	'01200',
		'rkrom'	=>	'012000',
		'rksh'	=>	'00100',
		'rktuss'	=>	'0000010',
		'rkudv'	=>	'001000',
		'rkug'	=>	'02100',
		'rkusze'	=>	'0002000',
		'rkúsz'	=>	'021200',
		'rküd'	=>	'02100',
		'rküg'	=>	'02100',
		'rkvó'	=>	'00200',
		'rlagg'	=>	'000010',
		'rlagol'	=>	'0002100',
		'rlapa'	=>	'000210',
		'rlapál'	=>	'0002000',
		'rlape'	=>	'000010',
		'rlapol'	=>	'0002000',
		'rlaposz'	=>	'00021000',
		'rlapro'	=>	'0001000',
		'rlast'	=>	'000120',
		'rlatan'	=>	'0002120',
		'rlató'	=>	'000212',
		'rlápe'	=>	'000200',
		'rláss'	=>	'000030',
		'rlásút'	=>	'0002100',
		'rláte'	=>	'000212',
		'rláté'	=>	'000210',
		'rlátor'	=>	'0002000',
		'rlega'	=>	'000212',
		'rlegá'	=>	'000210',
		'rleger'	=>	'0002000',
		'rlegg'	=>	'000010',
		'rlegigaz'	=>	'000000001',
		'rleí'	=>	'00002',
		'rletá'	=>	'000212',
		'rleteg'	=>	'0002100',
		'rletell'	=>	'00020000',
		'rletelő'	=>	'00021000',
		'rleték'	=>	'0002100',
		'rletél'	=>	'0002000',
		'rletérv'	=>	'00021000',
		'rleü'	=>	'00002',
		'rlésát'	=>	'0000001',
		'rlésáta'	=>	'00000002',
		'rléss'	=>	'000030',
		'rlgr'	=>	'00100',
		'rlóg'	=>	'00012',
		'rlóó'	=>	'00002',
		'rlót'	=>	'00002',
		'rlőe'	=>	'00002',
		'rlősta'	=>	'0001000',
		'rmakad'	=>	'0210000',
		'rmakészü'	=>	'000002010',
		'rmakó'	=>	'021200',
		'rmakré'	=>	'0001000',
		'rmalt'	=>	'021000',
		'rmanya'	=>	'0212000',
		'rmaó'	=>	'00002',
		'rmatáru'	=>	'00021200',
		'rmatur'	=>	'0002100',
		'rmazon'	=>	'0002000',
		'rmálér'	=>	'0002000',
		'rmányan'	=>	'00020000',
		'rmáram'	=>	'0012000',
		'rmáro'	=>	'021200',
		'rmáru'	=>	'020000',
		'rmcl'	=>	'00100',
		'rmege'	=>	'000002',
		'rmeger'	=>	'0000100',
		'rmeges'	=>	'0002100',
		'rmegé'	=>	'000210',
		'rmegö'	=>	'000320',
		'rmekan'	=>	'0002100',
		'rmekar'	=>	'0002000',
		'rmeká'	=>	'000002',
		'rmekeg'	=>	'0002100',
		'rmekel'	=>	'0002120',
		'rmekérd'	=>	'00020000',
		'rmekor'	=>	'0002000',
		'rmekot'	=>	'0002000',
		'rmekó'	=>	'000212',
		'rmekör'	=>	'0000020',
		'rmekörö'	=>	'00020000',
		'rmelk'	=>	'001000',
		'rmelm'	=>	'021000',
		'rmeran'	=>	'0002000',
		'rmeras'	=>	'0002000',
		'rmerin'	=>	'0002000',
		'rmerői'	=>	'0212000',
		'rmerőke'	=>	'00020000',
		'rmerőkn'	=>	'00020000',
		'rmerőm'	=>	'0212000',
		'rmert'	=>	'000002',
		'rmertr'	=>	'0000100',
		'rmesem'	=>	'0010000',
		'rmetél'	=>	'0002100',
		'rmetin'	=>	'0002000',
		'rmékel'	=>	'0002120',
		'rméker'	=>	'0002000',
		'rméle'	=>	'021200',
		'rmép'	=>	'02100',
		'rmérte'	=>	'0210000',
		'rmétk'	=>	'021000',
		'rmétr'	=>	'021000',
		'rmétt'	=>	'021000',
		'rmig'	=>	'00020',
		'rmiga'	=>	'021000',
		'rmigé'	=>	'021000',
		'rmilla'	=>	'0010000',
		'rmincs'	=>	'0000030',
		'rminte'	=>	'0010000',
		'rmirá'	=>	'021000',
		'rmisi'	=>	'000200',
		'rmisko'	=>	'0210000',
		'rmism'	=>	'021000',
		'rmite'	=>	'000002',
		'rmitel'	=>	'0002100',
		'rmíg'	=>	'02100',
		'rmjob'	=>	'000002',
		'rmkl'	=>	'00100',
		'rmona'	=>	'000210',
		'rmonár'	=>	'0002000',
		'rmone'	=>	'000210',
		'rmonn'	=>	'000010',
		'rmope'	=>	'001000',
		'rmors'	=>	'021000',
		'rmoszfér'	=>	'000102000',
		'rmőszá'	=>	'0002000',
		'rmpl'	=>	'00120',
		'rmpr'	=>	'00120',
		'rmsk'	=>	'00100',
		'rmst'	=>	'00100',
		'rmsz'	=>	'00102',
		'rmtr'	=>	'00100',
		'rmüg'	=>	'00100',
		'rmüz'	=>	'00100',
		'rműs'	=>	'00010',
		'rmya'	=>	'00100',
		'rnab'	=>	'00010',
		'rnaf'	=>	'00012',
		'rnagyú'	=>	'0002000',
		'rnaik'	=>	'000020',
		'rnakr'	=>	'000120',
		'rnapes'	=>	'0002000',
		'rnapro'	=>	'0001000',
		'rnas'	=>	'00002',
		'rnasp'	=>	'000100',
		'rnasz'	=>	'000102',
		'rnat'	=>	'00012',
		'rnács'	=>	'000200',
		'rnelb'	=>	'021000',
		'rnelf'	=>	'021000',
		'rnelh'	=>	'021000',
		'rnelj'	=>	'021000',
		'rnell'	=>	'021000',
		'rneln'	=>	'021000',
		'rnelr'	=>	'021000',
		'rnelt'	=>	'021000',
		'rnemis'	=>	'0002100',
		'rnest'	=>	'021000',
		'rneta'	=>	'000212',
		'rnetel'	=>	'0002121',
		'rneto'	=>	'000010',
		'rnés'	=>	'00002',
		'rnést'	=>	'000100',
		'rnid'	=>	'02120',
		'rnig'	=>	'00020',
		'rniga'	=>	'021000',
		'rnokis'	=>	'0002000',
		'rnód'	=>	'00012',
		'rnöket'	=>	'0002000',
		'rnussze'	=>	'00003000',
		'rnyadó'	=>	'0001200',
		'rnyakad'	=>	'02000000',
		'rnyalako'	=>	'020000000',
		'rnyalk'	=>	'0201000',
		'rnyarc'	=>	'0200000',
		'rnyálm'	=>	'0001000',
		'rnyell'	=>	'0201000',
		'rnyelm'	=>	'0200000',
		'rnyeln'	=>	'0201000',
		'rnyelo'	=>	'0201000',
		'rnyelvo'	=>	'00010000',
		'rnyemb'	=>	'0001000',
		'rnyerd'	=>	'0200000',
		'rnyerez'	=>	'02012000',
		'rnyeső'	=>	'0001200',
		'rnyékné'	=>	'00010000',
		'rnyész'	=>	'0001000',
		'rnyid'	=>	'020100',
		'rnyiz'	=>	'020000',
		'rnyolc'	=>	'0000001',
		'rnyold'	=>	'0001000',
		'rnyor'	=>	'020100',
		'rnyök'	=>	'000100',
		'rnyöt'	=>	'020000',
		'rnys'	=>	'00010',
		'rnyur'	=>	'020100',
		'ro'	=>	'100',
		'road'	=>	'00200',
		'roan'	=>	'00020',
		'robj'	=>	'21000',
		'robl'	=>	'20000',
		'robs'	=>	'01000',
		'rocke'	=>	'000200',
		'rocker'	=>	'0010000',
		'rockén'	=>	'0002000',
		'rockok'	=>	'0012000',
		'rockon'	=>	'0012000',
		'rodú'	=>	'21200',
		'rofitár'	=>	'00002000',
		'rofl'	=>	'00100',
		'rofr'	=>	'00100',
		'rogad'	=>	'002100',
		'rogak'	=>	'002100',
		'rogal'	=>	'002000',
		'rogam'	=>	'002100',
		'rogar'	=>	'002000',
		'rogár'	=>	'002120',
		'rogáz'	=>	'002100',
		'rogenc'	=>	'0001000',
		'roger'	=>	'002000',
		'rogló'	=>	'001200',
		'rogol'	=>	'002120',
		'rogor'	=>	'002000',
		'rogosz'	=>	'0021000',
		'rogö'	=>	'00200',
		'rográ'	=>	'300000',
		'rográff'	=>	'00120000',
		'rogu'	=>	'00002',
		'rogur'	=>	'002000',
		'rogü'	=>	'00200',
		'rogy'	=>	'30000',
		'rohe'	=>	'00200',
		'rohö'	=>	'00200',
		'rois'	=>	'00200',
		'rojt'	=>	'30000',
		'rokab'	=>	'002000',
		'rokac'	=>	'002000',
		'rokad'	=>	'002120',
		'rokait'	=>	'0020000',
		'rokaj'	=>	'002100',
		'rokak'	=>	'002000',
		'rokal'	=>	'002100',
		'rokany'	=>	'0001000',
		'rokas'	=>	'002120',
		'rokáb'	=>	'002000',
		'rokád'	=>	'012000',
		'rokál'	=>	'002100',
		'rokán'	=>	'002000',
		'rokás'	=>	'002120',
		'roke'	=>	'00002',
		'roked'	=>	'002000',
		'roken'	=>	'002100',
		'roké'	=>	'02000',
		'rokék'	=>	'002000',
		'rokél'	=>	'002120',
		'rokép'	=>	'002000',
		'rokid'	=>	'002000',
		'roking'	=>	'0021000',
		'rokí'	=>	'00210',
		'rokod'	=>	'200000',
		'rokold'	=>	'0001000',
		'rokő'	=>	'00200',
		'rokság'	=>	'2100000',
		'rokt'	=>	'00012',
		'roktat'	=>	'2100000',
		'roktán'	=>	'2000000',
		'rokus'	=>	'002120',
		'rokú'	=>	'00002',
		'rokús'	=>	'002000',
		'rokü'	=>	'00200',
		'rolaj'	=>	'212000',
		'rolan'	=>	'000020',
		'roláss'	=>	'0000010',
		'roldá'	=>	'210000',
		'roldó'	=>	'210000',
		'rolid'	=>	'002120',
		'roligar'	=>	'00000002',
		'roligarc'	=>	'000000003',
		'rollad'	=>	'0002120',
		'rollag'	=>	'0002000',
		'rollakn'	=>	'00021000',
		'rollan'	=>	'0002000',
		'rollat'	=>	'0002000',
		'rolleg'	=>	'0002000',
		'rollel'	=>	'0002000',
		'rollis'	=>	'0002000',
		'rolló'	=>	'210000',
		'roltás'	=>	'2100000',
		'roltób'	=>	'2100000',
		'roltóé'	=>	'2000000',
		'roltóh'	=>	'2000000',
		'roltói'	=>	'2100000',
		'roltóké'	=>	'20000000',
		'roltóm'	=>	'2000000',
		'roltón'	=>	'2000000',
		'roltót'	=>	'2100000',
		'roltóv'	=>	'2100000',
		'roltv'	=>	'210000',
		'rolü'	=>	'00200',
		'rolvad'	=>	'2000000',
		'rolvas'	=>	'2000000',
		'rolyai'	=>	'2120000',
		'rolyáh'	=>	'2120000',
		'rolyán'	=>	'2120000',
		'rolyár'	=>	'2120000',
		'rolyéb'	=>	'2000000',
		'rolyéh'	=>	'2000000',
		'rolyéi'	=>	'2000000',
		'rolyiér'	=>	'20000000',
		'rolyuk'	=>	'2120000',
		'romajt'	=>	'0001000',
		'romakk'	=>	'0001000',
		'romakó'	=>	'0001000',
		'romaro'	=>	'0021200',
		'romál'	=>	'002100',
		'romám'	=>	'200000',
		'romári'	=>	'0021200',
		'romárk'	=>	'0021000',
		'romárn'	=>	'0021000',
		'romáro'	=>	'0021200',
		'rombé'	=>	'000002',
		'rombén'	=>	'0002000',
		'romeg'	=>	'002000',
		'romel'	=>	'002100',
		'romer'	=>	'002120',
		'romes'	=>	'002100',
		'roméj'	=>	'002000',
		'roméne'	=>	'0021200',
		'romfos'	=>	'0002100',
		'romim'	=>	'002000',
		'rominá'	=>	'0001000',
		'romist'	=>	'0001000',
		'romita'	=>	'0020000',
		'romiz'	=>	'002000',
		'romí'	=>	'00200',
		'romköz'	=>	'0000001',
		'romni'	=>	'210000',
		'romor'	=>	'002120',
		'romór'	=>	'002120',
		'romö'	=>	'00200',
		'romő'	=>	'00200',
		'rompr'	=>	'000100',
		'romü'	=>	'00200',
		'ronalj'	=>	'0001000',
		'ronalt'	=>	'0001000',
		'ronalu'	=>	'0001000',
		'ronany'	=>	'0001000',
		'ronat'	=>	'000012',
		'ronaut'	=>	'0000200',
		'ronáta'	=>	'0021000',
		'ronátr'	=>	'0021000',
		'roncsel'	=>	'00020000',
		'roncsem'	=>	'00020000',
		'ronen'	=>	'002000',
		'ronesz'	=>	'0001000',
		'rongal'	=>	'0002000',
		'roniko'	=>	'0021200',
		'ronim'	=>	'002120',
		'roní'	=>	'00200',
		'ronop'	=>	'002000',
		'ronóc'	=>	'002000',
		'ronór'	=>	'002120',
		'ronö'	=>	'00200',
		'ronő'	=>	'00200',
		'rons'	=>	'00012',
		'rontab'	=>	'0002000',
		'rontem'	=>	'0002000',
		'rontev'	=>	'0002000',
		'rontén'	=>	'0002100',
		'rontin'	=>	'0002000',
		'rontí'	=>	'000200',
		'rontóé'	=>	'2000000',
		'rontóh'	=>	'2100000',
		'rontóig'	=>	'20000000',
		'rontós'	=>	'2000000',
		'ronü'	=>	'00200',
		'ronyac'	=>	'0020000',
		'ronyal'	=>	'0000120',
		'ronyid'	=>	'0020000',
		'ronyik'	=>	'0020000',
		'ronyir'	=>	'0020000',
		'ronyó'	=>	'002000',
		'ronzab'	=>	'0002000',
		'ronzal'	=>	'0002100',
		'ronzer'	=>	'0002000',
		'ronzin'	=>	'0002000',
		'ronzol'	=>	'0002100',
		'ronzor'	=>	'0002100',
		'ronzó'	=>	'000212',
		'ronzz'	=>	'000010',
		'room'	=>	'00200',
		'roos'	=>	'00200',
		'ropc'	=>	'21000',
		'rope'	=>	'20000',
		'roper'	=>	'002000',
		'ropl'	=>	'00120',
		'ropos'	=>	'000010',
		'rops'	=>	'00020',
		'rorak'	=>	'002000',
		'roral'	=>	'002120',
		'rorat'	=>	'002000',
		'roráll'	=>	'0001000',
		'rore'	=>	'00002',
		'roreg'	=>	'002000',
		'rorel'	=>	'002100',
		'rores'	=>	'002100',
		'rorin'	=>	'002100',
		'rorosz'	=>	'0020000',
		'rort'	=>	'00002',
		'rortr'	=>	'000100',
		'rorü'	=>	'00200',
		'rosar'	=>	'002000',
		'rosass'	=>	'0001000',
		'rosatl'	=>	'0021000',
		'rosav'	=>	'002100',
		'rosárk'	=>	'0021000',
		'rosáro'	=>	'0021000',
		'rosem'	=>	'002000',
		'rosist'	=>	'0021000',
		'rosol'	=>	'002100',
		'rosó'	=>	'00212',
		'rosö'	=>	'00200',
		'roső'	=>	'00200',
		'rossze'	=>	'0003000',
		'rosszék'	=>	'00030000',
		'rostet'	=>	'0002000',
		'rostob'	=>	'2000000',
		'rostol'	=>	'0002000',
		'rostya'	=>	'2000000',
		'rosút'	=>	'002100',
		'roszal'	=>	'0020000',
		'roszan'	=>	'0020000',
		'roszás'	=>	'0020000',
		'roszlo'	=>	'2100000',
		'roszó'	=>	'002000',
		'rosztá'	=>	'0100000',
		'roté'	=>	'20000',
		'rothe'	=>	'001200',
		'rotona'	=>	'0000200',
		'rotró'	=>	'001200',
		'rotth'	=>	'200000',
		'roun'	=>	'00200',
		'rous'	=>	'00200',
		'rovare'	=>	'0000200',
		'rováss'	=>	'0000010',
		'rovib'	=>	'212000',
		'rovik'	=>	'212000',
		'rovis'	=>	'002000',
		'roxidb'	=>	'2020000',
		'roxidr'	=>	'2020000',
		'roxilc'	=>	'2000000',
		'roxy'	=>	'00100',
		'roya'	=>	'00100',
		'rozatal'	=>	'00002000',
		'rozsan'	=>	'0020000',
		'ró'	=>	'100',
		'róad'	=>	'00020',
		'róbajt'	=>	'0001000',
		'róbá'	=>	'20000',
		'rócc'	=>	'00030',
		'róch'	=>	'00230',
		'rócin'	=>	'002000',
		'rócö'	=>	'00210',
		'rócsá'	=>	'002300',
		'rócz'	=>	'00200',
		'ródai'	=>	'002000',
		'ródep'	=>	'002000',
		'ródiad'	=>	'0000200',
		'ródő'	=>	'00200',
		'ródü'	=>	'00200',
		'róéve'	=>	'200000',
		'róévé'	=>	'210000',
		'rófag'	=>	'002100',
		'rófea'	=>	'200000',
		'rófeá'	=>	'200000',
		'rófiv'	=>	'002100',
		'rófs'	=>	'20000',
		'rófur'	=>	'002000',
		'rógr'	=>	'00120',
		'róig'	=>	'00020',
		'rókerest'	=>	'000020000',
		'rókerin'	=>	'00002100',
		'rókl'	=>	'00120',
		'rókré'	=>	'001000',
		'rólm'	=>	'21000',
		'rólom'	=>	'012000',
		'rómal'	=>	'002120',
		'rómar'	=>	'000020',
		'rómara'	=>	'0001000',
		'rómál'	=>	'002000',
		'rómel'	=>	'000020',
		'rómél'	=>	'002000',
		'rómisz'	=>	'0001000',
		'rómí'	=>	'00200',
		'rómk'	=>	'20000',
		'rómö'	=>	'00200',
		'rómü'	=>	'00200',
		'rónem'	=>	'000020',
		'rónéb'	=>	'212000',
		'rónéé'	=>	'200000',
		'rónéh'	=>	'212000',
		'rónén'	=>	'212000',
		'rónér'	=>	'200000',
		'rónét'	=>	'200000',
		'rónév'	=>	'200000',
		'rónj'	=>	'20000',
		'rónn'	=>	'20000',
		'rónr'	=>	'20000',
		'rónuss'	=>	'0000030',
		'rónú'	=>	'20000',
		'rónü'	=>	'00200',
		'róok'	=>	'00020',
		'róór'	=>	'00020',
		'rópl'	=>	'00120',
		'rópro'	=>	'001000',
		'róraa'	=>	'212000',
		'rórac'	=>	'212000',
		'rórad'	=>	'212000',
		'rórae'	=>	'212000',
		'róraf'	=>	'212000',
		'rórag'	=>	'212000',
		'róraje'	=>	'2000000',
		'róram'	=>	'212000',
		'róran'	=>	'212000',
		'rórap'	=>	'212000',
		'rórar'	=>	'212000',
		'róras'	=>	'212000',
		'rórat'	=>	'212000',
		'róraü'	=>	'200000',
		'rórav'	=>	'212000',
		'róráb'	=>	'212000',
		'rórád'	=>	'212000',
		'róráén'	=>	'2020000',
		'róráév'	=>	'2120000',
		'róráh'	=>	'212000',
		'rórái'	=>	'212000',
		'rórája'	=>	'0020000',
		'róráka'	=>	'2120000',
		'rórákb'	=>	'2120000',
		'róráké'	=>	'2120000',
		'rórákh'	=>	'2020000',
		'róráki'	=>	'2000000',
		'rórákk'	=>	'2120000',
		'rórákn'	=>	'2120000',
		'róráko'	=>	'2120000',
		'rórákr'	=>	'2120000',
		'rórákt'	=>	'2120000',
		'rórána'	=>	'2120000',
		'róráná'	=>	'2120000',
		'róránk'	=>	'2120000',
		'rórány'	=>	'2120000',
		'rórár'	=>	'212000',
		'rórás'	=>	'212000',
		'rórát'	=>	'212000',
		'róráv'	=>	'212000',
		'róriá'	=>	'212000',
		'rósorom'	=>	'00010000',
		'róspi'	=>	'001000',
		'rótb'	=>	'20000',
		'róth'	=>	'20000',
		'rótip'	=>	'002000',
		'rótist'	=>	'0001000',
		'rótj'	=>	'20000',
		'rótk'	=>	'20000',
		'rótm'	=>	'20000',
		'rótn'	=>	'20000',
		'rótöv'	=>	'002120',
		'rótri'	=>	'001000',
		'rótül'	=>	'002000',
		'róvó'	=>	'21200',
		'rózat'	=>	'000012',
		'róze'	=>	'00210',
		'rózin'	=>	'002100',
		'rózú'	=>	'00200',
		'rózü'	=>	'00200',
		'rö'	=>	'100',
		'röbl'	=>	'21000',
		'röbölb'	=>	'2100000',
		'röbölh'	=>	'2100000',
		'röböli'	=>	'2100000',
		'röböll'	=>	'2100000',
		'röböln'	=>	'2120000',
		'röbölr'	=>	'2100000',
		'röböltő'	=>	'20000000',
		'röga'	=>	'00200',
		'rögo'	=>	'00200',
		'rögó'	=>	'00200',
		'rökél'	=>	'002120',
		'rökérv'	=>	'0021000',
		'rökí'	=>	'20000',
		'röklé'	=>	'200000',
		'röko'	=>	'00200',
		'rökör'	=>	'212000',
		'rökösé'	=>	'2000000',
		'rökösö'	=>	'2000000',
		'rökrö'	=>	'210000',
		'rölős'	=>	'002000',
		'rölyü'	=>	'002000',
		'röma'	=>	'00200',
		'römá'	=>	'00200',
		'römed'	=>	'200000',
		'römeg'	=>	'002000',
		'römei'	=>	'200000',
		'römén'	=>	'200000',
		'römét'	=>	'200000',
		'römév'	=>	'200000',
		'römí'	=>	'00200',
		'römmű'	=>	'200000',
		'römo'	=>	'00200',
		'römó'	=>	'00200',
		'römöd'	=>	'200000',
		'römök'	=>	'200000',
		'römöt'	=>	'200000',
		'römu'	=>	'00200',
		'römü'	=>	'20000',
		'römű'	=>	'20000',
		'rönde'	=>	'000210',
		'rönka'	=>	'000212',
		'rönke'	=>	'000212',
		'rönkép'	=>	'0002000',
		'rönkol'	=>	'0002000',
		'rönkos'	=>	'0002000',
		'rönköl'	=>	'0002100',
		'rönkü'	=>	'000210',
		'röpi'	=>	'00212',
		'röre'	=>	'00200',
		'rörö'	=>	'00200',
		'rösa'	=>	'00200',
		'rösá'	=>	'00200',
		'röso'	=>	'00200',
		'rössza'	=>	'0003000',
		'rövb'	=>	'21000',
		'röve'	=>	'21200',
		'rövé'	=>	'01200',
		'rövh'	=>	'21000',
		'rövn'	=>	'21000',
		'rövö'	=>	'21200',
		'rövr'	=>	'21000',
		'rövü'	=>	'01200',
		'rövv'	=>	'21000',
		'rő'	=>	'100',
		'rőan'	=>	'00020',
		'rőát'	=>	'00001',
		'rőáta'	=>	'000002',
		'rőbl'	=>	'00100',
		'rőbr'	=>	'00100',
		'rődá'	=>	'00200',
		'rődel'	=>	'002120',
		'rődos'	=>	'002000',
		'rődőr'	=>	'002120',
		'rőel'	=>	'00020',
		'rőer'	=>	'00020',
		'rőes'	=>	'00020',
		'rőéh'	=>	'00020',
		'rőél'	=>	'00020',
		'rőér'	=>	'00020',
		'rőéte'	=>	'000200',
		'rőfas'	=>	'002100',
		'rőfl'	=>	'00100',
		'rőfő'	=>	'00210',
		'rőgépés'	=>	'00002100',
		'rőita'	=>	'000200',
		'rőkl'	=>	'00100',
		'rőkv'	=>	'00100',
		'rőlt'	=>	'20000',
		'rőpl'	=>	'00100',
		'rőpr'	=>	'00100',
		'rőrak'	=>	'000100',
		'rőreg'	=>	'000100',
		'rőrei'	=>	'012000',
		'rőrh'	=>	'01000',
		'rőrin'	=>	'000100',
		'rőriz'	=>	'002000',
		'rőrköz'	=>	'0000001',
		'rőrl'	=>	'21000',
		'rőrm'	=>	'21000',
		'rőrn'	=>	'21000',
		'rőrö'	=>	'00200',
		'rőrp'	=>	'21000',
		'rőrr'	=>	'21000',
		'rőrs'	=>	'21000',
		'rőrt'	=>	'21000',
		'rőrü'	=>	'21200',
		'rőrz'	=>	'21000',
		'rősá'	=>	'00002',
		'rősár'	=>	'002000',
		'rősír'	=>	'002000',
		'rőská'	=>	'001000',
		'rőső'	=>	'00200',
		'rőspe'	=>	'001000',
		'rőspi'	=>	'001200',
		'rősta'	=>	'001000',
		'rőstr'	=>	'001000',
		'rősül'	=>	'000020',
		'rősülő'	=>	'0021000',
		'rősült'	=>	'0021000',
		'rősüt'	=>	'002120',
		'rősű'	=>	'00212',
		'rőszakál'	=>	'000002000',
		'rőut'	=>	'00020',
		'rőül'	=>	'00020',
		'rővas'	=>	'000021',
		'rőzön'	=>	'002000',
		'rpei'	=>	'00002',
		'rpeszel'	=>	'00020000',
		'rphe'	=>	'00200',
		'rpig'	=>	'02100',
		'rpisá'	=>	'000012',
		'rpita'	=>	'000210',
		'rpite'	=>	'000212',
		'rpivá'	=>	'021000',
		'rpla'	=>	'01200',
		'rple'	=>	'00200',
		'rplé'	=>	'00200',
		'rplu'	=>	'00200',
		'rplü'	=>	'00200',
		'rprecíz'	=>	'00000001',
		'rpré'	=>	'01200',
		'rpri'	=>	'01200',
		'rprí'	=>	'01200',
		'rpro'	=>	'01200',
		'rpró'	=>	'01200',
		'rpuszé'	=>	'0002000',
		'rpüz'	=>	'02100',
		'rralap'	=>	'0212000',
		'rrasza'	=>	'0002000',
		'rraszi'	=>	'0002000',
		'rratan'	=>	'0000020',
		'rratany'	=>	'00001000',
		'rratár'	=>	'0002120',
		'rrate'	=>	'000210',
		'rrábr'	=>	'021000',
		'rrádiók'	=>	'00000002',
		'rrádiókb'	=>	'000000100',
		'rrága'	=>	'021200',
		'rrágy'	=>	'021200',
		'rrárb'	=>	'021000',
		'rrásaj'	=>	'0002000',
		'rrásar'	=>	'0002000',
		'rráság'	=>	'0002000',
		'rráse'	=>	'000200',
		'rráss'	=>	'000030',
		'rrásü'	=>	'000200',
		'rrász'	=>	'000230',
		'rrátal'	=>	'0002000',
		'rráts'	=>	'021000',
		'rreli'	=>	'000210',
		'rremb'	=>	'001000',
		'rrendő'	=>	'0000212',
		'rrék'	=>	'02100',
		'rrér'	=>	'00020',
		'rréri'	=>	'021000',
		'rrésem'	=>	'0002000',
		'rrfl'	=>	'00100',
		'rrfr'	=>	'00100',
		'rride'	=>	'021200',
		'rring'	=>	'001000',
		'rrir'	=>	'02100',
		'rrita'	=>	'000200',
		'rrizé'	=>	'001200',
		'rrizg'	=>	'001000',
		'rrizm'	=>	'001000',
		'rrkr'	=>	'00120',
		'rrope'	=>	'001000',
		'rrorál'	=>	'0002000',
		'rrorosz'	=>	'00001000',
		'rródr'	=>	'000100',
		'rróp'	=>	'00010',
		'rröb'	=>	'02100',
		'rrös'	=>	'02100',
		'rrpl'	=>	'00100',
		'rrpr'	=>	'00100',
		'rrsp'	=>	'00100',
		'rrtr'	=>	'00120',
		'rrur'	=>	'02120',
		'rrür'	=>	'02100',
		'rrüt'	=>	'02100',
		'rryn'	=>	'00020',
		'rsadó'	=>	'021200',
		'rsag'	=>	'02120',
		'rsaia'	=>	'021000',
		'rsail'	=>	'000202',
		'rsakku'	=>	'0010000',
		'rsalan'	=>	'0010000',
		'rsalap'	=>	'0002000',
		'rsale'	=>	'021000',
		'rsalm'	=>	'001000',
		'rsalomb'	=>	'02120000',
		'rsana'	=>	'021000',
		'rsany'	=>	'001200',
		'rsapá'	=>	'021200',
		'rsapo'	=>	'021200',
		'rsarc'	=>	'021000',
		'rsarom'	=>	'0010000',
		'rsarz'	=>	'001000',
		'rsatt'	=>	'001000',
		'rsavar'	=>	'0002100',
		'rsavé'	=>	'000212',
		'rsavi'	=>	'000210',
		'rsax'	=>	'02100',
		'rsaz'	=>	'02120',
		'rsábr'	=>	'021000',
		'rságg'	=>	'000010',
		'rsáld'	=>	'001000',
		'rsáré'	=>	'021200',
		'rsárn'	=>	'021000',
		'rsárr'	=>	'021000',
		'rsáru'	=>	'021200',
		'rsáté'	=>	'001000',
		'rsáti'	=>	'001000',
		'rsbl'	=>	'00100',
		'rsbr'	=>	'00100',
		'rsch'	=>	'00202',
		'rsche'	=>	'010000',
		'rsché'	=>	'000300',
		'rsdr'	=>	'00120',
		'rsedz'	=>	'001000',
		'rsef'	=>	'02100',
		'rsegét'	=>	'0012000',
		'rsegy'	=>	'021200',
		'rseil'	=>	'000200',
		'rseka'	=>	'000212',
		'rsekeg'	=>	'0002000',
		'rseleme'	=>	'02120000',
		'rself'	=>	'001000',
		'rselk'	=>	'021000',
		'rselőa'	=>	'0212000',
		'rselől'	=>	'0212000',
		'rsemi'	=>	'001200',
		'rsemu'	=>	'021200',
		'rsenya'	=>	'0002012',
		'rsenyeg'	=>	'00020000',
		'rsenyel'	=>	'00020120',
		'rsenyer'	=>	'00020000',
		'rsenyí'	=>	'0002000',
		'rsenyő'	=>	'0002000',
		'rserd'	=>	'021000',
		'rserk'	=>	'021000',
		'rserő'	=>	'001000',
		'rsess'	=>	'021000',
		'rsesz'	=>	'021000',
		'rségel'	=>	'0002100',
		'rsél'	=>	'02100',
		'rsép'	=>	'02100',
		'rsérd'	=>	'021000',
		'rsérl'	=>	'021000',
		'rsérték'	=>	'02100000',
		'rsés'	=>	'02100',
		'rséte'	=>	'001200',
		'rsétk'	=>	'001000',
		'rsétt'	=>	'001000',
		'rsfr'	=>	'00100',
		'rsgl'	=>	'00100',
		'rsgr'	=>	'00100',
		'rsid'	=>	'00020',
		'rside'	=>	'001000',
		'rsido'	=>	'001000',
		'rsig'	=>	'00020',
		'rsiga'	=>	'001000',
		'rsikr'	=>	'021000',
		'rsill'	=>	'021000',
		'rsimm'	=>	'020000',
		'rsind'	=>	'001000',
		'rsing'	=>	'021000',
		'rsint'	=>	'021000',
		'rsio'	=>	'02120',
		'rsipa'	=>	'001200',
		'rsiro'	=>	'001000',
		'rsisi'	=>	'021200',
		'rsisk'	=>	'021000',
		'rsism'	=>	'021000',
		'rsist'	=>	'021000',
		'rsírn'	=>	'001000',
		'rsíró'	=>	'021200',
		'rsírt'	=>	'021000',
		'rskál'	=>	'012000',
		'rskj'	=>	'01000',
		'rskl'	=>	'00100',
		'rskr'	=>	'00120',
		'rslu'	=>	'01200',
		'rsmink'	=>	'0020000',
		'rsni'	=>	'00200',
		'rsond'	=>	'001000',
		'rsonya'	=>	'0000002',
		'rsonyal'	=>	'00020000',
		'rsonyan'	=>	'00020000',
		'rsonyat'	=>	'00020000',
		'rsonyé'	=>	'0002000',
		'rsop'	=>	'02100',
		'rsord'	=>	'021000',
		'rsorg'	=>	'021000',
		'rsosz'	=>	'001000',
		'rsócsa'	=>	'0000002',
		'rsócsap'	=>	'00000001',
		'rsódá'	=>	'021000',
		'rsóné'	=>	'021000',
		'rsószárr'	=>	'000230000',
		'rsöb'	=>	'02100',
		'rsönt'	=>	'001000',
		'rsörv'	=>	'001000',
		'rsös'	=>	'02100',
		'rsöz'	=>	'02120',
		'rsőr'	=>	'00100',
		'rspl'	=>	'00100',
		'rspr'	=>	'00020',
		'rsrác'	=>	'012000',
		'rsst'	=>	'00120',
		'rsszag'	=>	'0030000',
		'rsszak'	=>	'0030000',
		'rsszá'	=>	'003000',
		'rsszemet'	=>	'003000000',
		'rsszerűb'	=>	'003000000',
		'rsszerűe'	=>	'003000000',
		'rsszerűn'	=>	'003000000',
		'rsszerűs'	=>	'003000000',
		'rsszerűt'	=>	'003000000',
		'rsszerűv'	=>	'003000000',
		'rsszi'	=>	'003000',
		'rsszí'	=>	'003000',
		'rsszó'	=>	'003000',
		'rsszö'	=>	'003000',
		'rstand'	=>	'0100000',
		'rstat'	=>	'012000',
		'rstác'	=>	'012000',
		'rstát'	=>	'012000',
		'rstop'	=>	'002000',
		'rstr'	=>	'00020',
		'rstrat'	=>	'0100000',
		'rstre'	=>	'001000',
		'rstré'	=>	'001000',
		'rstró'	=>	'010000',
		'rstru'	=>	'010000',
		'rstú'	=>	'01200',
		'rsur'	=>	'00020',
		'rsura'	=>	'001000',
		'rsut'	=>	'00020',
		'rsuta'	=>	'021000',
		'rsutá'	=>	'001000',
		'rsúri'	=>	'001200',
		'rsús'	=>	'02120',
		'rsúto'	=>	'001000',
		'rsüd'	=>	'02100',
		'rsüld'	=>	'001000',
		'rsüz'	=>	'02100',
		'rszakal'	=>	'00002120',
		'rszake'	=>	'0000210',
		'rszakö'	=>	'0000200',
		'rszakü'	=>	'0000210',
		'rszaló'	=>	'0200000',
		'rszam'	=>	'023000',
		'rszágg'	=>	'0000010',
		'rszáraz'	=>	'00000001',
		'rszárl'	=>	'0030000',
		'rszené'	=>	'0230000',
		'rszf'	=>	'01020',
		'rszlo'	=>	'000200',
		'rszm'	=>	'00020',
		'rszomjad'	=>	'000002120',
		'rszse'	=>	'003000',
		'rszsi'	=>	'003000',
		'rszta'	=>	'000200',
		'rsztal'	=>	'0000100',
		'rsztárv'	=>	'00001000',
		'rsztrá'	=>	'0000200',
		'rszv'	=>	'01020',
		'rtabla'	=>	'0210000',
		'rtabr'	=>	'021000',
		'rtadat'	=>	'0212000',
		'rtadó'	=>	'001200',
		'rtagit'	=>	'0010000',
		'rtajá'	=>	'021000',
		'rtajtó'	=>	'0010000',
		'rtakara'	=>	'02120000',
		'rtakc'	=>	'021000',
		'rtakre'	=>	'0001000',
		'rtakré'	=>	'0001200',
		'rtalapj'	=>	'00100000',
		'rtaláb'	=>	'0012000',
		'rtalár'	=>	'0210000',
		'rtalb'	=>	'021000',
		'rtalel'	=>	'0210000',
		'rtalg'	=>	'021000',
		'rtalj'	=>	'021000',
		'rtalk'	=>	'021000',
		'rtalt'	=>	'021000',
		'rtalv'	=>	'021000',
		'rtamér'	=>	'0002100',
		'rtanim'	=>	'0010000',
		'rtanór'	=>	'0002120',
		'rtanto'	=>	'0210000',
		'rtantr'	=>	'0210000',
		'rtanyag'	=>	'00120000',
		'rtapp'	=>	'001000',
		'rtarán'	=>	'0010000',
		'rtarc'	=>	'021000',
		'rtarén'	=>	'0002000',
		'rtaty'	=>	'001200',
		'rtauto'	=>	'0012000',
		'rtazo'	=>	'021000',
		'rtábr'	=>	'001000',
		'rtáf'	=>	'02100',
		'rtága'	=>	'001200',
		'rtágb'	=>	'001000',
		'rtágg'	=>	'001000',
		'rtágj'	=>	'001000',
		'rtágn'	=>	'001000',
		'rtágr'	=>	'001000',
		'rtágs'	=>	'001000',
		'rtálad'	=>	'0002000',
		'rtálala'	=>	'00020000',
		'rtárada'	=>	'00020000',
		'rtáraj'	=>	'0002000',
		'rtáramr'	=>	'00020000',
		'rtária'	=>	'0010000',
		'rtáriá'	=>	'0010000',
		'rtárin'	=>	'0210000',
		'rtárszi'	=>	'00100000',
		'rtárszí'	=>	'00100000',
		'rtárta'	=>	'0210000',
		'rtáruké'	=>	'00020000',
		'rtárukk'	=>	'00020000',
		'rtárukn'	=>	'00020000',
		'rtárukr'	=>	'00020000',
		'rtárukt'	=>	'00020000',
		'rtárur'	=>	'0210000',
		'rtárut'	=>	'0210000',
		'rtáság'	=>	'0002100',
		'rtásás'	=>	'0210000',
		'rtász'	=>	'000230',
		'rtáta'	=>	'021210',
		'rtátl'	=>	'021000',
		'rtáts'	=>	'021000',
		'rtátv'	=>	'021000',
		'rtávé'	=>	'000210',
		'rtávi'	=>	'000002',
		'rtbl'	=>	'00100',
		'rtbr'	=>	'00100',
		'rtcl'	=>	'00100',
		'rtcr'	=>	'00100',
		'rtdr'	=>	'00100',
		'rtea'	=>	'00002',
		'rtegé'	=>	'001200',
		'rtegye'	=>	'0012000',
		'rtei'	=>	'00002',
		'rteks'	=>	'021000',
		'rtelad'	=>	'0210000',
		'rtelb'	=>	'021000',
		'rtelf'	=>	'021000',
		'rteljá'	=>	'0010000',
		'rtelker'	=>	'00100000',
		'rtelkö'	=>	'0010000',
		'rtelkü'	=>	'0010000',
		'rtella'	=>	'0000200',
		'rtellá'	=>	'0000212',
		'rtelma'	=>	'0010000',
		'rtelőa'	=>	'0012000',
		'rtelől'	=>	'0002000',
		'rtelr'	=>	'021000',
		'rtember'	=>	'02100000',
		'rteml'	=>	'021000',
		'rtenc'	=>	'021000',
		'rtent'	=>	'021000',
		'rtep'	=>	'00010',
		'rterac'	=>	'0002000',
		'rterál'	=>	'0002000',
		'rterin'	=>	'0002100',
		'rtermo'	=>	'0000001',
		'rtermosz'	=>	'000000002',
		'rteros'	=>	'0002100',
		'rteró'	=>	'021200',
		'rterő'	=>	'021000',
		'rtesp'	=>	'000100',
		'rtesték'	=>	'00100000',
		'rtestné'	=>	'00100000',
		'rtestün'	=>	'02100000',
		'rteszei'	=>	'00020000',
		'rteszek'	=>	'00020000',
		'rteszem'	=>	'00020000',
		'rteszet'	=>	'00020000',
		'rteszk'	=>	'0210000',
		'rteszm'	=>	'0210000',
		'rteszü'	=>	'0212000',
		'rtéd'	=>	'02120',
		'rtégi'	=>	'001200',
		'rtékaj'	=>	'0002000',
		'rtékal'	=>	'0002120',
		'rtékáta'	=>	'00000012',
		'rtékí'	=>	'000010',
		'rtékos'	=>	'0002000',
		'rtéku'	=>	'000200',
		'rtélet'	=>	'0212000',
		'rtélén'	=>	'0002000',
		'rtéli'	=>	'001200',
		'rtélm'	=>	'021000',
		'rténeke'	=>	'02120000',
		'rténekk'	=>	'02120000',
		'rténekr'	=>	'02120000',
		'rtépü'	=>	'021000',
		'rtérdem'	=>	'02100000',
		'rtérem'	=>	'0210000',
		'rtéré'	=>	'021200',
		'rtérin'	=>	'0210000',
		'rtérit'	=>	'0212000',
		'rtértek'	=>	'02100000',
		'rtérté'	=>	'0210000',
		'rtérv'	=>	'021000',
		'rtérz'	=>	'021000',
		'rtéség'	=>	'0002100',
		'rtéskész'	=>	'000000001',
		'rtéssza'	=>	'00003000',
		'rtésül'	=>	'0002000',
		'rtészá'	=>	'0002000',
		'rtészo'	=>	'0002000',
		'rtészö'	=>	'0002000',
		'rtészsí'	=>	'00003000',
		'rtétk'	=>	'021000',
		'rtétl'	=>	'021000',
		'rtétt'	=>	'021000',
		'rtétv'	=>	'021000',
		'rtévet'	=>	'0212000',
		'rtévéné'	=>	'00020000',
		'rtévér'	=>	'0212000',
		'rtévk'	=>	'001000',
		'rtfl'	=>	'00100',
		'rtfr'	=>	'00100',
		'rtgr'	=>	'00100',
		'rthág'	=>	'012000',
		'rtide'	=>	'021200',
		'rtidé'	=>	'001000',
		'rtidi'	=>	'001000',
		'rtifj'	=>	'001000',
		'rtigé'	=>	'021200',
		'rtill'	=>	'021000',
		'rtimá'	=>	'020000',
		'rtimi'	=>	'021200',
		'rtimp'	=>	'021000',
		'rtináb'	=>	'0212000',
		'rtináé'	=>	'0212000',
		'rtináh'	=>	'0212000',
		'rtinán'	=>	'0212000',
		'rtind'	=>	'021000',
		'rtinf'	=>	'021000',
		'rting'	=>	'021000',
		'rtinik'	=>	'0002000',
		'rtipa'	=>	'021200',
		'rtirá'	=>	'021000',
		'rtiro'	=>	'021000',
		'rtisi'	=>	'021000',
		'rtisk'	=>	'021000',
		'rtism'	=>	'021000',
		'rtisza'	=>	'0210000',
		'rtital'	=>	'0012000',
		'rtizé'	=>	'021000',
		'rtizm'	=>	'001000',
		'rtizz'	=>	'021000',
		'rtíg'	=>	'02100',
		'rtíj'	=>	'02100',
		'rtín'	=>	'02100',
		'rtíra'	=>	'000200',
		'rtírá'	=>	'000200',
		'rtíve'	=>	'001200',
		'rtívű'	=>	'001200',
		'rtíz'	=>	'00020',
		'rtízl'	=>	'001000',
		'rtkl'	=>	'00100',
		'rtkr'	=>	'00100',
		'rtkv'	=>	'00100',
		'rtmű'	=>	'00001',
		'rtműt'	=>	'000002',
		'rtof'	=>	'02100',
		'rtokad'	=>	'0002000',
		'rtokal'	=>	'0002120',
		'rtokar'	=>	'0002100',
		'rtoli'	=>	'021200',
		'rtoml'	=>	'021000',
		'rtona'	=>	'000212',
		'rtoná'	=>	'000002',
		'rtonár'	=>	'0002000',
		'rtopá'	=>	'001000',
		'rtope'	=>	'001000',
		'rtopt'	=>	'001000',
		'rtorg'	=>	'021000',
		'rtorom'	=>	'0212000',
		'rtorr'	=>	'021000',
		'rtors'	=>	'021000',
		'rtorv'	=>	'021000',
		'rtosz'	=>	'021000',
		'rtóerejü'	=>	'000030000',
		'rtóp'	=>	'00010',
		'rtórák'	=>	'0002000',
		'rtósp'	=>	'000100',
		'rtószár'	=>	'00023000',
		'rtökl'	=>	'021000',
		'rtököl'	=>	'0010000',
		'rtölőse'	=>	'02120000',
		'rtönn'	=>	'000030',
		'rtörök'	=>	'0012000',
		'rtöröm'	=>	'0010000',
		'rtössz'	=>	'0210000',
		'rtövez'	=>	'0012000',
		'rtőéh'	=>	'000020',
		'rtőkész'	=>	'00000001',
		'rtőrköd'	=>	'02100000',
		'rtőrl'	=>	'001000',
		'rtőrül'	=>	'0200000',
		'rtpl'	=>	'00100',
		'rtpr'	=>	'00100',
		'rtps'	=>	'00100',
		'rtrad'	=>	'002000',
		'rtraf'	=>	'012000',
		'rtranz'	=>	'0120000',
		'rtrág'	=>	'012000',
		'rtriá'	=>	'012000',
		'rtrik'	=>	'012000',
		'rtril'	=>	'012000',
		'rtrió'	=>	'012000',
		'rtrón'	=>	'012000',
		'rtrü'	=>	'01200',
		'rtsk'	=>	'00100',
		'rtsl'	=>	'00100',
		'rtsp'	=>	'00100',
		'rtst'	=>	'00100',
		'rtsz'	=>	'00002',
		'rttr'	=>	'00120',
		'rtudv'	=>	'021000',
		'rtuk'	=>	'00020',
		'rtuká'	=>	'001000',
		'rtunik'	=>	'0200000',
		'rturai'	=>	'0002000',
		'rtural'	=>	'0002000',
		'rturá'	=>	'001200',
		'rtusze'	=>	'0002000',
		'rtutat'	=>	'0012000',
		'rtutá'	=>	'001000',
		'rtúj'	=>	'02100',
		'rtús'	=>	'02120',
		'rtüg'	=>	'02100',
		'rtüld'	=>	'021000',
		'rtülé'	=>	'021200',
		'rtülő'	=>	'001000',
		'rtüt'	=>	'02100',
		'rtüv'	=>	'02120',
		'rtűző'	=>	'001200',
		'rtying'	=>	'0200000',
		'rtyj'	=>	'00020',
		'rtys'	=>	'00020',
		'rtzé'	=>	'01200',
		'rtzi'	=>	'01200',
		'rtző'	=>	'00200',
		'ru'	=>	'100',
		'ruac'	=>	'00200',
		'rubik'	=>	'002120',
		'ruch'	=>	'00230',
		'rucz'	=>	'00200',
		'rudv'	=>	'21000',
		'ruel'	=>	'00020',
		'ruer'	=>	'00020',
		'rufr'	=>	'00100',
		'rugar'	=>	'200000',
		'rugat'	=>	'212000',
		'ruggy'	=>	'000300',
		'rugr'	=>	'21000',
		'ruháss'	=>	'0000010',
		'rujj'	=>	'21000',
		'rukl'	=>	'00120',
		'ruktu'	=>	'200000',
		'ruktú'	=>	'200000',
		'rumagr'	=>	'0001000',
		'rumaj'	=>	'002000',
		'rumal'	=>	'002000',
		'rumaz'	=>	'002000',
		'rumeng'	=>	'0021000',
		'rumer'	=>	'002000',
		'rumes'	=>	'002000',
		'rumél'	=>	'002000',
		'rumik'	=>	'002120',
		'rumill'	=>	'0001000',
		'rumip'	=>	'002120',
		'rumis'	=>	'002000',
		'rumiv'	=>	'002100',
		'rumiz'	=>	'002000',
		'rumí'	=>	'00200',
		'rumol'	=>	'002000',
		'rumor'	=>	'002120',
		'rumö'	=>	'00200',
		'rumő'	=>	'00200',
		'rumü'	=>	'00200',
		'runc'	=>	'21000',
		'runda'	=>	'000200',
		'runit'	=>	'002000',
		'runok'	=>	'012000',
		'rupad'	=>	'002000',
		'rupe'	=>	'00200',
		'rupil'	=>	'002100',
		'rupü'	=>	'00200',
		'rurad'	=>	'002000',
		'rurai'	=>	'002000',
		'rural'	=>	'012000',
		'ruras'	=>	'002000',
		'rurat'	=>	'002000',
		'ruraz'	=>	'012000',
		'rurán'	=>	'002000',
		'rurát'	=>	'002000',
		'rurb'	=>	'21000',
		'ruruk'	=>	'002000',
		'rusabl'	=>	'0001000',
		'rusad'	=>	'002000',
		'rusal'	=>	'002000',
		'rusan'	=>	'000020',
		'rusany'	=>	'0001000',
		'rusar'	=>	'000020',
		'rusaro'	=>	'0001000',
		'rusas'	=>	'002000',
		'rusál'	=>	'002000',
		'rusiz'	=>	'002100',
		'rusír'	=>	'002000',
		'rusol'	=>	'002100',
		'rusó'	=>	'00212',
		'ruső'	=>	'00200',
		'russ'	=>	'00002',
		'russz'	=>	'000002',
		'rust'	=>	'00002',
		'rustra'	=>	'0001000',
		'rusű'	=>	'00212',
		'ruszép'	=>	'0020120',
		'ruszip'	=>	'0020000',
		'rutac'	=>	'012000',
		'rutak'	=>	'012000',
		'rutat'	=>	'012000',
		'rutaz'	=>	'012000',
		'rutc'	=>	'21000',
		'rutób'	=>	'012000',
		'rutód'	=>	'012000',
		'rutói'	=>	'012000',
		'rutój'	=>	'012000',
		'rutók'	=>	'012000',
		'rutón'	=>	'012000',
		'rutóp'	=>	'002000',
		'rutór'	=>	'012000',
		'rutós'	=>	'012000',
		'rutót'	=>	'012000',
		'rutóv'	=>	'012000',
		'rú'	=>	'100',
		'rúda'	=>	'00002',
		'rúdad'	=>	'002000',
		'rúdal'	=>	'002100',
		'rúdar'	=>	'002100',
		'rúdá'	=>	'00210',
		'rúdel'	=>	'002000',
		'rúdin'	=>	'002000',
		'rúdu'	=>	'00200',
		'rúdü'	=>	'00200',
		'rúdy'	=>	'00100',
		'rúdz'	=>	'00230',
		'rúgr'	=>	'00100',
		'rújd'	=>	'21000',
		'rújí'	=>	'00200',
		'rújk'	=>	'21000',
		'rújs'	=>	'21000',
		'rúrb'	=>	'21000',
		'rúrh'	=>	'21000',
		'rúri'	=>	'21200',
		'rúrk'	=>	'21000',
		'rúrn'	=>	'21000',
		'rúro'	=>	'00200',
		'rúrr'	=>	'21000',
		'rúrt'	=>	'21000',
		'rúszó'	=>	'002000',
		'rútal'	=>	'002120',
		'rúte'	=>	'21212',
		'rútér'	=>	'002000',
		'rútit'	=>	'002000',
		'rútk'	=>	'21000',
		'rútle'	=>	'210000',
		'rútm'	=>	'21000',
		'rúto'	=>	'00002',
		'rúts'	=>	'20000',
		'rútü'	=>	'21200',
		'rútv'	=>	'21000',
		'rúzsad'	=>	'0020000',
		'rúzse'	=>	'002000',
		'rü'	=>	'100',
		'rüdí'	=>	'00200',
		'rüdü'	=>	'00200',
		'rügyel'	=>	'0020000',
		'rügyn'	=>	'200000',
		'rüha'	=>	'00200',
		'rüla'	=>	'00200',
		'rülá'	=>	'00200',
		'rüled'	=>	'002000',
		'rüles'	=>	'002000',
		'rülép'	=>	'002000',
		'rülér'	=>	'002000',
		'rülí'	=>	'00200',
		'rülo'	=>	'00210',
		'rüló'	=>	'00200',
		'rülö'	=>	'00002',
		'rülön'	=>	'002100',
		'rülöz'	=>	'002100',
		'rülőg'	=>	'002100',
		'rülu'	=>	'00200',
		'rülú'	=>	'00200',
		'rülül'	=>	'002100',
		'rünn'	=>	'21000',
		'rünő'	=>	'21200',
		'rürí'	=>	'00200',
		'rürü'	=>	'00200',
		'rüte'	=>	'00200',
		'rüté'	=>	'00200',
		'rütö'	=>	'00200',
		'rütő'	=>	'00200',
		'rüvö'	=>	'00200',
		'rüze'	=>	'00200',
		'rüzé'	=>	'00200',
		'rű'	=>	'100',
		'rűgr'	=>	'00100',
		'rűkl'	=>	'00100',
		'rűpr'	=>	'00100',
		'rűrh'	=>	'21000',
		'rűrm'	=>	'21000',
		'rűrö'	=>	'00200',
		'rűrt'	=>	'21000',
		'rűsorr'	=>	'0021000',
		'rűsors'	=>	'0001000',
		'rűsp'	=>	'00100',
		'rűstr'	=>	'001000',
		'rvagá'	=>	'021000',
		'rvakc'	=>	'021000',
		'rvalap'	=>	'0002000',
		'rvalj'	=>	'021000',
		'rvalk'	=>	'021000',
		'rvarán'	=>	'0212000',
		'rvasáb'	=>	'0002000',
		'rvasék'	=>	'0002000',
		'rvasu'	=>	'000002',
		'rvaszó'	=>	'0212000',
		'rvatr'	=>	'000120',
		'rvavá'	=>	'000002',
		'rvága'	=>	'021000',
		'rvágyi'	=>	'0002000',
		'rvállam'	=>	'02000000',
		'rvállo'	=>	'0210000',
		'rvállv'	=>	'0010000',
		'rványad'	=>	'00020000',
		'rványan'	=>	'00020000',
		'rványú'	=>	'0002000',
		'rváp'	=>	'02100',
		'rváral'	=>	'0002100',
		'rváram'	=>	'0212000',
		'rvárosos'	=>	'000002100',
		'rvárú'	=>	'001200',
		'rvásás'	=>	'0212000',
		'rváta'	=>	'021000',
		'rvátors'	=>	'00020000',
		'rveb'	=>	'02120',
		'rvedz'	=>	'021200',
		'rvegye'	=>	'0212000',
		'rvela'	=>	'001000',
		'rveled'	=>	'0012000',
		'rvelemb'	=>	'00020000',
		'rveleme'	=>	'02020000',
		'rveles'	=>	'0012000',
		'rvelk'	=>	'021000',
		'rvell'	=>	'021000',
		'rvelo'	=>	'021000',
		'rvelőa'	=>	'0212000',
		'rvelőá'	=>	'0012000',
		'rvelőkép'	=>	'021200000',
		'rvelőr'	=>	'0210000',
		'rvelőz'	=>	'0200000',
		'rveng'	=>	'021000',
		'rvep'	=>	'02100',
		'rvera'	=>	'000210',
		'rverá'	=>	'000212',
		'rveretn'	=>	'02120000',
		'rveréss'	=>	'00000030',
		'rverip'	=>	'0002000',
		'rvero'	=>	'000210',
		'rverői'	=>	'0212000',
		'rvesete'	=>	'02120000',
		'rvesés'	=>	'0212000',
		'rvex'	=>	'02100',
		'rvéke'	=>	'001000',
		'rvékk'	=>	'001000',
		'rvékn'	=>	'001000',
		'rvékü'	=>	'001000',
		'rvélel'	=>	'0012000',
		'rvélé'	=>	'021200',
		'rvényel'	=>	'00020100',
		'rvép'	=>	'02100',
		'rvérem'	=>	'0212000',
		'rvérés'	=>	'0210000',
		'rvérp'	=>	'021000',
		'rvérté'	=>	'0210000',
		'rvérv'	=>	'021000',
		'rvévet'	=>	'0212000',
		'rvévi'	=>	'021000',
		'rvfr'	=>	'00100',
		'rvido'	=>	'021000',
		'rviga'	=>	'021000',
		'rvigaz'	=>	'0000001',
		'rvigé'	=>	'021000',
		'rvik'	=>	'02100',
		'rvinf'	=>	'021000',
		'rvinte'	=>	'0010000',
		'rvinté'	=>	'0010000',
		'rvip'	=>	'02120',
		'rvirán'	=>	'0200000',
		'rvisme'	=>	'0210000',
		'rvissze'	=>	'00003000',
		'rvital'	=>	'0010000',
		'rviza'	=>	'000212',
		'rvizá'	=>	'000212',
		'rvizelv'	=>	'00021000',
		'rvizo'	=>	'000010',
		'rvizó'	=>	'000200',
		'rvíze'	=>	'000002',
		'rvízes'	=>	'0000100',
		'rvkl'	=>	'00100',
		'rvkr'	=>	'00100',
		'rvob'	=>	'02100',
		'rvolv'	=>	'021000',
		'rvop'	=>	'02100',
		'rvor'	=>	'02100',
		'rvosz'	=>	'001000',
		'rvov'	=>	'02100',
		'rvóh'	=>	'02120',
		'rvórá'	=>	'021000',
		'rvöss'	=>	'001000',
		'rvős'	=>	'00100',
		'rvpr'	=>	'00100',
		'rvsk'	=>	'00100',
		'rvsp'	=>	'00100',
		'rvst'	=>	'00100',
		'rvtr'	=>	'00100',
		'rvub'	=>	'02100',
		'rvut'	=>	'02120',
		'rvüg'	=>	'02100',
		'rvül'	=>	'00020',
		'rvülé'	=>	'021000',
		'rvülő'	=>	'021000',
		'rvült'	=>	'021000',
		'rvüt'	=>	'02100',
		'rvüv'	=>	'02120',
		'rvüz'	=>	'02120',
		'rybe'	=>	'00200',
		'rybó'	=>	'00200',
		'rybő'	=>	'00200',
		'ryén'	=>	'00120',
		'ryho'	=>	'00200',
		'ryna'	=>	'00200',
		'ryne'	=>	'00200',
		'ryra'	=>	'00200',
		'ryre'	=>	'00200',
		'rysn'	=>	'00020',
		'rytó'	=>	'00200',
		'rytő'	=>	'00200',
		'ryva'	=>	'00200',
		'ryve'	=>	'00200',
		'rzadot'	=>	'0212000',
		'rzala'	=>	'021200',
		'rzalj'	=>	'021000',
		'rzalk'	=>	'021000',
		'rzalmás'	=>	'00100000',
		'rzasz'	=>	'000200',
		'rzaszó'	=>	'0210000',
		'rzatal'	=>	'0002000',
		'rzate'	=>	'000212',
		'rzatol'	=>	'0002000',
		'rzáll'	=>	'021000',
		'rzárór'	=>	'0002120',
		'rzáse'	=>	'000200',
		'rzáss'	=>	'000010',
		'rzebe'	=>	'001200',
		'rzep'	=>	'00012',
		'rzest'	=>	'001000',
		'rzetal'	=>	'0002000',
		'rzeteg'	=>	'0002100',
		'rzetel'	=>	'0002120',
		'rzetess'	=>	'00000030',
		'rzeto'	=>	'000210',
		'rzetükét'	=>	'000002000',
		'rzéna'	=>	'000002',
		'rzénal'	=>	'0002100',
		'rzénat'	=>	'0002000',
		'rzéná'	=>	'000200',
		'rzérm'	=>	'021000',
		'rzéso'	=>	'000200',
		'rziab'	=>	'000200',
		'rziss'	=>	'000030',
		'rzín'	=>	'02100',
		'rzorál'	=>	'0002100',
		'rzószár'	=>	'00023000',
		'rzőa'	=>	'00002',
		'rzőe'	=>	'00002',
		'rzpr'	=>	'00120',
		'rzsala'	=>	'0001000',
		'rzsany'	=>	'0001000',
		'rzsapa'	=>	'0001000',
		'rzsaz'	=>	'020000',
		'rzseben'	=>	'00300000',
		'rzseg'	=>	'020120',
		'rzser'	=>	'020120',
		'rzség'	=>	'020000',
		'rzsék'	=>	'020100',
		'rzséva'	=>	'0200000',
		'rzsiga'	=>	'0201000',
		'rzsinj'	=>	'0001000',
		'rzsint'	=>	'0001000',
		'rzsip'	=>	'020000',
		'rzsita'	=>	'0200000',
		'rzsor'	=>	'000100',
		'rzsör'	=>	'020120',
		'rzső'	=>	'02012',
		'rzss'	=>	'00010',
		'rzsut'	=>	'000120',
		'rzsúr'	=>	'000100',
		'rzsült'	=>	'0001000',
		'rzusak'	=>	'0002000',
		'rzusan'	=>	'0002000',
		'rzuss'	=>	'000030',
		'rzusz'	=>	'000230',
		'rzut'	=>	'02100',
		'sa'	=>	'100',
		'sabo'	=>	'20000',
		'sabr'	=>	'20000',
		'sabs'	=>	'21000',
		'sacé'	=>	'21200',
		'sadalé'	=>	'0020000',
		'sadap'	=>	'210000',
		'sadata'	=>	'2120000',
		'sadato'	=>	'2120000',
		'sadató'	=>	'2100000',
		'sadáss'	=>	'0000010',
		'sadm'	=>	'21000',
		'sadog'	=>	'002000',
		'sadóc'	=>	'002000',
		'sadód'	=>	'002000',
		'sadóé'	=>	'002000',
		'sadóh'	=>	'002000',
		'sadói'	=>	'002000',
		'sadój'	=>	'002000',
		'sadóm'	=>	'002000',
		'sadón'	=>	'002000',
		'sadór'	=>	'002000',
		'sadóu'	=>	'002000',
		'sadóz'	=>	'002000',
		'saer'	=>	'00020',
		'safr'	=>	'00120',
		'saga'	=>	'20000',
		'sagan'	=>	'002000',
		'sagál'	=>	'002100',
		'sagg'	=>	'20000',
		'sagne'	=>	'001000',
		'sagó'	=>	'21200',
		'sagő'	=>	'00200',
		'sagrá'	=>	'001000',
		'sagyb'	=>	'010000',
		'sagyo'	=>	'012000',
		'sagyú'	=>	'002000',
		'sahar'	=>	'000020',
		'sahov'	=>	'002000',
		'saig'	=>	'00200',
		'saja'	=>	'20000',
		'sajak'	=>	'002000',
		'sajág'	=>	'002000',
		'saján'	=>	'200000',
		'sajö'	=>	'00210',
		'sajtal'	=>	'0002000',
		'sajtan'	=>	'0002120',
		'sajtar'	=>	'0002000',
		'sajtér'	=>	'0000020',
		'sajtéré'	=>	'00021000',
		'sajtor'	=>	'0002000',
		'sajtö'	=>	'000210',
		'sajtü'	=>	'000212',
		'sakab'	=>	'002100',
		'sakad'	=>	'212000',
		'sakan'	=>	'002100',
		'sakas'	=>	'002000',
		'sakci'	=>	'210000',
		'sakkar'	=>	'0002120',
		'sakkas'	=>	'0002100',
		'sakke'	=>	'000002',
		'sakkeg'	=>	'0002100',
		'sakker'	=>	'0002000',
		'sakkes'	=>	'0002000',
		'sakkis'	=>	'0002000',
		'sakkol'	=>	'0002000',
		'sakkorr'	=>	'00021000',
		'sakkó'	=>	'000212',
		'sakku'	=>	'200000',
		'saklu'	=>	'001000',
		'saknáb'	=>	'2000000',
		'saknái'	=>	'2000000',
		'saknák'	=>	'2100000',
		'sakola'	=>	'0001000',
		'sakorm'	=>	'0021000',
		'sakös'	=>	'002100',
		'sakru'	=>	'001200',
		'sakti'	=>	'210000',
		'saktu'	=>	'210000',
		'sakug'	=>	'002100',
		'sakus'	=>	'212000',
		'sakva'	=>	'001200',
		'salab'	=>	'200000',
		'salag'	=>	'000021',
		'salaka'	=>	'0000200',
		'salaku'	=>	'0020000',
		'salapa'	=>	'2120000',
		'salapí'	=>	'0020000',
		'salapl'	=>	'0020000',
		'salapoz'	=>	'00200000',
		'salapr'	=>	'0120000',
		'salapt'	=>	'0020000',
		'saláda'	=>	'0000200',
		'saláí'	=>	'200000',
		'salánn'	=>	'0000010',
		'saláss'	=>	'0000010',
		'saláté'	=>	'2100000',
		'salb'	=>	'21000',
		'salel'	=>	'012000',
		'salépí'	=>	'0100000',
		'salét'	=>	'000020',
		'saléte'	=>	'0021000',
		'salf'	=>	'20000',
		'salgáh'	=>	'2100000',
		'salgái'	=>	'2100000',
		'salgán'	=>	'2100000',
		'salgásat'	=>	'200000000',
		'saljai'	=>	'2100000',
		'saljáh'	=>	'2100000',
		'saljár'	=>	'2100000',
		'salka'	=>	'210000',
		'salkot'	=>	'2100000',
		'salku'	=>	'010000',
		'salm'	=>	'20000',
		'salomn'	=>	'2120000',
		'salomr'	=>	'2120000',
		'saltag'	=>	'0002000',
		'salte'	=>	'210000',
		'salth'	=>	'210000',
		'saltit'	=>	'2100000',
		'salú'	=>	'00210',
		'samany'	=>	'0021000',
		'samec'	=>	'002000',
		'samil'	=>	'002100',
		'samí'	=>	'00210',
		'samol'	=>	'002000',
		'samosz'	=>	'0021000',
		'samő'	=>	'21200',
		'sanal'	=>	'002000',
		'sanat'	=>	'002000',
		'sand'	=>	'02000',
		'sane'	=>	'20000',
		'sanek'	=>	'002000',
		'sangy'	=>	'210000',
		'sanód'	=>	'002000',
		'sanö'	=>	'00300',
		'sante'	=>	'010000',
		'sanyag'	=>	'0120000',
		'sanyar'	=>	'0030000',
		'sanyá'	=>	'200000',
		'saór'	=>	'00020',
		'sapadó'	=>	'0021200',
		'sapag'	=>	'002120',
		'sapate'	=>	'0000200',
		'sapác'	=>	'002000',
		'sapács'	=>	'0001200',
		'sapáll'	=>	'0001000',
		'sapátm'	=>	'0021000',
		'sapáto'	=>	'0020000',
		'sapel'	=>	'002100',
		'sapék'	=>	'002100',
		'sapka'	=>	'300000',
		'sapkáb'	=>	'3000000',
		'sapkán'	=>	'3000000',
		'sapkás'	=>	'3000000',
		'sapkát'	=>	'3000000',
		'sapkáv'	=>	'3000000',
		'saposz'	=>	'0021000',
		'sapókr'	=>	'0120000',
		'sapósab'	=>	'01200000',
		'sapp'	=>	'20000',
		'saprí'	=>	'010000',
		'sapro'	=>	'001000',
		'sapu'	=>	'20000',
		'saratá'	=>	'0020000',
		'sarató'	=>	'0020000',
		'sarány'	=>	'0020000',
		'sarcho'	=>	'0002300',
		'sarcin'	=>	'0002000',
		'sarén'	=>	'002000',
		'sarit'	=>	'002000',
		'sarje'	=>	'000210',
		'sarke'	=>	'000212',
		'sarki'	=>	'300000',
		'sarkin'	=>	'0002000',
		'sarkir'	=>	'0002000',
		'sarkö'	=>	'000212',
		'sarkú'	=>	'300000',
		'sarló'	=>	'300000',
		'sarm'	=>	'20000',
		'sarom'	=>	'200000',
		'sarz'	=>	'20000',
		'sase'	=>	'00002',
		'saseb'	=>	'002100',
		'sasm'	=>	'00120',
		'saspo'	=>	'001200',
		'sassza'	=>	'0003000',
		'sasszá'	=>	'0003000',
		'sassze'	=>	'0003000',
		'sasszo'	=>	'2100000',
		'sast'	=>	'30000',
		'sasut'	=>	'002120',
		'sasú'	=>	'00200',
		'saszf'	=>	'010000',
		'saszt'	=>	'200000',
		'satakés'	=>	'00002000',
		'satalj'	=>	'0021000',
		'satalt'	=>	'0021000',
		'satanyá'	=>	'00212000',
		'satapu'	=>	'0001000',
		'satárka'	=>	'00210000',
		'satérk'	=>	'0021000',
		'satérr'	=>	'0021000',
		'satik'	=>	'002120',
		'sating'	=>	'0021000',
		'satlé'	=>	'010000',
		'satmo'	=>	'000001',
		'satmosz'	=>	'00000002',
		'satombó'	=>	'21200000',
		'satomo'	=>	'2120000',
		'satorm'	=>	'0021000',
		'satód'	=>	'002120',
		'satóné'	=>	'0021200',
		'satrá'	=>	'001200',
		'saty'	=>	'20000',
		'satyá'	=>	'002000',
		'saul'	=>	'00200',
		'saurá'	=>	'002000',
		'saut'	=>	'20000',
		'sauto'	=>	'002000',
		'sautóér'	=>	'00000020',
		'sautóiko'	=>	'000000200',
		'sauv'	=>	'00200',
		'savada'	=>	'0021200',
		'saval'	=>	'002120',
		'saván'	=>	'300000',
		'savára'	=>	'0001000',
		'savária'	=>	'00010000',
		'savárt'	=>	'0021000',
		'savel'	=>	'002100',
		'savér'	=>	'002100',
		'savill'	=>	'0001000',
		'savin'	=>	'002120',
		'savő'	=>	'00200',
		'savü'	=>	'00200',
		'saxi'	=>	'00200',
		'sazon'	=>	'002000',
		'sá'	=>	'100',
		'sábak'	=>	'002100',
		'sábel'	=>	'002120',
		'sáber'	=>	'002120',
		'sábig'	=>	'002000',
		'sábil'	=>	'002100',
		'sábö'	=>	'00200',
		'sábuj'	=>	'002000',
		'sábut'	=>	'002100',
		'sábü'	=>	'00200',
		'sácsá'	=>	'002000',
		'ságab'	=>	'002000',
		'ságad'	=>	'000020',
		'ságada'	=>	'0001000',
		'ságadd'	=>	'2000000',
		'ságal'	=>	'002000',
		'ságan'	=>	'002000',
		'ságas'	=>	'002000',
		'ságass'	=>	'0001000',
		'ságat'	=>	'002000',
		'ságaz'	=>	'212000',
		'ságál'	=>	'002100',
		'ságárak'	=>	'00212000',
		'ságárn'	=>	'0021000',
		'ságáru'	=>	'0021200',
		'ságe'	=>	'00212',
		'ságép'	=>	'002000',
		'ságiko'	=>	'0021200',
		'ságí'	=>	'00200',
		'ságosz'	=>	'0021000',
		'ságó'	=>	'00212',
		'ságö'	=>	'00210',
		'ságő'	=>	'00200',
		'ságs'	=>	'00010',
		'ságü'	=>	'00200',
		'ságű'	=>	'00200',
		'ságy'	=>	'41200',
		'ságyad'	=>	'0000120',
		'sáka'	=>	'00002',
		'sákal'	=>	'002000',
		'sákan'	=>	'002100',
		'sákar'	=>	'002000',
		'sákát'	=>	'002000',
		'sáke'	=>	'00212',
		'sákköz'	=>	'0000001',
		'sákö'	=>	'00210',
		'sákü'	=>	'00200',
		'sálc'	=>	'01000',
		'sálin'	=>	'002100',
		'sálm'	=>	'21000',
		'sálomb'	=>	'0120000',
		'sámá'	=>	'30000',
		'sáncé'	=>	'000210',
		'sáncso'	=>	'0002300',
		'sánkr'	=>	'000120',
		'sánt'	=>	'00002',
		'sánth'	=>	'000100',
		'sánü'	=>	'00200',
		'sápost'	=>	'0021000',
		'sárad'	=>	'002000',
		'sáradá'	=>	'0001000',
		'sáradó'	=>	'0001200',
		'sárag'	=>	'002100',
		'sáraj'	=>	'002000',
		'sáraka'	=>	'0020000',
		'sárakb'	=>	'2120000',
		'sárakh'	=>	'2120000',
		'sárakk'	=>	'2120000',
		'sárakn'	=>	'2120000',
		'sárako'	=>	'2120000',
		'sárakr'	=>	'2120000',
		'sárakt'	=>	'0020000',
		'sáral'	=>	'002120',
		'sáram'	=>	'212000',
		'sáran'	=>	'002120',
		'sáras'	=>	'202000',
		'sárass'	=>	'0001000',
		'sárasz'	=>	'0001000',
		'sárat'	=>	'212000',
		'sárág'	=>	'002000',
		'sárál'	=>	'002100',
		'sárd'	=>	'00012',
		'sáre'	=>	'00212',
		'sárét'	=>	'200000',
		'sárév'	=>	'002100',
		'sáriá'	=>	'212000',
		'sáriko'	=>	'0001000',
		'sárip'	=>	'002120',
		'sáris'	=>	'002120',
		'sárí'	=>	'00200',
		'sárk'	=>	'00012',
		'sárosz'	=>	'0021000',
		'sárott'	=>	'0001000',
		'sáróni'	=>	'0001000',
		'sárö'	=>	'00200',
		'sárő'	=>	'00200',
		'sárro'	=>	'200000',
		'sárs'	=>	'00012',
		'sárt'	=>	'00002',
		'sártr'	=>	'000100',
		'sárug'	=>	'002000',
		'sáruh'	=>	'212000',
		'sárul'	=>	'212000',
		'sárus'	=>	'200000',
		'sárú'	=>	'00002',
		'sárü'	=>	'00200',
		'sásad'	=>	'002100',
		'sásar'	=>	'002000',
		'sásás'	=>	'002000',
		'sáse'	=>	'00212',
		'sásis'	=>	'002000',
		'sáskész'	=>	'00000001',
		'sásó'	=>	'00200',
		'sásór'	=>	'000120',
		'sásóv'	=>	'210000',
		'sásö'	=>	'00200',
		'sáső'	=>	'00200',
		'sássz'	=>	'000300',
		'sásza'	=>	'002300',
		'sászárad'	=>	'000002120',
		'sászo'	=>	'212000',
		'sáta'	=>	'20000',
		'sátad'	=>	'010000',
		'sátalj'	=>	'0021000',
		'sátál'	=>	'012000',
		'sátáz'	=>	'012120',
		'sátb'	=>	'21000',
		'sátc'	=>	'21000',
		'sátd'	=>	'21000',
		'sáte'	=>	'21212',
		'sáté'	=>	'20000',
		'sátél'	=>	'002000',
		'sátf'	=>	'21000',
		'sáth'	=>	'20000',
		'sáti'	=>	'20000',
		'sátir'	=>	'002100',
		'sátí'	=>	'21200',
		'sátj'	=>	'20000',
		'sátk'	=>	'20000',
		'sátm'	=>	'21000',
		'sátokt'	=>	'0120000',
		'sátor'	=>	'300000',
		'sátókész'	=>	'000000001',
		'sátö'	=>	'21210',
		'sátra'	=>	'300000',
		'sátrá'	=>	'300000',
		'sátre'	=>	'010000',
		'sáts'	=>	'20000',
		'sátt'	=>	'20000',
		'sáttö'	=>	'010000',
		'sátu'	=>	'20000',
		'sátü'	=>	'21200',
		'sátv'	=>	'20000',
		'sátve'	=>	'010000',
		'sátvé'	=>	'010000',
		'sátvi'	=>	'010000',
		'sávad'	=>	'002120',
		'sával'	=>	'000020',
		'sávar'	=>	'002120',
		'sávál'	=>	'002100',
		'sávár'	=>	'002120',
		'sávb'	=>	'30000',
		'sáve'	=>	'00212',
		'sávérz'	=>	'0021000',
		'sávis'	=>	'002000',
		'sáviz'	=>	'002000',
		'sávj'	=>	'30000',
		'sávor'	=>	'002100',
		'sávö'	=>	'00200',
		'sávr'	=>	'30000',
		'sávú'	=>	'30000',
		'sávv'	=>	'30000',
		'sbal'	=>	'00021',
		'sbeá'	=>	'00002',
		'sbércs'	=>	'0000200',
		'sblo'	=>	'00200',
		'sblú'	=>	'00200',
		'sbra'	=>	'00200',
		'sbri'	=>	'00200',
		'sbro'	=>	'00200',
		'sbró'	=>	'00200',
		'scar'	=>	'00002',
		'scheie'	=>	'1000000',
		'schek'	=>	'003000',
		'schen'	=>	'003000',
		'schet'	=>	'003000',
		'schéd'	=>	'003000',
		'schéére'	=>	'10000000',
		'schére'	=>	'1000000',
		'schés'	=>	'003000',
		'schig'	=>	'003000',
		'schil'	=>	'100000',
		'scri'	=>	'00200',
		'sdadal'	=>	'0002000',
		'sdai'	=>	'00002',
		'sdeá'	=>	'00002',
		'sdeb'	=>	'00012',
		'sdedel'	=>	'0002000',
		'sdekr'	=>	'000100',
		'sdes'	=>	'00002',
		'sdesp'	=>	'000100',
		'sdest'	=>	'000100',
		'sdeszt'	=>	'0000020',
		'sdiale'	=>	'0002000',
		'sdra'	=>	'00200',
		'sdrá'	=>	'00200',
		'sdro'	=>	'00200',
		'sdru'	=>	'00200',
		'se'	=>	'100',
		'sead'	=>	'00020',
		'seal'	=>	'00020',
		'sean'	=>	'00020',
		'seál'	=>	'00020',
		'seár'	=>	'00020',
		'sebag'	=>	'002000',
		'sebak'	=>	'002100',
		'sebalt'	=>	'0001000',
		'sebá'	=>	'00002',
		'sebág'	=>	'002100',
		'sebár'	=>	'002000',
		'sebeg'	=>	'002120',
		'sebell'	=>	'0001000',
		'sebelz'	=>	'0001000',
		'sebesh'	=>	'0021000',
		'sebesze'	=>	'00010000',
		'sebéd'	=>	'012000',
		'sebés'	=>	'300000',
		'sebó'	=>	'00212',
		'sebö'	=>	'00200',
		'sebő'	=>	'00212',
		'sebp'	=>	'00010',
		'sebs'	=>	'00010',
		'sebu'	=>	'00210',
		'sebú'	=>	'00200',
		'sebül'	=>	'002000',
		'sebzé'	=>	'300000',
		'secsap'	=>	'0000120',
		'secsev'	=>	'0020000',
		'secsék'	=>	'0020100',
		'sedez'	=>	'200000',
		'sedél'	=>	'000001',
		'sedény'	=>	'2000000',
		'sedra'	=>	'001000',
		'sedrá'	=>	'001200',
		'sedzé'	=>	'002000',
		'sedző'	=>	'002000',
		'seel'	=>	'00020',
		'seen'	=>	'00020',
		'seff'	=>	'20000',
		'sefra'	=>	'001200',
		'seger'	=>	'212000',
		'segéd'	=>	'300000',
		'segér'	=>	'200000',
		'segéss'	=>	'0000030',
		'segész'	=>	'0100001',
		'segét'	=>	'200000',
		'segg'	=>	'30000',
		'segga'	=>	'000200',
		'seggo'	=>	'000200',
		'segí'	=>	'30000',
		'segyed'	=>	'0020000',
		'segyel'	=>	'0000120',
		'segyé'	=>	'012000',
		'segyh'	=>	'210000',
		'segyü'	=>	'210000',
		'sehü'	=>	'00002',
		'sehüv'	=>	'002100',
		'seír'	=>	'00020',
		'sejta'	=>	'000212',
		'sejteny'	=>	'00021200',
		'sejter'	=>	'0002000',
		'sejtér'	=>	'0002000',
		'sejto'	=>	'000210',
		'sejtö'	=>	'000200',
		'sekar'	=>	'000020',
		'sekál'	=>	'002100',
		'sekká'	=>	'000210',
		'sekkos'	=>	'0002000',
		'sekkö'	=>	'000210',
		'seklu'	=>	'001000',
		'sekra'	=>	'001200',
		'sekré'	=>	'001200',
		'sekur'	=>	'002000',
		'sekúr'	=>	'002000',
		'selak'	=>	'000100',
		'selál'	=>	'002000',
		'selb'	=>	'20000',
		'seldö'	=>	'010000',
		'selef'	=>	'212000',
		'selegy'	=>	'0120000',
		'seleh'	=>	'002120',
		'seleké'	=>	'0021000',
		'selemek'	=>	'00200000',
		'selemé'	=>	'2120000',
		'selemk'	=>	'0020000',
		'selemm'	=>	'0020000',
		'selemz'	=>	'2120000',
		'selere'	=>	'0021000',
		'selesé'	=>	'0120000',
		'selesz'	=>	'0000200',
		'seleszü'	=>	'00210000',
		'seleta'	=>	'0000212',
		'seletel'	=>	'00002120',
		'selevé'	=>	'0021200',
		'selevő'	=>	'0021200',
		'seléss'	=>	'0000030',
		'self'	=>	'20000',
		'selha'	=>	'210000',
		'selhel'	=>	'2100000',
		'selho'	=>	'010000',
		'selid'	=>	'000100',
		'selis'	=>	'002000',
		'seljá'	=>	'210000',
		'sellá'	=>	'010000',
		'selmél'	=>	'2000000',
		'selnököl'	=>	'000002100',
		'selny'	=>	'210000',
		'selos'	=>	'012000',
		'selö'	=>	'21200',
		'selőad'	=>	'0020000',
		'selőí'	=>	'012000',
		'selőz'	=>	'212000',
		'selr'	=>	'20000',
		'selta'	=>	'010000',
		'seltá'	=>	'010000',
		'seltö'	=>	'210000',
		'selvek'	=>	'2100000',
		'selvű'	=>	'010000',
		'selvv'	=>	'210000',
		'selz'	=>	'20000',
		'sember'	=>	'2000000',
		'semberb'	=>	'01000000',
		'sembern'	=>	'01000000',
		'sembr'	=>	'210000',
		'semén'	=>	'200000',
		'semlé'	=>	'200000',
		'senat'	=>	'002000',
		'senál'	=>	'002100',
		'senda'	=>	'000210',
		'sendá'	=>	'000210',
		'sener'	=>	'012000',
		'senéss'	=>	'0000030',
		'senged'	=>	'2100000',
		'senist'	=>	'0001000',
		'senor'	=>	'002100',
		'senta'	=>	'010000',
		'senyag'	=>	'0000100',
		'senyak'	=>	'0000100',
		'senyá'	=>	'002012',
		'senyell'	=>	'00001000',
		'senyere'	=>	'00001000',
		'senyél'	=>	'0020100',
		'senyérd'	=>	'00200000',
		'senyérte'	=>	'002000000',
		'senyigé'	=>	'00200000',
		'senyös'	=>	'0020000',
		'senyu'	=>	'002000',
		'senyú'	=>	'002000',
		'senyül'	=>	'0020120',
		'senz'	=>	'01000',
		'seór'	=>	'00020',
		'sepid'	=>	'002000',
		'sepiz'	=>	'010000',
		'seppa'	=>	'000200',
		'seppá'	=>	'000212',
		'sepper'	=>	'0002000',
		'sepri'	=>	'200000',
		'sepro'	=>	'001200',
		'sepró'	=>	'001200',
		'seragy'	=>	'0021000',
		'seral'	=>	'002000',
		'seram'	=>	'002000',
		'seran'	=>	'002120',
		'serar'	=>	'002120',
		'seras'	=>	'002100',
		'serau'	=>	'002000',
		'serág'	=>	'002120',
		'seráll'	=>	'0001000',
		'serár'	=>	'002000',
		'serde'	=>	'010000',
		'serdő'	=>	'200000',
		'seregg'	=>	'0000010',
		'seregs'	=>	'3000000',
		'serej'	=>	'200000',
		'serelő'	=>	'0021200',
		'serelt'	=>	'0021000',
		'serelv'	=>	'0021000',
		'serep'	=>	'000010',
		'serepedő'	=>	'000020000',
		'sereszk'	=>	'00010000',
		'seret'	=>	'000010',
		'serészb'	=>	'00210000',
		'seriga'	=>	'0021000',
		'seril'	=>	'002100',
		'serin'	=>	'000020',
		'serina'	=>	'0021000',
		'serinf'	=>	'0001000',
		'sering'	=>	'0001000',
		'serint'	=>	'0001000',
		'seris'	=>	'002000',
		'seriz'	=>	'002000',
		'serk'	=>	'00010',
		'serol'	=>	'002100',
		'seró'	=>	'00200',
		'seróz'	=>	'010000',
		'serő'	=>	'20200',
		'serőb'	=>	'010000',
		'serőd'	=>	'010000',
		'serőé'	=>	'010000',
		'serőf'	=>	'010000',
		'serők'	=>	'010000',
		'serőm'	=>	'010000',
		'serőn'	=>	'010000',
		'serőt'	=>	'010000',
		'serőv'	=>	'010000',
		'sers'	=>	'00010',
		'sert'	=>	'00002',
		'sertr'	=>	'000100',
		'serüg'	=>	'002120',
		'serví'	=>	'000002',
		'sesemé'	=>	'2100000',
		'seseté'	=>	'2120000',
		'sesél'	=>	'210000',
		'sesés'	=>	'212000',
		'seskü'	=>	'200000',
		'seső'	=>	'21200',
		'sesp'	=>	'00120',
		'sessza'	=>	'0000012',
		'sesszél'	=>	'00000020',
		'sesszo'	=>	'0000010',
		'seste'	=>	'210000',
		'sesti'	=>	'001000',
		'seszen'	=>	'0100000',
		'seszk'	=>	'200000',
		'seszkö'	=>	'0100000',
		'seszm'	=>	'210000',
		'seszű'	=>	'002000',
		'setala'	=>	'0021200',
		'setana'	=>	'0020000',
		'setany'	=>	'0021200',
		'setát'	=>	'002000',
		'seteg'	=>	'002120',
		'seteleg'	=>	'00010000',
		'setelk'	=>	'0021000',
		'setelm'	=>	'0021000',
		'setenk'	=>	'2000000',
		'setese'	=>	'2000000',
		'seteté'	=>	'2120000',
		'setető'	=>	'2120000',
		'seték'	=>	'000020',
		'setékb'	=>	'0021000',
		'setéké'	=>	'0021000',
		'setél'	=>	'002120',
		'seténk'	=>	'0021000',
		'setéri'	=>	'0021200',
		'setérté'	=>	'00210000',
		'setika'	=>	'0020000',
		'setiká'	=>	'0020000',
		'setike'	=>	'0020000',
		'seting'	=>	'0021000',
		'setol'	=>	'002000',
		'setold'	=>	'0001000',
		'setran'	=>	'0010000',
		'setri'	=>	'001000',
		'setro'	=>	'001200',
		'settk'	=>	'200000',
		'seüt'	=>	'00020',
		'sevés'	=>	'212000',
		'sevő'	=>	'21200',
		'seye'	=>	'00100',
		'seyé'	=>	'00100',
		'seyi'	=>	'00100',
		'sezr'	=>	'01000',
		'sé'	=>	'100',
		'sébr'	=>	'21000',
		'séfa'	=>	'00210',
		'séfá'	=>	'00210',
		'séga'	=>	'00212',
		'ségá'	=>	'00212',
		'ségeg'	=>	'002100',
		'ségei'	=>	'300000',
		'ségek'	=>	'300000',
		'ségele'	=>	'0001000',
		'ségelem'	=>	'00002000',
		'ségell'	=>	'0021000',
		'ségem'	=>	'300000',
		'ségent'	=>	'0021000',
		'séger'	=>	'002000',
		'ségerk'	=>	'0001000',
		'ségesz'	=>	'0021000',
		'ségeté'	=>	'0020000',
		'ségeti'	=>	'0021200',
		'ségev'	=>	'002000',
		'ségéje'	=>	'0001200',
		'ségék'	=>	'002120',
		'ségép'	=>	'002000',
		'ségéré'	=>	'0021200',
		'ségérn'	=>	'0021000',
		'ségérr'	=>	'0021000',
		'ségértő'	=>	'00210000',
		'ségérü'	=>	'0021200',
		'ségérv'	=>	'0021000',
		'ségész'	=>	'0001000',
		'ségg'	=>	'00030',
		'ségiga'	=>	'0001000',
		'ségigé'	=>	'0021000',
		'ségist'	=>	'0001000',
		'ségí'	=>	'00200',
		'ségk'	=>	'30000',
		'ségo'	=>	'00002',
		'ségok'	=>	'002100',
		'ségol'	=>	'002000',
		'ségó'	=>	'00212',
		'ségör'	=>	'002000',
		'ségő'	=>	'00202',
		'ségőr'	=>	'000100',
		'ségős'	=>	'000100',
		'ségs'	=>	'00010',
		'ségu'	=>	'00200',
		'ségú'	=>	'00200',
		'ségü'	=>	'30000',
		'ségülő'	=>	'0021200',
		'ségült'	=>	'0001000',
		'séhek'	=>	'212000',
		'séhes'	=>	'212000',
		'séhet'	=>	'212000',
		'séhé'	=>	'21200',
		'séhh'	=>	'21000',
		'séhr'	=>	'21000',
		'séhs'	=>	'21000',
		'séjem'	=>	'002000',
		'séji'	=>	'01200',
		'séjs'	=>	'01000',
		'sékek'	=>	'002000',
		'sékho'	=>	'010000',
		'sékm'	=>	'21000',
		'séks'	=>	'21000',
		'sékú'	=>	'00210',
		'sélel'	=>	'002000',
		'sélet'	=>	'012000',
		'séll'	=>	'20000',
		'sélm'	=>	'21000',
		'sélőkész'	=>	'000000001',
		'sélű'	=>	'00200',
		'sély'	=>	'20000',
		'sélya'	=>	'002000',
		'sélyeg'	=>	'0020000',
		'sémá'	=>	'30000',
		'sému'	=>	'00200',
		'sénekb'	=>	'0120000',
		'séneke'	=>	'2120000',
		'séneké'	=>	'0120000',
		'sénekh'	=>	'2120000',
		'séneki'	=>	'2120000',
		'sénekk'	=>	'0120000',
		'sénekl'	=>	'2000000',
		'sénekn'	=>	'2120000',
		'sénekr'	=>	'0120000',
		'sénekt'	=>	'0120000',
		'sénekü'	=>	'0120000',
		'sépí'	=>	'21200',
		'sépü'	=>	'21200',
		'séral'	=>	'002000',
		'séran'	=>	'002000',
		'sérát'	=>	'002000',
		'sérb'	=>	'20000',
		'sérc'	=>	'20000',
		'sérde'	=>	'010000',
		'séréé'	=>	'002000',
		'série'	=>	'002000',
		'sérig'	=>	'002000',
		'sérlel'	=>	'0100000',
		'sérm'	=>	'20000',
		'séró'	=>	'00300',
		'sérr'	=>	'20000',
		'sértéke'	=>	'01000000',
		'sérvb'	=>	'300000',
		'sérvei'	=>	'0100000',
		'sérvem'	=>	'3000000',
		'sérves'	=>	'3000000',
		'sérvh'	=>	'300000',
		'sérvr'	=>	'300000',
		'sérvv'	=>	'300000',
		'séry'	=>	'40100',
		'sérz'	=>	'21000',
		'sésdi'	=>	'200000',
		'séseki'	=>	'2000000',
		'sésel'	=>	'002100',
		'séssz'	=>	'200000',
		'séstú'	=>	'200000',
		'sészak'	=>	'0000100',
		'sészá'	=>	'002010',
		'sészemb'	=>	'00201000',
		'sészir'	=>	'0020000',
		'sészo'	=>	'002010',
		'sészs'	=>	'000030',
		'sétabl'	=>	'0001000',
		'sétad'	=>	'002120',
		'sétk'	=>	'20000',
		'séto'	=>	'00210',
		'sétő'	=>	'00002',
		'sétőr'	=>	'002100',
		'sétr'	=>	'20000',
		'sétt'	=>	'20000',
		'sétv'	=>	'20000',
		'sévad'	=>	'210000',
		'sévb'	=>	'21000',
		'séved'	=>	'212000',
		'sévei'	=>	'200000',
		'sévek'	=>	'212000',
		'séven'	=>	'212000',
		'sévet'	=>	'200000',
		'sévéb'	=>	'200000',
		'sévéi'	=>	'212000',
		'sévén'	=>	'200000',
		'sévét'	=>	'200000',
		'sévév'	=>	'200000',
		'sévf'	=>	'21000',
		'sévh'	=>	'20000',
		'sévk'	=>	'21000',
		'sévn'	=>	'21000',
		'sévr'	=>	'21000',
		'sévt'	=>	'21000',
		'sévü'	=>	'21200',
		'sévv'	=>	'21000',
		'sfaágac'	=>	'00003000',
		'sfagyal'	=>	'00020100',
		'sfenyőé'	=>	'00000002',
		'sfémá'	=>	'000200',
		'sfémekéh'	=>	'000212000',
		'sfémé'	=>	'000210',
		'sfémi'	=>	'000200',
		'sfiúé'	=>	'000002',
		'sfiúéra'	=>	'00020000',
		'sfiúét'	=>	'0002000',
		'sfle'	=>	'00200',
		'sflo'	=>	'00200',
		'sfló'	=>	'00200',
		'sflu'	=>	'00200',
		'sfokút'	=>	'0002100',
		'sfra'	=>	'00200',
		'sfrá'	=>	'00200',
		'sfre'	=>	'00200',
		'sfri'	=>	'00200',
		'sfrí'	=>	'00200',
		'sfro'	=>	'00200',
		'sfrö'	=>	'00200',
		'sgab'	=>	'00010',
		'sgad'	=>	'00012',
		'sgap'	=>	'00010',
		'sgatr'	=>	'000100',
		'sgeo'	=>	'00020',
		'sgle'	=>	'00200',
		'sgló'	=>	'00200',
		'sgnó'	=>	'00200',
		'sgra'	=>	'01200',
		'sgrá'	=>	'00200',
		'sgri'	=>	'00200',
		'sgró'	=>	'00200',
		'shelyükü'	=>	'000000200',
		'shih'	=>	'12000',
		'shij'	=>	'12000',
		'shik'	=>	'12000',
		'shitköz'	=>	'00000001',
		'shop'	=>	'02000',
		'shorr'	=>	'020000',
		'show'	=>	'32000',
		'shúsár'	=>	'0002000',
		'shúss'	=>	'000010',
		'si'	=>	'100',
		'siac'	=>	'00200',
		'siad'	=>	'00020',
		'siaé'	=>	'00200',
		'siak'	=>	'00300',
		'sial'	=>	'00020',
		'siany'	=>	'000200',
		'siáro'	=>	'000200',
		'sibá'	=>	'00212',
		'sibilis'	=>	'00000001',
		'sidáss'	=>	'0000010',
		'sidea'	=>	'002000',
		'sideá'	=>	'002000',
		'sideg'	=>	'002000',
		'sidei'	=>	'002000',
		'siden'	=>	'002000',
		'sideo'	=>	'002000',
		'sidet'	=>	'020000',
		'sidé'	=>	'20000',
		'sidén'	=>	'012000',
		'sidom'	=>	'002000',
		'sidő'	=>	'21200',
		'sidu'	=>	'00200',
		'sieg'	=>	'00200',
		'siel'	=>	'00020',
		'sien'	=>	'00200',
		'sieu'	=>	'00200',
		'sifj'	=>	'21000',
		'siga'	=>	'20000',
		'sigazo'	=>	'0120000',
		'sigá'	=>	'20000',
		'sige'	=>	'20000',
		'sigek'	=>	'012000',
		'siges'	=>	'012000',
		'sigé'	=>	'21200',
		'signe'	=>	'000210',
		'signó'	=>	'000212',
		'siha'	=>	'20000',
		'sihed'	=>	'300000',
		'sihl'	=>	'21000',
		'sikan'	=>	'002120',
		'sikeresz'	=>	'000021000',
		'sikes'	=>	'000020',
		'sikin'	=>	'002100',
		'sikir'	=>	'002100',
		'sikold'	=>	'0021000',
		'sikonh'	=>	'0120000',
		'sikonj'	=>	'0120000',
		'sikonk'	=>	'2120000',
		'sikonn'	=>	'0120000',
		'sikono'	=>	'2120000',
		'sikonr'	=>	'0120000',
		'sikont'	=>	'2120000',
		'sikonu'	=>	'0120000',
		'sikorr'	=>	'0001000',
		'sikré'	=>	'001000',
		'sikuss'	=>	'0000010',
		'simád'	=>	'200000',
		'simel'	=>	'002100',
		'simit'	=>	'012000',
		'simí'	=>	'30000',
		'simog'	=>	'300000',
		'simp'	=>	'20000',
		'simpor'	=>	'0100000',
		'simut'	=>	'002120',
		'sinas'	=>	'212000',
		'sind'	=>	'20000',
		'sindu'	=>	'010000',
		'siner'	=>	'002000',
		'sinf'	=>	'20000',
		'singa'	=>	'200000',
		'singá'	=>	'010000',
		'singet'	=>	'0100000',
		'singé'	=>	'010000',
		'singók'	=>	'0100000',
		'sinic'	=>	'002000',
		'sinj'	=>	'20000',
		'sinku'	=>	'210000',
		'sins'	=>	'21000',
		'sinte'	=>	'010000',
		'sinv'	=>	'20000',
		'sinvá'	=>	'010000',
		'sinz'	=>	'21000',
		'sionn'	=>	'002000',
		'siono'	=>	'012000',
		'sióa'	=>	'00200',
		'sióá'	=>	'00200',
		'sióc'	=>	'00200',
		'sióda'	=>	'002000',
		'sióe'	=>	'00200',
		'sióg'	=>	'00200',
		'sióik'	=>	'002020',
		'sióo'	=>	'00200',
		'sióp'	=>	'00200',
		'sióú'	=>	'00200',
		'sipara'	=>	'2000000',
		'sipará'	=>	'2000000',
		'siparb'	=>	'2000000',
		'siparc'	=>	'2100000',
		'siparh'	=>	'2000000',
		'siparm'	=>	'2000000',
		'siparn'	=>	'2000000',
		'siparo'	=>	'2120000',
		'siparr'	=>	'2000000',
		'sipartá'	=>	'20000000',
		'sipartó'	=>	'20000000',
		'siparu'	=>	'2000000',
		'sipí'	=>	'30000',
		'sipka'	=>	'300000',
		'sipká'	=>	'300000',
		'sipol'	=>	'300000',
		'siram'	=>	'212000',
		'sirg'	=>	'01000',
		'sirh'	=>	'21000',
		'siro'	=>	'20000',
		'sirod'	=>	'012000',
		'sirón'	=>	'212000',
		'sirt'	=>	'20000',
		'sirtó'	=>	'010000',
		'sisad'	=>	'002000',
		'sisél'	=>	'002000',
		'sisis'	=>	'002100',
		'sisí'	=>	'00212',
		'siss'	=>	'00030',
		'sist'	=>	'00002',
		'sisü'	=>	'00212',
		'siszab'	=>	'0023000',
		'sital'	=>	'012000',
		'sitali'	=>	'0000200',
		'siti'	=>	'00210',
		'sitö'	=>	'00210',
		'sittin'	=>	'0002000',
		'sity'	=>	'30000',
		'siút'	=>	'00020',
		'sivad'	=>	'212000',
		'sivar'	=>	'212000',
		'sivás'	=>	'200000',
		'siví'	=>	'30000',
		'sivó'	=>	'21200',
		'sizé'	=>	'20000',
		'sizéb'	=>	'002000',
		'sizmo'	=>	'010000',
		'sí'	=>	'100',
		'sígé'	=>	'00200',
		'síja'	=>	'00200',
		'síju'	=>	'00200',
		'síkas'	=>	'002000',
		'síke'	=>	'00002',
		'síker'	=>	'002100',
		'síkí'	=>	'00200',
		'síkü'	=>	'00200',
		'sína'	=>	'00002',
		'sínac'	=>	'002000',
		'sínal'	=>	'002000',
		'sínan'	=>	'002000',
		'síná'	=>	'00212',
		'sínel'	=>	'002000',
		'sínö'	=>	'00200',
		'síns'	=>	'20000',
		'sínú'	=>	'00210',
		'sírad'	=>	'002100',
		'sírál'	=>	'002100',
		'sírász'	=>	'0000230',
		'síráto'	=>	'0001200',
		'síred'	=>	'002000',
		'sírem'	=>	'002120',
		'síren'	=>	'002000',
		'síres'	=>	'002000',
		'síret'	=>	'002120',
		'sírén'	=>	'002100',
		'sírir'	=>	'002000',
		'sírí'	=>	'00200',
		'síróa'	=>	'012000',
		'síróf'	=>	'002000',
		'síról'	=>	'002000',
		'síróp'	=>	'002000',
		'sírö'	=>	'00200',
		'sírtev'	=>	'0002120',
		'sírü'	=>	'00210',
		'sísp'	=>	'00100',
		'síst'	=>	'00100',
		'sítékol'	=>	'00002000',
		'sítél'	=>	'200000',
		'sítéss'	=>	'0000030',
		'sítőa'	=>	'000002',
		'sítőe'	=>	'000002',
		'sítr'	=>	'00100',
		'sívá'	=>	'00200',
		'sívb'	=>	'21000',
		'sívek'	=>	'012000',
		'síven'	=>	'012000',
		'sívet'	=>	'012000',
		'sívé'	=>	'00200',
		'sívű'	=>	'00200',
		'síza'	=>	'00200',
		'sízl'	=>	'21000',
		'sízr'	=>	'01000',
		'sízü'	=>	'20000',
		'sízül'	=>	'002000',
		'sjegyá'	=>	'0002012',
		'skao'	=>	'00002',
		'skapocs'	=>	'00000001',
		'skarim'	=>	'0002120',
		'skaros'	=>	'0000003',
		'skarór'	=>	'0002020',
		'skasm'	=>	'000100',
		'skat'	=>	'00002',
		'skatr'	=>	'000100',
		'skau'	=>	'00002',
		'skálák'	=>	'1000000',
		'skálár'	=>	'1000000',
		'skep'	=>	'00012',
		'skesp'	=>	'000120',
		'sképel'	=>	'0002100',
		'skiá'	=>	'00002',
		'skicc'	=>	'120000',
		'skie'	=>	'00002',
		'skjö'	=>	'00200',
		'skla'	=>	'00200',
		'skli'	=>	'00200',
		'sklí'	=>	'00200',
		'sklo'	=>	'00200',
		'skló'	=>	'00200',
		'sklu'	=>	'00200',
		'skoláss'	=>	'00000010',
		'skorpi'	=>	'0200000',
		'skosarai'	=>	'000212000',
		'skóp'	=>	'00010',
		'skrá'	=>	'01200',
		'skré'	=>	'01200',
		'skrit'	=>	'012000',
		'skrí'	=>	'00200',
		'skrón'	=>	'002000',
		'skru'	=>	'00200',
		'skva'	=>	'00200',
		'skvi'	=>	'00200',
		'skvó'	=>	'00200',
		'skyér'	=>	'000100',
		'skyi'	=>	'00010',
		'slad'	=>	'00012',
		'slage'	=>	'000212',
		'slasp'	=>	'000120',
		'slatal'	=>	'0002120',
		'slatan'	=>	'0002120',
		'slatel'	=>	'0002000',
		'slatev'	=>	'0002000',
		'slatés'	=>	'0002000',
		'slatét'	=>	'0002120',
		'slág'	=>	'02000',
		'slágerei'	=>	'100000000',
		'slányal'	=>	'00020000',
		'sláss'	=>	'000030',
		'slega'	=>	'000002',
		'slegg'	=>	'000010',
		'sleí'	=>	'00002',
		'sletal'	=>	'0002000',
		'sletel'	=>	'0002100',
		'sletem'	=>	'0002100',
		'sletél'	=>	'0002000',
		'slevess'	=>	'00000010',
		'sléi'	=>	'00002',
		'sléke'	=>	'000002',
		'slékev'	=>	'0002000',
		'slékol'	=>	'0002100',
		'sléss'	=>	'000030',
		'sliccelv'	=>	'000021000',
		'slid'	=>	'00020',
		'sliká'	=>	'000200',
		'sliss'	=>	'120000',
		'slős'	=>	'00002',
		'slus'	=>	'02000',
		'smaó'	=>	'00002',
		'smarc'	=>	'000002',
		'smas'	=>	'00002',
		'smasp'	=>	'000100',
		'smáru'	=>	'320000',
		'smega'	=>	'000212',
		'smegé'	=>	'000210',
		'smentel'	=>	'00002000',
		'smirg'	=>	'100000',
		'snapal'	=>	'0002000',
		'snape'	=>	'000210',
		'snapor'	=>	'0002100',
		'snapsze'	=>	'00002012',
		'sneyi'	=>	'000100',
		'snittelv'	=>	'000021000',
		'snőéh'	=>	'000020',
		'so'	=>	'100',
		'sobj'	=>	'01000',
		'sock'	=>	'00120',
		'sodaéne'	=>	'00000002',
		'sodag'	=>	'000012',
		'sode'	=>	'00210',
		'sodén'	=>	'002000',
		'sodév'	=>	'002000',
		'sodid'	=>	'002000',
		'sodis'	=>	'002000',
		'sodí'	=>	'00200',
		'sodob'	=>	'002000',
		'sodorg'	=>	'0021000',
		'sodos'	=>	'002100',
		'sodö'	=>	'00200',
		'sodő'	=>	'00200',
		'sodráss'	=>	'00000010',
		'sodú'	=>	'00200',
		'sodút'	=>	'000100',
		'sodü'	=>	'00200',
		'sodz'	=>	'00230',
		'sokab'	=>	'002000',
		'sokai'	=>	'002000',
		'sokaj'	=>	'002100',
		'sokala'	=>	'0021200',
		'sokap'	=>	'002100',
		'sokar'	=>	'002000',
		'sokat'	=>	'000020',
		'sokato'	=>	'0021000',
		'sokál'	=>	'002100',
		'sokárn'	=>	'0021000',
		'soke'	=>	'00212',
		'sokill'	=>	'0001000',
		'sokí'	=>	'00200',
		'sokkal'	=>	'0000020',
		'sokkala'	=>	'00021000',
		'sokkap'	=>	'0002120',
		'sokke'	=>	'200000',
		'sokkel'	=>	'0002100',
		'sokkir'	=>	'0002000',
		'sokköv'	=>	'0002120',
		'sokkü'	=>	'000210',
		'sokl'	=>	'20000',
		'sokm'	=>	'20000',
		'sokok'	=>	'002000',
		'sokold'	=>	'0001000',
		'sokos'	=>	'202000',
		'sokoz'	=>	'212000',
		'sokó'	=>	'00212',
		'sokta'	=>	'200000',
		'soktat'	=>	'0100000',
		'sokú'	=>	'00212',
		'sokü'	=>	'00200',
		'solaj'	=>	'212000',
		'solajár'	=>	'00002120',
		'solaje'	=>	'0000200',
		'solatel'	=>	'00002000',
		'soláss'	=>	'0000010',
		'solda'	=>	'210000',
		'soldá'	=>	'210000',
		'soldó'	=>	'200000',
		'soldók'	=>	'0100000',
		'soldóm'	=>	'0100000',
		'soldón'	=>	'0100000',
		'soldór'	=>	'0100000',
		'soldót'	=>	'0100000',
		'soldóv'	=>	'0100000',
		'solim'	=>	'002000',
		'solló'	=>	'210000',
		'solóó'	=>	'000002',
		'soltás'	=>	'0100000',
		'solvas'	=>	'2000000',
		'solyan'	=>	'0020000',
		'solyó'	=>	'002000',
		'somad'	=>	'002100',
		'somagg'	=>	'0000010',
		'somal'	=>	'002120',
		'somat'	=>	'000020',
		'somato'	=>	'0001000',
		'some'	=>	'00212',
		'somél'	=>	'002000',
		'sométe'	=>	'0021000',
		'somil'	=>	'002000',
		'somita'	=>	'0021000',
		'somí'	=>	'00200',
		'somodo'	=>	'0021000',
		'somort'	=>	'0001000',
		'somosz'	=>	'0021000',
		'somp'	=>	'00010',
		'somú'	=>	'00200',
		'somü'	=>	'00200',
		'sonch'	=>	'000200',
		'sond'	=>	'20000',
		'sone'	=>	'00210',
		'sonkál'	=>	'0002000',
		'sonke'	=>	'000212',
		'sonó'	=>	'20000',
		'sontab'	=>	'0002000',
		'sontal'	=>	'0002120',
		'sontan'	=>	'0002120',
		'sontar'	=>	'0002000',
		'sontár'	=>	'0002120',
		'sonte'	=>	'000212',
		'sontér'	=>	'0000020',
		'sontéré'	=>	'00021000',
		'sontik'	=>	'0002000',
		'sontip'	=>	'0002000',
		'sontö'	=>	'000200',
		'sontő'	=>	'000200',
		'sonv'	=>	'20000',
		'sonye'	=>	'002000',
		'sonyis'	=>	'0020000',
		'soór'	=>	'00200',
		'soós'	=>	'00200',
		'sopc'	=>	'01000',
		'sope'	=>	'01200',
		'sorada'	=>	'0001000',
		'sorala'	=>	'0001000',
		'soráll'	=>	'0001000',
		'sorátl'	=>	'0021000',
		'sore'	=>	'30212',
		'sorf'	=>	'00012',
		'sorgi'	=>	'010000',
		'sorid'	=>	'002000',
		'sorie'	=>	'200000',
		'sorif'	=>	'002000',
		'sorim'	=>	'002000',
		'soring'	=>	'0021000',
		'soris'	=>	'002000',
		'sorké'	=>	'300000',
		'sormű'	=>	'000001',
		'sorműt'	=>	'0000002',
		'soroszt'	=>	'00010000',
		'soroza'	=>	'3000000',
		'soró'	=>	'00212',
		'sorö'	=>	'00200',
		'sorő'	=>	'00200',
		'sorrát'	=>	'0100000',
		'sorrb'	=>	'200000',
		'sorrn'	=>	'210000',
		'sorro'	=>	'210000',
		'sorrú'	=>	'210000',
		'sorsal'	=>	'0002000',
		'sorsar'	=>	'0002000',
		'sorsas'	=>	'0002000',
		'sorse'	=>	'000212',
		'sorsir'	=>	'0002000',
		'sorsó'	=>	'200000',
		'sorsü'	=>	'000200',
		'sorsz'	=>	'000100',
		'sorszón'	=>	'00020000',
		'sortre'	=>	'0001000',
		'sorút'	=>	'000020',
		'sorúto'	=>	'0021000',
		'sorü'	=>	'00200',
		'sorű'	=>	'00200',
		'sosto'	=>	'210000',
		'sostr'	=>	'210000',
		'sosty'	=>	'010000',
		'sosz'	=>	'20000',
		'soszl'	=>	'010000',
		'soszt'	=>	'010000',
		'soul'	=>	'00200',
		'sour'	=>	'00200',
		'sove'	=>	'00200',
		'sovis'	=>	'002000',
		'soxi'	=>	'00200',
		'só'	=>	'100',
		'sóág'	=>	'00020',
		'sóár'	=>	'00020',
		'sócsapá'	=>	'00000002',
		'sódái'	=>	'002000',
		'sódák'	=>	'002000',
		'sódáv'	=>	'002000',
		'sógépeké'	=>	'000021200',
		'sógr'	=>	'00120',
		'sóig'	=>	'00020',
		'sóív'	=>	'00020',
		'sókad'	=>	'002120',
		'sókil'	=>	'002000',
		'sókim'	=>	'002000',
		'sókó'	=>	'00200',
		'sókré'	=>	'001000',
		'sómű'	=>	'00001',
		'sóni'	=>	'00200',
		'sóór'	=>	'00020',
		'sórai'	=>	'002000',
		'sóráb'	=>	'002000',
		'sórái'	=>	'002000',
		'sóráj'	=>	'002000',
		'sórám'	=>	'002000',
		'sórán'	=>	'002000',
		'sórár'	=>	'002000',
		'sórát'	=>	'002000',
		'sóriá'	=>	'002000',
		'sósü'	=>	'00212',
		'sósz'	=>	'00100',
		'sótányér'	=>	'000020100',
		'sótr'	=>	'00120',
		'sótv'	=>	'21000',
		'sóvó'	=>	'21200',
		'sö'	=>	'100',
		'söbű'	=>	'00200',
		'söga'	=>	'00200',
		'sögá'	=>	'00200',
		'sögel'	=>	'002120',
		'sögem'	=>	'002100',
		'sögék'	=>	'002100',
		'sögg'	=>	'00030',
		'sögo'	=>	'00200',
		'sögölé'	=>	'0021200',
		'sögölt'	=>	'0021000',
		'sögű'	=>	'00200',
		'söka'	=>	'00200',
		'sökel'	=>	'002100',
		'sökid'	=>	'002000',
		'söko'	=>	'21200',
		'sökör'	=>	'012000',
		'sökú'	=>	'00200',
		'sölőj'	=>	'002000',
		'sölőz'	=>	'012000',
		'söly'	=>	'01000',
		'söna'	=>	'00200',
		'söná'	=>	'00200',
		'sönda'	=>	'000212',
		'söno'	=>	'00200',
		'sönöl'	=>	'002100',
		'sönő'	=>	'00210',
		'söntv'	=>	'010000',
		'sönú'	=>	'00200',
		'söra'	=>	'00200',
		'sörá'	=>	'00200',
		'sörb'	=>	'30000',
		'sörd'	=>	'20000',
		'söred'	=>	'002100',
		'söreg'	=>	'002000',
		'sören'	=>	'002000',
		'sörf'	=>	'00012',
		'söriz'	=>	'002100',
		'sörk'	=>	'30000',
		'söro'	=>	'00200',
		'söró'	=>	'00200',
		'söröl'	=>	'002120',
		'sörő'	=>	'00210',
		'sörs'	=>	'00010',
		'söru'	=>	'00200',
		'sörv'	=>	'20000',
		'sössz'	=>	'010000',
		'sösv'	=>	'01000',
		'sösz'	=>	'01000',
		'sötl'	=>	'21000',
		'sötv'	=>	'21000',
		'söve'	=>	'20000',
		'sövv'	=>	'01000',
		'sözön'	=>	'012000',
		'ső'	=>	'100',
		'sőac'	=>	'00020',
		'sőal'	=>	'00020',
		'sőan'	=>	'00020',
		'sőág'	=>	'20020',
		'sőbl'	=>	'00100',
		'sőbok'	=>	'200000',
		'sődad'	=>	'002000',
		'sődalk'	=>	'0020000',
		'sődá'	=>	'00200',
		'sődel'	=>	'002000',
		'sődin'	=>	'002000',
		'sődőr'	=>	'002120',
		'sődro'	=>	'001000',
		'sőel'	=>	'00020',
		'sőer'	=>	'00020',
		'sőes'	=>	'00020',
		'sőgr'	=>	'00100',
		'sőkl'	=>	'00100',
		'sőpl'	=>	'00100',
		'sőpn'	=>	'00100',
		'sőpr'	=>	'00100',
		'sőraj'	=>	'002100',
		'sőrácsot'	=>	'002120000',
		'sőriz'	=>	'002000',
		'sőrol'	=>	'002000',
		'sőröl'	=>	'000120',
		'sőrti'	=>	'010000',
		'sőrz'	=>	'01000',
		'sősav'	=>	'002100',
		'sősim'	=>	'002000',
		'sősorrá'	=>	'00210000',
		'sősorró'	=>	'00210000',
		'sősp'	=>	'00120',
		'sősta'	=>	'001000',
		'sőstr'	=>	'001000',
		'sősü'	=>	'00002',
		'sősül'	=>	'002100',
		'sősüt'	=>	'002100',
		'sőszap'	=>	'0020000',
		'sőszáll'	=>	'00201000',
		'sőszék'	=>	'0000020',
		'sőszéké'	=>	'00001000',
		'sőszí'	=>	'002010',
		'spada'	=>	'000212',
		'spann'	=>	'120000',
		'spatu'	=>	'020000',
		'spáj'	=>	'02000',
		'spána'	=>	'000210',
		'spárg'	=>	'120000',
		'speci'	=>	'320000',
		'spektr'	=>	'1000000',
		'speku'	=>	'120000',
		'spék'	=>	'12000',
		'spér'	=>	'02100',
		'spirálú'	=>	'10000000',
		'spiss'	=>	'000030',
		'sple'	=>	'00202',
		'splé'	=>	'01200',
		'splu'	=>	'00200',
		'spne'	=>	'00200',
		'spong'	=>	'120000',
		'sporta'	=>	'0000002',
		'sportal'	=>	'00002100',
		'sportág'	=>	'12000000',
		'sportár'	=>	'00002000',
		'sportb'	=>	'3200000',
		'sporte'	=>	'0000212',
		'sporté'	=>	'1200000',
		'sportérd'	=>	'000021000',
		'sporth'	=>	'1200000',
		'sportin'	=>	'00002120',
		'sportj'	=>	'1200000',
		'sportn'	=>	'1200000',
		'sportoka'	=>	'120000000',
		'sportol'	=>	'12000000',
		'sporton'	=>	'12000000',
		'sportos'	=>	'12000000',
		'sportot'	=>	'32000000',
		'sportö'	=>	'0000210',
		'sportő'	=>	'0000200',
		'sportra'	=>	'12000000',
		'sportró'	=>	'12000000',
		'sporttó'	=>	'12000000',
		'sportu'	=>	'1200000',
		'sportü'	=>	'0000212',
		'spórol'	=>	'1000000',
		'spra'	=>	'00200',
		'sprak'	=>	'010000',
		'spray'	=>	'300000',
		'spre'	=>	'01200',
		'spré'	=>	'01200',
		'spric'	=>	'100000',
		'spro'	=>	'01200',
		'spró'	=>	'01200',
		'spsz'	=>	'00200',
		'sraf'	=>	'12000',
		'srau'	=>	'00002',
		'sráco'	=>	'120000',
		'srendő'	=>	'0000212',
		'sróf'	=>	'32000',
		'srúde'	=>	'000200',
		'ssabbi'	=>	'0000210',
		'ssavo'	=>	'000200',
		'sságg'	=>	'000030',
		'sségel'	=>	'0002120',
		'sségéj'	=>	'0002120',
		'sségid'	=>	'0002000',
		'ssékt'	=>	'021000',
		'ssiz'	=>	'02120',
		'sskál'	=>	'002000',
		'ssko'	=>	'00200',
		'sskr'	=>	'00120',
		'sslá'	=>	'00200',
		'ssomo'	=>	'000210',
		'sspó'	=>	'00200',
		'ssrá'	=>	'01200',
		'sssz'	=>	'00300',
		'sstad'	=>	'002000',
		'sstar'	=>	'002000',
		'sstat'	=>	'002000',
		'sstí'	=>	'01200',
		'ssto'	=>	'00200',
		'sstr'	=>	'01020',
		'sstú'	=>	'00200',
		'ssura'	=>	'001000',
		'ssyér'	=>	'000100',
		'ssyét'	=>	'000100',
		'ssz'	=>	'0200',
		'sszae'	=>	'000002',
		'sszapr'	=>	'0000120',
		'sszat'	=>	'000002',
		'sszatr'	=>	'0000100',
		'sszág'	=>	'000120',
		'sszáram'	=>	'00012000',
		'sszáruk'	=>	'00012000',
		'sszász'	=>	'0001200',
		'sszáza'	=>	'0300000',
		'sszedé'	=>	'0300000',
		'sszegül'	=>	'00000020',
		'sszegülő'	=>	'000021000',
		'sszegye'	=>	'00010000',
		'sszekv'	=>	'0300000',
		'sszelőa'	=>	'00012000',
		'sszeml'	=>	'0300000',
		'sszemm'	=>	'0300000',
		'sszep'	=>	'000012',
		'sszereib'	=>	'000020000',
		'sszereid'	=>	'000020000',
		'sszerein'	=>	'000020000',
		'sszereké'	=>	'000020000',
		'sszerekt'	=>	'000020000',
		'sszeremm'	=>	'000020000',
		'sszerese'	=>	'000020000',
		'sszertár'	=>	'000002120',
		'sszetr'	=>	'0000120',
		'sszéki'	=>	'0300000',
		'sszélő'	=>	'0001200',
		'sszérin'	=>	'00000100',
		'sszéto'	=>	'0300000',
		'sszige'	=>	'0300000',
		'sszing'	=>	'0001000',
		'ssziss'	=>	'0000010',
		'sszível'	=>	'00002000',
		'sszk'	=>	'00012',
		'sszkész'	=>	'00000001',
		'sszob'	=>	'030000',
		'sszosz'	=>	'0001000',
		'sszósá'	=>	'0001000',
		'sszöc'	=>	'030000',
		'sször'	=>	'030000',
		'sszös'	=>	'000100',
		'sszöv'	=>	'030000',
		'sszp'	=>	'00012',
		'sszsi'	=>	'003000',
		'sszt'	=>	'00002',
		'ssztro'	=>	'0001000',
		'sszur'	=>	'030000',
		'sszuss'	=>	'0000010',
		'stabil'	=>	'1000000',
		'stadio'	=>	'1000000',
		'stadó'	=>	'001200',
		'stafí'	=>	'100000',
		'stalj'	=>	'021000',
		'stalk'	=>	'021000',
		'stand'	=>	'020000',
		'standa'	=>	'1000000',
		'stanór'	=>	'0002120',
		'stansé'	=>	'0000210',
		'stanyag'	=>	'00120000',
		'starc'	=>	'020000',
		'startas'	=>	'00002000',
		'startos'	=>	'10000000',
		'startot'	=>	'12000000',
		'startt'	=>	'1000000',
		'stasl'	=>	'000100',
		'stast'	=>	'000120',
		'statr'	=>	'000120',
		'stau'	=>	'00030',
		'staut'	=>	'000020',
		'stax'	=>	'02120',
		'stazo'	=>	'001000',
		'stábj'	=>	'100000',
		'stábk'	=>	'100000',
		'stábn'	=>	'100000',
		'stábot'	=>	'1000000',
		'stáld'	=>	'001000',
		'stáncol'	=>	'00002100',
		'stánsá'	=>	'0000212',
		'stáriá'	=>	'0002000',
		'stárka'	=>	'0210000',
		'stárká'	=>	'0210000',
		'státa'	=>	'001212',
		'státs'	=>	'001000',
		'státu'	=>	'120000',
		'státv'	=>	'001000',
		'stbr'	=>	'00100',
		'stdr'	=>	'00100',
		'stea'	=>	'00020',
		'steak'	=>	'120000',
		'stebé'	=>	'021000',
		'stedén'	=>	'0200000',
		'stegy'	=>	'021200',
		'stelf'	=>	'021000',
		'stelh'	=>	'021000',
		'stellen'	=>	'02100000',
		'stelm'	=>	'021000',
		'stelo'	=>	'021200',
		'stelö'	=>	'021000',
		'stelő'	=>	'021200',
		'stelr'	=>	'021000',
		'stelt'	=>	'021000',
		'stelv'	=>	'021000',
		'stember'	=>	'02100000',
		'stemel'	=>	'0212000',
		'steml'	=>	'021000',
		'stena'	=>	'000210',
		'stená'	=>	'000210',
		'steneg'	=>	'0002000',
		'stenés'	=>	'0002100',
		'stenn'	=>	'000030',
		'stenos'	=>	'0002000',
		'stenő'	=>	'000212',
		'stepp'	=>	'100000',
		'sterad'	=>	'0002000',
		'steraj'	=>	'0002000',
		'steral'	=>	'0002000',
		'sterav'	=>	'0002000',
		'sterác'	=>	'0002000',
		'sterál'	=>	'0002000',
		'sterele'	=>	'00021200',
		'sterili'	=>	'10000000',
		'sterint'	=>	'00021000',
		'steris'	=>	'0002000',
		'stero'	=>	'000210',
		'sterő'	=>	'021000',
		'stesz'	=>	'000200',
		'steszm'	=>	'0210000',
		'steu'	=>	'00020',
		'stégek'	=>	'1000000',
		'stéget'	=>	'1000000',
		'stégg'	=>	'100000',
		'stégr'	=>	'100000',
		'stéka'	=>	'000212',
		'stéká'	=>	'000200',
		'stékát'	=>	'0000001',
		'stékáta'	=>	'00000002',
		'stékel'	=>	'0002100',
		'stékesí'	=>	'00120000',
		'stékí'	=>	'001000',
		'stéko'	=>	'000210',
		'stéku'	=>	'000200',
		'stéle'	=>	'021200',
		'stélé'	=>	'001200',
		'stélm'	=>	'021000',
		'stélt'	=>	'021000',
		'stélv'	=>	'001000',
		'stérc'	=>	'021000',
		'stérem'	=>	'0210000',
		'stéré'	=>	'021200',
		'stérőt'	=>	'0212000',
		'stérté'	=>	'0210000',
		'stérz'	=>	'021000',
		'stéss'	=>	'000030',
		'stészl'	=>	'0210000',
		'stétk'	=>	'021000',
		'stfl'	=>	'00100',
		'stfr'	=>	'00100',
		'stgr'	=>	'00100',
		'stid'	=>	'02120',
		'stig'	=>	'00020',
		'stige'	=>	'021000',
		'stigé'	=>	'021000',
		'stima'	=>	'021200',
		'stimá'	=>	'021200',
		'stimm'	=>	'120000',
		'stimp'	=>	'021000',
		'stind'	=>	'021000',
		'stinf'	=>	'020000',
		'sting'	=>	'021000',
		'stinv'	=>	'021000',
		'stio'	=>	'02120',
		'stipa'	=>	'001200',
		'stirá'	=>	'001000',
		'stiró'	=>	'001000',
		'stiss'	=>	'000030',
		'stisz'	=>	'000200',
		'stisza'	=>	'0210000',
		'stivá'	=>	'021200',
		'stizo'	=>	'001200',
		'stíj'	=>	'02100',
		'stíl'	=>	'32000',
		'stír'	=>	'02000',
		'stírá'	=>	'001000',
		'stív'	=>	'00120',
		'stíz'	=>	'00120',
		'stkáro'	=>	'0000200',
		'stkr'	=>	'00100',
		'stkv'	=>	'00100',
		'stolat'	=>	'0000020',
		'stolato'	=>	'00020000',
		'stopa'	=>	'000210',
		'stopb'	=>	'120000',
		'stoph'	=>	'120000',
		'stopr'	=>	'120000',
		'stopt'	=>	'120000',
		'storál'	=>	'0002000',
		'storás'	=>	'0002000',
		'store'	=>	'000200',
		'storis'	=>	'0002000',
		'stox'	=>	'00120',
		'stóla'	=>	'320000',
		'stólá'	=>	'320000',
		'stórá'	=>	'001200',
		'stós'	=>	'12000',
		'stökölt'	=>	'00021000',
		'stönt'	=>	'021000',
		'störö'	=>	'021000',
		'stössz'	=>	'0210000',
		'stőa'	=>	'00002',
		'stőe'	=>	'00002',
		'stőkész'	=>	'00000001',
		'stőra'	=>	'021000',
		'stőrb'	=>	'021000',
		'stőrc'	=>	'021000',
		'stőreg'	=>	'0210000',
		'stőrei'	=>	'0210000',
		'stőrén'	=>	'0210000',
		'stőrér'	=>	'0210000',
		'stőrév'	=>	'0210000',
		'stőrf'	=>	'021000',
		'stőrg'	=>	'021000',
		'stőrh'	=>	'021000',
		'stőri'	=>	'021200',
		'stőrl'	=>	'001000',
		'stőrm'	=>	'021000',
		'stőrn'	=>	'021000',
		'stőrp'	=>	'001000',
		'stőrs'	=>	'021000',
		'stőrü'	=>	'021200',
		'stőrv'	=>	'021000',
		'stpf'	=>	'00100',
		'stpl'	=>	'00100',
		'stpr'	=>	'00100',
		'strando'	=>	'10000000',
		'strap'	=>	'102000',
		'straté'	=>	'1000000',
		'strág'	=>	'010000',
		'stréb'	=>	'102000',
		'strén'	=>	'012000',
		'striá'	=>	'002000',
		'stróf'	=>	'002000',
		'strófá'	=>	'1000000',
		'struc'	=>	'102000',
		'struktú'	=>	'10000000',
		'stsc'	=>	'00100',
		'stst'	=>	'00100',
		'stsz'	=>	'00100',
		'sttr'	=>	'00120',
		'studv'	=>	'021000',
		'stukk'	=>	'100000',
		'stuni'	=>	'001000',
		'stural'	=>	'0012000',
		'stúd'	=>	'32000',
		'stút'	=>	'00100',
		'stüg'	=>	'02100',
		'stülő'	=>	'021200',
		'stüst'	=>	'001000',
		'stüt'	=>	'02100',
		'stüv'	=>	'02120',
		'stűri'	=>	'021200',
		'stűrn'	=>	'021000',
		'stűrt'	=>	'021000',
		'su'	=>	'100',
		'suár'	=>	'00020',
		'subi'	=>	'00001',
		'sudm'	=>	'01000',
		'sudv'	=>	'21000',
		'sugárr'	=>	'3000000',
		'sugr'	=>	'21000',
		'suhi'	=>	'30000',
		'sujj'	=>	'20000',
		'sujjada'	=>	'00021200',
		'sukará'	=>	'0021000',
		'suke'	=>	'00200',
		'sukö'	=>	'00210',
		'sukü'	=>	'00210',
		'summ'	=>	'30000',
		'sunal'	=>	'002000',
		'sund'	=>	'21000',
		'suni'	=>	'21200',
		'suno'	=>	'00200',
		'supe'	=>	'00002',
		'sura'	=>	'20000',
		'surad'	=>	'012000',
		'surai'	=>	'002000',
		'surak'	=>	'002000',
		'sural'	=>	'002000',
		'surat'	=>	'002000',
		'surát'	=>	'002000',
		'surn'	=>	'20000',
		'suru'	=>	'21200',
		'suszo'	=>	'002000',
		'sutac'	=>	'212000',
		'sutad'	=>	'212000',
		'sutak'	=>	'200000',
		'sutal'	=>	'012000',
		'sutam'	=>	'212000',
		'sutan'	=>	'212000',
		'sutass'	=>	'0000010',
		'sutat'	=>	'212000',
		'sutazi'	=>	'2020000',
		'sutazó'	=>	'0120000',
		'sutc'	=>	'21000',
		'sutó'	=>	'20000',
		'sutód'	=>	'002000',
		'sutu'	=>	'20000',
		'sú'	=>	'100',
		'súcsal'	=>	'0020000',
		'súcsat'	=>	'0020000',
		'súcsem'	=>	'0020000',
		'súcser'	=>	'0020000',
		'súcsip'	=>	'0020000',
		'súcská'	=>	'0000002',
		'súcsö'	=>	'002010',
		'súcsü'	=>	'002012',
		'súcsz'	=>	'000030',
		'súdi'	=>	'00002',
		'súim'	=>	'00020',
		'sújh'	=>	'01000',
		'sújí'	=>	'21200',
		'sújs'	=>	'21000',
		'súly'	=>	'30000',
		'súrb'	=>	'20000',
		'súré'	=>	'20000',
		'súrh'	=>	'20000',
		'súri'	=>	'20000',
		'súrk'	=>	'20000',
		'súrl'	=>	'30000',
		'súrn'	=>	'20000',
		'súrp'	=>	'20000',
		'súrr'	=>	'20000',
		'súrt'	=>	'20000',
		'súsén'	=>	'002000',
		'súsó'	=>	'00200',
		'súsz'	=>	'20000',
		'súszósz'	=>	'00000230',
		'sútb'	=>	'21000',
		'súten'	=>	'000100',
		'súté'	=>	'20000',
		'súth'	=>	'01000',
		'súti'	=>	'20000',
		'sútig'	=>	'002000',
		'sútj'	=>	'21000',
		'sútk'	=>	'21000',
		'sútn'	=>	'01000',
		'súto'	=>	'20000',
		'súton'	=>	'012000',
		'sútő'	=>	'00210',
		'sútr'	=>	'21000',
		'sútt'	=>	'21000',
		'sútü'	=>	'00002',
		'sútüz'	=>	'000100',
		'sútv'	=>	'21000',
		'sü'	=>	'100',
		'süde'	=>	'00210',
		'südí'	=>	'00200',
		'südü'	=>	'00200',
		'sügé'	=>	'30300',
		'süggy'	=>	'010000',
		'sügy'	=>	'21200',
		'süka'	=>	'30210',
		'sükü'	=>	'00200',
		'süldö'	=>	'200000',
		'süled'	=>	'002000',
		'sültr'	=>	'300000',
		'sülye'	=>	'000002',
		'sülyes'	=>	'0020000',
		'süná'	=>	'00200',
		'süne'	=>	'00002',
		'sünev'	=>	'002000',
		'süné'	=>	'00210',
		'sünő'	=>	'21200',
		'sürí'	=>	'00200',
		'sürü'	=>	'21200',
		'süst'	=>	'20000',
		'süsz'	=>	'21200',
		'sütk'	=>	'20000',
		'sütőb'	=>	'300000',
		'süze'	=>	'00200',
		'süzé'	=>	'00200',
		'sű'	=>	'100',
		'sűpr'	=>	'00100',
		'sűra'	=>	'00210',
		'sűrí'	=>	'30000',
		'sűru'	=>	'01200',
		'sűző'	=>	'00200',
		'svasu'	=>	'000212',
		'sványan'	=>	'00020000',
		'sváral'	=>	'0002100',
		'svárosi'	=>	'00000002',
		'sven'	=>	'00001',
		'svezetőé'	=>	'000000002',
		'svényel'	=>	'00020000',
		'svétes'	=>	'0002000',
		'svíze'	=>	'000002',
		'svízes'	=>	'0000100',
		'svun'	=>	'02000',
		'swhi'	=>	'00200',
		'swhisky'	=>	'00000002',
		'sybő'	=>	'00200',
		'syig'	=>	'00100',
		'sz'	=>	'020',
		'sza'	=>	'1000',
		'szaa'	=>	'00002',
		'szabáz'	=>	'3000000',
		'szabd'	=>	'300000',
		'szadás'	=>	'0012000',
		'szadó'	=>	'201200',
		'szaé'	=>	'00002',
		'szaft'	=>	'300000',
		'szagb'	=>	'300000',
		'szagú'	=>	'300000',
		'szagya'	=>	'2000000',
		'szajá'	=>	'200000',
		'szajj'	=>	'200000',
		'szajú'	=>	'200000',
		'szakci'	=>	'2000000',
		'szakm'	=>	'300000',
		'szakór'	=>	'0002120',
		'szaköz'	=>	'0002000',
		'szalás'	=>	'2000000',
		'szalb'	=>	'201000',
		'szalf'	=>	'201000',
		'szalg'	=>	'200000',
		'szalj'	=>	'200000',
		'szaljak'	=>	'00100000',
		'szaljo'	=>	'0010000',
		'szall'	=>	'200000',
		'szaln'	=>	'200000',
		'szalp'	=>	'201000',
		'szals'	=>	'201000',
		'szalte'	=>	'2010000',
		'szalto'	=>	'2000000',
		'szaltu'	=>	'2000000',
		'szane'	=>	'200000',
		'szantr'	=>	'0010000',
		'szanya'	=>	'2000000',
		'szanyó'	=>	'2000000',
		'szapá'	=>	'200000',
		'szapb'	=>	'200000',
		'szapel'	=>	'0002000',
		'szapé'	=>	'200000',
		'szaph'	=>	'200000',
		'szapi'	=>	'200000',
		'szapj'	=>	'200000',
		'szapn'	=>	'200000',
		'szapr'	=>	'200000',
		'szapt'	=>	'200000',
		'szarán'	=>	'2000000',
		'szarb'	=>	'300000',
		'szarc'	=>	'200000',
		'szaré'	=>	'200000',
		'szart'	=>	'300000',
		'szarv'	=>	'300000',
		'szasp'	=>	'200000',
		'szassz'	=>	'0010000',
		'szaszt'	=>	'0010000',
		'szatala'	=>	'00020000',
		'szaty'	=>	'300000',
		'szaut'	=>	'200000',
		'szauta'	=>	'0000200',
		'szax'	=>	'30000',
		'szazo'	=>	'200000',
		'szá'	=>	'1000',
		'szábr'	=>	'200000',
		'szágó'	=>	'200000',
		'szágy'	=>	'200000',
		'szágyá'	=>	'0002000',
		'szágyo'	=>	'0002000',
		'száje'	=>	'000210',
		'száke'	=>	'000200',
		'száldo'	=>	'2000000',
		'szálin'	=>	'0002000',
		'szálú'	=>	'300000',
		'száman'	=>	'0002000',
		'számar'	=>	'0002000',
		'számá'	=>	'300000',
		'számál'	=>	'0002000',
		'számc'	=>	'300000',
		'száme'	=>	'000212',
		'számé'	=>	'300000',
		'számérté'	=>	'000210000',
		'számí'	=>	'300000',
		'számk'	=>	'300000',
		'száml'	=>	'300000',
		'számm'	=>	'300000',
		'számn'	=>	'300000',
		'számor'	=>	'0002000',
		'számt'	=>	'300000',
		'számú'	=>	'300000',
		'szánd'	=>	'300000',
		'szánt'	=>	'300000',
		'száp'	=>	'20000',
		'száradd'	=>	'20000000',
		'szárás'	=>	'2000000',
		'száre'	=>	'000210',
		'száriá'	=>	'2000000',
		'szárí'	=>	'300000',
		'szárm'	=>	'300000',
		'száróra'	=>	'00021200',
		'szárt'	=>	'000002',
		'száruh'	=>	'2000000',
		'szárus'	=>	'2000000',
		'szátd'	=>	'200000',
		'száté'	=>	'201210',
		'száti'	=>	'200000',
		'szátl'	=>	'200000',
		'szátm'	=>	'200000',
		'szátö'	=>	'200210',
		'száts'	=>	'200000',
		'szátu'	=>	'201000',
		'szátü'	=>	'201200',
		'szátv'	=>	'200000',
		'szbl'	=>	'00100',
		'szbr'	=>	'00100',
		'szcéna'	=>	'1000000',
		'szcl'	=>	'00100',
		'szdr'	=>	'00120',
		'sze'	=>	'1000',
		'szebé'	=>	'200000',
		'szech'	=>	'200000',
		'szecse'	=>	'2000000',
		'szedz'	=>	'200000',
		'szeger'	=>	'2000000',
		'szegfű'	=>	'3000000',
		'szegz'	=>	'200000',
		'szeh'	=>	'20000',
		'szekeg'	=>	'0002000',
		'szekéit'	=>	'20000000',
		'szekés'	=>	'2000000',
		'szekrén'	=>	'30000000',
		'szekto'	=>	'3000000',
		'szelef'	=>	'2000000',
		'szelemb'	=>	'20000000',
		'szelemek'	=>	'200000000',
		'szelemé'	=>	'20000000',
		'szelemk'	=>	'20120000',
		'szelemm'	=>	'20000000',
		'szelemr'	=>	'20120000',
		'szelemü'	=>	'20000000',
		'szelemz'	=>	'20000000',
		'szelere'	=>	'20000000',
		'szelet'	=>	'3000000',
		'szelén'	=>	'3000000',
		'szelf'	=>	'201000',
		'szelgo'	=>	'2010000',
		'szelha'	=>	'2010000',
		'szelhá'	=>	'2000000',
		'szeljá'	=>	'2010000',
		'szelkü'	=>	'2000000',
		'szellá'	=>	'2010000',
		'szellő'	=>	'3000000',
		'szelm'	=>	'201000',
		'szelnev'	=>	'20000000',
		'szelnö'	=>	'2000000',
		'szelo'	=>	'200000',
		'szelö'	=>	'200000',
		'szelőá'	=>	'2012000',
		'szelődö'	=>	'00020000',
		'szelőf'	=>	'2012000',
		'szelőré'	=>	'00020000',
		'szelső'	=>	'2000000',
		'szelszá'	=>	'20100000',
		'szelta'	=>	'2010000',
		'szeltá'	=>	'2000000',
		'szeltű'	=>	'2000000',
		'szelu'	=>	'200000',
		'szelül'	=>	'2010000',
		'szelvá'	=>	'2010000',
		'szelvek'	=>	'20000000',
		'szelves'	=>	'20000000',
		'szelvez'	=>	'20000000',
		'szelvi'	=>	'0010000',
		'szelvn'	=>	'2000000',
		'szelvt'	=>	'2000000',
		'szelz'	=>	'201000',
		'szember'	=>	'20000000',
		'szemek'	=>	'3000000',
		'személ'	=>	'3000000',
		'szemp'	=>	'300012',
		'szenc'	=>	'200000',
		'szener'	=>	'2000000',
		'szenny'	=>	'3000000',
		'szentm'	=>	'3000000',
		'szenz'	=>	'300000',
		'szeo'	=>	'00002',
		'szepi'	=>	'200000',
		'szerál'	=>	'0002120',
		'szeredm'	=>	'20000000',
		'szerege'	=>	'00001200',
		'szerej'	=>	'0002000',
		'szerel'	=>	'3000000',
		'szereszt'	=>	'000010000',
		'szerke'	=>	'3000000',
		'szers'	=>	'300000',
		'szerta'	=>	'3000000',
		'szertálo'	=>	'000020000',
		'szerv'	=>	'300000',
		'szervíz'	=>	'00000001',
		'szerz'	=>	'300000',
		'szesd'	=>	'201000',
		'szesemé'	=>	'20100000',
		'szesetb'	=>	'20000000',
		'szesete'	=>	'20000000',
		'szeseté'	=>	'20000000',
		'szeseti'	=>	'20000000',
		'szesetr'	=>	'20000000',
		'szesés'	=>	'2012000',
		'szeskü'	=>	'2000000',
		'szeső'	=>	'200000',
		'szesp'	=>	'000100',
		'szeste'	=>	'2000000',
		'szesté'	=>	'2000000',
		'szesti'	=>	'2000000',
		'szestj'	=>	'2000000',
		'szestr'	=>	'2000000',
		'szetelő'	=>	'00021200',
		'szeték'	=>	'0002120',
		'szetika'	=>	'20000000',
		'szeton'	=>	'0002000',
		'szetőr'	=>	'0002000',
		'szeve'	=>	'200000',
		'szevő'	=>	'200000',
		'szexp'	=>	'200000',
		'szezo'	=>	'300000',
		'szezr'	=>	'200000',
		'szé'	=>	'1000',
		'széber'	=>	'2000000',
		'szébr'	=>	'200000',
		'szége'	=>	'200000',
		'szégő'	=>	'200000',
		'szégr'	=>	'200000',
		'széhen'	=>	'2000000',
		'széhet'	=>	'2000000',
		'széhs'	=>	'200000',
		'széji'	=>	'200000',
		'széked'	=>	'3000000',
		'székei'	=>	'3000000',
		'székek'	=>	'3000000',
		'székem'	=>	'3000000',
		'székes'	=>	'3000000',
		'székez'	=>	'2000000',
		'székéb'	=>	'3000000',
		'székév'	=>	'3000000',
		'székol'	=>	'0002100',
		'székos'	=>	'0002000',
		'széks'	=>	'300000',
		'székü'	=>	'300000',
		'szélek'	=>	'3000000',
		'széneke'	=>	'20000000',
		'szénekn'	=>	'20000000',
		'szépró'	=>	'0001000',
		'széps'	=>	'300000',
		'szérb'	=>	'201000',
		'szérc'	=>	'201000',
		'szérd'	=>	'201000',
		'szérel'	=>	'0012000',
		'szérem'	=>	'2000000',
		'széremm'	=>	'00020000',
		'széren'	=>	'2012000',
		'széré'	=>	'200000',
		'szérén'	=>	'0002000',
		'szérér'	=>	'0002000',
		'szérét'	=>	'0002000',
		'szérév'	=>	'0002000',
		'szérf'	=>	'001000',
		'szérg'	=>	'001000',
		'szérh'	=>	'001000',
		'szérin'	=>	'2010000',
		'szérj'	=>	'001000',
		'szérk'	=>	'201000',
		'szérl'	=>	'201000',
		'szérm'	=>	'201000',
		'szérn'	=>	'001000',
		'szérői'	=>	'2000000',
		'szérők'	=>	'2000000',
		'szérőt'	=>	'2000000',
		'szérp'	=>	'001000',
		'szérr'	=>	'201000',
		'szérs'	=>	'001000',
		'szértá'	=>	'0010000',
		'szérte'	=>	'2010000',
		'szérté'	=>	'2010000',
		'szértí'	=>	'0010000',
		'szértő'	=>	'2010000',
		'széru'	=>	'300000',
		'szérü'	=>	'201200',
		'szérv'	=>	'201000',
		'szérz'	=>	'201000',
		'szétel'	=>	'0002000',
		'szétes'	=>	'0000020',
		'szévad'	=>	'2000000',
		'szévb'	=>	'200000',
		'szévei'	=>	'2000000',
		'szévek'	=>	'2000000',
		'szévet'	=>	'2012000',
		'szévén'	=>	'2000000',
		'szévét'	=>	'2000000',
		'szévév'	=>	'2000000',
		'szévf'	=>	'200000',
		'szévi'	=>	'200000',
		'szévk'	=>	'200000',
		'szévn'	=>	'200000',
		'szévr'	=>	'200000',
		'szévs'	=>	'200000',
		'szévt'	=>	'200000',
		'szévü'	=>	'200000',
		'szférai'	=>	'10000000',
		'szféráé'	=>	'10000000',
		'szféráso'	=>	'100000000',
		'szfl'	=>	'00100',
		'szfr'	=>	'00100',
		'szgl'	=>	'00100',
		'szi'	=>	'1000',
		'sziab'	=>	'000200',
		'szide'	=>	'200000',
		'szidé'	=>	'201000',
		'szidő'	=>	'200000',
		'szifj'	=>	'200000',
		'sziga'	=>	'201200',
		'szigé'	=>	'201000',
		'szign'	=>	'300000',
		'szikas'	=>	'0002120',
		'sziker'	=>	'0002120',
		'szikó'	=>	'000212',
		'szimak'	=>	'0010000',
		'szimá'	=>	'201200',
		'szimb'	=>	'300000',
		'szimpr'	=>	'0010000',
		'szimpu'	=>	'2000000',
		'szinas'	=>	'2000000',
		'szinde'	=>	'2000000',
		'szindí'	=>	'2000000',
		'szindu'	=>	'2000000',
		'szinfo'	=>	'0010000',
		'szing'	=>	'200000',
		'szinko'	=>	'0010000',
		'szinteg'	=>	'20000000',
		'szio'	=>	'20000',
		'szirat'	=>	'2000000',
		'szirá'	=>	'200000',
		'sziri'	=>	'201200',
		'szirod'	=>	'2000000',
		'szisí'	=>	'000200',
		'szisza'	=>	'2012000',
		'sziszá'	=>	'0002000',
		'szitu'	=>	'300000',
		'szivad'	=>	'2000000',
		'szivás'	=>	'2000000',
		'szivó'	=>	'200000',
		'szizg'	=>	'001000',
		'szizz'	=>	'201000',
		'szí'	=>	'1000',
		'szíg'	=>	'20100',
		'színe'	=>	'300000',
		'színna'	=>	'2000000',
		'szívár'	=>	'0002000',
		'szívi'	=>	'200000',
		'szívű'	=>	'300000',
		'szíz'	=>	'20100',
		'szkapr'	=>	'0000100',
		'szkarab'	=>	'10000000',
		'szkarch'	=>	'00010000',
		'szkenn'	=>	'1000000',
		'szlávh'	=>	'1000000',
		'szlávok'	=>	'10000000',
		'szlengn'	=>	'10000000',
		'szlengr'	=>	'10000000',
		'szletel'	=>	'00002120',
		'szleto'	=>	'0000210',
		'szloge'	=>	'1000000',
		'szmok'	=>	'102000',
		'sznob'	=>	'100000',
		'szo'	=>	'1000',
		'szobj'	=>	'200000',
		'szodai'	=>	'2000000',
		'szodak'	=>	'2000000',
		'szodú'	=>	'200000',
		'szof'	=>	'30000',
		'szoká'	=>	'300000',
		'szokke'	=>	'2000000',
		'szokoz'	=>	'2000000',
		'szoksö'	=>	'2000000',
		'szolaj'	=>	'2000000',
		'szolál'	=>	'0002100',
		'szolda'	=>	'2000000',
		'szoldá'	=>	'0010000',
		'szoldó'	=>	'2000000',
		'szolim'	=>	'2002000',
		'szolló'	=>	'2000000',
		'szoltár'	=>	'20100000',
		'szoltás'	=>	'20000000',
		'szolvad'	=>	'20000000',
		'szolvas'	=>	'20000000',
		'szoms'	=>	'300000',
		'szonas'	=>	'0002000',
		'szonár'	=>	'0002000',
		'szond'	=>	'300000',
		'szora'	=>	'200000',
		'szorál'	=>	'0002100',
		'szorm'	=>	'200000',
		'szorn'	=>	'200000',
		'szors'	=>	'200000',
		'szorv'	=>	'200000',
		'szostá'	=>	'2000000',
		'szosto'	=>	'2000000',
		'szotth'	=>	'2010000',
		'szov'	=>	'30000',
		'szox'	=>	'20100',
		'szó'	=>	'1000',
		'szólm'	=>	'200000',
		'szóló'	=>	'300000',
		'szónád'	=>	'2000000',
		'szónái'	=>	'2000000',
		'szóni'	=>	'200000',
		'szónod'	=>	'2000000',
		'szórán'	=>	'2012000',
		'szórát'	=>	'2000000',
		'szóri'	=>	'200000',
		'szósík'	=>	'0002000',
		'szószak'	=>	'00000020',
		'szószáll'	=>	'000200000',
		'szószón'	=>	'00020000',
		'szószülő'	=>	'000200000',
		'szótr'	=>	'000100',
		'szö'	=>	'1000',
		'szöbli'	=>	'2000000',
		'szöge'	=>	'300000',
		'szöldes'	=>	'20000000',
		'szöle'	=>	'201000',
		'szöre'	=>	'200000',
		'szövei'	=>	'2000000',
		'szöz'	=>	'20100',
		'sző'	=>	'1000',
		'szőa'	=>	'00002',
		'szőer'	=>	'000020',
		'szőé'	=>	'00002',
		'szőlő'	=>	'300000',
		'szőra'	=>	'000200',
		'szősi'	=>	'001000',
		'szőz'	=>	'20000',
		'szőze'	=>	'001000',
		'szpí'	=>	'10200',
		'szpl'	=>	'00100',
		'szponz'	=>	'1000000',
		'szrádi'	=>	'0000002',
		'szsaj'	=>	'003000',
		'szsap'	=>	'003000',
		'szsas'	=>	'003000',
		'szsav'	=>	'003000',
		'szsák'	=>	'030000',
		'szsán'	=>	'003000',
		'szsár'	=>	'003000',
		'szsás'	=>	'003000',
		'szsát'	=>	'003000',
		'szsáv'	=>	'003000',
		'szseg'	=>	'003000',
		'szsem'	=>	'030000',
		'szsen'	=>	'030000',
		'szsep'	=>	'003000',
		'szser'	=>	'003000',
		'szsé'	=>	'00300',
		'szsh'	=>	'00300',
		'szsik'	=>	'003000',
		'szsin'	=>	'030000',
		'szsis'	=>	'003000',
		'szsiv'	=>	'003000',
		'szsín'	=>	'003000',
		'szsk'	=>	'00320',
		'szsl'	=>	'00300',
		'szsod'	=>	'003000',
		'szsok'	=>	'003000',
		'szsol'	=>	'030000',
		'szsor'	=>	'003000',
		'szsó'	=>	'00300',
		'szsör'	=>	'003000',
		'szsöv'	=>	'003000',
		'szsp'	=>	'00320',
		'szsr'	=>	'00320',
		'szst'	=>	'00320',
		'szsúll'	=>	'0300000',
		'szsü'	=>	'00300',
		'szsz'	=>	'00300',
		'sztálla'	=>	'00210000',
		'sztárad'	=>	'00002120',
		'sztáram'	=>	'00012000',
		'sztáras'	=>	'00202000',
		'sztárat'	=>	'00002000',
		'sztáre'	=>	'0020000',
		'sztárf'	=>	'0020000',
		'sztárh'	=>	'0020000',
		'sztárj'	=>	'1020000',
		'sztárny'	=>	'00200000',
		'sztáró'	=>	'0000002',
		'sztáru'	=>	'0020000',
		'sztáruk'	=>	'00012000',
		'sztárv'	=>	'0020000',
		'szterel'	=>	'00002100',
		'sztereo'	=>	'10000000',
		'sztég'	=>	'000020',
		'sztége'	=>	'0001000',
		'sztérte'	=>	'00200000',
		'sztérv'	=>	'0021000',
		'sztété'	=>	'0021000',
		'sztörök'	=>	'00010000',
		'sztőrn'	=>	'0021000',
		'sztrádá'	=>	'10000000',
		'sztrájk'	=>	'10000000',
		'sztür'	=>	'002000',
		'sztye'	=>	'100000',
		'szu'	=>	'1000',
		'szub'	=>	'00020',
		'szubo'	=>	'000010',
		'szuc'	=>	'00001',
		'szud'	=>	'20000',
		'szudv'	=>	'001000',
		'szugo'	=>	'200000',
		'szugr'	=>	'201000',
		'szuh'	=>	'20000',
		'szuj'	=>	'20100',
		'szuká'	=>	'300000',
		'szura'	=>	'001200',
		'szurá'	=>	'201200',
		'szuta'	=>	'200000',
		'szutó'	=>	'001000',
		'szutu'	=>	'200000',
		'szuz'	=>	'23000',
		'szú'	=>	'1000',
		'szúg'	=>	'20000',
		'szúj'	=>	'20000',
		'szúron'	=>	'0010000',
		'szúrr'	=>	'201000',
		'szúrtó'	=>	'0010000',
		'szús'	=>	'20000',
		'szúté'	=>	'200000',
		'szúth'	=>	'200000',
		'szúti'	=>	'200000',
		'szútj'	=>	'200000',
		'szútn'	=>	'200000',
		'szúto'	=>	'200000',
		'szútr'	=>	'200000',
		'szútt'	=>	'200000',
		'szútv'	=>	'200000',
		'szúz'	=>	'20000',
		'szü'	=>	'1000',
		'szüd'	=>	'20100',
		'szügg'	=>	'200000',
		'szüks'	=>	'300000',
		'szüld'	=>	'200000',
		'szüled'	=>	'2012000',
		'szülőse'	=>	'20000000',
		'szüne'	=>	'300000',
		'szürke'	=>	'3000000',
		'szürkés'	=>	'30000000',
		'szüs'	=>	'20100',
		'szüv'	=>	'20100',
		'szű'	=>	'1000',
		'szűk'	=>	'30000',
		'szűrödn'	=>	'20000000',
		'szvitet'	=>	'10000000',
		'szvitj'	=>	'1000000',
		'szvitn'	=>	'1000000',
		'szvitt'	=>	'1000000',
		'szzs'	=>	'00300',
		'ta'	=>	'100',
		'taad'	=>	'00020',
		'taal'	=>	'00020',
		'taát'	=>	'00001',
		'taáta'	=>	'000002',
		'taboz'	=>	'000001',
		'tabra'	=>	'001000',
		'tabro'	=>	'210000',
		'tabró'	=>	'001000',
		'tabs'	=>	'21000',
		'tacl'	=>	'00100',
		'tadalé'	=>	'0020000',
		'tadap'	=>	'210000',
		'tadas'	=>	'002000',
		'tadata'	=>	'0120000',
		'tadatb'	=>	'2120000',
		'tadato'	=>	'2120000',
		'tadatu'	=>	'0020000',
		'tadá'	=>	'21200',
		'tadio'	=>	'200000',
		'tadj'	=>	'01000',
		'tadl'	=>	'01000',
		'tadm'	=>	'21000',
		'tadod'	=>	'002000',
		'tadog'	=>	'212000',
		'tadot'	=>	'212000',
		'tadó'	=>	'20000',
		'tadóa'	=>	'012000',
		'tadóá'	=>	'002000',
		'tadób'	=>	'002000',
		'tadód'	=>	'002000',
		'tadóf'	=>	'002000',
		'tadóg'	=>	'002000',
		'tadóh'	=>	'012000',
		'tadóig'	=>	'0120000',
		'tadóik'	=>	'0120000',
		'tadóin'	=>	'0120000',
		'tadóit'	=>	'0120000',
		'tadóí'	=>	'002000',
		'tadój'	=>	'012000',
		'tadóka'	=>	'0120000',
		'tadóké'	=>	'0120000',
		'tadóko'	=>	'0120000',
		'tadókra'	=>	'01200000',
		'tadól'	=>	'002000',
		'tadóna'	=>	'0120000',
		'tadóná'	=>	'0120000',
		'tadóp'	=>	'002000',
		'tadór'	=>	'012000',
		'tadótó'	=>	'0120000',
		'tadóü'	=>	'002000',
		'tadóv'	=>	'012000',
		'tadrá'	=>	'001000',
		'tadre'	=>	'001200',
		'tadro'	=>	'001000',
		'tads'	=>	'01000',
		'tadun'	=>	'002000',
		'tadv'	=>	'01000',
		'tael'	=>	'00020',
		'taer'	=>	'00020',
		'taero'	=>	'002000',
		'taér'	=>	'00020',
		'tafí'	=>	'20000',
		'tafr'	=>	'00120',
		'tafta'	=>	'000200',
		'tagaj'	=>	'002100',
		'tagav'	=>	'002000',
		'tagaz'	=>	'000020',
		'tagazo'	=>	'0001000',
		'tagág'	=>	'002000',
		'tagál'	=>	'002100',
		'tagec'	=>	'002000',
		'tagel'	=>	'002100',
		'tager'	=>	'002120',
		'tagég'	=>	'002120',
		'taggo'	=>	'200000',
		'taggr'	=>	'210000',
		'tagid'	=>	'002000',
		'tagiz'	=>	'002000',
		'tagosz'	=>	'0021000',
		'tagott'	=>	'0021000',
		'tagóc'	=>	'002000',
		'tagón'	=>	'212000',
		'tagór'	=>	'002120',
		'tagóv'	=>	'002000',
		'tagraf'	=>	'0012000',
		'tagram'	=>	'0012000',
		'tagrádi'	=>	'00000002',
		'tagus'	=>	'002120',
		'tagut'	=>	'002000',
		'tagü'	=>	'00212',
		'tagyáb'	=>	'0020000',
		'tagyáh'	=>	'0020000',
		'tagyb'	=>	'210000',
		'tagyn'	=>	'210000',
		'tagyr'	=>	'210000',
		'tagyv'	=>	'210000',
		'taire'	=>	'002000',
		'tairón'	=>	'0002000',
		'taiz'	=>	'00020',
		'tajé'	=>	'00200',
		'tajus'	=>	'002120',
		'tajús'	=>	'002000',
		'takad'	=>	'212000',
		'takál'	=>	'002100',
		'takár'	=>	'000020',
		'takáro'	=>	'0001000',
		'takás'	=>	'002000',
		'takátk'	=>	'0020000',
		'takce'	=>	'210000',
		'takci'	=>	'210000',
		'takel'	=>	'000020',
		'takele'	=>	'0001000',
		'takésze'	=>	'00012000',
		'takkora'	=>	'21000000',
		'takkord'	=>	'20000000',
		'takku'	=>	'210000',
		'takla'	=>	'001200',
		'taklu'	=>	'001000',
		'taköb'	=>	'002100',
		'taköröm'	=>	'00210000',
		'takös'	=>	'002100',
		'takrá'	=>	'001000',
		'takreá'	=>	'0002000',
		'takrí'	=>	'001000',
		'takro'	=>	'210000',
		'takrón'	=>	'0012000',
		'taktem'	=>	'0002000',
		'taktiv'	=>	'2100000',
		'taktí'	=>	'210000',
		'taktj'	=>	'210000',
		'taktuss'	=>	'00000010',
		'takus'	=>	'002000',
		'takva'	=>	'001200',
		'talada'	=>	'0021200',
		'taladá'	=>	'0021200',
		'taladh'	=>	'0021000',
		'taladj'	=>	'0021000',
		'taladn'	=>	'0021000',
		'talado'	=>	'0021200',
		'taladó'	=>	'0021200',
		'taladt'	=>	'0021000',
		'taladu'	=>	'0021200',
		'taladv'	=>	'0021000',
		'talag'	=>	'200021',
		'talagu'	=>	'0120000',
		'talagú'	=>	'0020000',
		'talakb'	=>	'2120000',
		'talakc'	=>	'0001000',
		'talakí'	=>	'2000000',
		'talakj'	=>	'2120000',
		'talaku'	=>	'2020000',
		'talakz'	=>	'2100000',
		'talal'	=>	'002120',
		'talany'	=>	'2100000',
		'talapa'	=>	'2120000',
		'talapí'	=>	'2120000',
		'talapk'	=>	'0020000',
		'talapl'	=>	'0120000',
		'talapsz'	=>	'21200000',
		'talar'	=>	'002120',
		'talas'	=>	'002100',
		'talate'	=>	'0000200',
		'talatti'	=>	'20000000',
		'talau'	=>	'002100',
		'taláá'	=>	'200000',
		'talág'	=>	'002120',
		'taláí'	=>	'200000',
		'talállo'	=>	'00210000',
		'talárak'	=>	'00012000',
		'taláss'	=>	'0000010',
		'taláta'	=>	'0021000',
		'talátr'	=>	'0001000',
		'talell'	=>	'0001000',
		'talelő'	=>	'0021000',
		'taleng'	=>	'0021000',
		'talesi'	=>	'0001000',
		'talég'	=>	'000020',
		'taléke'	=>	'0000212',
		'talge'	=>	'210000',
		'taliko'	=>	'0021200',
		'talikr'	=>	'0001000',
		'talimp'	=>	'0001000',
		'talip'	=>	'002000',
		'talisk'	=>	'0021000',
		'talír'	=>	'002120',
		'taljas'	=>	'2000000',
		'talji'	=>	'210000',
		'taljz'	=>	'200000',
		'talkal'	=>	'2100000',
		'talkím'	=>	'2000000',
		'talkoh'	=>	'2000000',
		'talkot'	=>	'2000000',
		'taller'	=>	'2000000',
		'tally'	=>	'000300',
		'talol'	=>	'002100',
		'talome'	=>	'0000210',
		'talosz'	=>	'0021000',
		'talőr'	=>	'002100',
		'talpáro'	=>	'00021200',
		'talpel'	=>	'0002000',
		'talpil'	=>	'0002100',
		'talpus'	=>	'0002000',
		'taltre'	=>	'0001200',
		'talud'	=>	'002000',
		'talulj'	=>	'2120000',
		'talur'	=>	'002120',
		'talut'	=>	'002120',
		'talúr'	=>	'002000',
		'talü'	=>	'00200',
		'talű'	=>	'00200',
		'talveo'	=>	'2000000',
		'tamal'	=>	'002000',
		'tamalm'	=>	'0001000',
		'tamaz'	=>	'002000',
		'tamid'	=>	'002120',
		'tamő'	=>	'21200',
		'tampa'	=>	'010000',
		'tampu'	=>	'210000',
		'tamur'	=>	'210000',
		'tamü'	=>	'00200',
		'tanaj'	=>	'002100',
		'tanal'	=>	'002000',
		'tanan'	=>	'002000',
		'tanat'	=>	'212000',
		'tanáll'	=>	'0001000',
		'tanálo'	=>	'0001000',
		'tanáss'	=>	'0000010',
		'tandel'	=>	'0002000',
		'tandr'	=>	'200000',
		'tanel'	=>	'002100',
		'taner'	=>	'002000',
		'tanes'	=>	'202100',
		'tanez'	=>	'002100',
		'tanéj'	=>	'002100',
		'tanérk'	=>	'0021000',
		'tanévb'	=>	'0001000',
		'tanévé'	=>	'0001200',
		'tanévi'	=>	'0001200',
		'tanévm'	=>	'0001000',
		'tanid'	=>	'002000',
		'tanim'	=>	'202000',
		'tanist'	=>	'0001000',
		'tankér'	=>	'0000020',
		'tankére'	=>	'00020000',
		'tankés'	=>	'0002000',
		'tankó'	=>	'000002',
		'tankóra'	=>	'00021000',
		'tanny'	=>	'200000',
		'tanosz'	=>	'0021000',
		'tanód'	=>	'002000',
		'tantel'	=>	'0002100',
		'tantors'	=>	'00020000',
		'tantrá'	=>	'0001000',
		'tanü'	=>	'00200',
		'tanű'	=>	'00200',
		'tanyag'	=>	'2000000',
		'tanyád'	=>	'2000000',
		'tanyó'	=>	'212000',
		'taol'	=>	'00020',
		'taór'	=>	'00020',
		'tapai'	=>	'212000',
		'tapaké'	=>	'0020000',
		'tapasá'	=>	'0020000',
		'tapáb'	=>	'212000',
		'tapád'	=>	'212000',
		'tapáé'	=>	'212000',
		'tapáh'	=>	'212000',
		'tapái'	=>	'212000',
		'tapáj'	=>	'212000',
		'tapák'	=>	'212000',
		'tapám'	=>	'212000',
		'tapára'	=>	'0020000',
		'tapáró'	=>	'0020000',
		'tapáu'	=>	'200000',
		'tapáv'	=>	'212000',
		'tapla'	=>	'001200',
		'taplé'	=>	'001000',
		'tapp'	=>	'20000',
		'tapré'	=>	'001200',
		'taprí'	=>	'210000',
		'tapro'	=>	'001200',
		'tapsor'	=>	'0002000',
		'tapss'	=>	'000030',
		'tapsü'	=>	'000212',
		'tapun'	=>	'200000',
		'tarabe'	=>	'0020000',
		'tarai'	=>	'002000',
		'taras'	=>	'212000',
		'tarat'	=>	'212000',
		'taráb'	=>	'212000',
		'tarádi'	=>	'0000002',
		'taráh'	=>	'212000',
		'tarán'	=>	'202000',
		'tarát'	=>	'212000',
		'taráv'	=>	'212000',
		'tarbi'	=>	'210000',
		'tarch'	=>	'210000',
		'tarco'	=>	'210000',
		'tarcu'	=>	'010000',
		'tarcú'	=>	'210000',
		'tarik'	=>	'002120',
		'taromá'	=>	'0020000',
		'tars'	=>	'00012',
		'tartab'	=>	'0002000',
		'tartel'	=>	'0002120',
		'tartem'	=>	'0002100',
		'tarten'	=>	'0002100',
		'tartit'	=>	'0002000',
		'tartold'	=>	'00020000',
		'tartos'	=>	'2000000',
		'tartr'	=>	'200000',
		'tartt'	=>	'200000',
		'tasc'	=>	'20000',
		'tasem'	=>	'002000',
		'tasf'	=>	'20000',
		'taská'	=>	'001200',
		'taslu'	=>	'001000',
		'tasm'	=>	'00120',
		'tasnő'	=>	'200000',
		'tasol'	=>	'002100',
		'taspi'	=>	'210000',
		'taspr'	=>	'001000',
		'tasru'	=>	'200000',
		'tassz'	=>	'200000',
		'tasszá'	=>	'0003000',
		'tasszt'	=>	'0003000',
		'tast'	=>	'00002',
		'tasta'	=>	'001200',
		'taste'	=>	'200000',
		'tastr'	=>	'001000',
		'tasv'	=>	'20000',
		'tasy'	=>	'00100',
		'taszk'	=>	'210000',
		'taszl'	=>	'001000',
		'tatalj'	=>	'0021000',
		'tatalm'	=>	'0021000',
		'tataszt'	=>	'00210000',
		'tatei'	=>	'212000',
		'tates'	=>	'000020',
		'tatika'	=>	'2000000',
		'tatiká'	=>	'2000000',
		'tatiná'	=>	'0021200',
		'tating'	=>	'0021000',
		'tatlas'	=>	'0100000',
		'tatomo'	=>	'0120000',
		'tatorj'	=>	'0001000',
		'tatőr'	=>	'002100',
		'tatri'	=>	'001200',
		'tatti'	=>	'210000',
		'tatura'	=>	'0001200',
		'tatya'	=>	'002000',
		'tatyá'	=>	'002000',
		'tauk'	=>	'21200',
		'tauta'	=>	'000200',
		'tautá'	=>	'000200',
		'tauto'	=>	'200000',
		'taüz'	=>	'00020',
		'tavan'	=>	'200000',
		'tavatá'	=>	'2000000',
		'tavató'	=>	'2000000',
		'tawh'	=>	'00100',
		'tazon'	=>	'002000',
		'tá'	=>	'100',
		'tábá'	=>	'00210',
		'tábeszél'	=>	'000020120',
		'tábé'	=>	'20000',
		'tábig'	=>	'002000',
		'tábin'	=>	'002000',
		'tábj'	=>	'20000',
		'tábk'	=>	'20000',
		'tábn'	=>	'20000',
		'tábok'	=>	'200000',
		'tábon'	=>	'200000',
		'tábot'	=>	'200000',
		'tábö'	=>	'00200',
		'tábr'	=>	'20000',
		'tábrá'	=>	'010000',
		'tábü'	=>	'00200',
		'táciu'	=>	'200000',
		'táfa'	=>	'00200',
		'táfá'	=>	'00200',
		'tágad'	=>	'000020',
		'tágada'	=>	'0001000',
		'tágai'	=>	'212000',
		'tágaz'	=>	'002000',
		'tágá'	=>	'21200',
		'tágb'	=>	'20000',
		'tágc'	=>	'21000',
		'táge'	=>	'21200',
		'tágé'	=>	'21200',
		'tágf'	=>	'21000',
		'tágg'	=>	'20000',
		'tágh'	=>	'21000',
		'tági'	=>	'21200',
		'tágj'	=>	'20000',
		'tágk'	=>	'21000',
		'tágm'	=>	'21000',
		'tágn'	=>	'20000',
		'tágo'	=>	'21200',
		'tágr'	=>	'20000',
		'tágt'	=>	'21000',
		'táguk'	=>	'212000',
		'tágun'	=>	'212000',
		'tágú'	=>	'21200',
		'tágv'	=>	'21000',
		'tágy'	=>	'21200',
		'táhí'	=>	'00200',
		'tájal'	=>	'002000',
		'tájaz'	=>	'002000',
		'tájeg'	=>	'002120',
		'tájel'	=>	'002120',
		'tájí'	=>	'00200',
		'tájok'	=>	'002100',
		'tájö'	=>	'00212',
		'tájő'	=>	'00200',
		'tájul'	=>	'012000',
		'tálab'	=>	'002000',
		'tálad'	=>	'000020',
		'tálada'	=>	'0001000',
		'tálaj'	=>	'002000',
		'tálalap'	=>	'00012000',
		'tálap'	=>	'002000',
		'tálar'	=>	'210000',
		'tálál'	=>	'002100',
		'táláth'	=>	'0021000',
		'táldá'	=>	'210000',
		'táldo'	=>	'210000',
		'tále'	=>	'00002',
		'táleg'	=>	'002100',
		'tálel'	=>	'002100',
		'tálél'	=>	'002000',
		'tállam'	=>	'2100000',
		'tállan'	=>	'2100000',
		'tállat'	=>	'2100000',
		'tállás'	=>	'2100000',
		'tállh'	=>	'210000',
		'tállí'	=>	'210000',
		'tállj'	=>	'210000',
		'tálln'	=>	'210000',
		'tállo'	=>	'210000',
		'tálls'	=>	'210000',
		'tállt'	=>	'210000',
		'tállu'	=>	'210000',
		'tállú'	=>	'010000',
		'tállv'	=>	'210000',
		'tálma'	=>	'210000',
		'tálmi'	=>	'210000',
		'tálmok'	=>	'2100000',
		'tálomr'	=>	'2120000',
		'tálomt'	=>	'0020000',
		'tálö'	=>	'00200',
		'tálru'	=>	'210000',
		'tálü'	=>	'00200',
		'tályab'	=>	'0020000',
		'tályac'	=>	'0020120',
		'tályad'	=>	'0020000',
		'tályag'	=>	'0020120',
		'tályal'	=>	'0020120',
		'tályan'	=>	'0020120',
		'tályap'	=>	'0020000',
		'tályat'	=>	'0020100',
		'tályau'	=>	'0020000',
		'tályátl'	=>	'00200000',
		'tályáz'	=>	'0020120',
		'tályid'	=>	'0020000',
		'tályir'	=>	'0020000',
		'tályis'	=>	'0020000',
		'támasze'	=>	'00002000',
		'támí'	=>	'00200',
		'támos'	=>	'002000',
		'támu'	=>	'21200',
		'tánalm'	=>	'0001000',
		'tánár'	=>	'002000',
		'táncc'	=>	'000030',
		'tánce'	=>	'000210',
		'táncéh'	=>	'0002000',
		'táncél'	=>	'0002000',
		'táncén'	=>	'0002000',
		'tánckész'	=>	'000000001',
		'táncs'	=>	'000002',
		'táncsá'	=>	'0002000',
		'táncsor'	=>	'00020000',
		'tánd'	=>	'00012',
		'táne'	=>	'00212',
		'tání'	=>	'00200',
		'tánó'	=>	'00212',
		'tánö'	=>	'00200',
		'tánpó'	=>	'200000',
		'tánse'	=>	'000210',
		'tánü'	=>	'00200',
		'tánű'	=>	'00200',
		'tányal'	=>	'0020000',
		'tányas'	=>	'0020100',
		'tánye'	=>	'002000',
		'tánz'	=>	'20000',
		'tápa'	=>	'00212',
		'tápá'	=>	'00002',
		'tápál'	=>	'002000',
		'tápár'	=>	'002100',
		'tápát'	=>	'002000',
		'tápe'	=>	'00212',
		'tápil'	=>	'002100',
		'tápin'	=>	'002100',
		'tápoll'	=>	'0001000',
		'táposz'	=>	'0021000',
		'tápő'	=>	'00200',
		'tápü'	=>	'00200',
		'táradá'	=>	'2120000',
		'táradot'	=>	'00012000',
		'táradó'	=>	'0020000',
		'tárag'	=>	'002120',
		'tárajt'	=>	'0001000',
		'táral'	=>	'002120',
		'táramá'	=>	'2000000',
		'tárami'	=>	'2000000',
		'táraml'	=>	'2120000',
		'táramok'	=>	'20000000',
		'táramol'	=>	'20000000',
		'táramot'	=>	'20000000',
		'táramt'	=>	'2120000',
		'táramu'	=>	'2000000',
		'táramú'	=>	'2000000',
		'táran'	=>	'000020',
		'tárany'	=>	'0021000',
		'tárap'	=>	'002000',
		'tárasz'	=>	'0021000',
		'táratt'	=>	'0021000',
		'tárau'	=>	'002100',
		'tárav'	=>	'002100',
		'tárág'	=>	'002000',
		'tárál'	=>	'002100',
		'tárász'	=>	'0021200',
		'tárátl'	=>	'0021000',
		'tárboc'	=>	'2000000',
		'táre'	=>	'00212',
		'táréd'	=>	'002000',
		'tárés'	=>	'002000',
		'tárgyö'	=>	'0002000',
		'tárik'	=>	'002120',
		'tárip'	=>	'002120',
		'tárisk'	=>	'0001000',
		'tárism'	=>	'0021000',
		'tárí'	=>	'00200',
		'tárk'	=>	'00012',
		'tárkád'	=>	'2100000',
		'tárkána'	=>	'21000000',
		'tárkár'	=>	'2000000',
		'tárnyé'	=>	'2100000',
		'tárokm'	=>	'0001000',
		'tárosz'	=>	'0021000',
		'táróc'	=>	'002000',
		'tárórá'	=>	'0001000',
		'tárö'	=>	'00200',
		'tárő'	=>	'00200',
		'társalt'	=>	'00021000',
		'tártás'	=>	'2000000',
		'tártöltő'	=>	'000010000',
		'tártro'	=>	'0001000',
		'tárua'	=>	'200000',
		'tárub'	=>	'200000',
		'táruc'	=>	'200000',
		'tárug'	=>	'212000',
		'táruh'	=>	'212000',
		'tárui'	=>	'200000',
		'táruj'	=>	'210000',
		'táruna'	=>	'2000000',
		'tárus'	=>	'200000',
		'táruta'	=>	'0001000',
		'táruü'	=>	'200000',
		'táruv'	=>	'200000',
		'tárúé'	=>	'200000',
		'tárúj'	=>	'002000',
		'tárúk'	=>	'200000',
		'tárús'	=>	'002000',
		'tárü'	=>	'00200',
		'tárű'	=>	'00200',
		'tásad'	=>	'002120',
		'tásaj'	=>	'002100',
		'tásal'	=>	'002000',
		'tásar'	=>	'002120',
		'tásaz'	=>	'002000',
		'tásága'	=>	'0001200',
		'tásárai'	=>	'00212000',
		'tásárá'	=>	'0021200',
		'tásáré'	=>	'0021200',
		'tásárh'	=>	'0021000',
		'tásárn'	=>	'0021000',
		'tásáro'	=>	'0021200',
		'tásárr'	=>	'0021000',
		'tásárt'	=>	'0021000',
		'tásás'	=>	'002000',
		'tásáso'	=>	'2100000',
		'tásáto'	=>	'0021200',
		'táse'	=>	'00212',
		'tásis'	=>	'002000',
		'tásodv'	=>	'0020000',
		'tásol'	=>	'002100',
		'tásor'	=>	'002000',
		'tásó'	=>	'00200',
		'tásók'	=>	'200000',
		'tásór'	=>	'000120',
		'tásö'	=>	'00200',
		'táső'	=>	'00200',
		'táss'	=>	'00030',
		'tást'	=>	'00002',
		'tástr'	=>	'000100',
		'tásut'	=>	'002000',
		'tásü'	=>	'00212',
		'tásű'	=>	'00200',
		'tásván'	=>	'0100000',
		'tászak'	=>	'0020100',
		'tászal'	=>	'0020000',
		'tászav'	=>	'0003000',
		'tászá'	=>	'002300',
		'tásze'	=>	'002000',
		'tászen'	=>	'0003000',
		'tászi'	=>	'200000',
		'tászo'	=>	'200000',
		'tászos'	=>	'0020000',
		'tászó'	=>	'002300',
		'tászt'	=>	'200000',
		'tátad'	=>	'210000',
		'tátál'	=>	'212000',
		'tátc'	=>	'21000',
		'tátd'	=>	'21000',
		'táte'	=>	'21212',
		'táté'	=>	'21210',
		'tátfo'	=>	'210000',
		'tátg'	=>	'21000',
		'táthe'	=>	'210000',
		'táthi'	=>	'210000',
		'tátir'	=>	'002100',
		'tátí'	=>	'21200',
		'tátje'	=>	'210000',
		'tátkö'	=>	'210000',
		'tátlag'	=>	'2100000',
		'tátm'	=>	'21000',
		'tátol'	=>	'212100',
		'tátö'	=>	'21210',
		'tátő'	=>	'21200',
		'tátp'	=>	'21000',
		'tátre'	=>	'210000',
		'tátru'	=>	'210000',
		'tátsz'	=>	'210000',
		'tátte'	=>	'210000',
		'tátté'	=>	'210000',
		'táttö'	=>	'210000',
		'táttű'	=>	'210000',
		'tátut'	=>	'210000',
		'tátü'	=>	'21200',
		'tátvi'	=>	'210000',
		'tátvo'	=>	'210000',
		'távad'	=>	'002120',
		'távak'	=>	'002000',
		'tával'	=>	'000020',
		'távan'	=>	'002120',
		'távas'	=>	'002000',
		'távaz'	=>	'002000',
		'távál'	=>	'002100',
		'táve'	=>	'00212',
		'távéd'	=>	'002000',
		'távérz'	=>	'0021000',
		'távés'	=>	'002100',
		'távin'	=>	'002000',
		'távis'	=>	'002000',
		'táví'	=>	'00200',
		'távor'	=>	'002100',
		'távó'	=>	'21200',
		'távö'	=>	'00200',
		'távő'	=>	'00200',
		'távü'	=>	'00200',
		'tázsal'	=>	'0020000',
		'tázsál'	=>	'0020000',
		'tázsó'	=>	'002000',
		'tázsp'	=>	'000010',
		'tballe'	=>	'0000200',
		'tbeá'	=>	'00002',
		'tbla'	=>	'00200',
		'tble'	=>	'00200',
		'tbli'	=>	'00200',
		'tblo'	=>	'00200',
		'tblú'	=>	'00200',
		'tbra'	=>	'00200',
		'tbre'	=>	'00200',
		'tbri'	=>	'01200',
		'tbro'	=>	'00200',
		'tbró'	=>	'00200',
		'tbru'	=>	'00200',
		'tcak'	=>	'00010',
		'tcas'	=>	'00010',
		'tcat'	=>	'00012',
		'tclu'	=>	'00200',
		'tcre'	=>	'00200',
		'tcsapág'	=>	'00000120',
		'tdíjad'	=>	'0000020',
		'tdíjada'	=>	'00021000',
		'tdra'	=>	'00200',
		'tdrá'	=>	'00200',
		'tdre'	=>	'00200',
		'tdro'	=>	'00200',
		'tdró'	=>	'00200',
		'tdru'	=>	'00200',
		'te'	=>	'100',
		'teaa'	=>	'00200',
		'teaá'	=>	'00200',
		'teab'	=>	'00200',
		'teac'	=>	'00200',
		'tead'	=>	'00230',
		'teae'	=>	'00200',
		'teaé'	=>	'00200',
		'teag'	=>	'00200',
		'teah'	=>	'00200',
		'teai'	=>	'00002',
		'teaiv'	=>	'002000',
		'teaí'	=>	'00200',
		'teaj'	=>	'00200',
		'teaku'	=>	'002000',
		'tealap'	=>	'0020000',
		'tealáz'	=>	'0020000',
		'teali'	=>	'002000',
		'teana'	=>	'002000',
		'teao'	=>	'00200',
		'teaö'	=>	'00200',
		'teaő'	=>	'00200',
		'teapa'	=>	'002000',
		'teapá'	=>	'002000',
		'teas'	=>	'00002',
		'teasp'	=>	'002100',
		'teasza'	=>	'0020000',
		'teaszá'	=>	'0020000',
		'teaszo'	=>	'0020000',
		'teatró'	=>	'0001000',
		'teaú'	=>	'00200',
		'teaü'	=>	'00200',
		'teav'	=>	'00200',
		'teaz'	=>	'00200',
		'teber'	=>	'002000',
		'tebéd'	=>	'002000',
		'techó'	=>	'200000',
		'tecsá'	=>	'002000',
		'tedit'	=>	'002000',
		'tedí'	=>	'00200',
		'tedz'	=>	'21200',
		'teff'	=>	'21000',
		'tefr'	=>	'00120',
		'tegan'	=>	'002000',
		'tegar'	=>	'002120',
		'tegaz'	=>	'000020',
		'tegazo'	=>	'0001000',
		'tegá'	=>	'00200',
		'tegál'	=>	'000100',
		'tegár'	=>	'000100',
		'tegeg'	=>	'002100',
		'tegelem'	=>	'00012000',
		'tegell'	=>	'0021000',
		'tegelr'	=>	'0021000',
		'tegene'	=>	'0020000',
		'tegered'	=>	'00010000',
		'tegél'	=>	'002100',
		'tegép'	=>	'002120',
		'tegész'	=>	'0000001',
		'tegg'	=>	'00030',
		'tegid'	=>	'002000',
		'tegis'	=>	'002000',
		'tegiz'	=>	'002000',
		'tegon'	=>	'002100',
		'tegö'	=>	'00210',
		'tegú'	=>	'00200',
		'tegüg'	=>	'002120',
		'tegül'	=>	'000020',
		'tegülé'	=>	'0021000',
		'tegülő'	=>	'0021000',
		'tegyes'	=>	'2120000',
		'tegyez'	=>	'0120000',
		'tegyén'	=>	'0100000',
		'tegyh'	=>	'210000',
		'tegyl'	=>	'210000',
		'tegys'	=>	'210000',
		'tegyüt'	=>	'2000000',
		'teig'	=>	'00020',
		'teins'	=>	'000010',
		'teja'	=>	'00210',
		'tejeg'	=>	'000020',
		'tejell'	=>	'0021000',
		'tejelv'	=>	'0021000',
		'tejer'	=>	'002100',
		'tejin'	=>	'002000',
		'tejí'	=>	'00200',
		'tejo'	=>	'00200',
		'tejó'	=>	'00210',
		'tejös'	=>	'002100',
		'tejő'	=>	'00200',
		'teju'	=>	'00212',
		'tejú'	=>	'00200',
		'tekag'	=>	'002100',
		'tekál'	=>	'002100',
		'tekel'	=>	'002100',
		'tekéret'	=>	'00010000',
		'tekip'	=>	'002120',
		'tekí'	=>	'00200',
		'teklu'	=>	'001000',
		'tekok'	=>	'002100',
		'tekös'	=>	'002100',
		'tekund'	=>	'0021000',
		'tekút'	=>	'002100',
		'telab'	=>	'002000',
		'telag'	=>	'002000',
		'telaj'	=>	'002000',
		'telan'	=>	'002100',
		'telap'	=>	'002000',
		'telar'	=>	'002000',
		'telas'	=>	'002000',
		'telav'	=>	'002000',
		'telág'	=>	'002120',
		'telál'	=>	'002000',
		'telár'	=>	'000020',
		'telát'	=>	'002100',
		'telbü'	=>	'200000',
		'teleírá'	=>	'00000300',
		'telej'	=>	'200000',
		'telejt'	=>	'0001000',
		'telektr'	=>	'20000000',
		'telelen'	=>	'00012000',
		'telelk'	=>	'0021000',
		'telell'	=>	'0021000',
		'telemba'	=>	'00200000',
		'telemei'	=>	'20000000',
		'telemek'	=>	'20200000',
		'telemes'	=>	'00200000',
		'telemén'	=>	'00200000',
		'telemű'	=>	'2120000',
		'telesés'	=>	'00010000',
		'teleső'	=>	'0021200',
		'teleste'	=>	'00210000',
		'telesti'	=>	'00010000',
		'telég'	=>	'012000',
		'telérét'	=>	'00010000',
		'teléte'	=>	'0021000',
		'telfoga'	=>	'01000000',
		'teliéh'	=>	'0000020',
		'telimi'	=>	'0021000',
		'telind'	=>	'0020000',
		'telinf'	=>	'0021000',
		'teling'	=>	'0021000',
		'telix'	=>	'210000',
		'telír'	=>	'002000',
		'telleg'	=>	'0002100',
		'tellenf'	=>	'20000000',
		'tellenő'	=>	'20000000',
		'tellenz'	=>	'20000000',
		'tellniv'	=>	'21000000',
		'telméle'	=>	'20000000',
		'teló'	=>	'00212',
		'telöl'	=>	'002100',
		'telőadá'	=>	'20000000',
		'telőí'	=>	'212000',
		'telőnn'	=>	'2000000',
		'telőny'	=>	'2120000',
		'telőtt'	=>	'0020000',
		'telőtu'	=>	'2120000',
		'telővét'	=>	'00200000',
		'telp'	=>	'00012',
		'telsa'	=>	'210000',
		'telső'	=>	'210000',
		'teltelé'	=>	'21000000',
		'teltéré'	=>	'21000000',
		'telú'	=>	'00200',
		'telvb'	=>	'210000',
		'telvei'	=>	'2100000',
		'telvek'	=>	'2100000',
		'telvet'	=>	'2100000',
		'telvév'	=>	'2100000',
		'telvh'	=>	'210000',
		'telvil'	=>	'2100000',
		'telvk'	=>	'210000',
		'telvn'	=>	'210000',
		'telvr'	=>	'210000',
		'telvt'	=>	'210000',
		'telvü'	=>	'210000',
		'telvű'	=>	'210000',
		'telvv'	=>	'210000',
		'temap'	=>	'002000',
		'temas'	=>	'002100',
		'tembl'	=>	'210000',
		'tembr'	=>	'210000',
		'temeg'	=>	'002120',
		'temeleg'	=>	'00012000',
		'temelé'	=>	'2100000',
		'temelk'	=>	'2100000',
		'temelő'	=>	'2020000',
		'temelv'	=>	'0020000',
		'temél'	=>	'002100',
		'temérté'	=>	'00010000',
		'temés'	=>	'212000',
		'teméte'	=>	'0021000',
		'temétk'	=>	'0021000',
		'temid'	=>	'002000',
		'temigr'	=>	'0020000',
		'temill'	=>	'0001000',
		'temim'	=>	'002000',
		'teming'	=>	'0001000',
		'temint'	=>	'0021000',
		'temóc'	=>	'002000',
		'temór'	=>	'002120',
		'temő'	=>	'00212',
		'tempá'	=>	'200000',
		'templi'	=>	'2000000',
		'temul'	=>	'212000',
		'temus'	=>	'002000',
		'temut'	=>	'002000',
		'temül'	=>	'000020',
		'temülé'	=>	'0021000',
		'tenad'	=>	'002000',
		'tenag'	=>	'002120',
		'tenal'	=>	'002000',
		'tenar'	=>	'002120',
		'tenas'	=>	'002100',
		'tenat'	=>	'002000',
		'tenau'	=>	'002000',
		'tenát'	=>	'002120',
		'tendh'	=>	'000120',
		'teneg'	=>	'000020',
		'tenegy'	=>	'0001000',
		'tenel'	=>	'002100',
		'tener'	=>	'002000',
		'tenerg'	=>	'2000000',
		'tenesz'	=>	'0021000',
		'tenékt'	=>	'0021000',
		'tenévi'	=>	'0021000',
		'tenged'	=>	'2100000',
		'tenip'	=>	'002120',
		'tenol'	=>	'002100',
		'tenó'	=>	'00212',
		'tenö'	=>	'00200',
		'tentin'	=>	'0002000',
		'tentív'	=>	'0002120',
		'tentri'	=>	'0001000',
		'tenu'	=>	'00212',
		'tenú'	=>	'00200',
		'tenüg'	=>	'002100',
		'tenünn'	=>	'0020000',
		'tenyh'	=>	'210000',
		'tenyv'	=>	'010000',
		'teoc'	=>	'00200',
		'teof'	=>	'00200',
		'teos'	=>	'00020',
		'tepiz'	=>	'210000',
		'tepos'	=>	'212000',
		'tepp'	=>	'20000',
		'teppék'	=>	'0002120',
		'terabl'	=>	'0001000',
		'teracé'	=>	'0001200',
		'terada'	=>	'0021000',
		'teraka'	=>	'0001000',
		'teran'	=>	'002120',
		'terar'	=>	'002120',
		'terau'	=>	'002000',
		'terács'	=>	'0001200',
		'teráf'	=>	'002000',
		'teráll'	=>	'0021000',
		'terálm'	=>	'0001000',
		'terári'	=>	'0021200',
		'teráta'	=>	'0001000',
		'terch'	=>	'000200',
		'terd'	=>	'00012',
		'terdő'	=>	'200000',
		'teredm'	=>	'2000000',
		'teredz'	=>	'0021200',
		'teregé'	=>	'0001000',
		'teregy'	=>	'0001000',
		'terej'	=>	'212000',
		'terekl'	=>	'2120000',
		'terelm'	=>	'0021000',
		'tereme'	=>	'0000002',
		'terent'	=>	'0021000',
		'tereo'	=>	'200000',
		'terepa'	=>	'0000200',
		'terepel'	=>	'00002120',
		'terepülé'	=>	'000021200',
		'terer'	=>	'002100',
		'tereső'	=>	'0021200',
		'tereste'	=>	'00210000',
		'teresté'	=>	'00210000',
		'tereta'	=>	'0020000',
		'tereti'	=>	'0021000',
		'teretn'	=>	'0020000',
		'terég'	=>	'002000',
		'teréj'	=>	'002120',
		'teréka'	=>	'0001000',
		'terél'	=>	'002020',
		'teréle'	=>	'0001000',
		'terélv'	=>	'0001000',
		'terg'	=>	'00012',
		'teriko'	=>	'0001000',
		'terili'	=>	'2000000',
		'terilla'	=>	'00010000',
		'terina'	=>	'0000200',
		'terip'	=>	'002120',
		'terism'	=>	'0020000',
		'terist'	=>	'0001000',
		'terizm'	=>	'0001000',
		'terk'	=>	'00012',
		'terkölc'	=>	'01000000',
		'terméss'	=>	'00000010',
		'terold'	=>	'0021000',
		'teror'	=>	'002000',
		'terox'	=>	'002100',
		'terór'	=>	'002120',
		'terök'	=>	'002000',
		'terön'	=>	'002100',
		'terő'	=>	'00200',
		'terőb'	=>	'210000',
		'terőf'	=>	'210000',
		'terős'	=>	'210000',
		'terőt'	=>	'010000',
		'terőv'	=>	'010000',
		'ters'	=>	'00012',
		'tersz'	=>	'000002',
		'tert'	=>	'00002',
		'tertr'	=>	'000100',
		'terur'	=>	'002000',
		'terut'	=>	'002100',
		'terút'	=>	'002100',
		'terüg'	=>	'002100',
		'terüld'	=>	'0021000',
		'tervaj'	=>	'0002000',
		'tervan'	=>	'0002000',
		'tesar'	=>	'002000',
		'tesár'	=>	'002000',
		'tesel'	=>	'002000',
		'tesell'	=>	'0001000',
		'tesemé'	=>	'2100000',
		'tesetb'	=>	'2120000',
		'tesetei'	=>	'21200000',
		'teseten'	=>	'21200000',
		'tesetet'	=>	'21200000',
		'teseté'	=>	'2120000',
		'teseth'	=>	'2120000',
		'teseti'	=>	'2120000',
		'tesetn'	=>	'2120000',
		'tesetr'	=>	'2120000',
		'tesett'	=>	'2120000',
		'tesél'	=>	'002000',
		'teséll'	=>	'2000000',
		'tesély'	=>	'2000000',
		'tesés'	=>	'212000',
		'tesint'	=>	'0021000',
		'tesír'	=>	'000020',
		'tesírn'	=>	'0020000',
		'tesíró'	=>	'0021000',
		'tesíz'	=>	'002000',
		'teskü'	=>	'200000',
		'tesni'	=>	'010000',
		'tesot'	=>	'002000',
		'teső'	=>	'21200',
		'tesp'	=>	'00002',
		'tesszen'	=>	'21000000',
		'testak'	=>	'0002000',
		'testáll'	=>	'00021000',
		'testár'	=>	'0000020',
		'testára'	=>	'00020000',
		'testelk'	=>	'00021000',
		'testell'	=>	'00021000',
		'tester'	=>	'0002100',
		'testéj'	=>	'2000000',
		'testék'	=>	'2000000',
		'testékn'	=>	'00021000',
		'testéks'	=>	'00021000',
		'testém'	=>	'2000000',
		'testism'	=>	'00020000',
		'testo'	=>	'000210',
		'testő'	=>	'000002',
		'testőre'	=>	'00021000',
		'testőré'	=>	'00021000',
		'testur'	=>	'0002000',
		'tesú'	=>	'00210',
		'tesüv'	=>	'002120',
		'teszet'	=>	'2000000',
		'teszmé'	=>	'2100000',
		'teszta'	=>	'0000212',
		'teszter'	=>	'00000020',
		'tesztere'	=>	'000021000',
		'tesztéte'	=>	'000021200',
		'tesztor'	=>	'00002000',
		'tetak'	=>	'002120',
		'tetal'	=>	'002120',
		'tetana'	=>	'0020000',
		'tetap'	=>	'002120',
		'tetág'	=>	'002000',
		'tetál'	=>	'002100',
		'tetár'	=>	'000020',
		'tetára'	=>	'0021000',
		'tetát'	=>	'002000',
		'teteg'	=>	'002120',
		'tetell'	=>	'0021000',
		'tetelő'	=>	'0001200',
		'tetelr'	=>	'0001000',
		'tetelv'	=>	'0021000',
		'tetene'	=>	'0020000',
		'teter'	=>	'000020',
		'teteré'	=>	'0021000',
		'tetesz'	=>	'0021000',
		'tetéj'	=>	'002100',
		'tetékk'	=>	'0001000',
		'tetél'	=>	'002120',
		'tetéri'	=>	'0021000',
		'tetérv'	=>	'0021000',
		'tetid'	=>	'002000',
		'tetika'	=>	'2120000',
		'tetiká'	=>	'2120000',
		'tetim'	=>	'002000',
		'tetint'	=>	'0021000',
		'tetkész'	=>	'00000001',
		'tetolt'	=>	'0021000',
		'tetot'	=>	'002100',
		'tetór'	=>	'002000',
		'tetur'	=>	'002000',
		'tetüz'	=>	'002100',
		'tetűd'	=>	'212000',
		'tetűz'	=>	'002120',
		'tevéss'	=>	'0000030',
		'tevol'	=>	'002000',
		'tewa'	=>	'00210',
		'texp'	=>	'21000',
		'tezer'	=>	'212000',
		'tezőa'	=>	'000002',
		'tezred'	=>	'0100000',
		'té'	=>	'100',
		'tébr'	=>	'21000',
		'técő'	=>	'00200',
		'tédes'	=>	'002000',
		'tégb'	=>	'20000',
		'téget'	=>	'200000',
		'tégé'	=>	'20000',
		'tégép'	=>	'002000',
		'tégés'	=>	'002000',
		'tégg'	=>	'20000',
		'tégj'	=>	'20000',
		'tégk'	=>	'21000',
		'tégla'	=>	'000001',
		'tégn'	=>	'20000',
		'tégö'	=>	'21200',
		'tégő'	=>	'21200',
		'tégr'	=>	'20000',
		'tégt'	=>	'20000',
		'tégü'	=>	'00002',
		'tégül'	=>	'002100',
		'téhek'	=>	'212000',
		'téhen'	=>	'212000',
		'téhes'	=>	'212000',
		'téhet'	=>	'212000',
		'téhé'	=>	'21200',
		'téhs'	=>	'21000',
		'téjen'	=>	'212000',
		'téjes'	=>	'002000',
		'téjr'	=>	'21000',
		'téjs'	=>	'21000',
		'téjt'	=>	'21000',
		'tékab'	=>	'002000',
		'tékad'	=>	'002000',
		'tékada'	=>	'0001000',
		'tékaka'	=>	'0021000',
		'tékalk'	=>	'0001000',
		'tékam'	=>	'002000',
		'tékan'	=>	'002120',
		'tékar'	=>	'002100',
		'tékat'	=>	'000020',
		'tékatt'	=>	'0021000',
		'tékaz'	=>	'002000',
		'tékág'	=>	'002100',
		'tékec'	=>	'002120',
		'tékedé'	=>	'0020000',
		'tékeg'	=>	'002120',
		'tékekéh'	=>	'00212000',
		'tékelőá'	=>	'00212000',
		'tékelr'	=>	'0021000',
		'téker'	=>	'002100',
		'tékesz'	=>	'0021000',
		'téketi'	=>	'0021000',
		'tékék'	=>	'002120',
		'tékél'	=>	'002120',
		'tékép'	=>	'002000',
		'tékés'	=>	'002100',
		'tékfélé'	=>	'00000002',
		'tékfélév'	=>	'000002100',
		'tékid'	=>	'002000',
		'tékik'	=>	'002000',
		'tékim'	=>	'002000',
		'tékirá'	=>	'0020000',
		'tékis'	=>	'002120',
		'tékí'	=>	'00202',
		'tékor'	=>	'002120',
		'tékosz'	=>	'0021000',
		'tékó'	=>	'00002',
		'tékór'	=>	'002000',
		'tékö'	=>	'00212',
		'tékő'	=>	'00200',
		'tékut'	=>	'002120',
		'tékül'	=>	'000020',
		'téla'	=>	'00002',
		'télak'	=>	'002000',
		'télan'	=>	'002100',
		'télap'	=>	'002000',
		'télas'	=>	'002000',
		'télá'	=>	'02000',
		'téláb'	=>	'002000',
		'télál'	=>	'002000',
		'télár'	=>	'002000',
		'télát'	=>	'002120',
		'télei'	=>	'002000',
		'télel'	=>	'002020',
		'télele'	=>	'0001000',
		'télell'	=>	'0001000',
		'télelő'	=>	'0001000',
		'télelv'	=>	'0001000',
		'téler'	=>	'002120',
		'téles'	=>	'002000',
		'télest'	=>	'0001000',
		'télez'	=>	'002000',
		'télékb'	=>	'0001000',
		'téléké'	=>	'0001000',
		'télí'	=>	'00200',
		'téló'	=>	'00200',
		'télö'	=>	'00212',
		'télőkész'	=>	'000000001',
		'télu'	=>	'00002',
		'télut'	=>	'002000',
		'télű'	=>	'20200',
		'télyeg'	=>	'0020000',
		'télyigaz'	=>	'000000001',
		'témap'	=>	'000010',
		'témé'	=>	'00200',
		'témil'	=>	'002000',
		'téna'	=>	'00002',
		'ténan'	=>	'002100',
		'ténekb'	=>	'2120000',
		'ténekek'	=>	'20000000',
		'téneké'	=>	'2120000',
		'ténekl'	=>	'2000000',
		'ténin'	=>	'002100',
		'ténö'	=>	'00212',
		'tényeg'	=>	'0020120',
		'tényel'	=>	'0020120',
		'tényék'	=>	'0020000',
		'tényigaz'	=>	'000000001',
		'tényim'	=>	'0020000',
		'tényo'	=>	'002000',
		'tényö'	=>	'002000',
		'tépéss'	=>	'0000030',
		'tépí'	=>	'21200',
		'tépla'	=>	'001200',
		'tépül'	=>	'212000',
		'térab'	=>	'002000',
		'téraj'	=>	'002000',
		'térakt'	=>	'0001000',
		'téran'	=>	'002120',
		'térar'	=>	'002000',
		'téras'	=>	'002000',
		'térav'	=>	'002000',
		'térár'	=>	'002120',
		'térdekb'	=>	'20000000',
		'térdekl'	=>	'20000000',
		'térdekn'	=>	'20000000',
		'térdekü'	=>	'20000000',
		'térdekű'	=>	'20000000',
		'térdemel'	=>	'000212000',
		'térdíj'	=>	'0002120',
		'téreg'	=>	'002000',
		'térel'	=>	'002120',
		'térem'	=>	'002000',
		'téreml'	=>	'0001000',
		'téreng'	=>	'0021000',
		'téreső'	=>	'0021000',
		'téressz'	=>	'00210000',
		'téresz'	=>	'0021000',
		'térett'	=>	'2120000',
		'téréss'	=>	'0000010',
		'térész'	=>	'0021000',
		'téréte'	=>	'0001000',
		'térid'	=>	'000020',
		'téride'	=>	'0021000',
		'téril'	=>	'002000',
		'térip'	=>	'002000',
		'téris'	=>	'002000',
		'térkez'	=>	'2000000',
		'térmü'	=>	'210000',
		'téros'	=>	'002100',
		'térö'	=>	'00200',
		'tértes'	=>	'2100000',
		'térték'	=>	'2100000',
		'tértők'	=>	'2100000',
		'tértr'	=>	'000120',
		'tértv'	=>	'210000',
		'téru'	=>	'00212',
		'térvei'	=>	'2100000',
		'térvek'	=>	'2000000',
		'térvény'	=>	'21000000',
		'tésa'	=>	'00002',
		'tésab'	=>	'002000',
		'tésag'	=>	'002000',
		'tésaj'	=>	'002100',
		'tésak'	=>	'002000',
		'tésal'	=>	'002100',
		'tésan'	=>	'002000',
		'tésap'	=>	'002000',
		'tésas'	=>	'002100',
		'tésaz'	=>	'002100',
		'tésá'	=>	'00212',
		'tésáta'	=>	'0000012',
		'téseg'	=>	'002100',
		'tésel'	=>	'002120',
		'téser'	=>	'002120',
		'tésés'	=>	'002000',
		'tésiko'	=>	'0001000',
		'tésor'	=>	'002100',
		'tésó'	=>	'00200',
		'téső'	=>	'00212',
		'tésu'	=>	'00200',
		'tésül'	=>	'000020',
		'tésülé'	=>	'0021000',
		'tésülő'	=>	'0001000',
		'tésüt'	=>	'002100',
		'tészav'	=>	'0003000',
		'tészál'	=>	'0000100',
		'tészár'	=>	'0003000',
		'tészeg'	=>	'0020000',
		'tészemb'	=>	'00201000',
		'tészene'	=>	'00030000',
		'tészesz'	=>	'00200000',
		'tészék'	=>	'0020100',
		'tészsi'	=>	'0003000',
		'tétal'	=>	'002120',
		'tétcsa'	=>	'0000002',
		'téteg'	=>	'002120',
		'tételemt'	=>	'000120000',
		'tételkés'	=>	'000100000',
		'tételve'	=>	'00210000',
		'téteri'	=>	'2100000',
		'téters'	=>	'0021000',
		'tétev'	=>	'002120',
		'tététe'	=>	'0021200',
		'tétok'	=>	'002000',
		'tétol'	=>	'002000',
		'tétos'	=>	'002100',
		'tétó'	=>	'00002',
		'tétón'	=>	'002000',
		'tétór'	=>	'002100',
		'tévad'	=>	'210000',
		'tévb'	=>	'21000',
		'tévc'	=>	'21000',
		'tévedb'	=>	'2120000',
		'tévei'	=>	'200000',
		'tévek'	=>	'212000',
		'tévem'	=>	'212000',
		'tévész'	=>	'0000102',
		'tévf'	=>	'21000',
		'tévh'	=>	'20000',
		'tévi'	=>	'21200',
		'tévk'	=>	'20000',
		'tévn'	=>	'21000',
		'tévr'	=>	'21000',
		'tévs'	=>	'21000',
		'tévt'	=>	'20000',
		'tévú'	=>	'00200',
		'tévü'	=>	'21000',
		'tévükö'	=>	'0020000',
		'tévün'	=>	'002000',
		'tévű'	=>	'21200',
		'tévv'	=>	'21000',
		'tézs'	=>	'00200',
		'tfalaj'	=>	'0002100',
		'tfalan'	=>	'0002000',
		'tfale'	=>	'000200',
		'tfalom'	=>	'0002000',
		'tfjo'	=>	'00200',
		'tfla'	=>	'00200',
		'tfle'	=>	'00200',
		'tfli'	=>	'00200',
		'tflo'	=>	'00200',
		'tfló'	=>	'00200',
		'tfra'	=>	'00200',
		'tfrá'	=>	'00200',
		'tfre'	=>	'00200',
		'tfri'	=>	'00200',
		'tfrí'	=>	'00200',
		'tfro'	=>	'00200',
		'tfrö'	=>	'00200',
		'tfru'	=>	'00200',
		'tgázak'	=>	'0002000',
		'tgázár'	=>	'0002000',
		'tgázé'	=>	'000200',
		'tgenel'	=>	'0002100',
		'tgené'	=>	'000200',
		'tgens'	=>	'000010',
		'tglo'	=>	'00200',
		'tgló'	=>	'00200',
		'tgne'	=>	'00200',
		'tgra'	=>	'00200',
		'tgrá'	=>	'00200',
		'tgri'	=>	'00200',
		'tgró'	=>	'00200',
		'tgru'	=>	'00200',
		'tgrü'	=>	'00200',
		'thade'	=>	'000200',
		'thagore'	=>	'10000000',
		'thau'	=>	'12000',
		'theid'	=>	'000221',
		'theidp'	=>	'1000000',
		'theusz'	=>	'1000000',
		'tholi'	=>	'020000',
		'thonn'	=>	'000010',
		'thony'	=>	'000100',
		'thosz'	=>	'100000',
		'thsc'	=>	'00100',
		'thy'	=>	'1000',
		'ti'	=>	'100',
		'tiaa'	=>	'00200',
		'tiae'	=>	'00200',
		'tiaé'	=>	'00200',
		'tiaf'	=>	'00200',
		'tiah'	=>	'00200',
		'tiaj'	=>	'00200',
		'tiakész'	=>	'00000001',
		'tiala'	=>	'002000',
		'tiam'	=>	'00200',
		'tiap'	=>	'00210',
		'tiata'	=>	'002000',
		'tiatl'	=>	'002000',
		'tiaü'	=>	'00200',
		'tiav'	=>	'00200',
		'tichi'	=>	'002000',
		'tidea'	=>	'002000',
		'tideá'	=>	'212000',
		'tideg'	=>	'212000',
		'tidei'	=>	'002000',
		'tidej'	=>	'200000',
		'tideo'	=>	'212000',
		'tidén'	=>	'002000',
		'tidéz'	=>	'200000',
		'tidio'	=>	'002000',
		'tidom'	=>	'212000',
		'tidő'	=>	'21200',
		'tiele'	=>	'000200',
		'tien'	=>	'00020',
		'tiéb'	=>	'00020',
		'tifl'	=>	'00100',
		'tiga'	=>	'21200',
		'tigá'	=>	'21200',
		'tigék'	=>	'212000',
		'tiglo'	=>	'001200',
		'tigra'	=>	'001200',
		'tihl'	=>	'21000',
		'tiki'	=>	'00300',
		'tikle'	=>	'001000',
		'tiklu'	=>	'001000',
		'tikonb'	=>	'0020000',
		'tikono'	=>	'0020000',
		'tikonr'	=>	'0020000',
		'tikosz'	=>	'0000102',
		'tikri'	=>	'001200',
		'tilac'	=>	'002000',
		'tilad'	=>	'002000',
		'tilan'	=>	'002000',
		'tilág'	=>	'002100',
		'tileg'	=>	'000020',
		'tilegy'	=>	'0001000',
		'tilex'	=>	'002000',
		'tilim'	=>	'002000',
		'tiling'	=>	'0001000',
		'tilip'	=>	'002120',
		'tilir'	=>	'002000',
		'tilisk'	=>	'0001000',
		'tillato'	=>	'21000000',
		'tillú'	=>	'200000',
		'tilö'	=>	'00212',
		'tily'	=>	'21200',
		'timak'	=>	'002000',
		'timáb'	=>	'002000',
		'timádó'	=>	'2000000',
		'timáj'	=>	'002000',
		'timár'	=>	'002000',
		'timáz'	=>	'002000',
		'times'	=>	'002000',
		'timmu'	=>	'200000',
		'timrei'	=>	'2000000',
		'tinakk'	=>	'2100000',
		'tinakt'	=>	'0001000',
		'tinan'	=>	'002120',
		'tinará'	=>	'0001000',
		'tinat'	=>	'000012',
		'tinau'	=>	'002100',
		'tináll'	=>	'0021000',
		'tinárt'	=>	'0001000',
		'tindá'	=>	'210000',
		'tinde'	=>	'210000',
		'tindí'	=>	'210000',
		'tindu'	=>	'210000',
		'tineg'	=>	'002000',
		'tineké'	=>	'0021000',
		'tinem'	=>	'002000',
		'tinfar'	=>	'2100000',
		'tinfl'	=>	'200000',
		'tinfr'	=>	'210000',
		'tingal'	=>	'0002000',
		'tingas'	=>	'0002000',
		'tingár'	=>	'0002100',
		'tingel'	=>	'0002120',
		'tingeni'	=>	'21000000',
		'tingeti'	=>	'00021000',
		'tingos'	=>	'0002000',
		'tingó'	=>	'000212',
		'tinic'	=>	'212000',
		'tinig'	=>	'000020',
		'tiniga'	=>	'0001000',
		'tinim'	=>	'002120',
		'tinisz'	=>	'0000102',
		'tinku'	=>	'210000',
		'tinkv'	=>	'210000',
		'tinn'	=>	'00030',
		'tinórá'	=>	'0001000',
		'tinö'	=>	'00200',
		'tinsp'	=>	'210000',
		'tinteg'	=>	'2100000',
		'tintéz'	=>	'2100000',
		'tinut'	=>	'002100',
		'tinű'	=>	'00200',
		'tiol'	=>	'00200',
		'tionb'	=>	'002000',
		'tionh'	=>	'002000',
		'tioni'	=>	'002000',
		'tionj'	=>	'002000',
		'tionn'	=>	'212000',
		'tiono'	=>	'212000',
		'tionr'	=>	'212000',
		'tiont'	=>	'212000',
		'tiox'	=>	'00020',
		'tipad'	=>	'002000',
		'tipla'	=>	'001200',
		'tippin'	=>	'0002000',
		'tippo'	=>	'000200',
		'tirat'	=>	'212000',
		'tirán'	=>	'212000',
		'tirg'	=>	'21000',
		'tirig'	=>	'002000',
		'tirk'	=>	'21000',
		'tirod'	=>	'212000',
		'tirol'	=>	'200000',
		'tirom'	=>	'002000',
		'tirón'	=>	'002000',
		'tirr'	=>	'21000',
		'tirs'	=>	'00021',
		'tirt'	=>	'21000',
		'tisas'	=>	'000200',
		'tisau'	=>	'002120',
		'tisel'	=>	'002100',
		'tisim'	=>	'002000',
		'tisin'	=>	'002000',
		'tisir'	=>	'002120',
		'tisis'	=>	'212000',
		'tisko'	=>	'210000',
		'tisor'	=>	'002000',
		'tistv'	=>	'200000',
		'tisztina'	=>	'000020000',
		'titio'	=>	'002120',
		'titri'	=>	'001200',
		'titro'	=>	'001200',
		'tiumé'	=>	'000200',
		'tiumi'	=>	'000212',
		'tivad'	=>	'200000',
		'tivar'	=>	'212000',
		'tiván'	=>	'212000',
		'tivó'	=>	'21200',
		'tixa'	=>	'00200',
		'tizen'	=>	'000021',
		'tizéj'	=>	'200000',
		'tizék'	=>	'200000',
		'tizér'	=>	'002000',
		'tizét'	=>	'002000',
		'tizév'	=>	'002000',
		'tizom'	=>	'000020',
		'tí'	=>	'100',
		'tígé'	=>	'00200',
		'tíja'	=>	'00200',
		'tíjá'	=>	'00200',
		'tíjú'	=>	'00200',
		'tíla'	=>	'00200',
		'tíló'	=>	'00212',
		'tínio'	=>	'200000',
		'tíno'	=>	'21200',
		'tínr'	=>	'21000',
		'tíns'	=>	'21000',
		'tíny'	=>	'21200',
		'tíran'	=>	'002020',
		'tírar'	=>	'002000',
		'tírál'	=>	'002100',
		'tírás'	=>	'212000',
		'tíre'	=>	'00210',
		'tíró'	=>	'21200',
		'tírő'	=>	'00200',
		'tírü'	=>	'00200',
		'títéss'	=>	'0000030',
		'títőa'	=>	'000002',
		'títőe'	=>	'000002',
		'tívec'	=>	'002100',
		'tívei'	=>	'212000',
		'tível'	=>	'002000',
		'tíver'	=>	'002000',
		'tívéi'	=>	'212000',
		'tívi'	=>	'00002',
		'tívik'	=>	'002000',
		'tívir'	=>	'002000',
		'tíviv'	=>	'002000',
		'tívó'	=>	'00212',
		'tívö'	=>	'00200',
		'tívő'	=>	'00200',
		'tívs'	=>	'00010',
		'tíza'	=>	'00200',
		'tízá'	=>	'00200',
		'tízel'	=>	'002000',
		'tízele'	=>	'0001000',
		'tízemb'	=>	'0021000',
		'tízi'	=>	'00002',
		'tízik'	=>	'002000',
		'tízis'	=>	'002100',
		'tízí'	=>	'00200',
		'tízl'	=>	'20000',
		'tízo'	=>	'00210',
		'tízö'	=>	'00200',
		'tízsá'	=>	'002000',
		'tízu'	=>	'00200',
		'tízül'	=>	'002000',
		'tízülé'	=>	'0001000',
		'tízű'	=>	'21200',
		'tjegyá'	=>	'0002012',
		'tjót'	=>	'00021',
		'tkapr'	=>	'000100',
		'tkarór'	=>	'0002020',
		'tkende'	=>	'0000002',
		'tképekéh'	=>	'000212000',
		'tkial'	=>	'000020',
		'tkiá'	=>	'00002',
		'tkie'	=>	'00002',
		'tkié'	=>	'00002',
		'tkla'	=>	'00200',
		'tkli'	=>	'00200',
		'tklí'	=>	'00200',
		'tkló'	=>	'00200',
		'tklu'	=>	'00200',
		'tközél'	=>	'0002100',
		'tkőéh'	=>	'000020',
		'tkra'	=>	'00200',
		'tkrá'	=>	'00200',
		'tkreác'	=>	'0120000',
		'tkré'	=>	'01200',
		'tkri'	=>	'01200',
		'tkrí'	=>	'00200',
		'tkro'	=>	'01200',
		'tkró'	=>	'01200',
		'tkru'	=>	'00200',
		'tkva'	=>	'00200',
		'tkvi'	=>	'00200',
		'tkvó'	=>	'00200',
		'tlac'	=>	'00023',
		'tlagad'	=>	'0002120',
		'tlagar'	=>	'0002100',
		'tlagas'	=>	'0002000',
		'tlagál'	=>	'0002000',
		'tlage'	=>	'000210',
		'tlagg'	=>	'000030',
		'tlagó'	=>	'000210',
		'tlane'	=>	'000212',
		'tlanká'	=>	'0000002',
		'tlanó'	=>	'000200',
		'tlapár'	=>	'0002000',
		'tleí'	=>	'00002',
		'tlenn'	=>	'000030',
		'tletan'	=>	'0002120',
		'tletas'	=>	'0002000',
		'tletele'	=>	'00020000',
		'tletelv'	=>	'00021000',
		'tletos'	=>	'0002000',
		'tlető'	=>	'000200',
		'tleü'	=>	'00002',
		'tlékal'	=>	'0002000',
		'tlékem'	=>	'0002000',
		'tlépe'	=>	'000300',
		'tléss'	=>	'000030',
		'tlétrá'	=>	'0001000',
		'tlódr'	=>	'000100',
		'tmagál'	=>	'0002000',
		'tmak'	=>	'00010',
		'tmányir'	=>	'00020000',
		'tmege'	=>	'000212',
		'tmegé'	=>	'000210',
		'tmegif'	=>	'0003000',
		'tmusí'	=>	'000200',
		'tmuss'	=>	'000030',
		'tmusz'	=>	'000200',
		'tnagya'	=>	'0002000',
		'tnád'	=>	'00021',
		'tnekel'	=>	'0002100',
		'tneküld'	=>	'00020000',
		'tnemer'	=>	'0002120',
		'tnera'	=>	'000210',
		'tnerá'	=>	'000210',
		'tnesza'	=>	'0002010',
		'tneszi'	=>	'0002000',
		'tneszó'	=>	'0002012',
		'tnéva'	=>	'000010',
		'tnómen'	=>	'0000001',
		'tnómenk'	=>	'00000002',
		'tnököl'	=>	'0002100',
		'tnőén'	=>	'000020',
		'to'	=>	'100',
		'tobj'	=>	'21000',
		'tobl'	=>	'21000',
		'tobs'	=>	'21000',
		'tocki'	=>	'001000',
		'todaa'	=>	'002000',
		'todas'	=>	'002000',
		'todí'	=>	'00200',
		'todú'	=>	'21200',
		'todv'	=>	'21000',
		'toff'	=>	'21000',
		'togáss'	=>	'0000010',
		'tográff'	=>	'00120000',
		'toil'	=>	'00200',
		'tokaka'	=>	'0021000',
		'tokan'	=>	'002120',
		'tokap'	=>	'002100',
		'tokari'	=>	'0001000',
		'tokál'	=>	'002100',
		'tokárok'	=>	'00012000',
		'tokátl'	=>	'0021000',
		'tokátm'	=>	'0021000',
		'tokátr'	=>	'0021000',
		'tokáts'	=>	'0021000',
		'tokátt'	=>	'0021000',
		'tokátv'	=>	'0021000',
		'toker'	=>	'002000',
		'tokél'	=>	'002120',
		'tokép'	=>	'002000',
		'tokid'	=>	'002000',
		'tokim'	=>	'002100',
		'tokin'	=>	'002100',
		'tokip'	=>	'002100',
		'tokiv'	=>	'002100',
		'tokí'	=>	'00200',
		'tokozá'	=>	'0120000',
		'tokö'	=>	'00210',
		'tokő'	=>	'00200',
		'tokro'	=>	'001200',
		'toks'	=>	'00010',
		'toksz'	=>	'000002',
		'tokur'	=>	'002100',
		'tokúr'	=>	'002000',
		'tokü'	=>	'00200',
		'tokű'	=>	'00200',
		'tolad'	=>	'002120',
		'tolaj'	=>	'212000',
		'tolakt'	=>	'0021000',
		'tolan'	=>	'000020',
		'tolany'	=>	'0021000',
		'tolar'	=>	'002120',
		'tolatom'	=>	'00010000',
		'tolábr'	=>	'0001000',
		'toldalo'	=>	'20000000',
		'toldalt'	=>	'20000000',
		'tolim'	=>	'212000',
		'tolk'	=>	'00012',
		'tollárb'	=>	'00021000',
		'tolláré'	=>	'00021200',
		'tollárh'	=>	'00021000',
		'tollárr'	=>	'00021000',
		'tolleg'	=>	'0002000',
		'tollin'	=>	'0002100',
		'tollí'	=>	'000212',
		'tolor'	=>	'002120',
		'toltás'	=>	'2100000',
		'tolut'	=>	'002100',
		'tolvas'	=>	'2000000',
		'tomag'	=>	'002100',
		'tomak'	=>	'002100',
		'tomal'	=>	'002120',
		'toman'	=>	'002120',
		'tomap'	=>	'002100',
		'tomál'	=>	'002100',
		'tomár'	=>	'002120',
		'tomb'	=>	'00010',
		'tombe'	=>	'200000',
		'tomel'	=>	'002100',
		'tomen'	=>	'002000',
		'tomerő'	=>	'0001000',
		'tomes'	=>	'002100',
		'tomí'	=>	'00200',
		'tomosz'	=>	'0021000',
		'tomó'	=>	'00212',
		'tomö'	=>	'00200',
		'tomp'	=>	'00012',
		'toms'	=>	'00010',
		'tomtö'	=>	'200000',
		'tomú'	=>	'20000',
		'tomü'	=>	'00200',
		'tomű'	=>	'00200',
		'tonalm'	=>	'0020000',
		'tonat'	=>	'000012',
		'tonau'	=>	'000002',
		'tonáll'	=>	'0001000',
		'tonálm'	=>	'0001000',
		'tonáz'	=>	'002120',
		'tonel'	=>	'002100',
		'tonen'	=>	'002100',
		'toner'	=>	'002000',
		'tongr'	=>	'000100',
		'tonil'	=>	'002000',
		'tonk'	=>	'00012',
		'tonol'	=>	'002000',
		'tonor'	=>	'002100',
		'tonosz'	=>	'0021000',
		'tonóc'	=>	'002000',
		'tonór'	=>	'002000',
		'tonö'	=>	'00200',
		'tonő'	=>	'00200',
		'tons'	=>	'00012',
		'tont'	=>	'00002',
		'tontr'	=>	'000100',
		'tonút'	=>	'002100',
		'tonü'	=>	'00200',
		'tonű'	=>	'00200',
		'tonyal'	=>	'0020000',
		'tonye'	=>	'002000',
		'topat'	=>	'002100',
		'topc'	=>	'20000',
		'tope'	=>	'20200',
		'topik'	=>	'002000',
		'topiz'	=>	'002000',
		'toppo'	=>	'200000',
		'toppr'	=>	'200000',
		'topt'	=>	'00012',
		'topü'	=>	'00200',
		'torad'	=>	'002120',
		'torag'	=>	'002100',
		'toraj'	=>	'002100',
		'toraka'	=>	'0021000',
		'torakn'	=>	'0021000',
		'torako'	=>	'0021000',
		'toral'	=>	'002120',
		'toran'	=>	'000020',
		'torany'	=>	'0021000',
		'torap'	=>	'002120',
		'torar'	=>	'002100',
		'torass'	=>	'0001000',
		'torat'	=>	'002000',
		'torau'	=>	'002100',
		'torav'	=>	'002100',
		'torács'	=>	'0001000',
		'toráll'	=>	'0021000',
		'torálm'	=>	'0021000',
		'toráté'	=>	'0001000',
		'torátl'	=>	'0021000',
		'toráz'	=>	'002120',
		'torcá'	=>	'210000',
		'tord'	=>	'00002',
		'tordr'	=>	'000100',
		'tore'	=>	'00002',
		'torec'	=>	'002000',
		'torek'	=>	'002000',
		'torel'	=>	'002100',
		'toren'	=>	'002000',
		'torer'	=>	'002100',
		'torf'	=>	'00012',
		'torg'	=>	'00012',
		'torgan'	=>	'2100000',
		'torie'	=>	'200000',
		'torill'	=>	'0021000',
		'torint'	=>	'0021000',
		'torisk'	=>	'0021000',
		'tork'	=>	'00012',
		'tornó'	=>	'200000',
		'torop'	=>	'002000',
		'torosz'	=>	'0020000',
		'toroszt'	=>	'00010000',
		'torov'	=>	'002100',
		'toró'	=>	'00002',
		'torón'	=>	'002000',
		'torór'	=>	'002100',
		'torö'	=>	'00200',
		'torő'	=>	'00200',
		'torráv'	=>	'2100000',
		'torri'	=>	'210000',
		'tors'	=>	'00002',
		'torsc'	=>	'000100',
		'torsk'	=>	'000100',
		'torsó'	=>	'210000',
		'torsp'	=>	'000100',
		'torst'	=>	'000100',
		'tort'	=>	'00002',
		'tortr'	=>	'000100',
		'torü'	=>	'00200',
		'torvá'	=>	'300000',
		'torvos'	=>	'2000000',
		'torvv'	=>	'200000',
		'tory'	=>	'00100',
		'tosas'	=>	'002100',
		'tose'	=>	'00210',
		'tosik'	=>	'002000',
		'tosin'	=>	'002100',
		'tosis'	=>	'002000',
		'tossze'	=>	'0003000',
		'tosto'	=>	'010000',
		'tosty'	=>	'210000',
		'tosü'	=>	'00200',
		'toszal'	=>	'0020000',
		'toszan'	=>	'0020000',
		'tosze'	=>	'002010',
		'toszk'	=>	'000010',
		'tosztr'	=>	'0000100',
		'totthon'	=>	'21000000',
		'tout'	=>	'00200',
		'tova'	=>	'00001',
		'tove'	=>	'21200',
		'tovi'	=>	'21200',
		'tovu'	=>	'21200',
		'toxid'	=>	'210000',
		'toxig'	=>	'212000',
		'toyo'	=>	'00100',
		'tozatal'	=>	'00002100',
		'tó'	=>	'100',
		'tóágy'	=>	'000200',
		'tóár'	=>	'00020',
		'tóát'	=>	'00001',
		'tóáta'	=>	'000002',
		'tóbl'	=>	'00100',
		'tóbra'	=>	'001000',
		'tóbró'	=>	'001000',
		'tócl'	=>	'00100',
		'tócsapág'	=>	'000002120',
		'tódaj'	=>	'002000',
		'tódan'	=>	'002120',
		'tódesé'	=>	'0021000',
		'tódro'	=>	'001000',
		'tódúr'	=>	'002000',
		'tófl'	=>	'00100',
		'tógl'	=>	'00100',
		'tógr'	=>	'00120',
		'tóig'	=>	'00020',
		'tóív'	=>	'00020',
		'tókárok'	=>	'00002000',
		'tókl'	=>	'00120',
		'tókre'	=>	'001000',
		'tókré'	=>	'001000',
		'tókro'	=>	'001000',
		'tónuss'	=>	'0000030',
		'tóok'	=>	'00020',
		'tóór'	=>	'00020',
		'tópass'	=>	'0001000',
		'tópel'	=>	'002120',
		'tópint'	=>	'0001000',
		'tópro'	=>	'001000',
		'tóras'	=>	'002000',
		'tóráb'	=>	'002000',
		'tóráh'	=>	'002000',
		'tórái'	=>	'212000',
		'tórár'	=>	'002000',
		'tórás'	=>	'212000',
		'tórát'	=>	'002000',
		'tóráv'	=>	'012000',
		'tósep'	=>	'002000',
		'tóséták'	=>	'00010000',
		'tósétát'	=>	'00012000',
		'tósír'	=>	'002000',
		'tóskan'	=>	'0012000',
		'tóskál'	=>	'0010000',
		'tósol'	=>	'002100',
		'tósporto'	=>	'001200000',
		'tósportt'	=>	'001200000',
		'tósrác'	=>	'0012000',
		'tósül'	=>	'002120',
		'tószene'	=>	'00230000',
		'tószf'	=>	'001020',
		'tószk'	=>	'001000',
		'tótaj'	=>	'002000',
		'tótág'	=>	'002000',
		'tótom'	=>	'002000',
		'tótrá'	=>	'001200',
		'tótre'	=>	'001200',
		'tótro'	=>	'001000',
		'tóvod'	=>	'200000',
		'tóvó'	=>	'21200',
		'tö'	=>	'100',
		'többev'	=>	'0002000',
		'többo'	=>	'000210',
		'töbl'	=>	'21000',
		'tödéé'	=>	'200000',
		'tödém'	=>	'002000',
		'tödí'	=>	'00200',
		'tödné'	=>	'200000',
		'tödo'	=>	'00200',
		'tödöt'	=>	'200000',
		'tödü'	=>	'20000',
		'töka'	=>	'00200',
		'töká'	=>	'00200',
		'tökev'	=>	'002120',
		'tökérd'	=>	'0021000',
		'tökid'	=>	'002000',
		'tökí'	=>	'00200',
		'töko'	=>	'20200',
		'tökör'	=>	'212000',
		'tököss'	=>	'0000030',
		'tökő'	=>	'00210',
		'tökrös'	=>	'2000000',
		'töku'	=>	'00200',
		'tölb'	=>	'21000',
		'tölci'	=>	'210000',
		'tölgya'	=>	'0002000',
		'töltá'	=>	'000212',
		'töltön'	=>	'0100000',
		'töltöz'	=>	'2100000',
		'tömba'	=>	'000210',
		'tömbe'	=>	'000002',
		'tömbel'	=>	'0002000',
		'tömbo'	=>	'000210',
		'tömle'	=>	'010000',
		'tömlé'	=>	'210000',
		'tömli'	=>	'010000',
		'tömöl'	=>	'002000',
		'töna'	=>	'00200',
		'töná'	=>	'00200',
		'tönd'	=>	'00012',
		'tönen'	=>	'002000',
		'töní'	=>	'00210',
		'tönkár'	=>	'0002000',
		'tönkész'	=>	'00000001',
		'töno'	=>	'00200',
		'tönő'	=>	'00210',
		'töns'	=>	'00010',
		'tönu'	=>	'00200',
		'tönú'	=>	'00200',
		'töreg'	=>	'212000',
		'töréss'	=>	'0000030',
		'töröks'	=>	'2000000',
		'törta'	=>	'000212',
		'törteg'	=>	'0002000',
		'törtelem'	=>	'000212000',
		'törter'	=>	'0002000',
		'törtérn'	=>	'00020000',
		'törtés'	=>	'0002100',
		'törto'	=>	'000212',
		'törtöl'	=>	'0002100',
		'törtös'	=>	'0002000',
		'törzsa'	=>	'0002000',
		'törzsöl'	=>	'00020120',
		'tösv'	=>	'21000',
		'tösz'	=>	'21000',
		'tötl'	=>	'21000',
		'töttá'	=>	'000210',
		'tötv'	=>	'21000',
		'tövb'	=>	'21000',
		'tövh'	=>	'21000',
		'tövie'	=>	'212000',
		'tövig'	=>	'200000',
		'tövj'	=>	'21000',
		'tövk'	=>	'21000',
		'tövn'	=>	'21000',
		'tövr'	=>	'21000',
		'tövv'	=>	'21000',
		'tözön'	=>	'212000',
		'tözőe'	=>	'000002',
		'tő'	=>	'100',
		'tőac'	=>	'00020',
		'tőal'	=>	'00020',
		'tőág'	=>	'00020',
		'tőbl'	=>	'00100',
		'tőbr'	=>	'00100',
		'tőeké'	=>	'000200',
		'tőer'	=>	'00020',
		'tőél'	=>	'00020',
		'tőfl'	=>	'00100',
		'tőgr'	=>	'00100',
		'tőít'	=>	'00020',
		'tőív'	=>	'00020',
		'tőkl'	=>	'00100',
		'tőkv'	=>	'00100',
		'tőpl'	=>	'00100',
		'tőpr'	=>	'00100',
		'tőps'	=>	'00100',
		'tőrag'	=>	'002000',
		'tőral'	=>	'010000',
		'tőran'	=>	'212100',
		'tőregy'	=>	'0001000',
		'tőrez'	=>	'210000',
		'tőrék'	=>	'212000',
		'tőréü'	=>	'200000',
		'tőrin'	=>	'002000',
		'tőris'	=>	'002100',
		'tőrí'	=>	'21200',
		'tőrjá'	=>	'210000',
		'tőrjel'	=>	'2100000',
		'tőrjö'	=>	'200000',
		'tőrka'	=>	'200000',
		'tőrl'	=>	'20000',
		'tőröl'	=>	'200100',
		'tőrp'	=>	'20000',
		'tőrti'	=>	'210000',
		'tőrtr'	=>	'200000',
		'tőrz'	=>	'21000',
		'tősal'	=>	'002120',
		'tősny'	=>	'210000',
		'tőspe'	=>	'001000',
		'tőspi'	=>	'001200',
		'tőspr'	=>	'001000',
		'tősrá'	=>	'001000',
		'tősta'	=>	'001000',
		'tőstá'	=>	'001200',
		'tősté'	=>	'001000',
		'tőstr'	=>	'001000',
		'tősű'	=>	'20000',
		'tősz'	=>	'00002',
		'tőszt'	=>	'001000',
		'tőtr'	=>	'00100',
		'tőül'	=>	'00020',
		'tőzá'	=>	'00002',
		'tőzár'	=>	'000001',
		'tpenn'	=>	'000030',
		'tpfe'	=>	'00200',
		'tpla'	=>	'00200',
		'tplá'	=>	'00200',
		'tplé'	=>	'00200',
		'tplu'	=>	'00200',
		'tpra'	=>	'00200',
		'tpre'	=>	'00200',
		'tpré'	=>	'00200',
		'tpri'	=>	'00200',
		'tpro'	=>	'00200',
		'tpró'	=>	'00200',
		'tpru'	=>	'00200',
		'tpsz'	=>	'00200',
		'tputin'	=>	'0002000',
		'trafó'	=>	'020000',
		'tragé'	=>	'120000',
		'tragi'	=>	'100000',
		'trakl'	=>	'000120',
		'trakro'	=>	'0001000',
		'tranda'	=>	'0000212',
		'trandá'	=>	'0000200',
		'transs'	=>	'0000010',
		'transzai'	=>	'000020100',
		'transzom'	=>	'000020120',
		'trasp'	=>	'000120',
		'trat'	=>	'00002',
		'trati'	=>	'020000',
		'tratr'	=>	'000100',
		'trágya'	=>	'1000000',
		'trágyáb'	=>	'10000000',
		'trágyáé'	=>	'10000000',
		'trágyáh'	=>	'10000000',
		'trágyái'	=>	'10000000',
		'trágyáj'	=>	'10000000',
		'trágyák'	=>	'10000000',
		'trágyán'	=>	'10000000',
		'trágyár'	=>	'10000000',
		'trágyás'	=>	'10000000',
		'trágyát'	=>	'10000000',
		'trágyáv'	=>	'10000000',
		'trájk'	=>	'020000',
		'tránsz'	=>	'0000200',
		'trányal'	=>	'00020000',
		'trátér'	=>	'0002100',
		'trecsa'	=>	'0002000',
		'trecso'	=>	'0002000',
		'trego'	=>	'020000',
		'trenda'	=>	'0000200',
		'trendő'	=>	'0000212',
		'trení'	=>	'100000',
		'tréé'	=>	'00002',
		'tréni'	=>	'120000',
		'trép'	=>	'00012',
		'trészá'	=>	'0002012',
		'trig'	=>	'00012',
		'trii'	=>	'00002',
		'trikó'	=>	'020000',
		'trill'	=>	'020000',
		'triój'	=>	'020000',
		'triók'	=>	'020000',
		'trollin'	=>	'00002100',
		'tromad'	=>	'0002000',
		'tromaj'	=>	'0002000',
		'trona'	=>	'000002',
		'tronag'	=>	'0002100',
		'tronal'	=>	'0002000',
		'tronan'	=>	'0002000',
		'trones'	=>	'0002000',
		'tronn'	=>	'000030',
		'trontr'	=>	'0000100',
		'tros'	=>	'00200',
		'troszf'	=>	'0001020',
		'troszta'	=>	'00010200',
		'trox'	=>	'02120',
		'tróde'	=>	'000200',
		'trónas'	=>	'0002000',
		'tróne'	=>	'000210',
		'trónj'	=>	'100000',
		'tróno'	=>	'120000',
		'trónt'	=>	'020000',
		'trósz'	=>	'000100',
		'trózsi'	=>	'0002000',
		'tröm'	=>	'03000',
		'trös'	=>	'12000',
		'trub'	=>	'12000',
		'trumad'	=>	'0002000',
		'trup'	=>	'12000',
		'tsavo'	=>	'000200',
		'tsch'	=>	'00200',
		'tsche'	=>	'100000',
		'tségéj'	=>	'0002100',
		'tská'	=>	'00200',
		'tsko'	=>	'00200',
		'tsla'	=>	'00200',
		'tslá'	=>	'00200',
		'tsle'	=>	'00200',
		'tsli'	=>	'00200',
		'tsmá'	=>	'00200',
		'tsmi'	=>	'00200',
		'tsni'	=>	'00200',
		'tsói'	=>	'00002',
		'tspa'	=>	'00200',
		'tspe'	=>	'00200',
		'tspi'	=>	'00200',
		'tspo'	=>	'00200',
		'tspó'	=>	'00200',
		'tspr'	=>	'00020',
		'tsrá'	=>	'00200',
		'tsta'	=>	'01200',
		'tstá'	=>	'01200',
		'tste'	=>	'00200',
		'tsté'	=>	'00200',
		'tsti'	=>	'00200',
		'tstí'	=>	'00200',
		'tsto'	=>	'00200',
		'tstr'	=>	'00020',
		'tstu'	=>	'00200',
		'tstú'	=>	'00200',
		'tsub'	=>	'12000',
		'tszaké'	=>	'0000200',
		'tszakü'	=>	'0000210',
		'tszate'	=>	'0000212',
		'tszatö'	=>	'0000200',
		'tszét'	=>	'000020',
		'tszf'	=>	'01020',
		'tszk'	=>	'01020',
		'tszl'	=>	'01020',
		'tszögele'	=>	'000021200',
		'tszp'	=>	'01020',
		'tszt'	=>	'01022',
		'ttad'	=>	'00002',
		'ttagg'	=>	'000010',
		'ttagoku'	=>	'00021200',
		'ttanér'	=>	'0002100',
		'ttará'	=>	'021000',
		'ttaszt'	=>	'0210000',
		'ttatr'	=>	'000120',
		'ttaü'	=>	'00002',
		'ttaz'	=>	'02120',
		'ttánság'	=>	'00002120',
		'ttávi'	=>	'000212',
		'tteleme'	=>	'00020000',
		'ttelőa'	=>	'0212000',
		'tterin'	=>	'0002100',
		'tterő'	=>	'021000',
		'ttesa'	=>	'000212',
		'ttéle'	=>	'021200',
		'ttérak'	=>	'0002000',
		'ttérem'	=>	'0000100',
		'ttéres'	=>	'0002100',
		'ttéréne'	=>	'00021200',
		'ttérid'	=>	'0002000',
		'ttérin'	=>	'0000100',
		'ttéss'	=>	'001000',
		'ttévér'	=>	'0012000',
		'ttio'	=>	'02120',
		'ttiro'	=>	'021000',
		'ttisk'	=>	'021000',
		'ttizz'	=>	'020000',
		'ttíra'	=>	'000010',
		'ttírá'	=>	'001000',
		'ttkr'	=>	'00100',
		'ttornác'	=>	'00000001',
		'ttors'	=>	'021000',
		'ttódr'	=>	'000100',
		'ttóp'	=>	'00012',
		'ttórá'	=>	'021200',
		'ttósr'	=>	'000120',
		'ttöl'	=>	'00020',
		'ttölő'	=>	'001000',
		'ttpr'	=>	'00100',
		'ttraf'	=>	'012000',
		'ttrag'	=>	'012000',
		'ttran'	=>	'012000',
		'ttransz'	=>	'00000001',
		'ttranszk'	=>	'000000002',
		'ttrav'	=>	'012000',
		'ttróf'	=>	'012000',
		'ttrón'	=>	'002000',
		'ttségel'	=>	'00002000',
		'ttsi'	=>	'00200',
		'ttug'	=>	'02100',
		'ttüd'	=>	'02100',
		'ttüt'	=>	'02100',
		'ttüv'	=>	'02120',
		'ttwe'	=>	'00002',
		'tty'	=>	'0200',
		'ttyor'	=>	'000100',
		'ttyöl'	=>	'000120',
		'ttyü'	=>	'00002',
		'ttyül'	=>	'000100',
		'ttyülés'	=>	'00000001',
		'tu'	=>	'100',
		'tuár'	=>	'00020',
		'tubuss'	=>	'0000010',
		'tuck'	=>	'00100',
		'tudate'	=>	'0000200',
		'tudatö'	=>	'0000210',
		'tudí'	=>	'20000',
		'tuga'	=>	'00200',
		'tugo'	=>	'00200',
		'tugr'	=>	'21000',
		'tuhu'	=>	'00200',
		'tuin'	=>	'00200',
		'tujj'	=>	'21000',
		'tuká'	=>	'20000',
		'tulo'	=>	'00002',
		'tulti'	=>	'210000',
		'tultr'	=>	'210000',
		'tulü'	=>	'00200',
		'tumab'	=>	'002000',
		'tumad'	=>	'002120',
		'tumaj'	=>	'002000',
		'tumal'	=>	'002000',
		'tuman'	=>	'002000',
		'tumar'	=>	'002000',
		'tumaz'	=>	'002000',
		'tumál'	=>	'002000',
		'tumeg'	=>	'002000',
		'tumel'	=>	'002100',
		'tumer'	=>	'002000',
		'tumes'	=>	'002000',
		'tumik'	=>	'002120',
		'tumim'	=>	'002000',
		'tuminf'	=>	'0021000',
		'tumint'	=>	'0021000',
		'tumir'	=>	'002100',
		'tumis'	=>	'002000',
		'tumiz'	=>	'002000',
		'tumí'	=>	'00200',
		'tumol'	=>	'002000',
		'tumö'	=>	'00200',
		'tumő'	=>	'00200',
		'tump'	=>	'00012',
		'tumü'	=>	'00200',
		'tunal'	=>	'002000',
		'tunc'	=>	'21000',
		'tunió'	=>	'200000',
		'tunit'	=>	'002000',
		'tuno'	=>	'21200',
		'tunó'	=>	'21200',
		'tunt'	=>	'21000',
		'tupr'	=>	'00120',
		'turac'	=>	'002000',
		'turai'	=>	'200000',
		'turak'	=>	'212000',
		'turalo'	=>	'0020000',
		'turam'	=>	'002000',
		'turas'	=>	'212000',
		'turáh'	=>	'002000',
		'turán'	=>	'200000',
		'turár'	=>	'002000',
		'turga'	=>	'000210',
		'turun'	=>	'002000',
		'tusabl'	=>	'0001000',
		'tusar'	=>	'002000',
		'tuság'	=>	'002000',
		'tuse'	=>	'00200',
		'tusérté'	=>	'00210000',
		'tusis'	=>	'002000',
		'tusí'	=>	'00210',
		'tusor'	=>	'002000',
		'tusó'	=>	'00212',
		'tusö'	=>	'00210',
		'tuső'	=>	'00200',
		'tuss'	=>	'00002',
		'tussze'	=>	'0003000',
		'tusszi'	=>	'0003000',
		'tusszo'	=>	'0003000',
		'tusü'	=>	'00200',
		'tuszab'	=>	'0020000',
		'tuszad'	=>	'0020120',
		'tuszag'	=>	'0020000',
		'tuszal'	=>	'0020000',
		'tuszap'	=>	'0020000',
		'tuszar'	=>	'0020000',
		'tuszav'	=>	'0003000',
		'tuszál'	=>	'0020000',
		'tuszem'	=>	'0000100',
		'tuszél'	=>	'0020120',
		'tuszép'	=>	'0020120',
		'tuszi'	=>	'000002',
		'tuszil'	=>	'0020100',
		'tuszin'	=>	'0020000',
		'tuszip'	=>	'0020100',
		'tuszir'	=>	'0020000',
		'tuszis'	=>	'0020000',
		'tuszit'	=>	'0020100',
		'tuszí'	=>	'002000',
		'tuszk'	=>	'000012',
		'tuszol'	=>	'0020000',
		'tuszó'	=>	'002300',
		'tuszö'	=>	'002000',
		'tusző'	=>	'002000',
		'tuszsa'	=>	'0000300',
		'tuszse'	=>	'0003000',
		'tuszt'	=>	'000002',
		'tusztr'	=>	'0000100',
		'tuszü'	=>	'002000',
		'tutad'	=>	'212000',
		'tutak'	=>	'212000',
		'tutal'	=>	'212000',
		'tutam'	=>	'212000',
		'tutas'	=>	'212000',
		'tutaz'	=>	'212000',
		'tutá'	=>	'20000',
		'tután'	=>	'002000',
		'tutc'	=>	'21000',
		'tuto'	=>	'21200',
		'tutód'	=>	'002000',
		'tutóp'	=>	'002000',
		'tutót'	=>	'002000',
		'tutun'	=>	'002000',
		'tuum'	=>	'00200',
		'tuzso'	=>	'210000',
		'tú'	=>	'100',
		'túja'	=>	'00200',
		'tújí'	=>	'00200',
		'tújo'	=>	'00200',
		'túju'	=>	'00200',
		'túla'	=>	'00212',
		'túlá'	=>	'00212',
		'túle'	=>	'00212',
		'túlé'	=>	'00212',
		'túlist'	=>	'0020000',
		'túlí'	=>	'00200',
		'túlok'	=>	'002000',
		'túlop'	=>	'002000',
		'túló'	=>	'00212',
		'túlö'	=>	'00200',
		'túlő'	=>	'00210',
		'túls'	=>	'00010',
		'túlt'	=>	'00002',
		'túlú'	=>	'00200',
		'túlü'	=>	'00200',
		'túlű'	=>	'00200',
		'túrasz'	=>	'0000100',
		'túrál'	=>	'002000',
		'túre'	=>	'00212',
		'túrér'	=>	'002100',
		'túrés'	=>	'002100',
		'túrol'	=>	'002100',
		'túrot'	=>	'002000',
		'túrö'	=>	'00200',
		'túrü'	=>	'00200',
		'túsze'	=>	'002000',
		'túszö'	=>	'002000',
		'túszü'	=>	'002000',
		'tútá'	=>	'00200',
		'tútb'	=>	'21000',
		'túte'	=>	'00212',
		'túté'	=>	'21200',
		'túth'	=>	'21000',
		'túti'	=>	'21200',
		'tútj'	=>	'21000',
		'tútl'	=>	'21000',
		'tútn'	=>	'21000',
		'túto'	=>	'21200',
		'tútr'	=>	'21000',
		'tútt'	=>	'21000',
		'tútv'	=>	'21000',
		'tü'	=>	'100',
		'tüdí'	=>	'21200',
		'tüdü'	=>	'21200',
		'tüdv'	=>	'21000',
		'tüge'	=>	'00200',
		'tügy'	=>	'00200',
		'tüla'	=>	'00210',
		'tülá'	=>	'00200',
		'tüled'	=>	'212000',
		'tülem'	=>	'002120',
		'tülen'	=>	'002000',
		'tülep'	=>	'002000',
		'tüles'	=>	'002120',
		'tülev'	=>	'002120',
		'tülér'	=>	'002100',
		'tülir'	=>	'002000',
		'tülí'	=>	'00200',
		'tülo'	=>	'00212',
		'tülökl'	=>	'0021000',
		'tülöm'	=>	'002000',
		'tülön'	=>	'002100',
		'tülöz'	=>	'002100',
		'tülők'	=>	'002000',
		'tülőr'	=>	'002000',
		'tülu'	=>	'00200',
		'tülú'	=>	'00200',
		'tüma'	=>	'00200',
		'tümék'	=>	'002000',
		'tümő'	=>	'00210',
		'tünetel'	=>	'00002000',
		'tünn'	=>	'21000',
		'türeg'	=>	'200000',
		'türes'	=>	'200000',
		'türí'	=>	'21200',
		'türü'	=>	'21200',
		'tüst'	=>	'20000',
		'tüte'	=>	'21200',
		'tüté'	=>	'21200',
		'tüti'	=>	'00200',
		'tütk'	=>	'21000',
		'tütö'	=>	'00200',
		'tütő'	=>	'21200',
		'tüvö'	=>	'00200',
		'tüzen'	=>	'212000',
		'tüzl'	=>	'21000',
		'tű'	=>	'100',
		'tűcsap'	=>	'0000021',
		'tűdal'	=>	'002100',
		'tűdá'	=>	'00200',
		'tűekét'	=>	'0002000',
		'tűéh'	=>	'00020',
		'tűfélé'	=>	'0000002',
		'tűgr'	=>	'00100',
		'tűkv'	=>	'00100',
		'tűleü'	=>	'000002',
		'tűpl'	=>	'00100',
		'tűpr'	=>	'00100',
		'tűréss'	=>	'0000010',
		'tűsp'	=>	'00100',
		'tűza'	=>	'00212',
		'tűzár'	=>	'000020',
		'tűzára'	=>	'0021000',
		'tűzát'	=>	'002000',
		'tűzene'	=>	'0020000',
		'tűzis'	=>	'002000',
		'tűzí'	=>	'00200',
		'tűzo'	=>	'00200',
		'tűzös'	=>	'002100',
		'tűzseb'	=>	'0003000',
		'tűzú'	=>	'00200',
		'tvane'	=>	'000210',
		'tvanév'	=>	'0002000',
		'tvaraj'	=>	'0002000',
		'tványad'	=>	'00020000',
		'tványí'	=>	'0002000',
		'tvázal'	=>	'0002100',
		'tvázip'	=>	'0002000',
		'tvenev'	=>	'0002120',
		'tvenn'	=>	'000030',
		'tvent'	=>	'000030',
		'tvenü'	=>	'000002',
		'tvenül'	=>	'0002000',
		'tveny'	=>	'000230',
		'tveraj'	=>	'0002000',
		'tveral'	=>	'0002000',
		'tverá'	=>	'000212',
		'tvereg'	=>	'0002000',
		'tverész'	=>	'00021200',
		'tverint'	=>	'00020000',
		'tverip'	=>	'0002000',
		'tvero'	=>	'000210',
		'tvers'	=>	'000002',
		'tverst'	=>	'0000100',
		'tvese'	=>	'000300',
		'tvényel'	=>	'00020000',
		'tvérint'	=>	'00001000',
		'tvéro'	=>	'000210',
		'tviselőé'	=>	'000000002',
		'tvisszá'	=>	'00003000',
		'tvíve'	=>	'020000',
		'ty'	=>	'020',
		'tya'	=>	'1000',
		'tyaiko'	=>	'0000200',
		'tyakl'	=>	'000100',
		'tyap'	=>	'00012',
		'tyasz'	=>	'000102',
		'tyat'	=>	'00002',
		'tyatr'	=>	'000100',
		'tyau'	=>	'00002',
		'tyá'	=>	'1000',
		'tyág'	=>	'20100',
		'tyáld'	=>	'001000',
		'tyáll'	=>	'001000',
		'tyáran'	=>	'0002000',
		'tyárs'	=>	'000010',
		'tyáss'	=>	'000030',
		'tye'	=>	'1000',
		'tyegy'	=>	'001200',
		'tyela'	=>	'001000',
		'tyell'	=>	'001000',
		'tyemb'	=>	'001000',
		'tyerő'	=>	'001200',
		'tyex'	=>	'20100',
		'tyé'	=>	'1000',
		'tyéte'	=>	'201000',
		'tyi'	=>	'1000',
		'tyí'	=>	'1000',
		'tyír'	=>	'00120',
		'tyív'	=>	'00100',
		'tynk'	=>	'00002',
		'tyo'	=>	'1000',
		'tyolan'	=>	'0002000',
		'tyoros'	=>	'0002100',
		'tyó'	=>	'1000',
		'työ'	=>	'1000',
		'tyő'	=>	'1000',
		'tyős'	=>	'00100',
		'type'	=>	'00200',
		'typr'	=>	'00100',
		'tysa'	=>	'00200',
		'tysp'	=>	'00100',
		'tyu'	=>	'1000',
		'tyug'	=>	'20100',
		'tyutá'	=>	'001200',
		'tyú'	=>	'1000',
		'tyúkü'	=>	'000200',
		'tyü'	=>	'1000',
		'tyű'	=>	'1000',
		'tzekn'	=>	'120000',
		'tzekrő'	=>	'1000000',
		'tzenj'	=>	'020000',
		'tzer'	=>	'12000',
		'tzes'	=>	'12000',
		'tzőr'	=>	'00120',
		'tzsc'	=>	'00300',
		'ua'	=>	'010',
		'uach'	=>	'00200',
		'uada'	=>	'00200',
		'uadá'	=>	'00200',
		'uadorb'	=>	'0200000',
		'uadoré'	=>	'0200000',
		'uadorn'	=>	'0200000',
		'uadoro'	=>	'0200000',
		'uadorr'	=>	'0200000',
		'uadort'	=>	'0200000',
		'uadó'	=>	'00200',
		'uaes'	=>	'00200',
		'uagá'	=>	'00200',
		'uaja'	=>	'00200',
		'uajá'	=>	'00200',
		'uala'	=>	'00200',
		'ualá'	=>	'00200',
		'uany'	=>	'00200',
		'uasz'	=>	'00200',
		'uaty'	=>	'00200',
		'uaut'	=>	'00200',
		'uayá'	=>	'00100',
		'uayé'	=>	'00100',
		'uayi'	=>	'00100',
		'uayo'	=>	'00100',
		'uazo'	=>	'00200',
		'uá'	=>	'010',
		'uága'	=>	'00200',
		'uágy'	=>	'00200',
		'uápo'	=>	'00200',
		'uárá'	=>	'00210',
		'uáre'	=>	'00210',
		'uáréj'	=>	'002000',
		'uáris'	=>	'002100',
		'uász'	=>	'00200',
		'uáta'	=>	'00212',
		'uáte'	=>	'00210',
		'ubala'	=>	'001200',
		'ubalk'	=>	'001000',
		'ubang'	=>	'021000',
		'ubarc'	=>	'001000',
		'ubari'	=>	'001200',
		'ubáro'	=>	'001200',
		'ubdr'	=>	'00100',
		'ubeb'	=>	'02120',
		'ubed'	=>	'02100',
		'ubelá'	=>	'000200',
		'ubelel'	=>	'0002000',
		'ubelö'	=>	'001000',
		'ubese'	=>	'001200',
		'ubest'	=>	'001000',
		'ubéj'	=>	'02100',
		'ubéle'	=>	'001000',
		'ubén'	=>	'02120',
		'ubép'	=>	'02100',
		'ubérd'	=>	'021000',
		'ubére'	=>	'021200',
		'ubérm'	=>	'021000',
		'ubérte'	=>	'0210000',
		'ubéve'	=>	'021000',
		'ubig'	=>	'00020',
		'ubiga'	=>	'021000',
		'ubige'	=>	'021000',
		'ubike'	=>	'000200',
		'ubism'	=>	'001000',
		'ubkr'	=>	'00100',
		'ubolda'	=>	'0010000',
		'ubork'	=>	'020000',
		'uborv'	=>	'021000',
		'ubosz'	=>	'021000',
		'ubóri'	=>	'001000',
		'uböl'	=>	'00100',
		'ubös'	=>	'00100',
		'uböv'	=>	'00100',
		'ubpl'	=>	'00100',
		'ubpr'	=>	'00100',
		'ubsl'	=>	'00100',
		'ubsp'	=>	'00100',
		'ubud'	=>	'02100',
		'ubusz'	=>	'000200',
		'ubúj'	=>	'02100',
		'ubüd'	=>	'00100',
		'ubüg'	=>	'00100',
		'ubül'	=>	'00120',
		'ubüz'	=>	'00100',
		'ucatá'	=>	'000212',
		'ucce'	=>	'00210',
		'ucch'	=>	'00230',
		'uccina'	=>	'0021000',
		'uccip'	=>	'002000',
		'uccö'	=>	'00200',
		'uccsz'	=>	'000300',
		'uccú'	=>	'00200',
		'uccü'	=>	'00200',
		'uccz'	=>	'00200',
		'ucemb'	=>	'001000',
		'uchá'	=>	'00300',
		'uché'	=>	'02300',
		'ucho'	=>	'02300',
		'uciár'	=>	'000020',
		'ucip'	=>	'00010',
		'uckig'	=>	'012000',
		'uckon'	=>	'012000',
		'uckot'	=>	'012000',
		'ucky'	=>	'00200',
		'ucöl'	=>	'00120',
		'ucpr'	=>	'00100',
		'ucsapá'	=>	'0000212',
		'ucság'	=>	'003000',
		'ucsál'	=>	'020100',
		'ucsáru'	=>	'0200000',
		'ucsel'	=>	'020120',
		'ucsid'	=>	'020100',
		'ucss'	=>	'00010',
		'ucsü'	=>	'02300',
		'ucsz'	=>	'00300',
		'ucug'	=>	'02100',
		'ucüg'	=>	'00100',
		'uczá'	=>	'00300',
		'ucze'	=>	'00300',
		'udatal'	=>	'0002000',
		'udatál'	=>	'0002000',
		'udatáram'	=>	'000212000',
		'udateg'	=>	'0002100',
		'udater'	=>	'0002000',
		'udáskész'	=>	'000000001',
		'udáss'	=>	'000030',
		'udio'	=>	'00020',
		'udisk'	=>	'021000',
		'udokr'	=>	'000100',
		'udóse'	=>	'000200',
		'udósor'	=>	'0002000',
		'udrá'	=>	'01200',
		'udro'	=>	'01200',
		'ue'	=>	'010',
		'uebé'	=>	'00200',
		'uedz'	=>	'00200',
		'uegé'	=>	'00200',
		'uegész'	=>	'0000001',
		'uegy'	=>	'00200',
		'uelér'	=>	'000100',
		'uelő'	=>	'00200',
		'ueme'	=>	'00200',
		'uerő'	=>	'00200',
		'uervíz'	=>	'0000001',
		'uesb'	=>	'02000',
		'uese'	=>	'00210',
		'uesh'	=>	'02000',
		'uesi'	=>	'02000',
		'uesk'	=>	'02000',
		'uesn'	=>	'02000',
		'ueső'	=>	'00200',
		'uesr'	=>	'02000',
		'uest'	=>	'02000',
		'uesu'	=>	'02000',
		'ueszen'	=>	'0023000',
		'uete'	=>	'00200',
		'ueve'	=>	'00200',
		'ué'	=>	'010',
		'uége'	=>	'00200',
		'uégé'	=>	'00200',
		'uéké'	=>	'00200',
		'uéle'	=>	'00200',
		'uépí'	=>	'00200',
		'uépü'	=>	'00200',
		'uéte'	=>	'00200',
		'ufénye'	=>	'0002000',
		'ufle'	=>	'01200',
		'ufri'	=>	'00200',
		'ufru'	=>	'00200',
		'uftü'	=>	'00200',
		'ugagy'	=>	'001000',
		'ugalj'	=>	'001000',
		'ugap'	=>	'00010',
		'ugapa'	=>	'001000',
		'ugaro'	=>	'120000',
		'ugatel'	=>	'0002100',
		'ugatés'	=>	'0002000',
		'ugatol'	=>	'0002000',
		'ugatór'	=>	'0002120',
		'ugág'	=>	'00100',
		'ugára'	=>	'000002',
		'ugárad'	=>	'0000100',
		'ugárá'	=>	'000200',
		'ugáros'	=>	'0002000',
		'ugáru'	=>	'000200',
		'ugárú'	=>	'000010',
		'ugáss'	=>	'000030',
		'ugász'	=>	'001200',
		'ugel'	=>	'00100',
		'ugev'	=>	'00120',
		'ugél'	=>	'00120',
		'uggl'	=>	'00020',
		'ugie'	=>	'00020',
		'uging'	=>	'001000',
		'ugint'	=>	'001000',
		'ugiro'	=>	'001000',
		'ugit'	=>	'00020',
		'ugita'	=>	'001000',
		'ugivá'	=>	'001000',
		'ugír'	=>	'00100',
		'ugkl'	=>	'00100',
		'ugorá'	=>	'000212',
		'ugósv'	=>	'000100',
		'ugószá'	=>	'0002300',
		'ugös'	=>	'00100',
		'ugpr'	=>	'00100',
		'ugsk'	=>	'00100',
		'ugui'	=>	'20000',
		'ugut'	=>	'02100',
		'ugúj'	=>	'02100',
		'ugüg'	=>	'00100',
		'ugüz'	=>	'00100',
		'ugűr'	=>	'00100',
		'ugyan'	=>	'000020',
		'uhadó'	=>	'001200',
		'uhalk'	=>	'001000',
		'uharas'	=>	'0002100',
		'uhatr'	=>	'000120',
		'uhatt'	=>	'001000',
		'uhág'	=>	'02120',
		'uháll'	=>	'001000',
		'uhárb'	=>	'021000',
		'uhárf'	=>	'021000',
		'uhárh'	=>	'021000',
		'uhárn'	=>	'021000',
		'uhárr'	=>	'021000',
		'uhárv'	=>	'021000',
		'uhászak'	=>	'00020000',
		'uhem'	=>	'00100',
		'uhex'	=>	'00100',
		'uhind'	=>	'001000',
		'uhing'	=>	'001000',
		'uhorz'	=>	'001000',
		'uhőr'	=>	'00100',
		'uhpr'	=>	'00100',
		'uhtr'	=>	'00100',
		'uhuj'	=>	'02000',
		'uhujj'	=>	'001000',
		'uhüz'	=>	'00100',
		'ui'	=>	'010',
		'uide'	=>	'00200',
		'uidő'	=>	'00200',
		'uieu'	=>	'00200',
		'uiga'	=>	'00200',
		'uigé'	=>	'00200',
		'uign'	=>	'02100',
		'uipa'	=>	'00200',
		'uirá'	=>	'00200',
		'uizé'	=>	'00200',
		'uí'	=>	'010',
		'uíja'	=>	'00200',
		'uíju'	=>	'00200',
		'uíve'	=>	'00200',
		'uívű'	=>	'00200',
		'ujan'	=>	'02100',
		'ujjad'	=>	'100000',
		'ujjai'	=>	'100000',
		'ujjak'	=>	'100000',
		'ujjam'	=>	'100000',
		'ujjas'	=>	'100000',
		'ujjat'	=>	'100000',
		'ujjáru'	=>	'0021200',
		'ujjb'	=>	'10000',
		'ujjc'	=>	'10000',
		'ujjd'	=>	'10000',
		'ujje'	=>	'10212',
		'ujjé'	=>	'10000',
		'ujjf'	=>	'10000',
		'ujjg'	=>	'10000',
		'ujjh'	=>	'10000',
		'ujji'	=>	'10000',
		'ujjí'	=>	'00200',
		'ujjk'	=>	'10000',
		'ujjl'	=>	'10000',
		'ujjm'	=>	'10000',
		'ujjn'	=>	'10000',
		'ujjp'	=>	'10000',
		'ujjr'	=>	'10000',
		'ujjs'	=>	'10000',
		'ujjt'	=>	'10000',
		'ujju'	=>	'10000',
		'ujjú'	=>	'10000',
		'ujjü'	=>	'00200',
		'ujjv'	=>	'10000',
		'ujop'	=>	'02100',
		'ukabl'	=>	'001000',
		'ukacse'	=>	'0002300',
		'ukalap'	=>	'0212000',
		'ukapl'	=>	'000100',
		'ukarán'	=>	'0002000',
		'ukarc'	=>	'021000',
		'ukaszás'	=>	'00020000',
		'ukatr'	=>	'000120',
		'ukáll'	=>	'001000',
		'ukásar'	=>	'0002000',
		'ukásó'	=>	'021000',
		'ukáss'	=>	'000030',
		'ukátm'	=>	'021000',
		'ukbl'	=>	'00100',
		'ukel'	=>	'00020',
		'ukem'	=>	'00120',
		'ukex'	=>	'00100',
		'ukég'	=>	'02100',
		'ukérz'	=>	'021000',
		'ukip'	=>	'02120',
		'ukkalt'	=>	'0021000',
		'ukkeg'	=>	'002100',
		'ukkem'	=>	'002100',
		'ukkola'	=>	'0021000',
		'ukköl'	=>	'002000',
		'ukláss'	=>	'0000010',
		'uklószá'	=>	'00002300',
		'ukold'	=>	'021000',
		'ukora'	=>	'000002',
		'ukoras'	=>	'0002000',
		'ukorá'	=>	'000212',
		'ukoril'	=>	'0002000',
		'ukorin'	=>	'0002000',
		'ukoro'	=>	'000210',
		'ukós'	=>	'00002',
		'uköb'	=>	'00100',
		'ukpr'	=>	'00100',
		'ukrón'	=>	'012000',
		'uküt'	=>	'00120',
		'ukűr'	=>	'00100',
		'ulacsö'	=>	'0002012',
		'ulag'	=>	'00012',
		'ulajas'	=>	'0002000',
		'ulaleg'	=>	'0010000',
		'ulalj'	=>	'021000',
		'ulasp'	=>	'000120',
		'ulatal'	=>	'0000020',
		'ulatala'	=>	'00021000',
		'ulatan'	=>	'0002120',
		'ulatál'	=>	'0002000',
		'ulatem'	=>	'0002000',
		'ulatik'	=>	'0002000',
		'ulatol'	=>	'0002000',
		'ulábr'	=>	'021000',
		'uláke'	=>	'000210',
		'ulákü'	=>	'000210',
		'ulária'	=>	'0212000',
		'ulásik'	=>	'0002120',
		'uláskész'	=>	'000000001',
		'uláss'	=>	'000030',
		'ulásza'	=>	'0002000',
		'ulásze'	=>	'0002000',
		'ulbl'	=>	'00100',
		'ulcsel'	=>	'0000120',
		'ulcses'	=>	'0000100',
		'ulcsérv'	=>	'00200000',
		'ulcsévé'	=>	'00201200',
		'ulcsiga'	=>	'00200000',
		'ulcsip'	=>	'0020000',
		'ulcsí'	=>	'002012',
		'ulcsor'	=>	'0020000',
		'ulcsö'	=>	'002012',
		'ulcső'	=>	'002010',
		'ulcsut'	=>	'0020000',
		'ulcsü'	=>	'002000',
		'ulcsz'	=>	'000030',
		'ulei'	=>	'00020',
		'uleí'	=>	'00002',
		'ulel'	=>	'00020',
		'ulelő'	=>	'001000',
		'uletta'	=>	'0000200',
		'ulex'	=>	'02100',
		'ulékal'	=>	'0002000',
		'uléke'	=>	'000212',
		'ulékol'	=>	'0002100',
		'ulékut'	=>	'0002000',
		'ulépü'	=>	'001000',
		'ulérté'	=>	'0210000',
		'ulinar'	=>	'0002000',
		'ulinin'	=>	'0002000',
		'ulír'	=>	'00120',
		'ulkr'	=>	'00120',
		'ullef'	=>	'002000',
		'ullel'	=>	'002120',
		'ullem'	=>	'002100',
		'ullen'	=>	'002100',
		'ullér'	=>	'002100',
		'ulot'	=>	'00002',
		'ulóf'	=>	'00012',
		'ulóikon'	=>	'00002000',
		'ulókész'	=>	'00000001',
		'ulóó'	=>	'00002',
		'ulót'	=>	'00002',
		'ulózan'	=>	'0002000',
		'ulózára'	=>	'00021200',
		'ulózs'	=>	'000230',
		'ulöt'	=>	'00100',
		'ulpr'	=>	'00100',
		'ulst'	=>	'00100',
		'ultaj'	=>	'002100',
		'ultar'	=>	'000020',
		'ultasz'	=>	'0001000',
		'ultaz'	=>	'002000',
		'ultül'	=>	'002000',
		'ulúr'	=>	'00100',
		'ulüt'	=>	'00100',
		'ulűr'	=>	'00100',
		'ulyi'	=>	'02000',
		'umabl'	=>	'021000',
		'umabr'	=>	'001000',
		'umacé'	=>	'001200',
		'umach'	=>	'001000',
		'umadat'	=>	'0012000',
		'umadm'	=>	'021000',
		'umado'	=>	'001200',
		'umadó'	=>	'001200',
		'umaé'	=>	'20000',
		'umajá'	=>	'001000',
		'umaka'	=>	'021200',
		'umakész'	=>	'00000001',
		'umakk'	=>	'021000',
		'umakt'	=>	'021000',
		'umala'	=>	'021200',
		'umalg'	=>	'001000',
		'umall'	=>	'001000',
		'umalt'	=>	'001000',
		'umana'	=>	'021000',
		'umank'	=>	'021000',
		'umano'	=>	'021200',
		'umany'	=>	'021200',
		'umao'	=>	'20000',
		'umap'	=>	'20012',
		'umará'	=>	'021200',
		'umarc'	=>	'001000',
		'umarg'	=>	'001000',
		'umari'	=>	'021200',
		'umaro'	=>	'001200',
		'umasp'	=>	'001000',
		'umatl'	=>	'021000',
		'umau'	=>	'02100',
		'umazo'	=>	'001200',
		'umág'	=>	'02100',
		'umáll'	=>	'021000',
		'umálm'	=>	'001000',
		'umárak'	=>	'0212000',
		'umáram'	=>	'0012000',
		'umáras'	=>	'0210000',
		'umárá'	=>	'021200',
		'umárf'	=>	'021000',
		'umárk'	=>	'021000',
		'umárn'	=>	'021000',
		'umáro'	=>	'021200',
		'umárr'	=>	'021000',
		'umárt'	=>	'021000',
		'umáru'	=>	'021200',
		'umárv'	=>	'021000',
		'umáta'	=>	'000010',
		'umáte'	=>	'021210',
		'umátm'	=>	'021000',
		'umátu'	=>	'021000',
		'umbl'	=>	'00100',
		'umbr'	=>	'00120',
		'umdr'	=>	'00100',
		'umed'	=>	'02120',
		'umef'	=>	'02100',
		'umeg'	=>	'00020',
		'umegy'	=>	'001000',
		'umela'	=>	'001000',
		'umelb'	=>	'001000',
		'umele'	=>	'021200',
		'umelé'	=>	'001000',
		'umelh'	=>	'001000',
		'umelí'	=>	'001000',
		'umelj'	=>	'001000',
		'umelm'	=>	'001000',
		'umeln'	=>	'021000',
		'umelo'	=>	'001000',
		'umelő'	=>	'001200',
		'umelt'	=>	'021000',
		'umelv'	=>	'001000',
		'umem'	=>	'02120',
		'umená'	=>	'000210',
		'umenó'	=>	'000212',
		'umere'	=>	'001200',
		'umerk'	=>	'001000',
		'umerő'	=>	'001200',
		'umese'	=>	'001200',
		'umess'	=>	'001000',
		'umesz'	=>	'001200',
		'umet'	=>	'02120',
		'umev'	=>	'02120',
		'umex'	=>	'02100',
		'umezr'	=>	'001000',
		'umég'	=>	'02100',
		'uméhs'	=>	'020000',
		'uméle'	=>	'001200',
		'umélv'	=>	'001000',
		'umép'	=>	'02100',
		'umérc'	=>	'021000',
		'umérm'	=>	'021000',
		'umérte'	=>	'0210000',
		'umérté'	=>	'0210000',
		'umérv'	=>	'021000',
		'uméte'	=>	'021200',
		'umfl'	=>	'00100',
		'umfr'	=>	'00120',
		'umgl'	=>	'00100',
		'umgr'	=>	'00100',
		'umia'	=>	'00002',
		'umidő'	=>	'001200',
		'umig'	=>	'00002',
		'umigr'	=>	'000100',
		'umimp'	=>	'001000',
		'umind'	=>	'021000',
		'uming'	=>	'021000',
		'uminv'	=>	'021000',
		'umionb'	=>	'0012000',
		'umioné'	=>	'0012000',
		'umionh'	=>	'0012000',
		'umionj'	=>	'0212000',
		'umionk'	=>	'0012000',
		'umionn'	=>	'0212000',
		'umiono'	=>	'0212000',
		'umionr'	=>	'0012000',
		'umiont'	=>	'0012000',
		'umirt'	=>	'021000',
		'umisk'	=>	'001000',
		'umisl'	=>	'000100',
		'umism'	=>	'001000',
		'umisp'	=>	'000100',
		'umiszü'	=>	'0002000',
		'umit'	=>	'00002',
		'umitr'	=>	'000100',
		'umizé'	=>	'001000',
		'umív'	=>	'00100',
		'umíz'	=>	'00100',
		'umkésze'	=>	'00000010',
		'umkl'	=>	'00100',
		'umkr'	=>	'00100',
		'umkv'	=>	'00100',
		'umna'	=>	'00002',
		'umokoz'	=>	'0212000',
		'umola'	=>	'001000',
		'umold'	=>	'001000',
		'umoll'	=>	'001000',
		'umolt'	=>	'001000',
		'umolv'	=>	'001000',
		'umop'	=>	'02120',
		'umoran'	=>	'0002000',
		'umorat'	=>	'0012000',
		'umorál'	=>	'0002000',
		'umorin'	=>	'0002000',
		'umosto'	=>	'0010000',
		'umosz'	=>	'021000',
		'umox'	=>	'02100',
		'umórá'	=>	'001200',
		'umöl'	=>	'00120',
		'umöm'	=>	'00100',
		'umön'	=>	'00100',
		'umör'	=>	'00120',
		'umös'	=>	'00100',
		'umöt'	=>	'00100',
		'umöv'	=>	'00100',
		'umöz'	=>	'00120',
		'umőr'	=>	'00120',
		'umős'	=>	'00100',
		'umpel'	=>	'000020',
		'umpele'	=>	'0001000',
		'umping'	=>	'0021000',
		'umpr'	=>	'00120',
		'umsk'	=>	'00100',
		'umsp'	=>	'00100',
		'umst'	=>	'00100',
		'umsz'	=>	'00100',
		'umtr'	=>	'00120',
		'umud'	=>	'02100',
		'umug'	=>	'02100',
		'umuni'	=>	'020000',
		'umur'	=>	'00020',
		'umura'	=>	'001000',
		'umut'	=>	'02120',
		'umüg'	=>	'00100',
		'umül'	=>	'00120',
		'umür'	=>	'00100',
		'umüs'	=>	'00100',
		'umüt'	=>	'00100',
		'umüv'	=>	'00100',
		'umüz'	=>	'00100',
		'umvas'	=>	'000020',
		'unab'	=>	'00010',
		'unadu'	=>	'001000',
		'unakt'	=>	'001000',
		'unarc'	=>	'021000',
		'unág'	=>	'02120',
		'uncse'	=>	'002010',
		'uncsiv'	=>	'0020000',
		'undz'	=>	'00200',
		'uner'	=>	'00120',
		'unet'	=>	'00120',
		'unég'	=>	'00100',
		'ungag'	=>	'002120',
		'ungeg'	=>	'002100',
		'unger'	=>	'002100',
		'ungg'	=>	'00030',
		'ungol'	=>	'002100',
		'unid'	=>	'02120',
		'unif'	=>	'12000',
		'uniku'	=>	'120000',
		'unil'	=>	'02100',
		'uningo'	=>	'0210000',
		'unió'	=>	'12000',
		'univ'	=>	'12000',
		'unkap'	=>	'000012',
		'unkas'	=>	'000010',
		'unkeg'	=>	'002100',
		'unod'	=>	'02000',
		'unorr'	=>	'021000',
		'unors'	=>	'001000',
		'unot'	=>	'02000',
		'unpr'	=>	'00100',
		'unst'	=>	'00122',
		'untai'	=>	'000020',
		'unun'	=>	'02000',
		'unútj'	=>	'001000',
		'unül'	=>	'00120',
		'uo'	=>	'010',
		'uola'	=>	'00200',
		'uoli'	=>	'00200',
		'uora'	=>	'00212',
		'uore'	=>	'00002',
		'uoret'	=>	'002100',
		'uorio'	=>	'002120',
		'uoxi'	=>	'00200',
		'uó'	=>	'010',
		'uóbu'	=>	'02000',
		'uóne'	=>	'02000',
		'uópr'	=>	'00120',
		'uóré'	=>	'02000',
		'uóri'	=>	'00200',
		'uóso'	=>	'02000',
		'uósz'	=>	'02000',
		'uóve'	=>	'02000',
		'uö'	=>	'010',
		'uöko'	=>	'00200',
		'uökö'	=>	'00200',
		'uörö'	=>	'00200',
		'uözö'	=>	'00200',
		'uő'	=>	'010',
		'uőre'	=>	'00200',
		'uőré'	=>	'00200',
		'uőri'	=>	'00200',
		'uőrö'	=>	'00200',
		'uőrü'	=>	'00200',
		'upab'	=>	'00012',
		'upada'	=>	'001000',
		'upapr'	=>	'000100',
		'upas'	=>	'00002',
		'upasp'	=>	'000100',
		'upatr'	=>	'000120',
		'upda'	=>	'00002',
		'upera'	=>	'000210',
		'uperel'	=>	'0002000',
		'uperin'	=>	'0002100',
		'upers'	=>	'000010',
		'upes'	=>	'00120',
		'upép'	=>	'00012',
		'uphi'	=>	'00200',
		'uplin'	=>	'000020',
		'upüz'	=>	'00100',
		'uraim'	=>	'120000',
		'urakh'	=>	'120000',
		'urakk'	=>	'120000',
		'urakn'	=>	'120000',
		'urakr'	=>	'120000',
		'uralh'	=>	'020000',
		'uralk'	=>	'100000',
		'uralm'	=>	'120000',
		'uramis'	=>	'0002100',
		'urasa'	=>	'120000',
		'urasp'	=>	'000120',
		'uráll'	=>	'001000',
		'uráta'	=>	'000010',
		'urdar'	=>	'002000',
		'urde'	=>	'00210',
		'uref'	=>	'02100',
		'urfí'	=>	'00200',
		'urfú'	=>	'00210',
		'urná'	=>	'10000',
		'urne'	=>	'00200',
		'urné'	=>	'00020',
		'urob'	=>	'00012',
		'uroka'	=>	'000002',
		'urokan'	=>	'0002000',
		'uroká'	=>	'000210',
		'uroke'	=>	'000200',
		'urone'	=>	'000200',
		'urop'	=>	'00010',
		'urot'	=>	'00012',
		'uröl'	=>	'00100',
		'urpi'	=>	'00002',
		'urtag'	=>	'002100',
		'urtet'	=>	'002120',
		'urtev'	=>	'002120',
		'urtit'	=>	'000020',
		'urtita'	=>	'0001000',
		'urtokta'	=>	'00210000',
		'uruce'	=>	'000210',
		'urul'	=>	'20000',
		'urup'	=>	'00012',
		'uruszál'	=>	'00020000',
		'usabla'	=>	'0010000',
		'usada'	=>	'001200',
		'usadá'	=>	'001200',
		'usadó'	=>	'021200',
		'usag'	=>	'02120',
		'usaj'	=>	'02120',
		'usakar'	=>	'0002000',
		'usakc'	=>	'021000',
		'usala'	=>	'021200',
		'usalg'	=>	'001000',
		'usalj'	=>	'001000',
		'usalk'	=>	'001000',
		'usalt'	=>	'021000',
		'usalv'	=>	'001000',
		'usana'	=>	'021000',
		'usane'	=>	'001000',
		'usant'	=>	'001000',
		'usapá'	=>	'001000',
		'usara'	=>	'021200',
		'usará'	=>	'021200',
		'usarc'	=>	'021000',
		'usarz'	=>	'001000',
		'usass'	=>	'021000',
		'usatt'	=>	'021000',
		'usaty'	=>	'001200',
		'usau'	=>	'02100',
		'usaz'	=>	'02120',
		'usábr'	=>	'021000',
		'uságá'	=>	'021200',
		'uságb'	=>	'001000',
		'uságg'	=>	'021000',
		'uságh'	=>	'001000',
		'uságr'	=>	'021000',
		'usáld'	=>	'001000',
		'usáll'	=>	'001000',
		'usáp'	=>	'02120',
		'usárad'	=>	'0210000',
		'usárai'	=>	'0212000',
		'usárak'	=>	'0212000',
		'usárá'	=>	'021200',
		'usárb'	=>	'021000',
		'usárh'	=>	'021000',
		'usári'	=>	'021200',
		'usárk'	=>	'021000',
		'usárn'	=>	'021000',
		'usáro'	=>	'021200',
		'usárr'	=>	'021000',
		'usárt'	=>	'021000',
		'usáru'	=>	'021200',
		'usáta'	=>	'001000',
		'usáth'	=>	'001000',
		'usáti'	=>	'001000',
		'usátk'	=>	'001000',
		'usátt'	=>	'001000',
		'usátu'	=>	'001000',
		'usátv'	=>	'001000',
		'usbl'	=>	'00100',
		'usbr'	=>	'00100',
		'usdr'	=>	'00100',
		'usec'	=>	'00120',
		'used'	=>	'00120',
		'usef'	=>	'02100',
		'usegy'	=>	'001200',
		'usel'	=>	'02120',
		'usem'	=>	'02120',
		'usen'	=>	'02120',
		'userd'	=>	'001000',
		'uses'	=>	'02120',
		'uset'	=>	'00010',
		'usev'	=>	'02120',
		'usex'	=>	'02100',
		'usez'	=>	'00100',
		'uség'	=>	'02100',
		'uséhe'	=>	'021000',
		'usék'	=>	'02120',
		'usél'	=>	'02120',
		'uséne'	=>	'021200',
		'usép'	=>	'02100',
		'usérd'	=>	'021000',
		'usérte'	=>	'0210000',
		'usérv'	=>	'021000',
		'usés'	=>	'02100',
		'uséte'	=>	'021200',
		'usétk'	=>	'001000',
		'usétt'	=>	'001000',
		'uséve'	=>	'021000',
		'usfr'	=>	'00100',
		'usgr'	=>	'00100',
		'usid'	=>	'02120',
		'usig'	=>	'00020',
		'usiga'	=>	'001000',
		'usiko'	=>	'021200',
		'usill'	=>	'021000',
		'usima'	=>	'021200',
		'usimá'	=>	'021200',
		'usimi'	=>	'001000',
		'usimm'	=>	'020000',
		'usimp'	=>	'001000',
		'usinc'	=>	'021000',
		'usind'	=>	'001000',
		'usinf'	=>	'001000',
		'using'	=>	'021000',
		'usink'	=>	'021000',
		'usint'	=>	'021000',
		'usinv'	=>	'001000',
		'usip'	=>	'02120',
		'usirat'	=>	'0212000',
		'usirá'	=>	'021200',
		'usiro'	=>	'001000',
		'usirt'	=>	'001000',
		'usisk'	=>	'021000',
		'usism'	=>	'021000',
		'usita'	=>	'001000',
		'usizé'	=>	'001000',
		'usíg'	=>	'00100',
		'usíj'	=>	'02100',
		'usír'	=>	'00020',
		'usírá'	=>	'001000',
		'usíró'	=>	'001000',
		'usív'	=>	'02120',
		'uskál'	=>	'012000',
		'uskl'	=>	'00100',
		'uskóik'	=>	'0000020',
		'uskr'	=>	'00120',
		'uskv'	=>	'00100',
		'usodú'	=>	'020000',
		'usof'	=>	'02100',
		'usokl'	=>	'001000',
		'usokm'	=>	'001000',
		'usokta'	=>	'0010000',
		'usola'	=>	'001000',
		'usold'	=>	'021000',
		'usoli'	=>	'001000',
		'usoml'	=>	'021000',
		'usond'	=>	'001000',
		'usop'	=>	'02100',
		'usorg'	=>	'021000',
		'usori'	=>	'020000',
		'usorr'	=>	'021000',
		'usors'	=>	'021000',
		'usosz'	=>	'001000',
		'usott'	=>	'021000',
		'usóc'	=>	'00100',
		'usós'	=>	'00120',
		'usöl'	=>	'02120',
		'usön'	=>	'02100',
		'usörd'	=>	'001000',
		'usörö'	=>	'001200',
		'usös'	=>	'02100',
		'usöt'	=>	'02100',
		'usöv'	=>	'00120',
		'usöz'	=>	'02120',
		'usőr'	=>	'00120',
		'uspec'	=>	'012000',
		'uspl'	=>	'00100',
		'uspn'	=>	'00100',
		'uspr'	=>	'00100',
		'usps'	=>	'00100',
		'usská'	=>	'001000',
		'usspe'	=>	'001000',
		'usspi'	=>	'001000',
		'ussta'	=>	'001000',
		'ussy'	=>	'00100',
		'usszab'	=>	'0030000',
		'usszag'	=>	'0030000',
		'usszak'	=>	'0030000',
		'usszál'	=>	'0030000',
		'usszám'	=>	'0030000',
		'usszen'	=>	'0030000',
		'usszé'	=>	'003000',
		'usszig'	=>	'0030000',
		'usszí'	=>	'003000',
		'usszó'	=>	'003000',
		'usszö'	=>	'003000',
		'ussző'	=>	'003000',
		'usszü'	=>	'000002',
		'usszül'	=>	'0000100',
		'usszű'	=>	'003000',
		'ustárár'	=>	'00012000',
		'usteg'	=>	'002000',
		'ustil'	=>	'002100',
		'ustrad'	=>	'0010000',
		'ustre'	=>	'001000',
		'ustré'	=>	'001000',
		'ustro'	=>	'001000',
		'ustru'	=>	'010000',
		'ustül'	=>	'002100',
		'usuj'	=>	'02100',
		'usus'	=>	'00020',
		'ususz'	=>	'001000',
		'usut'	=>	'02120',
		'usúj'	=>	'02100',
		'usúté'	=>	'001000',
		'usüd'	=>	'00100',
		'usüg'	=>	'02100',
		'usül'	=>	'00020',
		'usülé'	=>	'001000',
		'usün'	=>	'02100',
		'usür'	=>	'02100',
		'usüz'	=>	'00100',
		'uszabl'	=>	'0001000',
		'uszaj'	=>	'020000',
		'uszala'	=>	'0001200',
		'uszalk'	=>	'0001000',
		'uszalv'	=>	'0001000',
		'uszan'	=>	'020120',
		'uszapp'	=>	'0001000',
		'uszar'	=>	'000020',
		'uszará'	=>	'0001000',
		'uszaré'	=>	'0001000',
		'uszaro'	=>	'0001000',
		'uszasz'	=>	'0001000',
		'uszau'	=>	'020100',
		'uszág'	=>	'020120',
		'uszállá'	=>	'00010000',
		'uszáp'	=>	'000120',
		'uszárad'	=>	'02012000',
		'uszárako'	=>	'023000000',
		'uszáram'	=>	'02012000',
		'uszárje'	=>	'00010000',
		'uszásv'	=>	'0001000',
		'uszáth'	=>	'0200000',
		'uszátö'	=>	'0001000',
		'uszec'	=>	'020120',
		'uszef'	=>	'020000',
		'uszege'	=>	'0001200',
		'uszegy'	=>	'0001200',
		'uszek'	=>	'000020',
		'uszeke'	=>	'0001000',
		'uszel'	=>	'020120',
		'uszemb'	=>	'0001000',
		'uszeml'	=>	'0001000',
		'uszene'	=>	'0030000',
		'uszeng'	=>	'0001000',
		'uszerd'	=>	'0201000',
		'uszeré'	=>	'0001200',
		'uszes'	=>	'000020',
		'uszev'	=>	'020120',
		'uszex'	=>	'020100',
		'uszéne'	=>	'0200000',
		'uszéte'	=>	'0001000',
		'uszéto'	=>	'0001000',
		'uszimp'	=>	'0001000',
		'uszind'	=>	'0001000',
		'uszinj'	=>	'0001000',
		'uszisk'	=>	'0001000',
		'uszism'	=>	'0001000',
		'uszisz'	=>	'0201000',
		'uszíjad'	=>	'00002120',
		'uszír'	=>	'020100',
		'uszodá'	=>	'1200000',
		'uszola'	=>	'0200000',
		'uszold'	=>	'0201000',
		'uszony'	=>	'0200000',
		'uszop'	=>	'020000',
		'uszosz'	=>	'0200000',
		'uszöb'	=>	'020120',
		'uszöl'	=>	'000100',
		'uszön'	=>	'000100',
		'uszös'	=>	'020100',
		'uszp'	=>	'00012',
		'usztera'	=>	'00000210',
		'usztran'	=>	'00012000',
		'uszus'	=>	'020120',
		'uszut'	=>	'020000',
		'uszútr'	=>	'0001000',
		'uszü'	=>	'00002',
		'uszüg'	=>	'000100',
		'uszül'	=>	'020100',
		'uszüz'	=>	'020100',
		'uszz'	=>	'00010',
		'utabl'	=>	'001000',
		'utacsel'	=>	'00020000',
		'utadó'	=>	'001200',
		'utakép'	=>	'2000000',
		'utaló'	=>	'120000',
		'utalv'	=>	'120000',
		'utame'	=>	'000002',
		'utamel'	=>	'0002000',
		'utamer'	=>	'0002000',
		'utap'	=>	'00010',
		'utará'	=>	'001000',
		'utasc'	=>	'100000',
		'utase'	=>	'000200',
		'utasf'	=>	'100000',
		'utasl'	=>	'120000',
		'utasv'	=>	'100000',
		'utaü'	=>	'00002',
		'utav'	=>	'20000',
		'utazi'	=>	'100000',
		'utáb'	=>	'20000',
		'utáé'	=>	'20000',
		'utáib'	=>	'200000',
		'utáin'	=>	'200000',
		'utáju'	=>	'200000',
		'utákb'	=>	'200000',
		'utákt'	=>	'200000',
		'utám'	=>	'20000',
		'utáná'	=>	'200000',
		'utánn'	=>	'000010',
		'utánz'	=>	'100000',
		'utáró'	=>	'200000',
		'utárú'	=>	'000200',
		'utbl'	=>	'00100',
		'utca'	=>	'10000',
		'utcá'	=>	'10000',
		'uteg'	=>	'02120',
		'utera'	=>	'000210',
		'uterá'	=>	'000200',
		'utereg'	=>	'0002000',
		'uterim'	=>	'0002000',
		'uteru'	=>	'000200',
		'uténn'	=>	'000030',
		'utfr'	=>	'00100',
		'utikár'	=>	'0002120',
		'utike'	=>	'000200',
		'utill'	=>	'001000',
		'utim'	=>	'00020',
		'utine'	=>	'000212',
		'utinér'	=>	'0002000',
		'utini'	=>	'000002',
		'utinig'	=>	'0002000',
		'utinik'	=>	'0002100',
		'utinó'	=>	'000210',
		'utins'	=>	'000010',
		'utipa'	=>	'021200',
		'utisk'	=>	'021000',
		'utkl'	=>	'00100',
		'utokke'	=>	'0010000',
		'utold'	=>	'021000',
		'utolé'	=>	'000210',
		'utols'	=>	'020000',
		'utomata'	=>	'20000000',
		'utorim'	=>	'0002000',
		'utos'	=>	'20000',
		'utot'	=>	'20000',
		'utódal'	=>	'0002000',
		'utódá'	=>	'020000',
		'utódel'	=>	'0002000',
		'utóp'	=>	'00012',
		'utósaj'	=>	'0002100',
		'utóss'	=>	'000030',
		'utósto'	=>	'0001200',
		'utósz'	=>	'000100',
		'utótr'	=>	'000100',
		'utótűz'	=>	'0000001',
		'utpr'	=>	'00100',
		'utrak'	=>	'002000',
		'utran'	=>	'002000',
		'utrák'	=>	'002000',
		'utsp'	=>	'00100',
		'utst'	=>	'00100',
		'uttr'	=>	'00120',
		'utüg'	=>	'00100',
		'utüz'	=>	'00120',
		'utyas'	=>	'000012',
		'uu'	=>	'010',
		'uumag'	=>	'002100',
		'uumal'	=>	'002000',
		'uumas'	=>	'002100',
		'uumál'	=>	'002000',
		'uume'	=>	'00212',
		'uumér'	=>	'002120',
		'uumim'	=>	'002000',
		'uumin'	=>	'002000',
		'uumö'	=>	'00200',
		'uump'	=>	'00012',
		'uumü'	=>	'00200',
		'uuta'	=>	'00200',
		'uutá'	=>	'00200',
		'uuzs'	=>	'00200',
		'uú'	=>	'010',
		'uü'	=>	'010',
		'uügy'	=>	'00200',
		'uürí'	=>	'00200',
		'uüté'	=>	'00200',
		'uüve'	=>	'00200',
		'uüze'	=>	'00200',
		'uű'	=>	'010',
		'uvara'	=>	'000210',
		'uvará'	=>	'000212',
		'uvare'	=>	'000210',
		'uvarin'	=>	'0002000',
		'uvaszál'	=>	'00020000',
		'uvata'	=>	'000002',
		'uvatag'	=>	'0002100',
		'uvig'	=>	'00012',
		'uvre'	=>	'00200',
		'uxita'	=>	'000210',
		'uxitá'	=>	'000210',
		'uxite'	=>	'000210',
		'uzala'	=>	'000002',
		'uzalac'	=>	'0002000',
		'uzalad'	=>	'0002000',
		'uzalan'	=>	'0002000',
		'uzalág'	=>	'0002000',
		'uzalát'	=>	'0002100',
		'uzalel'	=>	'0002000',
		'uzalék'	=>	'0002100',
		'uzap'	=>	'00012',
		'uzas'	=>	'00012',
		'uzálb'	=>	'200000',
		'uzáll'	=>	'200000',
		'uzálr'	=>	'200000',
		'uzid'	=>	'02100',
		'uzigye'	=>	'0012000',
		'uzír'	=>	'00100',
		'uzki'	=>	'00002',
		'uzói'	=>	'00002',
		'uzsap'	=>	'003000',
		'uzsz'	=>	'00300',
		'uztr'	=>	'00120',
		'uzüg'	=>	'00120',
		'uzül'	=>	'00020',
		'úa'	=>	'010',
		'úada'	=>	'00200',
		'úadá'	=>	'00200',
		'úadó'	=>	'00200',
		'úagy'	=>	'00200',
		'úajá'	=>	'00200',
		'úakar'	=>	'002000',
		'úakas'	=>	'002000',
		'úala'	=>	'00200',
		'úalá'	=>	'00200',
		'úany'	=>	'00200',
		'úasz'	=>	'00200',
		'úaud'	=>	'00200',
		'úava'	=>	'00200',
		'úá'	=>	'010',
		'úága'	=>	'00200',
		'úágá'	=>	'00200',
		'úági'	=>	'00200',
		'úágo'	=>	'00200',
		'úágy'	=>	'00200',
		'úáhí'	=>	'00200',
		'úálo'	=>	'00200',
		'úápo'	=>	'00200',
		'úára'	=>	'00200',
		'úári'	=>	'00200',
		'úáru'	=>	'00200',
		'úbab'	=>	'20000',
		'úband'	=>	'200000',
		'úbar'	=>	'20000',
		'úblo'	=>	'00200',
		'úbód'	=>	'20000',
		'úbri'	=>	'00200',
		'úbro'	=>	'00200',
		'úcaj'	=>	'02100',
		'úcal'	=>	'02120',
		'úcan'	=>	'02120',
		'úcav'	=>	'02120',
		'úcet'	=>	'00120',
		'úche'	=>	'00300',
		'úcho'	=>	'00300',
		'úcid'	=>	'02120',
		'úciókép'	=>	'00020000',
		'úcpr'	=>	'00100',
		'úcsa'	=>	'20000',
		'úcsab'	=>	'020000',
		'úcsad'	=>	'020000',
		'úcsag'	=>	'020100',
		'úcsaj'	=>	'020100',
		'úcsakt'	=>	'0200000',
		'úcsala'	=>	'0001000',
		'úcsan'	=>	'020120',
		'úcsapá'	=>	'0000212',
		'úcsas'	=>	'020120',
		'úcsau'	=>	'020100',
		'úcsaz'	=>	'020000',
		'úcság'	=>	'000120',
		'úcsál'	=>	'020100',
		'úcsárá'	=>	'0201000',
		'úcsárf'	=>	'0201000',
		'úcsári'	=>	'0201000',
		'úcsárv'	=>	'0201000',
		'úcsátv'	=>	'0200000',
		'úcse'	=>	'20000',
		'úcseb'	=>	'020100',
		'úcseg'	=>	'020120',
		'úcsej'	=>	'003000',
		'úcsel'	=>	'020120',
		'úcsemb'	=>	'0001000',
		'úcsen'	=>	'020100',
		'úcserő'	=>	'0001000',
		'úcses'	=>	'020120',
		'úcsél'	=>	'020100',
		'úcsérd'	=>	'0200000',
		'úcsérte'	=>	'02010000',
		'úcsérté'	=>	'02010000',
		'úcsév'	=>	'020120',
		'úcsid'	=>	'020100',
		'úcsigaz'	=>	'02000000',
		'úcsil'	=>	'020100',
		'úcsim'	=>	'020000',
		'úcsinf'	=>	'0201000',
		'úcsint'	=>	'0201000',
		'úcsipa'	=>	'0001200',
		'úcsirá'	=>	'0200000',
		'úcsis'	=>	'020100',
		'úcsiz'	=>	'020100',
		'úcso'	=>	'20000',
		'úcsokta'	=>	'02000000',
		'úcsosz'	=>	'0200000',
		'úcsó'	=>	'20000',
		'úcsór'	=>	'020120',
		'úcsöl'	=>	'000100',
		'úcsös'	=>	'000100',
		'úcsp'	=>	'00010',
		'úcss'	=>	'00010',
		'úcst'	=>	'00010',
		'úcsúss'	=>	'0000010',
		'úcsüt'	=>	'000120',
		'úcsza'	=>	'000300',
		'údac'	=>	'02120',
		'údad'	=>	'00020',
		'údada'	=>	'001000',
		'údak'	=>	'02120',
		'údan'	=>	'02120',
		'údág'	=>	'00100',
		'údál'	=>	'00100',
		'údár'	=>	'00120',
		'údeg'	=>	'02120',
		'údej'	=>	'02100',
		'údel'	=>	'00020',
		'údele'	=>	'001000',
		'údelh'	=>	'001000',
		'údelő'	=>	'001000',
		'údem'	=>	'02120',
		'údera'	=>	'000200',
		'úderec'	=>	'0002100',
		'úderő'	=>	'001000',
		'údev'	=>	'00120',
		'údék'	=>	'02100',
		'údérc'	=>	'021000',
		'údét'	=>	'00020',
		'údéte'	=>	'001000',
		'údid'	=>	'02120',
		'údig'	=>	'00020',
		'údigé'	=>	'021000',
		'úding'	=>	'001000',
		'údiódar'	=>	'00020000',
		'údióz'	=>	'000200',
		'údos'	=>	'02100',
		'údpr'	=>	'00100',
		'údrá'	=>	'00200',
		'údro'	=>	'00200',
		'údüv'	=>	'00100',
		'údyéh'	=>	'000100',
		'údyét'	=>	'000100',
		'údyi'	=>	'00010',
		'údys'	=>	'00020',
		'údzá'	=>	'00300',
		'úe'	=>	'010',
		'úebé'	=>	'00200',
		'úegé'	=>	'00200',
		'úegész'	=>	'0000001',
		'úegy'	=>	'00200',
		'úela'	=>	'00200',
		'úele'	=>	'00200',
		'úelo'	=>	'00200',
		'úelö'	=>	'00200',
		'úelő'	=>	'00200',
		'úeme'	=>	'00200',
		'úepi'	=>	'00200',
		'úere'	=>	'00200',
		'úeré'	=>	'00200',
		'úerő'	=>	'00200',
		'úerű'	=>	'00200',
		'úesz'	=>	'00200',
		'úeta'	=>	'00200',
		'úete'	=>	'00200',
		'úeve'	=>	'00200',
		'úevő'	=>	'00200',
		'úé'	=>	'010',
		'úéhe'	=>	'00200',
		'úéle'	=>	'00200',
		'úélő'	=>	'00200',
		'úéne'	=>	'20200',
		'úépí'	=>	'00200',
		'úérá'	=>	'00210',
		'úére'	=>	'00200',
		'úéri'	=>	'00200',
		'úérz'	=>	'20000',
		'úéte'	=>	'00200',
		'úéve'	=>	'00200',
		'úfélé'	=>	'000002',
		'úfélév'	=>	'0002100',
		'úflö'	=>	'00200',
		'úfrá'	=>	'00200',
		'úfri'	=>	'00200',
		'úfrí'	=>	'00200',
		'úfro'	=>	'00200',
		'úgad'	=>	'00120',
		'úgáss'	=>	'000010',
		'úgel'	=>	'00100',
		'úgiv'	=>	'00120',
		'úgold'	=>	'001000',
		'úgós'	=>	'00002',
		'úgrá'	=>	'00200',
		'úgyag'	=>	'000100',
		'úgyel'	=>	'000100',
		'úgyi'	=>	'00002',
		'úgyis'	=>	'000100',
		'úgyiv'	=>	'000100',
		'úgyu'	=>	'02012',
		'úgyút'	=>	'000100',
		'úi'	=>	'010',
		'úide'	=>	'20200',
		'úidő'	=>	'00200',
		'úiga'	=>	'00200',
		'úigé'	=>	'00200',
		'úike'	=>	'20200',
		'úikre'	=>	'200000',
		'úill'	=>	'20000',
		'úimá'	=>	'20200',
		'úimi'	=>	'00200',
		'úing'	=>	'20000',
		'úint'	=>	'20000',
		'úipa'	=>	'00200',
		'úirat'	=>	'002000',
		'úirá'	=>	'00200',
		'úisk'	=>	'20000',
		'úism'	=>	'20000',
		'úist'	=>	'20000',
		'úita'	=>	'00200',
		'úivad'	=>	'202000',
		'úivás'	=>	'002000',
		'úí'	=>	'010',
		'úírá'	=>	'00200',
		'úíve'	=>	'00200',
		'úívi'	=>	'00200',
		'úívü'	=>	'00200',
		'újáté'	=>	'200000',
		'újes'	=>	'00100',
		'újez'	=>	'00100',
		'újéve'	=>	'001000',
		'újévé'	=>	'001000',
		'újkr'	=>	'00120',
		'újon'	=>	'12000',
		'újor'	=>	'00100',
		'újpl'	=>	'00100',
		'újra'	=>	'00001',
		'újsá'	=>	'10000',
		'újud'	=>	'00100',
		'újul'	=>	'02000',
		'úkab'	=>	'20000',
		'úkag'	=>	'02120',
		'úkaj'	=>	'02120',
		'úkalak'	=>	'0012000',
		'úkalan'	=>	'2000000',
		'úkalk'	=>	'021000',
		'úkany'	=>	'021000',
		'úkap'	=>	'20000',
		'úkapó'	=>	'021200',
		'úkar'	=>	'20000',
		'úkate'	=>	'200000',
		'úkatk'	=>	'021000',
		'úkál'	=>	'02100',
		'úkáru'	=>	'020000',
		'úkel'	=>	'00020',
		'úkele'	=>	'001000',
		'úkell'	=>	'001000',
		'úkem'	=>	'02100',
		'úkes'	=>	'00020',
		'úket'	=>	'00020',
		'úkete'	=>	'001000',
		'úkevé'	=>	'001200',
		'úkérd'	=>	'200000',
		'úkéré'	=>	'200000',
		'úkés'	=>	'20000',
		'úkéss'	=>	'021000',
		'úkészr'	=>	'0210000',
		'úkéte'	=>	'021200',
		'úkéz'	=>	'20000',
		'úkia'	=>	'00002',
		'úkid'	=>	'02120',
		'úkin'	=>	'20000',
		'úkis'	=>	'02100',
		'úkit'	=>	'02120',
		'úkli'	=>	'01200',
		'úklu'	=>	'00200',
		'úkol'	=>	'20000',
		'úkolt'	=>	'021000',
		'úkom'	=>	'20000',
		'úkonf'	=>	'200000',
		'úkong'	=>	'200000',
		'úkorá'	=>	'200000',
		'úkoro'	=>	'200000',
		'úkos'	=>	'20000',
		'úkól'	=>	'00120',
		'úköl'	=>	'00020',
		'úkölő'	=>	'001000',
		'úkpr'	=>	'00100',
		'úkre'	=>	'01200',
		'úktr'	=>	'00120',
		'úkud'	=>	'02100',
		'úkúr'	=>	'02100',
		'úkül'	=>	'00020',
		'úkülő'	=>	'001000',
		'úkült'	=>	'001000',
		'úkür'	=>	'02100',
		'úküt'	=>	'02120',
		'úküz'	=>	'02100',
		'úlad'	=>	'00120',
		'úlaja'	=>	'001200',
		'úlal'	=>	'00120',
		'úlam'	=>	'00120',
		'úlan'	=>	'00020',
		'úlany'	=>	'021000',
		'úlaro'	=>	'001200',
		'úlág'	=>	'02120',
		'úlál'	=>	'02100',
		'úlárn'	=>	'001000',
		'úlász'	=>	'021200',
		'úlátv'	=>	'001000',
		'úlbr'	=>	'00100',
		'úldr'	=>	'00120',
		'úled'	=>	'00120',
		'úlel'	=>	'00020',
		'úlele'	=>	'001000',
		'úlell'	=>	'001000',
		'úlemb'	=>	'021000',
		'úlen'	=>	'00100',
		'úlere'	=>	'021200',
		'úles'	=>	'00120',
		'úlevő'	=>	'021200',
		'úlex'	=>	'00100',
		'úléd'	=>	'00120',
		'úlég'	=>	'00020',
		'úléva'	=>	'032300',
		'úlfr'	=>	'00100',
		'úlgl'	=>	'00100',
		'úlid'	=>	'02120',
		'úligé'	=>	'021000',
		'úlij'	=>	'02100',
		'úlil'	=>	'02100',
		'úlimá'	=>	'020000',
		'úlind'	=>	'021000',
		'úlinf'	=>	'021000',
		'úling'	=>	'021000',
		'úlinj'	=>	'021000',
		'úlint'	=>	'021000',
		'úlinv'	=>	'021000',
		'úlip'	=>	'02120',
		'úlirá'	=>	'021000',
		'úlisk'	=>	'021000',
		'úlisz'	=>	'021200',
		'úlita'	=>	'021200',
		'úlitt'	=>	'021000',
		'úlivás'	=>	'0200000',
		'úlivo'	=>	'020000',
		'úlizgato'	=>	'020000000',
		'úlizz'	=>	'021000',
		'úlíg'	=>	'00100',
		'úlív'	=>	'00120',
		'úlkl'	=>	'00120',
		'úlkv'	=>	'00100',
		'úlok'	=>	'00020',
		'úloko'	=>	'001000',
		'úlol'	=>	'02100',
		'úlope'	=>	'001000',
		'úlor'	=>	'02100',
		'úlos'	=>	'02100',
		'úlox'	=>	'02100',
		'úlöb'	=>	'00100',
		'úlöl'	=>	'00100',
		'úlöm'	=>	'00120',
		'úlön'	=>	'00120',
		'úlör'	=>	'00100',
		'úlös'	=>	'02100',
		'úlövéss'	=>	'00000010',
		'úlőrü'	=>	'001000',
		'úlpl'	=>	'00120',
		'úlpr'	=>	'00120',
		'úlps'	=>	'00120',
		'úlsk'	=>	'00100',
		'úlsm'	=>	'00100',
		'úlsp'	=>	'00100',
		'úlst'	=>	'00120',
		'úlsz'	=>	'00002',
		'úlsztá'	=>	'0000002',
		'últagg'	=>	'0001000',
		'últagy'	=>	'0001000',
		'últaj'	=>	'002100',
		'últal'	=>	'002100',
		'últárn'	=>	'0021000',
		'últél'	=>	'002000',
		'últérte'	=>	'00200000',
		'últés'	=>	'002100',
		'últéves'	=>	'00010000',
		'últi'	=>	'00002',
		'últid'	=>	'002000',
		'últim'	=>	'002100',
		'últin'	=>	'002100',
		'últip'	=>	'002100',
		'últis'	=>	'002000',
		'últí'	=>	'00200',
		'últold'	=>	'0001000',
		'últös'	=>	'002000',
		'últőr'	=>	'002120',
		'últrá'	=>	'001000',
		'úlud'	=>	'02100',
		'úlug'	=>	'02120',
		'úlur'	=>	'02100',
		'úlut'	=>	'02120',
		'úlúr'	=>	'02100',
		'úlús'	=>	'00100',
		'úlüg'	=>	'00100',
		'úlül'	=>	'00100',
		'úlün'	=>	'00100',
		'úlür'	=>	'00100',
		'úlüt'	=>	'00100',
		'úlüv'	=>	'00100',
		'úlüz'	=>	'00100',
		'úlűz'	=>	'00100',
		'úlyad'	=>	'020120',
		'úlyal'	=>	'020120',
		'úlyan'	=>	'020100',
		'úlyar'	=>	'020120',
		'úlyau'	=>	'020100',
		'úlyál'	=>	'020000',
		'úlyátl'	=>	'0201000',
		'úlye'	=>	'02012',
		'úlyél'	=>	'020000',
		'úlyés'	=>	'020000',
		'úlyol'	=>	'020000',
		'úlyö'	=>	'02010',
		'úlyő'	=>	'02000',
		'úlys'	=>	'00010',
		'úlyug'	=>	'020000',
		'úmac'	=>	'20000',
		'úmad'	=>	'20000',
		'úmag'	=>	'20000',
		'úmaj'	=>	'20000',
		'úmar'	=>	'20000',
		'úmatr'	=>	'200000',
		'úmial'	=>	'000200',
		'úmoz'	=>	'20000',
		'únac'	=>	'20000',
		'únap'	=>	'20000',
		'únau'	=>	'00002',
		'únyan'	=>	'020120',
		'únyir'	=>	'020120',
		'únytr'	=>	'000100',
		'úo'	=>	'010',
		'úoko'	=>	'00200',
		'úove'	=>	'00200',
		'úó'	=>	'010',
		'úóra'	=>	'00200',
		'úórá'	=>	'00200',
		'úósá'	=>	'00200',
		'úóvo'	=>	'00200',
		'úö'	=>	'010',
		'úöle'	=>	'00200',
		'úölé'	=>	'00200',
		'úölő'	=>	'00200',
		'úörö'	=>	'00200',
		'úöve'	=>	'00200',
		'úő'	=>	'010',
		'úőrö'	=>	'00200',
		'úpeg'	=>	'00100',
		'úpel'	=>	'00020',
		'úpes'	=>	'00100',
		'úpin'	=>	'02100',
		'úpla'	=>	'00200',
		'úplé'	=>	'00200',
		'úpor'	=>	'02100',
		'úppl'	=>	'00120',
		'úprí'	=>	'00200',
		'úpro'	=>	'00200',
		'úraát'	=>	'000001',
		'úrab'	=>	'20000',
		'úraj'	=>	'20000',
		'úrakk'	=>	'001000',
		'úralu'	=>	'001000',
		'úrant'	=>	'021000',
		'úranya'	=>	'0012000',
		'úrap'	=>	'00012',
		'úraszp'	=>	'0001000',
		'úrattas'	=>	'02000000',
		'úraur'	=>	'000020',
		'úrábr'	=>	'021000',
		'úráll'	=>	'001000',
		'úrári'	=>	'021200',
		'úráss'	=>	'000010',
		'úrátm'	=>	'021000',
		'úrbr'	=>	'00100',
		'úrdr'	=>	'00120',
		'úrec'	=>	'00120',
		'úrel'	=>	'00120',
		'úrez'	=>	'00100',
		'úrék'	=>	'02000',
		'úrékk'	=>	'001000',
		'úrél'	=>	'02120',
		'úréne'	=>	'001200',
		'úrés'	=>	'20000',
		'úrfélév'	=>	'00002120',
		'úrial'	=>	'000200',
		'úrid'	=>	'02120',
		'úrie'	=>	'02000',
		'úrifj'	=>	'001000',
		'úrig'	=>	'00020',
		'úriga'	=>	'021000',
		'úrigényé'	=>	'000300000',
		'úrim'	=>	'00120',
		'úrinf'	=>	'021000',
		'úring'	=>	'001000',
		'úrint'	=>	'021000',
		'úris'	=>	'02000',
		'úrist'	=>	'001000',
		'úrkr'	=>	'00120',
		'úrnőr'	=>	'100000',
		'úrott'	=>	'001000',
		'úróp'	=>	'00012',
		'úrósp'	=>	'000100',
		'úröc'	=>	'00120',
		'úröl'	=>	'00120',
		'úrön'	=>	'00100',
		'úröt'	=>	'00100',
		'úrős'	=>	'00100',
		'úrpr'	=>	'00100',
		'úrsk'	=>	'00120',
		'úrsn'	=>	'00100',
		'úrsr'	=>	'00120',
		'úrst'	=>	'00120',
		'úrszn'	=>	'001000',
		'úrut'	=>	'00120',
		'úrül'	=>	'00120',
		'úrüv'	=>	'00120',
		'úsabl'	=>	'200000',
		'úsabr'	=>	'001000',
		'úsad'	=>	'02120',
		'úsaj'	=>	'02120',
		'úsala'	=>	'001200',
		'úsan'	=>	'00020',
		'úsany'	=>	'001000',
		'úsapr'	=>	'001000',
		'úsar'	=>	'00020',
		'úsará'	=>	'001000',
		'úsarc'	=>	'021000',
		'úsarj'	=>	'200000',
		'úságol'	=>	'0002000',
		'úsáld'	=>	'001000',
		'úsáp'	=>	'02120',
		'úsárai'	=>	'0212000',
		'úsárak'	=>	'0212000',
		'úsárb'	=>	'021000',
		'úsáre'	=>	'021000',
		'úsáro'	=>	'021200',
		'úsáru'	=>	'021200',
		'úsárú'	=>	'021200',
		'úsárv'	=>	'021000',
		'úsát'	=>	'20000',
		'úsátl'	=>	'001000',
		'úsáz'	=>	'02120',
		'úsdr'	=>	'00100',
		'úsec'	=>	'00120',
		'úsel'	=>	'00120',
		'úsev'	=>	'00120',
		'úsex'	=>	'00100',
		'úség'	=>	'02120',
		'úsél'	=>	'02120',
		'úséne'	=>	'001200',
		'úséré'	=>	'021200',
		'úsérm'	=>	'001000',
		'úsérté'	=>	'0210000',
		'úsétá'	=>	'021200',
		'úséte'	=>	'021200',
		'úsétr'	=>	'001000',
		'úsfr'	=>	'00100',
		'úsig'	=>	'00020',
		'úsiga'	=>	'001000',
		'úsil'	=>	'02100',
		'úsimp'	=>	'001000',
		'úsin'	=>	'02100',
		'úsip'	=>	'02120',
		'úsir'	=>	'02120',
		'úsis'	=>	'02100',
		'úsíz'	=>	'00120',
		'úskl'	=>	'00100',
		'úskv'	=>	'00100',
		'úsola'	=>	'021000',
		'úsold'	=>	'021000',
		'úsorg'	=>	'001000',
		'úsorr'	=>	'021000',
		'úsosz'	=>	'001000',
		'úsóh'	=>	'00120',
		'úsös'	=>	'00100',
		'úsőr'	=>	'00100',
		'úspe'	=>	'00200',
		'úspr'	=>	'00100',
		'ússp'	=>	'00120',
		'ússzag'	=>	'0030000',
		'ússzak'	=>	'0000021',
		'ússzav'	=>	'0030000',
		'ússze'	=>	'003000',
		'ússzi'	=>	'003000',
		'ússzí'	=>	'003000',
		'ússzó'	=>	'003000',
		'ússzö'	=>	'003000',
		'ússzú'	=>	'003000',
		'ússzü'	=>	'003000',
		'ústat'	=>	'002000',
		'ústr'	=>	'00120',
		'úsuga'	=>	'021200',
		'úsut'	=>	'02120',
		'úsüg'	=>	'00100',
		'úsün'	=>	'00100',
		'úsüt'	=>	'00120',
		'úsüz'	=>	'00100',
		'úsvéte'	=>	'0000210',
		'úszad'	=>	'020120',
		'úszakc'	=>	'0201000',
		'úszág'	=>	'020120',
		'úszáss'	=>	'0000010',
		'úsze'	=>	'20000',
		'úszej'	=>	'000100',
		'úszes'	=>	'000120',
		'úszev'	=>	'000120',
		'úszé'	=>	'20000',
		'úszév'	=>	'020100',
		'úszigá'	=>	'0200000',
		'úszí'	=>	'20000',
		'úszk'	=>	'00012',
		'úszold'	=>	'0001000',
		'úszosz'	=>	'0001000',
		'úszóe'	=>	'020000',
		'úszö'	=>	'20000',
		'úszös'	=>	'000100',
		'úszp'	=>	'00010',
		'úszse'	=>	'003000',
		'úszú'	=>	'02300',
		'úszü'	=>	'20000',
		'úszüg'	=>	'000120',
		'úszve'	=>	'000200',
		'útad'	=>	'00120',
		'útai'	=>	'00120',
		'útaj'	=>	'02120',
		'útav'	=>	'00120',
		'útál'	=>	'02100',
		'útáro'	=>	'001200',
		'útás'	=>	'00120',
		'útát'	=>	'02121',
		'útávi'	=>	'000212',
		'útbl'	=>	'00100',
		'útef'	=>	'00100',
		'úteg'	=>	'02120',
		'útelá'	=>	'001000',
		'útell'	=>	'001000',
		'útelz'	=>	'001000',
		'útéh'	=>	'02000',
		'útél'	=>	'00120',
		'útén'	=>	'02000',
		'útép'	=>	'02100',
		'útérd'	=>	'001000',
		'útéri'	=>	'021200',
		'útérz'	=>	'001000',
		'útfélé'	=>	'0000002',
		'útgr'	=>	'00100',
		'útiakh'	=>	'0200000',
		'útiakn'	=>	'0200000',
		'útid'	=>	'00100',
		'útie'	=>	'00002',
		'útié'	=>	'02000',
		'útig'	=>	'00020',
		'útigé'	=>	'001000',
		'útij'	=>	'12000',
		'útiko'	=>	'121200',
		'útill'	=>	'001000',
		'útiná'	=>	'120000',
		'útind'	=>	'001000',
		'útinf'	=>	'001000',
		'úting'	=>	'001000',
		'útint'	=>	'001000',
		'útipa'	=>	'001200',
		'útir'	=>	'12000',
		'útirá'	=>	'001000',
		'útism'	=>	'001000',
		'útist'	=>	'001000',
		'útiz'	=>	'12120',
		'útíg'	=>	'00100',
		'útíj'	=>	'00100',
		'útív'	=>	'00100',
		'útokm'	=>	'001000',
		'útola'	=>	'021000',
		'útold'	=>	'001000',
		'útoml'	=>	'001000',
		'úton'	=>	'00021',
		'útont'	=>	'001000',
		'útop'	=>	'00100',
		'útor'	=>	'20000',
		'útoran'	=>	'0002000',
		'útoras'	=>	'0002100',
		'útorál'	=>	'0002000',
		'útore'	=>	'000200',
		'útost'	=>	'001000',
		'útosz'	=>	'001000',
		'útös'	=>	'00100',
		'útőr'	=>	'00020',
		'útpl'	=>	'00100',
		'útpr'	=>	'00100',
		'útrag'	=>	'012000',
		'útri'	=>	'21200',
		'útsági'	=>	'0000200',
		'útst'	=>	'00100',
		'útumé'	=>	'000210',
		'útur'	=>	'00020',
		'úturá'	=>	'001000',
		'útút'	=>	'02100',
		'útüg'	=>	'02100',
		'útvo'	=>	'10000',
		'úu'	=>	'010',
		'úuno'	=>	'00200',
		'úura'	=>	'00200',
		'úú'	=>	'010',
		'úü'	=>	'010',
		'úügy'	=>	'00200',
		'úülé'	=>	'00200',
		'úüre'	=>	'00200',
		'úüte'	=>	'00200',
		'úüve'	=>	'00200',
		'úüvö'	=>	'00200',
		'úüze'	=>	'00200',
		'úű'	=>	'010',
		'úűző'	=>	'00200',
		'úvál'	=>	'20000',
		'úvár'	=>	'00200',
		'úvárad'	=>	'0002000',
		'úváral'	=>	'0002000',
		'úváris'	=>	'0002000',
		'úvárosz'	=>	'00020000',
		'úváró'	=>	'000212',
		'úváru'	=>	'000002',
		'úzae'	=>	'00002',
		'úzaé'	=>	'00002',
		'úzak'	=>	'00002',
		'úzap'	=>	'00012',
		'úzarc'	=>	'001000',
		'úzatr'	=>	'000120',
		'úzál'	=>	'02100',
		'úzáru'	=>	'020000',
		'úzáss'	=>	'000010',
		'úzid'	=>	'00120',
		'úzido'	=>	'000002',
		'úzót'	=>	'00002',
		'úzótr'	=>	'000100',
		'úzpr'	=>	'00120',
		'úzsal'	=>	'020120',
		'úzsál'	=>	'020000',
		'úzse'	=>	'20000',
		'úzsec'	=>	'000120',
		'úzsi'	=>	'20000',
		'úzsz'	=>	'00300',
		'úztr'	=>	'00120',
		'üa'	=>	'010',
		'üajá'	=>	'00200',
		'üala'	=>	'00200',
		'üá'	=>	'010',
		'üága'	=>	'00200',
		'üágo'	=>	'00200',
		'üágu'	=>	'00200',
		'üára'	=>	'00200',
		'üász'	=>	'00200',
		'üblo'	=>	'00200',
		'ücsök'	=>	'000021',
		'üdes'	=>	'02000',
		'üdít'	=>	'12000',
		'üdíz'	=>	'00100',
		'üdör'	=>	'02100',
		'üdöss'	=>	'000030',
		'üdőé'	=>	'00002',
		'üdül'	=>	'12000',
		'üdva'	=>	'00212',
		'üdvel'	=>	'002100',
		'üdves'	=>	'002120',
		'üdvél'	=>	'002000',
		'üdvid'	=>	'002000',
		'üdví'	=>	'00210',
		'üdvo'	=>	'00200',
		'üdvö'	=>	'10000',
		'üdvöl'	=>	'002000',
		'üdvő'	=>	'00200',
		'üdvu'	=>	'00200',
		'üdvú'	=>	'00200',
		'üe'	=>	'010',
		'üebé'	=>	'00200',
		'üege'	=>	'00200',
		'üegé'	=>	'00200',
		'üele'	=>	'00200',
		'üelé'	=>	'00212',
		'üeme'	=>	'00200',
		'üé'	=>	'010',
		'üéke'	=>	'00200',
		'üépí'	=>	'00200',
		'üffö'	=>	'00212',
		'üföle'	=>	'000300',
		'üfro'	=>	'00200',
		'ügek'	=>	'00012',
		'ügel'	=>	'00030',
		'ügra'	=>	'00200',
		'ügya'	=>	'02012',
		'ügyá'	=>	'02010',
		'ügyef'	=>	'020000',
		'ügyelemb'	=>	'000120000',
		'ügyelemm'	=>	'000120000',
		'ügyelf'	=>	'0001000',
		'ügyell'	=>	'0201000',
		'ügyelm'	=>	'0001000',
		'ügyelo'	=>	'0001000',
		'ügyéjé'	=>	'0001000',
		'ügyékb'	=>	'0001000',
		'ügyéré'	=>	'0001000',
		'ügyérr'	=>	'0001000',
		'ügyés'	=>	'020000',
		'ügyil'	=>	'020000',
		'ügyin'	=>	'120000',
		'ügyint'	=>	'0001000',
		'ügyira'	=>	'0001000',
		'ügyí'	=>	'03000',
		'ügynö'	=>	'100000',
		'ügyos'	=>	'000100',
		'ügyő'	=>	'02012',
		'ühaf'	=>	'00100',
		'ühat'	=>	'00100',
		'ühás'	=>	'00100',
		'ühele'	=>	'021200',
		'ühelf'	=>	'001000',
		'ühellen'	=>	'00100000',
		'ühelő'	=>	'021200',
		'ühelv'	=>	'001000',
		'ühéh'	=>	'02100',
		'ühin'	=>	'02100',
		'ühit'	=>	'02100',
		'ühor'	=>	'00100',
		'ühős'	=>	'00100',
		'üi'	=>	'010',
		'üigé'	=>	'00200',
		'üiko'	=>	'00200',
		'üí'	=>	'010',
		'üírá'	=>	'00200',
		'ükan'	=>	'00120',
		'ükap'	=>	'00020',
		'ükkal'	=>	'002000',
		'ükká'	=>	'00200',
		'ükke'	=>	'00002',
		'ükkel'	=>	'000001',
		'ükker'	=>	'002000',
		'ükko'	=>	'00002',
		'ükkop'	=>	'002000',
		'ükun'	=>	'00120',
		'ülab'	=>	'00100',
		'ülad'	=>	'00120',
		'ülag'	=>	'00100',
		'ülaj'	=>	'00100',
		'ülak'	=>	'00120',
		'ülal'	=>	'02120',
		'ülar'	=>	'00120',
		'ülat'	=>	'00100',
		'ülau'	=>	'00100',
		'ülác'	=>	'00120',
		'ülág'	=>	'00120',
		'ülál'	=>	'00100',
		'üláp'	=>	'00120',
		'ülár'	=>	'00120',
		'ülás'	=>	'00120',
		'ülbr'	=>	'00100',
		'üldr'	=>	'00120',
		'ülecse'	=>	'0210000',
		'üledz'	=>	'001200',
		'üleg'	=>	'02120',
		'ülek'	=>	'20000',
		'ülell'	=>	'001000',
		'ülelőte'	=>	'02120000',
		'üleng'	=>	'001000',
		'ülenn'	=>	'001000',
		'üler'	=>	'02120',
		'üleső'	=>	'001200',
		'ületa'	=>	'000002',
		'ületal'	=>	'0002000',
		'ületan'	=>	'0002100',
		'ületas'	=>	'0002100',
		'ületav'	=>	'0002000',
		'ületá'	=>	'000212',
		'ületeg'	=>	'0002100',
		'ületel'	=>	'0002120',
		'ületék'	=>	'0002100',
		'ületérn'	=>	'00021000',
		'ületérü'	=>	'00020000',
		'ületo'	=>	'000002',
		'ületor'	=>	'0002100',
		'ületos'	=>	'0002000',
		'ületó'	=>	'000212',
		'ületö'	=>	'000212',
		'ülett'	=>	'000012',
		'ületted'	=>	'00100000',
		'ületu'	=>	'000210',
		'ületüz'	=>	'0002000',
		'ülex'	=>	'02100',
		'ülég'	=>	'02120',
		'üléka'	=>	'000212',
		'üléká'	=>	'000212',
		'ülékel'	=>	'0002120',
		'ülékev'	=>	'0002000',
		'ülékir'	=>	'0002000',
		'üléko'	=>	'000210',
		'üléku'	=>	'000200',
		'ülél'	=>	'02100',
		'ülépü'	=>	'001200',
		'üléré'	=>	'021200',
		'üléri'	=>	'001000',
		'ülérj'	=>	'001000',
		'ülérn'	=>	'001000',
		'ülérs'	=>	'001000',
		'ülérü'	=>	'021200',
		'ülérv'	=>	'001000',
		'ülérz'	=>	'021000',
		'ülésa'	=>	'000200',
		'üléso'	=>	'000200',
		'üléss'	=>	'000030',
		'ülészá'	=>	'0002300',
		'ülfr'	=>	'00100',
		'ülid'	=>	'02120',
		'ülig'	=>	'00020',
		'üliga'	=>	'021000',
		'ülill'	=>	'001000',
		'ülim'	=>	'02100',
		'ülint'	=>	'021000',
		'ülira'	=>	'001000',
		'ülitt'	=>	'021000',
		'üliz'	=>	'02100',
		'ülíg'	=>	'00100',
		'ülír'	=>	'00120',
		'ülív'	=>	'00120',
		'üllan'	=>	'002120',
		'üllin'	=>	'002100',
		'üllövü'	=>	'0021200',
		'üllu'	=>	'00212',
		'üllyu'	=>	'003000',
		'ülnököl'	=>	'00002100',
		'ülod'	=>	'00120',
		'ülol'	=>	'00120',
		'ülom'	=>	'00100',
		'ülop'	=>	'00100',
		'ülor'	=>	'00100',
		'ülóv'	=>	'00120',
		'ülöb'	=>	'02100',
		'ülöl'	=>	'02120',
		'ülömö'	=>	'021000',
		'ülör'	=>	'02100',
		'ülöv'	=>	'02120',
		'ülőe'	=>	'00002',
		'ülőél'	=>	'000020',
		'ülősl'	=>	'000100',
		'ülősp'	=>	'000120',
		'ülősta'	=>	'0001000',
		'ülőt'	=>	'00002',
		'ülpl'	=>	'00120',
		'ülpr'	=>	'00120',
		'ülsl'	=>	'00100',
		'ülsp'	=>	'00100',
		'ülst'	=>	'00100',
		'ültad'	=>	'002100',
		'ültár'	=>	'000020',
		'ültetl'	=>	'1000000',
		'ültets'	=>	'1000000',
		'ültev'	=>	'002120',
		'ültra'	=>	'001000',
		'ülud'	=>	'00100',
		'ülug'	=>	'00120',
		'ülut'	=>	'00120',
		'ülús'	=>	'00100',
		'ülüg'	=>	'02100',
		'ülül'	=>	'00020',
		'ülülé'	=>	'001000',
		'ülülh'	=>	'001000',
		'ülüli'	=>	'001000',
		'ülülj'	=>	'001000',
		'ülüln'	=>	'001000',
		'ülült'	=>	'001000',
		'ülülv'	=>	'001000',
		'ülür'	=>	'02100',
		'ülüt'	=>	'02100',
		'ülüv'	=>	'02100',
		'ülyel'	=>	'020000',
		'ülyess'	=>	'0001000',
		'ülyesz'	=>	'0001000',
		'ümal'	=>	'00120',
		'üman'	=>	'00120',
		'ümar'	=>	'00120',
		'ümár'	=>	'00120',
		'ümegi'	=>	'000300',
		'üméks'	=>	'001000',
		'ümép'	=>	'02100',
		'ümérd'	=>	'021000',
		'ümfl'	=>	'00100',
		'ümfr'	=>	'00100',
		'ümig'	=>	'00020',
		'ümiga'	=>	'021000',
		'ümil'	=>	'02100',
		'ümim'	=>	'02100',
		'ümip'	=>	'02120',
		'ümis'	=>	'02100',
		'ümiz'	=>	'02100',
		'ümkl'	=>	'00100',
		'ümkr'	=>	'00100',
		'ümol'	=>	'00120',
		'ümor'	=>	'00100',
		'ümos'	=>	'00100',
		'ümöss'	=>	'021000',
		'ümőr'	=>	'00100',
		'ümpr'	=>	'00120',
		'ümtr'	=>	'00100',
		'ümúj'	=>	'00100',
		'ümül'	=>	'02120',
		'ümüv'	=>	'02100',
		'ümüz'	=>	'02100',
		'ünál'	=>	'00100',
		'ünár'	=>	'00120',
		'ünel'	=>	'00120',
		'ünetelet'	=>	'000210000',
		'ünetés'	=>	'0002000',
		'ünevé'	=>	'001000',
		'ünép'	=>	'02120',
		'ünid'	=>	'00100',
		'üning'	=>	'021000',
		'ünirt'	=>	'021000',
		'ünnep'	=>	'100000',
		'üo'	=>	'010',
		'üoki'	=>	'00212',
		'üó'	=>	'010',
		'üórá'	=>	'00200',
		'üö'	=>	'010',
		'üő'	=>	'010',
		'üőre'	=>	'00200',
		'üpri'	=>	'00200',
		'üpro'	=>	'00200',
		'ürdéss'	=>	'0000010',
		'üreg'	=>	'12000',
		'ürega'	=>	'000210',
		'üregá'	=>	'000200',
		'üregg'	=>	'000010',
		'üres'	=>	'12000',
		'üretö'	=>	'000200',
		'üröm'	=>	'02000',
		'ürta'	=>	'00210',
		'ürtá'	=>	'00210',
		'ürte'	=>	'00212',
		'ürtis'	=>	'002000',
		'ürto'	=>	'00212',
		'ürtok'	=>	'000001',
		'ürtü'	=>	'00002',
		'ürtül'	=>	'002000',
		'ürül'	=>	'12000',
		'üssa'	=>	'00212',
		'üssá'	=>	'00210',
		'üsseg'	=>	'002100',
		'üsso'	=>	'00212',
		'üsss'	=>	'00010',
		'üssü'	=>	'00002',
		'üssül'	=>	'002100',
		'üsta'	=>	'00212',
		'üstá'	=>	'00202',
		'üstág'	=>	'000100',
		'üstál'	=>	'000100',
		'üstár'	=>	'000100',
		'üste'	=>	'00212',
		'üstég'	=>	'000100',
		'üsték'	=>	'002100',
		'üstél'	=>	'002000',
		'üstére'	=>	'0021000',
		'üstérm'	=>	'0021000',
		'üstil'	=>	'002100',
		'üstim'	=>	'002000',
		'üstir'	=>	'002000',
		'üstis'	=>	'002100',
		'üstí'	=>	'00200',
		'üsto'	=>	'00212',
		'üstó'	=>	'00212',
		'üstör'	=>	'002100',
		'üstöv'	=>	'002120',
		'üstőr'	=>	'002100',
		'üstős'	=>	'002100',
		'üstu'	=>	'00212',
		'üstú'	=>	'00200',
		'üstű'	=>	'00002',
		'üstűz'	=>	'002100',
		'üszál'	=>	'000100',
		'üszi'	=>	'00002',
		'üsziv'	=>	'020100',
		'üszív'	=>	'000120',
		'üszönt'	=>	'0201000',
		'üszür'	=>	'020000',
		'ütab'	=>	'00100',
		'ütaj'	=>	'00100',
		'üteg'	=>	'12000',
		'ütema'	=>	'000212',
		'ütemb'	=>	'020000',
		'üteme'	=>	'120000',
		'ütemel'	=>	'0002100',
		'üteméb'	=>	'0200000',
		'ütemért'	=>	'00020000',
		'ütemin'	=>	'0002000',
		'ütési'	=>	'000002',
		'ütésik'	=>	'0002000',
		'ütéss'	=>	'000030',
		'ütész'	=>	'000230',
		'ütkö'	=>	'10000',
		'ütősp'	=>	'000120',
		'üttá'	=>	'00210',
		'ütté'	=>	'00212',
		'üttyeg'	=>	'0000120',
		'ützi'	=>	'00200',
		'üu'	=>	'010',
		'üuta'	=>	'00200',
		'üú'	=>	'010',
		'üü'	=>	'010',
		'üű'	=>	'010',
		'üvega'	=>	'000212',
		'üvegg'	=>	'000030',
		'üvezér'	=>	'0000020',
		'üzema'	=>	'100212',
		'üzemá'	=>	'000210',
		'üzemeg'	=>	'0002000',
		'üzemérté'	=>	'000210000',
		'üzemétk'	=>	'00021000',
		'üzemi'	=>	'120000',
		'üzemo'	=>	'000210',
		'üzemt'	=>	'020000',
		'üzemu'	=>	'000212',
		'üzemű'	=>	'020000',
		'üzeta'	=>	'000210',
		'üzeto'	=>	'000210',
		'üzéra'	=>	'000200',
		'üzérel'	=>	'0002120',
		'üzletn'	=>	'1000000',
		'űa'	=>	'010',
		'űada'	=>	'00200',
		'űadó'	=>	'00200',
		'űagy'	=>	'00200',
		'űaka'	=>	'00200',
		'űala'	=>	'00200',
		'űalag'	=>	'000021',
		'űalo'	=>	'00200',
		'űana'	=>	'00200',
		'űany'	=>	'00200',
		'űanyagoc'	=>	'003000000',
		'űaor'	=>	'00200',
		'űapa'	=>	'00200',
		'űapá'	=>	'00200',
		'űara'	=>	'00200',
		'űará'	=>	'00200',
		'űato'	=>	'00200',
		'űaut'	=>	'00200',
		'űava'	=>	'00200',
		'űaxi'	=>	'00200',
		'űazo'	=>	'00200',
		'űá'	=>	'010',
		'űábé'	=>	'00200',
		'űága'	=>	'00200',
		'űágá'	=>	'00200',
		'űágy'	=>	'00200',
		'űáhí'	=>	'00200',
		'űáje'	=>	'00200',
		'űálo'	=>	'00200',
		'űápo'	=>	'00200',
		'űára'	=>	'00200',
		'űári'	=>	'00200',
		'űáro'	=>	'00200',
		'űáru'	=>	'00200',
		'űásí'	=>	'00200',
		'űáté'	=>	'00200',
		'űátí'	=>	'00200',
		'űbal'	=>	'00021',
		'űbérel'	=>	'0002000',
		'űblo'	=>	'00200',
		'űbró'	=>	'00200',
		'űcsapá'	=>	'0000002',
		'űcsapág'	=>	'00002100',
		'űcsas'	=>	'000100',
		'űcsék'	=>	'020100',
		'űcsipa'	=>	'0001200',
		'űdál'	=>	'00100',
		'űdel'	=>	'02120',
		'űdrá'	=>	'01200',
		'űdro'	=>	'00200',
		'űdró'	=>	'01200',
		'űdsk'	=>	'00100',
		'űe'	=>	'010',
		'űecs'	=>	'00200',
		'űege'	=>	'00200',
		'űegé'	=>	'00200',
		'űegy'	=>	'00200',
		'űekére'	=>	'0020000',
		'űela'	=>	'00200',
		'űele'	=>	'00200',
		'űelé'	=>	'00200',
		'űelí'	=>	'00212',
		'űelő'	=>	'00200',
		'űelü'	=>	'00200',
		'űeme'	=>	'00200',
		'űepi'	=>	'00200',
		'űepo'	=>	'00200',
		'űere'	=>	'00200',
		'űerő'	=>	'00200',
		'űese'	=>	'00200',
		'űesé'	=>	'00200',
		'űeső'	=>	'00200',
		'űete'	=>	'00200',
		'űeti'	=>	'00200',
		'űevé'	=>	'00200',
		'űevő'	=>	'00200',
		'űé'	=>	'010',
		'űéle'	=>	'00200',
		'űélé'	=>	'00200',
		'űénekb'	=>	'0020000',
		'űéneke'	=>	'0020000',
		'űénekest'	=>	'000020000',
		'űéneké'	=>	'0020000',
		'űénekr'	=>	'0020000',
		'űépí'	=>	'00200',
		'űéte'	=>	'00200',
		'űfaje'	=>	'000212',
		'űflo'	=>	'00200',
		'űfogal'	=>	'0002120',
		'űfra'	=>	'00200',
		'űfri'	=>	'00200',
		'űfro'	=>	'00200',
		'űgölé'	=>	'021200',
		'űgős'	=>	'00100',
		'űgőz'	=>	'00020',
		'űgra'	=>	'00200',
		'űgrá'	=>	'00200',
		'űholdad'	=>	'00000020',
		'űholdada'	=>	'000021000',
		'űi'	=>	'010',
		'űido'	=>	'00200',
		'űiga'	=>	'00200',
		'űigé'	=>	'00200',
		'űimá'	=>	'00200',
		'űimi'	=>	'00200',
		'űipa'	=>	'00200',
		'űirá'	=>	'00200',
		'űiro'	=>	'00200',
		'űisz'	=>	'00200',
		'űita'	=>	'00200',
		'űizé'	=>	'00200',
		'űizo'	=>	'00200',
		'űí'	=>	'010',
		'űírá'	=>	'00200',
		'űíri'	=>	'00200',
		'űíró'	=>	'00200',
		'űíté'	=>	'00200',
		'űíve'	=>	'00200',
		'űízü'	=>	'00200',
		'űízű'	=>	'00200',
		'űkia'	=>	'00002',
		'űkla'	=>	'00200',
		'űkli'	=>	'00200',
		'űklí'	=>	'00200',
		'űklo'	=>	'00200',
		'űkrep'	=>	'002000',
		'űkré'	=>	'01200',
		'űkri'	=>	'01200',
		'űkro'	=>	'01200',
		'űkró'	=>	'01200',
		'űkva'	=>	'00200',
		'űmeg'	=>	'00021',
		'űnal'	=>	'00100',
		'űnar'	=>	'00100',
		'űnál'	=>	'00100',
		'űnár'	=>	'00120',
		'űnele'	=>	'001200',
		'űnelh'	=>	'001000',
		'űneli'	=>	'001200',
		'űnelk'	=>	'001000',
		'űnelő'	=>	'001200',
		'űnelr'	=>	'001000',
		'űnelt'	=>	'001000',
		'űneml'	=>	'001000',
		'űnese'	=>	'001200',
		'űnest'	=>	'001000',
		'űnet'	=>	'00012',
		'űnérte'	=>	'0210000',
		'űnig'	=>	'00020',
		'űniga'	=>	'021000',
		'űnin'	=>	'02100',
		'űnip'	=>	'02120',
		'űnir'	=>	'02120',
		'űnis'	=>	'02100',
		'űnme'	=>	'00002',
		'űnny'	=>	'00300',
		'űnok'	=>	'00120',
		'űnol'	=>	'00100',
		'űnos'	=>	'00100',
		'űnór'	=>	'00120',
		'űnpr'	=>	'00100',
		'űnsk'	=>	'00120',
		'űnst'	=>	'00120',
		'űnun'	=>	'00120',
		'űnut'	=>	'00120',
		'űnüs'	=>	'02100',
		'űnüz'	=>	'02100',
		'űnűz'	=>	'00100',
		'űo'	=>	'010',
		'űodú'	=>	'00200',
		'űoká'	=>	'00200',
		'űoko'	=>	'00200',
		'űola'	=>	'00200',
		'űorá'	=>	'00200',
		'űoro'	=>	'00200',
		'űó'	=>	'010',
		'űóce'	=>	'00200',
		'űóra'	=>	'00200',
		'űórá'	=>	'00200',
		'űóri'	=>	'00200',
		'űö'	=>	'010',
		'űölő'	=>	'00200',
		'űörö'	=>	'00200',
		'űöve'	=>	'00200',
		'űözö'	=>	'00200',
		'űő'	=>	'010',
		'űőrö'	=>	'00200',
		'űpla'	=>	'00200',
		'űplü'	=>	'00200',
		'űpne'	=>	'00200',
		'űpré'	=>	'00200',
		'űpri'	=>	'00200',
		'űprí'	=>	'00200',
		'űpro'	=>	'00200',
		'űpró'	=>	'00200',
		'űrad'	=>	'00100',
		'űral'	=>	'00120',
		'űram'	=>	'00120',
		'űran'	=>	'00120',
		'űrau'	=>	'00100',
		'űrav'	=>	'00120',
		'űráb'	=>	'00100',
		'űrál'	=>	'00100',
		'űrás'	=>	'00100',
		'űráz'	=>	'00100',
		'űregy'	=>	'001000',
		'űrel'	=>	'00120',
		'űren'	=>	'00020',
		'űrer'	=>	'02120',
		'űrex'	=>	'00100',
		'űréj'	=>	'02120',
		'űrél'	=>	'00120',
		'űrép'	=>	'00100',
		'űrésszer'	=>	'000030000',
		'űrésza'	=>	'0002000',
		'űrészá'	=>	'0002000',
		'űrészí'	=>	'0002000',
		'űrészo'	=>	'0002000',
		'űrfl'	=>	'00100',
		'űrid'	=>	'00100',
		'űrig'	=>	'00020',
		'űriga'	=>	'001000',
		'űrim'	=>	'02120',
		'űrint'	=>	'001000',
		'űrip'	=>	'00120',
		'űrist'	=>	'001000',
		'űrír'	=>	'02100',
		'űrod'	=>	'00120',
		'űrol'	=>	'02100',
		'űrop'	=>	'00120',
		'űror'	=>	'00100',
		'űrosta'	=>	'0000212',
		'űrot'	=>	'00100',
		'űrón'	=>	'00100',
		'űröl'	=>	'02120',
		'űrör'	=>	'00100',
		'űrőf'	=>	'00012',
		'űrpl'	=>	'00100',
		'űrpr'	=>	'00100',
		'űrps'	=>	'00120',
		'űrsp'	=>	'00120',
		'űrst'	=>	'00120',
		'űrszt'	=>	'000002',
		'űrtra'	=>	'001000',
		'űruj'	=>	'00100',
		'űrun'	=>	'00100',
		'űrut'	=>	'00120',
		'űrút'	=>	'00100',
		'űrüg'	=>	'00100',
		'űrüz'	=>	'00100',
		'űsajtó'	=>	'0210000',
		'űsál'	=>	'00100',
		'űségel'	=>	'0002100',
		'űsír'	=>	'02120',
		'űska'	=>	'01200',
		'űská'	=>	'01200',
		'űsorad'	=>	'0002000',
		'űsoraj'	=>	'0002000',
		'űsoral'	=>	'0002000',
		'űsoran'	=>	'0002000',
		'űsorál'	=>	'0002000',
		'űsorosz'	=>	'00020000',
		'űsors'	=>	'000010',
		'űsort'	=>	'000002',
		'űspe'	=>	'00200',
		'űspi'	=>	'00200',
		'űspo'	=>	'00200',
		'űspr'	=>	'00020',
		'űsrá'	=>	'00200',
		'űssz'	=>	'00300',
		'űsta'	=>	'01200',
		'űstí'	=>	'01200',
		'űsto'	=>	'01200',
		'űstr'	=>	'00020',
		'űstro'	=>	'001000',
		'űsuj'	=>	'02100',
		'űsüt'	=>	'02120',
		'űszerá'	=>	'0000210',
		'űszerele'	=>	'000021200',
		'űszerep'	=>	'00000020',
		'űszerepé'	=>	'000021000',
		'űszerült'	=>	'000021000',
		'űszk'	=>	'00020',
		'űszt'	=>	'00020',
		'űtéss'	=>	'000030',
		'űtőa'	=>	'00002',
		'űtőe'	=>	'00002',
		'űtra'	=>	'01200',
		'űtrágá'	=>	'0120000',
		'űtre'	=>	'01200',
		'űtri'	=>	'00200',
		'űtro'	=>	'01200',
		'űu'	=>	'010',
		'űuga'	=>	'00200',
		'űura'	=>	'00200',
		'űusz'	=>	'00200',
		'űuta'	=>	'00200',
		'űutá'	=>	'00200',
		'űutu'	=>	'00200',
		'űú'	=>	'010',
		'űúri'	=>	'00200',
		'űúsz'	=>	'00200',
		'űúti'	=>	'00200',
		'űúto'	=>	'00200',
		'űü'	=>	'010',
		'űügy'	=>	'00200',
		'űülé'	=>	'00200',
		'űürí'	=>	'00200',
		'űüte'	=>	'00200',
		'űüté'	=>	'00200',
		'űütö'	=>	'00200',
		'űüve'	=>	'00200',
		'űüvö'	=>	'00200',
		'űüze'	=>	'00200',
		'űű'	=>	'010',
		'űűző'	=>	'00200',
		'űvésza'	=>	'0002010',
		'űvészá'	=>	'0002010',
		'űvészel'	=>	'00020120',
		'űvészer'	=>	'00020000',
		'űvészint'	=>	'000200000',
		'űvészo'	=>	'0002000',
		'űvészó'	=>	'0002012',
		'űvészö'	=>	'0002000',
		'űvészú'	=>	'0002000',
		'űvíz'	=>	'00021',
		'űvíze'	=>	'000002',
		'űzab'	=>	'02120',
		'űzad'	=>	'00120',
		'űzag'	=>	'00120',
		'űzak'	=>	'00100',
		'űzal'	=>	'00120',
		'űzale'	=>	'000010',
		'űzap'	=>	'00120',
		'űzar'	=>	'00120',
		'űzas'	=>	'00120',
		'űzat'	=>	'00120',
		'űzau'	=>	'00120',
		'űzág'	=>	'00120',
		'űzál'	=>	'02100',
		'űzárb'	=>	'021000',
		'űzárj'	=>	'021000',
		'űzátl'	=>	'001000',
		'űzátu'	=>	'001000',
		'űzed'	=>	'02100',
		'űzef'	=>	'02100',
		'űzel'	=>	'02120',
		'űzem'	=>	'02100',
		'űzer'	=>	'02120',
		'űzes'	=>	'00020',
		'űzese'	=>	'021000',
		'űzesé'	=>	'021000',
		'űzest'	=>	'021000',
		'űzesz'	=>	'021000',
		'űzeteg'	=>	'0002000',
		'űzetel'	=>	'0002000',
		'űzev'	=>	'02120',
		'űzég'	=>	'02100',
		'űzél'	=>	'02120',
		'űzérm'	=>	'021000',
		'űzérté'	=>	'0210000',
		'űzérz'	=>	'021000',
		'űzész'	=>	'021000',
		'űzfr'	=>	'00100',
		'űzgl'	=>	'00100',
		'űzgr'	=>	'00120',
		'űzig'	=>	'00020',
		'űziga'	=>	'021000',
		'űzigaz'	=>	'0000001',
		'űzigé'	=>	'021000',
		'űzim'	=>	'02120',
		'űzir'	=>	'02120',
		'űzisk'	=>	'001000',
		'űzism'	=>	'001000',
		'űzist'	=>	'001000',
		'űzisz'	=>	'001200',
		'űziz'	=>	'02100',
		'űzín'	=>	'00100',
		'űzír'	=>	'00100',
		'űzív'	=>	'00120',
		'űzkl'	=>	'00100',
		'űzkr'	=>	'00100',
		'űzok'	=>	'00120',
		'űzol'	=>	'00120',
		'űzom'	=>	'03000',
		'űzon'	=>	'00100',
		'űzop'	=>	'00100',
		'űzor'	=>	'00100',
		'űzos'	=>	'00100',
		'űzóc'	=>	'02100',
		'űzór'	=>	'02120',
		'űzökö'	=>	'021200',
		'űzöldel'	=>	'00002100',
		'űzöv'	=>	'02120',
		'űzöz'	=>	'02100',
		'űzőa'	=>	'00002',
		'űzőe'	=>	'00002',
		'űzőrei'	=>	'0012000',
		'űzőri'	=>	'021200',
		'űzőrk'	=>	'001000',
		'űzőrm'	=>	'001000',
		'űzőrn'	=>	'021000',
		'űzőrö'	=>	'021200',
		'űzőrr'	=>	'021000',
		'űzőrs'	=>	'021000',
		'űzőrt'	=>	'021000',
		'űzőrz'	=>	'001000',
		'űzpr'	=>	'00120',
		'űzsa'	=>	'00300',
		'űzsám'	=>	'020000',
		'űzsár'	=>	'023000',
		'űzsáv'	=>	'023000',
		'űzser'	=>	'023000',
		'űzsé'	=>	'02300',
		'űzsó'	=>	'02300',
		'űzsö'	=>	'02300',
		'űzsp'	=>	'00320',
		'űzsuga'	=>	'0230000',
		'űzsü'	=>	'00300',
		'űzsű'	=>	'02300',
		'űzsz'	=>	'00300',
		'űztr'	=>	'00120',
		'űzug'	=>	'02100',
		'űzúr'	=>	'00100',
		'űzút'	=>	'00100',
		'űzüg'	=>	'02120',
		'űzül'	=>	'02100',
		'űzünn'	=>	'001000',
		'űzüt'	=>	'02100',
		'űzzs'	=>	'00300',
		'va'	=>	'100',
		'vaad'	=>	'00020',
		'vaát'	=>	'00001',
		'vaáta'	=>	'000002',
		'vabl'	=>	'21000',
		'vabra'	=>	'001000',
		'vabs'	=>	'01000',
		'vacsala'	=>	'00001000',
		'vacsan'	=>	'0020100',
		'vacsap'	=>	'0020000',
		'vacsál'	=>	'0020000',
		'vacsü'	=>	'002012',
		'vacsz'	=>	'000030',
		'vadag'	=>	'212000',
		'vadaj'	=>	'002100',
		'vadalé'	=>	'0020000',
		'vadap'	=>	'210000',
		'vadasz'	=>	'0021000',
		'vadata'	=>	'0120000',
		'vadatb'	=>	'0120000',
		'vadatk'	=>	'0120000',
		'vadato'	=>	'0120000',
		'vadatr'	=>	'0120000',
		'vadaz'	=>	'002000',
		'vadál'	=>	'002100',
		'vadeg'	=>	'002000',
		'vadel'	=>	'002120',
		'vaden'	=>	'002000',
		'vadep'	=>	'002000',
		'vader'	=>	'002120',
		'vadet'	=>	'002120',
		'vadél'	=>	'002000',
		'vadéte'	=>	'0001000',
		'vadib'	=>	'002000',
		'vadid'	=>	'002100',
		'vadir'	=>	'002100',
		'vadit'	=>	'002120',
		'vadír'	=>	'002100',
		'vadol'	=>	'002100',
		'vadom'	=>	'200000',
		'vadóh'	=>	'002000',
		'vadói'	=>	'002000',
		'vadój'	=>	'012000',
		'vadór'	=>	'002000',
		'vadóu'	=>	'012000',
		'vadör'	=>	'002100',
		'vadő'	=>	'00212',
		'vadú'	=>	'00210',
		'vadű'	=>	'00200',
		'vadza'	=>	'002000',
		'vadzá'	=>	'002000',
		'vadze'	=>	'002000',
		'vaér'	=>	'00020',
		'vagas'	=>	'002100',
		'vagav'	=>	'002000',
		'vagás'	=>	'002000',
		'vage'	=>	'00212',
		'vagén'	=>	'002120',
		'vagg'	=>	'00010',
		'vagid'	=>	'002000',
		'vagle'	=>	'001000',
		'vagoku'	=>	'0021200',
		'vagoli'	=>	'0020000',
		'vagost'	=>	'0001000',
		'vagosz'	=>	'0021000',
		'vagura'	=>	'0021000',
		'vagú'	=>	'00200',
		'vagyú'	=>	'212000',
		'vajar'	=>	'002100',
		'vajác'	=>	'002100',
		'vajáro'	=>	'0021200',
		'vajeg'	=>	'002120',
		'vají'	=>	'00200',
		'vajol'	=>	'002100',
		'vajós'	=>	'002120',
		'vajö'	=>	'00200',
		'vajü'	=>	'00200',
		'vakad'	=>	'202000',
		'vakadá'	=>	'0001200',
		'vakaj'	=>	'002100',
		'vakakn'	=>	'0001000',
		'vakapá'	=>	'0001000',
		'vakárn'	=>	'0001000',
		'vakás'	=>	'002100',
		'vakát'	=>	'002100',
		'vakeg'	=>	'002000',
		'vakem'	=>	'002000',
		'vakérté'	=>	'00210000',
		'vakis'	=>	'002000',
		'vakír'	=>	'002100',
		'vakós'	=>	'002120',
		'vakrí'	=>	'001000',
		'vakt'	=>	'00012',
		'vakti'	=>	'200000',
		'vaktu'	=>	'210000',
		'vakup'	=>	'200000',
		'vakút'	=>	'002100',
		'valac'	=>	'002000',
		'valaku'	=>	'0020000',
		'valapí'	=>	'0020000',
		'valapú'	=>	'0020000',
		'valláss'	=>	'00000010',
		'vamp'	=>	'21000',
		'vanal'	=>	'212000',
		'vaneg'	=>	'002120',
		'vanem'	=>	'000020',
		'vaneme'	=>	'0001000',
		'vanes'	=>	'002100',
		'vanév'	=>	'000020',
		'vanéve'	=>	'0001000',
		'vanévi'	=>	'0001000',
		'vang'	=>	'20000',
		'vann'	=>	'00030',
		'vanol'	=>	'002000',
		'vanó'	=>	'00200',
		'vanyá'	=>	'212000',
		'vanyó'	=>	'212000',
		'vapl'	=>	'00120',
		'vapos'	=>	'002000',
		'vapr'	=>	'00120',
		'vapu'	=>	'21200',
		'varab'	=>	'002100',
		'varac'	=>	'000020',
		'varacé'	=>	'0001000',
		'varad'	=>	'002120',
		'varajt'	=>	'0001000',
		'varakt'	=>	'0001000',
		'varal'	=>	'002100',
		'varany'	=>	'0020000',
		'varanya'	=>	'00012000',
		'varap'	=>	'002120',
		'varar'	=>	'002120',
		'varassz'	=>	'00210000',
		'varat'	=>	'002100',
		'varav'	=>	'002100',
		'varág'	=>	'002000',
		'varál'	=>	'002100',
		'varány'	=>	'2120000',
		'varászn'	=>	'00210000',
		'varáta'	=>	'0001000',
		'varátf'	=>	'0021000',
		'varátm'	=>	'0021000',
		'varáto'	=>	'0021200',
		'varázá'	=>	'0021200',
		'varca'	=>	'000002',
		'varcag'	=>	'0002000',
		'varcal'	=>	'0002000',
		'varcan'	=>	'0002000',
		'varcc'	=>	'000010',
		'varcho'	=>	'0002300',
		'vares'	=>	'002100',
		'varet'	=>	'002120',
		'varev'	=>	'002000',
		'varég'	=>	'002000',
		'varéks'	=>	'0001000',
		'varél'	=>	'002120',
		'varép'	=>	'002000',
		'varéré'	=>	'0021000',
		'varid'	=>	'002000',
		'variko'	=>	'0021200',
		'varikr'	=>	'0021000',
		'varill'	=>	'0021000',
		'varim'	=>	'002000',
		'varinf'	=>	'0001000',
		'varink'	=>	'0001000',
		'varinv'	=>	'0021000',
		'varip'	=>	'002120',
		'varisk'	=>	'0001000',
		'varism'	=>	'0001000',
		'varí'	=>	'00200',
		'varkan'	=>	'0002100',
		'varkb'	=>	'000120',
		'varkj'	=>	'000120',
		'varkká'	=>	'0001200',
		'varkl'	=>	'000100',
		'varokm'	=>	'0021000',
		'varold'	=>	'0001000',
		'varop'	=>	'002000',
		'varor'	=>	'002000',
		'varön'	=>	'002000',
		'varő'	=>	'00200',
		'vars'	=>	'00002',
		'varsz'	=>	'000002',
		'vartin'	=>	'0002120',
		'vartor'	=>	'0002000',
		'vartó'	=>	'000002',
		'vartór'	=>	'0002100',
		'varut'	=>	'002100',
		'varút'	=>	'002100',
		'varü'	=>	'00212',
		'varű'	=>	'00200',
		'vasabl'	=>	'0001000',
		'vasag'	=>	'002000',
		'vasaj'	=>	'002100',
		'vasarc'	=>	'0001000',
		'vasasz'	=>	'0001000',
		'vasábr'	=>	'0021000',
		'vasál'	=>	'002100',
		'vasárl'	=>	'0021000',
		'vasek'	=>	'002000',
		'vasel'	=>	'002120',
		'vasem'	=>	'002000',
		'vaser'	=>	'002120',
		'vaset'	=>	'002000',
		'vasékk'	=>	'0001000',
		'vasékn'	=>	'0021000',
		'vasékt'	=>	'0001000',
		'vasér'	=>	'000020',
		'vasére'	=>	'0021000',
		'vasérté'	=>	'00210000',
		'vasérv'	=>	'0021000',
		'vasfélév'	=>	'000000020',
		'vasid'	=>	'002000',
		'vasing'	=>	'0021000',
		'vasis'	=>	'002120',
		'vasiz'	=>	'002100',
		'vasön'	=>	'002100',
		'vaső'	=>	'00200',
		'vassze'	=>	'0003000',
		'vasszi'	=>	'0003000',
		'vassző'	=>	'0003000',
		'vast'	=>	'00002',
		'vastró'	=>	'0001000',
		'vasus'	=>	'002000',
		'vasüt'	=>	'002120',
		'vasű'	=>	'00200',
		'vaszel'	=>	'0000120',
		'vaszis'	=>	'0020000',
		'vatad'	=>	'002120',
		'vataj'	=>	'002100',
		'vatau'	=>	'002000',
		'vatál'	=>	'002100',
		'vatáru'	=>	'0021200',
		'vatev'	=>	'002120',
		'vaték'	=>	'002100',
		'vatél'	=>	'002000',
		'vatérte'	=>	'00210000',
		'vatéte'	=>	'0021200',
		'vatid'	=>	'002100',
		'vatim'	=>	'002000',
		'vatinf'	=>	'0001000',
		'vating'	=>	'0001000',
		'vatis'	=>	'002100',
		'vatír'	=>	'002100',
		'vatmo'	=>	'000001',
		'vatmosz'	=>	'00000002',
		'vatokm'	=>	'0021000',
		'vatold'	=>	'0021000',
		'vatöv'	=>	'002120',
		'vatő'	=>	'00002',
		'vatőr'	=>	'002100',
		'vatt'	=>	'00002',
		'vattako'	=>	'20000000',
		'vatur'	=>	'002100',
		'vauk'	=>	'21200',
		'vaun'	=>	'00020',
		'vazate'	=>	'0000210',
		'vazon'	=>	'212000',
		'vá'	=>	'100',
		'vábbaj'	=>	'0002000',
		'vábbas'	=>	'0002100',
		'vábbe'	=>	'000212',
		'vábbé'	=>	'000210',
		'vábbil'	=>	'0002000',
		'vábbol'	=>	'0002000',
		'vábbos'	=>	'0002000',
		'vábbő'	=>	'000200',
		'vábbu'	=>	'000200',
		'vábr'	=>	'20000',
		'vách'	=>	'00230',
		'vácsap'	=>	'0020120',
		'vácse'	=>	'002000',
		'vácsék'	=>	'0020100',
		'vácsip'	=>	'0020000',
		'vácsis'	=>	'0020100',
		'vácső'	=>	'002000',
		'vácsú'	=>	'002000',
		'vácsü'	=>	'002000',
		'vácsz'	=>	'000030',
		'vádal'	=>	'002100',
		'vádan'	=>	'002120',
		'váde'	=>	'00002',
		'vádes'	=>	'002000',
		'vádé'	=>	'00002',
		'vádén'	=>	'002000',
		'vádik'	=>	'002000',
		'vádir'	=>	'002100',
		'vádor'	=>	'002100',
		'vádö'	=>	'00200',
		'vádü'	=>	'00200',
		'vágaz'	=>	'212000',
		'vágr'	=>	'21000',
		'vágú'	=>	'00200',
		'vágyal'	=>	'0020000',
		'vágyan'	=>	'0020000',
		'vágyö'	=>	'002000',
		'vágyő'	=>	'002000',
		'váke'	=>	'00210',
		'vákü'	=>	'00210',
		'válaj'	=>	'002000',
		'válal'	=>	'002120',
		'válan'	=>	'000020',
		'válany'	=>	'0021000',
		'válap'	=>	'002100',
		'válar'	=>	'002000',
		'válaszin'	=>	'000020000',
		'válár'	=>	'002120',
		'válát'	=>	'002100',
		'vále'	=>	'00212',
		'válél'	=>	'002000',
		'válid'	=>	'002000',
		'válin'	=>	'002000',
		'válir'	=>	'002000',
		'válism'	=>	'0020000',
		'vállás'	=>	'2100000',
		'válle'	=>	'000212',
		'vállom'	=>	'2100000',
		'válló'	=>	'210000',
		'vállö'	=>	'000212',
		'válú'	=>	'00200',
		'válü'	=>	'00200',
		'váma'	=>	'00002',
		'vámad'	=>	'002100',
		'vámaj'	=>	'002100',
		'vámak'	=>	'002100',
		'vámal'	=>	'002100',
		'vámas'	=>	'002100',
		'vámau'	=>	'002000',
		'vámá'	=>	'00212',
		'vámb'	=>	'00012',
		'váme'	=>	'00212',
		'vámérté'	=>	'00210000',
		'vámil'	=>	'002000',
		'vámin'	=>	'002100',
		'vámir'	=>	'002100',
		'vámis'	=>	'002000',
		'vámí'	=>	'00200',
		'vámor'	=>	'002100',
		'vámö'	=>	'00200',
		'vámő'	=>	'00200',
		'vámu'	=>	'00002',
		'vámut'	=>	'002100',
		'vámü'	=>	'00200',
		'vánaj'	=>	'002000',
		'vánan'	=>	'000020',
		'vánany'	=>	'0001000',
		'váne'	=>	'00210',
		'vánis'	=>	'002000',
		'vánss'	=>	'000030',
		'vánú'	=>	'00210',
		'vánü'	=>	'00200',
		'ványad'	=>	'0000020',
		'ványaj'	=>	'0020000',
		'ványal'	=>	'0020120',
		'ványan'	=>	'0000020',
		'ványany'	=>	'00200000',
		'ványap'	=>	'0020100',
		'ványar'	=>	'0020000',
		'ványas'	=>	'0020100',
		'ványau'	=>	'0020000',
		'ványaz'	=>	'0020000',
		'ványe'	=>	'002012',
		'ványérd'	=>	'00200000',
		'ványérr'	=>	'00200000',
		'ványérv'	=>	'00200000',
		'ványérz'	=>	'00200000',
		'ványing'	=>	'00201000',
		'ványis'	=>	'0020000',
		'ványír'	=>	'0000120',
		'ványó'	=>	'002012',
		'ványö'	=>	'002000',
		'vápo'	=>	'00200',
		'váradato'	=>	'000120000',
		'váradá'	=>	'0020000',
		'váradó'	=>	'0021200',
		'váradu'	=>	'0021200',
		'váral'	=>	'000020',
		'várala'	=>	'0021000',
		'várale'	=>	'0001000',
		'váraml'	=>	'0020000',
		'váran'	=>	'000020',
		'várany'	=>	'0021000',
		'várar'	=>	'002100',
		'várassz'	=>	'00210000',
		'várasz'	=>	'0021200',
		'várág'	=>	'002000',
		'várál'	=>	'002100',
		'várd'	=>	'00002',
		'váre'	=>	'00212',
		'várisk'	=>	'0001000',
		'várism'	=>	'0001000',
		'várist'	=>	'0001000',
		'várí'	=>	'00200',
		'várold'	=>	'0001000',
		'vároml'	=>	'0021000',
		'váront'	=>	'0021000',
		'városz'	=>	'0000200',
		'városzt'	=>	'00010000',
		'váróné'	=>	'0021200',
		'várö'	=>	'00200',
		'várő'	=>	'00200',
		'várs'	=>	'00002',
		'vársp'	=>	'000100',
		'vársr'	=>	'000100',
		'vártes'	=>	'0002100',
		'váruh'	=>	'002000',
		'várur'	=>	'000120',
		'várusz'	=>	'0001000',
		'várut'	=>	'000100',
		'várú'	=>	'00002',
		'várús'	=>	'002000',
		'várü'	=>	'00200',
		'vásad'	=>	'002120',
		'vásam'	=>	'002000',
		'vásaz'	=>	'002000',
		'vásárad'	=>	'00000120',
		'váse'	=>	'00210',
		'vásik'	=>	'000020',
		'vásiko'	=>	'0001000',
		'vásis'	=>	'002000',
		'vásír'	=>	'002000',
		'váskész'	=>	'00000001',
		'vásó'	=>	'00002',
		'vást'	=>	'00002',
		'vástr'	=>	'000100',
		'vásü'	=>	'00210',
		'vásű'	=>	'00200',
		'vászan'	=>	'0020000',
		'vászav'	=>	'0023000',
		'vásze'	=>	'002010',
		'vászin'	=>	'0020000',
		'váta'	=>	'00002',
		'vátal'	=>	'002100',
		'vátd'	=>	'21000',
		'váter'	=>	'212120',
		'vátfe'	=>	'210000',
		'vátir'	=>	'002100',
		'vátí'	=>	'21200',
		'vátlé'	=>	'010000',
		'vátm'	=>	'21000',
		'vátö'	=>	'21210',
		'vátp'	=>	'21000',
		'vátü'	=>	'21200',
		'vátv'	=>	'21000',
		'vázalj'	=>	'0021000',
		'vázalt'	=>	'0021000',
		'vázatom'	=>	'00212000',
		'vázav'	=>	'002120',
		'váze'	=>	'00212',
		'vázis'	=>	'000012',
		'váziz'	=>	'002000',
		'vází'	=>	'00200',
		'vázos'	=>	'002000',
		'vázö'	=>	'00200',
		'váző'	=>	'00200',
		'vázsa'	=>	'002300',
		'vázsá'	=>	'002300',
		'vázse'	=>	'000300',
		'vázsé'	=>	'002300',
		'vázsö'	=>	'000300',
		'vázsu'	=>	'002300',
		'vázsz'	=>	'000300',
		'vázü'	=>	'00200',
		'vblo'	=>	'00200',
		'vbra'	=>	'00200',
		'vcsőéne'	=>	'00000200',
		'vdrá'	=>	'00200',
		've'	=>	'100',
		'veag'	=>	'00020',
		'veal'	=>	'00020',
		'vean'	=>	'00020',
		'vear'	=>	'00020',
		'veál'	=>	'00020',
		'vece'	=>	'20000',
		'vecet'	=>	'002000',
		'vecl'	=>	'00100',
		'vecseg'	=>	'0020000',
		'vedény'	=>	'2000000',
		'vegab'	=>	'002000',
		'vegac'	=>	'002000',
		'vegar'	=>	'002000',
		'vegas'	=>	'002100',
		'vegaz'	=>	'000020',
		'vegá'	=>	'00212',
		'vegeg'	=>	'002100',
		'vegekéh'	=>	'00212000',
		'vegell'	=>	'0021000',
		'vegelőké'	=>	'000020000',
		'vegelr'	=>	'0021000',
		'veger'	=>	'002120',
		'vegesem'	=>	'00210000',
		'vegesz'	=>	'0021000',
		'vegetet'	=>	'00212000',
		'vegék'	=>	'002100',
		'vegél'	=>	'002100',
		'vegép'	=>	'002100',
		'vegéré'	=>	'0001000',
		'vegérte'	=>	'00010000',
		'vegérv'	=>	'0001000',
		'vegéss'	=>	'0000030',
		'vegész'	=>	'0000200',
		'vegg'	=>	'00002',
		'veggr'	=>	'000100',
		'vegid'	=>	'002000',
		'vegik'	=>	'002000',
		'vegim'	=>	'002000',
		'vegí'	=>	'00200',
		'vegol'	=>	'002000',
		'vegor'	=>	'002000',
		'vegó'	=>	'00212',
		'vegö'	=>	'00212',
		'vegu'	=>	'00210',
		'vegú'	=>	'00200',
		'vegyelem'	=>	'002000000',
		'vegyemb'	=>	'00200000',
		'vegyez'	=>	'0020000',
		'vegyl'	=>	'210000',
		'vegyv'	=>	'200000',
		'vekak'	=>	'002100',
		'vekei'	=>	'212000',
		'vekéb'	=>	'200000',
		'vekébő'	=>	'0020000',
		'vekék'	=>	'212000',
		'vekés'	=>	'212000',
		'veklu'	=>	'001000',
		'vela'	=>	'20000',
		'velef'	=>	'212000',
		'velemz'	=>	'2120000',
		'veletel'	=>	'00002120',
		'velég'	=>	'212000',
		'veléss'	=>	'0000030',
		'velf'	=>	'21000',
		'velgy'	=>	'010000',
		'velha'	=>	'210000',
		'velhel'	=>	'2100000',
		'velis'	=>	'002000',
		'velí'	=>	'21212',
		'veljá'	=>	'010000',
		'velm'	=>	'21000',
		'velos'	=>	'002000',
		'velőirá'	=>	'21200000',
		'velőí'	=>	'212000',
		'velőkés'	=>	'20000000',
		'velőleg'	=>	'21000000',
		'velr'	=>	'21000',
		'velsa'	=>	'210000',
		'velszá'	=>	'2100000',
		'velszo'	=>	'2100000',
		'veltá'	=>	'210000',
		'velter'	=>	'2100000',
		'veltér'	=>	'2100000',
		'velto'	=>	'210000',
		'velvá'	=>	'210000',
		'velvek'	=>	'2100000',
		'velyö'	=>	'002000',
		'velyu'	=>	'002000',
		'velz'	=>	'21000',
		'vembó'	=>	'210000',
		'vemel'	=>	'212000',
		'veml'	=>	'21000',
		'vemu'	=>	'21200',
		'venad'	=>	'002100',
		'venau'	=>	'002000',
		'vená'	=>	'00210',
		'veneg'	=>	'002120',
		'venel'	=>	'002120',
		'venesz'	=>	'0021000',
		'venévi'	=>	'0021200',
		'venf'	=>	'00012',
		'veng'	=>	'00012',
		'venk'	=>	'00032',
		'veno'	=>	'00210',
		'venó'	=>	'00212',
		'venö'	=>	'00200',
		'ventü'	=>	'000002',
		'ventül'	=>	'0002100',
		'venülé'	=>	'0001000',
		'venyö'	=>	'002000',
		'venz'	=>	'21000',
		'veór'	=>	'00020',
		'veör'	=>	'00200',
		'vepe'	=>	'00200',
		'vepr'	=>	'00120',
		'verab'	=>	'002000',
		'verac'	=>	'002120',
		'verad'	=>	'002120',
		'verag'	=>	'002120',
		'verajá'	=>	'0020000',
		'veral'	=>	'000020',
		'veran'	=>	'000020',
		'verar'	=>	'002120',
		'verau'	=>	'002100',
		'veraz'	=>	'002000',
		'verág'	=>	'002100',
		'verál'	=>	'002100',
		'verdő'	=>	'200000',
		'veregy'	=>	'0001000',
		'vereh'	=>	'002120',
		'verekl'	=>	'0020000',
		'verel'	=>	'002120',
		'vereng'	=>	'0021000',
		'verer'	=>	'002100',
		'vereső'	=>	'0021200',
		'veresz'	=>	'0021000',
		'verél'	=>	'002120',
		'verg'	=>	'00012',
		'veriga'	=>	'0021000',
		'verill'	=>	'0021000',
		'verim'	=>	'002000',
		'verinc'	=>	'0021000',
		'verind'	=>	'0020000',
		'verinf'	=>	'0021000',
		'vering'	=>	'0021000',
		'verinte'	=>	'00010000',
		'veripa'	=>	'0001000',
		'veris'	=>	'002000',
		'verol'	=>	'002100',
		'veror'	=>	'002000',
		'veró'	=>	'00200',
		'verór'	=>	'000120',
		'verö'	=>	'00200',
		'verp'	=>	'00012',
		'versal'	=>	'0002100',
		'versár'	=>	'0002000',
		'verség'	=>	'0000020',
		'verségé'	=>	'00021000',
		'verségg'	=>	'00021000',
		'verségn'	=>	'00021000',
		'verségt'	=>	'00021000',
		'versir'	=>	'0002000',
		'versí'	=>	'000212',
		'versó'	=>	'000200',
		'verss'	=>	'000030',
		'versüt'	=>	'0002100',
		'verszár'	=>	'00003000',
		'verszen'	=>	'00003000',
		'vertra'	=>	'0001000',
		'verur'	=>	'002000',
		'verut'	=>	'002100',
		'verút'	=>	'002000',
		'verüg'	=>	'002120',
		'vesan'	=>	'002000',
		'vesas'	=>	'002000',
		'vesál'	=>	'002100',
		'vesekétő'	=>	'002120000',
		'veset'	=>	'000002',
		'vesett'	=>	'2120000',
		'vesip'	=>	'002000',
		'vesis'	=>	'002000',
		'vesíz'	=>	'002100',
		'veská'	=>	'001000',
		'veső'	=>	'21200',
		'vessza'	=>	'0003000',
		'vesszer'	=>	'00030000',
		'vest'	=>	'00002',
		'vesu'	=>	'00212',
		'veszekn'	=>	'21200000',
		'veszm'	=>	'210000',
		'veszű'	=>	'212000',
		'vetal'	=>	'000020',
		'vetas'	=>	'002000',
		'vetál'	=>	'002000',
		'vetár'	=>	'002120',
		'vetegy'	=>	'0001000',
		'vetelől'	=>	'00212000',
		'vetég'	=>	'002000',
		'veték'	=>	'002120',
		'vetid'	=>	'002000',
		'vetika'	=>	'2120000',
		'vetim'	=>	'012000',
		'veting'	=>	'0021000',
		'vetol'	=>	'002100',
		'vetöl'	=>	'002100',
		'vetöv'	=>	'002000',
		'vetőé'	=>	'000002',
		'vetur'	=>	'002000',
		'vetut'	=>	'002100',
		'vetűz'	=>	'002120',
		'vevet'	=>	'002000',
		'vevo'	=>	'21200',
		'vezőer'	=>	'0000020',
		'vezőkész'	=>	'000000001',
		'vezősorr'	=>	'000020000',
		'vezőss'	=>	'0000010',
		'vezr'	=>	'21000',
		'vé'	=>	'100',
		'véág'	=>	'00020',
		'vébr'	=>	'21000',
		'védak'	=>	'002000',
		'védal'	=>	'000020',
		'védas'	=>	'002100',
		'védá'	=>	'00200',
		'védemb'	=>	'0021000',
		'védos'	=>	'002000',
		'védóv'	=>	'002000',
		'védö'	=>	'00200',
		'védú'	=>	'00200',
		'védz'	=>	'00200',
		'véfr'	=>	'00120',
		'véga'	=>	'00002',
		'végab'	=>	'002000',
		'végak'	=>	'002000',
		'végal'	=>	'002000',
		'végá'	=>	'00212',
		'végeg'	=>	'002100',
		'végele'	=>	'0021200',
		'végelg'	=>	'0021000',
		'végelh'	=>	'0021000',
		'végeli'	=>	'0021000',
		'végell'	=>	'0021000',
		'végels'	=>	'0021000',
		'végelv'	=>	'0021000',
		'végem'	=>	'000200',
		'végen'	=>	'000020',
		'végeny'	=>	'0021000',
		'végep'	=>	'002100',
		'véger'	=>	'002100',
		'végesem'	=>	'00210000',
		'végesete'	=>	'002120000',
		'végeté'	=>	'0020000',
		'végető'	=>	'0020000',
		'végéren'	=>	'00212000',
		'végéré'	=>	'0021200',
		'végérr'	=>	'0021000',
		'végérv'	=>	'0001000',
		'végg'	=>	'00030',
		'véghü'	=>	'200000',
		'végid'	=>	'002100',
		'végigaz'	=>	'00000001',
		'végim'	=>	'002000',
		'végiz'	=>	'002000',
		'végí'	=>	'00210',
		'végkötés'	=>	'000000001',
		'végol'	=>	'002000',
		'végó'	=>	'00212',
		'végö'	=>	'00200',
		'végú'	=>	'00200',
		'véhen'	=>	'212000',
		'véhes'	=>	'212000',
		'véhs'	=>	'21000',
		'vékei'	=>	'002000',
		'vékít'	=>	'002000',
		'vékl'	=>	'00120',
		'vékré'	=>	'001200',
		'vékri'	=>	'001200',
		'véks'	=>	'21000',
		'vékük'	=>	'002000',
		'véla'	=>	'00212',
		'véláb'	=>	'002000',
		'vélál'	=>	'002000',
		'vélár'	=>	'002100',
		'véleg'	=>	'002000',
		'vélell'	=>	'0001000',
		'vélels'	=>	'0001000',
		'vélelt'	=>	'0001000',
		'vélemb'	=>	'0001000',
		'véleme'	=>	'0021000',
		'véler'	=>	'002120',
		'véles'	=>	'002000',
		'véless'	=>	'0001000',
		'vélest'	=>	'0001000',
		'vélev'	=>	'002000',
		'vélez'	=>	'002000',
		'vélék'	=>	'002120',
		'vélin'	=>	'002000',
		'vélir'	=>	'002000',
		'vélí'	=>	'00200',
		'vélos'	=>	'002000',
		'vélői'	=>	'002000',
		'vélős'	=>	'002000',
		'véltáv'	=>	'0000020',
		'vélu'	=>	'00210',
		'vélú'	=>	'00200',
		'vélű'	=>	'00200',
		'vénap'	=>	'000010',
		'vénekl'	=>	'2000000',
		'vénemb'	=>	'0021000',
		'vényeg'	=>	'0020100',
		'vényel'	=>	'0000020',
		'vényele'	=>	'00001000',
		'vényels'	=>	'00001000',
		'vényid'	=>	'0020000',
		'vényis'	=>	'0020000',
		'vényí'	=>	'002010',
		'vényú'	=>	'002000',
		'vényül'	=>	'0000020',
		'vényülé'	=>	'00201000',
		'vényült'	=>	'00201000',
		'vépí'	=>	'21200',
		'vépl'	=>	'00120',
		'vépr'	=>	'00120',
		'vépü'	=>	'21200',
		'véral'	=>	'002000',
		'véran'	=>	'002120',
		'vérap'	=>	'002000',
		'vérar'	=>	'002000',
		'véraz'	=>	'002000',
		'vérár'	=>	'002100',
		'vérát'	=>	'002000',
		'vérd'	=>	'00012',
		'vérel'	=>	'002120',
		'véreml'	=>	'0001000',
		'véress'	=>	'0000030',
		'véreti'	=>	'0001000',
		'vérés'	=>	'002000',
		'vérész'	=>	'0001000',
		'véréte'	=>	'0001000',
		'vérikr'	=>	'0001000',
		'vérir'	=>	'002000',
		'vérok'	=>	'002120',
		'vérot'	=>	'002000',
		'véróv'	=>	'002000',
		'vérs'	=>	'00010',
		'vértess'	=>	'00000010',
		'vértöv'	=>	'0002000',
		'véru'	=>	'00002',
		'vérug'	=>	'002000',
		'vérut'	=>	'002000',
		'vérú'	=>	'00210',
		'vérükü'	=>	'0000200',
		'vésak'	=>	'002000',
		'vésal'	=>	'002000',
		'véseg'	=>	'002000',
		'vésel'	=>	'000020',
		'vésele'	=>	'0001000',
		'véselt'	=>	'0001000',
		'véser'	=>	'002100',
		'vésó'	=>	'00200',
		'véspe'	=>	'001200',
		'vésszer'	=>	'00030000',
		'véstáb'	=>	'0002000',
		'vésüv'	=>	'002120',
		'vészav'	=>	'0003000',
		'vészár'	=>	'0000120',
		'vészeg'	=>	'0020000',
		'vészell'	=>	'00001000',
		'vészékn'	=>	'00201000',
		'vésző'	=>	'002012',
		'vészs'	=>	'000030',
		'vészu'	=>	'002000',
		'vészú'	=>	'000002',
		'vészúr'	=>	'0000100',
		'vészül'	=>	'0000020',
		'vészülé'	=>	'00001000',
		'vétest'	=>	'0001000',
		'véva'	=>	'00300',
		'vévb'	=>	'21000',
		'vévei'	=>	'200000',
		'vévek'	=>	'212000',
		'véven'	=>	'212000',
		'vévéé'	=>	'212000',
		'vévér'	=>	'212000',
		'vévr'	=>	'21000',
		'vévt'	=>	'21000',
		'vévü'	=>	'21200',
		'vfelem'	=>	'0002100',
		'vfra'	=>	'00200',
		'vfre'	=>	'00200',
		'vfri'	=>	'00200',
		'vfro'	=>	'00200',
		'vgeo'	=>	'00020',
		'vgra'	=>	'00200',
		'vgrá'	=>	'00200',
		'vhanga'	=>	'0000023',
		'vhez'	=>	'00001',
		'vi'	=>	'100',
		'viaa'	=>	'00200',
		'viab'	=>	'00200',
		'viac'	=>	'00200',
		'viaé'	=>	'00200',
		'viag'	=>	'00200',
		'viap'	=>	'00020',
		'viaszal'	=>	'00020000',
		'viaszál'	=>	'00020100',
		'viaszárn'	=>	'000201000',
		'viaszem'	=>	'00020100',
		'viaszé'	=>	'0000002',
		'viaszél'	=>	'00020000',
		'viaszö'	=>	'0002000',
		'viára'	=>	'000002',
		'viárad'	=>	'0000100',
		'vicca'	=>	'000210',
		'vické'	=>	'200000',
		'vicsag'	=>	'0020000',
		'vicsal'	=>	'0020000',
		'vicsan'	=>	'0020100',
		'vicsas'	=>	'0020100',
		'vicsál'	=>	'0020000',
		'vicsel'	=>	'0020120',
		'vicsérté'	=>	'002000000',
		'vicsi'	=>	'000002',
		'vicsim'	=>	'0020000',
		'vicsip'	=>	'0020000',
		'vicsö'	=>	'002012',
		'vicsú'	=>	'002000',
		'vicsz'	=>	'000030',
		'videg'	=>	'002000',
		'videsz'	=>	'0021000',
		'vidéz'	=>	'200000',
		'vidő'	=>	'21200',
		'vidz'	=>	'00200',
		'view'	=>	'00200',
		'vigaz'	=>	'212000',
		'vigén'	=>	'212000',
		'vika'	=>	'00002',
		'vikag'	=>	'002100',
		'vikel'	=>	'002100',
		'vikon'	=>	'002000',
		'vilék'	=>	'002100',
		'villas'	=>	'0000010',
		'villasz'	=>	'00000002',
		'villu'	=>	'200000',
		'vimá'	=>	'00200',
		'vimm'	=>	'21000',
		'vinat'	=>	'000012',
		'vind'	=>	'20000',
		'vinemb'	=>	'0021000',
		'vinó'	=>	'00210',
		'vintess'	=>	'00020000',
		'vintesz'	=>	'00020000',
		'vinté'	=>	'200000',
		'vintos'	=>	'0002000',
		'vion'	=>	'21200',
		'vipa'	=>	'20000',
		'vips'	=>	'00120',
		'viratot'	=>	'21200000',
		'virod'	=>	'212000',
		'visa'	=>	'00002',
		'visal'	=>	'002000',
		'visau'	=>	'002100',
		'viság'	=>	'002120',
		'viser'	=>	'002000',
		'visék'	=>	'002100',
		'visim'	=>	'002000',
		'visis'	=>	'002100',
		'visiz'	=>	'002000',
		'visö'	=>	'00200',
		'viszár'	=>	'0020000',
		'viszok'	=>	'0020000',
		'vita'	=>	'00020',
		'vitad'	=>	'003000',
		'vitakész'	=>	'000000001',
		'vital'	=>	'200000',
		'vitelő'	=>	'0000002',
		'vitn'	=>	'20000',
		'vitú'	=>	'00210',
		'vizeg'	=>	'002000',
		'vizell'	=>	'0021000',
		'vizél'	=>	'000120',
		'vizin'	=>	'002000',
		'vizok'	=>	'002000',
		'vizol'	=>	'002000',
		'vizom'	=>	'002000',
		'vizos'	=>	'000100',
		'vizsá'	=>	'002000',
		'vizsz'	=>	'000300',
		'vizud'	=>	'002000',
		'vizú'	=>	'00200',
		'ví'	=>	'100',
		'vídi'	=>	'00002',
		'víge'	=>	'00200',
		'víny'	=>	'00200',
		'vínyenc'	=>	'00000001',
		'víra'	=>	'21200',
		'vírá'	=>	'21200',
		'víró'	=>	'21200',
		'vítéletb'	=>	'023000000',
		'vítélete'	=>	'200000000',
		'vívb'	=>	'21000',
		'vívókész'	=>	'000000001',
		'víza'	=>	'00212',
		'vízá'	=>	'00200',
		'vízel'	=>	'002000',
		'vízele'	=>	'0001200',
		'vízelf'	=>	'0001000',
		'vízelh'	=>	'0001000',
		'vízell'	=>	'0001000',
		'vízeln'	=>	'0001000',
		'vízelő'	=>	'0001000',
		'vízelp'	=>	'0001000',
		'vízels'	=>	'0001000',
		'vízelt'	=>	'0001000',
		'vízelv'	=>	'0001000',
		'vízem'	=>	'000020',
		'vízemb'	=>	'0001000',
		'vízeme'	=>	'0001000',
		'vízemé'	=>	'0001000',
		'vízék'	=>	'002000',
		'vízés'	=>	'002000',
		'vízing'	=>	'0021000',
		'vízisk'	=>	'0000100',
		'vízist'	=>	'0021000',
		'vízisz'	=>	'0021000',
		'vízí'	=>	'00200',
		'vízo'	=>	'00210',
		'vízó'	=>	'00212',
		'vízö'	=>	'00200',
		'víző'	=>	'00212',
		'vízs'	=>	'00232',
		'vízú'	=>	'00200',
		'vízü'	=>	'00002',
		'vízű'	=>	'21200',
		'vízz'	=>	'00030',
		'vjáratút'	=>	'000002100',
		'vjegya'	=>	'0002000',
		'vjetel'	=>	'0002000',
		'vjetu'	=>	'000200',
		'vkial'	=>	'000020',
		'vkiá'	=>	'00002',
		'vkli'	=>	'00200',
		'vkló'	=>	'00200',
		'vklu'	=>	'00200',
		'vkri'	=>	'00200',
		'vkrí'	=>	'00200',
		'vkró'	=>	'00200',
		'vlate'	=>	'000200',
		'vleí'	=>	'00002',
		'vleü'	=>	'00002',
		'vmeg'	=>	'00021',
		'vnapin'	=>	'0002100',
		'vo'	=>	'100',
		'voil'	=>	'00200',
		'voji'	=>	'00200',
		'vokí'	=>	'00200',
		'vokm'	=>	'21000',
		'vokss'	=>	'000030',
		'vokta'	=>	'210000',
		'volat'	=>	'000010',
		'voldá'	=>	'210000',
		'voltad'	=>	'0002120',
		'vome'	=>	'00002',
		'vomec'	=>	'000003',
		'vonale'	=>	'0000212',
		'vonate'	=>	'0000210',
		'vonáss'	=>	'0000010',
		'vonász'	=>	'0000230',
		'vood'	=>	'00200',
		'vope'	=>	'00200',
		'vora'	=>	'00212',
		'vorin'	=>	'002100',
		'vorm'	=>	'21000',
		'vosas'	=>	'002100',
		'vosav'	=>	'002100',
		'vose'	=>	'00210',
		'voss'	=>	'00032',
		'vosú'	=>	'00210',
		'vosü'	=>	'00200',
		'vouc'	=>	'00200',
		'vová'	=>	'00200',
		'voxi'	=>	'00200',
		'vó'	=>	'100',
		'vóak'	=>	'00020',
		'vóág'	=>	'00020',
		'vóár'	=>	'00020',
		'vócsapá'	=>	'00000212',
		'vódre'	=>	'001200',
		'vófr'	=>	'00120',
		'vókl'	=>	'00120',
		'vónn'	=>	'21000',
		'vóór'	=>	'00020',
		'vópl'	=>	'00120',
		'vópr'	=>	'00120',
		'vóran'	=>	'002000',
		'vórák'	=>	'002000',
		'vórán'	=>	'002000',
		'vórát'	=>	'002000',
		'vósakk'	=>	'0021000',
		'vósal'	=>	'002120',
		'vóseg'	=>	'002000',
		'vósiv'	=>	'002100',
		'vósol'	=>	'002000',
		'vósorr'	=>	'0021000',
		'vósó'	=>	'00200',
		'vósö'	=>	'00200',
		'vóső'	=>	'00200',
		'vóspi'	=>	'001000',
		'vóss'	=>	'00030',
		'vóstr'	=>	'000100',
		'vósz'	=>	'00102',
		'vószak'	=>	'0000021',
		'vószár'	=>	'0023000',
		'vószen'	=>	'0023000',
		'vótat'	=>	'000012',
		'vótr'	=>	'00120',
		'vóvárosu'	=>	'000000010',
		'vö'	=>	'100',
		'vöbö'	=>	'00200',
		'vödém'	=>	'002000',
		'vöko'	=>	'21200',
		'völgya'	=>	'0002000',
		'vörök'	=>	'212000',
		'vötl'	=>	'21000',
		'vöve'	=>	'00200',
		'vövé'	=>	'00200',
		'vözön'	=>	'210000',
		'vözőe'	=>	'000003',
		'vözs'	=>	'00200',
		'vő'	=>	'100',
		'vőan'	=>	'00020',
		'vőág'	=>	'00020',
		'vőel'	=>	'00020',
		'vőer'	=>	'00020',
		'vőéj'	=>	'00020',
		'vőén'	=>	'00020',
		'vőfl'	=>	'00100',
		'vőfr'	=>	'00120',
		'vőidejű'	=>	'00030000',
		'vőkl'	=>	'00100',
		'vőol'	=>	'00020',
		'vőpl'	=>	'00100',
		'vőpr'	=>	'00100',
		'vőrm'	=>	'01000',
		'vőrü'	=>	'01200',
		'vősp'	=>	'00120',
		'vősta'	=>	'001000',
		'vőstr'	=>	'001000',
		'vőtr'	=>	'00120',
		'vőül'	=>	'00020',
		'vőzi'	=>	'00200',
		'vpla'	=>	'00200',
		'vpra'	=>	'00200',
		'vpre'	=>	'00200',
		'vpré'	=>	'00200',
		'vpri'	=>	'00200',
		'vpro'	=>	'00200',
		'vpró'	=>	'00200',
		'vpsz'	=>	'00200',
		'vská'	=>	'00200',
		'vski'	=>	'00200',
		'vsko'	=>	'00200',
		'vslá'	=>	'00200',
		'vspe'	=>	'00200',
		'vsta'	=>	'00200',
		'vsti'	=>	'00200',
		'vstí'	=>	'00200',
		'vsto'	=>	'00200',
		'vstr'	=>	'00020',
		'vstú'	=>	'00200',
		'vszp'	=>	'00020',
		'vszt'	=>	'01020',
		'vtanás'	=>	'0002120',
		'vtanáto'	=>	'00021200',
		'vtanó'	=>	'000212',
		'vtáraj'	=>	'0002000',
		'vtárass'	=>	'00021000',
		'vtáris'	=>	'0002000',
		'vtáró'	=>	'000002',
		'vtárór'	=>	'0002100',
		'vteléss'	=>	'00000010',
		'vtra'	=>	'00200',
		'vtré'	=>	'00200',
		'vtri'	=>	'00200',
		'vtro'	=>	'00200',
		'vu'	=>	'100',
		'vubo'	=>	'00200',
		'vumal'	=>	'002000',
		'vuman'	=>	'002000',
		'vume'	=>	'00212',
		'vumis'	=>	'002000',
		'vumö'	=>	'00200',
		'vuni'	=>	'21200',
		'vura'	=>	'00200',
		'vuru'	=>	'00200',
		'vutak'	=>	'212000',
		'vutas'	=>	'212000',
		'vutat'	=>	'212000',
		'vutá'	=>	'00200',
		'vutc'	=>	'01000',
		'vutó'	=>	'01200',
		'vú'	=>	'100',
		'vúfr'	=>	'00100',
		'vújd'	=>	'01000',
		'vújí'	=>	'01200',
		'vújs'	=>	'01000',
		'vúrad'	=>	'002100',
		'vúre'	=>	'00200',
		'vúré'	=>	'00002',
		'vúrén'	=>	'002000',
		'vúrö'	=>	'00200',
		'vúszó'	=>	'002000',
		'vútn'	=>	'01000',
		'vü'	=>	'100',
		'vügy'	=>	'00200',
		'vükü'	=>	'00200',
		'vülá'	=>	'00200',
		'vüld'	=>	'21000',
		'vünn'	=>	'21000',
		'vüpr'	=>	'00100',
		'vürí'	=>	'00200',
		'vüst'	=>	'00100',
		'vüsz'	=>	'00102',
		'vüte'	=>	'00200',
		'vüté'	=>	'00200',
		'vüzé'	=>	'00200',
		'vű'	=>	'100',
		'vűrl'	=>	'21000',
		'vűző'	=>	'00200',
		'vvágyób'	=>	'00000100',
		'vveréss'	=>	'00000030',
		'vzáróra'	=>	'00021200',
		'wa'	=>	'100',
		'waii'	=>	'00200',
		'wale'	=>	'00200',
		'wardi'	=>	'000210',
		'ware'	=>	'00200',
		'wash'	=>	'00120',
		'waye'	=>	'00100',
		'wayé'	=>	'00100',
		'wá'	=>	'100',
		'we'	=>	'100',
		'weba'	=>	'00212',
		'webá'	=>	'00212',
		'webele'	=>	'0021000',
		'webé'	=>	'00210',
		'webir'	=>	'002000',
		'webo'	=>	'00210',
		'webú'	=>	'00210',
		'webü'	=>	'00200',
		'weed'	=>	'00200',
		'week'	=>	'00200',
		'weig'	=>	'00200',
		'weis'	=>	'00200',
		'wele'	=>	'00200',
		'weör'	=>	'00200',
		'wé'	=>	'100',
		'whit'	=>	'00020',
		'wi'	=>	'100',
		'wich'	=>	'00200',
		'wicz'	=>	'00200',
		'wí'	=>	'100',
		'wo'	=>	'100',
		'wood'	=>	'00200',
		'wó'	=>	'100',
		'wö'	=>	'100',
		'wő'	=>	'100',
		'writ'	=>	'00020',
		'wsto'	=>	'00002',
		'wu'	=>	'100',
		'wú'	=>	'100',
		'wü'	=>	'100',
		'wű'	=>	'100',
		'wyom'	=>	'00021',
		'xa'	=>	'100',
		'xada'	=>	'01200',
		'xadá'	=>	'00200',
		'xaéd'	=>	'00020',
		'xafl'	=>	'00100',
		'xakl'	=>	'00120',
		'xakt'	=>	'21000',
		'xala'	=>	'21200',
		'xalg'	=>	'21000',
		'xalj'	=>	'21000',
		'xalk'	=>	'21000',
		'xana'	=>	'00200',
		'xany'	=>	'01200',
		'xará'	=>	'01200',
		'xari'	=>	'00200',
		'xavi'	=>	'00200',
		'xá'	=>	'100',
		'xábr'	=>	'21000',
		'xágy'	=>	'00200',
		'xáll'	=>	'21000',
		'xárak'	=>	'002000',
		'xáram'	=>	'212000',
		'xáras'	=>	'002000',
		'xáro'	=>	'21200',
		'xárr'	=>	'21000',
		'xáru'	=>	'21200',
		'xátj'	=>	'21000',
		'xátr'	=>	'21000',
		'xátv'	=>	'21000',
		'xbal'	=>	'00021',
		'xbla'	=>	'00200',
		'xblo'	=>	'00200',
		'xbra'	=>	'00200',
		'xdró'	=>	'00200',
		'xe'	=>	'100',
		'xegy'	=>	'01200',
		'xela'	=>	'00210',
		'xelá'	=>	'00210',
		'xelekt'	=>	'2120000',
		'xelel'	=>	'002000',
		'xelemb'	=>	'0021000',
		'xelemr'	=>	'2120000',
		'xelesz'	=>	'0021000',
		'xelin'	=>	'002100',
		'xelo'	=>	'00210',
		'xemel'	=>	'210000',
		'xeml'	=>	'21000',
		'xerő'	=>	'21200',
		'xesé'	=>	'21200',
		'xezü'	=>	'21200',
		'xé'	=>	'100',
		'xéhs'	=>	'21000',
		'xépí'	=>	'00200',
		'xérte'	=>	'210000',
		'xérté'	=>	'210000',
		'xértő'	=>	'210000',
		'xérz'	=>	'21000',
		'xévei'	=>	'200000',
		'xfre'	=>	'00200',
		'xhau'	=>	'00020',
		'xi'	=>	'100',
		'xian'	=>	'00020',
		'xiav'	=>	'00200',
		'xidal'	=>	'002120',
		'xidá'	=>	'20000',
		'xidás'	=>	'002000',
		'xide'	=>	'20200',
		'xidé'	=>	'20000',
		'xidgá'	=>	'200000',
		'xidi'	=>	'00212',
		'xidjá'	=>	'200000',
		'xidjé'	=>	'200000',
		'xidl'	=>	'20000',
		'xidm'	=>	'20000',
		'xidol'	=>	'002000',
		'xidö'	=>	'00200',
		'xidő'	=>	'20200',
		'xidőz'	=>	'000100',
		'xidro'	=>	'001200',
		'xidró'	=>	'200000',
		'xids'	=>	'20000',
		'xidu'	=>	'20000',
		'xidv'	=>	'20000',
		'xidz'	=>	'20200',
		'xiel'	=>	'00200',
		'xiga'	=>	'21200',
		'xigénn'	=>	'0000010',
		'xilc'	=>	'20000',
		'xill'	=>	'21000',
		'xina'	=>	'00002',
		'xinan'	=>	'002100',
		'xind'	=>	'21000',
		'xine'	=>	'00002',
		'xinet'	=>	'002100',
		'xini'	=>	'00212',
		'xinö'	=>	'00200',
		'xion'	=>	'00200',
		'xióc'	=>	'00200',
		'xióe'	=>	'00200',
		'xióg'	=>	'00200',
		'xiómé'	=>	'002000',
		'xióo'	=>	'00200',
		'xióö'	=>	'00200',
		'xióp'	=>	'00200',
		'xiórá'	=>	'000200',
		'xirá'	=>	'21200',
		'xiro'	=>	'21200',
		'xisad'	=>	'002000',
		'xisal'	=>	'002000',
		'xise'	=>	'00002',
		'xisel'	=>	'002100',
		'xises'	=>	'002100',
		'xiská'	=>	'001200',
		'xisp'	=>	'00010',
		'xiss'	=>	'00030',
		'xisü'	=>	'00210',
		'xiteg'	=>	'002120',
		'xiter'	=>	'002120',
		'xité'	=>	'00210',
		'xiti'	=>	'00212',
		'xitü'	=>	'00212',
		'xí'	=>	'100',
		'xíja'	=>	'00200',
		'xíjá'	=>	'00200',
		'xíjo'	=>	'00200',
		'xíju'	=>	'00200',
		'xírá'	=>	'01200',
		'xíró'	=>	'00200',
		'xívn'	=>	'21000',
		'xívü'	=>	'21200',
		'xívv'	=>	'21000',
		'xo'	=>	'100',
		'xold'	=>	'21000',
		'xonai'	=>	'002100',
		'xonal'	=>	'002100',
		'xone'	=>	'00210',
		'xope'	=>	'00200',
		'xopl'	=>	'00120',
		'xosz'	=>	'21000',
		'xó'	=>	'100',
		'xö'	=>	'100',
		'xödé'	=>	'00200',
		'xörö'	=>	'00200',
		'xözö'	=>	'00200',
		'xő'	=>	'100',
		'xősé'	=>	'00200',
		'xpla'	=>	'00200',
		'xporta'	=>	'0000212',
		'xportár'	=>	'00002120',
		'xporte'	=>	'0000212',
		'xportérd'	=>	'000021000',
		'xportü'	=>	'0000212',
		'xpri'	=>	'00200',
		'xpro'	=>	'01200',
		'xpró'	=>	'01200',
		'xská'	=>	'00200',
		'xspe'	=>	'00200',
		'xsta'	=>	'00200',
		'xstr'	=>	'00020',
		'xted'	=>	'02120',
		'xtila'	=>	'000200',
		'xtilá'	=>	'000200',
		'xtileg'	=>	'0002000',
		'xtilin'	=>	'0002000',
		'xtilis'	=>	'0002000',
		'xtilo'	=>	'000210',
		'xtört'	=>	'001000',
		'xu'	=>	'100',
		'xusad'	=>	'002000',
		'xusal'	=>	'002000',
		'xusan'	=>	'002120',
		'xuse'	=>	'00210',
		'xusérté'	=>	'00210000',
		'xusi'	=>	'00002',
		'xusil'	=>	'002000',
		'xusim'	=>	'002000',
		'xusin'	=>	'002000',
		'xusit'	=>	'002000',
		'xusol'	=>	'002100',
		'xusó'	=>	'00212',
		'xusö'	=>	'00212',
		'xuss'	=>	'00030',
		'xust'	=>	'00002',
		'xustr'	=>	'000100',
		'xusus'	=>	'002000',
		'xusú'	=>	'00002',
		'xusút'	=>	'002100',
		'xusü'	=>	'00200',
		'xusű'	=>	'00210',
		'xusz'	=>	'00230',
		'xuta'	=>	'00200',
		'xú'	=>	'100',
		'xü'	=>	'100',
		'xülé'	=>	'00200',
		'xüve'	=>	'00200',
		'xüze'	=>	'00200',
		'xű'	=>	'100',
		'yaad'	=>	'00020',
		'yabla'	=>	'010000',
		'yabon'	=>	'012000',
		'yabra'	=>	'010000',
		'yabri'	=>	'001000',
		'yabs'	=>	'01000',
		'yadako'	=>	'0020000',
		'yadalé'	=>	'0020000',
		'yadap'	=>	'010000',
		'yadata'	=>	'0120000',
		'yadatb'	=>	'0120000',
		'yadati'	=>	'0020000',
		'yadato'	=>	'0120000',
		'yadatu'	=>	'0020000',
		'yadéki'	=>	'0000200',
		'yadés'	=>	'002100',
		'yadév'	=>	'002000',
		'yadmi'	=>	'010000',
		'yadóan'	=>	'0020000',
		'yadóbó'	=>	'0020000',
		'yadóé'	=>	'002000',
		'yadói'	=>	'012000',
		'yadój'	=>	'012000',
		'yadóké'	=>	'0020000',
		'yadókt'	=>	'0020000',
		'yadóm'	=>	'012000',
		'yadóná'	=>	'0020000',
		'yadór'	=>	'012000',
		'yadós'	=>	'012000',
		'yadóu'	=>	'012000',
		'yaer'	=>	'00020',
		'yaero'	=>	'002000',
		'yaet'	=>	'00020',
		'yaér'	=>	'00020',
		'yaff'	=>	'01000',
		'yafr'	=>	'00120',
		'yagad'	=>	'002120',
		'yagag'	=>	'002100',
		'yagam'	=>	'002100',
		'yagan'	=>	'002000',
		'yaganc'	=>	'0100000',
		'yagas'	=>	'002120',
		'yagatl'	=>	'0021000',
		'yagato'	=>	'0021000',
		'yagau'	=>	'002000',
		'yagaz'	=>	'000020',
		'yagazo'	=>	'0001000',
		'yagáll'	=>	'0021000',
		'yagárá'	=>	'0001000',
		'yagárb'	=>	'0001000',
		'yagáré'	=>	'0001200',
		'yagárh'	=>	'0001000',
		'yagári'	=>	'0001000',
		'yagárj'	=>	'0001000',
		'yagárk'	=>	'0001000',
		'yagáro'	=>	'0001200',
		'yagárs'	=>	'0001000',
		'yagárt'	=>	'0001000',
		'yagás'	=>	'002000',
		'yagáta'	=>	'0001012',
		'yagátf'	=>	'0021000',
		'yagátl'	=>	'0021000',
		'yagátr'	=>	'0021000',
		'yagd'	=>	'00012',
		'yagec'	=>	'002000',
		'yagel'	=>	'002100',
		'yages'	=>	'002100',
		'yagég'	=>	'002120',
		'yagék'	=>	'002000',
		'yaggr'	=>	'010000',
		'yaggyú'	=>	'0003000',
		'yagid'	=>	'002000',
		'yagim'	=>	'002000',
		'yagio'	=>	'002100',
		'yagisz'	=>	'0001000',
		'yagiz'	=>	'002000',
		'yagí'	=>	'00200',
		'yagosz'	=>	'0021000',
		'yagór'	=>	'002120',
		'yagő'	=>	'00200',
		'yags'	=>	'00010',
		'yagur'	=>	'002000',
		'yagut'	=>	'002100',
		'yagyat'	=>	'0120000',
		'yagyb'	=>	'010000',
		'yagyf'	=>	'010000',
		'yagyk'	=>	'010000',
		'yagyon'	=>	'0120000',
		'yagyr'	=>	'010000',
		'yajak'	=>	'012000',
		'yaján'	=>	'012000',
		'yajk'	=>	'01000',
		'yajt'	=>	'01000',
		'yakadá'	=>	'0100000',
		'yakáll'	=>	'0021000',
		'yakátk'	=>	'0021000',
		'yakátm'	=>	'0021000',
		'yakelm'	=>	'0001000',
		'yakelt'	=>	'0001000',
		'yakékn'	=>	'0001000',
		'yakéri'	=>	'0021000',
		'yakizo'	=>	'0001200',
		'yaklu'	=>	'001000',
		'yaknák'	=>	'0100000',
		'yakné'	=>	'001000',
		'yakola'	=>	'0021000',
		'yakold'	=>	'0021000',
		'yakón'	=>	'002100',
		'yakós'	=>	'012000',
		'yakörv'	=>	'0021000',
		'yakrém'	=>	'0012000',
		'yakri'	=>	'001000',
		'yakrí'	=>	'001000',
		'yakták'	=>	'0100000',
		'yaktb'	=>	'010000',
		'yaktiv'	=>	'0100000',
		'yaktj'	=>	'010000',
		'yaktot'	=>	'0100000',
		'yaktu'	=>	'010000',
		'yalagú'	=>	'0000210',
		'yalagy'	=>	'0021000',
		'yalajk'	=>	'0001000',
		'yalakb'	=>	'0020000',
		'yalakj'	=>	'0120000',
		'yalakk'	=>	'0120000',
		'yalakok'	=>	'01200000',
		'yalakom'	=>	'01200000',
		'yalakot'	=>	'01200000',
		'yalakt'	=>	'0020000',
		'yalaku'	=>	'0020000',
		'yalakz'	=>	'0100000',
		'yalal'	=>	'002120',
		'yalany'	=>	'0100000',
		'yalapa'	=>	'0020000',
		'yalapí'	=>	'0120000',
		'yalapjá'	=>	'00200000',
		'yalapú'	=>	'0120000',
		'yalate'	=>	'0000200',
		'yalága'	=>	'0001000',
		'yalál'	=>	'002100',
		'yaláss'	=>	'0000010',
		'yaláté'	=>	'0100000',
		'yaléne'	=>	'0021200',
		'yalif'	=>	'002000',
		'yaliko'	=>	'0001200',
		'yalinv'	=>	'0021000',
		'yaljai'	=>	'0100000',
		'yalji'	=>	'010000',
		'yalor'	=>	'002000',
		'yalókész'	=>	'000000001',
		'yalórá'	=>	'0021000',
		'yalő'	=>	'00212',
		'yalta'	=>	'020000',
		'yaltr'	=>	'000120',
		'yaltú'	=>	'010000',
		'yalü'	=>	'00200',
		'yalű'	=>	'00200',
		'yamalg'	=>	'0100000',
		'yamany'	=>	'0021000',
		'yamarár'	=>	'00012000',
		'yamatal'	=>	'00002000',
		'yamárb'	=>	'0021000',
		'yamárn'	=>	'0021000',
		'yamászás'	=>	'000000001',
		'yamáto'	=>	'0021200',
		'yamb'	=>	'00012',
		'yamemb'	=>	'0001000',
		'yamesés'	=>	'00010000',
		'yamik'	=>	'000020',
		'yamiko'	=>	'0021000',
		'yamind'	=>	'0020000',
		'yamio'	=>	'002120',
		'yamis'	=>	'002100',
		'yamosz'	=>	'0021000',
		'yamór'	=>	'002120',
		'yamö'	=>	'00200',
		'yamő'	=>	'00200',
		'yamü'	=>	'00200',
		'yanal'	=>	'012000',
		'yanan'	=>	'002000',
		'yanar'	=>	'002000',
		'yanarr'	=>	'0001000',
		'yanat'	=>	'002000',
		'yanatt'	=>	'0001000',
		'yaneg'	=>	'002120',
		'yanek'	=>	'002000',
		'yaner'	=>	'002000',
		'yanet'	=>	'002100',
		'yanez'	=>	'002000',
		'yaném'	=>	'012000',
		'yang'	=>	'01000',
		'yanid'	=>	'002000',
		'yanin'	=>	'002100',
		'yanis'	=>	'002100',
		'yanit'	=>	'002000',
		'yaniz'	=>	'012000',
		'yanny'	=>	'010000',
		'yanod'	=>	'000020',
		'yanoda'	=>	'0001000',
		'yanonn'	=>	'0001000',
		'yanyas'	=>	'0020000',
		'yanyj'	=>	'010000',
		'yanyó'	=>	'012000',
		'yanyuk'	=>	'0120000',
		'yaór'	=>	'00020',
		'yapai'	=>	'012000',
		'yapas'	=>	'012000',
		'yapáb'	=>	'012000',
		'yapád'	=>	'012000',
		'yapáé'	=>	'012000',
		'yapái'	=>	'012000',
		'yapák'	=>	'012000',
		'yapám'	=>	'012000',
		'yapára'	=>	'0120000',
		'yapáró'	=>	'0120000',
		'yapáto'	=>	'0120000',
		'yapátó'	=>	'0120000',
		'yapáv'	=>	'012000',
		'yapjáh'	=>	'0100000',
		'yapjái'	=>	'0100000',
		'yapju'	=>	'010000',
		'yapl'	=>	'00120',
		'yapost'	=>	'0020000',
		'yapotá'	=>	'0000200',
		'yapóé'	=>	'012000',
		'yapóh'	=>	'012000',
		'yapói'	=>	'012000',
		'yapój'	=>	'012000',
		'yapóké'	=>	'0020000',
		'yapóna'	=>	'0020000',
		'yapós'	=>	'012000',
		'yapótó'	=>	'0020000',
		'yapóv'	=>	'012000',
		'yapp'	=>	'01000',
		'yapre'	=>	'001000',
		'yapri'	=>	'001200',
		'yaprí'	=>	'010000',
		'yapro'	=>	'001000',
		'yaradá'	=>	'0021200',
		'yaradó'	=>	'0021200',
		'yaradu'	=>	'0021200',
		'yarasz'	=>	'0020000',
		'yaránn'	=>	'0020000',
		'yarány'	=>	'0120000',
		'yarátv'	=>	'0021000',
		'yarca'	=>	'010000',
		'yarcá'	=>	'010000',
		'yarcb'	=>	'010000',
		'yarcc'	=>	'010000',
		'yarch'	=>	'010000',
		'yarck'	=>	'010000',
		'yarcn'	=>	'010000',
		'yarco'	=>	'010000',
		'yarcr'	=>	'010000',
		'yarcu'	=>	'010000',
		'yarcú'	=>	'010000',
		'yardn'	=>	'100000',
		'yardom'	=>	'3000000',
		'yardos'	=>	'1000000',
		'yardrá'	=>	'0001000',
		'yarell'	=>	'0001000',
		'yaroma'	=>	'0020000',
		'yaror'	=>	'002000',
		'yarórá'	=>	'0001200',
		'yaróvá'	=>	'0001000',
		'yaróz'	=>	'002000',
		'yars'	=>	'00012',
		'yasalj'	=>	'0001000',
		'yasap'	=>	'002000',
		'yasas'	=>	'002100',
		'yaságg'	=>	'0000010',
		'yasl'	=>	'00100',
		'yasne'	=>	'001000',
		'yaspi'	=>	'001200',
		'yaspo'	=>	'001200',
		'yasrá'	=>	'001200',
		'yast'	=>	'00002',
		'yasta'	=>	'001200',
		'yasto'	=>	'001000',
		'yastr'	=>	'001000',
		'yasvi'	=>	'001000',
		'yasztár'	=>	'00002000',
		'yatád'	=>	'012000',
		'yatékáta'	=>	'000000012',
		'yatká'	=>	'010000',
		'yatomh'	=>	'0020000',
		'yatomm'	=>	'0120000',
		'yatomo'	=>	'0120000',
		'yatrág'	=>	'0002000',
		'yatré'	=>	'001000',
		'yatróf'	=>	'0010000',
		'yattr'	=>	'010000',
		'yaty'	=>	'01200',
		'yauk'	=>	'01200',
		'yaulá'	=>	'012000',
		'yautá'	=>	'000200',
		'yauto'	=>	'012000',
		'yautó'	=>	'010000',
		'yautóiko'	=>	'000000200',
		'yaüt'	=>	'00020',
		'yaüz'	=>	'00020',
		'yavat'	=>	'012000',
		'yazon'	=>	'012000',
		'yazúr'	=>	'012000',
		'yábé'	=>	'01200',
		'yábr'	=>	'01000',
		'yága'	=>	'00200',
		'yágá'	=>	'00200',
		'yágé'	=>	'00200',
		'yági'	=>	'00200',
		'yágo'	=>	'00200',
		'yágu'	=>	'00200',
		'yágú'	=>	'00200',
		'yágy'	=>	'00200',
		'yájal'	=>	'002000',
		'yáje'	=>	'00210',
		'yájö'	=>	'00210',
		'yájő'	=>	'00200',
		'yáka'	=>	'00002',
		'yákan'	=>	'002100',
		'yáká'	=>	'00210',
		'yáke'	=>	'00210',
		'yákü'	=>	'00200',
		'yálass'	=>	'0000030',
		'yálál'	=>	'002000',
		'yáldo'	=>	'010000',
		'yále'	=>	'00210',
		'yállam'	=>	'0100000',
		'yállat'	=>	'0100000',
		'yállás'	=>	'0100000',
		'yállí'	=>	'010000',
		'yállo'	=>	'010000',
		'yálló'	=>	'010000',
		'yállv'	=>	'010000',
		'yálü'	=>	'00200',
		'yáma'	=>	'00002',
		'yámal'	=>	'002100',
		'yáman'	=>	'002100',
		'yámap'	=>	'002100',
		'yámas'	=>	'002100',
		'yámi'	=>	'00002',
		'yámin'	=>	'002100',
		'yámü'	=>	'00200',
		'yáne'	=>	'00210',
		'yánék'	=>	'002000',
		'yánn'	=>	'00030',
		'yánö'	=>	'00200',
		'yánt'	=>	'00002',
		'yántr'	=>	'000100',
		'yánü'	=>	'00200',
		'yány'	=>	'00102',
		'yápo'	=>	'01200',
		'yáral'	=>	'002120',
		'yáraml'	=>	'0120000',
		'yáramo'	=>	'0120000',
		'yáran'	=>	'000020',
		'yárany'	=>	'0001000',
		'yárap'	=>	'002000',
		'yárar'	=>	'002000',
		'yárass'	=>	'0021000',
		'yárav'	=>	'002100',
		'yáraz'	=>	'002000',
		'yárazá'	=>	'0100000',
		'yárazo'	=>	'0001000',
		'yárál'	=>	'002100',
		'yárbev'	=>	'0100000',
		'yárd'	=>	'00012',
		'yáre'	=>	'00212',
		'yárem'	=>	'010000',
		'yáréj'	=>	'002000',
		'yáriá'	=>	'012000',
		'yárim'	=>	'002000',
		'yáris'	=>	'002100',
		'yárnya'	=>	'0100000',
		'yáró'	=>	'00002',
		'yárór'	=>	'002000',
		'yárö'	=>	'00200',
		'yárő'	=>	'00200',
		'yárpá'	=>	'010000',
		'yársé'	=>	'000200',
		'yártám'	=>	'0100000',
		'yártr'	=>	'000100',
		'yáruh'	=>	'012000',
		'yárur'	=>	'010000',
		'yárú'	=>	'00202',
		'yárü'	=>	'00200',
		'yárva'	=>	'010000',
		'yárver'	=>	'0100000',
		'yásal'	=>	'002000',
		'yásas'	=>	'002000',
		'yáság'	=>	'002120',
		'yásárá'	=>	'0021200',
		'yásárt'	=>	'0021000',
		'yásás'	=>	'012000',
		'yáse'	=>	'00200',
		'yáská'	=>	'000002',
		'yásó'	=>	'01200',
		'yásö'	=>	'00200',
		'yászab'	=>	'0020000',
		'yászag'	=>	'0020000',
		'yászal'	=>	'0020000',
		'yászas'	=>	'0020000',
		'yászál'	=>	'0020100',
		'yásze'	=>	'002000',
		'yászel'	=>	'0000100',
		'yászem'	=>	'0000100',
		'yászen'	=>	'0003000',
		'yászét'	=>	'0020000',
		'yászév'	=>	'0020000',
		'yászim'	=>	'0020000',
		'yászin'	=>	'0020000',
		'yászis'	=>	'0020000',
		'yászit'	=>	'0020000',
		'yászód'	=>	'0000120',
		'yászór'	=>	'0000120',
		'yászö'	=>	'002012',
		'yásző'	=>	'002000',
		'yászü'	=>	'002012',
		'yáta'	=>	'01200',
		'yátal'	=>	'000120',
		'yátá'	=>	'01200',
		'yátb'	=>	'01000',
		'yáte'	=>	'01212',
		'yáté'	=>	'01200',
		'yátf'	=>	'01000',
		'yáth'	=>	'01000',
		'yáti'	=>	'01212',
		'yátk'	=>	'01000',
		'yátlag'	=>	'0100000',
		'yátlá'	=>	'010000',
		'yátlé'	=>	'010000',
		'yátm'	=>	'01000',
		'yátn'	=>	'01000',
		'yátö'	=>	'01210',
		'yátp'	=>	'01000',
		'yátr'	=>	'01000',
		'yáts'	=>	'01000',
		'yátt'	=>	'01000',
		'yátü'	=>	'01200',
		'yátv'	=>	'01000',
		'ybeá'	=>	'00002',
		'ybla'	=>	'00200',
		'yble'	=>	'00200',
		'yblé'	=>	'00200',
		'ybli'	=>	'00200',
		'yblo'	=>	'00200',
		'yblú'	=>	'00200',
		'ybra'	=>	'00200',
		'ybri'	=>	'00200',
		'ybro'	=>	'00200',
		'ybró'	=>	'00200',
		'ycsapág'	=>	'00002120',
		'ycsőé'	=>	'000002',
		'ycvi'	=>	'00200',
		'ydbe'	=>	'00200',
		'ydesd'	=>	'020000',
		'ydni'	=>	'00200',
		'ydra'	=>	'01200',
		'ydrá'	=>	'01200',
		'ydro'	=>	'00200',
		'ydró'	=>	'00200',
		'ydru'	=>	'01200',
		'yeav'	=>	'00020',
		'yeár'	=>	'00020',
		'yebl'	=>	'00100',
		'yecset'	=>	'0100000',
		'yedá'	=>	'00210',
		'yedeg'	=>	'002000',
		'yedesz'	=>	'0021000',
		'yedol'	=>	'002000',
		'yedó'	=>	'00212',
		'yedu'	=>	'00212',
		'yedú'	=>	'00210',
		'yedülő'	=>	'0021200',
		'yedvér'	=>	'0002000',
		'yees'	=>	'00020',
		'yeff'	=>	'01000',
		'yega'	=>	'00002',
		'yegala'	=>	'0021000',
		'yegan'	=>	'002000',
		'yegaz'	=>	'002100',
		'yegá'	=>	'00212',
		'yegel'	=>	'002100',
		'yegered'	=>	'00012000',
		'yegél'	=>	'002100',
		'yegérbe'	=>	'00010000',
		'yegérr'	=>	'0100000',
		'yegész'	=>	'0000001',
		'yegészn'	=>	'00010000',
		'yegg'	=>	'00032',
		'yegid'	=>	'002000',
		'yegí'	=>	'00200',
		'yegú'	=>	'00200',
		'yegüg'	=>	'002100',
		'yegyed'	=>	'0020000',
		'yegyen'	=>	'0120000',
		'yegyes'	=>	'0120000',
		'yegyet'	=>	'0020000',
		'yegyez'	=>	'0020000',
		'yegyé'	=>	'012000',
		'yegyh'	=>	'010000',
		'yegyl'	=>	'010000',
		'yegys'	=>	'010000',
		'yegyü'	=>	'010000',
		'yegyv'	=>	'010000',
		'yeig'	=>	'00020',
		'yejt'	=>	'01000',
		'yekei'	=>	'012000',
		'yekek'	=>	'012000',
		'yekéé'	=>	'012000',
		'yekéj'	=>	'002000',
		'yekése'	=>	'0120000',
		'yekré'	=>	'001200',
		'yelad'	=>	'010000',
		'yelág'	=>	'012000',
		'yelál'	=>	'002000',
		'yelc'	=>	'01000',
		'yelef'	=>	'012000',
		'yelege'	=>	'0020000',
		'yeleh'	=>	'002120',
		'yelemek'	=>	'00200000',
		'yelemez'	=>	'01200000',
		'yelemű'	=>	'0120000',
		'yelere'	=>	'0121200',
		'yelégt'	=>	'0020000',
		'yeléké'	=>	'0021200',
		'yeléss'	=>	'0000030',
		'yelész'	=>	'0000230',
		'yelhal'	=>	'0100000',
		'yelhel'	=>	'0100000',
		'yelhú'	=>	'010000',
		'yelin'	=>	'012100',
		'yeliv'	=>	'002000',
		'yelí'	=>	'01212',
		'yeljá'	=>	'010000',
		'yelka'	=>	'010000',
		'yelnev'	=>	'0100000',
		'yelnö'	=>	'010000',
		'yelny'	=>	'010000',
		'yelos'	=>	'002000',
		'yelö'	=>	'01200',
		'yelőad'	=>	'0120000',
		'yelőí'	=>	'012000',
		'yelőtt'	=>	'0020000',
		'yelőz'	=>	'012000',
		'yelsa'	=>	'010000',
		'yelső'	=>	'010000',
		'yeltér'	=>	'0100000',
		'yelto'	=>	'010000',
		'yeltö'	=>	'010000',
		'yelvad'	=>	'0002000',
		'yelváll'	=>	'00021000',
		'yelvás'	=>	'0002000',
		'yelveg'	=>	'0002100',
		'yelver'	=>	'0002120',
		'yelvessz'	=>	'000200000',
		'yelvesz'	=>	'00000200',
		'yelvesze'	=>	'000010000',
		'yelvevé'	=>	'01000000',
		'yelvéd'	=>	'0002000',
		'yelvég'	=>	'0002100',
		'yelvél'	=>	'0002000',
		'yelvérz'	=>	'00021000',
		'yelví'	=>	'000210',
		'yelvol'	=>	'0002000',
		'yemak'	=>	'002000',
		'yemal'	=>	'002120',
		'yemap'	=>	'002000',
		'yemar'	=>	'000020',
		'yemat'	=>	'002100',
		'yemál'	=>	'002000',
		'yember'	=>	'0100000',
		'yemelé'	=>	'0120000',
		'yemelk'	=>	'0100000',
		'yemer'	=>	'002100',
		'yemés'	=>	'012000',
		'yemi'	=>	'00002',
		'yeming'	=>	'0001000',
		'yemis'	=>	'002100',
		'yemit'	=>	'002000',
		'yemita'	=>	'0001000',
		'yemiz'	=>	'002000',
		'yemlék'	=>	'0100000',
		'yemlí'	=>	'010000',
		'yemlő'	=>	'010000',
		'yemost'	=>	'0001000',
		'yemö'	=>	'00210',
		'yemp'	=>	'00012',
		'yemus'	=>	'000020',
		'yemusz'	=>	'0001000',
		'yená'	=>	'00212',
		'yencsa'	=>	'0002000',
		'yencser'	=>	'00023000',
		'yenelj'	=>	'0021000',
		'yeneln'	=>	'0021000',
		'yenelv'	=>	'0021000',
		'yener'	=>	'012000',
		'yeness'	=>	'0000030',
		'yenél'	=>	'002120',
		'yenfélév'	=>	'000002120',
		'yenid'	=>	'002000',
		'yenip'	=>	'002120',
		'yenk'	=>	'00012',
		'yeno'	=>	'00210',
		'yenüg'	=>	'002100',
		'yenyá'	=>	'000002',
		'yenz'	=>	'01000',
		'yepag'	=>	'002000',
		'yepalo'	=>	'0001000',
		'yepará'	=>	'0021000',
		'yepáll'	=>	'0021000',
		'yepát'	=>	'002000',
		'yepel'	=>	'002120',
		'yepék'	=>	'002120',
		'yepik'	=>	'012000',
		'yepiz'	=>	'010000',
		'yepos'	=>	'002000',
		'yepper'	=>	'0002120',
		'yepro'	=>	'001000',
		'yept'	=>	'00012',
		'yerde'	=>	'010000',
		'yerega'	=>	'0000200',
		'yeregete'	=>	'000020000',
		'yeregg'	=>	'0000010',
		'yerej'	=>	'012000',
		'yereka'	=>	'0000210',
		'yereká'	=>	'0000200',
		'yerekesz'	=>	'000021200',
		'yereko'	=>	'0000200',
		'yerekö'	=>	'0000212',
		'yerény'	=>	'0120000',
		'yerké'	=>	'010000',
		'yerkö'	=>	'010000',
		'yerny'	=>	'010000',
		'yero'	=>	'01200',
		'yerőér'	=>	'0020000',
		'yerőig'	=>	'0020000',
		'yerőné'	=>	'0020000',
		'yerőrő'	=>	'0020000',
		'yerősí'	=>	'0020000',
		'yerőss'	=>	'0020000',
		'yerővá'	=>	'0020000',
		'yersa'	=>	'000210',
		'yerszé'	=>	'0100000',
		'yesá'	=>	'00200',
		'yesegé'	=>	'0001000',
		'yesegy'	=>	'0001000',
		'yesej'	=>	'002100',
		'yesekétő'	=>	'000120000',
		'yesemén'	=>	'01000000',
		'yeser'	=>	'002100',
		'yesetb'	=>	'0120000',
		'yeseté'	=>	'0120000',
		'yeseti'	=>	'0120000',
		'yesetk'	=>	'0120000',
		'yesetr'	=>	'0120000',
		'yesetű'	=>	'0120000',
		'yesél'	=>	'010000',
		'yesip'	=>	'002000',
		'yesír'	=>	'002120',
		'yesőá'	=>	'010000',
		'yesőbe'	=>	'0020000',
		'yesőh'	=>	'012000',
		'yesője'	=>	'0020000',
		'yesőkh'	=>	'0020000',
		'yesőkr'	=>	'0020000',
		'yesőn'	=>	'012000',
		'yesőr'	=>	'012000',
		'yesős'	=>	'012000',
		'yesővé'	=>	'0020000',
		'yespe'	=>	'001200',
		'yesta'	=>	'000212',
		'yestés'	=>	'0100000',
		'yestév'	=>	'0100000',
		'yestjü'	=>	'0100000',
		'yestőr'	=>	'0002000',
		'yestű'	=>	'010000',
		'yeszk'	=>	'010000',
		'yeszm'	=>	'010000',
		'yesztét'	=>	'01000000',
		'yeszű'	=>	'012000',
		'yetal'	=>	'012000',
		'yetet'	=>	'012000',
		'yetért'	=>	'0021000',
		'yetik'	=>	'012000',
		'yetn'	=>	'01000',
		'yetűd'	=>	'012000',
		'yevet'	=>	'002000',
		'yevező'	=>	'0020000',
		'yevé'	=>	'01200',
		'yevol'	=>	'012000',
		'yevő'	=>	'01200',
		'yezer'	=>	'012000',
		'yezeték'	=>	'00002100',
		'yezőa'	=>	'000002',
		'yébá'	=>	'00210',
		'yébi'	=>	'00212',
		'yébü'	=>	'00200',
		'yédes'	=>	'002000',
		'yégb'	=>	'01000',
		'yége'	=>	'01200',
		'yégé'	=>	'01200',
		'yégi'	=>	'01200',
		'yégő'	=>	'01200',
		'yégt'	=>	'01000',
		'yéhen'	=>	'012000',
		'yéhes'	=>	'012000',
		'yéhet'	=>	'012000',
		'yéhs'	=>	'01000',
		'yéjb'	=>	'01000',
		'yéjei'	=>	'002000',
		'yéjen'	=>	'002000',
		'yéjért'	=>	'0020000',
		'yéji'	=>	'01200',
		'yéjj'	=>	'01000',
		'yéjs'	=>	'01000',
		'yéjt'	=>	'01000',
		'yékab'	=>	'002000',
		'yékad'	=>	'002000',
		'yékaka'	=>	'0021000',
		'yékal'	=>	'002120',
		'yékat'	=>	'012000',
		'yékel'	=>	'002100',
		'yéker'	=>	'002000',
		'yékék'	=>	'002120',
		'yékél'	=>	'002120',
		'yékik'	=>	'002000',
		'yékó'	=>	'00212',
		'yékö'	=>	'00210',
		'yékő'	=>	'00200',
		'yékúr'	=>	'002000',
		'yélá'	=>	'00210',
		'yéles'	=>	'002000',
		'yélet'	=>	'012000',
		'yélén'	=>	'012000',
		'yélét'	=>	'002000',
		'yélim'	=>	'002000',
		'yéll'	=>	'00030',
		'yélős'	=>	'002000',
		'yélsp'	=>	'010000',
		'yélű'	=>	'01200',
		'yéná'	=>	'00002',
		'yénár'	=>	'002100',
		'yénel'	=>	'002000',
		'yénikr'	=>	'0021000',
		'yéno'	=>	'00200',
		'yépí'	=>	'00200',
		'yépü'	=>	'00200',
		'yéra'	=>	'00002',
		'yéraj'	=>	'002100',
		'yérak'	=>	'002100',
		'yéral'	=>	'002000',
		'yéran'	=>	'002100',
		'yérar'	=>	'002000',
		'yérá'	=>	'00212',
		'yérch'	=>	'010000',
		'yérd'	=>	'00012',
		'yérdek'	=>	'0100000',
		'yéreg'	=>	'002000',
		'yérel'	=>	'002120',
		'yérem'	=>	'002000',
		'yéreme'	=>	'0001000',
		'yérenc'	=>	'0021000',
		'yéreső'	=>	'0001000',
		'yéret'	=>	'012000',
		'yérev'	=>	'002000',
		'yérez'	=>	'012000',
		'yérés'	=>	'012000',
		'yéril'	=>	'002000',
		'yérin'	=>	'012000',
		'yérmü'	=>	'010000',
		'yérosz'	=>	'0021000',
		'yéró'	=>	'00002',
		'yérór'	=>	'002100',
		'yérői'	=>	'012000',
		'yérők'	=>	'012000',
		'yérőt'	=>	'012000',
		'yérpa'	=>	'010000',
		'yérték'	=>	'0100000',
		'yéru'	=>	'00002',
		'yérut'	=>	'002000',
		'yérvén'	=>	'0100000',
		'yérvv'	=>	'010000',
		'yérzet'	=>	'0100000',
		'yérzé'	=>	'010000',
		'yérző'	=>	'010000',
		'yészá'	=>	'002010',
		'yészemb'	=>	'00201000',
		'yészo'	=>	'002010',
		'yészú'	=>	'002010',
		'yéta'	=>	'00210',
		'yétel'	=>	'012000',
		'yéter'	=>	'012000',
		'yétén'	=>	'002000',
		'yétke'	=>	'010000',
		'yétl'	=>	'01000',
		'yévad'	=>	'010000',
		'yévb'	=>	'01000',
		'yévek'	=>	'012000',
		'yévem'	=>	'012000',
		'yéven'	=>	'012000',
		'yéves'	=>	'012000',
		'yévet'	=>	'012000',
		'yévez'	=>	'010000',
		'yévéb'	=>	'012000',
		'yévén'	=>	'012000',
		'yévér'	=>	'012000',
		'yévét'	=>	'012000',
		'yévév'	=>	'012000',
		'yévf'	=>	'01000',
		'yévh'	=>	'01000',
		'yévi'	=>	'01200',
		'yévk'	=>	'01000',
		'yévm'	=>	'01000',
		'yévn'	=>	'01000',
		'yévr'	=>	'01000',
		'yévs'	=>	'01000',
		'yévt'	=>	'01000',
		'yévü'	=>	'01200',
		'yévű'	=>	'01200',
		'yévv'	=>	'01000',
		'yfas'	=>	'00002',
		'yfélá'	=>	'000200',
		'yfgl'	=>	'00100',
		'yfla'	=>	'00200',
		'yfle'	=>	'00200',
		'yfli'	=>	'00200',
		'yflo'	=>	'00200',
		'yfló'	=>	'00200',
		'yfősö'	=>	'001200',
		'yfra'	=>	'01200',
		'yfri'	=>	'00200',
		'yfrí'	=>	'00200',
		'yfro'	=>	'01200',
		'yfrö'	=>	'00200',
		'ygle'	=>	'00200',
		'ygló'	=>	'00200',
		'ygóg'	=>	'00012',
		'ygót'	=>	'00002',
		'ygra'	=>	'00200',
		'ygrá'	=>	'00200',
		'ygri'	=>	'00200',
		'ygró'	=>	'00200',
		'ygru'	=>	'00200',
		'ygrü'	=>	'00200',
		'yhadó'	=>	'021200',
		'yhap'	=>	'00012',
		'yhatr'	=>	'000120',
		'yházal'	=>	'0002000',
		'yhelv'	=>	'021000',
		'yibo'	=>	'01200',
		'yideá'	=>	'012000',
		'yideg'	=>	'012000',
		'yiden'	=>	'012000',
		'yideo'	=>	'012000',
		'yidé'	=>	'01200',
		'yidom'	=>	'012000',
		'yidő'	=>	'01200',
		'yiga'	=>	'01200',
		'yigá'	=>	'01200',
		'yigéz'	=>	'012000',
		'yigm'	=>	'01000',
		'yihar'	=>	'012000',
		'yihat'	=>	'002000',
		'yihl'	=>	'01000',
		'yiker'	=>	'012000',
		'yikérn'	=>	'0021000',
		'yikont'	=>	'0020000',
		'yikri'	=>	'001200',
		'yimá'	=>	'01200',
		'yimit'	=>	'012000',
		'yimp'	=>	'01000',
		'yinas'	=>	'012000',
		'yinc'	=>	'01000',
		'yind'	=>	'01000',
		'yinf'	=>	'01000',
		'yinga'	=>	'010000',
		'yinic'	=>	'002000',
		'yinj'	=>	'01000',
		'yins'	=>	'01000',
		'yinv'	=>	'01000',
		'yiono'	=>	'002000',
		'yipar'	=>	'002000',
		'yiram'	=>	'012000',
		'yirata'	=>	'0120000',
		'yiraté'	=>	'0000210',
		'yiratn'	=>	'0120000',
		'yirato'	=>	'0120000',
		'yiratt'	=>	'0020000',
		'yirá'	=>	'01200',
		'yiri'	=>	'01200',
		'yirod'	=>	'012000',
		'yirr'	=>	'01000',
		'yirt'	=>	'01000',
		'yish'	=>	'01000',
		'yisko'	=>	'010000',
		'yism'	=>	'01000',
		'yisp'	=>	'01000',
		'yist'	=>	'01000',
		'yisza'	=>	'012000',
		'yiszel'	=>	'0020000',
		'yiszon'	=>	'0020000',
		'yital'	=>	'012000',
		'yitat'	=>	'012000',
		'yivar'	=>	'012000',
		'yivás'	=>	'012000',
		'yivó'	=>	'01200',
		'yizé'	=>	'01200',
		'yizg'	=>	'01000',
		'yizm'	=>	'01000',
		'yizom'	=>	'002000',
		'yígé'	=>	'00200',
		'yíja'	=>	'00200',
		'yíjá'	=>	'00200',
		'yíju'	=>	'00200',
		'yíka'	=>	'00200',
		'yíká'	=>	'00200',
		'yíke'	=>	'00200',
		'yíkí'	=>	'00200',
		'yíkol'	=>	'002000',
		'yíkö'	=>	'00210',
		'yíla'	=>	'00200',
		'yíle'	=>	'00212',
		'yílí'	=>	'00200',
		'yílö'	=>	'00200',
		'yíral'	=>	'002000',
		'yíráb'	=>	'002000',
		'yírász'	=>	'0001200',
		'yírog'	=>	'002000',
		'yírő'	=>	'00200',
		'yítőa'	=>	'000002',
		'yívá'	=>	'00200',
		'yíve'	=>	'00200',
		'yívé'	=>	'00200',
		'yívó'	=>	'00200',
		'yívü'	=>	'00200',
		'yívű'	=>	'00200',
		'yízü'	=>	'00200',
		'yízű'	=>	'00200',
		'yjegyá'	=>	'0002012',
		'yjév'	=>	'02000',
		'yjobbo'	=>	'0000210',
		'ykai'	=>	'00002',
		'ykak'	=>	'00012',
		'ykaróra'	=>	'00020200',
		'ykbó'	=>	'00200',
		'ykelem'	=>	'0212000',
		'ykéjév'	=>	'0012000',
		'yképel'	=>	'0002100',
		'ykho'	=>	'00200',
		'ykiá'	=>	'00002',
		'ykie'	=>	'00002',
		'ykizm'	=>	'001000',
		'ykka'	=>	'00200',
		'ykla'	=>	'00200',
		'ykle'	=>	'00200',
		'ykli'	=>	'00200',
		'yklí'	=>	'00200',
		'ykló'	=>	'00200',
		'yklu'	=>	'00200',
		'ykná'	=>	'00200',
		'ykóro'	=>	'000002',
		'ykra'	=>	'00200',
		'ykrá'	=>	'01200',
		'ykri'	=>	'01200',
		'ykrí'	=>	'00200',
		'ykro'	=>	'00200',
		'ykró'	=>	'00200',
		'ykvó'	=>	'00200',
		'ylalta'	=>	'0000200',
		'ylatan'	=>	'0002120',
		'ylatét'	=>	'0002120',
		'ylei'	=>	'00002',
		'yleí'	=>	'00002',
		'yletal'	=>	'0002000',
		'yletá'	=>	'000200',
		'ylóá'	=>	'00002',
		'ylót'	=>	'00002',
		'ymad'	=>	'00012',
		'ymásik'	=>	'0002100',
		'ymegé'	=>	'000210',
		'ymma'	=>	'00200',
		'ynévér'	=>	'0002000',
		'ynka'	=>	'00200',
		'ynkr'	=>	'00020',
		'ynőén'	=>	'000020',
		'ynőié'	=>	'000200',
		'yobe'	=>	'00200',
		'yobj'	=>	'01000',
		'yodú'	=>	'01200',
		'yogal'	=>	'002000',
		'yogál'	=>	'002000',
		'yogár'	=>	'002100',
		'yoge'	=>	'00200',
		'yogg'	=>	'00030',
		'yogi'	=>	'00002',
		'yogit'	=>	'002000',
		'yogiv'	=>	'002100',
		'yogí'	=>	'00200',
		'yogosz'	=>	'0021000',
		'yogö'	=>	'00200',
		'yogü'	=>	'00200',
		'yogű'	=>	'00200',
		'yoka'	=>	'00002',
		'yokal'	=>	'012100',
		'yoká'	=>	'01200',
		'yokir'	=>	'012100',
		'yokm'	=>	'01000',
		'yokol'	=>	'012000',
		'yokos'	=>	'012000',
		'yokoz'	=>	'012000',
		'yokta'	=>	'010000',
		'yolal'	=>	'002120',
		'yolan'	=>	'000020',
		'yolany'	=>	'0001000',
		'yolári'	=>	'0021000',
		'yolcem'	=>	'0002000',
		'yolci'	=>	'000002',
		'yolcik'	=>	'0002000',
		'yoldá'	=>	'010000',
		'yoldó'	=>	'010000',
		'yolim'	=>	'012000',
		'yoltás'	=>	'0100000',
		'yolter'	=>	'0002000',
		'yolú'	=>	'00200',
		'yolü'	=>	'00200',
		'yolví'	=>	'000002',
		'yomal'	=>	'002120',
		'yoman'	=>	'000020',
		'yomany'	=>	'0021000',
		'yomas'	=>	'000020',
		'yomaszó'	=>	'00210000',
		'yomaz'	=>	'002000',
		'yomál'	=>	'002100',
		'yomárk'	=>	'0021000',
		'yomáto'	=>	'0021200',
		'yomáz'	=>	'002120',
		'yome'	=>	'00210',
		'yomik'	=>	'002100',
		'yomil'	=>	'002000',
		'yomis'	=>	'002100',
		'yomí'	=>	'00200',
		'yomol'	=>	'002100',
		'yomö'	=>	'00200',
		'yomő'	=>	'00200',
		'yomp'	=>	'00012',
		'yonad'	=>	'002120',
		'yonag'	=>	'002000',
		'yonaj'	=>	'002000',
		'yonaka'	=>	'0001200',
		'yonal'	=>	'002120',
		'yonam'	=>	'002100',
		'yonan'	=>	'002120',
		'yonap'	=>	'002000',
		'yonar'	=>	'002120',
		'yonas'	=>	'002120',
		'yonat'	=>	'002120',
		'yonau'	=>	'002100',
		'yonál'	=>	'002100',
		'yonáta'	=>	'0021012',
		'yonáté'	=>	'0021000',
		'yonátj'	=>	'0021000',
		'yonátk'	=>	'0001000',
		'yonátr'	=>	'0021000',
		'yonáts'	=>	'0021000',
		'yonátv'	=>	'0021000',
		'yonáz'	=>	'002120',
		'yond'	=>	'00012',
		'yone'	=>	'00212',
		'yonéd'	=>	'002000',
		'yonéh'	=>	'002000',
		'yonék'	=>	'002000',
		'yonén'	=>	'002000',
		'yonf'	=>	'00012',
		'yonim'	=>	'002000',
		'yonis'	=>	'002100',
		'yonitt'	=>	'0001000',
		'yoniz'	=>	'002000',
		'yoní'	=>	'00200',
		'yonk'	=>	'00012',
		'yonn'	=>	'00030',
		'yonol'	=>	'002100',
		'yonop'	=>	'002000',
		'yonosz'	=>	'0021000',
		'yonö'	=>	'00200',
		'yonő'	=>	'00212',
		'yons'	=>	'00012',
		'yont'	=>	'00002',
		'yontr'	=>	'000100',
		'yonü'	=>	'00210',
		'yope'	=>	'01200',
		'yopt'	=>	'01000',
		'yorad'	=>	'002000',
		'yorak'	=>	'002120',
		'yorap'	=>	'002120',
		'yord'	=>	'01000',
		'yorgi'	=>	'010000',
		'yorrú'	=>	'010000',
		'yorsol'	=>	'0002000',
		'yorsó'	=>	'010000',
		'yorss'	=>	'000030',
		'yose'	=>	'00200',
		'yoss'	=>	'00030',
		'yosto'	=>	'010000',
		'yoszl'	=>	'010000',
		'yoszs'	=>	'000300',
		'yoszt'	=>	'010000',
		'yout'	=>	'00200',
		'yove'	=>	'00200',
		'yoxi'	=>	'00200',
		'yóág'	=>	'00020',
		'yóár'	=>	'00020',
		'yócsapá'	=>	'00000212',
		'yódák'	=>	'002000',
		'yódár'	=>	'012000',
		'yódásak'	=>	'01200000',
		'yófl'	=>	'00120',
		'yógr'	=>	'00120',
		'yógyár'	=>	'0020000',
		'yógyi'	=>	'002000',
		'yógyú'	=>	'002000',
		'yóív'	=>	'00020',
		'yóok'	=>	'00020',
		'yóór'	=>	'00020',
		'yópr'	=>	'00120',
		'yórac'	=>	'012000',
		'yórad'	=>	'012000',
		'yórag'	=>	'002000',
		'yórai'	=>	'002000',
		'yóras'	=>	'012000',
		'yóráb'	=>	'012000',
		'yórád'	=>	'012000',
		'yóráé'	=>	'012000',
		'yóráh'	=>	'012000',
		'yórái'	=>	'012000',
		'yóráj'	=>	'012000',
		'yórák'	=>	'012000',
		'yórám'	=>	'012000',
		'yórár'	=>	'012000',
		'yórás'	=>	'012000',
		'yórát'	=>	'012000',
		'yóráv'	=>	'012000',
		'yóri'	=>	'01200',
		'yósaj'	=>	'002100',
		'yóscsa'	=>	'0000002',
		'yósír'	=>	'002000',
		'yósol'	=>	'002100',
		'yósorr'	=>	'0021000',
		'yósors'	=>	'0001000',
		'yóss'	=>	'00030',
		'yósül'	=>	'000020',
		'yósű'	=>	'00212',
		'yöbö'	=>	'00200',
		'yöbű'	=>	'00200',
		'yöcs'	=>	'00200',
		'yödém'	=>	'002000',
		'yöka'	=>	'00200',
		'yöká'	=>	'00200',
		'yökel'	=>	'002000',
		'yökék'	=>	'002100',
		'yökid'	=>	'002000',
		'yökí'	=>	'00200',
		'yöko'	=>	'00200',
		'yökos'	=>	'000100',
		'yökó'	=>	'00200',
		'yökör'	=>	'002000',
		'yököss'	=>	'0021000',
		'yöku'	=>	'00200',
		'yölők'	=>	'002000',
		'yöltés'	=>	'0100000',
		'yöml'	=>	'01000',
		'yöná'	=>	'01200',
		'yöngya'	=>	'0002000',
		'yöngyá'	=>	'0002000',
		'yöngyó'	=>	'0002000',
		'yöngyöl'	=>	'00020100',
		'yönk'	=>	'01000',
		'yönté'	=>	'010000',
		'yönz'	=>	'01000',
		'yöra'	=>	'00200',
		'yörd'	=>	'01000',
		'yörit'	=>	'002000',
		'yöro'	=>	'00200',
		'yöru'	=>	'00200',
		'yöso'	=>	'00200',
		'yössz'	=>	'010000',
		'yösv'	=>	'01000',
		'yöszt'	=>	'010000',
		'yötl'	=>	'01000',
		'yötöde'	=>	'0120000',
		'yötödé'	=>	'0120000',
		'yötp'	=>	'01000',
		'yött'	=>	'01000',
		'yötv'	=>	'01000',
		'yöve'	=>	'00200',
		'yövé'	=>	'00200',
		'yövi'	=>	'00200',
		'yövö'	=>	'01200',
		'yözön'	=>	'012000',
		'yőan'	=>	'00020',
		'yőbl'	=>	'00100',
		'yőel'	=>	'00020',
		'yőer'	=>	'00020',
		'yőfr'	=>	'00100',
		'yőpr'	=>	'00100',
		'yőra'	=>	'00200',
		'yőrei'	=>	'012000',
		'yőrg'	=>	'01000',
		'yőrl'	=>	'01000',
		'yőrp'	=>	'01000',
		'yőrszi'	=>	'0100000',
		'yőrül'	=>	'012000',
		'yőrz'	=>	'01000',
		'yőseg'	=>	'002000',
		'yőstr'	=>	'001000',
		'yősz'	=>	'00002',
		'yőszs'	=>	'000300',
		'yőszt'	=>	'001000',
		'yőzőkész'	=>	'000000001',
		'ypenn'	=>	'000010',
		'ypete'	=>	'000200',
		'ypla'	=>	'00200',
		'yple'	=>	'00200',
		'yplé'	=>	'00200',
		'yplu'	=>	'00200',
		'yponté'	=>	'0000002',
		'ypra'	=>	'00200',
		'ypre'	=>	'00200',
		'ypré'	=>	'00200',
		'ypri'	=>	'00200',
		'yprí'	=>	'00200',
		'ypro'	=>	'00200',
		'ypró'	=>	'00200',
		'yprő'	=>	'02000',
		'ypru'	=>	'00200',
		'ypsz'	=>	'00200',
		'yrádión'	=>	'00000200',
		'yrágás'	=>	'0000001',
		'yrea'	=>	'00002',
		'yrendő'	=>	'0000212',
		'yreu'	=>	'00002',
		'ysavan'	=>	'0002000',
		'yságg'	=>	'000010',
		'ysch'	=>	'00200',
		'ységel'	=>	'0002120',
		'ységés'	=>	'0002000',
		'ysho'	=>	'00200',
		'yska'	=>	'00200',
		'yská'	=>	'00200',
		'yski'	=>	'00200',
		'ysla'	=>	'00200',
		'yslá'	=>	'00200',
		'ysle'	=>	'00200',
		'yslu'	=>	'00200',
		'ysmi'	=>	'00200',
		'ysna'	=>	'00200',
		'ysni'	=>	'00200',
		'yspe'	=>	'00200',
		'yspi'	=>	'00200',
		'yspo'	=>	'00200',
		'yspó'	=>	'00200',
		'yspr'	=>	'00020',
		'ysra'	=>	'00200',
		'ysrá'	=>	'00200',
		'ysrő'	=>	'00200',
		'yssa'	=>	'00200',
		'yssá'	=>	'00200',
		'ysse'	=>	'00200',
		'ystí'	=>	'01200',
		'ysto'	=>	'01200',
		'ystó'	=>	'01200',
		'ystr'	=>	'01020',
		'ystu'	=>	'01200',
		'ystú'	=>	'01200',
		'ystü'	=>	'00200',
		'yszakü'	=>	'0000210',
		'yszaló'	=>	'0200000',
		'yszáld'	=>	'0200000',
		'yszáraz'	=>	'00000001',
		'yszera'	=>	'0000200',
		'yszervó'	=>	'00000212',
		'yszf'	=>	'01020',
		'yszk'	=>	'01020',
		'yszl'	=>	'01020',
		'yszm'	=>	'01020',
		'yszögel'	=>	'00002100',
		'yszp'	=>	'01020',
		'yszt'	=>	'01020',
		'yszv'	=>	'01020',
		'ytac'	=>	'00020',
		'ytacé'	=>	'001000',
		'ytané'	=>	'000210',
		'ytanó'	=>	'000212',
		'ytálé'	=>	'000212',
		'ytállá'	=>	'0210000',
		'ytálló'	=>	'0210000',
		'ytraf'	=>	'002000',
		'ytran'	=>	'002000',
		'ytrap'	=>	'002000',
		'ytrá'	=>	'01200',
		'ytre'	=>	'01200',
		'ytré'	=>	'01200',
		'ytri'	=>	'01200',
		'ytro'	=>	'01200',
		'ytrón'	=>	'002000',
		'ytrö'	=>	'00200',
		'yudv'	=>	'01000',
		'yugá'	=>	'00210',
		'yuge'	=>	'00200',
		'yugr'	=>	'01000',
		'yugy'	=>	'00200',
		'yuhu'	=>	'00200',
		'yujj'	=>	'01000',
		'yujjada'	=>	'00021200',
		'yukab'	=>	'002000',
		'yukar'	=>	'002000',
		'yukaszá'	=>	'00210000',
		'yukác'	=>	'002100',
		'yukál'	=>	'002000',
		'yukás'	=>	'000020',
		'yukásá'	=>	'0001000',
		'yuke'	=>	'00210',
		'yukö'	=>	'00210',
		'yukő'	=>	'00200',
		'yukt'	=>	'00012',
		'yukű'	=>	'00200',
		'yund'	=>	'01000',
		'yuni'	=>	'01200',
		'yuno'	=>	'01200',
		'yurad'	=>	'002000',
		'yurai'	=>	'002000',
		'yurak'	=>	'002000',
		'yural'	=>	'002000',
		'yuram'	=>	'002000',
		'yuras'	=>	'002000',
		'yurat'	=>	'002000',
		'yurán'	=>	'012000',
		'yuráv'	=>	'012000',
		'yurn'	=>	'01000',
		'yuru'	=>	'01200',
		'yusál'	=>	'002000',
		'yuss'	=>	'00030',
		'yuszá'	=>	'002000',
		'yuszo'	=>	'012000',
		'yutak'	=>	'002000',
		'yutal'	=>	'002000',
		'yutam'	=>	'002000',
		'yutat'	=>	'002000',
		'yutaz'	=>	'002000',
		'yutál'	=>	'002000',
		'yutc'	=>	'01000',
		'yutód'	=>	'002000',
		'yutu'	=>	'01200',
		'yutú'	=>	'01200',
		'yúbl'	=>	'00100',
		'yúbr'	=>	'00100',
		'yúgr'	=>	'00100',
		'yújd'	=>	'01000',
		'yújé'	=>	'01200',
		'yújí'	=>	'01200',
		'yújr'	=>	'01000',
		'yújs'	=>	'01000',
		'yúkel'	=>	'002000',
		'yúkes'	=>	'002100',
		'yúket'	=>	'002000',
		'yúkev'	=>	'002000',
		'yúkó'	=>	'00200',
		'yúköl'	=>	'002000',
		'yúlag'	=>	'002100',
		'yúlaj'	=>	'002000',
		'yúlar'	=>	'002000',
		'yúlár'	=>	'002120',
		'yúlát'	=>	'002000',
		'yúleg'	=>	'002100',
		'yúlel'	=>	'002100',
		'yúlet'	=>	'002120',
		'yúlin'	=>	'002000',
		'yúlis'	=>	'002100',
		'yúltag'	=>	'0002000',
		'yúlü'	=>	'00200',
		'yúlű'	=>	'00200',
		'yúpl'	=>	'00100',
		'yúpr'	=>	'00120',
		'yúrb'	=>	'01000',
		'yúrél'	=>	'010000',
		'yúrév'	=>	'012000',
		'yúrho'	=>	'010000',
		'yúri'	=>	'01200',
		'yúrk'	=>	'01000',
		'yúrnő'	=>	'010000',
		'yúrr'	=>	'01000',
		'yúrtó'	=>	'010000',
		'yústa'	=>	'001000',
		'yúsü'	=>	'00200',
		'yúszt'	=>	'010000',
		'yútb'	=>	'01000',
		'yúth'	=>	'01000',
		'yúti'	=>	'00002',
		'yútig'	=>	'002000',
		'yútj'	=>	'01000',
		'yútk'	=>	'01000',
		'yútm'	=>	'01000',
		'yútn'	=>	'01000',
		'yúton'	=>	'012000',
		'yútp'	=>	'01000',
		'yútr'	=>	'01000',
		'yúts'	=>	'01000',
		'yútt'	=>	'01000',
		'yútv'	=>	'01000',
		'yüdü'	=>	'00200',
		'yügy'	=>	'01200',
		'yükét'	=>	'002000',
		'yülá'	=>	'00200',
		'yüled'	=>	'002000',
		'yülteté'	=>	'01000000',
		'yünn'	=>	'01000',
		'yürí'	=>	'00200',
		'yürü'	=>	'01200',
		'yüte'	=>	'01200',
		'yüté'	=>	'01200',
		'yütk'	=>	'01000',
		'yütő'	=>	'01200',
		'yüveg'	=>	'012000',
		'yüvöl'	=>	'002000',
		'yüze'	=>	'01200',
		'yüzé'	=>	'01200',
		'yüzl'	=>	'01000',
		'yűbl'	=>	'00100',
		'yűén'	=>	'00020',
		'yűgő'	=>	'00210',
		'yűkl'	=>	'00100',
		'yűpl'	=>	'00100',
		'yűrb'	=>	'01000',
		'yűréb'	=>	'002000',
		'yűrén'	=>	'002000',
		'yűrön'	=>	'002000',
		'yűrr'	=>	'01000',
		'yűsá'	=>	'00200',
		'yűss'	=>	'00010',
		'yűzőb'	=>	'012000',
		'yűzően'	=>	'0120000',
		'yűzőé'	=>	'012000',
		'yűzőh'	=>	'012000',
		'yűzők'	=>	'012000',
		'yűzőn'	=>	'012000',
		'yűzőr'	=>	'012000',
		'yűzőt'	=>	'012000',
		'yűzőv'	=>	'012000',
		'yvabr'	=>	'021000',
		'yvadó'	=>	'021200',
		'yvadz'	=>	'000230',
		'yvai'	=>	'00002',
		'yvakc'	=>	'021000',
		'yvalb'	=>	'021000',
		'yvalk'	=>	'021000',
		'yvank'	=>	'021000',
		'yvant'	=>	'021000',
		'yvanya'	=>	'0012000',
		'yvapo'	=>	'021000',
		'yvarz'	=>	'021000',
		'yvasu'	=>	'000212',
		'yvatk'	=>	'021000',
		'yvau'	=>	'02100',
		'yvazo'	=>	'021000',
		'yvábr'	=>	'001000',
		'yvállo'	=>	'0010000',
		'yvállv'	=>	'0010000',
		'yvárai'	=>	'0012000',
		'yvárán'	=>	'0012000',
		'yváre'	=>	'021000',
		'yvárj'	=>	'021000',
		'yvárl'	=>	'021000',
		'yvárosib'	=>	'000000020',
		'yvárre'	=>	'0010000',
		'yváru'	=>	'021200',
		'yvárv'	=>	'021000',
		'yváta'	=>	'021000',
		'yváti'	=>	'021000',
		'yvátt'	=>	'021000',
		'yvbr'	=>	'00100',
		'yvdr'	=>	'00100',
		'yvegye'	=>	'0012000',
		'yvegys'	=>	'0010000',
		'yvekéb'	=>	'0012000',
		'yvela'	=>	'001000',
		'yvelá'	=>	'021200',
		'yvell'	=>	'021000',
		'yvelo'	=>	'021000',
		'yvelti'	=>	'0210000',
		'yvember'	=>	'02100000',
		'yvenn'	=>	'000030',
		'yvep'	=>	'02120',
		'yvera'	=>	'000210',
		'yverá'	=>	'000212',
		'yvereg'	=>	'0002000',
		'yverész'	=>	'00021000',
		'yverip'	=>	'0002000',
		'yvero'	=>	'000210',
		'yvert'	=>	'000002',
		'yvesszé'	=>	'02100000',
		'yveva'	=>	'021000',
		'yvevé'	=>	'021200',
		'yvex'	=>	'02100',
		'yvezérel'	=>	'000002000',
		'yvédu'	=>	'000200',
		'yvékí'	=>	'001000',
		'yvélet'	=>	'0012000',
		'yvélm'	=>	'021000',
		'yvélt'	=>	'021000',
		'yvép'	=>	'02100',
		'yvérd'	=>	'021000',
		'yvéri'	=>	'021200',
		'yvérrő'	=>	'0210000',
		'yvérté'	=>	'0210000',
		'yvérü'	=>	'021200',
		'yvérze'	=>	'0210000',
		'yvfr'	=>	'00100',
		'yvgr'	=>	'00100',
		'yvigaz'	=>	'0000001',
		'yvigé'	=>	'021000',
		'yvik'	=>	'02120',
		'yville'	=>	'0210000',
		'yvim'	=>	'02100',
		'yvind'	=>	'001000',
		'yvint'	=>	'020000',
		'yvip'	=>	'02120',
		'yvism'	=>	'021000',
		'yvist'	=>	'021000',
		'yvíg'	=>	'02100',
		'yvín'	=>	'02100',
		'yvízis'	=>	'0002000',
		'yvízü'	=>	'000200',
		'yvkl'	=>	'00100',
		'yvkr'	=>	'00100',
		'yvold'	=>	'021000',
		'yvolv'	=>	'021000',
		'yvor'	=>	'02100',
		'yvos'	=>	'02100',
		'yvór'	=>	'00120',
		'yvöss'	=>	'001000',
		'yvöz'	=>	'02120',
		'yvőr'	=>	'00100',
		'yvpr'	=>	'00100',
		'yvsk'	=>	'00100',
		'yvsl'	=>	'00100',
		'yvst'	=>	'00100',
		'yvsz'	=>	'00102',
		'yvtr'	=>	'00100',
		'yvub'	=>	'02100',
		'yvud'	=>	'02100',
		'yvur'	=>	'02100',
		'yvut'	=>	'02120',
		'yvúj'	=>	'00100',
		'yvút'	=>	'00100',
		'yvüg'	=>	'02100',
		'yvüz'	=>	'02120',
		'yzatal'	=>	'0002120',
		'yzate'	=>	'000210',
		'yzatérd'	=>	'00021000',
		'yzáróra'	=>	'00021200',
		'yzáss'	=>	'000030',
		'yzeta'	=>	'000212',
		'yzetá'	=>	'000210',
		'yzetés'	=>	'0002000',
		'yzetéte'	=>	'00020000',
		'yzeto'	=>	'000210',
		'yzetöl'	=>	'0002100',
		'yzékel'	=>	'0002120',
		'yzőa'	=>	'00002',
		'yzrí'	=>	'00200',
		'za'	=>	'100',
		'zabbiko'	=>	'00021200',
		'zabiga'	=>	'0021200',
		'zabre'	=>	'001000',
		'zabri'	=>	'001000',
		'zabro'	=>	'010000',
		'zabs'	=>	'20000',
		'zace'	=>	'00200',
		'zacég'	=>	'002100',
		'zacho'	=>	'002000',
		'zacikr'	=>	'0001000',
		'zacim'	=>	'002100',
		'zacipa'	=>	'0020000',
		'zaciv'	=>	'002100',
		'zací'	=>	'00200',
		'zack'	=>	'00012',
		'zacst'	=>	'000300',
		'zadad'	=>	'002000',
		'zadag'	=>	'200000',
		'zadalj'	=>	'0001000',
		'zadan'	=>	'002000',
		'zadata'	=>	'0020000',
		'zadato'	=>	'2120000',
		'zadatr'	=>	'0120000',
		'zadáss'	=>	'0000010',
		'zadia'	=>	'000020',
		'zadír'	=>	'002100',
		'zadóme'	=>	'0020000',
		'zadóz'	=>	'002000',
		'zadrá'	=>	'001200',
		'zadut'	=>	'002100',
		'zadzá'	=>	'002000',
		'zafl'	=>	'00100',
		'zafr'	=>	'00120',
		'zagad'	=>	'002120',
		'zagak'	=>	'002000',
		'zagan'	=>	'002020',
		'zagany'	=>	'0001000',
		'zagara'	=>	'0020000',
		'zagat'	=>	'002120',
		'zagau'	=>	'002000',
		'zagág'	=>	'002000',
		'zagál'	=>	'002100',
		'zagárn'	=>	'0001000',
		'zagárt'	=>	'0001000',
		'zagáz'	=>	'002100',
		'zagel'	=>	'002000',
		'zagés'	=>	'002000',
		'zaggy'	=>	'010000',
		'zagi'	=>	'20000',
		'zagin'	=>	'002000',
		'zagit'	=>	'012000',
		'zagosz'	=>	'0021000',
		'zagren'	=>	'0000002',
		'zagü'	=>	'00210',
		'zagyak'	=>	'0120000',
		'zagyar'	=>	'0120000',
		'zagyb'	=>	'010000',
		'zaijá'	=>	'002000',
		'zaiz'	=>	'00020',
		'zajad'	=>	'002120',
		'zajan'	=>	'002000',
		'zajátv'	=>	'0021000',
		'zajáv'	=>	'300000',
		'zajes'	=>	'002000',
		'zajf'	=>	'30000',
		'zajin'	=>	'002000',
		'zajj'	=>	'30000',
		'zajkárok'	=>	'000002000',
		'zajol'	=>	'300000',
		'zajor'	=>	'002100',
		'zajta'	=>	'200000',
		'zajtók'	=>	'0100000',
		'zajtót'	=>	'2000000',
		'zajtr'	=>	'000100',
		'zajú'	=>	'30000',
		'zajü'	=>	'00212',
		'zakad'	=>	'200000',
		'zakaiko'	=>	'00000200',
		'zakaka'	=>	'0021000',
		'zakalk'	=>	'0001000',
		'zakalv'	=>	'0021000',
		'zakana'	=>	'0020000',
		'zakant'	=>	'0021000',
		'zakara'	=>	'0020000',
		'zakarat'	=>	'01000000',
		'zakarás'	=>	'01200000',
		'zakaró'	=>	'0120000',
		'zakarv'	=>	'0100000',
		'zakatl'	=>	'0021000',
		'zakáp'	=>	'002120',
		'zakáta'	=>	'0021000',
		'zakátl'	=>	'0021000',
		'zakc'	=>	'20000',
		'zakció'	=>	'0100000',
		'zakeg'	=>	'002120',
		'zakele'	=>	'0021000',
		'zakelm'	=>	'0020000',
		'zakeln'	=>	'0021000',
		'zakelő'	=>	'0021000',
		'zaket'	=>	'002000',
		'zakél'	=>	'002120',
		'zakint'	=>	'0021000',
		'zakip'	=>	'002120',
		'zakiro'	=>	'0001000',
		'zakír'	=>	'002100',
		'zakk'	=>	'00012',
		'zaklu'	=>	'001000',
		'zaknák'	=>	'2100000',
		'zakoszt'	=>	'00010000',
		'zakov'	=>	'002120',
		'zakős'	=>	'002000',
		'zakrí'	=>	'001000',
		'zaktá'	=>	'200000',
		'zakti'	=>	'200000',
		'zaktív'	=>	'0100000',
		'zaktú'	=>	'200000',
		'zakup'	=>	'000012',
		'zakur'	=>	'000020',
		'zakura'	=>	'0001000',
		'zakurá'	=>	'0021000',
		'zakü'	=>	'00002',
		'zakvó'	=>	'001000',
		'zalacé'	=>	'0001000',
		'zalagá'	=>	'0000200',
		'zalagg'	=>	'0000010',
		'zalakí'	=>	'2000000',
		'zalakj'	=>	'0020000',
		'zalaku'	=>	'0020000',
		'zalan'	=>	'000020',
		'zalany'	=>	'0001000',
		'zalapb'	=>	'0120000',
		'zalapj'	=>	'0020000',
		'zalátk'	=>	'0001000',
		'zalel'	=>	'000020',
		'zalele'	=>	'0001000',
		'zalell'	=>	'0001000',
		'zalelő'	=>	'0001000',
		'zalem'	=>	'002120',
		'zalgá'	=>	'010000',
		'zalge'	=>	'010000',
		'zalid'	=>	'002000',
		'zalkal'	=>	'0100000',
		'zalkat'	=>	'0100000',
		'zalkot'	=>	'0100000',
		'zalmás'	=>	'2000000',
		'zalól'	=>	'002000',
		'zaltan'	=>	'0000020',
		'zaltel'	=>	'0002000',
		'zaltem'	=>	'0002000',
		'zalti'	=>	'010000',
		'zamad'	=>	'002120',
		'zamaj'	=>	'002100',
		'zamala'	=>	'0001000',
		'zamap'	=>	'002120',
		'zamatő'	=>	'0000212',
		'zamaz'	=>	'002000',
		'zambu'	=>	'210000',
		'zamem'	=>	'002000',
		'zaming'	=>	'0001000',
		'zamis'	=>	'002100',
		'zamí'	=>	'00200',
		'zamosz'	=>	'0021000',
		'zamü'	=>	'00200',
		'zanal'	=>	'012000',
		'zanek'	=>	'012000',
		'zang'	=>	'20000',
		'zangy'	=>	'010000',
		'zankét'	=>	'2100000',
		'zantes'	=>	'0002000',
		'zantil'	=>	'0100000',
		'zanyag'	=>	'0120000',
		'zanyó'	=>	'012000',
		'zaok'	=>	'00020',
		'zaos'	=>	'00020',
		'zaóh'	=>	'00020',
		'zaóv'	=>	'00020',
		'zapad'	=>	'002000',
		'zapag'	=>	'002120',
		'zapai'	=>	'012000',
		'zapág'	=>	'002100',
		'zapán'	=>	'012000',
		'zapára'	=>	'0021000',
		'zapát'	=>	'012000',
		'zapáv'	=>	'012000',
		'zapel'	=>	'000020',
		'zapele'	=>	'0001000',
		'zapem'	=>	'002000',
		'zapes'	=>	'002000',
		'zapí'	=>	'00200',
		'zaplán'	=>	'0012000',
		'zapóé'	=>	'012000',
		'zapók'	=>	'012000',
		'zapp'	=>	'20012',
		'zappane'	=>	'00000200',
		'zaprof'	=>	'0003000',
		'zaps'	=>	'00012',
		'zaradá'	=>	'0021200',
		'zaran'	=>	'002000',
		'zaranya'	=>	'00012000',
		'zarapa'	=>	'0001000',
		'zarar'	=>	'002000',
		'zarái'	=>	'012000',
		'zarál'	=>	'002100',
		'zarány'	=>	'0120000',
		'zarár'	=>	'012000',
		'zarc'	=>	'20000',
		'zarca'	=>	'010000',
		'zarcá'	=>	'010000',
		'zarch'	=>	'010000',
		'zarci'	=>	'010000',
		'zarck'	=>	'010000',
		'zarco'	=>	'010000',
		'zarcú'	=>	'010000',
		'zaret'	=>	'000020',
		'zarete'	=>	'0021000',
		'zarev'	=>	'002000',
		'zaréna'	=>	'0020000',
		'zaréná'	=>	'0020000',
		'zarm'	=>	'20000',
		'zarön'	=>	'002100',
		'zarü'	=>	'00210',
		'zarvág'	=>	'0002000',
		'zarz'	=>	'20000',
		'zasem'	=>	'002000',
		'zaská'	=>	'001200',
		'zasko'	=>	'001200',
		'zasli'	=>	'001200',
		'zaspó'	=>	'001200',
		'zaspr'	=>	'001000',
		'zatab'	=>	'002100',
		'zatad'	=>	'002120',
		'zataj'	=>	'002100',
		'zatalap'	=>	'00010000',
		'zatalj'	=>	'0001000',
		'zatana'	=>	'0001000',
		'zatany'	=>	'0021200',
		'zatará'	=>	'0001000',
		'zatatt'	=>	'0001000',
		'zatau'	=>	'002000',
		'zataz'	=>	'002000',
		'zatáll'	=>	'0021000',
		'zatálo'	=>	'0001000',
		'zatáp'	=>	'000020',
		'zatápo'	=>	'0001000',
		'zatárad'	=>	'00210000',
		'zatáré'	=>	'0021000',
		'zatáru'	=>	'0021200',
		'zatelé'	=>	'0021000',
		'zatelk'	=>	'0001000',
		'zateré'	=>	'0021200',
		'zaterk'	=>	'0021000',
		'zatég'	=>	'002120',
		'zatél'	=>	'002000',
		'zatiko'	=>	'0001200',
		'zatim'	=>	'002000',
		'zatind'	=>	'0021000',
		'zating'	=>	'0021000',
		'zatins'	=>	'0020000',
		'zatint'	=>	'0021000',
		'zatist'	=>	'0021000',
		'zatiz'	=>	'002000',
		'zatk'	=>	'00012',
		'zatlas'	=>	'0100000',
		'zatmos'	=>	'0000010',
		'zatmosz'	=>	'00000002',
		'zatokos'	=>	'00210000',
		'zatolda'	=>	'00010000',
		'zatomj'	=>	'2000000',
		'zatoml'	=>	'0001000',
		'zatosz'	=>	'0021000',
		'zatök'	=>	'002000',
		'zatön'	=>	'002100',
		'zatrok'	=>	'0002000',
		'zatrom'	=>	'0010000',
		'zatt'	=>	'00002',
		'zattr'	=>	'000100',
		'zatura'	=>	'0020000',
		'zatül'	=>	'002000',
		'zatür'	=>	'002000',
		'zaty'	=>	'20000',
		'zatya'	=>	'002000',
		'zatyá'	=>	'002000',
		'zaula'	=>	'002000',
		'zaulá'	=>	'002000',
		'zaurá'	=>	'002000',
		'zautak'	=>	'0002000',
		'zauto'	=>	'012000',
		'zautó'	=>	'010000',
		'zaüt'	=>	'00020',
		'zaüz'	=>	'00020',
		'zavará'	=>	'0030000',
		'zavarb'	=>	'3000000',
		'zavat'	=>	'200000',
		'zazh'	=>	'01000',
		'zazo'	=>	'01200',
		'zá'	=>	'100',
		'zábr'	=>	'21000',
		'záde'	=>	'00200',
		'zágad'	=>	'000120',
		'zágako'	=>	'0020000',
		'zágal'	=>	'002100',
		'zágas'	=>	'012000',
		'zágat'	=>	'012000',
		'zágaz'	=>	'002000',
		'zágazo'	=>	'0001000',
		'zágál'	=>	'002100',
		'zágárak'	=>	'00212000',
		'zágáru'	=>	'0021000',
		'záge'	=>	'00210',
		'zágép'	=>	'002000',
		'zágolta'	=>	'00200000',
		'zágói'	=>	'012000',
		'zágü'	=>	'00200',
		'zágya'	=>	'012000',
		'zágyada'	=>	'00001200',
		'zágyb'	=>	'010000',
		'zágyh'	=>	'010000',
		'zágyn'	=>	'010000',
		'zágyr'	=>	'010000',
		'zágyu'	=>	'012000',
		'záír'	=>	'00020',
		'zájék'	=>	'002100',
		'zájí'	=>	'00200',
		'zájol'	=>	'002100',
		'zájös'	=>	'002100',
		'zájő'	=>	'00200',
		'zájü'	=>	'00200',
		'zájű'	=>	'00200',
		'zákin'	=>	'002000',
		'záköv'	=>	'002120',
		'zálan'	=>	'000020',
		'zálany'	=>	'0021000',
		'zálapr'	=>	'0001000',
		'zálar'	=>	'010000',
		'zálassz'	=>	'00010000',
		'zálca'	=>	'010000',
		'zálcá'	=>	'010000',
		'záldá'	=>	'010000',
		'záleg'	=>	'002120',
		'zálel'	=>	'002120',
		'zálem'	=>	'002100',
		'zálib'	=>	'002000',
		'zálid'	=>	'002000',
		'záling'	=>	'0001000',
		'zálir'	=>	'002000',
		'zállam'	=>	'0100000',
		'zállap'	=>	'0100000',
		'zálma'	=>	'010000',
		'zálmá'	=>	'010000',
		'zálmo'	=>	'010000',
		'zálob'	=>	'002000',
		'zálod'	=>	'000020',
		'záloda'	=>	'0021000',
		'zálos'	=>	'002000',
		'zálü'	=>	'00200',
		'zályal'	=>	'0020120',
		'zámac'	=>	'002000',
		'zámad'	=>	'002120',
		'zámaj'	=>	'002100',
		'zámal'	=>	'002120',
		'zámany'	=>	'0001000',
		'zámap'	=>	'002120',
		'zámar'	=>	'000020',
		'zámará'	=>	'0001000',
		'zámaz'	=>	'002000',
		'zámátl'	=>	'0021000',
		'zámáto'	=>	'0021200',
		'zámél'	=>	'002000',
		'zámérő'	=>	'0021200',
		'zámik'	=>	'002100',
		'zámip'	=>	'002000',
		'zámir'	=>	'002000',
		'zámorm'	=>	'0001000',
		'zámors'	=>	'0001000',
		'zámó'	=>	'00200',
		'zámö'	=>	'00200',
		'zámő'	=>	'00200',
		'zámut'	=>	'002100',
		'zámü'	=>	'00200',
		'zámű'	=>	'00200',
		'zánaj'	=>	'002000',
		'zánas'	=>	'002100',
		'zánat'	=>	'002100',
		'zánát'	=>	'002100',
		'zánem'	=>	'002000',
		'zánis'	=>	'002000',
		'zánit'	=>	'002100',
		'zánn'	=>	'00030',
		'zánosz'	=>	'0021000',
		'zánsp'	=>	'000100',
		'zánü'	=>	'00200',
		'zány'	=>	'00002',
		'západ'	=>	'002100',
		'zápag'	=>	'002100',
		'záporzó'	=>	'00210000',
		'zápr'	=>	'00120',
		'záradd'	=>	'0120000',
		'záradot'	=>	'00212000',
		'záral'	=>	'002120',
		'záramk'	=>	'0120000',
		'záraml'	=>	'0120000',
		'záran'	=>	'000020',
		'zárany'	=>	'0021000',
		'zárap'	=>	'002100',
		'zárar'	=>	'002000',
		'zárati'	=>	'0021000',
		'zárato'	=>	'0021200',
		'záratt'	=>	'0021000',
		'zárav'	=>	'002100',
		'zárál'	=>	'002100',
		'zárása'	=>	'3000000',
		'zárásb'	=>	'3000000',
		'zárási'	=>	'3000000',
		'záráss'	=>	'0000010',
		'zárász'	=>	'0021200',
		'zárbev'	=>	'0100000',
		'zárdá'	=>	'300000',
		'zárdem'	=>	'0002000',
		'zárdz'	=>	'000230',
		'zárem'	=>	'202100',
		'záréb'	=>	'002000',
		'zárf'	=>	'20000',
		'záriá'	=>	'212000',
		'zárid'	=>	'002000',
		'zárik'	=>	'002120',
		'zárim'	=>	'002000',
		'záris'	=>	'002100',
		'záriz'	=>	'002100',
		'zárk'	=>	'00012',
		'zárkák'	=>	'3000000',
		'zárkö'	=>	'200000',
		'zárlat'	=>	'3000000',
		'zárnö'	=>	'200000',
		'zárny'	=>	'200000',
		'zárnyál'	=>	'00020000',
		'zárosz'	=>	'0021000',
		'záróa'	=>	'300000',
		'záróbo'	=>	'0021000',
		'záród'	=>	'300000',
		'záróév'	=>	'0001000',
		'zárórá'	=>	'0021200',
		'zárő'	=>	'00200',
		'zárré'	=>	'200000',
		'zárs'	=>	'00002',
		'zársk'	=>	'000100',
		'zártanyá'	=>	'000010000',
		'zártes'	=>	'0002100',
		'zártér'	=>	'0000020',
		'zártro'	=>	'0001000',
		'zárug'	=>	'002000',
		'záruh'	=>	'012000',
		'záruj'	=>	'010000',
		'zárunkn'	=>	'20000000',
		'zárunkr'	=>	'20000000',
		'zárü'	=>	'00200',
		'zárvah'	=>	'0100000',
		'zásad'	=>	'002120',
		'zásaj'	=>	'002000',
		'zásal'	=>	'002000',
		'zásar'	=>	'002120',
		'zásat'	=>	'002100',
		'zásaz'	=>	'002000',
		'záság'	=>	'002120',
		'zásárad'	=>	'00210000',
		'zásárá'	=>	'0021200',
		'zásáré'	=>	'0021200',
		'zásárh'	=>	'0021000',
		'zásárn'	=>	'0021000',
		'zásárt'	=>	'0021000',
		'zásás'	=>	'012000',
		'zásep'	=>	'002000',
		'zásikon'	=>	'00010000',
		'zásis'	=>	'002000',
		'zásí'	=>	'00210',
		'zásol'	=>	'002100',
		'zásór'	=>	'000120',
		'zásóv'	=>	'010000',
		'zásut'	=>	'002000',
		'zásü'	=>	'00200',
		'zászav'	=>	'0023000',
		'zászl'	=>	'300000',
		'zászse'	=>	'0000300',
		'zátad'	=>	'010000',
		'zátadók'	=>	'00012000',
		'zátár'	=>	'000020',
		'zátb'	=>	'20000',
		'zátc'	=>	'21000',
		'zátd'	=>	'01000',
		'zátem'	=>	'000120',
		'zátél'	=>	'002000',
		'zátf'	=>	'21000',
		'záth'	=>	'20000',
		'zátha'	=>	'010000',
		'záthe'	=>	'010000',
		'záthi'	=>	'001200',
		'záti'	=>	'01212',
		'zátj'	=>	'21000',
		'zátm'	=>	'21000',
		'zátra'	=>	'001000',
		'zátro'	=>	'001000',
		'záts'	=>	'20000',
		'zátv'	=>	'21000',
		'zázala'	=>	'0021000',
		'zázat'	=>	'000020',
		'zázato'	=>	'0021000',
		'záze'	=>	'00212',
		'zázév'	=>	'002000',
		'zázol'	=>	'002100',
		'zázos'	=>	'002000',
		'zázó'	=>	'00002',
		'zázór'	=>	'002000',
		'zázö'	=>	'00200',
		'zázsaj'	=>	'0020000',
		'zázsas'	=>	'0020000',
		'zázsá'	=>	'000400',
		'zázsál'	=>	'0020000',
		'zázsol'	=>	'0020000',
		'zbaki'	=>	'000200',
		'zbeá'	=>	'00002',
		'zble'	=>	'00200',
		'zblo'	=>	'00200',
		'zblú'	=>	'00200',
		'zbri'	=>	'00200',
		'zbró'	=>	'00200',
		'zbrú'	=>	'00200',
		'zclu'	=>	'00200',
		'zcsapág'	=>	'00002120',
		'zdap'	=>	'00012',
		'zdas'	=>	'00002',
		'zdass'	=>	'021000',
		'zdáll'	=>	'001000',
		'zdéss'	=>	'000010',
		'zdősp'	=>	'000120',
		'zdri'	=>	'00200',
		'zdur'	=>	'00120',
		'ze'	=>	'100',
		'zead'	=>	'00020',
		'zeag'	=>	'00020',
		'zeak'	=>	'00020',
		'zeal'	=>	'00020',
		'zeas'	=>	'00020',
		'zeánsze'	=>	'00002000',
		'zeár'	=>	'00020',
		'zeáz'	=>	'00020',
		'zebe'	=>	'20000',
		'zebei'	=>	'002000',
		'zebek'	=>	'002000',
		'zebéd'	=>	'012000',
		'zebf'	=>	'01000',
		'zebh'	=>	'01000',
		'zebk'	=>	'01000',
		'zebn'	=>	'21000',
		'zebru'	=>	'001000',
		'zece'	=>	'20000',
		'zecet'	=>	'012000',
		'zech'	=>	'01200',
		'zecset'	=>	'0120000',
		'zedálj'	=>	'0021000',
		'zedáln'	=>	'0021000',
		'zedált'	=>	'0021000',
		'zedálv'	=>	'0021000',
		'zedere'	=>	'0000210',
		'zedil'	=>	'002000',
		'zedó'	=>	'00212',
		'zedz'	=>	'21200',
		'zees'	=>	'00020',
		'zeff'	=>	'01000',
		'zefr'	=>	'00100',
		'zegal'	=>	'002120',
		'zegap'	=>	'002000',
		'zegar'	=>	'002000',
		'zegál'	=>	'002100',
		'zegár'	=>	'002100',
		'zegeg'	=>	'002100',
		'zegell'	=>	'0001000',
		'zegep'	=>	'002000',
		'zegetteb'	=>	'000002100',
		'zegérr'	=>	'0001000',
		'zegész'	=>	'0000200',
		'zegészb'	=>	'00010000',
		'zegészé'	=>	'00010000',
		'zegid'	=>	'002000',
		'zegil'	=>	'002000',
		'zegol'	=>	'002000',
		'zegú'	=>	'00200',
		'zegyed'	=>	'0020000',
		'zegyel'	=>	'0020120',
		'zegyene'	=>	'00200000',
		'zegyez'	=>	'0020000',
		'zegyl'	=>	'010000',
		'zegys'	=>	'010000',
		'zehet'	=>	'002000',
		'zeia'	=>	'00200',
		'zeig'	=>	'00020',
		'zeis'	=>	'00020',
		'zeír'	=>	'00020',
		'zekciósz'	=>	'000002000',
		'zekegy'	=>	'0001200',
		'zekell'	=>	'0021000',
		'zekéit'	=>	'0120000',
		'zekék'	=>	'200000',
		'zekil'	=>	'002000',
		'zeklap'	=>	'0012000',
		'zekott'	=>	'0021000',
		'zekövek'	=>	'00010000',
		'zekő'	=>	'00200',
		'zekreá'	=>	'0012000',
		'zekt'	=>	'00012',
		'zekülő'	=>	'0021200',
		'zekviv'	=>	'0100000',
		'zelag'	=>	'002000',
		'zelar'	=>	'002000',
		'zelál'	=>	'002000',
		'zelbo'	=>	'010000',
		'zeledel'	=>	'20000000',
		'zelefá'	=>	'0120000',
		'zeleji'	=>	'0020000',
		'zelekt'	=>	'2000000',
		'zelemek'	=>	'00200000',
		'zelemel'	=>	'00000100',
		'zelemű'	=>	'0020000',
		'zelepá'	=>	'0000200',
		'zelepel'	=>	'00002100',
		'zelepo'	=>	'0000200',
		'zelepül'	=>	'00002120',
		'zelere'	=>	'0121200',
		'zelesz'	=>	'0021000',
		'zeletá'	=>	'0000200',
		'zeleter'	=>	'00002000',
		'zelég'	=>	'212000',
		'zeléré'	=>	'2100000',
		'zelérh'	=>	'0001000',
		'zeléss'	=>	'0000010',
		'zelhá'	=>	'010000',
		'zelhel'	=>	'2100000',
		'zelher'	=>	'2100000',
		'zelitet'	=>	'00200000',
		'zelkü'	=>	'010000',
		'zelláto'	=>	'21000000',
		'zellen'	=>	'2000000',
		'zellene'	=>	'01000000',
		'zelnev'	=>	'2100000',
		'zelnö'	=>	'010000',
		'zelof'	=>	'002000',
		'zelos'	=>	'012000',
		'zelöl'	=>	'012020',
		'zelön'	=>	'010000',
		'zelőha'	=>	'2120000',
		'zelősaj'	=>	'00002000',
		'zelőző'	=>	'0120000',
		'zelső'	=>	'010000',
		'zeltá'	=>	'010000',
		'zeltér'	=>	'2100000',
		'zelto'	=>	'210000',
		'zeltű'	=>	'210000',
		'zelu'	=>	'01200',
		'zelú'	=>	'21200',
		'zelvek'	=>	'0100000',
		'zelves'	=>	'0100000',
		'zelvev'	=>	'2100000',
		'zelvez'	=>	'0100000',
		'zelvn'	=>	'010000',
		'zelvt'	=>	'010000',
		'zelvű'	=>	'210000',
		'zelzá'	=>	'010000',
		'zema'	=>	'20000',
		'zemak'	=>	'002000',
		'zemág'	=>	'002100',
		'zemár'	=>	'002100',
		'zemát'	=>	'002000',
		'zember'	=>	'2000000',
		'zemberb'	=>	'01000000',
		'zemberé'	=>	'01000000',
		'zemberh'	=>	'01000000',
		'zemberk'	=>	'01000000',
		'zembern'	=>	'01000000',
		'zemberr'	=>	'01000000',
		'zembert'	=>	'01000000',
		'zembl'	=>	'010000',
		'zemegé'	=>	'0021000',
		'zemei'	=>	'200000',
		'zemek'	=>	'200000',
		'zemell'	=>	'0021000',
		'zemeng'	=>	'0021000',
		'zeméb'	=>	'200000',
		'zeméh'	=>	'200000',
		'zemék'	=>	'002100',
		'zeméle'	=>	'0021000',
		'zemélé'	=>	'0021200',
		'zemélő'	=>	'0021200',
		'zemélt'	=>	'0021000',
		'zemélv'	=>	'0021000',
		'zemérét'	=>	'00212000',
		'zemés'	=>	'200000',
		'zeméte'	=>	'0000200',
		'zeméten'	=>	'00210000',
		'zemétet'	=>	'00210000',
		'zemétjé'	=>	'00210000',
		'zemév'	=>	'200000',
		'zemigr'	=>	'0020000',
		'zeming'	=>	'0021000',
		'zemint'	=>	'0021000',
		'zemis'	=>	'002000',
		'zemiz'	=>	'002100',
		'zemí'	=>	'00210',
		'zemk'	=>	'20000',
		'zeml'	=>	'20000',
		'zemmó'	=>	'200000',
		'zemol'	=>	'002000',
		'zemosz'	=>	'0021000',
		'zemó'	=>	'00212',
		'zemő'	=>	'00210',
		'zems'	=>	'20000',
		'zemul'	=>	'010000',
		'zemur'	=>	'000100',
		'zemú'	=>	'00200',
		'zemü'	=>	'20000',
		'zemv'	=>	'20000',
		'zemvíz'	=>	'0000001',
		'zeneir'	=>	'3000000',
		'zeneka'	=>	'3000000',
		'zenesz'	=>	'0000002',
		'zenéé'	=>	'300000',
		'zenéi'	=>	'300000',
		'zenéj'	=>	'300000',
		'zenép'	=>	'002000',
		'zenké'	=>	'000002',
		'zenkét'	=>	'0000001',
		'zeno'	=>	'00210',
		'zentag'	=>	'0002000',
		'zental'	=>	'0002000',
		'zentan'	=>	'0002100',
		'zentas'	=>	'0002100',
		'zenteg'	=>	'0000020',
		'zentegy'	=>	'00021000',
		'zentelm'	=>	'00020000',
		'zentere'	=>	'00021000',
		'zentev'	=>	'0002000',
		'zentéj'	=>	'0002120',
		'zentimr'	=>	'00021000',
		'zentip'	=>	'0002000',
		'zentis'	=>	'0002000',
		'zentí'	=>	'000200',
		'zentol'	=>	'0002000',
		'zentó'	=>	'000212',
		'zentö'	=>	'000210',
		'zentős'	=>	'0000020',
		'zentőse'	=>	'00021000',
		'zenz'	=>	'20000',
		'zeok'	=>	'00020',
		'zeom'	=>	'00020',
		'zeör'	=>	'00020',
		'zepééb'	=>	'2000000',
		'zepééi'	=>	'2000000',
		'zepéén'	=>	'2000000',
		'zepéit'	=>	'2000000',
		'zepéj'	=>	'210000',
		'zepém'	=>	'212000',
		'zepés'	=>	'212000',
		'zepiz'	=>	'010000',
		'zepla'	=>	'001000',
		'zeple'	=>	'001000',
		'zepr'	=>	'20000',
		'zepri'	=>	'001200',
		'zepró'	=>	'001000',
		'zerad'	=>	'002120',
		'zerajá'	=>	'0020000',
		'zerajt'	=>	'0021000',
		'zerakr'	=>	'0020000',
		'zeral'	=>	'002100',
		'zeram'	=>	'002000',
		'zeran'	=>	'002120',
		'zerar'	=>	'002120',
		'zeras'	=>	'002100',
		'zerat'	=>	'002120',
		'zerau'	=>	'002100',
		'zeraz'	=>	'002000',
		'zerága'	=>	'0021000',
		'zerár'	=>	'002120',
		'zerás'	=>	'002000',
		'zerát'	=>	'002120',
		'zerbin'	=>	'0002000',
		'zerd'	=>	'00012',
		'zerdé'	=>	'010000',
		'zereb'	=>	'002100',
		'zerece'	=>	'0021200',
		'zeredé'	=>	'0020000',
		'zerege'	=>	'0020000',
		'zeregé'	=>	'0021200',
		'zeregg'	=>	'0021000',
		'zeregy'	=>	'0021000',
		'zereje'	=>	'0120000',
		'zerejt'	=>	'0001000',
		'zerejü'	=>	'0120000',
		'zerejű'	=>	'0120000',
		'zerekl'	=>	'0120000',
		'zerelődj'	=>	'002000000',
		'zerember'	=>	'002100000',
		'zeremi'	=>	'0021000',
		'zereng'	=>	'0021000',
		'zerepa'	=>	'0000210',
		'zerer'	=>	'002120',
		'zeresés'	=>	'00212000',
		'zeressz'	=>	'00210000',
		'zereste'	=>	'00210000',
		'zereszk'	=>	'00010000',
		'zereszt'	=>	'00200000',
		'zereu'	=>	'002100',
		'zerev'	=>	'002120',
		'zerég'	=>	'002000',
		'zeréj'	=>	'002120',
		'zerék'	=>	'002100',
		'zerél'	=>	'002120',
		'zerép'	=>	'002100',
		'zerg'	=>	'00012',
		'zerid'	=>	'002120',
		'zeriga'	=>	'0021000',
		'zeriko'	=>	'0021000',
		'zerill'	=>	'0021000',
		'zerim'	=>	'002120',
		'zerina'	=>	'0021000',
		'zerind'	=>	'0020000',
		'zerinf'	=>	'0021000',
		'zering'	=>	'0021000',
		'zerinj'	=>	'0021000',
		'zerink'	=>	'0021000',
		'zerintel'	=>	'002100000',
		'zerinté'	=>	'00210000',
		'zerintő'	=>	'00010000',
		'zerio'	=>	'002000',
		'zerism'	=>	'0020000',
		'zeriz'	=>	'002000',
		'zeríj'	=>	'002120',
		'zerk'	=>	'00012',
		'zernal'	=>	'0002000',
		'zerokt'	=>	'0021000',
		'zerold'	=>	'0021000',
		'zerolv'	=>	'0020000',
		'zeror'	=>	'002000',
		'zerost'	=>	'0021000',
		'zerosz'	=>	'0021000',
		'zeroti'	=>	'0020000',
		'zerór'	=>	'002120',
		'zerök'	=>	'002000',
		'zerő'	=>	'20200',
		'zerőf'	=>	'010000',
		'zerői'	=>	'010000',
		'zerők'	=>	'010000',
		'zeről'	=>	'010000',
		'zerőn'	=>	'010000',
		'zerős'	=>	'010000',
		'zerőt'	=>	'010000',
		'zerőv'	=>	'010000',
		'zerőz'	=>	'000100',
		'zerp'	=>	'00012',
		'zers'	=>	'00010',
		'zersk'	=>	'000020',
		'zersp'	=>	'000020',
		'zerst'	=>	'000020',
		'zertálom'	=>	'000012000',
		'zertit'	=>	'0002000',
		'zertór'	=>	'0002000',
		'zertra'	=>	'0001000',
		'zertren'	=>	'00010000',
		'zerun'	=>	'002100',
		'zerur'	=>	'002000',
		'zerus'	=>	'002000',
		'zerut'	=>	'002120',
		'zerút'	=>	'002100',
		'zerüg'	=>	'002120',
		'zerű'	=>	'20000',
		'zervadó'	=>	'00021200',
		'zervan'	=>	'0002000',
		'zervel'	=>	'0002000',
		'zervél'	=>	'0002000',
		'zesedék'	=>	'21200000',
		'zesekéh'	=>	'00212000',
		'zesetb'	=>	'0120000',
		'zesetes'	=>	'01000000',
		'zesetet'	=>	'01200000',
		'zeseté'	=>	'0120000',
		'zeseti'	=>	'0120000',
		'zesetr'	=>	'0120000',
		'zesésb'	=>	'2120000',
		'zesésd'	=>	'2100000',
		'zesései'	=>	'21200000',
		'zesések'	=>	'21200000',
		'zesésem'	=>	'21200000',
		'zesésen'	=>	'21200000',
		'zeséses'	=>	'21200000',
		'zesésé'	=>	'2120000',
		'zesésh'	=>	'2120000',
		'zesési'	=>	'2120000',
		'zesésk'	=>	'2120000',
		'zesésn'	=>	'2120000',
		'zesésr'	=>	'2120000',
		'zeséss'	=>	'2120000',
		'zesést'	=>	'2120000',
		'zesit'	=>	'002100',
		'zesmi'	=>	'001200',
		'zeső'	=>	'21200',
		'zesp'	=>	'00002',
		'zespe'	=>	'001200',
		'zespr'	=>	'001000',
		'zeste'	=>	'200000',
		'zestek'	=>	'0100000',
		'zestem'	=>	'0100000',
		'zesté'	=>	'210000',
		'zestil'	=>	'0012000',
		'zestj'	=>	'210000',
		'zesto'	=>	'001000',
		'zestre'	=>	'0100000',
		'zestt'	=>	'010000',
		'zesüv'	=>	'002120',
		'zeszac'	=>	'0003000',
		'zeszág'	=>	'0020000',
		'zeszeget'	=>	'000012000',
		'zeszelle'	=>	'002000000',
		'zeszeng'	=>	'00200000',
		'zeszéh'	=>	'0020000',
		'zeszéle'	=>	'00201200',
		'zeszim'	=>	'0020100',
		'zeszip'	=>	'0020000',
		'zeszk'	=>	'200000',
		'zeszkö'	=>	'0100000',
		'zeszol'	=>	'0020000',
		'zeszt'	=>	'000002',
		'zesztr'	=>	'0000100',
		'zetab'	=>	'002100',
		'zetac'	=>	'002000',
		'zetala'	=>	'0021000',
		'zetany'	=>	'0021200',
		'zetáj'	=>	'002000',
		'zetál'	=>	'002120',
		'zetáp'	=>	'002120',
		'zetát'	=>	'002100',
		'zetegé'	=>	'0001000',
		'zetelá'	=>	'0001000',
		'zetell'	=>	'0021000',
		'zetelm'	=>	'0020000',
		'zetelőá'	=>	'00212000',
		'zetelőd'	=>	'00212000',
		'zetelr'	=>	'0021000',
		'zetemel'	=>	'00010000',
		'zeteml'	=>	'0021000',
		'zetene'	=>	'0020000',
		'zeterk'	=>	'0001000',
		'zeteró'	=>	'0001200',
		'zeteség'	=>	'00002100',
		'zetest'	=>	'0000002',
		'zetestr'	=>	'00000100',
		'zeteté'	=>	'0120000',
		'zeteti'	=>	'0021000',
		'zetetn'	=>	'0020000',
		'zetéd'	=>	'002100',
		'zetéj'	=>	'002120',
		'zetél'	=>	'002120',
		'zetérte'	=>	'00200000',
		'zetérté'	=>	'00210000',
		'zetértő'	=>	'00010000',
		'zetérü'	=>	'0021200',
		'zetész'	=>	'0000200',
		'zetésze'	=>	'00010000',
		'zetéter'	=>	'00010000',
		'zetid'	=>	'002000',
		'zetika'	=>	'0120000',
		'zetiko'	=>	'0021200',
		'zetill'	=>	'0001000',
		'zeting'	=>	'0021000',
		'zetít'	=>	'002000',
		'zetkésze'	=>	'000000010',
		'zetom'	=>	'002000',
		'zetont'	=>	'0001000',
		'zetop'	=>	'002000',
		'zetór'	=>	'002120',
		'zetöv'	=>	'002120',
		'zetőri'	=>	'0001000',
		'zetőrö'	=>	'0001000',
		'zetőrt'	=>	'0001000',
		'zetut'	=>	'002000',
		'zetür'	=>	'002000',
		'zetüz'	=>	'002120',
		'zety'	=>	'00200',
		'zeug'	=>	'00020',
		'zeur'	=>	'01200',
		'zeüt'	=>	'00020',
		'zevő'	=>	'01200',
		'zexid'	=>	'002100',
		'zexim'	=>	'002000',
		'zexip'	=>	'002120',
		'zexpe'	=>	'010000',
		'zextö'	=>	'000210',
		'zexú'	=>	'00200',
		'zezer'	=>	'012000',
		'zezr'	=>	'01000',
		'zé'	=>	'100',
		'zéber'	=>	'012000',
		'zébr'	=>	'21000',
		'zédak'	=>	'002000',
		'zédal'	=>	'002120',
		'zédar'	=>	'002120',
		'zédas'	=>	'002100',
		'zédat'	=>	'002000',
		'zédá'	=>	'00212',
		'zédekét'	=>	'00210000',
		'zédelem'	=>	'00212000',
		'zédelm'	=>	'0020000',
		'zéder'	=>	'000021',
		'zédesem'	=>	'00010000',
		'zédesz'	=>	'0021000',
		'zédeti'	=>	'0021000',
		'zédés'	=>	'002100',
		'zédik'	=>	'002000',
		'zédó'	=>	'00200',
		'zédő'	=>	'00210',
		'zédren'	=>	'0000002',
		'zédu'	=>	'00002',
		'zédur'	=>	'002000',
		'zédú'	=>	'00200',
		'zédz'	=>	'00230',
		'zéfá'	=>	'00200',
		'zégb'	=>	'01000',
		'zége'	=>	'01200',
		'zégé'	=>	'00200',
		'zégi'	=>	'01200',
		'zégn'	=>	'01000',
		'zégő'	=>	'01200',
		'zégr'	=>	'01000',
		'zégt'	=>	'01000',
		'zéhen'	=>	'012000',
		'zéhes'	=>	'212000',
		'zéhet'	=>	'012000',
		'zéhs'	=>	'21000',
		'zéid'	=>	'20000',
		'zéjen'	=>	'002000',
		'zéji'	=>	'01200',
		'zéjjele'	=>	'00000212',
		'zéjs'	=>	'01000',
		'zéjül'	=>	'210000',
		'zéjün'	=>	'212000',
		'zékad'	=>	'002120',
		'zékal'	=>	'002120',
		'zékan'	=>	'002120',
		'zékap'	=>	'002100',
		'zékas'	=>	'002100',
		'zékás'	=>	'002000',
		'zékeg'	=>	'002100',
		'zékekét'	=>	'00212000',
		'zékelr'	=>	'0021000',
		'zéker'	=>	'002000',
		'zékez'	=>	'012000',
		'zékék'	=>	'002100',
		'zékél'	=>	'002120',
		'zékés'	=>	'002100',
		'zékold'	=>	'0001000',
		'zékosz'	=>	'0001000',
		'zékó'	=>	'00212',
		'zékör'	=>	'002000',
		'zékúr'	=>	'002000',
		'zékül'	=>	'000020',
		'zékülé'	=>	'0021000',
		'zékülő'	=>	'0021000',
		'zéla'	=>	'00002',
		'zélab'	=>	'002000',
		'zélad'	=>	'002000',
		'zélak'	=>	'002000',
		'zélan'	=>	'002100',
		'zélas'	=>	'002000',
		'zélá'	=>	'00212',
		'zélel'	=>	'202020',
		'zélele'	=>	'0001000',
		'zélell'	=>	'0001000',
		'zélelő'	=>	'0001000',
		'zélelt'	=>	'0001000',
		'zéler'	=>	'002120',
		'zéletb'	=>	'2120000',
		'zéleten'	=>	'21200000',
		'zéleté'	=>	'2120000',
		'zéletf'	=>	'0020000',
		'zéleth'	=>	'2120000',
		'zéleti'	=>	'2120000',
		'zéletn'	=>	'2120000',
		'zéletp'	=>	'2120000',
		'zéletr'	=>	'2120000',
		'zélets'	=>	'2120000',
		'zélettő'	=>	'21200000',
		'zéletü'	=>	'2120000',
		'zéletű'	=>	'2120000',
		'zélé'	=>	'20000',
		'zélékh'	=>	'0021000',
		'zélim'	=>	'002000',
		'zélist'	=>	'0021000',
		'zélí'	=>	'00200',
		'zélm'	=>	'20000',
		'zélo'	=>	'00210',
		'zélö'	=>	'00212',
		'zélős'	=>	'200000',
		'zélt'	=>	'20000',
		'zélu'	=>	'00212',
		'zélú'	=>	'00200',
		'zélya'	=>	'002000',
		'zélyá'	=>	'002000',
		'zélyesh'	=>	'00201000',
		'zélyo'	=>	'002000',
		'zéme'	=>	'20000',
		'zénárn'	=>	'0021000',
		'zéndio'	=>	'0000002',
		'zéneg'	=>	'002000',
		'zénekb'	=>	'2120000',
		'zéneke'	=>	'2120000',
		'zéneké'	=>	'0120000',
		'zénekk'	=>	'0020000',
		'zénekl'	=>	'2000000',
		'zénekn'	=>	'0120000',
		'zénekr'	=>	'0020000',
		'zénekü'	=>	'0020000',
		'zénel'	=>	'002120',
		'zéner'	=>	'002120',
		'zéni'	=>	'00002',
		'zénik'	=>	'002000',
		'zénil'	=>	'002000',
		'zénim'	=>	'002000',
		'zénio'	=>	'002100',
		'zénis'	=>	'002100',
		'zéní'	=>	'00200',
		'zénom'	=>	'002000',
		'zénö'	=>	'00200',
		'zénő'	=>	'00200',
		'zént'	=>	'00002',
		'zénülő'	=>	'0021200',
		'zépag'	=>	'002120',
		'zépal'	=>	'002120',
		'zépany'	=>	'0021000',
		'zépap'	=>	'002120',
		'zépar'	=>	'002120',
		'zépas'	=>	'002000',
		'zépat'	=>	'002000',
		'zépau'	=>	'002000',
		'zépav'	=>	'002000',
		'zépár'	=>	'002120',
		'zépát'	=>	'002000',
		'zépeg'	=>	'002000',
		'zépell'	=>	'0001000',
		'zépez'	=>	'002000',
		'zépf'	=>	'00012',
		'zépin'	=>	'002000',
		'zépip'	=>	'002120',
		'zépir'	=>	'002000',
		'zépis'	=>	'002120',
		'zépít'	=>	'200000',
		'zépo'	=>	'00002',
		'zépol'	=>	'002000',
		'zépos'	=>	'002000',
		'zépó'	=>	'00200',
		'zépö'	=>	'00200',
		'zéps'	=>	'00010',
		'zépud'	=>	'002000',
		'zépus'	=>	'002100',
		'zépú'	=>	'00200',
		'zépül'	=>	'200000',
		'zérab'	=>	'002000',
		'zérag'	=>	'002000',
		'zéral'	=>	'002120',
		'zéram'	=>	'012000',
		'zéran'	=>	'002120',
		'zérap'	=>	'002000',
		'zérar'	=>	'002000',
		'zéras'	=>	'002100',
		'zérat'	=>	'002000',
		'zérav'	=>	'002000',
		'zérá'	=>	'00212',
		'zérd'	=>	'00012',
		'zérelemé'	=>	'002120000',
		'zérelemk'	=>	'002120000',
		'zérelemn'	=>	'002120000',
		'zéremb'	=>	'0020000',
		'zéreml'	=>	'0001000',
		'zéresz'	=>	'0021000',
		'zérett'	=>	'2000000',
		'zérev'	=>	'002000',
		'zérésb'	=>	'0020000',
		'zérése'	=>	'0020000',
		'zérési'	=>	'0020000',
		'zérésk'	=>	'0020000',
		'zérésn'	=>	'0020000',
		'zérid'	=>	'002100',
		'zérim'	=>	'002000',
		'zéris'	=>	'002000',
		'zérok'	=>	'002120',
		'zéros'	=>	'002100',
		'zérós'	=>	'300000',
		'zérö'	=>	'00200',
		'zérői'	=>	'012000',
		'zérők'	=>	'012000',
		'zérős'	=>	'002000',
		'zérőt'	=>	'012000',
		'zérs'	=>	'00010',
		'zértaj'	=>	'0002000',
		'zértekez'	=>	'200000000',
		'zértelm'	=>	'20000000',
		'zértetl'	=>	'21000000',
		'zértető'	=>	'21000000',
		'zérték'	=>	'2100000',
		'zérthet'	=>	'21000000',
		'zérto'	=>	'010000',
		'zérú'	=>	'00200',
		'zésab'	=>	'002000',
		'zésan'	=>	'002000',
		'zésar'	=>	'002000',
		'zésaz'	=>	'002100',
		'zésá'	=>	'00212',
		'zéseg'	=>	'002000',
		'zésel'	=>	'002120',
		'zéser'	=>	'002120',
		'zéseti'	=>	'0021000',
		'zéség'	=>	'002100',
		'zésés'	=>	'002000',
		'zésik'	=>	'002120',
		'zésok'	=>	'002000',
		'zésó'	=>	'00200',
		'zéss'	=>	'00030',
		'zésüt'	=>	'002120',
		'zésza'	=>	'002300',
		'zészb'	=>	'010000',
		'zészé'	=>	'012000',
		'zészl'	=>	'010000',
		'zészó'	=>	'002000',
		'zészs'	=>	'000300',
		'zétab'	=>	'002120',
		'zétad'	=>	'002100',
		'zétag'	=>	'002000',
		'zétaj'	=>	'002100',
		'zétak'	=>	'002120',
		'zétal'	=>	'002120',
		'zétap'	=>	'002100',
		'zétas'	=>	'002120',
		'zétau'	=>	'002100',
		'zétá'	=>	'00212',
		'zéten'	=>	'000020',
		'zétese'	=>	'0000200',
		'zétesü'	=>	'0000200',
		'zétég'	=>	'002000',
		'zétén'	=>	'002120',
		'zéti'	=>	'00212',
		'zétk'	=>	'20000',
		'zétol'	=>	'002000',
		'zétom'	=>	'002120',
		'zétor'	=>	'002000',
		'zétos'	=>	'002120',
		'zétun'	=>	'002000',
		'zétú'	=>	'00200',
		'zétü'	=>	'00212',
		'zétű'	=>	'00210',
		'zétv'	=>	'20000',
		'zévad'	=>	'210000',
		'zévb'	=>	'01000',
		'zévek'	=>	'212000',
		'zéven'	=>	'212000',
		'zéves'	=>	'212000',
		'zévén'	=>	'012000',
		'zévét'	=>	'012000',
		'zévév'	=>	'012000',
		'zévf'	=>	'01000',
		'zévi'	=>	'20000',
		'zévk'	=>	'01000',
		'zévn'	=>	'21000',
		'zévr'	=>	'01000',
		'zévs'	=>	'01000',
		'zévt'	=>	'01000',
		'zévü'	=>	'01200',
		'zévv'	=>	'21000',
		'zfalada'	=>	'00021200',
		'zfalaj'	=>	'0002100',
		'zfalel'	=>	'0002120',
		'zfales'	=>	'0002000',
		'zfelem'	=>	'0002100',
		'zfelen'	=>	'0002000',
		'zfereg'	=>	'0002000',
		'zfla'	=>	'00200',
		'zfle'	=>	'00200',
		'zfli'	=>	'00200',
		'zflo'	=>	'00200',
		'zfló'	=>	'00200',
		'zfora'	=>	'000002',
		'zforat'	=>	'0002000',
		'zforiz'	=>	'0002000',
		'zföldié'	=>	'00000002',
		'zfra'	=>	'00200',
		'zfrá'	=>	'00200',
		'zfre'	=>	'00200',
		'zfri'	=>	'00200',
		'zfrí'	=>	'00200',
		'zfro'	=>	'00200',
		'zfrö'	=>	'00200',
		'zgáss'	=>	'000030',
		'zgász'	=>	'000230',
		'zgázó'	=>	'000200',
		'zgépekét'	=>	'000212000',
		'zgésa'	=>	'000200',
		'zgésá'	=>	'000200',
		'zgésem'	=>	'0002000',
		'zgéss'	=>	'000030',
		'zgla'	=>	'00200',
		'zgló'	=>	'00200',
		'zgóg'	=>	'00012',
		'zgőnyá'	=>	'0002000',
		'zgőzá'	=>	'000212',
		'zgőzér'	=>	'0002000',
		'zgőző'	=>	'000210',
		'zgra'	=>	'01200',
		'zgráff'	=>	'0120000',
		'zgráfh'	=>	'0120000',
		'zgráfj'	=>	'0120000',
		'zgráfk'	=>	'0120000',
		'zgráfn'	=>	'0120000',
		'zgráfr'	=>	'0120000',
		'zgró'	=>	'00200',
		'zgru'	=>	'01200',
		'zhán'	=>	'00002',
		'zhátad'	=>	'0002120',
		'zházköz'	=>	'00000001',
		'zi'	=>	'100',
		'ziaa'	=>	'00200',
		'ziaá'	=>	'00200',
		'ziabo'	=>	'002000',
		'ziac'	=>	'00200',
		'ziad'	=>	'00200',
		'ziae'	=>	'00200',
		'ziaé'	=>	'00200',
		'ziag'	=>	'00200',
		'ziah'	=>	'00200',
		'ziaí'	=>	'00200',
		'ziaj'	=>	'00200',
		'ziakép'	=>	'0020000',
		'ziakó'	=>	'002000',
		'zial'	=>	'00200',
		'ziam'	=>	'00200',
		'ziao'	=>	'00200',
		'ziaö'	=>	'00200',
		'ziap'	=>	'00212',
		'ziar'	=>	'00200',
		'ziasza'	=>	'0020000',
		'ziaszo'	=>	'0020000',
		'ziaszó'	=>	'0020000',
		'ziat'	=>	'00200',
		'ziau'	=>	'00202',
		'ziaú'	=>	'00200',
		'ziaü'	=>	'00200',
		'ziav'	=>	'00200',
		'zibr'	=>	'21000',
		'zicc'	=>	'20000',
		'zich'	=>	'00100',
		'zideá'	=>	'012000',
		'zideg'	=>	'012000',
		'zideo'	=>	'012000',
		'zidén'	=>	'002000',
		'zidő'	=>	'21200',
		'ziel'	=>	'00020',
		'ziem'	=>	'00020',
		'ziéa'	=>	'00200',
		'ziéá'	=>	'00200',
		'ziéke'	=>	'002000',
		'ziép'	=>	'00200',
		'ziéta'	=>	'002000',
		'ziétá'	=>	'002000',
		'ziéü'	=>	'00200',
		'zifj'	=>	'01000',
		'zigazg'	=>	'2100000',
		'zigazo'	=>	'2120000',
		'zigás'	=>	'012000',
		'zigéj'	=>	'002000',
		'zigén'	=>	'212000',
		'zigr'	=>	'00120',
		'zigye'	=>	'200000',
		'zikan'	=>	'002120',
		'zikékek'	=>	'00010000',
		'zikik'	=>	'002000',
		'zikim'	=>	'002000',
		'ziking'	=>	'0021000',
		'ziklu'	=>	'001000',
		'zikur'	=>	'002120',
		'zikuss'	=>	'0000010',
		'ziler'	=>	'002000',
		'ziléj'	=>	'002120',
		'zilék'	=>	'002100',
		'ziling'	=>	'0021000',
		'zilü'	=>	'00210',
		'zimak'	=>	'002000',
		'zimáb'	=>	'002000',
		'zimáj'	=>	'002000',
		'zimák'	=>	'002000',
		'zimáll'	=>	'0001000',
		'zimár'	=>	'002000',
		'zimát'	=>	'002000',
		'zimáz'	=>	'002000',
		'zimb'	=>	'00010',
		'zimeg'	=>	'002120',
		'zimel'	=>	'002120',
		'ziméré'	=>	'0021200',
		'zimérté'	=>	'00210000',
		'zimind'	=>	'0001000',
		'zimip'	=>	'002100',
		'zimit'	=>	'012000',
		'zimö'	=>	'00200',
		'zinad'	=>	'002120',
		'zinal'	=>	'002120',
		'zinan'	=>	'002120',
		'zinar'	=>	'002120',
		'zinas'	=>	'212000',
		'zinau'	=>	'002100',
		'zinái'	=>	'002000',
		'zináll'	=>	'0021000',
		'zindu'	=>	'010000',
		'zinemb'	=>	'0001000',
		'zinég'	=>	'002000',
		'zingas'	=>	'0002000',
		'zingál'	=>	'0002000',
		'zinim'	=>	'002120',
		'zinin'	=>	'002100',
		'ziní'	=>	'00200',
		'zinn'	=>	'00030',
		'zinol'	=>	'002000',
		'zins'	=>	'00012',
		'zintad'	=>	'0002120',
		'zintal'	=>	'0002120',
		'zintas'	=>	'0002120',
		'zintát'	=>	'0002000',
		'zintáz'	=>	'0002120',
		'zintel'	=>	'0000020',
		'zintele'	=>	'00021000',
		'zintelő'	=>	'00020000',
		'zintelt'	=>	'00020000',
		'zinterj'	=>	'01000000',
		'zinterp'	=>	'01000000',
		'zinterv'	=>	'01000000',
		'zintom'	=>	'0002000',
		'zintón'	=>	'0002100',
		'zinut'	=>	'002120',
		'zinú'	=>	'00200',
		'ziol'	=>	'00200',
		'ziono'	=>	'212000',
		'zions'	=>	'212000',
		'ziot'	=>	'00200',
		'zióa'	=>	'00200',
		'zióá'	=>	'00200',
		'zióc'	=>	'00200',
		'zióe'	=>	'00200',
		'zióg'	=>	'00200',
		'zióí'	=>	'00200',
		'ziókam'	=>	'0020000',
		'ziókap'	=>	'0020000',
		'zióká'	=>	'002000',
		'zióke'	=>	'002000',
		'ziókl'	=>	'002100',
		'ziól'	=>	'00200',
		'ziómá'	=>	'002000',
		'ziómé'	=>	'002000',
		'zióné'	=>	'002000',
		'zióny'	=>	'002000',
		'zióo'	=>	'00200',
		'zióp'	=>	'00212',
		'ziórá'	=>	'002000',
		'ziósá'	=>	'002000',
		'ziósé'	=>	'002000',
		'zióská'	=>	'0021200',
		'ziósp'	=>	'002100',
		'ziószű'	=>	'0020000',
		'zióta'	=>	'002000',
		'ziótá'	=>	'002000',
		'zióú'	=>	'00200',
		'zióü'	=>	'00200',
		'zióű'	=>	'00200',
		'zipai'	=>	'002000',
		'zipari'	=>	'0020000',
		'zipáj'	=>	'002000',
		'zipl'	=>	'00120',
		'zipr'	=>	'00120',
		'zirat'	=>	'012000',
		'zirá'	=>	'20000',
		'zirán'	=>	'012000',
		'zire'	=>	'02300',
		'ziro'	=>	'20000',
		'zirod'	=>	'012000',
		'zirón'	=>	'002000',
		'zirő'	=>	'02300',
		'zirt'	=>	'20000',
		'zirta'	=>	'000212',
		'zirtá'	=>	'010000',
		'zirto'	=>	'000200',
		'zirtó'	=>	'010000',
		'zisad'	=>	'002000',
		'zisal'	=>	'002000',
		'zisam'	=>	'002000',
		'zisar'	=>	'002000',
		'zisas'	=>	'002120',
		'zisál'	=>	'002000',
		'zisáro'	=>	'0021000',
		'ziseg'	=>	'002120',
		'zisel'	=>	'002120',
		'ziser'	=>	'002100',
		'zises'	=>	'000020',
		'zisese'	=>	'0021000',
		'zisesz'	=>	'0021000',
		'zisék'	=>	'002100',
		'zisérte'	=>	'00200000',
		'zisévi'	=>	'0001000',
		'zisil'	=>	'002100',
		'zisin'	=>	'002000',
		'zisis'	=>	'002100',
		'zisit'	=>	'002000',
		'zisov'	=>	'002120',
		'zisó'	=>	'00212',
		'zisö'	=>	'00200',
		'ziső'	=>	'00200',
		'ziss'	=>	'00002',
		'zissza'	=>	'0003000',
		'zisszá'	=>	'0003000',
		'zisszo'	=>	'0003000',
		'zist'	=>	'00002',
		'zistra'	=>	'0001000',
		'zistre'	=>	'0001000',
		'zisut'	=>	'002000',
		'zisüv'	=>	'002120',
		'ziszaj'	=>	'0023000',
		'ziszav'	=>	'0003000',
		'ziszón'	=>	'0003000',
		'zitáll'	=>	'0021000',
		'zitáru'	=>	'0001000',
		'ziteg'	=>	'002120',
		'zitelr'	=>	'0021000',
		'ziteng'	=>	'0001000',
		'zitét'	=>	'002000',
		'zitil'	=>	'002000',
		'zitin'	=>	'002000',
		'zitip'	=>	'002000',
		'zitir'	=>	'002000',
		'zitor'	=>	'002100',
		'zitó'	=>	'00002',
		'zitór'	=>	'002000',
		'zitút'	=>	'002100',
		'ziúr'	=>	'00020',
		'zivad'	=>	'012000',
		'zivó'	=>	'21200',
		'zizé'	=>	'21200',
		'zizm'	=>	'20000',
		'zizmo'	=>	'010000',
		'zizom'	=>	'012000',
		'zí'	=>	'100',
		'zígé'	=>	'00200',
		'zíjan'	=>	'002000',
		'zíje'	=>	'00200',
		'zíjö'	=>	'00200',
		'zíjü'	=>	'00200',
		'zínac'	=>	'002000',
		'zínad'	=>	'002000',
		'zínaku'	=>	'0020000',
		'zínal'	=>	'002000',
		'zínan'	=>	'002000',
		'zínas'	=>	'002000',
		'zínat'	=>	'002000',
		'zínáll'	=>	'0021000',
		'zínár'	=>	'002100',
		'zínát'	=>	'002000',
		'zíner'	=>	'002120',
		'zínél'	=>	'002000',
		'zíní'	=>	'00200',
		'zínna'	=>	'010000',
		'zínnye'	=>	'0003000',
		'zíno'	=>	'00002',
		'zínod'	=>	'002100',
		'zínok'	=>	'002100',
		'zínos'	=>	'002000',
		'zínó'	=>	'00212',
		'zínö'	=>	'00200',
		'zínu'	=>	'00200',
		'zínú'	=>	'00200',
		'zíny'	=>	'01200',
		'zínyenc'	=>	'00000001',
		'zíra'	=>	'00210',
		'zírá'	=>	'21200',
		'zírog'	=>	'002000',
		'zíró'	=>	'21200',
		'zítőa'	=>	'000002',
		'zítőe'	=>	'000002',
		'zítőkész'	=>	'000000001',
		'zívaj'	=>	'002000',
		'zívakt'	=>	'0001000',
		'zíval'	=>	'002000',
		'zívar'	=>	'002000',
		'zíver'	=>	'002000',
		'zívő'	=>	'00210',
		'zívul'	=>	'002000',
		'zívú'	=>	'00200',
		'zíze'	=>	'00200',
		'zízü'	=>	'00200',
		'zízű'	=>	'00200',
		'zjegyá'	=>	'0002012',
		'zkabl'	=>	'021000',
		'zkalak'	=>	'0210000',
		'zkalj'	=>	'021000',
		'zkalt'	=>	'021000',
		'zkapl'	=>	'000120',
		'zkarád'	=>	'0212000',
		'zkaráj'	=>	'0212000',
		'zkarén'	=>	'0212000',
		'zkaró'	=>	'000002',
		'zkarór'	=>	'0002000',
		'zkask'	=>	'000120',
		'zkállv'	=>	'0210000',
		'zkbl'	=>	'00100',
		'zkdr'	=>	'00100',
		'zkegys'	=>	'0010000',
		'zkenn'	=>	'020000',
		'zkeszk'	=>	'0010000',
		'zketű'	=>	'021000',
		'zkérté'	=>	'0210000',
		'zkhü'	=>	'01200',
		'zkia'	=>	'00002',
		'zkiá'	=>	'00002',
		'zkie'	=>	'00002',
		'zkig'	=>	'00020',
		'zkigé'	=>	'021000',
		'zkisé'	=>	'000200',
		'zkla'	=>	'00200',
		'zklá'	=>	'01200',
		'zkler'	=>	'002000',
		'zklí'	=>	'01200',
		'zkló'	=>	'00200',
		'zklu'	=>	'01200',
		'zkolda'	=>	'0210000',
		'zkontár'	=>	'00002100',
		'zkontó'	=>	'0210000',
		'zkoros'	=>	'0002100',
		'zkoszl'	=>	'0210000',
		'zkoszt'	=>	'0300000',
		'zkókor'	=>	'0200000',
		'zkókort'	=>	'00100000',
		'zkópá'	=>	'000200',
		'zkózs'	=>	'000230',
		'zközele'	=>	'00020000',
		'zközell'	=>	'00001000',
		'zközél'	=>	'0002120',
		'zkőéh'	=>	'000020',
		'zkpr'	=>	'00100',
		'zkrak'	=>	'012000',
		'zkrá'	=>	'00200',
		'zkreá'	=>	'012000',
		'zkrém'	=>	'012000',
		'zkréta'	=>	'0120000',
		'zkrétá'	=>	'0120000',
		'zkrí'	=>	'00200',
		'zkro'	=>	'01200',
		'zkrón'	=>	'012000',
		'zkultú'	=>	'0000003',
		'zkultúr'	=>	'00000002',
		'zkurán'	=>	'0212000',
		'zkutá'	=>	'021000',
		'zkval'	=>	'012000',
		'zkvó'	=>	'00200',
		'zkyb'	=>	'00020',
		'zkyh'	=>	'00020',
		'zkyj'	=>	'00020',
		'zkyk'	=>	'00020',
		'zkyn'	=>	'00020',
		'zkyr'	=>	'00020',
		'zkyt'	=>	'00020',
		'zkyv'	=>	'00020',
		'zlatal'	=>	'0002000',
		'zlatan'	=>	'0000020',
		'zlatany'	=>	'00001000',
		'zláme'	=>	'000210',
		'zlámis'	=>	'0002000',
		'zláss'	=>	'000030',
		'zláve'	=>	'020000',
		'zlávé'	=>	'020000',
		'zlávk'	=>	'020000',
		'zlávn'	=>	'020000',
		'zlávo'	=>	'020000',
		'zlávv'	=>	'020000',
		'zlegg'	=>	'000010',
		'zlei'	=>	'00002',
		'zleí'	=>	'00002',
		'zletak'	=>	'0002000',
		'zletal'	=>	'0002000',
		'zletan'	=>	'0002120',
		'zletál'	=>	'0002000',
		'zletár'	=>	'0002120',
		'zleteg'	=>	'0002100',
		'zletell'	=>	'00021000',
		'zletesz'	=>	'00020000',
		'zletél'	=>	'0002000',
		'zletérv'	=>	'00001000',
		'zletés'	=>	'0002000',
		'zletété'	=>	'00021200',
		'zletigaz'	=>	'000000001',
		'zletu'	=>	'000210',
		'zletüz'	=>	'0002000',
		'zlésí'	=>	'000200',
		'zléso'	=>	'000200',
		'zléss'	=>	'000030',
		'zlina'	=>	'000002',
		'zlinan'	=>	'0002000',
		'zlinin'	=>	'0002000',
		'zloge'	=>	'020000',
		'zlopas'	=>	'0002100',
		'zlopó'	=>	'000200',
		'zlóó'	=>	'00002',
		'zlósorr'	=>	'00021000',
		'zmapr'	=>	'000100',
		'zmas'	=>	'00002',
		'zmasp'	=>	'000100',
		'zmeá'	=>	'00002',
		'zmege'	=>	'000200',
		'zmegom'	=>	'0003000',
		'zmina'	=>	'000212',
		'zmine'	=>	'000210',
		'zmuskész'	=>	'000000001',
		'zmusö'	=>	'000200',
		'zmusz'	=>	'000230',
		'zmutok'	=>	'0002000',
		'znapes'	=>	'0002000',
		'znie'	=>	'00002',
		'znió'	=>	'00020',
		'znob'	=>	'02000',
		'znóstr'	=>	'0001000',
		'znót'	=>	'00002',
		'znótr'	=>	'000100',
		'zo'	=>	'100',
		'zobj'	=>	'01000',
		'zodú'	=>	'01200',
		'zoes'	=>	'00200',
		'zokad'	=>	'012120',
		'zokai'	=>	'012000',
		'zokál'	=>	'002100',
		'zoki'	=>	'00002',
		'zokip'	=>	'002100',
		'zokir'	=>	'012100',
		'zokke'	=>	'010000',
		'zokle'	=>	'010000',
		'zokoz'	=>	'212000',
		'zokta'	=>	'200000',
		'zolab'	=>	'002000',
		'zolaj'	=>	'212000',
		'zolajá'	=>	'0000002',
		'zolajár'	=>	'00002100',
		'zolaje'	=>	'0000200',
		'zolal'	=>	'002120',
		'zolas'	=>	'002100',
		'zolábr'	=>	'0001000',
		'zoláro'	=>	'0021000',
		'zoldal'	=>	'0100000',
		'zoldh'	=>	'210000',
		'zoldó'	=>	'210000',
		'zole'	=>	'00210',
		'zolf'	=>	'00012',
		'zolinf'	=>	'0001000',
		'zolis'	=>	'002100',
		'zolí'	=>	'00210',
		'zolló'	=>	'010000',
		'zolö'	=>	'00200',
		'zoltás'	=>	'0100000',
		'zoltre'	=>	'0001200',
		'zolü'	=>	'00200',
		'zolvad'	=>	'2000000',
		'zomag'	=>	'002120',
		'zomak'	=>	'002000',
		'zomal'	=>	'002120',
		'zoman'	=>	'002120',
		'zomap'	=>	'002000',
		'zomas'	=>	'002120',
		'zomáll'	=>	'0001000',
		'zomár'	=>	'002120',
		'zomb'	=>	'00012',
		'zome'	=>	'20000',
		'zomeg'	=>	'002000',
		'zomel'	=>	'002100',
		'zomen'	=>	'002000',
		'zomé'	=>	'20000',
		'zomél'	=>	'002000',
		'zomét'	=>	'000020',
		'zométe'	=>	'0021000',
		'zomf'	=>	'20000',
		'zomg'	=>	'20000',
		'zomi'	=>	'00002',
		'zomin'	=>	'002000',
		'zomiz'	=>	'002000',
		'zomjó'	=>	'000200',
		'zoml'	=>	'20000',
		'zomors'	=>	'0021000',
		'zomos'	=>	'002100',
		'zomö'	=>	'20200',
		'zomp'	=>	'20012',
		'zoms'	=>	'20010',
		'zomz'	=>	'20000',
		'zonaj'	=>	'002100',
		'zonak'	=>	'002100',
		'zonala'	=>	'0021200',
		'zonalá'	=>	'0021000',
		'zonalk'	=>	'0021000',
		'zonan'	=>	'000020',
		'zonany'	=>	'0021000',
		'zonar'	=>	'002120',
		'zonasz'	=>	'0001000',
		'zonau'	=>	'002100',
		'zonáld'	=>	'0020000',
		'zonáll'	=>	'0021000',
		'zonátl'	=>	'0021000',
		'zone'	=>	'00002',
		'zoneg'	=>	'002000',
		'zonel'	=>	'002000',
		'zoner'	=>	'002100',
		'zones'	=>	'002000',
		'zonév'	=>	'002000',
		'zonin'	=>	'002000',
		'zonio'	=>	'002120',
		'zonor'	=>	'002100',
		'zonosé'	=>	'0000200',
		'zonó'	=>	'00212',
		'zonö'	=>	'00200',
		'zons'	=>	'00012',
		'zontes'	=>	'0002100',
		'zontin'	=>	'0002000',
		'zontre'	=>	'0001000',
		'zonü'	=>	'00200',
		'zonyad'	=>	'0020100',
		'zonyal'	=>	'0020120',
		'zonyan'	=>	'0020120',
		'zonyar'	=>	'0020000',
		'zonyav'	=>	'0020000',
		'zonye'	=>	'002000',
		'zonyid'	=>	'0020000',
		'zonyij'	=>	'0020000',
		'zonyó'	=>	'002000',
		'zool'	=>	'00200',
		'zoom'	=>	'00200',
		'zopál'	=>	'010000',
		'zope'	=>	'01200',
		'zopho'	=>	'001000',
		'zorad'	=>	'002120',
		'zoraf'	=>	'002000',
		'zorag'	=>	'002100',
		'zoraj'	=>	'002100',
		'zoral'	=>	'002120',
		'zoran'	=>	'002000',
		'zoras'	=>	'002100',
		'zorat'	=>	'012000',
		'zorau'	=>	'002100',
		'zore'	=>	'00212',
		'zorf'	=>	'00012',
		'zorid'	=>	'002000',
		'zoril'	=>	'002100',
		'zoring'	=>	'0001000',
		'zormá'	=>	'010000',
		'zorol'	=>	'002100',
		'zorop'	=>	'002000',
		'zorosz'	=>	'0020000',
		'zoró'	=>	'00212',
		'zorö'	=>	'00200',
		'zorrú'	=>	'010000',
		'zorsó'	=>	'010000',
		'zortre'	=>	'0001200',
		'zorü'	=>	'00200',
		'zosko'	=>	'210000',
		'zostá'	=>	'010000',
		'zosto'	=>	'010000',
		'zoszf'	=>	'001020',
		'zoszl'	=>	'010000',
		'zosztat'	=>	'00002000',
		'zote'	=>	'20000',
		'zotó'	=>	'20000',
		'zotópa'	=>	'0000200',
		'zovi'	=>	'00200',
		'zoxi'	=>	'00200',
		'zó'	=>	'100',
		'zóad'	=>	'00020',
		'zóág'	=>	'00020',
		'zóár'	=>	'00020',
		'zóbl'	=>	'00100',
		'zóbr'	=>	'00120',
		'zócl'	=>	'00100',
		'zódel'	=>	'002120',
		'zófl'	=>	'00100',
		'zófr'	=>	'00120',
		'zógl'	=>	'00100',
		'zógyökér'	=>	'000002100',
		'zóig'	=>	'00020',
		'zóív'	=>	'00020',
		'zója'	=>	'00001',
		'zókl'	=>	'00120',
		'zókré'	=>	'001000',
		'zókupac'	=>	'00000001',
		'zólm'	=>	'01000',
		'zólomb'	=>	'0020000',
		'zónád'	=>	'300000',
		'zónái'	=>	'300000',
		'zóni'	=>	'01200',
		'zónj'	=>	'21000',
		'zónn'	=>	'21000',
		'zónod'	=>	'012000',
		'zónt'	=>	'21000',
		'zóór'	=>	'00020',
		'zópl'	=>	'00120',
		'zópr'	=>	'00120',
		'zórad'	=>	'012000',
		'zórar'	=>	'012000',
		'zórasz'	=>	'0020000',
		'zórái'	=>	'002000',
		'zóráj'	=>	'012000',
		'zórák'	=>	'012000',
		'zórár'	=>	'012000',
		'zóráss'	=>	'0000010',
		'zórát'	=>	'012000',
		'zóráv'	=>	'012000',
		'zóriá'	=>	'012000',
		'zóská'	=>	'001200',
		'zósl'	=>	'00100',
		'zósta'	=>	'001200',
		'zósté'	=>	'001000',
		'zószakad'	=>	'000010000',
		'zószállí'	=>	'000010000',
		'zószene'	=>	'00200000',
		'zószéle'	=>	'00201200',
		'zószíj'	=>	'0020100',
		'zótaga'	=>	'0000212',
		'zótég'	=>	'000020',
		'zótége'	=>	'0001000',
		'zótré'	=>	'001000',
		'zóvó'	=>	'01200',
		'zö'	=>	'100',
		'zöbá'	=>	'00200',
		'zöbo'	=>	'00200',
		'zöbó'	=>	'00200',
		'zöcc'	=>	'01000',
		'zödé'	=>	'00200',
		'zödú'	=>	'00200',
		'zöga'	=>	'00200',
		'zögá'	=>	'00200',
		'zögg'	=>	'00030',
		'zögil'	=>	'002000',
		'zögí'	=>	'00200',
		'zögo'	=>	'00200',
		'zögö'	=>	'00002',
		'zögöl'	=>	'002100',
		'zögu'	=>	'00200',
		'zögy'	=>	'00200',
		'zökl'	=>	'21000',
		'zöko'	=>	'21200',
		'zökrü'	=>	'200000',
		'zöldes'	=>	'3000000',
		'zölds'	=>	'300000',
		'zöleb'	=>	'200000',
		'zöles'	=>	'002000',
		'zölniv'	=>	'2100000',
		'zölyv'	=>	'010000',
		'zöml'	=>	'21000',
		'zöna'	=>	'01200',
		'zöná'	=>	'01200',
		'zönb'	=>	'20000',
		'zöne'	=>	'20000',
		'zöné'	=>	'20000',
		'zöni'	=>	'20000',
		'zönl'	=>	'20000',
		'zönne'	=>	'200000',
		'zönö'	=>	'20000',
		'zönr'	=>	'20000',
		'zönt'	=>	'20000',
		'zörej'	=>	'300000',
		'zörfe'	=>	'000210',
		'zörfo'	=>	'000210',
		'zörnya'	=>	'0002000',
		'zörnyá'	=>	'0002000',
		'zörnyel'	=>	'00020000',
		'zörnyesz'	=>	'000200000',
		'zörnyék'	=>	'00020000',
		'zörnyí'	=>	'0002000',
		'zörök'	=>	'002000',
		'zörpa'	=>	'000212',
		'zörpá'	=>	'000200',
		'zörv'	=>	'21000',
		'zössz'	=>	'200000',
		'zösv'	=>	'01000',
		'zösztö'	=>	'0100000',
		'zöte'	=>	'00200',
		'zötl'	=>	'21000',
		'zötv'	=>	'21000',
		'zövei'	=>	'012000',
		'zövek'	=>	'012000',
		'zövetel'	=>	'00002120',
		'zövez'	=>	'012000',
		'zözö'	=>	'00200',
		'ző'	=>	'100',
		'zőac'	=>	'00020',
		'zőal'	=>	'00020',
		'zőág'	=>	'00020',
		'zőbl'	=>	'00100',
		'zőbr'	=>	'00100',
		'zőél'	=>	'00020',
		'zőfl'	=>	'00100',
		'zőfr'	=>	'00120',
		'zőgépi'	=>	'0000002',
		'zőgépip'	=>	'00002100',
		'zőgr'	=>	'00100',
		'zőkl'	=>	'00100',
		'zőmű'	=>	'00001',
		'zőnyá'	=>	'000002',
		'zőnyer'	=>	'0020100',
		'zőnyék'	=>	'0020120',
		'zőnyért'	=>	'00200000',
		'zőpl'	=>	'00100',
		'zőpr'	=>	'00100',
		'zőran'	=>	'002000',
		'zőrec'	=>	'002120',
		'zőrege'	=>	'0021000',
		'zőrel'	=>	'002000',
		'zőrer'	=>	'002100',
		'zőrk'	=>	'20000',
		'zőrl'	=>	'20000',
		'zőrlő'	=>	'010000',
		'zőrm'	=>	'20000',
		'zőrol'	=>	'002000',
		'zőrü'	=>	'20000',
		'zőrüg'	=>	'002120',
		'zőrz'	=>	'20000',
		'zőrzé'	=>	'010000',
		'zőrző'	=>	'010000',
		'zősis'	=>	'002000',
		'zőská'	=>	'001000',
		'zőspe'	=>	'001000',
		'zőspi'	=>	'001200',
		'zősta'	=>	'001000',
		'zősti'	=>	'001000',
		'zőstr'	=>	'001000',
		'zősz'	=>	'00002',
		'zőszf'	=>	'001000',
		'zőszt'	=>	'001000',
		'zőtr'	=>	'00100',
		'zőül'	=>	'00020',
		'zpenn'	=>	'000010',
		'zpfe'	=>	'00200',
		'zpla'	=>	'00200',
		'zplé'	=>	'00200',
		'zplo'	=>	'00200',
		'zporte'	=>	'0000212',
		'zportő'	=>	'0000212',
		'zportú'	=>	'0000210',
		'zpra'	=>	'01200',
		'zpri'	=>	'01200',
		'zpro'	=>	'01200',
		'zpru'	=>	'01200',
		'zraele'	=>	'0000300',
		'zrádióit'	=>	'000000020',
		'zredá'	=>	'000212',
		'zredel'	=>	'0002000',
		'zredék'	=>	'0002120',
		'zredz'	=>	'000230',
		'zrendő'	=>	'0000212',
		'zs'	=>	'020',
		'zsa'	=>	'1000',
		'zsabla'	=>	'0010000',
		'zsadat'	=>	'2012000',
		'zsadó'	=>	'201200',
		'zsag'	=>	'00002',
		'zsajt'	=>	'200000',
		'zsakc'	=>	'201000',
		'zsalj'	=>	'201000',
		'zsalm'	=>	'201000',
		'zsalt'	=>	'201000',
		'zsanyá'	=>	'0002000',
		'zsapk'	=>	'230000',
		'zsarán'	=>	'0002000',
		'zsarj'	=>	'030000',
		'zsark'	=>	'230000',
		'zsarl'	=>	'230000',
		'zsarz'	=>	'201000',
		'zsaszt'	=>	'2010000',
		'zsatl'	=>	'001000',
		'zsatr'	=>	'000100',
		'zsaty'	=>	'201200',
		'zsautón'	=>	'20000000',
		'zsazo'	=>	'001000',
		'zsá'	=>	'1000',
		'zsábr'	=>	'201000',
		'zsáf'	=>	'23000',
		'zság'	=>	'23000',
		'zsággy'	=>	'0010000',
		'zsákó'	=>	'000200',
		'zsála'	=>	'201000',
		'zsálc'	=>	'200000',
		'zsálm'	=>	'200000',
		'zsáp'	=>	'20120',
		'zsárak'	=>	'2012000',
		'zsárat'	=>	'2000000',
		'zsári'	=>	'230000',
		'zsáru'	=>	'200000',
		'zsáte'	=>	'200000',
		'zsátk'	=>	'201000',
		'zsáto'	=>	'200000',
		'zsátö'	=>	'200000',
		'zsáts'	=>	'201000',
		'zsázós'	=>	'2012000',
		'zsbl'	=>	'00100',
		'zsbr'	=>	'00100',
		'zsch'	=>	'03200',
		'zscsapá'	=>	'00000002',
		'zsdes'	=>	'000010',
		'zsdr'	=>	'00100',
		'zse'	=>	'1000',
		'zseba'	=>	'000200',
		'zsebiro'	=>	'00020000',
		'zsebo'	=>	'000212',
		'zsebz'	=>	'200000',
		'zsece'	=>	'001200',
		'zsedé'	=>	'001200',
		'zsej'	=>	'03000',
		'zsell'	=>	'200000',
		'zselm'	=>	'001000',
		'zselö'	=>	'200000',
		'zselőf'	=>	'0012000',
		'zselőr'	=>	'0012000',
		'zsember'	=>	'20000000',
		'zsemel'	=>	'2012000',
		'zsenc'	=>	'001000',
		'zsene'	=>	'001000',
		'zseraj'	=>	'0002000',
		'zserá'	=>	'000212',
		'zserel'	=>	'0002000',
		'zseres'	=>	'0000020',
		'zseresz'	=>	'00021000',
		'zserék'	=>	'0002100',
		'zserin'	=>	'0002000',
		'zsero'	=>	'000210',
		'zsese'	=>	'200000',
		'zseszü'	=>	'0002000',
		'zsevé'	=>	'001000',
		'zsex'	=>	'20100',
		'zsez'	=>	'20000',
		'zsé'	=>	'1000',
		'zség'	=>	'03000',
		'zségel'	=>	'0002020',
		'zséhs'	=>	'200000',
		'zsél'	=>	'20000',
		'zséle'	=>	'001000',
		'zsép'	=>	'20000',
		'zsérd'	=>	'201000',
		'zsérte'	=>	'2010000',
		'zsérté'	=>	'2010000',
		'zséry'	=>	'300000',
		'zsérz'	=>	'200000',
		'zséte'	=>	'200000',
		'zsétk'	=>	'201000',
		'zsétr'	=>	'201000',
		'zsétt'	=>	'201000',
		'zsfl'	=>	'00100',
		'zsfr'	=>	'00100',
		'zsgr'	=>	'00100',
		'zsi'	=>	'1000',
		'zsidő'	=>	'200000',
		'zsigá'	=>	'200000',
		'zsigé'	=>	'200000',
		'zsikor'	=>	'0002000',
		'zsill'	=>	'201000',
		'zsimá'	=>	'201200',
		'zsimin'	=>	'0002000',
		'zsimu'	=>	'000210',
		'zsinas'	=>	'2000000',
		'zsipa'	=>	'001200',
		'zsipk'	=>	'030000',
		'zsirat'	=>	'2000000',
		'zsirato'	=>	'00100000',
		'zsiro'	=>	'201000',
		'zsirt'	=>	'201000',
		'zsism'	=>	'201000',
		'zsist'	=>	'200000',
		'zsitat'	=>	'0002000',
		'zsivó'	=>	'200000',
		'zsizé'	=>	'001000',
		'zsizm'	=>	'201000',
		'zsizo'	=>	'201200',
		'zsizz'	=>	'001000',
		'zsí'	=>	'1000',
		'zsíb'	=>	'23000',
		'zsíj'	=>	'00100',
		'zsík'	=>	'23000',
		'zsíp'	=>	'23000',
		'zsíra'	=>	'000212',
		'zsírá'	=>	'000202',
		'zsírbó'	=>	'3000000',
		'zsíré'	=>	'300000',
		'zsíros'	=>	'3000000',
		'zsírr'	=>	'300000',
		'zsírt'	=>	'300002',
		'zsív'	=>	'20120',
		'zsíz'	=>	'20120',
		'zskl'	=>	'00100',
		'zskr'	=>	'00120',
		'zso'	=>	'1000',
		'zsof'	=>	'23000',
		'zsokm'	=>	'201000',
		'zsokta'	=>	'2010000',
		'zsolaj'	=>	'2000000',
		'zsoli'	=>	'001000',
		'zsom'	=>	'30000',
		'zsop'	=>	'20100',
		'zsor'	=>	'20000',
		'zsoro'	=>	'030000',
		'zsosty'	=>	'2000000',
		'zsosz'	=>	'201000',
		'zsó'	=>	'1000',
		'zsóné'	=>	'001000',
		'zsórá'	=>	'001000',
		'zsö'	=>	'1000',
		'zsökör'	=>	'2000000',
		'zsölőz'	=>	'2000000',
		'zsös'	=>	'20100',
		'zsöve'	=>	'001200',
		'zső'	=>	'1000',
		'zspir'	=>	'002000',
		'zspl'	=>	'00120',
		'zspr'	=>	'00020',
		'zssk'	=>	'00120',
		'zssp'	=>	'00120',
		'zsst'	=>	'00100',
		'zssz'	=>	'00300',
		'zsszerel'	=>	'000002120',
		'zstad'	=>	'032000',
		'zstat'	=>	'032000',
		'zstop'	=>	'032000',
		'zstr'	=>	'00020',
		'zstro'	=>	'001000',
		'zstú'	=>	'03200',
		'zsu'	=>	'1000',
		'zsud'	=>	'20100',
		'zsugárr'	=>	'20000000',
		'zsugr'	=>	'200000',
		'zsul'	=>	'30000',
		'zsum'	=>	'20000',
		'zsus'	=>	'00010',
		'zsusz'	=>	'000002',
		'zsú'	=>	'1000',
		'zsúj'	=>	'20100',
		'zsúl'	=>	'20000',
		'zsúra'	=>	'000210',
		'zsü'	=>	'1000',
		'zsüg'	=>	'20000',
		'zsült'	=>	'200000',
		'zsünn'	=>	'200000',
		'zsüs'	=>	'00100',
		'zsüt'	=>	'20000',
		'zsüz'	=>	'20100',
		'zsű'	=>	'1000',
		'zswh'	=>	'00100',
		'zszac'	=>	'003000',
		'zszag'	=>	'030000',
		'zszaké'	=>	'0000200',
		'zszakü'	=>	'0000210',
		'zszav'	=>	'030000',
		'zszáp'	=>	'003000',
		'zszás'	=>	'003000',
		'zszem'	=>	'030000',
		'zszené'	=>	'0030000',
		'zszer'	=>	'030000',
		'zszé'	=>	'03000',
		'zszf'	=>	'00020',
		'zszi'	=>	'03000',
		'zszind'	=>	'0000002',
		'zszí'	=>	'03000',
		'zszk'	=>	'03020',
		'zszl'	=>	'00020',
		'zszo'	=>	'03000',
		'zszó'	=>	'03000',
		'zszö'	=>	'03000',
		'zszp'	=>	'00020',
		'zszs'	=>	'00300',
		'zszt'	=>	'00022',
		'zszü'	=>	'03000',
		'zszű'	=>	'03000',
		'ztabla'	=>	'0010000',
		'ztabor'	=>	'0212000',
		'ztacé'	=>	'021200',
		'ztadal'	=>	'0202000',
		'ztadat'	=>	'0012000',
		'ztadó'	=>	'001200',
		'ztagre'	=>	'0210000',
		'ztaká'	=>	'021200',
		'ztakc'	=>	'021000',
		'ztakk'	=>	'021000',
		'ztakn'	=>	'001000',
		'ztaköz'	=>	'0000001',
		'ztakv'	=>	'021000',
		'ztalapú'	=>	'00120000',
		'ztalel'	=>	'0000020',
		'ztalele'	=>	'00020000',
		'ztanal'	=>	'0210000',
		'ztane'	=>	'000020',
		'ztanes'	=>	'0010000',
		'ztanké'	=>	'0010000',
		'ztanó'	=>	'000212',
		'ztanyag'	=>	'00120000',
		'ztanyak'	=>	'00100000',
		'ztanyas'	=>	'00100000',
		'ztanyád'	=>	'00100000',
		'ztanyám'	=>	'00100000',
		'ztanyáu'	=>	'00100000',
		'ztanyu'	=>	'0210000',
		'ztapán'	=>	'0012000',
		'ztapás'	=>	'0012000',
		'ztapát'	=>	'0012000',
		'ztapó'	=>	'021000',
		'ztapp'	=>	'001000',
		'ztaps'	=>	'021000',
		'ztapuk'	=>	'0012000',
		'ztarán'	=>	'0010000',
		'ztarc'	=>	'021000',
		'ztaso'	=>	'000002',
		'ztasp'	=>	'000100',
		'ztassz'	=>	'0010000',
		'ztaszt'	=>	'0200000',
		'ztaszta'	=>	'00100000',
		'ztatig'	=>	'0200000',
		'ztatk'	=>	'021000',
		'ztaty'	=>	'021000',
		'ztaut'	=>	'021200',
		'ztábr'	=>	'001000',
		'ztács'	=>	'000200',
		'ztácso'	=>	'0010000',
		'ztága'	=>	'021200',
		'ztáli'	=>	'020000',
		'ztálm'	=>	'021000',
		'ztáraj'	=>	'0002000',
		'ztárass'	=>	'00021000',
		'ztárem'	=>	'0010000',
		'ztáris'	=>	'0002000',
		'ztárnö'	=>	'0210000',
		'ztárnya'	=>	'00100000',
		'ztároc'	=>	'0200000',
		'ztárokk'	=>	'02000000',
		'ztárolt'	=>	'00021000',
		'ztáróra'	=>	'00021000',
		'ztársm'	=>	'0000100',
		'ztársp'	=>	'0000120',
		'ztárt'	=>	'000002',
		'ztárví'	=>	'0010000',
		'ztász'	=>	'000200',
		'ztászo'	=>	'0010000',
		'ztászt'	=>	'0010000',
		'ztátha'	=>	'0210000',
		'ztáts'	=>	'021000',
		'ztátv'	=>	'021000',
		'ztávi'	=>	'000002',
		'ztávir'	=>	'0002100',
		'ztbl'	=>	'00100',
		'ztdr'	=>	'00100',
		'zteb'	=>	'02120',
		'ztef'	=>	'02100',
		'ztegé'	=>	'021200',
		'ztegy'	=>	'021000',
		'ztekés'	=>	'0212000',
		'ztela'	=>	'021000',
		'ztelá'	=>	'021000',
		'ztelb'	=>	'021000',
		'ztelegy'	=>	'02120000',
		'zteleme'	=>	'02120000',
		'ztelemm'	=>	'02120000',
		'ztelemz'	=>	'02000000',
		'ztelf'	=>	'021000',
		'zteljá'	=>	'0210000',
		'ztellát'	=>	'02100000',
		'ztelm'	=>	'021000',
		'ztelnö'	=>	'0200000',
		'ztelo'	=>	'021200',
		'ztelőadá'	=>	'001200000',
		'ztelőc'	=>	'0212000',
		'ztelr'	=>	'021000',
		'zteltá'	=>	'0210000',
		'ztelto'	=>	'0210000',
		'ztember'	=>	'02100000',
		'ztemel'	=>	'0212000',
		'zteml'	=>	'021000',
		'ztent'	=>	'020000',
		'ztente'	=>	'0010000',
		'zteraj'	=>	'0002000',
		'zterak'	=>	'0002000',
		'zterál'	=>	'0002000',
		'zterár'	=>	'0002000',
		'zterde'	=>	'0200000',
		'ztereot'	=>	'00000200',
		'zterepo'	=>	'00020000',
		'zterill'	=>	'00020000',
		'zteris'	=>	'0002000',
		'zteriz'	=>	'0002000',
		'zterosz'	=>	'00020000',
		'zterot'	=>	'0212000',
		'zteró'	=>	'021200',
		'zterő'	=>	'021000',
		'zterülé'	=>	'00021200',
		'ztesz'	=>	'000200',
		'ztesze'	=>	'0210000',
		'zteszé'	=>	'0210000',
		'zteszk'	=>	'0210000',
		'ztezr'	=>	'021000',
		'ztégb'	=>	'001000',
		'ztégé'	=>	'001200',
		'ztégr'	=>	'001000',
		'ztéj'	=>	'02120',
		'ztékel'	=>	'0002120',
		'ztékné'	=>	'0210000',
		'ztéle'	=>	'021200',
		'ztélé'	=>	'020000',
		'ztélés'	=>	'0012000',
		'ztélm'	=>	'021000',
		'ztélő'	=>	'021200',
		'ztélt'	=>	'021000',
		'ztélű'	=>	'001000',
		'ztépü'	=>	'021000',
		'ztérá'	=>	'000200',
		'ztérd'	=>	'021000',
		'ztérl'	=>	'021000',
		'ztérté'	=>	'0210000',
		'ztérz'	=>	'021000',
		'ztész'	=>	'000200',
		'ztészh'	=>	'0210000',
		'ztészn'	=>	'0210000',
		'ztétét'	=>	'0002000',
		'ztétk'	=>	'021000',
		'ztévt'	=>	'001000',
		'ztfl'	=>	'00100',
		'ztfr'	=>	'00100',
		'ztgr'	=>	'00100',
		'zthen'	=>	'012000',
		'ztiag'	=>	'000020',
		'ztiden'	=>	'0012000',
		'ztidé'	=>	'021000',
		'ztidi'	=>	'020000',
		'ztifj'	=>	'021000',
		'ztigé'	=>	'021200',
		'ztikon'	=>	'0212000',
		'ztille'	=>	'0210000',
		'ztimá'	=>	'020000',
		'ztimp'	=>	'021000',
		'ztind'	=>	'021000',
		'ztinfe'	=>	'0200000',
		'ztinfo'	=>	'0210000',
		'ztingá'	=>	'0210000',
		'ztingb'	=>	'0210000',
		'ztinge'	=>	'0210000',
		'ztingé'	=>	'0210000',
		'ztingg'	=>	'0210000',
		'ztingu'	=>	'0200000',
		'ztinte'	=>	'0210000',
		'ztinté'	=>	'0210000',
		'ztinvá'	=>	'0210000',
		'ztip'	=>	'00020',
		'ztipa'	=>	'021000',
		'ztirá'	=>	'021000',
		'ztisk'	=>	'021000',
		'ztism'	=>	'021000',
		'ztistá'	=>	'0210000',
		'ztiste'	=>	'0210000',
		'ztital'	=>	'0200000',
		'ztitat'	=>	'0212000',
		'ztíj'	=>	'02100',
		'ztír'	=>	'02120',
		'ztíveke'	=>	'00120000',
		'ztkl'	=>	'00100',
		'ztkr'	=>	'00100',
		'ztkv'	=>	'00100',
		'ztoi'	=>	'02000',
		'ztokoz'	=>	'0212000',
		'ztoltó'	=>	'0210000',
		'ztolyag'	=>	'00020000',
		'ztope'	=>	'001000',
		'ztoras'	=>	'0002000',
		'ztore'	=>	'000210',
		'ztorgi'	=>	'0210000',
		'ztorkész'	=>	'000000001',
		'ztornam'	=>	'00100000',
		'ztorrú'	=>	'0200000',
		'ztorvo'	=>	'0200000',
		'ztoszl'	=>	'0210000',
		'ztosztá'	=>	'00100000',
		'ztóá'	=>	'00002',
		'ztóigaz'	=>	'00000001',
		'ztóni'	=>	'021200',
		'ztóp'	=>	'00012',
		'ztósp'	=>	'000100',
		'ztótr'	=>	'000100',
		'ztöko'	=>	'001000',
		'ztöl'	=>	'00020',
		'ztöle'	=>	'021000',
		'ztönn'	=>	'000030',
		'ztöröks'	=>	'00020000',
		'ztöss'	=>	'021000',
		'ztövez'	=>	'0012000',
		'ztövig'	=>	'0010000',
		'ztöz'	=>	'02100',
		'ztőa'	=>	'00002',
		'ztőel'	=>	'000020',
		'ztőéb'	=>	'000020',
		'ztőrh'	=>	'021000',
		'ztőrl'	=>	'001000',
		'ztőrs'	=>	'021000',
		'ztősei'	=>	'0012000',
		'ztősö'	=>	'021200',
		'ztősű'	=>	'001000',
		'ztpl'	=>	'00100',
		'ztpr'	=>	'00100',
		'ztps'	=>	'00100',
		'ztranz'	=>	'0100000',
		'ztrádá'	=>	'0020000',
		'ztrág'	=>	'012000',
		'ztréf'	=>	'010000',
		'ztrén'	=>	'012000',
		'ztrikó'	=>	'0100000',
		'ztril'	=>	'010000',
		'ztrió'	=>	'012000',
		'ztrü'	=>	'01200',
		'ztsl'	=>	'00100',
		'ztsn'	=>	'00100',
		'ztsp'	=>	'00100',
		'ztst'	=>	'00100',
		'ztsz'	=>	'00100',
		'zttr'	=>	'00120',
		'ztudv'	=>	'021000',
		'ztug'	=>	'02100',
		'ztura'	=>	'021000',
		'zturu'	=>	'021000',
		'ztuss'	=>	'000030',
		'ztutat'	=>	'0012000',
		'ztutu'	=>	'021000',
		'ztúj'	=>	'02100',
		'ztúrb'	=>	'021000',
		'ztúré'	=>	'021200',
		'ztúrh'	=>	'021000',
		'ztúri'	=>	'021200',
		'ztúrk'	=>	'021000',
		'ztúrn'	=>	'021000',
		'ztúro'	=>	'021200',
		'ztúrr'	=>	'021000',
		'ztúrt'	=>	'021000',
		'ztüg'	=>	'02100',
		'ztülé'	=>	'000200',
		'ztülés'	=>	'0210000',
		'ztüll'	=>	'000010',
		'ztüt'	=>	'02100',
		'ztüv'	=>	'02120',
		'ztüzem'	=>	'0012000',
		'ztűri'	=>	'021200',
		'ztye'	=>	'02000',
		'zu'	=>	'100',
		'zuba'	=>	'00210',
		'zubb'	=>	'30000',
		'zubi'	=>	'00210',
		'zubu'	=>	'00200',
		'zucs'	=>	'00230',
		'zugag'	=>	'002000',
		'zugap'	=>	'002000',
		'zugáru'	=>	'0020000',
		'zugás'	=>	'002100',
		'zugb'	=>	'30000',
		'zuge'	=>	'00212',
		'zugé'	=>	'00200',
		'zugin'	=>	'002000',
		'zugit'	=>	'002000',
		'zugiv'	=>	'002000',
		'zugí'	=>	'00200',
		'zugo'	=>	'30000',
		'zugor'	=>	'002100',
		'zugö'	=>	'00200',
		'zugü'	=>	'00200',
		'zugű'	=>	'00200',
		'zuha'	=>	'30000',
		'zule'	=>	'00002',
		'zulel'	=>	'002000',
		'zulenc'	=>	'0021000',
		'zules'	=>	'002100',
		'zuliná'	=>	'0000200',
		'zulú'	=>	'00200',
		'zulya'	=>	'000002',
		'zulyag'	=>	'0020100',
		'zumab'	=>	'002000',
		'zumad'	=>	'002120',
		'zumaj'	=>	'002000',
		'zumal'	=>	'002000',
		'zumar'	=>	'002000',
		'zumas'	=>	'002100',
		'zume'	=>	'00002',
		'zumegyez'	=>	'000000001',
		'zumel'	=>	'002000',
		'zumen'	=>	'002100',
		'zumél'	=>	'002000',
		'zumén'	=>	'002120',
		'zumid'	=>	'002100',
		'zumin'	=>	'002100',
		'zumip'	=>	'002120',
		'zumí'	=>	'00200',
		'zumkész'	=>	'00000001',
		'zumol'	=>	'002000',
		'zumő'	=>	'00200',
		'zumur'	=>	'002000',
		'zumü'	=>	'00200',
		'zund'	=>	'20000',
		'zundo'	=>	'010000',
		'zune'	=>	'00200',
		'zuné'	=>	'00210',
		'zuni'	=>	'20000',
		'zunö'	=>	'00212',
		'zural'	=>	'002000',
		'zuram'	=>	'002000',
		'zurat'	=>	'000002',
		'zurn'	=>	'21000',
		'zurú'	=>	'00200',
		'zusad'	=>	'002000',
		'zusaka'	=>	'0001000',
		'zusal'	=>	'002000',
		'zusan'	=>	'000020',
		'zusany'	=>	'0001000',
		'zusas'	=>	'002000',
		'zuság'	=>	'002100',
		'zuse'	=>	'00212',
		'zusérté'	=>	'00210000',
		'zusis'	=>	'002000',
		'zusí'	=>	'00210',
		'zuskész'	=>	'00000001',
		'zusol'	=>	'002100',
		'zusó'	=>	'00212',
		'zuső'	=>	'00200',
		'zuss'	=>	'00002',
		'zussz'	=>	'000002',
		'zussze'	=>	'0003000',
		'zusszi'	=>	'0003000',
		'zust'	=>	'00002',
		'zustr'	=>	'000100',
		'zusü'	=>	'00212',
		'zuszik'	=>	'0020120',
		'zuszon'	=>	'0020000',
		'zuszó'	=>	'002300',
		'zuta'	=>	'21200',
		'zutá'	=>	'01200',
		'zutc'	=>	'21000',
		'zutol'	=>	'002000',
		'zutób'	=>	'002000',
		'zutói'	=>	'002000',
		'zutój'	=>	'002000',
		'zutón'	=>	'002000',
		'zutu'	=>	'01200',
		'zú'	=>	'100',
		'zúdr'	=>	'00100',
		'zúfl'	=>	'00100',
		'zúgá'	=>	'30000',
		'zújd'	=>	'01000',
		'zújé'	=>	'01200',
		'zújí'	=>	'01200',
		'zújs'	=>	'01000',
		'zúre'	=>	'00212',
		'zúrét'	=>	'000020',
		'zúszás'	=>	'0120000',
		'zútér'	=>	'012000',
		'zúth'	=>	'01000',
		'zúti'	=>	'01000',
		'zútiaka'	=>	'32000000',
		'zútiakr'	=>	'00200000',
		'zútib'	=>	'002000',
		'zútig'	=>	'002000',
		'zútih'	=>	'002000',
		'zútin'	=>	'002000',
		'zútiv'	=>	'002000',
		'zútí'	=>	'01200',
		'zútj'	=>	'01000',
		'zútn'	=>	'01000',
		'zúton'	=>	'012000',
		'zútró'	=>	'010000',
		'zútt'	=>	'01000',
		'zútü'	=>	'00200',
		'zútv'	=>	'01000',
		'zúzá'	=>	'30000',
		'zúzd'	=>	'30000',
		'zúzó'	=>	'30000',
		'zü'	=>	'100',
		'züdü'	=>	'00200',
		'zügyés'	=>	'0000100',
		'zügyk'	=>	'010000',
		'züldö'	=>	'010000',
		'zülep'	=>	'012000',
		'zülőseb'	=>	'01200000',
		'zülőset'	=>	'01200000',
		'züni'	=>	'00200',
		'zünn'	=>	'20000',
		'zürí'	=>	'00200',
		'zürü'	=>	'01200',
		'züte'	=>	'01200',
		'züté'	=>	'01200',
		'zütk'	=>	'01000',
		'zütő'	=>	'01200',
		'züve'	=>	'00200',
		'züvö'	=>	'00200',
		'züzen'	=>	'002000',
		'züzl'	=>	'01000',
		'zű'	=>	'100',
		'zűcsa'	=>	'002000',
		'zűcsá'	=>	'002000',
		'zűcsip'	=>	'0020000',
		'zűcso'	=>	'002010',
		'zűra'	=>	'00200',
		'zűrá'	=>	'00200',
		'zűréss'	=>	'0000030',
		'zűriz'	=>	'002120',
		'zűrla'	=>	'010000',
		'zűró'	=>	'00200',
		'zűru'	=>	'00200',
		'zűza'	=>	'00212',
		'zűzá'	=>	'00210',
		'zűze'	=>	'00200',
		'zűzér'	=>	'000020',
		'zűzére'	=>	'0021000',
		'zűzo'	=>	'00200',
		'zűző'	=>	'01200',
		'zűzs'	=>	'00200',
		'zűzú'	=>	'00200',
		'zvasu'	=>	'000200',
		'zvárosé'	=>	'00000002',
		'zvárosom'	=>	'000002100',
		'zvegya'	=>	'0002000',
		'zvényel'	=>	'00020000',
		'zvitác'	=>	'0002000',
		'zvitj'	=>	'020000',
		'zyak'	=>	'00100',
		'zyar'	=>	'01000',
		'zybe'	=>	'00200',
		'zyje'	=>	'00200',
		'zyne'	=>	'00200',
		'zyné'	=>	'00200',
		'zyre'	=>	'00200',
		'zyrő'	=>	'00200',
		'zysa'	=>	'00200',
		'zyso'	=>	'00200',
		'zytő'	=>	'00200',
		'zyve'	=>	'00200',
		'zzáll'	=>	'021000',
		'zzárór'	=>	'0002120',
		'zzát'	=>	'00002',
		'zzátr'	=>	'000100',
		'zziné'	=>	'000212',
		'zzle'	=>	'00200',
		'zzly'	=>	'00100',
		'zzs'	=>	'0200',
		'zzsák'	=>	'030000',
		'zzsám'	=>	'030000',
		'zzsi'	=>	'03000',
		'zzsí'	=>	'03000',
		'zzso'	=>	'03000',
	),
);

