<?php

/*
	Project: wp-Typography
	Project URI: https://code.mundschenk.at/wp-typography/

	File modified to place pattern and exceptions in arrays that can be understood in php files.
	This file is released under the same copyright as the below referenced original file
	Original unmodified file is available at: http://ctan.mirrorcatalogs.com/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/
	Original file name: hyph-th.tex

//============================================================================================================
	ORIGINAL FILE INFO

		% Thai hyphenation patterns
		%
		% Copyright 2012-2013 Theppitak Karoonboonyanan <theppitak at gmail.com>
		%
		% This work may be distributed and/or modified under the
		% conditions of the LaTeX Project Public License, either version 1.3
		% of this license or (at your option) any later version.
		% The latest version of this license is in
		%   http://www.latex-project.org/lppl.txt
		% and version 1.3 or later is part of all distributions of LaTeX
		% version 2005/12/01 or later.
		%
		% This work has the LPPL maintenance status `maintained'.
		%
		% The Current Maintainer of this work is Theppitak Karoonboonyanan.
		%
		% http://linux.thai.net/projects/thailatex
		% http://linux.thai.net/svn/software/thailatex/trunk
		%


//============================================================================================================

*/

$patgenLanguage = 'Thai';

$patgenExceptions = array();

$patgenMaxSeg = 10;

$patgen = array(
	'begin' => array(
		'ชีวั'	=>	'00500',
		'ทัศนู'	=>	'000005',
		'ที่'	=>	'0003',
		'บท'	=>	'001',
		'รง'	=>	'004',
		'ราย'	=>	'0003',
		'ลำ'	=>	'003',
		'สนท'	=>	'0050',
		'สูต'	=>	'0030',
		'ใบ'	=>	'003',
		'ก'	=>	'06',
		'ข'	=>	'06',
		'ฃ'	=>	'06',
		'ค'	=>	'06',
		'ฅ'	=>	'06',
		'ฆ'	=>	'06',
		'ง'	=>	'06',
		'จ'	=>	'06',
		'ฉ'	=>	'06',
		'ช'	=>	'06',
		'ซ'	=>	'06',
		'ฌ'	=>	'06',
		'ญ'	=>	'06',
		'ฎ'	=>	'06',
		'ฏ'	=>	'06',
		'ฐ'	=>	'06',
		'ฑ'	=>	'06',
		'ฒ'	=>	'06',
		'ณ'	=>	'06',
		'ด'	=>	'06',
		'ต'	=>	'06',
		'ถ'	=>	'06',
		'ท'	=>	'06',
		'ธ'	=>	'06',
		'น'	=>	'06',
		'บ'	=>	'06',
		'ป'	=>	'06',
		'ผ'	=>	'06',
		'ฝ'	=>	'06',
		'พ'	=>	'06',
		'ฟ'	=>	'06',
		'ภ'	=>	'06',
		'ม'	=>	'06',
		'ย'	=>	'06',
		'ร'	=>	'06',
		'ฤ'	=>	'06',
		'ล'	=>	'06',
		'ฦ'	=>	'06',
		'ว'	=>	'06',
		'ศ'	=>	'06',
		'ษ'	=>	'06',
		'ส'	=>	'06',
		'ห'	=>	'06',
		'ฬ'	=>	'06',
		'อ'	=>	'06',
		'ฮ'	=>	'06',
		'เหยง'	=>	'00600',
		'รมณี'	=>	'00700',
		'รัมณี'	=>	'000700',
		'ฤทัย'	=>	'06000',
		'ยี่'	=>	'0007',
		'มกรา'	=>	'00700',
		'สิทธิ'	=>	'000600',
		'วสละ'	=>	'00700',
	),

	'end' => array(
		'ติก'	=>	'3000',
		'ตี้'	=>	'3000',
		'มือ'	=>	'1000',
		'ก'	=>	'60',
		'ข'	=>	'60',
		'ฃ'	=>	'60',
		'ค'	=>	'60',
		'ฅ'	=>	'60',
		'ฆ'	=>	'60',
		'ง'	=>	'60',
		'จ'	=>	'60',
		'ฉ'	=>	'60',
		'ช'	=>	'60',
		'ซ'	=>	'60',
		'ฌ'	=>	'60',
		'ญ'	=>	'60',
		'ฎ'	=>	'60',
		'ฏ'	=>	'60',
		'ฐ'	=>	'60',
		'ฑ'	=>	'60',
		'ฒ'	=>	'60',
		'ณ'	=>	'60',
		'ด'	=>	'60',
		'ต'	=>	'60',
		'ถ'	=>	'60',
		'ท'	=>	'60',
		'ธ'	=>	'60',
		'น'	=>	'60',
		'บ'	=>	'60',
		'ป'	=>	'60',
		'ผ'	=>	'60',
		'ฝ'	=>	'60',
		'พ'	=>	'60',
		'ฟ'	=>	'60',
		'ภ'	=>	'60',
		'ม'	=>	'60',
		'ย'	=>	'60',
		'ร'	=>	'60',
		'ล'	=>	'60',
		'ว'	=>	'60',
		'ศ'	=>	'60',
		'ษ'	=>	'60',
		'ส'	=>	'60',
		'ห'	=>	'60',
		'ฬ'	=>	'60',
		'อ'	=>	'60',
		'ฮ'	=>	'60',
		'ก์'	=>	'600',
		'ข์'	=>	'600',
		'ฃ์'	=>	'600',
		'ค์'	=>	'600',
		'ฅ์'	=>	'600',
		'ฆ์'	=>	'600',
		'ง์'	=>	'600',
		'จ์'	=>	'600',
		'ฉ์'	=>	'600',
		'ช์'	=>	'600',
		'ซ์'	=>	'600',
		'ฌ์'	=>	'600',
		'ญ์'	=>	'600',
		'ฎ์'	=>	'600',
		'ฏ์'	=>	'600',
		'ฐ์'	=>	'600',
		'ฑ์'	=>	'600',
		'ฒ์'	=>	'600',
		'ณ์'	=>	'600',
		'ด์'	=>	'600',
		'ต์'	=>	'600',
		'ถ์'	=>	'600',
		'ท์'	=>	'600',
		'ธ์'	=>	'600',
		'น์'	=>	'600',
		'บ์'	=>	'600',
		'ป์'	=>	'600',
		'ผ์'	=>	'600',
		'ฝ์'	=>	'600',
		'พ์'	=>	'600',
		'ฟ์'	=>	'600',
		'ภ์'	=>	'600',
		'ม์'	=>	'600',
		'ย์'	=>	'600',
		'ร์'	=>	'600',
		'ล์'	=>	'600',
		'ว์'	=>	'600',
		'ศ์'	=>	'600',
		'ษ์'	=>	'600',
		'ส์'	=>	'600',
		'ห์'	=>	'600',
		'ฬ์'	=>	'600',
		'อ์'	=>	'600',
		'ฮ์'	=>	'600',
		'กิ์'	=>	'6000',
		'ขิ์'	=>	'6000',
		'ฃิ์'	=>	'6000',
		'คิ์'	=>	'6000',
		'ฅิ์'	=>	'6000',
		'ฆิ์'	=>	'6000',
		'งิ์'	=>	'6000',
		'จิ์'	=>	'6000',
		'ฉิ์'	=>	'6000',
		'ชิ์'	=>	'6000',
		'ซิ์'	=>	'6000',
		'ฌิ์'	=>	'6000',
		'ญิ์'	=>	'6000',
		'ฎิ์'	=>	'6000',
		'ฏิ์'	=>	'6000',
		'ฐิ์'	=>	'6000',
		'ฑิ์'	=>	'6000',
		'ฒิ์'	=>	'6000',
		'ณิ์'	=>	'6000',
		'ดิ์'	=>	'6000',
		'ติ์'	=>	'6000',
		'ถิ์'	=>	'6000',
		'ทิ์'	=>	'6000',
		'ธิ์'	=>	'6000',
		'นิ์'	=>	'6000',
		'บิ์'	=>	'6000',
		'ปิ์'	=>	'6000',
		'ผิ์'	=>	'6000',
		'ฝิ์'	=>	'6000',
		'พิ์'	=>	'6000',
		'ฟิ์'	=>	'6000',
		'ภิ์'	=>	'6000',
		'มิ์'	=>	'6000',
		'ยิ์'	=>	'6000',
		'ริ์'	=>	'6000',
		'ลิ์'	=>	'6000',
		'วิ์'	=>	'6000',
		'ศิ์'	=>	'6000',
		'ษิ์'	=>	'6000',
		'สิ์'	=>	'6000',
		'หิ์'	=>	'6000',
		'ฬิ์'	=>	'6000',
		'อิ์'	=>	'6000',
		'ฮิ์'	=>	'6000',
		'กุ์'	=>	'6000',
		'ขุ์'	=>	'6000',
		'ฃุ์'	=>	'6000',
		'คุ์'	=>	'6000',
		'ฅุ์'	=>	'6000',
		'ฆุ์'	=>	'6000',
		'งุ์'	=>	'6000',
		'จุ์'	=>	'6000',
		'ฉุ์'	=>	'6000',
		'ชุ์'	=>	'6000',
		'ซุ์'	=>	'6000',
		'ฌุ์'	=>	'6000',
		'ญุ์'	=>	'6000',
		'ฎุ์'	=>	'6000',
		'ฏุ์'	=>	'6000',
		'ฐุ์'	=>	'6000',
		'ฑุ์'	=>	'6000',
		'ฒุ์'	=>	'6000',
		'ณุ์'	=>	'6000',
		'ดุ์'	=>	'6000',
		'ตุ์'	=>	'6000',
		'ถุ์'	=>	'6000',
		'ทุ์'	=>	'6000',
		'ธุ์'	=>	'6000',
		'นุ์'	=>	'6000',
		'บุ์'	=>	'6000',
		'ปุ์'	=>	'6000',
		'ผุ์'	=>	'6000',
		'ฝุ์'	=>	'6000',
		'พุ์'	=>	'6000',
		'ฟุ์'	=>	'6000',
		'ภุ์'	=>	'6000',
		'มุ์'	=>	'6000',
		'ยุ์'	=>	'6000',
		'รุ์'	=>	'6000',
		'ลุ์'	=>	'6000',
		'วุ์'	=>	'6000',
		'ศุ์'	=>	'6000',
		'ษุ์'	=>	'6000',
		'สุ์'	=>	'6000',
		'หุ์'	=>	'6000',
		'ฬุ์'	=>	'6000',
		'อุ์'	=>	'6000',
		'ฮุ์'	=>	'6000',
		'ชวา'	=>	'0600',
		'ตร'	=>	'600',
		'ธาตุ'	=>	'00600',
		'บุตร'	=>	'00600',
		'นคร'	=>	'0600',
		'อริ'	=>	'0600',
		'จนที'	=>	'00600',
		'งง'	=>	'500',
		'ชน'	=>	'500',
		'กร'	=>	'500',
		'ายก'	=>	'0700',
		'ายน'	=>	'0700',
		'บท'	=>	'500',
		'บถ'	=>	'500',
		'ตะ'	=>	'500',
		'ิกล'	=>	'0700',
		'นี'	=>	'500',
		'มรี'	=>	'0700',
		'นรี'	=>	'0500',
		'เตรี'	=>	'00700',
		'ชรี'	=>	'0700',
		'พรี'	=>	'0700',
		'ดล'	=>	'500',
		'รส'	=>	'500',
		'คน'	=>	'500',
		'ทก'	=>	'500',
		'ดร'	=>	'500',
		'นทร'	=>	'0700',
		'าทร'	=>	'0700',
		'โคทร'	=>	'00700',
		'โลทร'	=>	'00700',
		'โสทร'	=>	'00700',
		'อู'	=>	'700',
		'พล'	=>	'500',
		'ศก'	=>	'500',
		'ถวี'	=>	'0700',
		'สวี'	=>	'0700',
		'ฏวี'	=>	'0700',
		'ทุ'	=>	'700',
		'ัสดุ'	=>	'00700',
		'กง'	=>	'500',
		'ซี'	=>	'700',
		'ที'	=>	'500',
		'เหรา'	=>	'00700',
		'กฎ'	=>	'700',
		'กฏ'	=>	'700',
		'พี'	=>	'500',
		'ทระ'	=>	'0700',
		'ุกระ'	=>	'00500',
		'อยา'	=>	'0700',
		'ุทธิ'	=>	'00700',
		'ิทธิ'	=>	'00500',
		'บุริมสิทธิ'	=>	'00000000600',
		'ไกรสิทธิ'	=>	'000000600',
		'พยาธิ'	=>	'000600',
		'ษี'	=>	'500',
		'พร'	=>	'500',
		'หิ'	=>	'500',
		'สินธุ'	=>	'000700',
		'นตุ'	=>	'0700',
		'ารพ'	=>	'0700',
		'ศุ'	=>	'500',
		'สอ'	=>	'700',
		'บะ'	=>	'500',
		'ยี'	=>	'500',
		'กี'	=>	'500',
		'หก'	=>	'500',
		'งอร'	=>	'0700',
		'มอร'	=>	'0700',
		'สวร'	=>	'0700',
		'จร'	=>	'500',
		'โจร'	=>	'0600',
		'ศพ'	=>	'700',
		'ภพ'	=>	'700',
		'นพ'	=>	'700',
		'ณพ'	=>	'700',
		'ารก'	=>	'0700',
		'ยรก'	=>	'0700',
		'ยวรก'	=>	'00700',
		'มล'	=>	'500',
		'ุบล'	=>	'0500',
		'โลบล'	=>	'00700',
		'ชล'	=>	'500',
		'ชก'	=>	'500',
		'ปี'	=>	'700',
		'าบี'	=>	'0700',
		'ฏะ'	=>	'500',
		'ปะ'	=>	'500',
		'ตู'	=>	'500',
		'ยู'	=>	'500',
		'ฆี'	=>	'700',
		'ศี'	=>	'500',
		'มน'	=>	'500',
		'ยอ'	=>	'500',
		'ผยอ'	=>	'0600',
		'สง'	=>	'500',
		'สร'	=>	'700',
		'ดก'	=>	'500',
		'โก'	=>	'700',
		'ามก'	=>	'0700',
		'สา'	=>	'500',
		'ษก'	=>	'500',
		'ดม'	=>	'500',
		'ดลม'	=>	'0700',
		'สลม'	=>	'0700',
		'วลม'	=>	'0700',
		'ีลม'	=>	'0700',
		'ศล'	=>	'500',
		'จะ'	=>	'500',
		'าสก'	=>	'0700',
		'ยศ'	=>	'500',
		'ธก'	=>	'500',
		'กบ'	=>	'500',
		'คู'	=>	'700',
		'สมา'	=>	'0500',
		'แล'	=>	'500',
		'พก'	=>	'500',
		'รรดิ'	=>	'00600',
		'าวก'	=>	'0700',
		'นนร'	=>	'0700',
		'จอ'	=>	'500',
		'จบ'	=>	'500',
		'คบ'	=>	'500',
		'ฉล'	=>	'500',
		'ิรม'	=>	'0700',
		'ีรม'	=>	'0700',
		'ซน'	=>	'500',
		'ดอ'	=>	'500',
		'กิ'	=>	'500',
		'บส'	=>	'500',
		'นรน'	=>	'0700',
		'ศวง'	=>	'0700',
		'หด'	=>	'500',
		'นาคร'	=>	'00700',
		'ารภ'	=>	'0700',
		'ลรบ'	=>	'0700',
		'วรบ'	=>	'0700',
		'อรบ'	=>	'0700',
		'ารณ'	=>	'0700',
		'ชรถ'	=>	'0700',
		'นรถ'	=>	'0700',
		'สรถ'	=>	'0700',
		'ันธร'	=>	'00700',
		'ทด'	=>	'500',
		'วนม'	=>	'0700',
		'ทพนม'	=>	'00700',
		'ษฎร'	=>	'0700',
		'ีรอ'	=>	'0700',
		'นทม'	=>	'0700',
		'ปทม'	=>	'0700',
		'ิจล'	=>	'0700',
		'ธม'	=>	'500',
		'าสม'	=>	'0700',
		'อสม'	=>	'0700',
		'านล'	=>	'0700',
		'ภร'	=>	'500',
		'จด'	=>	'500',
		'บยก'	=>	'0700',
		'รชร'	=>	'0700',
		'ุสภ'	=>	'0700',
		'ชตก'	=>	'0700',
		'บตก'	=>	'0700',
		'อปน'	=>	'0700',
		'ยชม'	=>	'0700',
		'งออ'	=>	'0700',
		'อออ'	=>	'0700',
		'กก'	=>	'500',
		'อขอ'	=>	'0700',
		'ากอ'	=>	'0700',
		'บยล'	=>	'0700',
		'้ปด'	=>	'0700',
		'คี'	=>	'700',
		'โยนก'	=>	'00700',
		'ฬส'	=>	'700',
		'พต'	=>	'500',
		'ลบก'	=>	'0700',
		'ศยป'	=>	'0700',
		'านน'	=>	'0700',
		'ามอ'	=>	'0700',
		'ทคล'	=>	'0700',
		'ตถร'	=>	'0700',
		'พฤษภ'	=>	'00700',
		'าฬก'	=>	'0700',
		'ฏฏิ'	=>	'0700',
		'ษฏิ'	=>	'0700',
		'ษส'	=>	'500',
		'ูริ'	=>	'0700',
		'เกตุ'	=>	'00600',
		'อุ'	=>	'700',
	),

	'all' => array(
		'กก'	=>	'210',
		'กกม'	=>	'0400',
		'กกส'	=>	'0040',
		'กข'	=>	'210',
		'กขค'	=>	'0400',
		'กขคณ'	=>	'00500',
		'กขช'	=>	'0400',
		'กขชา'	=>	'00500',
		'กขณ'	=>	'0400',
		'กขณะ'	=>	'05000',
		'กขณา'	=>	'05000',
		'กขบ'	=>	'0400',
		'กขบุ'	=>	'00500',
		'กขภ'	=>	'0400',
		'กขภั'	=>	'00500',
		'กขม'	=>	'0400',
		'กขมั'	=>	'05000',
		'กขมา'	=>	'00500',
		'กขมู'	=>	'00500',
		'กขลา'	=>	'00500',
		'กขศั'	=>	'00500',
		'กขเ'	=>	'0400',
		'กขเท'	=>	'00500',
		'กขเว'	=>	'00500',
		'กข์'	=>	'0400',
		'กค'	=>	'010',
		'กงบว'	=>	'00500',
		'กจ'	=>	'010',
		'กช'	=>	'010',
		'กซ'	=>	'200',
		'กญจน'	=>	'00500',
		'กฎหม'	=>	'00500',
		'กฎเก'	=>	'00500',
		'กฏหม'	=>	'00500',
		'กดิน'	=>	'05000',
		'กต'	=>	'010',
		'กตด'	=>	'0400',
		'กตดิ'	=>	'00500',
		'กตส'	=>	'0400',
		'กตเ'	=>	'0400',
		'กท'	=>	'010',
		'กน'	=>	'010',
		'กนด'	=>	'0400',
		'กนธ'	=>	'0400',
		'กบ'	=>	'010',
		'กป'	=>	'010',
		'กปร'	=>	'0040',
		'กพ'	=>	'010',
		'กฟ'	=>	'010',
		'กม'	=>	'010',
		'กมม'	=>	'0400',
		'กมลา'	=>	'00500',
		'กมส'	=>	'0400',
		'กมเ'	=>	'0400',
		'กยมุ'	=>	'00500',
		'กย้'	=>	'0300',
		'กรกฎ'	=>	'00500',
		'กรณั'	=>	'05500',
		'กรต๋'	=>	'00500',
		'กรร'	=>	'1400',
		'กรรา'	=>	'00500',
		'กรลา'	=>	'00500',
		'กราค'	=>	'05000',
		'กรินท'	=>	'050000',
		'กรู'	=>	'0400',
		'กรไฟ'	=>	'00500',
		'กลนค'	=>	'00500',
		'กลบิ'	=>	'00500',
		'กลมห'	=>	'00500',
		'กว'	=>	'020',
		'กวัต'	=>	'05000',
		'กษณน'	=>	'05000',
		'กษณะ'	=>	'03000',
		'กษณา'	=>	'05000',
		'กษมา'	=>	'05000',
		'กษมี'	=>	'05000',
		'กษเท'	=>	'00500',
		'กส'	=>	'010',
		'กสน'	=>	'0040',
		'กสโ'	=>	'0400',
		'กห'	=>	'010',
		'กออิ'	=>	'00500',
		'กะถั'	=>	'00500',
		'กะผล'	=>	'00500',
		'กะร'	=>	'4000',
		'กั'	=>	'100',
		'กา'	=>	'100',
		'กากะ'	=>	'00500',
		'กาดู'	=>	'00500',
		'กานี'	=>	'00500',
		'กาน้'	=>	'00500',
		'กาบอ'	=>	'00500',
		'กาฝา'	=>	'00500',
		'การ่'	=>	'00500',
		'กำด้'	=>	'00500',
		'กำทอ'	=>	'00500',
		'กำผล'	=>	'00500',
		'กิ'	=>	'100',
		'กิกะ'	=>	'00500',
		'กิต'	=>	'0040',
		'กินี'	=>	'00500',
		'กีรณ'	=>	'00500',
		'กีรต'	=>	'00500',
		'กีสถ'	=>	'00500',
		'กุ'	=>	'100',
		'กุงอ'	=>	'00500',
		'กุชิ'	=>	'00500',
		'กุฎุ'	=>	'00500',
		'กุมุ'	=>	'00500',
		'กุรร'	=>	'00500',
		'กุลี'	=>	'00500',
		'กุแห'	=>	'00500',
		'กู'	=>	'100',
		'กูปร'	=>	'00500',
		'กูรข'	=>	'00500',
		'กูรม'	=>	'00500',
		'กูลิ'	=>	'00500',
		'กเ'	=>	'010',
		'กแ'	=>	'010',
		'กโ'	=>	'010',
		'กไ'	=>	'010',
		'ก่กอ'	=>	'00500',
		'ก่บ้'	=>	'00500',
		'ก่ป่'	=>	'00500',
		'ก์ท็'	=>	'00500',
		'ข'	=>	'02',
		'ขมหิ'	=>	'00500',
		'ขลา'	=>	'4000',
		'ขอขม'	=>	'00500',
		'ของ้'	=>	'00500',
		'ขออภ'	=>	'00500',
		'ขั'	=>	'100',
		'ขา'	=>	'100',
		'ขาก๊'	=>	'00500',
		'ขาทน'	=>	'00500',
		'ขิปส'	=>	'00500',
		'ขี้'	=>	'0001',
		'ข่มุ'	=>	'00500',
		'ข่หง'	=>	'00500',
		'ข้าว'	=>	'00003',
		'คค'	=>	'010',
		'คชสี'	=>	'00500',
		'คชเช'	=>	'00500',
		'คชเม'	=>	'00500',
		'คณิ'	=>	'0400',
		'คทร'	=>	'0400',
		'คทรี'	=>	'00500',
		'คทวอ'	=>	'00500',
		'คนยอ'	=>	'00500',
		'คนิ'	=>	'4000',
		'คปซู'	=>	'00500',
		'คปผก'	=>	'00500',
		'คมน'	=>	'3000',
		'คมฟร'	=>	'00500',
		'คมลอ'	=>	'00500',
		'คย'	=>	'200',
		'ครซอ'	=>	'00500',
		'ครนอ'	=>	'00500',
		'ครนี'	=>	'00500',
		'ครพน'	=>	'00500',
		'ครฟิ'	=>	'00500',
		'ครมเ'	=>	'00500',
		'ครร้'	=>	'00500',
		'ครลิ'	=>	'00500',
		'ครหา'	=>	'00500',
		'ครัก'	=>	'45000',
		'คราต'	=>	'05000',
		'คฤหบ'	=>	'00500',
		'คฤหา'	=>	'00500',
		'คฤโฆ'	=>	'00500',
		'คลคู'	=>	'00500',
		'คว'	=>	'020',
		'ควทอ'	=>	'00500',
		'ควา'	=>	'3000',
		'คส'	=>	'200',
		'คสติ'	=>	'00500',
		'คหกร'	=>	'00500',
		'คหนิ'	=>	'00500',
		'คหบด'	=>	'00500',
		'คหสถ'	=>	'00500',
		'คอน'	=>	'3000',
		'คัน'	=>	'3000',
		'คา'	=>	'100',
		'คาปู'	=>	'00500',
		'คาพจ'	=>	'00500',
		'คาพย'	=>	'00500',
		'คารว'	=>	'00500',
		'คาวจ'	=>	'00500',
		'คำดี'	=>	'00500',
		'คำโอ'	=>	'00500',
		'คำไก'	=>	'00500',
		'คีรี'	=>	'00500',
		'คุ'	=>	'100',
		'คุณู'	=>	'00500',
		'คุลี'	=>	'00500',
		'คุ์'	=>	'4000',
		'คูปอ'	=>	'00500',
		'คูลอ'	=>	'00500',
		'คเ'	=>	'210',
		'คโ'	=>	'010',
		'ค์'	=>	'200',
		'ค์จำ'	=>	'00500',
		'ฆา'	=>	'100',
		'ฆาณั'	=>	'00500',
		'ฆียก'	=>	'00500',
		'งก'	=>	'010',
		'งกห'	=>	'0400',
		'งกะร'	=>	'00040',
		'งกเ'	=>	'0400',
		'งก์'	=>	'0400',
		'งข'	=>	'010',
		'งขก'	=>	'0400',
		'งขต'	=>	'0400',
		'งค'	=>	'010',
		'งคจ'	=>	'0400',
		'งคช'	=>	'0400',
		'งคญ'	=>	'0400',
		'งคธ'	=>	'0400',
		'งคบ'	=>	'0400',
		'งคป'	=>	'0400',
		'งควั'	=>	'00500',
		'งคศ'	=>	'0400',
		'งคโ'	=>	'0400',
		'งฆปร'	=>	'00500',
		'งฆสภ'	=>	'00500',
		'งฆเถ'	=>	'00500',
		'งฆเภ'	=>	'00500',
		'งง'	=>	'010',
		'งงเ'	=>	'0400',
		'งจ'	=>	'010',
		'งฉ'	=>	'010',
		'งช'	=>	'010',
		'งชี'	=>	'0400',
		'งซ'	=>	'010',
		'งด'	=>	'010',
		'งต'	=>	'010',
		'งท'	=>	'010',
		'งน'	=>	'010',
		'งบดุ'	=>	'00500',
		'งป'	=>	'010',
		'งผ'	=>	'010',
		'งพ'	=>	'010',
		'งม'	=>	'010',
		'งย'	=>	'010',
		'งร'	=>	'010',
		'งล'	=>	'010',
		'งว'	=>	'010',
		'งวเ'	=>	'0400',
		'งส'	=>	'010',
		'งสกล'	=>	'00500',
		'งสกุ'	=>	'00500',
		'งสบ'	=>	'0400',
		'งสพ'	=>	'0400',
		'งสพย'	=>	'00500',
		'งสภ'	=>	'0400',
		'งห'	=>	'010',
		'งหนา'	=>	'00500',
		'งหบ'	=>	'0400',
		'งหบั'	=>	'00500',
		'งหรา'	=>	'00500',
		'งา'	=>	'100',
		'งาช้'	=>	'00500',
		'งารำ'	=>	'00500',
		'งูสว'	=>	'00500',
		'งเ'	=>	'010',
		'งแ'	=>	'010',
		'งโ'	=>	'010',
		'งไ'	=>	'010',
		'ง่งอ'	=>	'00500',
		'จจ'	=>	'010',
		'จจว'	=>	'0400',
		'จฉ'	=>	'010',
		'จดจ่'	=>	'00500',
		'จตจำ'	=>	'00500',
		'จตมู'	=>	'00500',
		'จปก'	=>	'0040',
		'จมบพ'	=>	'00050',
		'จริ'	=>	'3000',
		'จองอ'	=>	'00500',
		'จั'	=>	'100',
		'จา'	=>	'100',
		'จามร'	=>	'00500',
		'จามี'	=>	'00500',
		'จารึ'	=>	'00500',
		'จำทว'	=>	'00500',
		'จำอว'	=>	'00500',
		'จิ'	=>	'100',
		'จิจู'	=>	'00500',
		'จิตอ'	=>	'00500',
		'จีดี'	=>	'00500',
		'จุฑา'	=>	'00500',
		'จุสม'	=>	'00500',
		'จเ'	=>	'010',
		'ฉ'	=>	'02',
		'ฉกฉว'	=>	'00500',
		'ฉกษ'	=>	'0040',
		'ฉททิ'	=>	'00500',
		'ฉรฉิ'	=>	'00500',
		'ฉั'	=>	'100',
		'ฉา'	=>	'100',
		'ฉาก๊'	=>	'00500',
		'ฉาพย'	=>	'00500',
		'ชช'	=>	'010',
		'ชฌ'	=>	'010',
		'ชฌก'	=>	'0400',
		'ชฌฆ'	=>	'0400',
		'ชนีก'	=>	'05000',
		'ชน์'	=>	'4000',
		'ชฟรอ'	=>	'00500',
		'ชฟโร'	=>	'00500',
		'ชรกล'	=>	'00500',
		'ชรริ'	=>	'00500',
		'ชรฤก'	=>	'00500',
		'ชรหล'	=>	'00500',
		'ชรหึ'	=>	'00500',
		'ชรอุ'	=>	'00500',
		'ชวโ'	=>	'0040',
		'ชอง'	=>	'0004',
		'ชั'	=>	'100',
		'ชา'	=>	'100',
		'ชาต'	=>	'0020',
		'ชาตร'	=>	'00500',
		'ชาปี'	=>	'00500',
		'ชามต'	=>	'00500',
		'ชายต'	=>	'00500',
		'ชาสง'	=>	'00500',
		'ชำงั'	=>	'00500',
		'ชินี'	=>	'00500',
		'ชิรณ'	=>	'00500',
		'ชิแก'	=>	'00500',
		'ชีผะ'	=>	'00500',
		'ชีผ้'	=>	'00500',
		'ชีฟอ'	=>	'00500',
		'ชีรณ'	=>	'00500',
		'ชีว'	=>	'3000',
		'ชีวน'	=>	'00500',
		'ชุติ'	=>	'00500',
		'ชุลด'	=>	'00500',
		'ชูปก'	=>	'00500',
		'ชูปถ'	=>	'00500',
		'ชูปโ'	=>	'00500',
		'ช่อิ'	=>	'00500',
		'ช้สอ'	=>	'00500',
		'ช้ได'	=>	'00500',
		'ซนทร'	=>	'00500',
		'ซราม'	=>	'05000',
		'ซลฟี'	=>	'00500',
		'ซั'	=>	'100',
		'ซา'	=>	'100',
		'ซาชู'	=>	'00500',
		'ซามู'	=>	'00500',
		'ซิ'	=>	'100',
		'ซิตร'	=>	'00500',
		'ซิฟิ'	=>	'00500',
		'ซิแล'	=>	'00500',
		'ซีดี'	=>	'00500',
		'ซีนี'	=>	'00500',
		'ซีรา'	=>	'00500',
		'ซีริ'	=>	'00500',
		'ซีรี'	=>	'00500',
		'ซีร็'	=>	'00500',
		'ซีลี'	=>	'00500',
		'ซูซู'	=>	'00500',
		'ซูบิ'	=>	'00500',
		'ซูริ'	=>	'00500',
		'ซูลิ'	=>	'00500',
		'ซูฮา'	=>	'00500',
		'ซเ'	=>	'010',
		'ซโ'	=>	'010',
		'ซ่ง่'	=>	'00500',
		'ซ่ซ้'	=>	'00500',
		'ซ่า'	=>	'1000',
		'ซ์คล'	=>	'00500',
		'ญจดุ'	=>	'00500',
		'ญจน'	=>	'0400',
		'ญจนท'	=>	'05500',
		'ญจนบ'	=>	'05500',
		'ญจนา'	=>	'05000',
		'ญจบร'	=>	'00500',
		'ญจมบ'	=>	'05500',
		'ญจรง'	=>	'00500',
		'ญจวี'	=>	'00500',
		'ญจศี'	=>	'00500',
		'ญฉน'	=>	'0400',
		'ญช'	=>	'010',
		'ญญ'	=>	'010',
		'ญประ'	=>	'00004',
		'ญา'	=>	'100',
		'ญาต'	=>	'0040',
		'ญ่บ้'	=>	'00500',
		'ฏฐ'	=>	'010',
		'ฏฐบ'	=>	'0400',
		'ฏิทิ'	=>	'00500',
		'ฏิปท'	=>	'00500',
		'ฏิปุ'	=>	'00500',
		'ฏิสน'	=>	'00500',
		'ฏิสว'	=>	'00500',
		'ฐภั'	=>	'0400',
		'ฐมฌา'	=>	'00500',
		'ฐมพย'	=>	'00500',
		'ฐมฤก'	=>	'00500',
		'ฐา'	=>	'100',
		'ฐานี'	=>	'00500',
		'ฐุชุ'	=>	'00500',
		'ฑามณ'	=>	'00500',
		'ฑาสถ'	=>	'00500',
		'ฑูร'	=>	'3000',
		'ฒิสภ'	=>	'00500',
		'ฒิสม'	=>	'00500',
		'ณฑ'	=>	'010',
		'ณฑก'	=>	'0400',
		'ณฑฆ'	=>	'0400',
		'ณฑน'	=>	'0400',
		'ณฑนะ'	=>	'05000',
		'ณฑบ'	=>	'0400',
		'ณฑม'	=>	'0400',
		'ณฑลา'	=>	'00500',
		'ณฑส'	=>	'0400',
		'ณฑสก'	=>	'05000',
		'ณฑสถ'	=>	'00500',
		'ณฑสี'	=>	'05500',
		'ณฑโล'	=>	'00500',
		'ณฑ์'	=>	'0400',
		'ณยรั'	=>	'00500',
		'ณร'	=>	'010',
		'ณวา'	=>	'0400',
		'ณสม'	=>	'0004',
		'ณหพล'	=>	'00500',
		'ณหภู'	=>	'00500',
		'ณา'	=>	'100',
		'ณาปี'	=>	'00500',
		'ณิ'	=>	'100',
		'ณี'	=>	'100',
		'ณีสง'	=>	'00500',
		'ณูปโ'	=>	'00500',
		'ดก'	=>	'010',
		'ดกง'	=>	'0400',
		'ดกด'	=>	'0400',
		'ดกดื'	=>	'00500',
		'ดกเ'	=>	'0400',
		'ดกแ'	=>	'0400',
		'ดข'	=>	'010',
		'ดค'	=>	'010',
		'ดงค'	=>	'0040',
		'ดงออ'	=>	'00500',
		'ดช'	=>	'010',
		'ดชน'	=>	'0400',
		'ดชนะ'	=>	'05000',
		'ดด'	=>	'010',
		'ดดเ'	=>	'0400',
		'ดต'	=>	'010',
		'ดท'	=>	'010',
		'ดป'	=>	'010',
		'ดพ'	=>	'010',
		'ดรลิ'	=>	'00500',
		'ดร้'	=>	'0300',
		'ดส'	=>	'010',
		'ดสก'	=>	'0400',
		'ดห'	=>	'010',
		'ดั'	=>	'100',
		'ดัสต'	=>	'00050',
		'ดา'	=>	'100',
		'ดามุ'	=>	'00500',
		'ดารก'	=>	'00500',
		'ดาสว'	=>	'00500',
		'ดำฤษ'	=>	'00500',
		'ดิทอ'	=>	'00500',
		'ดิทิ'	=>	'00500',
		'ดิบ'	=>	'0040',
		'ดิวร'	=>	'00500',
		'ดิศว'	=>	'00500',
		'ดีดี'	=>	'00500',
		'ดีน'	=>	'3000',
		'ดีฝ่'	=>	'00500',
		'ดีรอ'	=>	'00500',
		'ดีลิ'	=>	'00500',
		'ดีวี'	=>	'00500',
		'ดีหม'	=>	'00500',
		'ดีหว'	=>	'00500',
		'ดูถู'	=>	'00500',
		'ดูปอ'	=>	'00500',
		'ดูรั'	=>	'00500',
		'ดูหม'	=>	'00500',
		'ดูแค'	=>	'00500',
		'ดเ'	=>	'010',
		'ดแ'	=>	'010',
		'ดโ'	=>	'010',
		'ด้ยิ'	=>	'00500',
		'ด์'	=>	'200',
		'ด์สป'	=>	'00500',
		'ตก'	=>	'200',
		'ตกร้'	=>	'00500',
		'ตค'	=>	'010',
		'ตช'	=>	'210',
		'ตต'	=>	'210',
		'ตตภ'	=>	'0400',
		'ตตส'	=>	'0400',
		'ตตโ'	=>	'0400',
		'ตถกะ'	=>	'05000',
		'ตถกิ'	=>	'00500',
		'ตถา'	=>	'0300',
		'ตถุป'	=>	'05000',
		'ตถุศ'	=>	'05000',
		'ตถเล'	=>	'00500',
		'ตทัศนูป'	=>	'00000005',
		'ตน'	=>	'200',
		'ตนฟอ'	=>	'00500',
		'ตนวร'	=>	'00500',
		'ตนาธ'	=>	'04000',
		'ตบ'	=>	'210',
		'ตบช'	=>	'0400',
		'ตบชว'	=>	'00500',
		'ตปนี'	=>	'00500',
		'ตภ'	=>	'010',
		'ตย'	=>	'200',
		'ตรก'	=>	'4000',
		'ตรงอ'	=>	'00500',
		'ตรจี'	=>	'00500',
		'ตรจุ'	=>	'00500',
		'ตรฐ'	=>	'4000',
		'ตรตร'	=>	'00500',
		'ตรทว'	=>	'00500',
		'ตรผล'	=>	'00500',
		'ตรฝร'	=>	'00500',
		'ตรพล'	=>	'00500',
		'ตรรง'	=>	'00500',
		'ตรลด'	=>	'00500',
		'ตริยา'	=>	'050000',
		'ตรู'	=>	'0400',
		'ตร์'	=>	'2000',
		'ตฤตี'	=>	'00500',
		'ตลรั'	=>	'00500',
		'ตส'	=>	'010',
		'ตสค'	=>	'0400',
		'ตสวา'	=>	'00500',
		'ตสเ'	=>	'0040',
		'ตสแ'	=>	'0400',
		'ตสแต'	=>	'00500',
		'ตอม่'	=>	'00500',
		'ตะใภ'	=>	'00500',
		'ตั'	=>	'100',
		'ตา'	=>	'100',
		'ตากล'	=>	'00500',
		'ตากว'	=>	'00500',
		'ตานึ'	=>	'00500',
		'ตาปร'	=>	'00500',
		'ตาปล'	=>	'00500',
		'ตาผิ'	=>	'00500',
		'ตาฟู'	=>	'00500',
		'ตามห'	=>	'00300',
		'ตามอ'	=>	'00500',
		'ตามะ'	=>	'00500',
		'ตาฬี'	=>	'00500',
		'ติจู'	=>	'00500',
		'ติช่'	=>	'00500',
		'ติทิ'	=>	'00500',
		'ตินร'	=>	'00500',
		'ติบอ'	=>	'00500',
		'ติมศ'	=>	'00500',
		'ติมส'	=>	'00500',
		'ติมอ'	=>	'00500',
		'ติยม'	=>	'00500',
		'ติ์'	=>	'4000',
		'ตีขล'	=>	'00500',
		'ตีคู'	=>	'00500',
		'ตีตื'	=>	'00500',
		'ตีรว'	=>	'00500',
		'ตีลั'	=>	'00500',
		'ตุตถ'	=>	'00500',
		'ตุทส'	=>	'00500',
		'ตุป่'	=>	'00500',
		'ตุมห'	=>	'00500',
		'ตุรก'	=>	'00500',
		'ตุลั'	=>	'00500',
		'ตุสด'	=>	'00500',
		'ตูดิ'	=>	'00500',
		'ตเ'	=>	'010',
		'ตแล'	=>	'0300',
		'ตโ'	=>	'010',
		'ต่ถา'	=>	'00500',
		'ต่ว่'	=>	'00500',
		'ต่สว'	=>	'00500',
		'ต้ก๋'	=>	'00500',
		'ต้ตอ'	=>	'00500',
		'ต้ฝุ'	=>	'00500',
		'ต๋เต'	=>	'00500',
		'ต์คล'	=>	'00500',
		'ต์ฟู'	=>	'00500',
		'ต์ศต'	=>	'00500',
		'ถกิ'	=>	'0400',
		'ถดถอ'	=>	'00500',
		'ถมถื'	=>	'00500',
		'ถลไถ'	=>	'00500',
		'ถวไม'	=>	'00500',
		'ถะถั'	=>	'00500',
		'ถาธ'	=>	'0400',
		'ถาวร'	=>	'00500',
		'ถีย'	=>	'0400',
		'ถีลิ'	=>	'00500',
		'ถุน'	=>	'3000',
		'ถ่ถอ'	=>	'00500',
		'ถ่ถา'	=>	'00500',
		'ทกา'	=>	'4000',
		'ทคติ'	=>	'00500',
		'ทคนี'	=>	'00500',
		'ทดรอ'	=>	'00500',
		'ทดลอ'	=>	'00500',
		'ทธคย'	=>	'00500',
		'ทธชะ'	=>	'05000',
		'ทธฎี'	=>	'00500',
		'ทธปฏ'	=>	'00500',
		'ทธพร'	=>	'00500',
		'ทธรั'	=>	'00500',
		'ทธศต'	=>	'00500',
		'ทธสี'	=>	'00500',
		'ทธอง'	=>	'00500',
		'ทธิก'	=>	'05000',
		'ทธิช'	=>	'05000',
		'ทธิบ'	=>	'05000',
		'ทธิป'	=>	'05000',
		'ทธิผ'	=>	'05000',
		'ทธิพ'	=>	'05000',
		'ทธิภ'	=>	'05000',
		'ทธิร'	=>	'05000',
		'ทธิฤ'	=>	'05000',
		'ทธิศ'	=>	'05000',
		'ทธิโ'	=>	'05000',
		'ทธเจ'	=>	'00500',
		'ทพธิ'	=>	'00500',
		'ทพยุ'	=>	'00500',
		'ทฟลอ'	=>	'00500',
		'ทย'	=>	'200',
		'ทยาน'	=>	'05000',
		'ทรคต'	=>	'00500',
		'ทรคร'	=>	'00500',
		'ทรชิ'	=>	'00500',
		'ทรธน'	=>	'00500',
		'ทรร'	=>	'3000',
		'ทรสโ'	=>	'00500',
		'ทรหว'	=>	'00500',
		'ทรหึ'	=>	'00500',
		'ทรา'	=>	'1000',
		'ทราก'	=>	'05000',
		'ทราห'	=>	'45000',
		'ทรี'	=>	'1000',
		'ทวทห'	=>	'00500',
		'ทวสถ'	=>	'00500',
		'ทศทิ'	=>	'00500',
		'ทศวร'	=>	'00500',
		'ทสนท'	=>	'00050',
		'ทสโก'	=>	'00500',
		'ทหวั'	=>	'00500',
		'ทหฬิ'	=>	'00500',
		'ทั'	=>	'100',
		'ทา'	=>	'100',
		'ทาฐิ'	=>	'00500',
		'ทาฒิ'	=>	'00500',
		'ทานอ'	=>	'00500',
		'ทามร'	=>	'00500',
		'ทารพ'	=>	'00500',
		'ทำขว'	=>	'00500',
		'ทำซ้'	=>	'00500',
		'ทำท่'	=>	'00500',
		'ทำโท'	=>	'00500',
		'ทิฆั'	=>	'00500',
		'ทิฐิ'	=>	'00500',
		'ทิพ'	=>	'0040',
		'ทิพา'	=>	'00500',
		'ทิวง'	=>	'00500',
		'ทีนว'	=>	'00500',
		'ทีนี'	=>	'00500',
		'ทีรา'	=>	'00500',
		'ทุคต'	=>	'00500',
		'ทุลั'	=>	'00500',
		'ทุศี'	=>	'00500',
		'ทู'	=>	'100',
		'ทูน่'	=>	'00500',
		'ทเ'	=>	'010',
		'ท์ดอ'	=>	'00500',
		'ธร'	=>	'100',
		'ธรส'	=>	'4000',
		'ธรั'	=>	'4000',
		'ธา'	=>	'100',
		'ธารณ'	=>	'00100',
		'ธิฤท'	=>	'00500',
		'ธิศี'	=>	'00500',
		'ธิสม'	=>	'00500',
		'ธีรี'	=>	'00500',
		'ธุดง'	=>	'00500',
		'ธุลี'	=>	'00500',
		'ธูปน'	=>	'00500',
		'นก'	=>	'010',
		'นกค'	=>	'0400',
		'นกป'	=>	'0400',
		'นกยู'	=>	'00500',
		'นกรู'	=>	'00500',
		'นข'	=>	'010',
		'นขลิ'	=>	'00500',
		'นค'	=>	'010',
		'นคริ'	=>	'00500',
		'นจ'	=>	'010',
		'นจอ'	=>	'0400',
		'นจอน'	=>	'00500',
		'นช'	=>	'010',
		'นชญ'	=>	'0400',
		'นซ'	=>	'010',
		'นด'	=>	'010',
		'นดร'	=>	'0400',
		'นต'	=>	'010',
		'นตกว'	=>	'00500',
		'นตกะ'	=>	'05000',
		'นตดิ'	=>	'00500',
		'นตท'	=>	'0400',
		'นตทิ'	=>	'00500',
		'นตปิ'	=>	'00500',
		'นตภ'	=>	'0400',
		'นตระ'	=>	'05000',
		'นตรั'	=>	'05000',
		'นตรา'	=>	'03000',
		'นตริ'	=>	'05500',
		'นตฤด'	=>	'00500',
		'นติ'	=>	'0300',
		'นตุก'	=>	'05000',
		'นตุฏ'	=>	'05000',
		'นต์'	=>	'0400',
		'นถธุ'	=>	'00500',
		'นถรจ'	=>	'00500',
		'นทขี'	=>	'00500',
		'นทนน'	=>	'00500',
		'นทนะ'	=>	'05000',
		'นทผล'	=>	'00500',
		'นทย'	=>	'0040',
		'นทรง'	=>	'05000',
		'นทรล'	=>	'05000',
		'นทรั'	=>	'05000',
		'นทรุ'	=>	'05000',
		'นทฤก'	=>	'00500',
		'นทลา'	=>	'05000',
		'นทวย'	=>	'05000',
		'นทอ'	=>	'0300',
		'นทิ'	=>	'0100',
		'นที'	=>	'0300',
		'นธกร'	=>	'00500',
		'นธกะ'	=>	'05000',
		'นธนะ'	=>	'05000',
		'นธุก'	=>	'05000',
		'นธุร'	=>	'05000',
		'นธุว'	=>	'05000',
		'นธุศ'	=>	'05000',
		'นธไม'	=>	'00500',
		'นน'	=>	'010',
		'นนต'	=>	'0400',
		'นนท'	=>	'0400',
		'นนร'	=>	'0400',
		'นบ'	=>	'010',
		'นบนอ'	=>	'00500',
		'นป'	=>	'010',
		'นปจ'	=>	'0400',
		'นปจู'	=>	'00500',
		'นปท'	=>	'0400',
		'นพ'	=>	'010',
		'นพปฎ'	=>	'00500',
		'นพศู'	=>	'00500',
		'นภศู'	=>	'00500',
		'นยนต'	=>	'05000',
		'นรา'	=>	'0300',
		'นฤคห'	=>	'00500',
		'นฤปเ'	=>	'00500',
		'นฤเท'	=>	'00500',
		'นฤเบ'	=>	'00500',
		'นล'	=>	'010',
		'นลล'	=>	'0400',
		'นวร่'	=>	'00500',
		'นศ'	=>	'010',
		'นษกร'	=>	'00500',
		'นส'	=>	'010',
		'นสซ'	=>	'0400',
		'นสส'	=>	'0400',
		'นสแด'	=>	'00500',
		'นสโ'	=>	'0400',
		'นห'	=>	'010',
		'นอกะ'	=>	'00500',
		'นอน'	=>	'3000',
		'นั'	=>	'100',
		'นา'	=>	'100',
		'นาคร'	=>	'00400',
		'นาณั'	=>	'00500',
		'นาปร'	=>	'00500',
		'นารย'	=>	'00500',
		'นาวต'	=>	'00500',
		'นาวล'	=>	'00500',
		'นาสณ'	=>	'00500',
		'นาสน'	=>	'00500',
		'นาสว'	=>	'00500',
		'นาฬิ'	=>	'00500',
		'นาะ'	=>	'4000',
		'นิ'	=>	'100',
		'นิจู'	=>	'00500',
		'นิด้'	=>	'00500',
		'นิฟอ'	=>	'00500',
		'นิมน'	=>	'00500',
		'นิยม'	=>	'00500',
		'นิยา'	=>	'00500',
		'นิรอ'	=>	'00500',
		'นิลุ'	=>	'00500',
		'นิวร'	=>	'00500',
		'นิสง'	=>	'00500',
		'นิสถ'	=>	'00500',
		'นิสี'	=>	'00500',
		'นิแด'	=>	'00500',
		'นีมี'	=>	'00500',
		'นีมู'	=>	'00500',
		'นุ'	=>	'100',
		'นุพย'	=>	'00500',
		'นู'	=>	'100',
		'นเ'	=>	'210',
		'นแ'	=>	'010',
		'นโ'	=>	'010',
		'นไ'	=>	'010',
		'น่อี'	=>	'00500',
		'น้อ'	=>	'3000',
		'น้ำ'	=>	'1000',
		'น์สไ'	=>	'00500',
		'บก'	=>	'010',
		'บกษ'	=>	'0400',
		'บกิส'	=>	'00005',
		'บกแ'	=>	'0400',
		'บข'	=>	'010',
		'บค'	=>	'010',
		'บคท'	=>	'0400',
		'บคที'	=>	'00500',
		'บคโ'	=>	'0400',
		'บดี'	=>	'1000',
		'บท'	=>	'010',
		'บบฉบ'	=>	'00500',
		'บบฝึ'	=>	'00500',
		'บบอย'	=>	'00500',
		'บป'	=>	'010',
		'บพ'	=>	'010',
		'บรมี'	=>	'00500',
		'บส'	=>	'010',
		'บสบ'	=>	'0400',
		'บสเ'	=>	'0040',
		'บห'	=>	'010',
		'บอดี'	=>	'00500',
		'บอระ'	=>	'00500',
		'บอล'	=>	'3000',
		'บั'	=>	'100',
		'บัพพาชนี'	=>	'000000005',
		'บา'	=>	'100',
		'บาจร'	=>	'00050',
		'บาต'	=>	'0040',
		'บาตอ'	=>	'00500',
		'บาท'	=>	'0020',
		'บาทา'	=>	'00500',
		'บาทุ'	=>	'00500',
		'บารน'	=>	'00500',
		'บารอ'	=>	'00500',
		'บาสม'	=>	'00500',
		'บิชอ'	=>	'00500',
		'บีคิ'	=>	'00500',
		'บีร่'	=>	'00500',
		'บุ'	=>	'100',
		'บุค'	=>	'0003',
		'บุตร'	=>	'00500',
		'บุถุ'	=>	'00500',
		'บุรพ'	=>	'00500',
		'บู'	=>	'100',
		'บูชน'	=>	'00450',
		'บูติ'	=>	'00500',
		'บูย่'	=>	'00500',
		'บเ'	=>	'010',
		'บแ'	=>	'010',
		'บโ'	=>	'010',
		'บ๊จี'	=>	'00500',
		'บ๊เบ'	=>	'00500',
		'ปกส'	=>	'0040',
		'ปจั'	=>	'0400',
		'ปจา'	=>	'0400',
		'ปฐปท'	=>	'00500',
		'ปฐพี'	=>	'00500',
		'ปตถก'	=>	'00500',
		'ปตพล'	=>	'00500',
		'ปทา'	=>	'0400',
		'ปป'	=>	'010',
		'ปปเ'	=>	'0400',
		'ปมด้'	=>	'00500',
		'ปยุ'	=>	'0400',
		'ปรตอ'	=>	'00500',
		'ปรติ'	=>	'00500',
		'ปรตี'	=>	'00500',
		'ปรตุ'	=>	'00500',
		'ปรผั'	=>	'00500',
		'ปรษณ'	=>	'00500',
		'ประ'	=>	'1000',
		'ปรแก'	=>	'00500',
		'ปรแท'	=>	'00500',
		'ปรไฟ'	=>	'00500',
		'ปลญว'	=>	'00500',
		'ปวา'	=>	'0400',
		'ปสต'	=>	'0040',
		'ปั'	=>	'100',
		'ปา'	=>	'100',
		'ปาฐก'	=>	'00500',
		'ปาณก'	=>	'00500',
		'ปานี'	=>	'00500',
		'ปาปิ'	=>	'00500',
		'ปาร'	=>	'0004',
		'ปารเ'	=>	'00500',
		'ปิดอ'	=>	'00500',
		'ปิดิ'	=>	'00500',
		'ปิยภ'	=>	'00500',
		'ปิยอ'	=>	'00500',
		'ปิหก'	=>	'00500',
		'ปีชี'	=>	'00500',
		'ปีมะ'	=>	'00500',
		'ปีฬก'	=>	'00500',
		'ปี่'	=>	'0003',
		'ปุคล'	=>	'00500',
		'ปุถุ'	=>	'00500',
		'ปูจ๋'	=>	'00500',
		'ปูติ'	=>	'00500',
		'ปเ'	=>	'010',
		'ปไ'	=>	'010',
		'ผกผั'	=>	'00500',
		'ผณิศ'	=>	'00050',
		'ผนผั'	=>	'00500',
		'ผนิ'	=>	'0400',
		'ผยา'	=>	'0400',
		'ผลพล'	=>	'00500',
		'ผลไม'	=>	'00500',
		'ผสา'	=>	'0400',
		'ผีดิ'	=>	'00500',
		'ผีตอ'	=>	'00500',
		'ผีถ้'	=>	'00500',
		'ผีห่'	=>	'00500',
		'ผ้า'	=>	'0003',
		'ฝอย'	=>	'3000',
		'ฝีมะ'	=>	'00500',
		'ฝ่ฝั'	=>	'00500',
		'พจน'	=>	'3000',
		'พจนี'	=>	'00500',
		'พชฉล'	=>	'00500',
		'พชรา'	=>	'00500',
		'พทริ'	=>	'00500',
		'พทัก'	=>	'00004',
		'พนทะ'	=>	'00500',
		'พนั'	=>	'0400',
		'พนิ'	=>	'0004',
		'พพ'	=>	'010',
		'พย'	=>	'220',
		'พยก๊'	=>	'00500',
		'พรชย'	=>	'00500',
		'พรซี'	=>	'00500',
		'พรมี'	=>	'00500',
		'พรร'	=>	'1000',
		'พรู'	=>	'0400',
		'พรไฟ'	=>	'00500',
		'พฤก'	=>	'3000',
		'พฤฒา'	=>	'00500',
		'พลทิ'	=>	'00500',
		'พลร่'	=>	'00500',
		'พสเฟ'	=>	'00500',
		'พอคว'	=>	'00500',
		'พอสม'	=>	'00500',
		'พั'	=>	'100',
		'พา'	=>	'100',
		'พาจ'	=>	'4000',
		'พาชน'	=>	'00500',
		'พานร'	=>	'00500',
		'พิ'	=>	'100',
		'พิถั'	=>	'00500',
		'พิถี'	=>	'00500',
		'พิปล'	=>	'00500',
		'พิรอ'	=>	'00500',
		'พิรี'	=>	'00500',
		'พิลึ'	=>	'00500',
		'พิศุ'	=>	'00500',
		'พิสม'	=>	'00050',
		'พีระ'	=>	'00500',
		'พุชิ'	=>	'00500',
		'พุพอ'	=>	'00500',
		'พูทว'	=>	'00500',
		'พูพอ'	=>	'00500',
		'พเ'	=>	'010',
		'พเย'	=>	'0400',
		'พ่ป๊'	=>	'00500',
		'พ่อ'	=>	'0003',
		'พ้ท้'	=>	'00500',
		'พ์'	=>	'200',
		'พ์ดี'	=>	'00500',
		'ฟั'	=>	'100',
		'ฟา'	=>	'100',
		'ฟิลา'	=>	'00400',
		'ฟีฟ่'	=>	'00500',
		'ฟูฟ่'	=>	'00500',
		'ฟเ'	=>	'010',
		'ฟ้'	=>	'100',
		'ภคทร'	=>	'00500',
		'ภคว'	=>	'0030',
		'ภชนี'	=>	'00500',
		'ภั'	=>	'100',
		'ภา'	=>	'100',
		'ภาณก'	=>	'00500',
		'ภาณว'	=>	'00500',
		'ภารด'	=>	'00500',
		'ภารต'	=>	'00500',
		'ภารย'	=>	'00500',
		'ภาวน'	=>	'00500',
		'ภิชน'	=>	'00500',
		'ภิมห'	=>	'00500',
		'ภิร'	=>	'0030',
		'ภิสม'	=>	'00500',
		'ภุชง'	=>	'00500',
		'ภู'	=>	'100',
		'ภูฏา'	=>	'00500',
		'ภูริ'	=>	'00500',
		'มก'	=>	'010',
		'มกม'	=>	'0400',
		'มกษ'	=>	'0400',
		'มข'	=>	'010',
		'มขล'	=>	'0400',
		'มค'	=>	'010',
		'มคค'	=>	'0400',
		'มคอ'	=>	'0400',
		'มคอิ'	=>	'00500',
		'มงคล'	=>	'10000',
		'มงฟอ'	=>	'00500',
		'มจ'	=>	'010',
		'มช'	=>	'010',
		'มชว'	=>	'0040',
		'มซ'	=>	'010',
		'มณฑ'	=>	'3000',
		'มณฑน'	=>	'00500',
		'มณบร'	=>	'00500',
		'มณพร'	=>	'00500',
		'มณเฑ'	=>	'00500',
		'มณเพ'	=>	'00500',
		'มดยอ'	=>	'00500',
		'มดลู'	=>	'00500',
		'มต'	=>	'010',
		'มตธ'	=>	'0400',
		'มติ'	=>	'0400',
		'มตไ'	=>	'0400',
		'มตไต'	=>	'00500',
		'มท'	=>	'010',
		'มนตร'	=>	'30000',
		'มนฮั'	=>	'00500',
		'มนุ'	=>	'0400',
		'มบ'	=>	'010',
		'มบพ'	=>	'0040',
		'มป'	=>	'010',
		'มปช'	=>	'0040',
		'มปฤด'	=>	'00500',
		'มปฤๅ'	=>	'00500',
		'มป์'	=>	'0400',
		'มพ'	=>	'010',
		'มพก'	=>	'0400',
		'มพว'	=>	'0400',
		'มภ'	=>	'010',
		'มภกถ'	=>	'00500',
		'มม'	=>	'010',
		'มมเ'	=>	'0400',
		'มมโ'	=>	'0400',
		'มยรา'	=>	'00500',
		'มรร'	=>	'3000',
		'มรั'	=>	'0300',
		'มริ'	=>	'0300',
		'มฤคิ'	=>	'00500',
		'มฤเค'	=>	'00500',
		'มลทิ'	=>	'00500',
		'มลิ'	=>	'0300',
		'มล้'	=>	'0300',
		'มว'	=>	'010',
		'มวมอ'	=>	'00500',
		'มวล'	=>	'0400',
		'มส'	=>	'010',
		'มสเ'	=>	'0040',
		'มหกร'	=>	'00500',
		'มหน'	=>	'0300',
		'มหภา'	=>	'00500',
		'มหาญ'	=>	'05000',
		'มหาย'	=>	'05000',
		'มหาส'	=>	'00030',
		'มอขว'	=>	'00500',
		'มอคร'	=>	'00500',
		'มอดู'	=>	'00500',
		'มอตำ'	=>	'00500',
		'มอนว'	=>	'00500',
		'มอนอ'	=>	'00500',
		'มอระ'	=>	'00500',
		'มอั'	=>	'4000',
		'มะถั'	=>	'00500',
		'มะฝ่'	=>	'00500',
		'มะฮอ'	=>	'00500',
		'มั'	=>	'100',
		'มั่'	=>	'0400',
		'มา'	=>	'100',
		'มาก'	=>	'0040',
		'มาดร'	=>	'00500',
		'มานร'	=>	'00500',
		'มาป่'	=>	'00500',
		'มาพจ'	=>	'00500',
		'มามก'	=>	'00500',
		'มามุ'	=>	'00500',
		'มาม่'	=>	'00500',
		'มายณ'	=>	'00500',
		'มายอ'	=>	'00500',
		'มาร่'	=>	'00500',
		'มาว'	=>	'0034',
		'มิ'	=>	'100',
		'มิกภ'	=>	'00500',
		'มิซร'	=>	'00500',
		'มิตล'	=>	'00500',
		'มิถิ'	=>	'00500',
		'มิน่'	=>	'00500',
		'มิฟล'	=>	'00500',
		'มิลำ'	=>	'00500',
		'มิลี'	=>	'00500',
		'มิแพ'	=>	'00500',
		'มีขม'	=>	'00500',
		'มืด'	=>	'3000',
		'มุทะ'	=>	'00500',
		'มุทั'	=>	'00500',
		'มุทิ'	=>	'00500',
		'มุทุ'	=>	'00500',
		'มุฮั'	=>	'00500',
		'มูซี'	=>	'00500',
		'มูป่'	=>	'00500',
		'มูรต'	=>	'00500',
		'มูลิ'	=>	'00500',
		'มูหย'	=>	'00500',
		'มูหร'	=>	'00500',
		'มูฮั'	=>	'00500',
		'มูแด'	=>	'00500',
		'มูแผ'	=>	'00500',
		'มูแฮ'	=>	'00500',
		'มเ'	=>	'010',
		'มแ'	=>	'010',
		'มโ'	=>	'010',
		'มไ'	=>	'010',
		'ม่า'	=>	'0400',
		'ม้า'	=>	'3000',
		'ม์ภิ'	=>	'00500',
		'ยกย่'	=>	'00500',
		'ยกร'	=>	'0100',
		'ยกร้'	=>	'04500',
		'ยค'	=>	'010',
		'ยงบ่'	=>	'00500',
		'ยงฝ้'	=>	'00500',
		'ยงอย'	=>	'00500',
		'ยจคร'	=>	'00500',
		'ยดย้'	=>	'00500',
		'ยต'	=>	'010',
		'ยท'	=>	'010',
		'ยธ'	=>	'010',
		'ยบร้'	=>	'00500',
		'ยป'	=>	'010',
		'ยพ'	=>	'010',
		'ยภ'	=>	'010',
		'ยมยอ'	=>	'00500',
		'ยมรา'	=>	'00500',
		'ยมหา'	=>	'00500',
		'ยมอี'	=>	'00500',
		'ยมิ'	=>	'0400',
		'ยย'	=>	'010',
		'ยยส'	=>	'0040',
		'ยรถี'	=>	'00500',
		'ยรบั'	=>	'05000',
		'ยลไท'	=>	'00500',
		'ยวข้'	=>	'00500',
		'ยวจ๊'	=>	'00500',
		'ยวดอ'	=>	'00500',
		'ยวนี'	=>	'00500',
		'ยวย่'	=>	'00500',
		'ยวรั'	=>	'00500',
		'ยวไส'	=>	'00500',
		'ยศ'	=>	'010',
		'ยส'	=>	'010',
		'ยห'	=>	'010',
		'ยหฐ'	=>	'0400',
		'ยหฐา'	=>	'00500',
		'ยหป'	=>	'0400',
		'ยหปร'	=>	'00500',
		'ยอบี'	=>	'00500',
		'ยอรม'	=>	'00500',
		'ยั'	=>	'100',
		'ยา'	=>	'100',
		'ยากฤ'	=>	'00500',
		'ยากว'	=>	'00500',
		'ยาฉุ'	=>	'00500',
		'ยาณม'	=>	'00500',
		'ยาณว'	=>	'00500',
		'ยาถ่'	=>	'00500',
		'ยาบร'	=>	'00500',
		'ยาสล'	=>	'00500',
		'ยาสี'	=>	'00500',
		'ยาฬั'	=>	'00500',
		'ยำทว'	=>	'00500',
		'ยีรา'	=>	'00500',
		'ยุ'	=>	'100',
		'ยุคล'	=>	'00500',
		'ยุตก'	=>	'00500',
		'ยุภ'	=>	'4000',
		'ยุแย'	=>	'00500',
		'ยุแห'	=>	'00500',
		'ยูถิ'	=>	'00500',
		'ยูฟ่'	=>	'00500',
		'ยูริ'	=>	'00500',
		'ยูไน'	=>	'00500',
		'ยเ'	=>	'010',
		'ยแ'	=>	'010',
		'ยโ'	=>	'010',
		'ย์กล'	=>	'00500',
		'ย์ถ่'	=>	'00500',
		'ย์มน'	=>	'00500',
		'ย์หน'	=>	'00500',
		'รก'	=>	'200',
		'รกซอ'	=>	'00500',
		'รกซึ'	=>	'00500',
		'รกซ้'	=>	'00500',
		'รกร'	=>	'0100',
		'รกรา'	=>	'00500',
		'รกร้'	=>	'00500',
		'รคพว'	=>	'00500',
		'รงพย'	=>	'00500',
		'รงรอ'	=>	'00500',
		'รจถร'	=>	'00500',
		'รณคด'	=>	'00500',
		'รณตร'	=>	'00500',
		'รณถั'	=>	'00500',
		'รณพฤ'	=>	'00500',
		'รณสถ'	=>	'00500',
		'รณาญ'	=>	'05000',
		'รณูป'	=>	'00050',
		'รณ์'	=>	'4000',
		'รด'	=>	'010',
		'รดป'	=>	'0400',
		'รดแ'	=>	'0400',
		'รดโ'	=>	'0400',
		'รดไ'	=>	'0400',
		'รดไอ'	=>	'00500',
		'รถ'	=>	'001',
		'รถพย'	=>	'00500',
		'รท'	=>	'010',
		'รทฤ'	=>	'0400',
		'รทฤด'	=>	'00500',
		'รทว'	=>	'0440',
		'รทวิ'	=>	'00500',
		'รธขึ'	=>	'00500',
		'รธสร'	=>	'00500',
		'รธเก'	=>	'00500',
		'รนทุ'	=>	'00500',
		'รนา'	=>	'4000',
		'รบ'	=>	'010',
		'รบค'	=>	'0400',
		'รบถ'	=>	'0400',
		'รบถ้'	=>	'00500',
		'รบม'	=>	'0400',
		'รบั'	=>	'0400',
		'รบไ'	=>	'0400',
		'รบไก'	=>	'00500',
		'รป'	=>	'010',
		'รปณ'	=>	'0400',
		'รพชา'	=>	'05000',
		'รพชิ'	=>	'05500',
		'รพทิ'	=>	'00500',
		'รภ'	=>	'010',
		'รภย'	=>	'0400',
		'รมรอ'	=>	'00500',
		'รมาว'	=>	'00005',
		'รมเห'	=>	'00400',
		'รยั'	=>	'0400',
		'รรก'	=>	'0040',
		'รรคา'	=>	'00500',
		'รรจถ'	=>	'00500',
		'รรจว'	=>	'00500',
		'รรชิ'	=>	'00500',
		'รรณึ'	=>	'00500',
		'รรถา'	=>	'00500',
		'รรยง'	=>	'00500',
		'รรยเ'	=>	'00500',
		'รรล'	=>	'0030',
		'รรหา'	=>	'00500',
		'รรแท'	=>	'00500',
		'รรแส'	=>	'00500',
		'รรไก'	=>	'00500',
		'รรไต'	=>	'00500',
		'รลออ'	=>	'00500',
		'รศนี'	=>	'00500',
		'รษฐิ'	=>	'00500',
		'รษตร'	=>	'00500',
		'รส'	=>	'010',
		'รสก'	=>	'0400',
		'รสช'	=>	'0400',
		'รสเ'	=>	'0400',
		'รสโ'	=>	'0400',
		'รหิ'	=>	'0300',
		'ระ'	=>	'001',
		'ระสา'	=>	'00500',
		'ระหก'	=>	'00500',
		'รังส'	=>	'50000',
		'รัฐ'	=>	'3000',
		'รัต'	=>	'1000',
		'รากฏ'	=>	'00500',
		'รากฤ'	=>	'00500',
		'รากว'	=>	'00500',
		'ราช'	=>	'1000',
		'ราชู'	=>	'00500',
		'ราดร'	=>	'00500',
		'ราดว'	=>	'00500',
		'ราดู'	=>	'00500',
		'ราม่'	=>	'00500',
		'ราวณ'	=>	'00500',
		'ราสง'	=>	'00500',
		'ราห'	=>	'0020',
		'ราหุ'	=>	'00500',
		'รำงั'	=>	'00500',
		'รำจว'	=>	'00500',
		'ริกอ'	=>	'00500',
		'ริซึ'	=>	'00500',
		'ริตร'	=>	'00500',
		'ริทึ'	=>	'00500',
		'ริพ'	=>	'4000',
		'ริมน'	=>	'00500',
		'ริยจ'	=>	'40000',
		'ริยย'	=>	'40000',
		'ริร'	=>	'4000',
		'ริแล'	=>	'00500',
		'ริ่'	=>	'4000',
		'รีคู'	=>	'00500',
		'รีฑา'	=>	'00500',
		'รีดู'	=>	'00500',
		'รีตร'	=>	'00500',
		'รีตอ'	=>	'00500',
		'รีมู'	=>	'00500',
		'รีรั'	=>	'00500',
		'รีรา'	=>	'00500',
		'รีริ'	=>	'00500',
		'รีลั'	=>	'00500',
		'รีลิ'	=>	'00500',
		'รีล่'	=>	'00500',
		'รีสอ'	=>	'00500',
		'รีสะ'	=>	'00500',
		'รุกว'	=>	'00500',
		'รุขร'	=>	'00500',
		'รุคร'	=>	'00500',
		'รุทว'	=>	'00500',
		'รุธิ'	=>	'00500',
		'รุมุ'	=>	'00500',
		'รุวน'	=>	'00500',
		'รู'	=>	'100',
		'รูที'	=>	'00500',
		'รูนี'	=>	'00500',
		'รูบิ'	=>	'00500',
		'รูปก'	=>	'00050',
		'รูปิ'	=>	'00500',
		'รูมา'	=>	'00500',
		'รูมู'	=>	'00500',
		'รูหร'	=>	'00500',
		'รเ'	=>	'210',
		'รโ'	=>	'010',
		'ร่กะ'	=>	'00500',
		'ร่ตร'	=>	'00500',
		'ร่ร่'	=>	'00500',
		'ร่หล'	=>	'00500',
		'ร์กอ'	=>	'00500',
		'ร์กี'	=>	'00500',
		'ร์คั'	=>	'00500',
		'ร์ดิ'	=>	'00500',
		'ร์ติ'	=>	'00500',
		'ร์ตู'	=>	'00500',
		'ร์ทิ'	=>	'00500',
		'ร์ฟอ'	=>	'00500',
		'ร์ฟู'	=>	'00500',
		'ร์ลี'	=>	'00500',
		'ร์วอ'	=>	'00500',
		'ฤดา'	=>	'0400',
		'ฤปเ'	=>	'0040',
		'ฤษฎี'	=>	'00500',
		'ฤหบด'	=>	'00500',
		'ลกนะ'	=>	'05000',
		'ลกลา'	=>	'00500',
		'ลกวั'	=>	'00500',
		'ลกอ'	=>	'0300',
		'ลกัย'	=>	'04000',
		'ลขคณ'	=>	'00500',
		'ลขหม'	=>	'00500',
		'ลชี'	=>	'0004',
		'ลดระ'	=>	'00500',
		'ลดลิ'	=>	'00500',
		'ลดา'	=>	'0400',
		'ลต'	=>	'010',
		'ลตฟ'	=>	'0400',
		'ลตฟอ'	=>	'00500',
		'ลบตะ'	=>	'00500',
		'ลบมุ'	=>	'00500',
		'ลบล้'	=>	'00500',
		'ลบไส'	=>	'00500',
		'ลปตอ'	=>	'00500',
		'ลมงว'	=>	'00500',
		'ลมอ'	=>	'0300',
		'ลย'	=>	'200',
		'ลล'	=>	'010',
		'ลล์'	=>	'0400',
		'ลวี'	=>	'0300',
		'ลวไห'	=>	'00500',
		'ลสไต'	=>	'00500',
		'ลหกุ'	=>	'00500',
		'ลอกล'	=>	'00050',
		'ลอจี'	=>	'00500',
		'ลอสร'	=>	'00500',
		'ละผล'	=>	'00500',
		'ลักษ'	=>	'10000',
		'ลากล'	=>	'00500',
		'ลานี'	=>	'00500',
		'ลาบร'	=>	'00500',
		'ลาป๋'	=>	'00500',
		'ลาพอ'	=>	'00500',
		'ลามี'	=>	'00500',
		'ลาร'	=>	'3000',
		'ลารอ'	=>	'00500',
		'ลาร้'	=>	'00500',
		'ลาฤก'	=>	'00500',
		'ลาส้'	=>	'00500',
		'ลิก่'	=>	'00500',
		'ลิจู'	=>	'00500',
		'ลิซึ'	=>	'00500',
		'ลิตอ'	=>	'00500',
		'ลินอ'	=>	'00500',
		'ลิน่'	=>	'00500',
		'ลิบ'	=>	'0040',
		'ลิบา'	=>	'00500',
		'ลิฟอ'	=>	'00500',
		'ลิมู'	=>	'00500',
		'ลีตะ'	=>	'00500',
		'ลีน'	=>	'3000',
		'ลีผล'	=>	'00500',
		'ลีลา'	=>	'00500',
		'ลีวู'	=>	'00500',
		'ลุกร'	=>	'00050',
		'ลุกล'	=>	'00050',
		'ลุล่'	=>	'00500',
		'ลูก'	=>	'0001',
		'ลูซี'	=>	'00500',
		'ลูที'	=>	'00500',
		'ลูมิ'	=>	'00500',
		'ลูลอ'	=>	'00500',
		'ลูออ'	=>	'00500',
		'ลเ'	=>	'210',
		'ลแ'	=>	'210',
		'ลโ'	=>	'010',
		'ล่ติ'	=>	'00500',
		'ล่ที'	=>	'00500',
		'ล่หล'	=>	'00500',
		'ล่ออ'	=>	'00500',
		'ล้โพ'	=>	'00500',
		'ล์สต'	=>	'00500',
		'วกร'	=>	'0300',
		'วกว่'	=>	'00500',
		'วการ'	=>	'05000',
		'วค'	=>	'010',
		'วงศ'	=>	'1000',
		'วจตร'	=>	'00500',
		'วจสอ'	=>	'00500',
		'วชนี'	=>	'00500',
		'วดถ่'	=>	'00500',
		'วดมว'	=>	'00500',
		'วดยิ'	=>	'00500',
		'วดระ'	=>	'00500',
		'วดลา'	=>	'00500',
		'วดล้'	=>	'00500',
		'วดอ้'	=>	'00500',
		'วต'	=>	'010',
		'วตฉ'	=>	'0400',
		'วนถี'	=>	'00500',
		'วนท้'	=>	'00500',
		'วนผส'	=>	'00500',
		'วนรว'	=>	'00500',
		'วนร่'	=>	'00500',
		'วนอิ'	=>	'00500',
		'วนอุ'	=>	'00500',
		'วบยอ'	=>	'00500',
		'วบรว'	=>	'00500',
		'วบรั'	=>	'00500',
		'วบฮา'	=>	'00500',
		'วป'	=>	'010',
		'วพ'	=>	'010',
		'วมรอ'	=>	'00500',
		'วมู'	=>	'0300',
		'วยก้'	=>	'00500',
		'วยจี'	=>	'00500',
		'วยริ'	=>	'00500',
		'วยรื'	=>	'00500',
		'วยล้'	=>	'00500',
		'วยไท'	=>	'00500',
		'วยไม'	=>	'00500',
		'วรธิ'	=>	'00500',
		'วรมณ'	=>	'00500',
		'วรมห'	=>	'00500',
		'วรย'	=>	'0400',
		'วรร'	=>	'1004',
		'วร์'	=>	'0400',
		'วลระ'	=>	'00500',
		'วสปอ'	=>	'00500',
		'วห'	=>	'010',
		'วอชิ'	=>	'00500',
		'วั'	=>	'100',
		'วัน'	=>	'0003',
		'วันต'	=>	'00005',
		'วันท'	=>	'00004',
		'วา'	=>	'100',
		'วาดะ'	=>	'00500',
		'วาต'	=>	'0040',
		'วาตก'	=>	'00500',
		'วาติ'	=>	'00500',
		'วานร'	=>	'00500',
		'วานึ'	=>	'00500',
		'วาบร'	=>	'00500',
		'วามน'	=>	'00500',
		'วารณ'	=>	'00500',
		'วาสนะ'	=>	'005000',
		'วาห'	=>	'0040',
		'วาหน'	=>	'00500',
		'วาหิ'	=>	'00500',
		'วิ'	=>	'100',
		'วิกล'	=>	'00500',
		'วิกส'	=>	'00500',
		'วิคห'	=>	'00500',
		'วิจุ'	=>	'00500',
		'วิดี'	=>	'00500',
		'วิตก'	=>	'00500',
		'วิตร'	=>	'00500',
		'วิตี'	=>	'00500',
		'วิถี'	=>	'00500',
		'วิท'	=>	'3000',
		'วิทิ'	=>	'00500',
		'วิธุ'	=>	'00500',
		'วิธู'	=>	'00500',
		'วิปก'	=>	'00500',
		'วิปฏ'	=>	'00500',
		'วิปล'	=>	'00500',
		'วิปว'	=>	'00500',
		'วิภู'	=>	'00005',
		'วิมล'	=>	'00500',
		'วิรง'	=>	'00500',
		'วิวร'	=>	'00500',
		'วิศร'	=>	'00500',
		'วิศุ'	=>	'00500',
		'วิษุ'	=>	'00500',
		'วิสร'	=>	'00500',
		'วิสฤ'	=>	'00500',
		'วิเล'	=>	'00005',
		'วีคู'	=>	'00500',
		'วีชน'	=>	'00500',
		'วีดิ'	=>	'00500',
		'วุ'	=>	'100',
		'วเ'	=>	'010',
		'วแ'	=>	'010',
		'วโ'	=>	'010',
		'ว่ห้'	=>	'00500',
		'ว้ชื'	=>	'00500',
		'ว้ทุ'	=>	'00500',
		'ว้ลา'	=>	'00500',
		'ว์ลิ'	=>	'00500',
		'ศจ'	=>	'010',
		'ศนอุ'	=>	'00500',
		'ศพิ'	=>	'0004',
		'ศรี'	=>	'3000',
		'ศวร'	=>	'0200',
		'ศษซ้'	=>	'00500',
		'ศษเก'	=>	'00500',
		'ศษเห'	=>	'00500',
		'ศั'	=>	'100',
		'ศักร'	=>	'00050',
		'ศา'	=>	'102',
		'ศากา'	=>	'00500',
		'ศาขบ'	=>	'00500',
		'ศานุ'	=>	'00500',
		'ศาภิ'	=>	'00500',
		'ศารย'	=>	'00500',
		'ศารั'	=>	'00500',
		'ศาริ'	=>	'00500',
		'ศาลา'	=>	'00500',
		'ศิ'	=>	'100',
		'ศิรพ'	=>	'00500',
		'ศิรว'	=>	'00500',
		'ศิศี'	=>	'00500',
		'ศึ'	=>	'100',
		'ศุกล'	=>	'00500',
		'ศูลิ'	=>	'00500',
		'ศเจร'	=>	'00050',
		'ษฎา'	=>	'0300',
		'ษฐภค'	=>	'00500',
		'ษมณี'	=>	'05000',
		'ษมา'	=>	'0400',
		'ษั'	=>	'100',
		'ษา'	=>	'100',
		'ษาคเ'	=>	'00500',
		'ษิ'	=>	'100',
		'ษ์พย'	=>	'00500',
		'สกลิ'	=>	'00500',
		'สกลึ'	=>	'00500',
		'สกวั'	=>	'00500',
		'สกวา'	=>	'00500',
		'สกา'	=>	'0400',
		'สกุ'	=>	'4400',
		'สขบุ'	=>	'00500',
		'สงขล'	=>	'00500',
		'สซ'	=>	'010',
		'สดิก'	=>	'05000',
		'สดิน'	=>	'05000',
		'สดิภ'	=>	'05000',
		'สดิม'	=>	'05000',
		'สตทิ'	=>	'00500',
		'สตรา'	=>	'03000',
		'สต์'	=>	'2000',
		'สถวี'	=>	'00500',
		'สถ์'	=>	'4000',
		'สนธย'	=>	'00500',
		'สนธิ'	=>	'00500',
		'สนียะ'	=>	'050000',
		'สนุ'	=>	'0400',
		'สนูป'	=>	'00005',
		'สปา'	=>	'0400',
		'สพติ'	=>	'00500',
		'สม'	=>	'020',
		'สมดุ'	=>	'00500',
		'สมบ'	=>	'3000',
		'สมผส'	=>	'00500',
		'สมผุ'	=>	'00500',
		'สมผเ'	=>	'00500',
		'สมยอ'	=>	'00500',
		'สมฤด'	=>	'00500',
		'สมฤต'	=>	'00500',
		'สมหว'	=>	'00500',
		'สมัท'	=>	'05000',
		'สมัน'	=>	'05000',
		'สมุ'	=>	'0004',
		'สรรช'	=>	'00050',
		'สรลอ'	=>	'00500',
		'สลบร'	=>	'00500',
		'สวก'	=>	'0040',
		'สวยม'	=>	'00500',
		'สวร'	=>	'0400',
		'สวริ'	=>	'00500',
		'สวา'	=>	'0400',
		'สวิ'	=>	'4000',
		'สส'	=>	'010',
		'สหกร'	=>	'00500',
		'สหกา'	=>	'00500',
		'สหชา'	=>	'00500',
		'สหธร'	=>	'00500',
		'สหปร'	=>	'00500',
		'สหพั'	=>	'00500',
		'สหภา'	=>	'00500',
		'สหรา'	=>	'00500',
		'สหศึ'	=>	'00500',
		'สอพล'	=>	'00500',
		'สอพอ'	=>	'00500',
		'สะใภ'	=>	'00500',
		'สั'	=>	'100',
		'สัญประ'	=>	'0000005',
		'สันถ'	=>	'00030',
		'สัม'	=>	'0003',
		'สา'	=>	'100',
		'สาคเ'	=>	'00500',
		'สาธ'	=>	'4000',
		'สานึ'	=>	'00500',
		'สามน'	=>	'00500',
		'สามี'	=>	'00500',
		'สาวพ'	=>	'00500',
		'สำออ'	=>	'00500',
		'สำโร'	=>	'00500',
		'สิ'	=>	'100',
		'สิถิ'	=>	'00500',
		'สีข้'	=>	'00500',
		'สีชอ'	=>	'00500',
		'สีดว'	=>	'00500',
		'สีตล'	=>	'00500',
		'สีตโ'	=>	'00500',
		'สีถ่'	=>	'00500',
		'สีผึ'	=>	'00500',
		'สีฝุ'	=>	'00500',
		'สีละ'	=>	'00500',
		'สีลั'	=>	'00500',
		'สีวล'	=>	'00500',
		'สุ'	=>	'100',
		'สุกร'	=>	'00500',
		'สุกำ'	=>	'00500',
		'สุกี'	=>	'00500',
		'สุขิ'	=>	'00500',
		'สุขุ'	=>	'00500',
		'สุคต'	=>	'00500',
		'สุคร'	=>	'00500',
		'สุนี'	=>	'00500',
		'สุบร'	=>	'00500',
		'สุบิ'	=>	'00500',
		'สุปร'	=>	'00500',
		'สุมน'	=>	'00500',
		'สุสง'	=>	'00500',
		'สุไห'	=>	'00500',
		'สุ์'	=>	'2000',
		'สู'	=>	'100',
		'สเ'	=>	'010',
		'สเฟ'	=>	'0400',
		'สโ'	=>	'010',
		'สโก'	=>	'0400',
		'สโค'	=>	'0400',
		'ส่ว'	=>	'3000',
		'ส่ไค'	=>	'00500',
		'ส้กร'	=>	'00500',
		'ส้ติ'	=>	'00500',
		'ส้ไก'	=>	'00500',
		'ส์'	=>	'200',
		'ส์หย'	=>	'00500',
		'ห'	=>	'02',
		'หก'	=>	'210',
		'หกระ'	=>	'00500',
		'หกล้'	=>	'00500',
		'หการ'	=>	'50000',
		'หงส'	=>	'0040',
		'หงสา'	=>	'00500',
		'หฤหร'	=>	'00500',
		'หฤโห'	=>	'00500',
		'หลสะ'	=>	'00500',
		'หอคอ'	=>	'00500',
		'หอสม'	=>	'00500',
		'หั'	=>	'100',
		'หากฐ'	=>	'00500',
		'หาบพ'	=>	'00500',
		'หาปณ'	=>	'00500',
		'หาพร'	=>	'00500',
		'หารื'	=>	'00500',
		'หาฤก'	=>	'00500',
		'หิรก'	=>	'00500',
		'หิศว'	=>	'00500',
		'หุคู'	=>	'00500',
		'หูกร'	=>	'00500',
		'หูกว'	=>	'00500',
		'หูหน'	=>	'00500',
		'ห้ท่'	=>	'00500',
		'ห้ท้'	=>	'00500',
		'ห้ร้'	=>	'00500',
		'ห์'	=>	'200',
		'ห์กร'	=>	'00500',
		'ห์สน'	=>	'00500',
		'ฬวรา'	=>	'00500',
		'ฬหบู'	=>	'00500',
		'ฬา'	=>	'100',
		'ฬามณ'	=>	'00500',
		'ฬารึ'	=>	'00500',
		'อกซอ'	=>	'00500',
		'อกถล'	=>	'00500',
		'อกรณ'	=>	'00500',
		'อกรี'	=>	'00500',
		'อกรู'	=>	'00500',
		'อกร่'	=>	'00500',
		'อกฤท'	=>	'00500',
		'อกลว'	=>	'00500',
		'อกลอ'	=>	'00500',
		'อกลา'	=>	'00500',
		'อกล่'	=>	'00500',
		'อกว่'	=>	'00500',
		'อกใบ'	=>	'00500',
		'อคที'	=>	'00500',
		'อฆสง'	=>	'00500',
		'องคม'	=>	'00400',
		'องถิ'	=>	'00500',
		'องบร'	=>	'00500',
		'องบิ'	=>	'00500',
		'องฟอ'	=>	'00500',
		'องฟุ'	=>	'00500',
		'องระ'	=>	'00500',
		'องอุ'	=>	'00500',
		'องอ้'	=>	'00500',
		'อดถอ'	=>	'00500',
		'อดน่'	=>	'00500',
		'อดฝา'	=>	'00500',
		'อดยอ'	=>	'00500',
		'อดรั'	=>	'00500',
		'อดอย'	=>	'00500',
		'อดออ'	=>	'00500',
		'อดอุ'	=>	'00500',
		'อดอ้'	=>	'00500',
		'อดิ'	=>	'0300',
		'อตดอ'	=>	'00500',
		'อตด็'	=>	'00500',
		'อตไว'	=>	'00500',
		'อท'	=>	'010',
		'อทค'	=>	'0400',
		'อทคอ'	=>	'00500',
		'อนง้'	=>	'00500',
		'อนดร'	=>	'00500',
		'อนทำ'	=>	'00500',
		'อนผั'	=>	'00500',
		'อนฝู'	=>	'00500',
		'อนฟิ'	=>	'00500',
		'อนย้'	=>	'00500',
		'อนา'	=>	'0400',
		'อนุ'	=>	'0401',
		'อบช้'	=>	'00500',
		'อบถา'	=>	'00500',
		'อบบี'	=>	'00500',
		'อบอ'	=>	'0030',
		'อบไล'	=>	'00500',
		'อปคอ'	=>	'00500',
		'อปติ'	=>	'00500',
		'อปพร'	=>	'00500',
		'อปพล'	=>	'00500',
		'อปร'	=>	'0040',
		'อปวา'	=>	'00500',
		'อปโล'	=>	'00500',
		'อพริ'	=>	'00500',
		'อฟฟิ'	=>	'00500',
		'อฟฟี'	=>	'00500',
		'อฟริ'	=>	'00500',
		'อฟไล'	=>	'00500',
		'อภั'	=>	'0400',
		'อมฎอ'	=>	'00500',
		'อมดอ'	=>	'00500',
		'อมถอ'	=>	'00500',
		'อมยิ'	=>	'00500',
		'อมรา'	=>	'00500',
		'อมร่'	=>	'00500',
		'อมฤต'	=>	'00500',
		'อมหล'	=>	'00500',
		'อมหว'	=>	'00500',
		'อมห้'	=>	'00500',
		'อมอน'	=>	'05000',
		'อยกอ'	=>	'00500',
		'อยก๋'	=>	'00500',
		'อยนว'	=>	'00500',
		'อยร่'	=>	'00500',
		'อยร้'	=>	'00500',
		'อยอิ'	=>	'00500',
		'อยา'	=>	'0400',
		'อยได'	=>	'00500',
		'อรชุ'	=>	'00500',
		'อรมน'	=>	'00500',
		'อรอ'	=>	'0300',
		'อรั'	=>	'0100',
		'อรา'	=>	'0300',
		'อริ'	=>	'0100',
		'อรี'	=>	'0100',
		'อร้'	=>	'0300',
		'อร์'	=>	'0001',
		'อลจี'	=>	'00500',
		'อลนี'	=>	'00500',
		'อลฟ่'	=>	'00500',
		'อลหม'	=>	'00500',
		'อลั'	=>	'0300',
		'อลิ'	=>	'0100',
		'อวรุ'	=>	'00500',
		'อศกร'	=>	'00500',
		'อษฐช'	=>	'00500',
		'อษฐภ'	=>	'00500',
		'อสกา'	=>	'00500',
		'อสติ'	=>	'00500',
		'อสตู'	=>	'00500',
		'อสนี'	=>	'00500',
		'อสพล'	=>	'00500',
		'อสฟอ'	=>	'00500',
		'อสมิ'	=>	'00500',
		'อสเฟ'	=>	'00500',
		'อสแอ'	=>	'00500',
		'อสไพ'	=>	'00500',
		'อห'	=>	'010',
		'อออว'	=>	'00500',
		'อะธี'	=>	'00500',
		'อั'	=>	'100',
		'อา'	=>	'100',
		'อาคเ'	=>	'00550',
		'อาฏา'	=>	'00500',
		'อาณั'	=>	'00500',
		'อาดุ'	=>	'00500',
		'อาดู'	=>	'00500',
		'อาต'	=>	'0020',
		'อาถร'	=>	'00500',
		'อานน'	=>	'00500',
		'อาปณ'	=>	'00500',
		'อามล'	=>	'00500',
		'อายต'	=>	'00550',
		'อารด'	=>	'00500',
		'อารต'	=>	'00500',
		'อารบ'	=>	'00500',
		'อารย'	=>	'00300',
		'อาลป'	=>	'00500',
		'อาวร'	=>	'00500',
		'อาวี'	=>	'00500',
		'อาสว'	=>	'00500',
		'อำยว'	=>	'00500',
		'อำอว'	=>	'00500',
		'อิชย'	=>	'00500',
		'อิดะ'	=>	'00500',
		'อิระ'	=>	'00500',
		'อิศว'	=>	'00500',
		'อีจู'	=>	'00500',
		'อีซู'	=>	'00500',
		'อียิ'	=>	'00500',
		'อีรุ'	=>	'00500',
		'อีลุ'	=>	'00500',
		'อีศว'	=>	'00500',
		'อีหร'	=>	'00500',
		'อุกฤ'	=>	'00500',
		'อุกล'	=>	'00500',
		'อุคร'	=>	'00500',
		'อุดม'	=>	'00500',
		'อุดร'	=>	'00500',
		'อุด้'	=>	'00500',
		'อุตรา'	=>	'003000',
		'อุตุ'	=>	'00500',
		'อุทร'	=>	'00500',
		'อุทิ'	=>	'00500',
		'อุทุ'	=>	'00500',
		'อุธั'	=>	'00500',
		'อุบล'	=>	'00500',
		'อุบ๊'	=>	'00500',
		'อุมง'	=>	'00500',
		'อุรพ'	=>	'00500',
		'อุลก'	=>	'00500',
		'อุแว'	=>	'00500',
		'อูคู'	=>	'00500',
		'อูรา'	=>	'00500',
		'อูลา'	=>	'00500',
		'อเ'	=>	'010',
		'อเปร'	=>	'00050',
		'อเสก'	=>	'00005',
		'อเสข'	=>	'00050',
		'อเหต'	=>	'00050',
		'อแ'	=>	'010',
		'อโ'	=>	'010',
		'อโร'	=>	'0003',
		'อไ'	=>	'010',
		'อ่อ'	=>	'3000',
		'อ่อว'	=>	'00500',
		'อ่อ่'	=>	'00500',
		'อ่โถ'	=>	'00500',
		'อ้อว'	=>	'00500',
		'อ้โถ'	=>	'00500',
		'อ้โล'	=>	'00500',
		'ฮกฮา'	=>	'00500',
		'ฮกฮื'	=>	'00500',
		'ฮนรี'	=>	'00500',
		'ฮฟวี'	=>	'00500',
		'ฮลดิ'	=>	'00500',
		'ฮอล'	=>	'3000',
		'ฮานอ'	=>	'00500',
		'ฮาป่'	=>	'00500',
		'ฮาร่'	=>	'00500',
		'ฮิบร'	=>	'00500',
		'ฮีบร'	=>	'00500',
		'ฮื้'	=>	'3000',
		'ฮูลา'	=>	'00500',
		'ฮูล่'	=>	'00500',
		'ฮเ'	=>	'010',
		'ฮ่กึ'	=>	'00500',
		'ะก'	=>	'010',
		'ะข'	=>	'010',
		'ะค'	=>	'010',
		'ะง'	=>	'010',
		'ะจ'	=>	'010',
		'ะฉ'	=>	'010',
		'ะช'	=>	'010',
		'ะซ'	=>	'010',
		'ะด'	=>	'010',
		'ะต'	=>	'010',
		'ะตะ'	=>	'0004',
		'ะท'	=>	'010',
		'ะน'	=>	'010',
		'ะบ'	=>	'010',
		'ะป'	=>	'010',
		'ะผี'	=>	'0004',
		'ะพ'	=>	'010',
		'ะม'	=>	'010',
		'ะย'	=>	'010',
		'ะร'	=>	'010',
		'ะล'	=>	'010',
		'ะว'	=>	'010',
		'ะส'	=>	'010',
		'ะห'	=>	'010',
		'ะอ'	=>	'010',
		'ะเ'	=>	'010',
		'ะแ'	=>	'010',
		'ะโ'	=>	'010',
		'ะไ'	=>	'010',
		'ั'	=>	'02',
		'ักง่'	=>	'00500',
		'ักซ้'	=>	'00500',
		'ักตบ'	=>	'00500',
		'ักผ่'	=>	'00500',
		'ักฝ่'	=>	'00500',
		'ักยอ'	=>	'00500',
		'ักยิ'	=>	'00500',
		'ักรั'	=>	'00500',
		'ักร้'	=>	'00500',
		'ักล'	=>	'0030',
		'ักวิ'	=>	'00500',
		'ักษร'	=>	'00500',
		'ักอิ'	=>	'00500',
		'ักอี'	=>	'00500',
		'ักอ่'	=>	'00500',
		'ักใค'	=>	'00500',
		'ักใฝ'	=>	'00500',
		'ัคฆิ'	=>	'00500',
		'ัคซี'	=>	'00500',
		'ัคสถ'	=>	'00500',
		'ังถึ'	=>	'00500',
		'ังศุ'	=>	'00500',
		'ังสว'	=>	'00450',
		'ังอว'	=>	'00500',
		'ังอุ'	=>	'00500',
		'ังฮี'	=>	'00500',
		'ัจกล'	=>	'00500',
		'ัจญะ'	=>	'00500',
		'ัจถร'	=>	'00500',
		'ัจนึ'	=>	'00500',
		'ัจโจ'	=>	'00500',
		'ัชฎา'	=>	'00500',
		'ัชนี'	=>	'00500',
		'ัชพย'	=>	'00500',
		'ัชพื'	=>	'00500',
		'ัชรา'	=>	'00500',
		'ัชริ'	=>	'00500',
		'ัชสม'	=>	'00500',
		'ัชเร'	=>	'00500',
		'ัชแพ'	=>	'00500',
		'ัชโญ'	=>	'00500',
		'ัญ'	=>	'001',
		'ัฏทุ'	=>	'00500',
		'ัฏสง'	=>	'00500',
		'ัฐทิ'	=>	'00500',
		'ัฐบร'	=>	'00500',
		'ัฐสภ'	=>	'00500',
		'ัฐเค'	=>	'00500',
		'ัณฏก'	=>	'00500',
		'ัณฐ'	=>	'0030',
		'ัณยก'	=>	'00500',
		'ัณเฑ'	=>	'00500',
		'ัณโร'	=>	'00500',
		'ัด'	=>	'001',
		'ัตดึ'	=>	'00500',
		'ัตถล'	=>	'00500',
		'ัตถั'	=>	'00500',
		'ัตถิ'	=>	'00500',
		'ัตมณ'	=>	'00500',
		'ัตมห'	=>	'00500',
		'ัตรา'	=>	'00500',
		'ัตรี'	=>	'00500',
		'ัตฤก'	=>	'00500',
		'ัตลั'	=>	'00500',
		'ัตหล'	=>	'00500',
		'ัตหี'	=>	'00500',
		'ัทคี'	=>	'00500',
		'ัททว'	=>	'00500',
		'ัทธน'	=>	'00500',
		'ัทธิ'	=>	'00500',
		'ัทรา'	=>	'00500',
		'ัทลี'	=>	'00500',
		'ัทลุ'	=>	'00500',
		'ัธยม'	=>	'00500',
		'ันฉ่'	=>	'00500',
		'ันต'	=>	'0020',
		'ันตภ'	=>	'00500',
		'ันตะ'	=>	'00500',
		'ันตั'	=>	'00500',
		'ันตา'	=>	'00500',
		'ันถธ'	=>	'00500',
		'ันทึ'	=>	'00500',
		'ันทุ'	=>	'00500',
		'ันท่'	=>	'00500',
		'ันธ'	=>	'0040',
		'ันธา'	=>	'00500',
		'ันธิ'	=>	'00500',
		'ันผว'	=>	'00500',
		'ันฝร'	=>	'00500',
		'ันฝ่'	=>	'00500',
		'ันภิ'	=>	'00500',
		'ันยะ'	=>	'00500',
		'ันย่'	=>	'00500',
		'ับ'	=>	'001',
		'ัปคั'	=>	'00500',
		'ัปผา'	=>	'00500',
		'ัปร'	=>	'0040',
		'ัปลา'	=>	'00500',
		'ัปหง'	=>	'00500',
		'ัปโป'	=>	'00500',
		'ัปโห'	=>	'00500',
		'ัพยอ'	=>	'00500',
		'ัพยา'	=>	'00500',
		'ัพโพ'	=>	'00500',
		'ัพโห'	=>	'00500',
		'ัฟฟิ'	=>	'00500',
		'ัฟริ'	=>	'00500',
		'ัมช'	=>	'0040',
		'ัมลา'	=>	'00500',
		'ัมหม'	=>	'00500',
		'ัยมร'	=>	'00500',
		'ัยรุ'	=>	'00500',
		'ัลดี'	=>	'00500',
		'ัลปน'	=>	'00500',
		'ัลปพ'	=>	'00500',
		'ัลปิ'	=>	'00500',
		'ัลฟิ'	=>	'00500',
		'ัลมุ'	=>	'00500',
		'ัลออ'	=>	'00500',
		'ัลไซ'	=>	'00500',
		'ัลไฟ'	=>	'00500',
		'ัว'	=>	'001',
		'ัศนี'	=>	'00500',
		'ัศมี'	=>	'00500',
		'ัศเจ'	=>	'00500',
		'ัศไน'	=>	'00500',
		'ัสกา'	=>	'00500',
		'ัสดง'	=>	'00500',
		'ัสดน'	=>	'00500',
		'ัสดี'	=>	'00500',
		'ัสติ'	=>	'00500',
		'ัสถา'	=>	'00500',
		'ัสปู'	=>	'00500',
		'ัสมั'	=>	'00500',
		'ัสมิ'	=>	'00500',
		'ัสยิ'	=>	'00500',
		'ัสรั'	=>	'00500',
		'ัสลิ'	=>	'00500',
		'ัสวด'	=>	'00500',
		'ัสวร'	=>	'00500',
		'ากถา'	=>	'00500',
		'ากฝร'	=>	'00500',
		'ากฝั'	=>	'00500',
		'ากร'	=>	'0100',
		'ากรร'	=>	'05000',
		'ากรุ'	=>	'00500',
		'ากอ'	=>	'0300',
		'ากฮอ'	=>	'00500',
		'ากี'	=>	'0300',
		'าข'	=>	'010',
		'าขบ'	=>	'0400',
		'าขบู'	=>	'00500',
		'าค'	=>	'010',
		'าคจ'	=>	'0400',
		'าคท'	=>	'0400',
		'าคบ'	=>	'0400',
		'าคป'	=>	'0400',
		'าคปร'	=>	'00500',
		'าคพ'	=>	'0400',
		'าคพื'	=>	'00500',
		'าคภ'	=>	'0400',
		'าครี'	=>	'05000',
		'างบำ'	=>	'00500',
		'างฝี'	=>	'00500',
		'างฟิ'	=>	'00500',
		'างออ'	=>	'00500',
		'างอิ'	=>	'00500',
		'าจ'	=>	'010',
		'าจญ'	=>	'0400',
		'าจห'	=>	'0400',
		'าจหา'	=>	'00500',
		'าจอ'	=>	'0400',
		'าจเ'	=>	'0400',
		'าชกร'	=>	'00500',
		'าชคร'	=>	'00500',
		'าชคฤ'	=>	'00500',
		'าชทิ'	=>	'00500',
		'าชนะ'	=>	'05000',
		'าชนี'	=>	'00500',
		'าชปะ'	=>	'00500',
		'าชลั'	=>	'00500',
		'าชวโ'	=>	'00500',
		'าชสก'	=>	'00500',
		'าชสี'	=>	'00500',
		'าชอง'	=>	'00500',
		'าชิ'	=>	'0100',
		'าชี'	=>	'0300',
		'าชเป'	=>	'00500',
		'าชเล'	=>	'00500',
		'าชโอ'	=>	'00500',
		'าซ'	=>	'010',
		'าญรอ'	=>	'00500',
		'าฏกะ'	=>	'05000',
		'าฏดน'	=>	'00500',
		'าฏลิ'	=>	'05000',
		'าฏลี'	=>	'00500',
		'าฏิ'	=>	'0300',
		'าฐกถ'	=>	'00500',
		'าณคด'	=>	'00500',
		'าณสถ'	=>	'00500',
		'าดผว'	=>	'00500',
		'าดอ'	=>	'0300',
		'าดิ'	=>	'0300',
		'าดไท'	=>	'00500',
		'าดไห'	=>	'00500',
		'าต'	=>	'010',
		'าตญ'	=>	'0400',
		'าตภ'	=>	'0400',
		'าตว'	=>	'0040',
		'าท'	=>	'010',
		'าทธ'	=>	'0400',
		'าทน'	=>	'0400',
		'าทนะ'	=>	'05000',
		'าทบง'	=>	'00500',
		'าทบร'	=>	'00500',
		'าทสก'	=>	'00500',
		'าทหล'	=>	'00500',
		'าท์'	=>	'0400',
		'าธ'	=>	'010',
		'าธน'	=>	'0400',
		'าธย'	=>	'0200',
		'าธยม'	=>	'00500',
		'านญ่'	=>	'00500',
		'านผู'	=>	'00500',
		'านรว'	=>	'00500',
		'านรั'	=>	'00500',
		'านฤด'	=>	'00500',
		'านอว'	=>	'00500',
		'านุ'	=>	'0001',
		'าบจ้'	=>	'00500',
		'าบฉว'	=>	'00500',
		'าบช้'	=>	'00500',
		'าบซึ'	=>	'00500',
		'าบพ'	=>	'0040',
		'าบรื'	=>	'00500',
		'าบละ'	=>	'00500',
		'าบิ'	=>	'0300',
		'าปสร'	=>	'00500',
		'าปส่'	=>	'00500',
		'าปแช'	=>	'00500',
		'าพถ่'	=>	'00500',
		'าพยน'	=>	'00500',
		'าพรั'	=>	'00500',
		'าพลว'	=>	'00500',
		'าฟต้'	=>	'00500',
		'าฟริ'	=>	'00500',
		'าฟิ'	=>	'0300',
		'าภ'	=>	'010',
		'าภป'	=>	'0400',
		'าภล'	=>	'0400',
		'าภลอ'	=>	'00500',
		'ามง่'	=>	'00500',
		'ามน'	=>	'0044',
		'ามสก'	=>	'00500',
		'ามห'	=>	'0020',
		'ามหม'	=>	'00500',
		'ามหล'	=>	'00500',
		'ามหา'	=>	'00500',
		'ายกล'	=>	'00500',
		'ายกอ'	=>	'00500',
		'ายขว'	=>	'00500',
		'ายข้'	=>	'00500',
		'ายชน'	=>	'00500',
		'ายดิ'	=>	'00500',
		'ายด้'	=>	'00500',
		'ายตน'	=>	'05000',
		'ายนธ'	=>	'05000',
		'ายนม'	=>	'05000',
		'ายนอ'	=>	'00500',
		'ายนเ'	=>	'05000',
		'ายบร'	=>	'00500',
		'ายผอ'	=>	'00500',
		'ายฝั'	=>	'00500',
		'ายมุ'	=>	'00500',
		'ายม่'	=>	'00500',
		'ายรุ'	=>	'00500',
		'ายร้'	=>	'00500',
		'ายลั'	=>	'00500',
		'ายล่'	=>	'00500',
		'ายวอ'	=>	'00500',
		'ายอำ'	=>	'00500',
		'ายิ'	=>	'0300',
		'ายไห'	=>	'00500',
		'ารกำ'	=>	'00500',
		'ารค'	=>	'0030',
		'ารชุ'	=>	'00500',
		'ารณู'	=>	'00500',
		'ารตร'	=>	'00500',
		'ารทะ'	=>	'05000',
		'ารธุ'	=>	'00500',
		'ารบั'	=>	'00500',
		'ารผจ'	=>	'00500',
		'ารพร'	=>	'00500',
		'ารภย'	=>	'05000',
		'ารม'	=>	'0100',
		'ารรา'	=>	'00500',
		'ารละ'	=>	'00500',
		'ารวด'	=>	'00500',
		'ารว่'	=>	'00500',
		'ารหน'	=>	'00500',
		'าระ'	=>	'0100',
		'ารั'	=>	'0100',
		'ารา'	=>	'0100',
		'าริ'	=>	'0100',
		'าริก'	=>	'05000',
		'าริยะ'	=>	'050000',
		'ารี'	=>	'0300',
		'ารุ'	=>	'0100',
		'าล'	=>	'010',
		'าลก'	=>	'0400',
		'าลค'	=>	'0400',
		'าลจ'	=>	'0400',
		'าลฎี'	=>	'00500',
		'าลด'	=>	'0400',
		'าลดี'	=>	'00500',
		'าลทห'	=>	'00500',
		'าลป'	=>	'0400',
		'าลปก'	=>	'00500',
		'าลพร'	=>	'00500',
		'าลว'	=>	'0400',
		'าลส'	=>	'0400',
		'าลอุ'	=>	'00500',
		'าลโ'	=>	'0400',
		'าล์'	=>	'0400',
		'าวก่'	=>	'00500',
		'าวข้'	=>	'00500',
		'าวดี'	=>	'03000',
		'าวดึ'	=>	'00500',
		'าวนี'	=>	'00500',
		'าวบอ'	=>	'00500',
		'าวยอ'	=>	'00500',
		'าวยื'	=>	'00500',
		'าวรณ'	=>	'05000',
		'าวรภ'	=>	'00500',
		'าวรา'	=>	'00500',
		'าวรี'	=>	'05500',
		'าวรุ'	=>	'00500',
		'าวร้'	=>	'00500',
		'าวฤก'	=>	'00500',
		'าวอน'	=>	'05000',
		'าศนี'	=>	'00500',
		'าศร'	=>	'0300',
		'าศเล'	=>	'00500',
		'าษดื'	=>	'00500',
		'าษตร'	=>	'00500',
		'าษรา'	=>	'00500',
		'าษแก'	=>	'00500',
		'าสกา'	=>	'00500',
		'าสด้'	=>	'00500',
		'าสต้'	=>	'00500',
		'าสนี'	=>	'00500',
		'าสปอ'	=>	'00500',
		'าสมห'	=>	'00500',
		'าห'	=>	'010',
		'าหก'	=>	'0030',
		'าหมง'	=>	'00500',
		'าฬโร'	=>	'00500',
		'าอ'	=>	'010',
		'าอนา'	=>	'00004',
		'าฮ'	=>	'010',
		'าเ'	=>	'010',
		'าเมศ'	=>	'00050',
		'าแ'	=>	'010',
		'าโ'	=>	'010',
		'าไ'	=>	'010',
		'ำก'	=>	'010',
		'ำค'	=>	'010',
		'ำทว'	=>	'0040',
		'ำน'	=>	'010',
		'ำบ'	=>	'010',
		'ำป'	=>	'010',
		'ำพ'	=>	'010',
		'ำม'	=>	'010',
		'ำมรง'	=>	'00500',
		'ำมลา'	=>	'00500',
		'ำร'	=>	'010',
		'ำล'	=>	'010',
		'ำส'	=>	'010',
		'ำห'	=>	'010',
		'ำเ'	=>	'010',
		'ำแ'	=>	'010',
		'ิกซี'	=>	'00500',
		'ิกถอ'	=>	'00500',
		'ิกร'	=>	'0100',
		'ิกร้'	=>	'00500',
		'ิกฤ'	=>	'0300',
		'ิกล้'	=>	'00500',
		'ิกวา'	=>	'00500',
		'ิกษุ'	=>	'00500',
		'ิกิส'	=>	'00050',
		'ิข'	=>	'010',
		'ิขส'	=>	'0400',
		'ิขสิ'	=>	'00500',
		'ิค'	=>	'010',
		'ิคต'	=>	'0400',
		'ิคตอ'	=>	'00500',
		'ิคน'	=>	'0400',
		'ิคหะ'	=>	'04000',
		'ิฆเน'	=>	'00500',
		'ิงชี'	=>	'00500',
		'ิงสต'	=>	'00400',
		'ิงห'	=>	'0040',
		'ิงหา'	=>	'00500',
		'ิงห้'	=>	'00500',
		'ิงอร'	=>	'00500',
		'ิจศี'	=>	'00500',
		'ิชน'	=>	'0040',
		'ิชลิ'	=>	'00500',
		'ิชิ'	=>	'0300',
		'ิชเช'	=>	'00500',
		'ิญหน'	=>	'00500',
		'ิญโญ'	=>	'00500',
		'ิดฉิ'	=>	'00500',
		'ิดนี'	=>	'00500',
		'ิดผน'	=>	'00500',
		'ิดรอ'	=>	'00500',
		'ิดระ'	=>	'00500',
		'ิดลั'	=>	'00500',
		'ิดออ'	=>	'00500',
		'ิดอ่'	=>	'00500',
		'ิตซู'	=>	'00500',
		'ิตถี'	=>	'00500',
		'ิตฟอ'	=>	'00500',
		'ิตลด'	=>	'00500',
		'ิตลา'	=>	'00500',
		'ิตวส'	=>	'00500',
		'ิติ'	=>	'0100',
		'ิตุ'	=>	'0300',
		'ิทธั'	=>	'00500',
		'ิทสน'	=>	'00500',
		'ิธี'	=>	'0300',
		'ินงอ'	=>	'00500',
		'ินฟร'	=>	'00500',
		'ินยว'	=>	'00500',
		'ินยอ'	=>	'00500',
		'ินย้'	=>	'00500',
		'ินระ'	=>	'00500',
		'ินริ'	=>	'00500',
		'ินร้'	=>	'00500',
		'ินอบ'	=>	'05000',
		'ินอิ'	=>	'00500',
		'ินฮุ'	=>	'00500',
		'ินูป'	=>	'00050',
		'ิบบิ'	=>	'00500',
		'ิบผย'	=>	'00500',
		'ิบยื'	=>	'00500',
		'ิบระ'	=>	'00500',
		'ิบรี'	=>	'00500',
		'ิบลั'	=>	'00500',
		'ิบลิ'	=>	'00500',
		'ิบล้'	=>	'00500',
		'ิปก'	=>	'0040',
		'ิปทอ'	=>	'00500',
		'ิปผล'	=>	'00500',
		'ิปร'	=>	'0300',
		'ิปสต'	=>	'00500',
		'ิปฮอ'	=>	'00500',
		'ิปโป'	=>	'00500',
		'ิปโย'	=>	'00500',
		'ิพ'	=>	'010',
		'ิพพ'	=>	'0400',
		'ิพโ'	=>	'0400',
		'ิพโส'	=>	'00500',
		'ิฟฟอ'	=>	'00500',
		'ิภ'	=>	'010',
		'ิมฝี'	=>	'00500',
		'ิมลา'	=>	'00500',
		'ิมุ'	=>	'0100',
		'ิยมิ'	=>	'00500',
		'ิรชร'	=>	'00500',
		'ิรวด'	=>	'00500',
		'ิรั'	=>	'0100',
		'ิรา'	=>	'0100',
		'ิริ'	=>	'0100',
		'ิรุ'	=>	'0100',
		'ิลปิ'	=>	'00500',
		'ิลั'	=>	'0100',
		'ิลา'	=>	'0100',
		'ิลิ'	=>	'0100',
		'ิวซี'	=>	'00500',
		'ิวทร'	=>	'00500',
		'ิวบิ'	=>	'00500',
		'ิวยอ'	=>	'00500',
		'ิวริ'	=>	'00500',
		'ิวลิ'	=>	'00500',
		'ิวลึ'	=>	'00500',
		'ิวออ'	=>	'00500',
		'ิวาส'	=>	'00050',
		'ิศพร'	=>	'00500',
		'ิศร้'	=>	'00500',
		'ิศเล'	=>	'00500',
		'ิศแพ'	=>	'00500',
		'ิษณุ'	=>	'00500',
		'ิษตร'	=>	'00500',
		'ิสกร'	=>	'00500',
		'ิสกี'	=>	'00500',
		'ิสตร'	=>	'05000',
		'ิสติ'	=>	'00500',
		'ิสที'	=>	'00500',
		'ิสนี'	=>	'00500',
		'ิสบอ'	=>	'00500',
		'ิสรา'	=>	'00500',
		'ิสริ'	=>	'00500',
		'ิสลา'	=>	'00500',
		'ิสไซ'	=>	'00500',
		'ิห'	=>	'010',
		'ิหา'	=>	'0004',
		'ิอ'	=>	'010',
		'ิเ'	=>	'010',
		'ิเน'	=>	'0004',
		'ิโ'	=>	'010',
		'ิไ'	=>	'010',
		'ีก'	=>	'010',
		'ีกต'	=>	'0400',
		'ีกย'	=>	'0400',
		'ีกย่'	=>	'00500',
		'ีกริ'	=>	'00500',
		'ีฆสร'	=>	'00500',
		'ีชคณ'	=>	'00500',
		'ีซสถ'	=>	'00500',
		'ีดฆ่'	=>	'00500',
		'ีตกว'	=>	'00500',
		'ีตปฏ'	=>	'00500',
		'ีท'	=>	'010',
		'ีทน'	=>	'0040',
		'ีบรั'	=>	'00500',
		'ีบรุ'	=>	'00500',
		'ีบร้'	=>	'00500',
		'ีป'	=>	'010',
		'ีพ'	=>	'010',
		'ีพจ'	=>	'0400',
		'ียกถ'	=>	'00500',
		'ียรย'	=>	'00500',
		'ียรอ'	=>	'00500',
		'ียระ'	=>	'00500',
		'ียรั'	=>	'00500',
		'ียวน'	=>	'05000',
		'ีรณั'	=>	'00500',
		'ีลจุ'	=>	'00500',
		'ีวั'	=>	'0400',
		'ีวา'	=>	'0004',
		'ีษมา'	=>	'00500',
		'ีหนา'	=>	'00500',
		'ีหน้'	=>	'05000',
		'ีหบั'	=>	'00500',
		'ีหมุ'	=>	'00500',
		'ีหรา'	=>	'00500',
		'ีหล'	=>	'0300',
		'ีหโม'	=>	'00500',
		'ีหไส'	=>	'00500',
		'ีอ'	=>	'010',
		'ีอร'	=>	'0040',
		'ีอา'	=>	'0004',
		'ีเ'	=>	'010',
		'ีแ'	=>	'010',
		'ีโ'	=>	'010',
		'ีไ'	=>	'010',
		'ี่ก่'	=>	'00500',
		'ี่ถ้'	=>	'00500',
		'ี่ปุ'	=>	'00500',
		'ี่ปู'	=>	'00500',
		'ี่ห'	=>	'0030',
		'ี่โค'	=>	'00500',
		'ี่โป'	=>	'00500',
		'ี้กร'	=>	'00500',
		'ี้จ้'	=>	'00500',
		'ี้ตะ'	=>	'00500',
		'ี้ริ'	=>	'00500',
		'ี้ลั'	=>	'00500',
		'ี้ลุ'	=>	'00500',
		'ี๊กร'	=>	'00500',
		'ี๋จ้'	=>	'00500',
		'ี๋อ๋'	=>	'00500',
		'ึกซึ'	=>	'00500',
		'ึกดำ'	=>	'00500',
		'ึกดื'	=>	'00500',
		'ึกยื'	=>	'00500',
		'ึกระ'	=>	'00500',
		'ึกลั'	=>	'00500',
		'ึกล้'	=>	'00500',
		'ึกฮั'	=>	'00500',
		'ึดถื'	=>	'00500',
		'ึดฮั'	=>	'00500',
		'ึนทึ'	=>	'00500',
		'ืดฮา'	=>	'00500',
		'ือกล'	=>	'00500',
		'ือกอ'	=>	'00500',
		'ือกำ'	=>	'00500',
		'ือข่'	=>	'00500',
		'ือจ้'	=>	'00500',
		'ือชื'	=>	'00500',
		'ือดำ'	=>	'00500',
		'ือตร'	=>	'00500',
		'ือถื'	=>	'00500',
		'ือนำ'	=>	'00500',
		'ือบิ'	=>	'00500',
		'ือปล'	=>	'00500',
		'ือปื'	=>	'00500',
		'ือป่'	=>	'00500',
		'ือพว'	=>	'00500',
		'ือพ่'	=>	'00500',
		'ือยน'	=>	'00500',
		'ือยา'	=>	'00500',
		'ือรื'	=>	'00500',
		'ือลา'	=>	'00500',
		'ือล้'	=>	'00500',
		'ือสอ'	=>	'00500',
		'ือสำ'	=>	'00500',
		'ืออี'	=>	'00500',
		'ุกงอ'	=>	'00500',
		'ุกฉก'	=>	'00500',
		'ุกซ่'	=>	'00500',
		'ุกดิ'	=>	'00500',
		'ุกผา'	=>	'00500',
		'ุกรา'	=>	'00500',
		'ุกรุ'	=>	'00500',
		'ุกละ'	=>	'00500',
		'ุกลี'	=>	'00500',
		'ุกล้'	=>	'00500',
		'ุกอี'	=>	'00500',
		'ุกฮื'	=>	'00500',
		'ุขนา'	=>	'00500',
		'ุขปา'	=>	'00500',
		'ุขภั'	=>	'00500',
		'ุขภา'	=>	'00500',
		'ุขลั'	=>	'00500',
		'ุขศา'	=>	'00500',
		'ุขศึ'	=>	'00500',
		'ุขเด'	=>	'00500',
		'ุคทอ'	=>	'00500',
		'ุคน'	=>	'0300',
		'ุงถุ'	=>	'00500',
		'ุจลิ'	=>	'00500',
		'ุจหน'	=>	'00500',
		'ุชรา'	=>	'00500',
		'ุชเช'	=>	'00500',
		'ุญจน'	=>	'00500',
		'ุญฤท'	=>	'00500',
		'ุญแจ'	=>	'00500',
		'ุฎฐั'	=>	'00500',
		'ุฑพ่'	=>	'00500',
		'ุณค่'	=>	'00500',
		'ุณฑก'	=>	'00500',
		'ุณสม'	=>	'00005',
		'ุณหญ'	=>	'00500',
		'ุณหา'	=>	'00500',
		'ุณหิ'	=>	'00500',
		'ุณูป'	=>	'00005',
		'ุดผา'	=>	'00500',
		'ุดผ่'	=>	'00500',
		'ุดลอ'	=>	'00500',
		'ุดลุ'	=>	'00500',
		'ุดอู'	=>	'00500',
		'ุตกว'	=>	'00500',
		'ุตซอ'	=>	'00500',
		'ุตตก'	=>	'00500',
		'ุตระ'	=>	'05000',
		'ุตริ'	=>	'05000',
		'ุตลุ'	=>	'00500',
		'ุทก'	=>	'0300',
		'ุทธั'	=>	'00500',
		'ุทริ'	=>	'05000',
		'ุทลุ'	=>	'00500',
		'ุทโธ'	=>	'00500',
		'ุนทร'	=>	'00500',
		'ุนผล'	=>	'00500',
		'ุนรอ'	=>	'00500',
		'ุบงิ'	=>	'00500',
		'ุบบิ'	=>	'00500',
		'ุบผล'	=>	'00500',
		'ุบยิ'	=>	'00500',
		'ุบอิ'	=>	'00500',
		'ุปกร'	=>	'00500',
		'ุปจา'	=>	'00500',
		'ุปถั'	=>	'00500',
		'ุปทา'	=>	'00500',
		'ุปยุ'	=>	'00500',
		'ุปรา'	=>	'00300',
		'ุปริ'	=>	'05000',
		'ุปส'	=>	'0400',
		'ุปสง'	=>	'00500',
		'ุปสร'	=>	'00500',
		'ุปฮา'	=>	'00500',
		'ุปโภ'	=>	'00500',
		'ุปโล'	=>	'00500',
		'ุพพา'	=>	'00500',
		'ุพภิ'	=>	'00500',
		'ุภชล'	=>	'00500',
		'ุภเค'	=>	'00500',
		'ุมน'	=>	'0040',
		'ุมนุ'	=>	'00500',
		'ุมรุ'	=>	'00500',
		'ุมหย'	=>	'00500',
		'ุยช่'	=>	'00500',
		'ุยฝ้'	=>	'00500',
		'ุร'	=>	'010',
		'ุรข่'	=>	'00500',
		'ุรค'	=>	'0400',
		'ุรฉ'	=>	'0400',
		'ุรช'	=>	'0400',
		'ุรท'	=>	'0400',
		'ุรธ'	=>	'0400',
		'ุรบ'	=>	'0400',
		'ุรพ'	=>	'0400',
		'ุรภ'	=>	'0400',
		'ุรภี'	=>	'05000',
		'ุรย'	=>	'0400',
		'ุรร'	=>	'0400',
		'ุรล'	=>	'0400',
		'ุรว'	=>	'0400',
		'ุรศ'	=>	'0400',
		'ุรส'	=>	'0400',
		'ุรอ'	=>	'0400',
		'ุรแ'	=>	'0400',
		'ุรโ'	=>	'0400',
		'ุลจอ'	=>	'00500',
		'ุลชี'	=>	'00500',
		'ุลธิ'	=>	'00500',
		'ุลมุ'	=>	'00500',
		'ุลสต'	=>	'00500',
		'ุลสแ'	=>	'00500',
		'ุลา'	=>	'0300',
		'ุลิ'	=>	'0300',
		'ุศโล'	=>	'00500',
		'ุษจี'	=>	'00500',
		'ุษฎี'	=>	'00500',
		'ุษปร'	=>	'00500',
		'ุษย'	=>	'0400',
		'ุษรา'	=>	'00500',
		'ุษร้'	=>	'00500',
		'ุษเพ'	=>	'00500',
		'ุสรา'	=>	'00500',
		'ุสละ'	=>	'05000',
		'ุสลิ'	=>	'00500',
		'ุสวา'	=>	'00500',
		'ุห'	=>	'010',
		'ุหกล'	=>	'00500',
		'ุหนา'	=>	'00500',
		'ุหย'	=>	'0400',
		'ุหยา'	=>	'00500',
		'ุหเ'	=>	'0400',
		'ุหเท'	=>	'00500',
		'ุหเส'	=>	'00500',
		'ุหโ'	=>	'0400',
		'ุหโย'	=>	'00500',
		'ุเ'	=>	'010',
		'ุโ'	=>	'010',
		'ุ๊ต๊'	=>	'00500',
		'ูกวั'	=>	'00500',
		'ูช'	=>	'010',
		'ูญหา'	=>	'00500',
		'ูญเป'	=>	'00500',
		'ูญเส'	=>	'00500',
		'ูดบึ'	=>	'00500',
		'ูดรี'	=>	'00500',
		'ูตรู'	=>	'00500',
		'ูธเร'	=>	'00500',
		'ูบไล'	=>	'00500',
		'ูปก'	=>	'0040',
		'ูปฌา'	=>	'00500',
		'ูปถ่'	=>	'00500',
		'ูปทร'	=>	'00500',
		'ูปพร'	=>	'00500',
		'ูปร่'	=>	'00500',
		'ูปแบ'	=>	'00500',
		'ูปโฉ'	=>	'00500',
		'ูฟวี'	=>	'00500',
		'ูม'	=>	'020',
		'ูมิน'	=>	'05000',
		'ูรข่'	=>	'00500',
		'ูรณ'	=>	'0040',
		'ูรณภ'	=>	'05000',
		'ูรณม'	=>	'05000',
		'ูรณะ'	=>	'05000',
		'ูรณาก'	=>	'050000',
		'ูรพ'	=>	'0040',
		'ูรพะ'	=>	'05000',
		'ูรพา'	=>	'05000',
		'ูรม'	=>	'0040',
		'ูลกร'	=>	'00500',
		'ูลค่'	=>	'00500',
		'ูลั'	=>	'0300',
		'ูวไน'	=>	'00500',
		'ูสว'	=>	'0040',
		'ูเ'	=>	'010',
		'ูโ'	=>	'010',
		'ู่'	=>	'001',
		'ู้'	=>	'001',
		'ู๊ตึ'	=>	'00500',
		'ู๋กร'	=>	'00500',
		'ู๋จี'	=>	'00500',
		'ู๋อี'	=>	'00500',
		'เ'	=>	'02',
		'เกยู'	=>	'00500',
		'เกวั'	=>	'00500',
		'เกศว'	=>	'00500',
		'เกอิ'	=>	'00500',
		'เคซอ'	=>	'00500',
		'เคมี'	=>	'00500',
		'เคศว'	=>	'00500',
		'เจดี'	=>	'00500',
		'เจนี'	=>	'00500',
		'เจร'	=>	'0400',
		'เจลิ'	=>	'00500',
		'เจโต'	=>	'00500',
		'เซทิ'	=>	'00500',
		'เซนอ'	=>	'00500',
		'เซรุ'	=>	'00500',
		'เซแค'	=>	'00500',
		'เดบิ'	=>	'00500',
		'เดรั'	=>	'00500',
		'เดลา'	=>	'00500',
		'เดลิ'	=>	'00500',
		'เดลี'	=>	'00500',
		'เตช'	=>	'2000',
		'เตปุ'	=>	'00500',
		'เตมี'	=>	'00500',
		'เตมู'	=>	'00500',
		'เตริ'	=>	'00500',
		'เตลุ'	=>	'00500',
		'เตศว'	=>	'00500',
		'เตหะ'	=>	'00500',
		'เถรา'	=>	'00500',
		'เทกร'	=>	'00500',
		'เทคร'	=>	'00500',
		'เทคว'	=>	'00500',
		'เทโว'	=>	'00500',
		'เทโศ'	=>	'00500',
		'เนต'	=>	'0040',
		'เนติ'	=>	'00500',
		'เนย'	=>	'4000',
		'เนระ'	=>	'00500',
		'เนรั'	=>	'00500',
		'เนส'	=>	'0040',
		'เนสา'	=>	'00500',
		'เนเว'	=>	'00500',
		'เบต้'	=>	'00500',
		'เบบี'	=>	'00500',
		'เบริ'	=>	'00500',
		'เบรุ'	=>	'00500',
		'เบลี'	=>	'00500',
		'เปตอ'	=>	'00500',
		'เปสก'	=>	'00500',
		'เปสล'	=>	'00500',
		'เพชุ'	=>	'00500',
		'เพทุ'	=>	'00500',
		'เพสล'	=>	'00500',
		'เพโท'	=>	'00500',
		'เพไน'	=>	'00500',
		'เฟอี'	=>	'00500',
		'เภตร'	=>	'00500',
		'เภทุ'	=>	'00500',
		'เมฆิ'	=>	'00500',
		'เมดิ'	=>	'00500',
		'เมลา'	=>	'00500',
		'เรกอ'	=>	'00500',
		'เรกะ'	=>	'00500',
		'เรมอ'	=>	'00500',
		'เรรว'	=>	'00500',
		'เรวด'	=>	'00500',
		'เลกร'	=>	'00500',
		'เลคอ'	=>	'00500',
		'เลดี'	=>	'00500',
		'เลวร'	=>	'00500',
		'เลวู'	=>	'00500',
		'เลหล'	=>	'00500',
		'เลฮุ'	=>	'00500',
		'เลิ'	=>	'0004',
		'เวก้'	=>	'00500',
		'เวทิ'	=>	'00500',
		'เวล่'	=>	'00500',
		'เวฬุ'	=>	'00500',
		'เวไน'	=>	'00500',
		'เสฉว'	=>	'00500',
		'เสนีย์'	=>	'0050000',
		'เสรี'	=>	'00500',
		'เสวก'	=>	'00500',
		'เสวน'	=>	'00500',
		'เสแส'	=>	'00500',
		'เหมั'	=>	'00500',
		'เหยง'	=>	'00500',
		'เหระ'	=>	'00500',
		'เหรั'	=>	'00500',
		'เหศว'	=>	'00500',
		'เหศั'	=>	'00500',
		'เหสั'	=>	'00500',
		'เฬวร'	=>	'00500',
		'เอกว'	=>	'00500',
		'เอธิ'	=>	'00500',
		'เอฬก'	=>	'00500',
		'เฮละ'	=>	'00500',
		'เฮลิ'	=>	'00500',
		'เฮโม'	=>	'00500',
		'เฮโร'	=>	'00500',
		'แกวั'	=>	'00500',
		'แครอ'	=>	'00500',
		'แคริ'	=>	'00500',
		'แคลอ'	=>	'00500',
		'แคลิ'	=>	'00500',
		'แคแต'	=>	'00500',
		'แคแส'	=>	'00500',
		'แชบ๊'	=>	'00500',
		'แชเช'	=>	'00500',
		'แซยิ'	=>	'00500',
		'แดรี'	=>	'00500',
		'แตแต'	=>	'00500',
		'แน'	=>	'002',
		'แบค'	=>	'0040',
		'แปร'	=>	'0400',
		'แพท'	=>	'3000',
		'แฟรี'	=>	'00500',
		'แฟ้'	=>	'0400',
		'แม'	=>	'002',
		'แมชี'	=>	'00500',
		'แมรี'	=>	'00500',
		'แมเร'	=>	'00500',
		'แม่'	=>	'0003',
		'แอนะ'	=>	'00500',
		'โกฐ'	=>	'0040',
		'โกลอ'	=>	'00500',
		'โกลา'	=>	'00500',
		'โกลิ'	=>	'00500',
		'โกวา'	=>	'00500',
		'โกวี'	=>	'00500',
		'โกฮา'	=>	'00500',
		'โขทั'	=>	'00500',
		'โขภิ'	=>	'00500',
		'โขเภ'	=>	'00500',
		'โขโล'	=>	'00500',
		'โคตม'	=>	'00500',
		'โคติ'	=>	'00500',
		'โคมู'	=>	'00500',
		'โคม่'	=>	'00500',
		'โคริ'	=>	'00500',
		'โคลอ'	=>	'00500',
		'โคลั'	=>	'00500',
		'โคล่'	=>	'00500',
		'โคออ'	=>	'00500',
		'โคอะ'	=>	'00500',
		'โคแท'	=>	'00500',
		'โคไซ'	=>	'00500',
		'โจปก'	=>	'00500',
		'โฉเบ'	=>	'00500',
		'โชดึ'	=>	'00500',
		'โชห่'	=>	'00500',
		'โซกร'	=>	'00500',
		'โซนี'	=>	'00500',
		'โซฟิ'	=>	'00500',
		'โซยู'	=>	'00500',
		'โซลู'	=>	'00500',
		'โซสเ'	=>	'00500',
		'โญช'	=>	'0040',
		'โญปว'	=>	'00500',
		'โดจี'	=>	'00500',
		'โดนี'	=>	'00500',
		'โดรา'	=>	'00500',
		'โดลิ'	=>	'00500',
		'โตกร'	=>	'00500',
		'โตรอ'	=>	'00500',
		'โตรา'	=>	'00500',
		'โตริ'	=>	'00500',
		'โตลิ'	=>	'00500',
		'โทกร'	=>	'00500',
		'โทคอ'	=>	'00500',
		'โทพล'	=>	'00500',
		'โทรอ'	=>	'00500',
		'โทแอ'	=>	'00500',
		'โธทน'	=>	'00500',
		'โธปก'	=>	'00500',
		'โธปิ'	=>	'00500',
		'โธวน'	=>	'00500',
		'โธเฟ'	=>	'00500',
		'โนทุ'	=>	'00500',
		'โนปจ'	=>	'00500',
		'โนรม'	=>	'00500',
		'โบชุ'	=>	'00500',
		'โบซอ'	=>	'00500',
		'โบต้'	=>	'00500',
		'โบรอ'	=>	'00500',
		'โบรั'	=>	'00500',
		'โบรา'	=>	'00500',
		'โบลิ'	=>	'00500',
		'โบล่'	=>	'00500',
		'โบอิ'	=>	'00500',
		'โบไฮ'	=>	'00500',
		'โปกส'	=>	'00500',
		'โปลิ'	=>	'00500',
		'โปแล'	=>	'00500',
		'โปโป'	=>	'00500',
		'โปโล'	=>	'00500',
		'โพทะ'	=>	'00500',
		'โพระ'	=>	'00500',
		'โพลา'	=>	'00500',
		'โพลิ'	=>	'00500',
		'โพลี'	=>	'00500',
		'โพหา'	=>	'00500',
		'โพแท'	=>	'00500',
		'โพไซ'	=>	'00500',
		'โฟกร'	=>	'00500',
		'โฟนี'	=>	'00500',
		'โภคิ'	=>	'00500',
		'โภไค'	=>	'00500',
		'โมฆี'	=>	'00500',
		'โมดู'	=>	'00500',
		'โมร็'	=>	'00500',
		'โมหา'	=>	'00500',
		'โมฮั'	=>	'00500',
		'โยถิ'	=>	'00500',
		'โรกะ'	=>	'00500',
		'โรคิ'	=>	'00500',
		'โรงั'	=>	'00500',
		'โรชิ'	=>	'00500',
		'โรธนะ'	=>	'005000',
		'โรรา'	=>	'00500',
		'โรล่'	=>	'00500',
		'โรส'	=>	'0004',
		'โรสเ'	=>	'00500',
		'โรหน'	=>	'00500',
		'โรอี'	=>	'00500',
		'โรฮิ'	=>	'00500',
		'โรแม'	=>	'00500',
		'โรไล'	=>	'00500',
		'โลกร'	=>	'00500',
		'โลกี'	=>	'00500',
		'โลจน'	=>	'00500',
		'โลปุ'	=>	'00500',
		'โลมก'	=>	'00500',
		'โลรา'	=>	'00500',
		'โลวะ'	=>	'00500',
		'โลหิ'	=>	'00500',
		'โวนอ'	=>	'00500',
		'โศธน'	=>	'00500',
		'โศภิ'	=>	'00500',
		'โสกร'	=>	'00500',
		'โสติ'	=>	'00500',
		'โสธน'	=>	'00500',
		'โสภิ'	=>	'00500',
		'โสลิ'	=>	'00500',
		'โสวร'	=>	'00500',
		'โสหุ'	=>	'00500',
		'โสโค'	=>	'00500',
		'โหฐา'	=>	'00500',
		'โหรส'	=>	'00500',
		'โหระ'	=>	'00500',
		'โหรา'	=>	'00500',
		'โหสิ'	=>	'00500',
		'โหฬา'	=>	'00500',
		'โอคล'	=>	'00500',
		'โอค็'	=>	'00500',
		'โอดี'	=>	'00500',
		'โอรส'	=>	'00500',
		'โอละ'	=>	'00500',
		'โอสถ'	=>	'00500',
		'โออิ'	=>	'00500',
		'โฮโล'	=>	'00500',
		'ใช้'	=>	'3000',
		'ให'	=>	'100',
		'ไกลา'	=>	'00500',
		'ไกวั'	=>	'00500',
		'ไขข้'	=>	'00500',
		'ไขคว'	=>	'00500',
		'ไขมั'	=>	'00500',
		'ไขสั'	=>	'00500',
		'ไขสื'	=>	'00500',
		'ไคศว'	=>	'00500',
		'ไชน่'	=>	'00500',
		'ไชศว'	=>	'00500',
		'ไซดอ'	=>	'00500',
		'ไซบอ'	=>	'00500',
		'ไซบี'	=>	'00500',
		'ไซปร'	=>	'00500',
		'ไซออ'	=>	'00500',
		'ไดฟุ'	=>	'00500',
		'ไดฟู'	=>	'00500',
		'ไดลิ'	=>	'00500',
		'ไดออ'	=>	'00500',
		'ไทฟอ'	=>	'00500',
		'ไทรอ'	=>	'00500',
		'ไทแท'	=>	'00500',
		'ไปริ'	=>	'00500',
		'ไพชย'	=>	'00500',
		'ไพธอ'	=>	'00500',
		'ไพรั'	=>	'00500',
		'ไพริ'	=>	'00500',
		'ไพลิ'	=>	'00500',
		'ไพหา'	=>	'00500',
		'ไพโร'	=>	'00500',
		'ไพโอ'	=>	'00500',
		'ไฟแช'	=>	'00500',
		'ไฟแน'	=>	'00500',
		'ไภริ'	=>	'00500',
		'ไมถิ'	=>	'00500',
		'ไม้'	=>	'0001',
		'ไลบร'	=>	'00500',
		'ไลบี'	=>	'00500',
		'ไวรั'	=>	'00500',
		'ไวอะ'	=>	'00500',
		'ไหรณ'	=>	'00500',
		'ไหศว'	=>	'00500',
		'ไหหม'	=>	'00500',
		'ไหหล'	=>	'00500',
		'ไอกร'	=>	'00500',
		'ไอซี'	=>	'00500',
		'ไอดอ'	=>	'00500',
		'ไอติ'	=>	'00500',
		'ไอพอ'	=>	'00500',
		'ไอพ็'	=>	'00500',
		'ไอศว'	=>	'00500',
		'ไอศุ'	=>	'00500',
		'ไอศู'	=>	'00500',
		'ไอออ'	=>	'00500',
		'ไฮ'	=>	'001',
		'็กซี'	=>	'00500',
		'็จขบ'	=>	'00500',
		'็จสร'	=>	'00500',
		'็ดลอ'	=>	'00500',
		'็ดอร'	=>	'00500',
		'็ดอึ'	=>	'00500',
		'็นฉ่'	=>	'00500',
		'็นทร'	=>	'00500',
		'็นรอ'	=>	'00500',
		'็นวู'	=>	'00500',
		'็นอย'	=>	'00500',
		'็นอ้'	=>	'00500',
		'็บด้'	=>	'00500',
		'็ปท็'	=>	'00500',
		'็มหม'	=>	'00500',
		'่กลั'	=>	'00500',
		'่ค'	=>	'010',
		'่งริ'	=>	'00500',
		'่งอร'	=>	'00500',
		'่งอำ'	=>	'00500',
		'่งอ่'	=>	'00500',
		'่ฉี'	=>	'0400',
		'่นง่'	=>	'00500',
		'่นฉ่'	=>	'00500',
		'่นทะ'	=>	'00500',
		'่นมื'	=>	'00500',
		'่นย'	=>	'0400',
		'่นยน'	=>	'00500',
		'่นย่'	=>	'00500',
		'่นรม'	=>	'00500',
		'่ม'	=>	'001',
		'่มพว'	=>	'00500',
		'่ยกะ'	=>	'00500',
		'่ยฉุ'	=>	'00500',
		'่ยรา'	=>	'00500',
		'่ยร่'	=>	'00500',
		'่วช้'	=>	'00500',
		'่วถึ'	=>	'00500',
		'่วยว'	=>	'00500',
		'่วไห'	=>	'00500',
		'่อกร'	=>	'00500',
		'่อกว'	=>	'00500',
		'่อกะ'	=>	'00500',
		'่อกี'	=>	'00500',
		'่อก้'	=>	'00500',
		'่อข่'	=>	'00500',
		'่อตร'	=>	'00500',
		'่อตะ'	=>	'00500',
		'่อต้'	=>	'00500',
		'่อถื'	=>	'00500',
		'่อบื'	=>	'00500',
		'่อผส'	=>	'00500',
		'่อมว'	=>	'00500',
		'่อม่'	=>	'00500',
		'่อย'	=>	'0003',
		'่อยอ'	=>	'00500',
		'่อย่'	=>	'00500',
		'่อร่'	=>	'00500',
		'่อล'	=>	'0030',
		'่อว่'	=>	'00500',
		'่อสร'	=>	'00500',
		'่อฮั'	=>	'00500',
		'่อฮ่'	=>	'00500',
		'่ากล'	=>	'00500',
		'่าช้'	=>	'00500',
		'่าดง'	=>	'00500',
		'่าด้'	=>	'00500',
		'่าฝื'	=>	'00500',
		'่าพร'	=>	'00500',
		'่ามง'	=>	'00500',
		'่ารึ'	=>	'00500',
		'่าร้'	=>	'00500',
		'่าว'	=>	'0003',
		'่ำชอ'	=>	'00500',
		'่ำช้'	=>	'00500',
		'่ำต้'	=>	'00500',
		'่ำต๊'	=>	'00500',
		'่ำไห'	=>	'00500',
		'่เ'	=>	'010',
		'่แ'	=>	'010',
		'้กอ้'	=>	'00500',
		'้งถ่'	=>	'00500',
		'้งฝุ'	=>	'00500',
		'้นงู'	=>	'00500',
		'้นฉบ'	=>	'00500',
		'้นฉ่'	=>	'00500',
		'้นทะ'	=>	'00500',
		'้นทุ'	=>	'00500',
		'้นท้'	=>	'00500',
		'้นรุ'	=>	'00500',
		'้นร่'	=>	'00500',
		'้มงว'	=>	'00500',
		'้มฉุ'	=>	'00500',
		'้มน้'	=>	'00500',
		'้มยิ'	=>	'00500',
		'้มละ'	=>	'00500',
		'้มลุ'	=>	'00500',
		'้มอล'	=>	'00500',
		'้ยกล'	=>	'00500',
		'้ยงช'	=>	'00500',
		'้ยล่'	=>	'00500',
		'้ยอ้'	=>	'00500',
		'้ยใบ'	=>	'00500',
		'้วรอ'	=>	'00500',
		'้ห'	=>	'010',
		'้อกร'	=>	'00500',
		'้อกล'	=>	'00500',
		'้อคร'	=>	'00500',
		'้อคู'	=>	'00500',
		'้องอ'	=>	'00500',
		'้อฉี'	=>	'00500',
		'้อดึ'	=>	'00500',
		'้อด้'	=>	'00500',
		'้อต๊'	=>	'00500',
		'้อถอ'	=>	'00500',
		'้อน'	=>	'0003',
		'้อผ้'	=>	'00500',
		'้อฝั'	=>	'00500',
		'้อฟื'	=>	'00500',
		'้อมู'	=>	'00500',
		'้อระ'	=>	'00500',
		'้อร่'	=>	'00500',
		'้ออึ'	=>	'00500',
		'้อฮื'	=>	'00500',
		'้าจอ'	=>	'00500',
		'้าชื'	=>	'00500',
		'้าชู'	=>	'00500',
		'้าช่'	=>	'00500',
		'้าช้'	=>	'00500',
		'้าดี'	=>	'00500',
		'้าถิ'	=>	'00500',
		'้าถึ'	=>	'00500',
		'้าบ่'	=>	'00500',
		'้าบ้'	=>	'00500',
		'้าบ๋'	=>	'00500',
		'้าปี'	=>	'00500',
		'้าผา'	=>	'00500',
		'้าฝร'	=>	'00500',
		'้าพ'	=>	'0030',
		'้ามุ'	=>	'00500',
		'้าว่'	=>	'00500',
		'้าสม'	=>	'00500',
		'้าสร'	=>	'00500',
		'้าสล'	=>	'00500',
		'้ำ'	=>	'001',
		'้เ'	=>	'010',
		'้แ'	=>	'010',
		'๊กซอ'	=>	'00500',
		'๊กริ'	=>	'00500',
		'๊กลุ'	=>	'00500',
		'๊กฮว'	=>	'00500',
		'๊งบ๊'	=>	'00500',
		'๊ปซี'	=>	'00500',
		'๊ยก่'	=>	'00500',
		'๋ยอิ'	=>	'00500',
		'๋อด๋'	=>	'00500',
		'์คสเ'	=>	'00500',
		'์คแล'	=>	'00500',
		'์ตไท'	=>	'00500',
		'์ทไท'	=>	'00500',
		'์บ'	=>	'010',
		'์พ'	=>	'010',
		'์ร'	=>	'010',
		'์เ'	=>	'010',
		'์แ'	=>	'010',
		'์โ'	=>	'010',
		'ะ'	=>	'60',
		'า'	=>	'60',
		'ๅ'	=>	'60',
		'ำ'	=>	'67',
		'ิ'	=>	'60',
		'ี'	=>	'60',
		'ึ'	=>	'60',
		'ื'	=>	'60',
		'ุ'	=>	'60',
		'ู'	=>	'60',
		'แ'	=>	'06',
		'โ'	=>	'06',
		'ไ'	=>	'56',
		'ใ'	=>	'76',
		'็'	=>	'60',
		'่'	=>	'60',
		'้'	=>	'60',
		'๊'	=>	'60',
		'๋'	=>	'60',
		'์'	=>	'60',
		'ํ'	=>	'60',
		'ฺ'	=>	'60',
		'๎'	=>	'60',
		'เข'	=>	'060',
		'เฃ'	=>	'060',
		'เค'	=>	'060',
		'เฅ'	=>	'060',
		'เฆ'	=>	'060',
		'เง'	=>	'060',
		'เจ'	=>	'060',
		'เฉ'	=>	'060',
		'เช'	=>	'060',
		'เซ'	=>	'060',
		'เฌ'	=>	'060',
		'เญ'	=>	'060',
		'เฎ'	=>	'060',
		'เฏ'	=>	'060',
		'เฐ'	=>	'060',
		'เฑ'	=>	'060',
		'เฒ'	=>	'060',
		'เณ'	=>	'060',
		'เด'	=>	'060',
		'เต'	=>	'060',
		'เถ'	=>	'060',
		'เท'	=>	'060',
		'เธ'	=>	'060',
		'เน'	=>	'060',
		'เบ'	=>	'060',
		'เป'	=>	'060',
		'เผ'	=>	'760',
		'เฝ'	=>	'060',
		'เพ'	=>	'060',
		'เฟ'	=>	'060',
		'เภ'	=>	'060',
		'เม'	=>	'060',
		'เย'	=>	'060',
		'เร'	=>	'060',
		'เล'	=>	'060',
		'เว'	=>	'060',
		'เศ'	=>	'060',
		'เษ'	=>	'060',
		'เส'	=>	'060',
		'เห'	=>	'060',
		'เฬ'	=>	'060',
		'เอ'	=>	'060',
		'เฮ'	=>	'060',
		'ชไ'	=>	'060',
		'ธไน'	=>	'0600',
		'มไห'	=>	'0600',
		'สไต'	=>	'0600',
		'เลสไต'	=>	'000700',
		'สไน'	=>	'0600',
		'สไบ'	=>	'0600',
		'สไป'	=>	'0600',
		'สไล'	=>	'0600',
		'บทคว'	=>	'06000',
		'มวก'	=>	'0600',
		'มวน'	=>	'0600',
		'มวด'	=>	'0600',
		'มวดี'	=>	'07000',
		'มวย'	=>	'0600',
		'ะมวง'	=>	'00600',
		'ลชน'	=>	'0700',
		'ัตถุ'	=>	'00500',
		'ัตถุ์'	=>	'006000',
		'ครู'	=>	'0600',
		'ฮิบรู'	=>	'000600',
		'ฮีบรู'	=>	'000600',
		'สภา'	=>	'0600',
		'สภาร'	=>	'07000',
		'เสภา'	=>	'00700',
		'โสภา'	=>	'00700',
		'ผวา'	=>	'0600',
		'เปี่'	=>	'00006',
		'เขี้'	=>	'00006',
		'มณี'	=>	'0600',
		'คามณี'	=>	'000700',
		'หมณี'	=>	'00700',
		'งวด'	=>	'0600',
		'งวน'	=>	'0600',
		'วังวน'	=>	'000700',
		'งวย'	=>	'0600',
		'มงวง'	=>	'00600',
		'อยอด'	=>	'00600',
		'พญา'	=>	'0600',
		'จุรณ'	=>	'00600',
		'ฤชา'	=>	'0600',
		'พรรดิ'	=>	'000600',
		'สวาดิ'	=>	'000600',
		'ธคยา'	=>	'00600',
		'นิมนา'	=>	'000600',
		'ย์มนา'	=>	'000600',
		'าณะ'	=>	'0700',
		'ิณะ'	=>	'0700',
		'ุณะ'	=>	'0700',
		'ณณะ'	=>	'0700',
		'กณะ'	=>	'0700',
		'ทณะ'	=>	'0700',
		'ลณะ'	=>	'0700',
		'ุษณะ'	=>	'00700',
		'ฤษณะ'	=>	'00700',
		'รปณะ'	=>	'00700',
		'หมณะ'	=>	'00700',
		'สมณะ'	=>	'00700',
		'ลวณะ'	=>	'00700',
		'รวณะ'	=>	'00700',
		'รณะ'	=>	'0500',
		'ณรสี'	=>	'00600',
		'กนะ'	=>	'0600',
		'ยกนะ'	=>	'00700',
		'คนะ'	=>	'0700',
		'ยนะ'	=>	'0700',
		'ภวนะ'	=>	'00700',
		'มทนะ'	=>	'00700',
		'รตนะ'	=>	'00700',
		'ลวนะ'	=>	'00700',
		'วจนะ'	=>	'00700',
		'วทนะ'	=>	'00700',
		'วสนะ'	=>	'00700',
		'ศมนะ'	=>	'00700',
		'ภชนะ'	=>	'00700',
		'ไชนะ'	=>	'00700',
		'าลปนะ'	=>	'000700',
		'รรธนะ'	=>	'000700',
		'สธนะ'	=>	'00500',
		'โสธนะ'	=>	'000600',
		'สวนะ'	=>	'00500',
		'เสวนะ'	=>	'000600',
		'สาวนะ'	=>	'000700',
		'ัจนะ'	=>	'00700',
		'ัชนะ'	=>	'00700',
		'ัฏนะ'	=>	'00700',
		'ัฒนะ'	=>	'00700',
		'ัตนะ'	=>	'00700',
		'ัทนะ'	=>	'00700',
		'ัปนะ'	=>	'00700',
		'ัสนะ'	=>	'00700',
		'ุจนะ'	=>	'00700',
		'อาสนะ'	=>	'000700',
		'ุนะ'	=>	'0700',
		'ผี'	=>	'500',
		'จำ'	=>	'700',
		'งำ'	=>	'500',
		'หงำ'	=>	'0600',
		'นรำ'	=>	'0700',
		'ยรำ'	=>	'0700',
		'รรำ'	=>	'0700',
		'โครำ'	=>	'00700',
		'ไพรำ'	=>	'00700',
		'นยำ'	=>	'0700',
		'มยำ'	=>	'0700',
		'หงง'	=>	'0600',
		'นงก'	=>	'0700',
		'เชน'	=>	'0600',
		'โชน'	=>	'0600',
		'ักร'	=>	'0600',
		'านะ'	=>	'0700',
		'ถระ'	=>	'0700',
		'าฐี'	=>	'0700',
		'านี'	=>	'0700',
		'าวี'	=>	'0700',
		'ปโ'	=>	'050',
		'ปโย'	=>	'0600',
		'ปโภ'	=>	'0600',
		'วิปโย'	=>	'000700',
		'อุปโภ'	=>	'000700',
		'ศนะ'	=>	'0700',
		'รรมะ'	=>	'00700',
		'ตถี'	=>	'0500',
		'ุตถี'	=>	'00600',
		'สบท'	=>	'0600',
		'ขบถ'	=>	'0600',
		'สบถ'	=>	'0600',
		'ฟู'	=>	'700',
		'ษุ'	=>	'700',
		'คตะ'	=>	'0600',
		'รตะ'	=>	'0600',
		'สรตะ'	=>	'00700',
		'ามี'	=>	'0700',
		'มิผ'	=>	'0070',
		'ากิ'	=>	'0700',
		'ากล'	=>	'0700',
		'์กล'	=>	'0700',
		'นำ'	=>	'500',
		'หนำ'	=>	'0600',
		'รีผ'	=>	'0070',
		'ณุ'	=>	'700',
		'หนี'	=>	'0600',
		'ฉนี'	=>	'0600',
		'ารนี'	=>	'00600',
		'วีชนี'	=>	'000600',
		'สสนี'	=>	'00600',
		'มทนี'	=>	'00600',
		'รมนี'	=>	'00600',
		'นยิ'	=>	'0700',
		'ิลี'	=>	'0500',
		'ุลี'	=>	'0500',
		'าลี'	=>	'0700',
		'โคลี'	=>	'00700',
		'โมลี'	=>	'00700',
		'ทลี'	=>	'0700',
		'รลี'	=>	'0700',
		'กยะ'	=>	'0700',
		'คยะ'	=>	'0700',
		'ปยะ'	=>	'0700',
		'ทยะ'	=>	'0700',
		'ธยะ'	=>	'0700',
		'นยะ'	=>	'0700',
		'ษยะ'	=>	'0700',
		'ายะ'	=>	'0700',
		'ิยะ'	=>	'0700',
		'คียะ'	=>	'00700',
		'ฆียะ'	=>	'00700',
		'ณียะ'	=>	'00700',
		'นียะ'	=>	'00700',
		'รียะ'	=>	'00500',
		'เปรียะ'	=>	'0000600',
		'มโห'	=>	'0005',
		'ิรี'	=>	'0700',
		'ีรี'	=>	'0700',
		'ูรี'	=>	'0700',
		'หารี'	=>	'00700',
		'ถรี'	=>	'0700',
		'ภรี'	=>	'0700',
		'ภมรี'	=>	'00700',
		'โมรี'	=>	'00700',
		'ภุมร'	=>	'00070',
		'เวรี'	=>	'00700',
		'ผล'	=>	'500',
		'กรส'	=>	'0600',
		'จรส'	=>	'0600',
		'โครส'	=>	'00600',
		'ทรส'	=>	'0600',
		'พรส'	=>	'0600',
		'ดรส'	=>	'0600',
		'ณหา'	=>	'0700',
		'ฤๅ'	=>	'005',
		'ฤา'	=>	'005',
		'าวะ'	=>	'0700',
		'เทพี'	=>	'00700',
		'เทวี'	=>	'00700',
		'บรรจ'	=>	'00070',
		'บรรถ'	=>	'00070',
		'บรรพต'	=>	'000700',
		'ไพร่'	=>	'00007',
		'อัฐ'	=>	'0005',
		'อัฐม'	=>	'00060',
		'อัฐมี'	=>	'000700',
		'ีวี'	=>	'0700',
		'ูวี'	=>	'0700',
		'นตี'	=>	'0700',
		'รตี'	=>	'0700',
		'อตี'	=>	'0700',
		'าตี'	=>	'0700',
		'ิตี'	=>	'0700',
		'ูตี'	=>	'0700',
		'าสี'	=>	'0700',
		'ณสี'	=>	'0700',
		'หสี'	=>	'0700',
		'เวสี'	=>	'00700',
		'ูสี'	=>	'0700',
		'ิสี'	=>	'0700',
		'กสี'	=>	'0700',
		'โบลา'	=>	'00700',
		'ูลา'	=>	'0700',
		'อจลา'	=>	'00700',
		'เวลา'	=>	'00700',
		'บิวลา'	=>	'000700',
		'มขลา'	=>	'00700',
		'เอลา'	=>	'00700',
		'ีลา'	=>	'0700',
		'โรลา'	=>	'00700',
		'โอลา'	=>	'00700',
		'โซลา'	=>	'00700',
		'ิกะ'	=>	'0700',
		'ุกะ'	=>	'0700',
		'อกะ'	=>	'0700',
		'นวกะ'	=>	'00700',
		'ิณกะ'	=>	'00700',
		'เภกะ'	=>	'00700',
		'ัยกะ'	=>	'00700',
		'ิยกะ'	=>	'00700',
		'รธกะ'	=>	'00700',
		'ัฏกะ'	=>	'00700',
		'ัฒกะ'	=>	'00700',
		'ิชกะ'	=>	'00700',
		'ศตกะ'	=>	'00700',
		'มลกะ'	=>	'00700',
		'โซร'	=>	'0060',
		'ธนู'	=>	'0600',
		'รคต'	=>	'0700',
		'ดงคต'	=>	'00700',
		'เกง'	=>	'0600',
		'ฎก'	=>	'700',
		'ณมี'	=>	'0700',
		'วมี'	=>	'0700',
		'ศมี'	=>	'0700',
		'ูมี'	=>	'0700',
		'ีติ'	=>	'0700',
		'รุติ'	=>	'00700',
		'สุติ'	=>	'00700',
		'ฮติ'	=>	'0700',
		'อรติ'	=>	'00700',
		'วีสติ'	=>	'000700',
		'ติงสติ'	=>	'0000700',
		'คุปติ'	=>	'000700',
		'มุตติ'	=>	'000600',
		'ภัตติ'	=>	'000600',
		'กดี'	=>	'0700',
		'ตดี'	=>	'0700',
		'พดี'	=>	'0700',
		'มดี'	=>	'0700',
		'ยดี'	=>	'0700',
		'ศดี'	=>	'0700',
		'อดี'	=>	'0500',
		'าดี'	=>	'0700',
		'ีดี'	=>	'0700',
		'ุดี'	=>	'0700',
		'ุวดี'	=>	'00700',
		'ดิบดี'	=>	'000700',
		'นัก'	=>	'0007',
		'กุณ'	=>	'0005',
		'กุณฑ์'	=>	'000600',
		'จนที'	=>	'00600',
		'ีรา'	=>	'0700',
		'ูรา'	=>	'0700',
		'์รา'	=>	'0700',
		'ิตรา'	=>	'00700',
		'มรา'	=>	'0700',
		'ยรา'	=>	'0700',
		'รบรา'	=>	'00700',
		'ลิกรา'	=>	'000700',
		'หะ'	=>	'500',
		'คหะ'	=>	'0600',
		'นิคหะ'	=>	'000700',
		'เคหะ'	=>	'00700',
		'ทหะ'	=>	'0600',
		'เทหะ'	=>	'00700',
		'ูหา'	=>	'0700',
		'ฬหา'	=>	'0700',
		'คหา'	=>	'0700',
		'เนหา'	=>	'00700',
		'่หา'	=>	'0700',
		'มะ'	=>	'500',
		'รมะ'	=>	'0600',
		'หมะ'	=>	'0600',
		'ตมะ'	=>	'0600',
		'หู'	=>	'500',
		'ดำ'	=>	'500',
		'สดำ'	=>	'0600',
		'คำ'	=>	'700',
		'สะ'	=>	'500',
		'วสะ'	=>	'0600',
		'ฐะ'	=>	'500',
		'สฐะ'	=>	'0600',
		'ธะ'	=>	'700',
		'รพี'	=>	'0600',
		'ทรพี'	=>	'00700',
		'ปฐวี'	=>	'00700',
		'ิดา'	=>	'0700',
		'ษบ'	=>	'070',
		'ษป'	=>	'070',
		'ิระ'	=>	'0700',
		'ีระ'	=>	'0700',
		'ูระ'	=>	'0700',
		'ชระ'	=>	'0500',
		'ิตระ'	=>	'00700',
		'ทหระ'	=>	'00700',
		'สวระ'	=>	'00700',
		'ัสระ'	=>	'00700',
		'ิสระ'	=>	'00700',
		'เประ'	=>	'00700',
		'เกยา'	=>	'00700',
		'รรยา'	=>	'00700',
		'สาวก'	=>	'00700',
		'ิธิ'	=>	'0700',
		'ปธิ'	=>	'0700',
		'ขัดสมาธิ'	=>	'000000600',
		'ดนู'	=>	'0600',
		'ิวะ'	=>	'0700',
		'ีวะ'	=>	'0700',
		'ุวะ'	=>	'0700',
		'ีวก'	=>	'0700',
		'ยวะ'	=>	'0700',
		'เทวะ'	=>	'00700',
		'ไทวะ'	=>	'00700',
		'ัทวะ'	=>	'00700',
		'าชวะ'	=>	'00700',
		'ไศวะ'	=>	'00700',
		'ถะ'	=>	'700',
		'ษะ'	=>	'700',
		'ผง'	=>	'500',
		'ธี'	=>	'500',
		'าชะ'	=>	'0700',
		'ิชะ'	=>	'0700',
		'รชะ'	=>	'0500',
		'สชะ'	=>	'0700',
		'โอชะ'	=>	'00700',
		'ฆะ'	=>	'500',
		'ฟะ'	=>	'500',
		'าฟี'	=>	'0700',
		'ิถี'	=>	'0700',
		'รถี'	=>	'0700',
		'ฮา'	=>	'500',
		'ญี'	=>	'500',
		'ผา'	=>	'500',
		'สินธพ'	=>	'000700',
		'สินธู'	=>	'000700',
		'ชู'	=>	'500',
		'ศะ'	=>	'500',
		'ิละ'	=>	'0700',
		'ุละ'	=>	'0700',
		'ูละ'	=>	'0700',
		'ยละ'	=>	'0700',
		'ดละ'	=>	'0700',
		'อเจล'	=>	'00070',
		'เตละ'	=>	'00700',
		'่ละ'	=>	'0700',
		'นทะ'	=>	'0700',
		'ททะ'	=>	'0700',
		'สทะ'	=>	'0700',
		'รรตุ'	=>	'00600',
		'มาตฤ'	=>	'00700',
		'ิรพ'	=>	'0700',
		'ไกรพ'	=>	'00700',
		'าถา'	=>	'0700',
		'าสพ'	=>	'0700',
		'พสพ'	=>	'0700',
		'ุขี'	=>	'0700',
		'าดะ'	=>	'0700',
		'หยี'	=>	'0600',
		'ีวร'	=>	'0700',
		'พูนท'	=>	'00700',
		'โปลี'	=>	'00700',
		'ทกรก'	=>	'00700',
		'โพ'	=>	'700',
		'ณู'	=>	'500',
		'าฬี'	=>	'0700',
		'ฉปะ'	=>	'0600',
		'สปะ'	=>	'0600',
		'ูลู'	=>	'0700',
		'ิจี'	=>	'0700',
		'ีจี'	=>	'0700',
		'ุจี'	=>	'0700',
		'ูจี'	=>	'0700',
		'เวจี'	=>	'00700',
		'สดก'	=>	'0600',
		'กฝ'	=>	'070',
		'ซอ'	=>	'500',
		'าขะ'	=>	'0700',
		'ูขะ'	=>	'0700',
		'สขะ'	=>	'0500',
		'รษา'	=>	'0700',
		'ภะ'	=>	'500',
		'ศภ'	=>	'070',
		'ิลก'	=>	'0700',
		'ุฎี'	=>	'0700',
		'ศาข'	=>	'0050',
		'ัสา'	=>	'0600',
		'ซู'	=>	'700',
		'ษฐี'	=>	'0700',
		'สดม'	=>	'0600',
		'นิยต'	=>	'00700',
		'งู'	=>	'700',
		'โปสก'	=>	'00700',
		'โสภ'	=>	'0070',
		'มรม'	=>	'0700',
		'อบรม'	=>	'00700',
		'ซูซุ'	=>	'00700',
		'ซูฮก'	=>	'00700',
		'ตกลง'	=>	'00700',
		'มตน'	=>	'0700',
		'ตัวตน'	=>	'000700',
		'ีวง'	=>	'0700',
		'แตรวง'	=>	'000700',
		'แวดวง'	=>	'000700',
		'าฑู'	=>	'0700',
		'อบนบ'	=>	'00700',
		'ีฑา'	=>	'0700',
		'ูดู'	=>	'0700',
		'าฝ'	=>	'070',
		'นยง'	=>	'0700',
		'มยง'	=>	'0700',
		'ุยง'	=>	'0700',
		'ิยง'	=>	'0700',
		'ิยน'	=>	'0700',
		'หาพน'	=>	'00700',
		'างิ'	=>	'0700',
		'มณฑก'	=>	'00700',
		'มณโฑ'	=>	'00700',
		'มรกต'	=>	'00700',
		'มรฑป'	=>	'00700',
		'ยอดอก'	=>	'000700',
		'โล่งอก'	=>	'0000700',
		'ยืดอก'	=>	'000700',
		'หห'	=>	'070',
		'โคนม'	=>	'00700',
		'ิปุ'	=>	'0700',
		'ิปู'	=>	'0700',
		'ยลำ'	=>	'0700',
		'อลำ'	=>	'0700',
		'้ลำ'	=>	'0700',
		'วกวน'	=>	'00700',
		'อลวน'	=>	'00700',
		'ชญะ'	=>	'0700',
		'ีข'	=>	'070',
		'ศีล'	=>	'0007',
		'สมรด'	=>	'00700',
		'สักวา'	=>	'000700',
		'สัปด'	=>	'00070',
		'สัปท'	=>	'00070',
		'ีรุ'	=>	'0700',
		'ูรุ'	=>	'0700',
		'เนรุ'	=>	'00700',
		'งหล'	=>	'0700',
		'สีหนุ'	=>	'000700',
		'ดิศร'	=>	'00700',
		'รศร'	=>	'0700',
		'อพยพ'	=>	'00700',
		'รสกา'	=>	'00700',
		'ลสกา'	=>	'00700',
		'อาจอง'	=>	'000700',
		'ีมู'	=>	'0700',
		'อึงอล'	=>	'000700',
		'ุชุ'	=>	'0700',
		'เกชา'	=>	'00700',
		'เกศา'	=>	'00700',
		'เขฬะ'	=>	'00700',
		'หณี'	=>	'0700',
		'เบื้อง'	=>	'0000007',
		'คะ'	=>	'500',
		'เรือธ'	=>	'000070',
		'เรือบ'	=>	'000070',
		'เลี้ยว'	=>	'0000007',
		'เกก'	=>	'0600',
		'แดวู'	=>	'00700',
		'โฉเก'	=>	'00700',
		'โดมร'	=>	'00700',
		'โตมร'	=>	'00700',
		'โผ'	=>	'700',
		'โทโส'	=>	'00700',
		'โสมม'	=>	'00700',
		'ตถิ'	=>	'0700',
		'โฮ'	=>	'700',
		'ใจ'	=>	'007',
		'ฟง'	=>	'500',
		'ไชโย'	=>	'00700',
		'กรรกศ'	=>	'000700',
		'ุฎา'	=>	'0700',
		'ูฏา'	=>	'0700',
		'ทโท'	=>	'0700',
		'ุทส'	=>	'0700',
		'จ่าร'	=>	'00070',
		'ฬหี'	=>	'0700',
		'าฒะ'	=>	'0700',
		'ธตรฐ'	=>	'00700',
		'ิฐิ'	=>	'0700',
		'ปผะ'	=>	'0700',
		'ิธุ'	=>	'0700',
		'หสิ'	=>	'0700',
		'ศิษฎิ'	=>	'000700',
		'ษฏี'	=>	'0700',
		'ิปิ'	=>	'0700',
		'ฑฑุ'	=>	'0700',
		'ษฏุ'	=>	'0700',
		'าตา'	=>	'0700',
		'วตก'	=>	'0700',
		'งตก'	=>	'0700',
		'สตุ'	=>	'0700',
		'ลิบง'	=>	'00700',
		'ฮโ'	=>	'070',
		'ิศรา'	=>	'00700',
	),
);

